/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcRxHandlerCpu0.c - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/

/*
 * To restrict the SW-C APIs to a runnable use ONE of the following macros
 * #define RTE_RUNNABLEAPI_SwcRxHandlerCpu0_10ms
 * #define RTE_RUNNABLEAPI_SwcRxHandlerCpu0_Init
 */

/* Include application header file */
#include "Rte_SwcRxHandlerCpu0.h"
/* Version verification of the Rte_SwcRxHandlerCpu0 module */
#if ((RTE_SWCRXHANDLERCPU0_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU0_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU0 module version is incompatible, there may be problems.
#endif

// Start of user code for user-defined code

// End of user code
/********************************************************************************************************************
 * AtomicSwComponentType : SwcRxHandlerCpu0
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/
#define SWCRXHANDLERCPU0_START_SEC_CODE
#include "SwcRxHandlerCpu0_MemMap.h"
/********************************************************************************************************************
 * Runnable Entity : SwcRxHandlerCpu0_10ms
 * ------------------------------------------------------------------------------------------------------------------
 *
 * =======================================
 *           Sender-Receiver
 * =======================================
 * @Function name : Rte_Read_BoardImuAbstractData_abstractData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "data" semantics
 *                  (swImplPolicy != queued). By compatibility, the port may also have a ParameterInterface or a
 *                  NvDataInterface. The Rte_Read API is used for explicit read by argument.
 * @Parameter     : P2VAR(BoardImuAbstractDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_abstractData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_swc_gp0_CAN11_Recv_CanRawMsg
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_swc_gp2_CAN9_Recv_CanRawMsg
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_swc_gp0_CAN6_Recv_CanRawMsg
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_swc_gp0_CAN7_Recv_CanRawMsg
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_LogSwcMessageInterface_MntSendLog
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf0_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf1_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf2_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf3_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/

/********************************************************************************************************************
 * Start of Section for user's comment
 ********************************************************************************************************************/
// Start of user code : Add user comment for SwcRxHandlerCpu0_10ms

// End of user code
/********************************************************************************************************************
 * End of Section for user's comment
 ********************************************************************************************************************/
FUNC(void, SwcRxHandlerCpu0_CODE) SwcRxHandlerCpu0_10ms (void)
{
    // Start of user code for the runnable of SwcRxHandlerCpu0_10ms

    // End of user code
}
#define SWCRXHANDLERCPU0_STOP_SEC_CODE
#include "SwcRxHandlerCpu0_MemMap.h"

#define SWCRXHANDLERCPU0_START_SEC_CODE
#include "SwcRxHandlerCpu0_MemMap.h"
/********************************************************************************************************************
 * Runnable Entity : SwcRxHandlerCpu0_Init
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/

/********************************************************************************************************************
 * Start of Section for user's comment
 ********************************************************************************************************************/
// Start of user code : Add user comment for SwcRxHandlerCpu0_Init

// End of user code
/********************************************************************************************************************
 * End of Section for user's comment
 ********************************************************************************************************************/
FUNC(void, SwcRxHandlerCpu0_CODE) SwcRxHandlerCpu0_Init (void)
{
    // Start of user code for the runnable of SwcRxHandlerCpu0_Init

    // End of user code
}
#define SWCRXHANDLERCPU0_STOP_SEC_CODE
#include "SwcRxHandlerCpu0_MemMap.h"