/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcRxHandlerCpu2.c - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/

/*
 * To restrict the SW-C APIs to a runnable use ONE of the following macros
 * #define RTE_RUNNABLEAPI_SwcRxHandlerCpu2_10ms
 * #define RTE_RUNNABLEAPI_SwcRxHandlerCpu2_Init
 */

/* Include application header file */
#include "Rte_SwcRxHandlerCpu2.h"
/* Version verification of the Rte_SwcRxHandlerCpu2 module */
#if ((RTE_SWCRXHANDLERCPU2_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU2_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU2 module version is incompatible, there may be problems.
#endif

// Start of user code for user-defined code

// End of user code
/********************************************************************************************************************
 * AtomicSwComponentType : SwcRxHandlerCpu2
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/
#define SWCRXHANDLERCPU2_START_SEC_CODE
#include "SwcRxHandlerCpu2_MemMap.h"
/********************************************************************************************************************
 * Runnable Entity : SwcRxHandlerCpu2_10ms
 * ------------------------------------------------------------------------------------------------------------------
 *
 * =======================================
 *           Sender-Receiver
 * =======================================
 * @Function name : Rte_Receive_swc_gp2_CAN0_Recv_CanRawMsg
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_swc_gp2_CAN1_Recv_CanRawMsg
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_LogSwcMessageInterface_MntSendLog
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf0_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf1_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf2_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_BareUdpApp2Intf3_BareUdpData
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/

/********************************************************************************************************************
 * Start of Section for user's comment
 ********************************************************************************************************************/
// Start of user code : Add user comment for SwcRxHandlerCpu2_10ms

// End of user code
/********************************************************************************************************************
 * End of Section for user's comment
 ********************************************************************************************************************/
FUNC(void, SwcRxHandlerCpu2_CODE) SwcRxHandlerCpu2_10ms (void)
{
    // Start of user code for the runnable of SwcRxHandlerCpu2_10ms

    // End of user code
}
#define SWCRXHANDLERCPU2_STOP_SEC_CODE
#include "SwcRxHandlerCpu2_MemMap.h"

#define SWCRXHANDLERCPU2_START_SEC_CODE
#include "SwcRxHandlerCpu2_MemMap.h"
/********************************************************************************************************************
 * Runnable Entity : SwcRxHandlerCpu2_Init
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/

/********************************************************************************************************************
 * Start of Section for user's comment
 ********************************************************************************************************************/
// Start of user code : Add user comment for SwcRxHandlerCpu2_Init

// End of user code
/********************************************************************************************************************
 * End of Section for user's comment
 ********************************************************************************************************************/
FUNC(void, SwcRxHandlerCpu2_CODE) SwcRxHandlerCpu2_Init (void)
{
    // Start of user code for the runnable of SwcRxHandlerCpu2_Init

    // End of user code
}
#define SWCRXHANDLERCPU2_STOP_SEC_CODE
#include "SwcRxHandlerCpu2_MemMap.h"