#!/usr/bin/env python3
# coding: utf-8

"""
Description: Build entrance
Create: 2021-02-18
Copyright (c) Huawei Technologies Co., Ltd. 2021-2021. All rights reserved.
"""

import sys
import compiler
import pre_build
import post_build
from tools import common
from tools import utils


def clean():
    """构建清理"""
    utils.remove(common.PROJ_BUILD_TMP_DIR)
    utils.remove(common.PROJ_OUTPUT_DIR)
    utils.show_info("bulid clean finished")
    return True


def main(argv):
    """main函数，整体入口"""

    if not clean():
        return False

    if not pre_build.PreBuild().run():
        return False

    if not compiler.Compiler().run():
        return False

    if not post_build.PostBuild().run():
        return False
    return True


if __name__ == "__main__":
    if not main(sys.argv):
        sys.exit(1)
