/*
 * Note:
 * This MemMap file is an example only. The main purpose is to list all used memory section defines.
 * It needs to be adapted during the integration process to satisfy
 * - The structure and MemMap of the target BSW (different vendors have different MemMap strategies).
 * - The correct section as defined in the linker file.
 */
 
/* Workaround: Some vendors generate defines according to (lowercase) VENDOR-API-INFIX in BSWMD file */
#if defined   (CRYPTO_11_Hsm_START_SEC_CODE)
    #undef     CRYPTO_11_Hsm_START_SEC_CODE
    #define    CRYPTO_11_HSM_START_SEC_CODE
#elif defined (CRYPTO_11_Hsm_STOP_SEC_CODE)
    #undef     CRYPTO_11_Hsm_STOP_SEC_CODE
    #define    CRYPTO_11_HSM_STOP_SEC_CODE
#elif defined (CRYPTO_11_Hsm_START_SEC_CONST_32)
    #undef     CRYPTO_11_Hsm_START_SEC_CONST_32
    #define    CRYPTO_11_HSM_START_SEC_CONST_32
#elif defined (CRYPTO_11_Hsm_STOP_SEC_CONST_32)
    #undef     CRYPTO_11_Hsm_STOP_SEC_CONST_32
    #define    CRYPTO_11_HSM_STOP_SEC_CONST_32
#elif defined (CRYPTO_11_Hsm_START_SEC_CONST_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_START_SEC_CONST_UNSPECIFIED
    #define    CRYPTO_11_HSM_START_SEC_CONST_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_STOP_SEC_CONST_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_STOP_SEC_CONST_UNSPECIFIED
    #define    CRYPTO_11_HSM_STOP_SEC_CONST_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_START_SEC_VAR_NO_INIT_32)
    #undef     CRYPTO_11_Hsm_START_SEC_VAR_NO_INIT_32
    #define    CRYPTO_11_HSM_START_SEC_VAR_NO_INIT_32
#elif defined (CRYPTO_11_Hsm_STOP_SEC_VAR_NO_INIT_32)
    #undef     CRYPTO_11_Hsm_STOP_SEC_VAR_NO_INIT_32
    #define    CRYPTO_11_HSM_STOP_SEC_VAR_NO_INIT_32
#elif defined (CRYPTO_11_Hsm_START_SEC_VAR_NO_INIT_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_START_SEC_VAR_NO_INIT_UNSPECIFIED
    #define    CRYPTO_11_HSM_START_SEC_VAR_NO_INIT_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_STOP_SEC_VAR_NO_INIT_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_STOP_SEC_VAR_NO_INIT_UNSPECIFIED
    #define    CRYPTO_11_HSM_STOP_SEC_VAR_NO_INIT_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_START_SEC_VAR_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_START_SEC_VAR_UNSPECIFIED
    #define    CRYPTO_11_HSM_START_SEC_VAR_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_STOP_SEC_VAR_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_STOP_SEC_VAR_UNSPECIFIED
    #define    CRYPTO_11_HSM_STOP_SEC_VAR_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_START_SEC_VAR_CLEARED_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_START_SEC_VAR_CLEARED_UNSPECIFIED
    #define    CRYPTO_11_HSM_START_SEC_VAR_CLEARED_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_STOP_SEC_VAR_CLEARED_UNSPECIFIED)
    #undef     CRYPTO_11_Hsm_STOP_SEC_VAR_CLEARED_UNSPECIFIED
    #define    CRYPTO_11_HSM_STOP_SEC_VAR_CLEARED_UNSPECIFIED
#elif defined (CRYPTO_11_Hsm_START_SEC_VAR_INIT_32)
    #undef     CRYPTO_11_Hsm_START_SEC_VAR_INIT_32
    #define    CRYPTO_11_HSM_START_SEC_VAR_INIT_32
#elif defined (CRYPTO_11_Hsm_STOP_SEC_VAR_INIT_32)
    #undef     CRYPTO_11_Hsm_STOP_SEC_VAR_INIT_32
    #define    CRYPTO_11_HSM_STOP_SEC_VAR_INIT_32
#elif defined (CRYPTO_11_Hsm_DISABLE_UNUSED_FLAG_ERROR)
    /* Error suppressed, usually in the case where a 'catchall' MemMap.h file is used */
    #undef     CRYPTO_11_Hsm_DISABLE_UNUSED_FLAG_ERROR
    #define    CRYPTO_11_HSM_DISABLE_UNUSED_FLAG_ERROR
#endif

/* MemMap define to section / global MemMap.h define mapping needs to be here */
#if defined (NOT_DEFINED)

#elif defined (CRYPTO_11_HSM_START_SEC_CODE)
    #undef     CRYPTO_11_HSM_START_SEC_CODE
    #define    START_SEC_CODE
#elif defined (CRYPTO_11_HSM_STOP_SEC_CODE)
    #undef     CRYPTO_11_HSM_STOP_SEC_CODE
    #define    STOP_SEC_CODE
#elif defined (CRYPTO_11_HSM_START_SEC_CONST_32)
    #undef     CRYPTO_11_HSM_START_SEC_CONST_32
    #define    START_SEC_CONST_32BIT
#elif defined (CRYPTO_11_HSM_STOP_SEC_CONST_32)
    #undef     CRYPTO_11_HSM_STOP_SEC_CONST_32
    #define    STOP_SEC_CONST_32BIT
#elif defined (CRYPTO_11_HSM_START_SEC_CONST_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_START_SEC_CONST_UNSPECIFIED
    #define    START_SEC_CONST_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_STOP_SEC_CONST_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_STOP_SEC_CONST_UNSPECIFIED
    #define    STOP_SEC_CONST_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_START_SEC_VAR_NO_INIT_32)
    #undef     CRYPTO_11_HSM_START_SEC_VAR_NO_INIT_32
    #define    START_SEC_VAR_NO_INIT_32BIT
#elif defined (CRYPTO_11_HSM_STOP_SEC_VAR_NO_INIT_32)
    #undef     CRYPTO_11_HSM_STOP_SEC_VAR_NO_INIT_32
    #define    STOP_SEC_VAR_NO_INIT_32BIT
#elif defined (CRYPTO_11_HSM_START_SEC_VAR_NO_INIT_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_START_SEC_VAR_NO_INIT_UNSPECIFIED
    #define    START_SEC_VAR_NO_INIT_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_STOP_SEC_VAR_NO_INIT_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_STOP_SEC_VAR_NO_INIT_UNSPECIFIED
    #define    STOP_SEC_VAR_NO_INIT_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_START_SEC_VAR_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_START_SEC_VAR_UNSPECIFIED
    #define    START_SEC_VAR_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_STOP_SEC_VAR_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_STOP_SEC_VAR_UNSPECIFIED
    #define    STOP_SEC_VAR_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_START_SEC_VAR_CLEARED_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_START_SEC_VAR_CLEARED_UNSPECIFIED
    #define    START_SEC_VAR_CLEARED_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_STOP_SEC_VAR_CLEARED_UNSPECIFIED)
    #undef     CRYPTO_11_HSM_STOP_SEC_VAR_CLEARED_UNSPECIFIED
    #define    STOP_SEC_VAR_CLEARED_UNSPECIFIED
#elif defined (CRYPTO_11_HSM_START_SEC_VAR_INIT_32)
    #undef     CRYPTO_11_HSM_START_SEC_VAR_INIT_32
    #define    START_SEC_VAR_VAR_INIT_32
#elif defined (CRYPTO_11_HSM_STOP_SEC_VAR_INIT_32)
    #undef     CRYPTO_11_HSM_STOP_SEC_VAR_INIT_32
    #define    STOP_SEC_VAR_VAR_INIT_32
#elif defined (CRYPTO_11_HSM_DISABLE_UNUSED_FLAG_ERROR)
    /* Error suppressed, usually in the case where a 'catchall' MemMap.h file is used */
    #undef     CRYPTO_11_HSM_DISABLE_UNUSED_FLAG_ERROR
#else
    #error No section in Crypto_MemMap matched.
#endif
