/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2021-2021. All rights reserved.
 */

#ifndef STPREFAPP_H
#define STPREFAPP_H

#include "Std_Types.h"

#define STPREFAPP_ABNORMAL_REG_NAME_MAX_LEN (15)
#define STPREFAPP_ABNORMAL_REG_MAX_NUM (20) // eq_srv_proc_basic.c

typedef Std_ReturnType (*StpRefReportFaultFuncType)(uint16 eventId);
typedef void (*StpRefShowLogFuncType)(uint8 level, const char* content);

typedef struct {
    char name[STPREFAPP_ABNORMAL_REG_NAME_MAX_LEN];
    uint32 val;
} StpRefAppAbnormalRegsType;

extern void WaitCore0DriverInitOneDone(void);
extern void SafeTpack_Runnable(void); // devmd_monitor_main.c
extern void StpRefRegisterReportFaultFunc(StpRefReportFaultFuncType func); // devmd_safetydriver.c
extern void StpRefRegisterShowLogFunc(StpRefShowLogFuncType func); // devmd_safetydriver.c
extern void ResetLbistHw(void);
extern void StpRefAppVmtMbistClearMtuErrSfr(void);
extern void StpRefAppVmtMbistLMtuEnable(void);
extern uint32 IsSingleBitEcc(void);
#endif /* <STPREFAPP_H */

/* EOF */
