/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved..
 * Description: 定义对外的数据类型
 * Author: x00450160
 * Create: 2023-05-15
 * Notes:
 */
#ifndef NCS_DATATYPE_H
#define NCS_DATATYPE_H

#include "Std_Types.h"

#define NCS_SYMMETRIC_KEY_LEN           16U

/* 单个业务中主备Key; */
typedef uint8 NcsKeySlot;
#define NCS_KEY_SLOT_MAJOR                  ((NcsKeySlot)0)        /* 主密钥; */
#define NCS_KEY_SLOT_MINOR                  ((NcsKeySlot)1)        /* 备密钥; */
#define NCS_KEY_SLOT_INVALID                ((NcsKeySlot)0xFF)

typedef uint8 NcsKeyUpdStatus;
#define NCS_KEY_UPD_STATUS_IDLE             ((NcsKeyUpdStatus)0)        /* 初始状态; */
#define NCS_KEY_UPD_STATUS_UPDATING         ((NcsKeyUpdStatus)1)        /* 密钥更新中; */
#define NCS_KEY_UPD_STATUS_UPDATE_SUCCESS   ((NcsKeyUpdStatus)2)        /* 密钥更新成功; */
#define NCS_KEY_UPD_STATUS_UPDATE_FAILED    ((NcsKeyUpdStatus)3)        /* 密钥更新失败; */

#endif