/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved..
 * Description: 定义对外的错误类型
 * Author: x00450160
 * Create: 2023-05-15
 * Notes:
 */
#ifndef NCS_ERRORTYPE_H
#define NCS_ERRORTYPE_H

#include "Std_Types.h"

#define NCS_KEY_ERR_NONE                 ((Std_ReturnType)0)        /* 无错误，E_OK */
#define NCS_KEY_ERR_OPCODE_ERR           ((Std_ReturnType)1)        /* opcode 不匹配 */
#define NCS_KEY_ERR_PARAM                ((Std_ReturnType)2)        /* 入参错误 */
#define NCS_KEY_ERR_PARSE                ((Std_ReturnType)3)        /* 解析错误 */
#define NCS_KEY_ERR_OPT_PENDING          ((Std_ReturnType)4)        /* 正在处理中 */
#define NCS_KEY_ERR_NOT_INIT             ((Std_ReturnType)5)        /* 未初始化 */
#define NCS_KEY_ERR_QUEUE_FULL           ((Std_ReturnType)6)        /* 队列已满 */
#define NCS_KEY_ERR_UPDATE_LIMIT         ((Std_ReturnType)7)        /* 密钥被限制更新 */
#define NCS_KEY_ERR_UPDATE_FAILED        ((Std_ReturnType)8)        /* 密钥被更新失败 */
#define NCS_KEY_ERR_SET_VALID_FAILED     ((Std_ReturnType)9)        /* 设置密钥有效失败 */
#define NCS_KEY_ERR_OPT_BUSY             ((Std_ReturnType)10)        /* 操作繁忙 */
#define NCS_KEY_ERR_MEM                  ((Std_ReturnType)11)        /* 内存错误 */
#define NCS_KEY_ERR_HSM_API              ((Std_ReturnType)12)        /* hsm的API返回错误 */

#endif