/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved..
 * Description: 定义对外的数据类型
 * Author: x00450160
 * Create: 2023-05-15
 * Notes:
 */
#ifndef NCS_KEYSTATUS_H
#define NCS_KEYSTATUS_H
#include "ncs_datatype.h"
#include "ncs_cp.h"
/* 用于获取密钥状态 */
Std_ReturnType NCS_GetKeyStatus(NcsKeyAuthor author, NcsKeyStatus *keyStatus);
/* 描述当前生效的密钥,主或备key生效,(暂不考虑both生效或都不生效,因为只能选择一把密钥,如果都不选,默认就是major) */
NcsKeySlot NCS_GetActiveSlot(NcsKeyAuthor author);
NcsKeySlot NCS_GetUpdateSlot(NcsKeyAuthor author);
Std_ReturnType NCS_GetKeyUpdStatus(NcsKeyAuthor author, NcsKeyUpdStatus *keyUpdStatus);
void NCS_SetActiveSlot(NcsKeyAuthor author, NcsKeySlot slot);
uint8 NCS_SetSlotSwitchover(NcsKeyAuthor author, NcsKeySlot *slot);
uint8 NCS_SwitchCsmJob(NcsKeyAuthor author);
#endif