/**********************************************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2019. All rights reserved.
 * Description: Type definition header file of ComStack
 * Author: VOS
 * Create: 2019-12-21
 *
 *********************************************************************************************************************/
#ifndef COMSTACKTYPES_H
#define COMSTACKTYPES_H

/**********************************************************************************************************************
 * Based on AUTOSAR_SWS_CommunicationStackTypes.pdf; Document Version 4.4.0
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * Includes
 *********************************************************************************************************************/
#include "Std_Types.h"
#include "ComStack_Cfg.h"

typedef struct {
    VAR(uint16, AUTOMATIC) id;
    VAR(uint16, AUTOMATIC) seq;
} TraceInfoType;

/* SWS_COMTYPE_00011 */
typedef struct {
    P2VAR(uint8, AUTOMATIC, AUTOSAR_COMSTACKDATA) SduDataPtr;
    P2VAR(uint8, AUTOMATIC, AUTOSAR_COMSTACKDATA) MetaDataPtr;
    PduLengthType SduLength;
} PduInfoType;

/* SWS_COMTYPE_00036 */
typedef uint8 PNCHandleType;

/* SWS_COMTYPE_00031 */
typedef enum {
    TP_STMIN,
    TP_BS,
    TP_BC
} TPParameterType;

/* SWS_COMTYPE_00012 */
typedef enum {
    BUFREQ_OK,
    BUFREQ_E_NOT_OK,
    BUFREQ_E_BUSY,
    BUFREQ_E_OVFL
} BufReq_ReturnType;

/* deprecated, added since 3.1.4, but not in 4.4.0 */
typedef uint8 NotifResultType;
/* COMTYPE018 - General codes for NotifResultType */
#define NTFRSLT_OK                     0x00u
#define NTFRSLT_E_NOT_OK               0x01u
#define NTFRSLT_E_TIMEOUT_A            0x02u
#define NTFRSLT_E_TIMEOUT_BS           0x03u
#define NTFRSLT_E_TIMEOUT_CR           0x04u
#define NTFRSLT_E_WRONG_SN             0x05u
#define NTFRSLT_E_INVALID_FS           0x06u
#define NTFRSLT_E_UNEXP_PDU            0x07u
#define NTFRSLT_E_WFT_OVRN             0x08u
#define NTFRSLT_E_ABORT                0x09u
#define NTFRSLT_E_NO_BUFFER            0x0Au
#define NTFRSLT_E_CANCELATION_OK       0x0Bu
#define NTFRSLT_E_CANCELATION_NOT_OK   0x0Cu
#define NTFRSLT_PARAMETER_OK           0x0Du
#define NTFRSLT_E_PARAMETER_NOT_OK     0x0Eu
#define NTFRSLT_E_RX_ON                0x0Fu
#define NTFRSLT_E_VALUE_NOT_OK         0x10u

/* SWS_COMTYPE_00027 */
typedef enum {
    TP_DATACONF,
    TP_DATARETRY,
    TP_CONFPENDING,
    TP_DATAPOSITIONCOPY
} TpDataStateType;

/* SWS_COMTYPE_00037 */
typedef struct {
    TpDataStateType TpDataState;
    PduLengthType TxTpDataCnt;
} RetryInfoType;

/* SWS_COMTYPE_00038 */
typedef uint8 NetworkHandleType;
/* SWS_COMTYPE_00039 */
typedef uint8 IcomConfigIdType;

/* SWS_COMTYPE_00040 */
typedef enum {
    ICOM_SWITCH_E_OK,
    ICOM_SWITCH_E_FAILED
} IcomSwitch_ErrorType;

/* No special module ID is defined for ComStack_Types header. COMTYPE is chosen. */
#define COMTYPE_AR_RELEASE_MAJOR_VERSION 4
#define COMTYPE_AR_RELEASE_MINOR_VERSION 0
#define COMTYPE_AR_RELEASE_REVISION_VERSION 2
#endif
