/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2020. All rights reserved.
 * Description: Configuration Header file of ldcom
 * Author: VOS
 * Create: 2019-11-14
 *
 **************************************************************************************/

#ifndef LDCOM_CFG_H
#define LDCOM_CFG_H
#include "Det.h"
#include "Std_Types.h"
#include "ComStack_Types.h"
#include "LdCom_Types.h"

#define LDCOM_CFG_SW_MAJOR_VERSION              3u
#define LDCOM_CFG_SW_MINOR_VERSION              2u
#define LDCOM_CFG_SW_PATCH_VERSION              224u

#define LDCOM_DEV_ERROR_DETECT           STD_ON
#define LDCOM_VERSION_INFO_API           STD_ON

#define LDCOM_TPTX_ENABLED               STD_OFF
#define LDCOM_TPRX_ENABLED               STD_ON
#define LDCOM_IFTX_ENABLED               STD_ON
#define LDCOM_IFRX_ENABLED               STD_ON
#define LDCOM_TRIGGERTX_ENABLED          STD_OFF

#define LDCOM_IPDU_NUMBER                193U
#define LDCOM_IPDU_HANDLE_MAPPING_SIZE   193U

#define LDCOM_LOG_SUPPORT                STD_ON
#define LDCOM_DFS_ENABLED                STD_ON

extern CONST(LdCom_ConfigType, LDCOM_CONST) g_LdComConfig;

#endif /* LDCOM_CFG_H */
