/**********************************************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2020. All rights reserved.
 * Description: Memory mapping file of LdCom
 * Author: VOS
 * Create: 2019-11-02
 *
 *********************************************************************************************************************/
#define MEMMAP_ERROR

/*----------------------------------------------------------------------------*/
/* for const var but not config */
/*----------------------------------------------------------------------------*/
#if defined LDCOM_START_SEC_CONST_UNSPECIFIED
    /* Unspecified size */
    #define BSW_START_SEC_DEFAULT_CONST_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_CONST_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_STOP_SEC_CONST_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_CONST_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_CONST_UNSPECIFIED
    #undef MEMMAP_ERROR

/*----------------------------------------------------------------------------*/
/* for config data which gen by tool */
/*----------------------------------------------------------------------------*/
#elif defined LDCOM_START_SEC_CONFIG_DATA_UNSPECIFIED
    /* Unspecified size */
    #define BSW_START_SEC_DEFAULT_CONFIG_DATA_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_CONFIG_DATA_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_STOP_SEC_CONFIG_DATA_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_CONFIG_DATA_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_CONFIG_DATA_UNSPECIFIED
    #undef MEMMAP_ERROR

/*----------------------------------------------------------------------------*/
/* used for variables that are initialized with zero after every reset */
/*----------------------------------------------------------------------------*/
#elif defined LDCOM_START_SEC_VAR_CLEARED_UNSPECIFIED
    /* UNSPECIFIED */
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_VAR_CLEARED_UNSPECIFIED
    #undef MEMMAP_ERROR

#elif defined LDCOM_STOP_SEC_VAR_CLEARED_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_VAR_CLEARED_UNSPECIFIED
    #undef MEMMAP_ERROR

/* Code */
#elif defined LDCOM_START_SEC_CODE
    #define  BSW_START_SEC_DEFAULT_CODE
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_CODE
    #undef MEMMAP_ERROR

#elif defined LDCOM_STOP_SEC_CODE
    #define  BSW_STOP_SEC_DEFAULT_CODE
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_CODE
    #undef MEMMAP_ERROR

/* DFS */
#elif defined LDCOM_START_SEC_DFS_BSS_UNSPECIFIED
    #define BSW_START_SEC_DFS_BSS_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_DFS_BSS_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_STOP_SEC_DFS_BSS_UNSPECIFIED
    #define BSW_STOP_SEC_DFS_BSS_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_DFS_BSS_UNSPECIFIED
    #undef MEMMAP_ERROR

#elif defined LDCOM_START_SEC_DFS_CONST_UNSPECIFIED
    #define BSW_START_SEC_DFS_CONST_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_DFS_CONST_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_STOP_SEC_DFS_CONST_UNSPECIFIED
    #define BSW_STOP_SEC_DFS_CONST_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_DFS_CONST_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_START_SEC_DFS_INIT_UNSPECIFIED
    #define BSW_START_SEC_DFS_INIT_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_DFS_INIT_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_STOP_SEC_DFS_INIT_UNSPECIFIED
    #define BSW_STOP_SEC_DFS_INIT_UNSPECIFIED
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_DFS_INIT_UNSPECIFIED
    #undef MEMMAP_ERROR
#elif defined LDCOM_START_SEC_DFS_CODE
    #define BSW_START_SEC_DFS_CODE
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_START_SEC_DFS_CODE
    #undef MEMMAP_ERROR
#elif defined LDCOM_STOP_SEC_DFS_CODE
    #define BSW_STOP_SEC_DFS_CODE
    #include "LdCom_Cfg_MemMap.h"
    #undef LDCOM_STOP_SEC_DFS_CODE
    #undef MEMMAP_ERROR
#endif

#if defined MEMMAP_ERROR
    #error "LDCOM_MemMap.h, wrong #pragma Command"
#endif
