/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_ComM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < ComM >
 *
 **************************************************************************/
#ifndef RTE_COMM_H
#define RTE_COMM_H

#define RTE_COMM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_COMM_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_ComM_Type.h"
/* Version verification of the Rte_ComM_Type module */
#if ((RTE_COMM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_COMM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_COMM_TYPE module version is incompatible, there may be problems.
#endif
#include "ComM.h"
#include "Rte_ComM_MemClasses.h"
/* Version verification of the Rte_ComM_MemClasses module */
#if ((RTE_COMM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_COMM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_COMM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_ComM_UserRequest_E_MODE_LIMITATION)
#define RTE_E_ComM_UserRequest_E_MODE_LIMITATION 2U
#endif
#if (!defined RTE_E_ComM_UserRequest_E_NOT_OK)
#define RTE_E_ComM_UserRequest_E_NOT_OK 1U
#endif
#if (!defined RTE_E_ComM_UserRequest_E_OK)
#define RTE_E_ComM_UserRequest_E_OK 0U
#endif

/* Sender-Receiver Provided Port CR_CN_CAN_00 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_ComM_CR_CN_CAN_00_fullComRequestors(P2CONST(ComM_UserHandleArrayType_CN_CAN_00, AUTOMATIC, RTE_APPL_DATA) Rte_arg_fullComRequestors);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_CR_CN_CAN_00_fullComRequestors Rte_Write_ComM_CR_CN_CAN_00_fullComRequestors
#endif

/* Sender-Receiver Provided Port CR_CN_CAN_001 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_ComM_CR_CN_CAN_001_fullComRequestors(P2CONST(ComM_UserHandleArrayType_CN_CAN_001, AUTOMATIC, RTE_APPL_DATA) Rte_arg_fullComRequestors);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_CR_CN_CAN_001_fullComRequestors Rte_Write_ComM_CR_CN_CAN_001_fullComRequestors
#endif

/* Mode Provided Port UM_ChannelUser_0 */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_ComM_UM_ChannelUser_0_CurrentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_RequestComMode) \
)
#define Rte_Switch_UM_ChannelUser_0_CurrentMode Rte_Switch_ComM_UM_ChannelUser_0_CurrentMode
#endif
#endif

/* Mode Provided Port UM_ChannelUser_1 */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_ComM_UM_ChannelUser_1_CurrentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_RequestComMode) \
)
#define Rte_Switch_UM_ChannelUser_1_CurrentMode Rte_Switch_ComM_UM_ChannelUser_1_CurrentMode
#endif
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_COMM_H */