/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Csm_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_CSM_TYPE_H
#define RTE_CSM_TYPE_H

#define RTE_CSM_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CSM_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef CRYPTO_E_VER_NOT_OK
#define CRYPTO_E_VER_NOT_OK 1U
#endif /* CRYPTO_E_VER_NOT_OK */

#ifndef CRYPTO_E_VER_OK
#define CRYPTO_E_VER_OK 0U
#endif /* CRYPTO_E_VER_OK */

#ifndef CRYPTO_KE_CERTIFICATE_CURRENT_TIME
#define CRYPTO_KE_CERTIFICATE_CURRENT_TIME 19U
#endif /* CRYPTO_KE_CERTIFICATE_CURRENT_TIME */

#ifndef CRYPTO_KE_CERTIFICATE_DATA
#define CRYPTO_KE_CERTIFICATE_DATA 0U
#endif /* CRYPTO_KE_CERTIFICATE_DATA */

#ifndef CRYPTO_KE_CERTIFICATE_EXTENSIONS
#define CRYPTO_KE_CERTIFICATE_EXTENSIONS 27U
#endif /* CRYPTO_KE_CERTIFICATE_EXTENSIONS */

#ifndef CRYPTO_KE_CERTIFICATE_ISSUER
#define CRYPTO_KE_CERTIFICATE_ISSUER 23U
#endif /* CRYPTO_KE_CERTIFICATE_ISSUER */

#ifndef CRYPTO_KE_CERTIFICATE_PARSING_FORMAT
#define CRYPTO_KE_CERTIFICATE_PARSING_FORMAT 18U
#endif /* CRYPTO_KE_CERTIFICATE_PARSING_FORMAT */

#ifndef CRYPTO_KE_CERTIFICATE_SERIALNUMBER
#define CRYPTO_KE_CERTIFICATE_SERIALNUMBER 21U
#endif /* CRYPTO_KE_CERTIFICATE_SERIALNUMBER */

#ifndef CRYPTO_KE_CERTIFICATE_SIGNATURE
#define CRYPTO_KE_CERTIFICATE_SIGNATURE 28U
#endif /* CRYPTO_KE_CERTIFICATE_SIGNATURE */

#ifndef CRYPTO_KE_CERTIFICATE_SIGNATURE_ALGORITHM
#define CRYPTO_KE_CERTIFICATE_SIGNATURE_ALGORITHM 22U
#endif /* CRYPTO_KE_CERTIFICATE_SIGNATURE_ALGORITHM */

#ifndef CRYPTO_KE_CERTIFICATE_SUBJECT
#define CRYPTO_KE_CERTIFICATE_SUBJECT 26U
#endif /* CRYPTO_KE_CERTIFICATE_SUBJECT */

#ifndef CRYPTO_KE_CERTIFICATE_SUBJECT_PUBLIC_KEY
#define CRYPTO_KE_CERTIFICATE_SUBJECT_PUBLIC_KEY 1U
#endif /* CRYPTO_KE_CERTIFICATE_SUBJECT_PUBLIC_KEY */

#ifndef CRYPTO_KE_CERTIFICATE_VALIDITY_NOT_AFTER
#define CRYPTO_KE_CERTIFICATE_VALIDITY_NOT_AFTER 25U
#endif /* CRYPTO_KE_CERTIFICATE_VALIDITY_NOT_AFTER */

#ifndef CRYPTO_KE_CERTIFICATE_VALIDITY_NOT_BEFORE
#define CRYPTO_KE_CERTIFICATE_VALIDITY_NOT_BEFORE 24U
#endif /* CRYPTO_KE_CERTIFICATE_VALIDITY_NOT_BEFORE */

#ifndef CRYPTO_KE_CERTIFICATE_VERSION
#define CRYPTO_KE_CERTIFICATE_VERSION 20U
#endif /* CRYPTO_KE_CERTIFICATE_VERSION */

#ifndef CRYPTO_KE_CIPHER_2NDKEY
#define CRYPTO_KE_CIPHER_2NDKEY 7U
#endif /* CRYPTO_KE_CIPHER_2NDKEY */

#ifndef CRYPTO_KE_CIPHER_IV
#define CRYPTO_KE_CIPHER_IV 5U
#endif /* CRYPTO_KE_CIPHER_IV */

#ifndef CRYPTO_KE_CIPHER_KEY
#define CRYPTO_KE_CIPHER_KEY 1U
#endif /* CRYPTO_KE_CIPHER_KEY */

#ifndef CRYPTO_KE_CIPHER_PROOF
#define CRYPTO_KE_CIPHER_PROOF 6U
#endif /* CRYPTO_KE_CIPHER_PROOF */

#ifndef CRYPTO_KE_KEYDERIVATION_ALGORITHM
#define CRYPTO_KE_KEYDERIVATION_ALGORITHM 15U
#endif /* CRYPTO_KE_KEYDERIVATION_ALGORITHM */

#ifndef CRYPTO_KE_KEYDERIVATION_INFO
#define CRYPTO_KE_KEYDERIVATION_INFO 1001U
#endif /* CRYPTO_KE_KEYDERIVATION_INFO */

#ifndef CRYPTO_KE_KEYDERIVATION_ITERATIONS
#define CRYPTO_KE_KEYDERIVATION_ITERATIONS 14U
#endif /* CRYPTO_KE_KEYDERIVATION_ITERATIONS */

#ifndef CRYPTO_KE_KEYDERIVATION_PASSWORD
#define CRYPTO_KE_KEYDERIVATION_PASSWORD 1U
#endif /* CRYPTO_KE_KEYDERIVATION_PASSWORD */

#ifndef CRYPTO_KE_KEYDERIVATION_SALT
#define CRYPTO_KE_KEYDERIVATION_SALT 13U
#endif /* CRYPTO_KE_KEYDERIVATION_SALT */

#ifndef CRYPTO_KE_KEYEXCHANGE_ALGORITHM
#define CRYPTO_KE_KEYEXCHANGE_ALGORITHM 12U
#endif /* CRYPTO_KE_KEYEXCHANGE_ALGORITHM */

#ifndef CRYPTO_KE_KEYEXCHANGE_BASE
#define CRYPTO_KE_KEYEXCHANGE_BASE 8U
#endif /* CRYPTO_KE_KEYEXCHANGE_BASE */

#ifndef CRYPTO_KE_KEYEXCHANGE_OWNPUBKEY
#define CRYPTO_KE_KEYEXCHANGE_OWNPUBKEY 10U
#endif /* CRYPTO_KE_KEYEXCHANGE_OWNPUBKEY */

#ifndef CRYPTO_KE_KEYEXCHANGE_PRIVKEY
#define CRYPTO_KE_KEYEXCHANGE_PRIVKEY 9U
#endif /* CRYPTO_KE_KEYEXCHANGE_PRIVKEY */

#ifndef CRYPTO_KE_KEYEXCHANGE_SHAREDVALUE
#define CRYPTO_KE_KEYEXCHANGE_SHAREDVALUE 1U
#endif /* CRYPTO_KE_KEYEXCHANGE_SHAREDVALUE */

#ifndef CRYPTO_KE_KEYGENERATE_ALGORITHM
#define CRYPTO_KE_KEYGENERATE_ALGORITHM 17U
#endif /* CRYPTO_KE_KEYGENERATE_ALGORITHM */

#ifndef CRYPTO_KE_KEYGENERATE_KEY
#define CRYPTO_KE_KEYGENERATE_KEY 1U
#endif /* CRYPTO_KE_KEYGENERATE_KEY */

#ifndef CRYPTO_KE_KEYGENERATE_PUBLIC_KEY
#define CRYPTO_KE_KEYGENERATE_PUBLIC_KEY 1U
#endif /* CRYPTO_KE_KEYGENERATE_PUBLIC_KEY */

#ifndef CRYPTO_KE_KEYGENERATE_SEED
#define CRYPTO_KE_KEYGENERATE_SEED 16U
#endif /* CRYPTO_KE_KEYGENERATE_SEED */

#ifndef CRYPTO_KE_MAC_KEY
#define CRYPTO_KE_MAC_KEY 1U
#endif /* CRYPTO_KE_MAC_KEY */

#ifndef CRYPTO_KE_MAC_PROOF
#define CRYPTO_KE_MAC_PROOF 2U
#endif /* CRYPTO_KE_MAC_PROOF */

#ifndef CRYPTO_KE_RANDOM_ALGORITHM
#define CRYPTO_KE_RANDOM_ALGORITHM 4U
#endif /* CRYPTO_KE_RANDOM_ALGORITHM */

#ifndef CRYPTO_KE_RANDOM_SEED_STATE
#define CRYPTO_KE_RANDOM_SEED_STATE 3U
#endif /* CRYPTO_KE_RANDOM_SEED_STATE */

#ifndef CRYPTO_KE_SIGNATURE_KEY
#define CRYPTO_KE_SIGNATURE_KEY 1U
#endif /* CRYPTO_KE_SIGNATURE_KEY */

#ifndef CRYPTO_OPERATIONMODE_FINISH
#define CRYPTO_OPERATIONMODE_FINISH 4U
#endif /* CRYPTO_OPERATIONMODE_FINISH */

#ifndef CRYPTO_OPERATIONMODE_SINGLECALL
#define CRYPTO_OPERATIONMODE_SINGLECALL 7U
#endif /* CRYPTO_OPERATIONMODE_SINGLECALL */

#ifndef CRYPTO_OPERATIONMODE_START
#define CRYPTO_OPERATIONMODE_START 1U
#endif /* CRYPTO_OPERATIONMODE_START */

#ifndef CRYPTO_OPERATIONMODE_STREAMSTART
#define CRYPTO_OPERATIONMODE_STREAMSTART 3U
#endif /* CRYPTO_OPERATIONMODE_STREAMSTART */

#ifndef CRYPTO_OPERATIONMODE_UPDATE
#define CRYPTO_OPERATIONMODE_UPDATE 2U
#endif /* CRYPTO_OPERATIONMODE_UPDATE */

#ifndef CYRPTO_KE_KEYEXCHANGE_SHAREDVALUE
#define CYRPTO_KE_KEYEXCHANGE_SHAREDVALUE 1U
#endif /* CYRPTO_KE_KEYEXCHANGE_SHAREDVALUE */

#ifndef E_ENTROPY_EXHAUSTION
#define E_ENTROPY_EXHAUSTION 3U
#endif /* E_ENTROPY_EXHAUSTION */

#ifndef E_JOB_CANCELED
#define E_JOB_CANCELED 7U
#endif /* E_JOB_CANCELED */

#ifndef E_KEY_EMPTY
#define E_KEY_EMPTY 8U
#endif /* E_KEY_EMPTY */

#ifndef E_KEY_NOT_AVAILABLE
#define E_KEY_NOT_AVAILABLE 5U
#endif /* E_KEY_NOT_AVAILABLE */

#ifndef E_KEY_NOT_VALID
#define E_KEY_NOT_VALID 6U
#endif /* E_KEY_NOT_VALID */

#ifndef E_KEY_READ_FAIL
#define E_KEY_READ_FAIL 4U
#endif /* E_KEY_READ_FAIL */

#ifndef E_NOT_OK
#define E_NOT_OK 1U
#endif /* E_NOT_OK */

#ifndef E_OK
#define E_OK 0U
#endif /* E_OK */

#ifndef E_SMALL_BUFFER
#define E_SMALL_BUFFER 2U
#endif /* E_SMALL_BUFFER */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef Crypto_KeyElementIdType_LowerLimit
#define Crypto_KeyElementIdType_LowerLimit (Crypto_KeyElementIdType)0U
#endif /* Crypto_KeyElementIdType_LowerLimit */

#ifndef Crypto_KeyElementIdType_UpperLimit
#define Crypto_KeyElementIdType_UpperLimit (Crypto_KeyElementIdType)4294967295U
#endif /* Crypto_KeyElementIdType_UpperLimit */

#ifndef Crypto_OperationModeType_LowerLimit
#define Crypto_OperationModeType_LowerLimit (Crypto_OperationModeType)0U
#endif /* Crypto_OperationModeType_LowerLimit */

#ifndef Crypto_OperationModeType_UpperLimit
#define Crypto_OperationModeType_UpperLimit (Crypto_OperationModeType)7U
#endif /* Crypto_OperationModeType_UpperLimit */

#ifndef Crypto_VerifyResultType_LowerLimit
#define Crypto_VerifyResultType_LowerLimit (Crypto_VerifyResultType)0U
#endif /* Crypto_VerifyResultType_LowerLimit */

#ifndef Crypto_VerifyResultType_UpperLimit
#define Crypto_VerifyResultType_UpperLimit (Crypto_VerifyResultType)1U
#endif /* Crypto_VerifyResultType_UpperLimit */

#ifndef Csm_ConfigIdType_LowerLimit
#define Csm_ConfigIdType_LowerLimit (Csm_ConfigIdType)0U
#endif /* Csm_ConfigIdType_LowerLimit */

#ifndef Csm_ConfigIdType_UpperLimit
#define Csm_ConfigIdType_UpperLimit (Csm_ConfigIdType)65535U
#endif /* Csm_ConfigIdType_UpperLimit */

#ifndef Csm_ResultType_LowerLimit
#define Csm_ResultType_LowerLimit (Csm_ResultType)0U
#endif /* Csm_ResultType_LowerLimit */

#ifndef Csm_ResultType_UpperLimit
#define Csm_ResultType_UpperLimit (Csm_ResultType)8U
#endif /* Csm_ResultType_UpperLimit */

#ifndef Csm_VerifyResultType_LowerLimit
#define Csm_VerifyResultType_LowerLimit (Csm_VerifyResultType)0U
#endif /* Csm_VerifyResultType_LowerLimit */

#ifndef Csm_VerifyResultType_UpperLimit
#define Csm_VerifyResultType_UpperLimit (Csm_VerifyResultType)1U
#endif /* Csm_VerifyResultType_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CSM_TYPE_H */