/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Dcm_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_DCM_TYPE_H
#define RTE_DCM_TYPE_H

#define RTE_DCM_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DCM_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Defines
 *
 **************************************************************************/
#ifndef RTE_TRANSITION_DcmControlDTCSetting
#define RTE_TRANSITION_DcmControlDTCSetting 255U
#endif
#ifndef RTE_MODE_DcmControlDTCSetting_DCM_DISABLEDTCSETTING
#define RTE_MODE_DcmControlDTCSetting_DCM_DISABLEDTCSETTING 1U
#endif
#ifndef RTE_MODE_DcmControlDTCSetting_DCM_ENABLEDTCSETTING
#define RTE_MODE_DcmControlDTCSetting_DCM_ENABLEDTCSETTING 0U
#endif
#ifndef RTE_TRANSITION_DcmDiagnosticSessionControl
#define RTE_TRANSITION_DcmDiagnosticSessionControl 255U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_DEFAULT_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_DEFAULT_SESSION 1U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_EXTENDED_DIAGNOSTIC_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_EXTENDED_DIAGNOSTIC_SESSION 3U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_PROGRAMMING_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_PROGRAMMING_SESSION 2U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION 4U
#endif
#ifndef RTE_TRANSITION_DcmEcuReset
#define RTE_TRANSITION_DcmEcuReset 255U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_EXECUTE
#define RTE_MODE_DcmEcuReset_DCM_EXECUTE 6U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_HARD
#define RTE_MODE_DcmEcuReset_DCM_HARD 1U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_JUMPTOBOOTLOADER
#define RTE_MODE_DcmEcuReset_DCM_JUMPTOBOOTLOADER 4U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_JUMPTOSYSSUPPLIERBOOTLOADER
#define RTE_MODE_DcmEcuReset_DCM_JUMPTOSYSSUPPLIERBOOTLOADER 5U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_KEYONOFF
#define RTE_MODE_DcmEcuReset_DCM_KEYONOFF 2U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_NONE
#define RTE_MODE_DcmEcuReset_DCM_NONE 0U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_SOFT
#define RTE_MODE_DcmEcuReset_DCM_SOFT 3U
#endif
#ifndef RTE_TRANSITION_DcmModeRapidPowerShutDown
#define RTE_TRANSITION_DcmModeRapidPowerShutDown 255U
#endif
#ifndef RTE_MODE_DcmModeRapidPowerShutDown_DCM_DISABLE_RAPIDPOWERSHUTDOWN
#define RTE_MODE_DcmModeRapidPowerShutDown_DCM_DISABLE_RAPIDPOWERSHUTDOWN 1U
#endif
#ifndef RTE_MODE_DcmModeRapidPowerShutDown_DCM_ENABLE_RAPIDPOWERSHUTDOWN
#define RTE_MODE_DcmModeRapidPowerShutDown_DCM_ENABLE_RAPIDPOWERSHUTDOWN 0U
#endif
#ifndef RTE_TRANSITION_DcmSecurityAccess
#define RTE_TRANSITION_DcmSecurityAccess 255U
#endif
#ifndef RTE_MODE_DcmSecurityAccess_DCM_SEC_LEV_LOCKED
#define RTE_MODE_DcmSecurityAccess_DCM_SEC_LEV_LOCKED 0U
#endif

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DCM_BUSY_REPEAT_REQUEST
#define DCM_BUSY_REPEAT_REQUEST 33U
#endif /* DCM_BUSY_REPEAT_REQUEST */

#ifndef DCM_CANCEL
#define DCM_CANCEL 2U
#endif /* DCM_CANCEL */

#ifndef DCM_CONDITIONS_NOT_CORRECT
#define DCM_CONDITIONS_NOT_CORRECT 34U
#endif /* DCM_CONDITIONS_NOT_CORRECT */

#ifndef DCM_DEFAULT_SESSION
#define DCM_DEFAULT_SESSION 1U
#endif /* DCM_DEFAULT_SESSION */

#ifndef DCM_DID_NOT_SUPPORTED
#define DCM_DID_NOT_SUPPORTED 1U
#endif /* DCM_DID_NOT_SUPPORTED */

#ifndef DCM_DID_SUPPORTED
#define DCM_DID_SUPPORTED 0U
#endif /* DCM_DID_SUPPORTED */

#ifndef DCM_EXTENDED_DIAGNOSTIC_SESSION
#define DCM_EXTENDED_DIAGNOSTIC_SESSION 3U
#endif /* DCM_EXTENDED_DIAGNOSTIC_SESSION */

#ifndef DCM_E_AUTHENTICATIONREQUIRED
#define DCM_E_AUTHENTICATIONREQUIRED 52U
#endif /* DCM_E_AUTHENTICATIONREQUIRED */

#ifndef DCM_E_BRAKESWITCH_NOTCLOSED
#define DCM_E_BRAKESWITCH_NOTCLOSED 143U
#endif /* DCM_E_BRAKESWITCH_NOTCLOSED */

#ifndef DCM_E_BUSYREPEATREQUEST
#define DCM_E_BUSYREPEATREQUEST 33U
#endif /* DCM_E_BUSYREPEATREQUEST */

#ifndef DCM_E_CONDITIONSNOTCORRECT
#define DCM_E_CONDITIONSNOTCORRECT 34U
#endif /* DCM_E_CONDITIONSNOTCORRECT */

#ifndef DCM_E_ENGINEISNOTRUNNING
#define DCM_E_ENGINEISNOTRUNNING 132U
#endif /* DCM_E_ENGINEISNOTRUNNING */

#ifndef DCM_E_ENGINEISRUNNING
#define DCM_E_ENGINEISRUNNING 131U
#endif /* DCM_E_ENGINEISRUNNING */

#ifndef DCM_E_ENGINERUNTIMETOOLOW
#define DCM_E_ENGINERUNTIMETOOLOW 133U
#endif /* DCM_E_ENGINERUNTIMETOOLOW */

#ifndef DCM_E_EXCEEDNUMBEROFATTEMPTS
#define DCM_E_EXCEEDNUMBEROFATTEMPTS 54U
#endif /* DCM_E_EXCEEDNUMBEROFATTEMPTS */

#ifndef DCM_E_FAILUREPREVENTSEXECUTIONOFREQUESTEDACTION
#define DCM_E_FAILUREPREVENTSEXECUTIONOFREQUESTEDACTION 38U
#endif /* DCM_E_FAILUREPREVENTSEXECUTIONOFREQUESTEDACTION */

#ifndef DCM_E_GENERALPROGRAMMINGFAILURE
#define DCM_E_GENERALPROGRAMMINGFAILURE 114U
#endif /* DCM_E_GENERALPROGRAMMINGFAILURE */

#ifndef DCM_E_GENERALREJECT
#define DCM_E_GENERALREJECT 16U
#endif /* DCM_E_GENERALREJECT */

#ifndef DCM_E_INCORRECTMESSAGELENGTHORINVALIDFORMAT
#define DCM_E_INCORRECTMESSAGELENGTHORINVALIDFORMAT 19U
#endif /* DCM_E_INCORRECTMESSAGELENGTHORINVALIDFORMAT */

#ifndef DCM_E_INVALIDKEY
#define DCM_E_INVALIDKEY 53U
#endif /* DCM_E_INVALIDKEY */

#ifndef DCM_E_NORESPONSEFROMSUBNETCOMPONENT
#define DCM_E_NORESPONSEFROMSUBNETCOMPONENT 37U
#endif /* DCM_E_NORESPONSEFROMSUBNETCOMPONENT */

#ifndef DCM_E_REQUESTCORRECTLYRECEIVED_RESPONSEPENDING
#define DCM_E_REQUESTCORRECTLYRECEIVED_RESPONSEPENDING 120U
#endif /* DCM_E_REQUESTCORRECTLYRECEIVED_RESPONSEPENDING */

#ifndef DCM_E_REQUESTOUTOFRANGE
#define DCM_E_REQUESTOUTOFRANGE 49U
#endif /* DCM_E_REQUESTOUTOFRANGE */

#ifndef DCM_E_REQUESTSEQUENCEERROR
#define DCM_E_REQUESTSEQUENCEERROR 36U
#endif /* DCM_E_REQUESTSEQUENCEERROR */

#ifndef DCM_E_REQUIREDTIMEDELAYNOTEXPIRED
#define DCM_E_REQUIREDTIMEDELAYNOTEXPIRED 55U
#endif /* DCM_E_REQUIREDTIMEDELAYNOTEXPIRED */

#ifndef DCM_E_RESPONSETOOLONG
#define DCM_E_RESPONSETOOLONG 20U
#endif /* DCM_E_RESPONSETOOLONG */

#ifndef DCM_E_RPMTOOHIGH
#define DCM_E_RPMTOOHIGH 129U
#endif /* DCM_E_RPMTOOHIGH */

#ifndef DCM_E_RPMTOOLOW
#define DCM_E_RPMTOOLOW 130U
#endif /* DCM_E_RPMTOOLOW */

#ifndef DCM_E_SECURITYACCESSDENIED
#define DCM_E_SECURITYACCESSDENIED 51U
#endif /* DCM_E_SECURITYACCESSDENIED */

#ifndef DCM_E_SERVICENOTSUPPORTED
#define DCM_E_SERVICENOTSUPPORTED 17U
#endif /* DCM_E_SERVICENOTSUPPORTED */

#ifndef DCM_E_SERVICENOTSUPPORTEDINACTIVESESSION
#define DCM_E_SERVICENOTSUPPORTEDINACTIVESESSION 127U
#endif /* DCM_E_SERVICENOTSUPPORTEDINACTIVESESSION */

#ifndef DCM_E_SHIFTERLEVERNOTINPARK
#define DCM_E_SHIFTERLEVERNOTINPARK 144U
#endif /* DCM_E_SHIFTERLEVERNOTINPARK */

#ifndef DCM_E_SUBFUNCTIONNOTSUPPORTED
#define DCM_E_SUBFUNCTIONNOTSUPPORTED 18U
#endif /* DCM_E_SUBFUNCTIONNOTSUPPORTED */

#ifndef DCM_E_SUBFUNCTIONNOTSUPPORTEDINACTIVESESSION
#define DCM_E_SUBFUNCTIONNOTSUPPORTEDINACTIVESESSION 126U
#endif /* DCM_E_SUBFUNCTIONNOTSUPPORTEDINACTIVESESSION */

#ifndef DCM_E_TEMPERATURETOOHIGH
#define DCM_E_TEMPERATURETOOHIGH 134U
#endif /* DCM_E_TEMPERATURETOOHIGH */

#ifndef DCM_E_TEMPERATURETOOLOW
#define DCM_E_TEMPERATURETOOLOW 135U
#endif /* DCM_E_TEMPERATURETOOLOW */

#ifndef DCM_E_THROTTLE_PEDALTOOHIGH
#define DCM_E_THROTTLE_PEDALTOOHIGH 138U
#endif /* DCM_E_THROTTLE_PEDALTOOHIGH */

#ifndef DCM_E_THROTTLE_PEDALTOOLOW
#define DCM_E_THROTTLE_PEDALTOOLOW 139U
#endif /* DCM_E_THROTTLE_PEDALTOOLOW */

#ifndef DCM_E_TORQUECONVERTERCLUTCHLOCKED
#define DCM_E_TORQUECONVERTERCLUTCHLOCKED 145U
#endif /* DCM_E_TORQUECONVERTERCLUTCHLOCKED */

#ifndef DCM_E_TRANSFERDATASUSPENDED
#define DCM_E_TRANSFERDATASUSPENDED 113U
#endif /* DCM_E_TRANSFERDATASUSPENDED */

#ifndef DCM_E_TRANSMISSIONRANGENOTINGEAR
#define DCM_E_TRANSMISSIONRANGENOTINGEAR 140U
#endif /* DCM_E_TRANSMISSIONRANGENOTINGEAR */

#ifndef DCM_E_UPLOADDOWNLOADNOTACCEPTED
#define DCM_E_UPLOADDOWNLOADNOTACCEPTED 112U
#endif /* DCM_E_UPLOADDOWNLOADNOTACCEPTED */

#ifndef DCM_E_VEHICLESPEEDTOOHIGH
#define DCM_E_VEHICLESPEEDTOOHIGH 136U
#endif /* DCM_E_VEHICLESPEEDTOOHIGH */

#ifndef DCM_E_VEHICLESPEEDTOOLOW
#define DCM_E_VEHICLESPEEDTOOLOW 137U
#endif /* DCM_E_VEHICLESPEEDTOOLOW */

#ifndef DCM_E_VMSCNC_0
#define DCM_E_VMSCNC_0 240U
#endif /* DCM_E_VMSCNC_0 */

#ifndef DCM_E_VMSCNC_1
#define DCM_E_VMSCNC_1 241U
#endif /* DCM_E_VMSCNC_1 */

#ifndef DCM_E_VMSCNC_2
#define DCM_E_VMSCNC_2 242U
#endif /* DCM_E_VMSCNC_2 */

#ifndef DCM_E_VMSCNC_3
#define DCM_E_VMSCNC_3 243U
#endif /* DCM_E_VMSCNC_3 */

#ifndef DCM_E_VMSCNC_4
#define DCM_E_VMSCNC_4 244U
#endif /* DCM_E_VMSCNC_4 */

#ifndef DCM_E_VMSCNC_5
#define DCM_E_VMSCNC_5 245U
#endif /* DCM_E_VMSCNC_5 */

#ifndef DCM_E_VMSCNC_6
#define DCM_E_VMSCNC_6 246U
#endif /* DCM_E_VMSCNC_6 */

#ifndef DCM_E_VMSCNC_7
#define DCM_E_VMSCNC_7 247U
#endif /* DCM_E_VMSCNC_7 */

#ifndef DCM_E_VMSCNC_8
#define DCM_E_VMSCNC_8 248U
#endif /* DCM_E_VMSCNC_8 */

#ifndef DCM_E_VMSCNC_9
#define DCM_E_VMSCNC_9 249U
#endif /* DCM_E_VMSCNC_9 */

#ifndef DCM_E_VMSCNC_A
#define DCM_E_VMSCNC_A 250U
#endif /* DCM_E_VMSCNC_A */

#ifndef DCM_E_VMSCNC_B
#define DCM_E_VMSCNC_B 251U
#endif /* DCM_E_VMSCNC_B */

#ifndef DCM_E_VMSCNC_C
#define DCM_E_VMSCNC_C 252U
#endif /* DCM_E_VMSCNC_C */

#ifndef DCM_E_VMSCNC_D
#define DCM_E_VMSCNC_D 253U
#endif /* DCM_E_VMSCNC_D */

#ifndef DCM_E_VMSCNC_E
#define DCM_E_VMSCNC_E 254U
#endif /* DCM_E_VMSCNC_E */

#ifndef DCM_E_VOLTAGETOOHIGH
#define DCM_E_VOLTAGETOOHIGH 146U
#endif /* DCM_E_VOLTAGETOOHIGH */

#ifndef DCM_E_VOLTAGETOOLOW
#define DCM_E_VOLTAGETOOLOW 147U
#endif /* DCM_E_VOLTAGETOOLOW */

#ifndef DCM_E_WRONGBLOCKSEQUENCECOUNTER
#define DCM_E_WRONGBLOCKSEQUENCECOUNTER 115U
#endif /* DCM_E_WRONGBLOCKSEQUENCECOUNTER */

#ifndef DCM_FAILURE_PREVENTS_EXECUTION
#define DCM_FAILURE_PREVENTS_EXECUTION 38U
#endif /* DCM_FAILURE_PREVENTS_EXECUTION */

#ifndef DCM_FORCE_RCRRP_OK
#define DCM_FORCE_RCRRP_OK 3U
#endif /* DCM_FORCE_RCRRP_OK */

#ifndef DCM_FREEZE_CURRENT_STATE
#define DCM_FREEZE_CURRENT_STATE 2U
#endif /* DCM_FREEZE_CURRENT_STATE */

#ifndef DCM_GENERAL_REJECT
#define DCM_GENERAL_REJECT 16U
#endif /* DCM_GENERAL_REJECT */

#ifndef DCM_IDLE
#define DCM_IDLE 255U
#endif /* DCM_IDLE */

#ifndef DCM_INITIAL
#define DCM_INITIAL 0U
#endif /* DCM_INITIAL */

#ifndef DCM_NO_ACTIVE_PROTOCOL
#define DCM_NO_ACTIVE_PROTOCOL 12U
#endif /* DCM_NO_ACTIVE_PROTOCOL */

#ifndef DCM_OBD_ON_CAN
#define DCM_OBD_ON_CAN 0U
#endif /* DCM_OBD_ON_CAN */

#ifndef DCM_OBD_ON_FLEXRAY
#define DCM_OBD_ON_FLEXRAY 1U
#endif /* DCM_OBD_ON_FLEXRAY */

#ifndef DCM_OBD_ON_IP
#define DCM_OBD_ON_IP 2U
#endif /* DCM_OBD_ON_IP */

#ifndef DCM_PENDING
#define DCM_PENDING 1U
#endif /* DCM_PENDING */

#ifndef DCM_PERIODICTRANS_ON_CAN
#define DCM_PERIODICTRANS_ON_CAN 9U
#endif /* DCM_PERIODICTRANS_ON_CAN */

#ifndef DCM_PERIODICTRANS_ON_FLEXRAY
#define DCM_PERIODICTRANS_ON_FLEXRAY 10U
#endif /* DCM_PERIODICTRANS_ON_FLEXRAY */

#ifndef DCM_PERIODICTRANS_ON_IP
#define DCM_PERIODICTRANS_ON_IP 11U
#endif /* DCM_PERIODICTRANS_ON_IP */

#ifndef DCM_POSITIVE_RESPONSE
#define DCM_POSITIVE_RESPONSE 0U
#endif /* DCM_POSITIVE_RESPONSE */

#ifndef DCM_POS_RESP
#define DCM_POS_RESP 0U
#endif /* DCM_POS_RESP */

#ifndef DCM_PROGRAMMING_SESSION
#define DCM_PROGRAMMING_SESSION 2U
#endif /* DCM_PROGRAMMING_SESSION */

#ifndef DCM_REQUEST_OUT_OF_RANGE
#define DCM_REQUEST_OUT_OF_RANGE 49U
#endif /* DCM_REQUEST_OUT_OF_RANGE */

#ifndef DCM_RESET_TO_DEFAULT
#define DCM_RESET_TO_DEFAULT 1U
#endif /* DCM_RESET_TO_DEFAULT */

#ifndef DCM_RESPONSE_PENDING
#define DCM_RESPONSE_PENDING 120U
#endif /* DCM_RESPONSE_PENDING */

#ifndef DCM_RES_NEG_NOT_OK
#define DCM_RES_NEG_NOT_OK 3U
#endif /* DCM_RES_NEG_NOT_OK */

#ifndef DCM_RES_NEG_OK
#define DCM_RES_NEG_OK 2U
#endif /* DCM_RES_NEG_OK */

#ifndef DCM_RES_POS_NOT_OK
#define DCM_RES_POS_NOT_OK 1U
#endif /* DCM_RES_POS_NOT_OK */

#ifndef DCM_RES_POS_OK
#define DCM_RES_POS_OK 0U
#endif /* DCM_RES_POS_OK */

#ifndef DCM_RETURN_CONTROL_TO_ECU
#define DCM_RETURN_CONTROL_TO_ECU 0U
#endif /* DCM_RETURN_CONTROL_TO_ECU */

#ifndef DCM_ROE_ON_CAN
#define DCM_ROE_ON_CAN 6U
#endif /* DCM_ROE_ON_CAN */

#ifndef DCM_ROE_ON_FLEXRAY
#define DCM_ROE_ON_FLEXRAY 7U
#endif /* DCM_ROE_ON_FLEXRAY */

#ifndef DCM_ROE_ON_IP
#define DCM_ROE_ON_IP 8U
#endif /* DCM_ROE_ON_IP */

#ifndef DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION
#define DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION 4U
#endif /* DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION */

#ifndef DCM_SEC_LEV_LOCKED
#define DCM_SEC_LEV_LOCKED 0U
#endif /* DCM_SEC_LEV_LOCKED */

#ifndef DCM_SHORT_TERM_ADJUSTMENT
#define DCM_SHORT_TERM_ADJUSTMENT 3U
#endif /* DCM_SHORT_TERM_ADJUSTMENT */

#ifndef DCM_SUPPLIER_1
#define DCM_SUPPLIER_1 240U
#endif /* DCM_SUPPLIER_1 */

#ifndef DCM_SUPPLIER_10
#define DCM_SUPPLIER_10 249U
#endif /* DCM_SUPPLIER_10 */

#ifndef DCM_SUPPLIER_11
#define DCM_SUPPLIER_11 250U
#endif /* DCM_SUPPLIER_11 */

#ifndef DCM_SUPPLIER_12
#define DCM_SUPPLIER_12 251U
#endif /* DCM_SUPPLIER_12 */

#ifndef DCM_SUPPLIER_13
#define DCM_SUPPLIER_13 252U
#endif /* DCM_SUPPLIER_13 */

#ifndef DCM_SUPPLIER_14
#define DCM_SUPPLIER_14 253U
#endif /* DCM_SUPPLIER_14 */

#ifndef DCM_SUPPLIER_15
#define DCM_SUPPLIER_15 254U
#endif /* DCM_SUPPLIER_15 */

#ifndef DCM_SUPPLIER_2
#define DCM_SUPPLIER_2 241U
#endif /* DCM_SUPPLIER_2 */

#ifndef DCM_SUPPLIER_3
#define DCM_SUPPLIER_3 242U
#endif /* DCM_SUPPLIER_3 */

#ifndef DCM_SUPPLIER_4
#define DCM_SUPPLIER_4 243U
#endif /* DCM_SUPPLIER_4 */

#ifndef DCM_SUPPLIER_5
#define DCM_SUPPLIER_5 244U
#endif /* DCM_SUPPLIER_5 */

#ifndef DCM_SUPPLIER_6
#define DCM_SUPPLIER_6 245U
#endif /* DCM_SUPPLIER_6 */

#ifndef DCM_SUPPLIER_7
#define DCM_SUPPLIER_7 246U
#endif /* DCM_SUPPLIER_7 */

#ifndef DCM_SUPPLIER_8
#define DCM_SUPPLIER_8 247U
#endif /* DCM_SUPPLIER_8 */

#ifndef DCM_SUPPLIER_9
#define DCM_SUPPLIER_9 248U
#endif /* DCM_SUPPLIER_9 */

#ifndef DCM_UDS_ON_CAN
#define DCM_UDS_ON_CAN 3U
#endif /* DCM_UDS_ON_CAN */

#ifndef DCM_UDS_ON_FLEXRAY
#define DCM_UDS_ON_FLEXRAY 4U
#endif /* DCM_UDS_ON_FLEXRAY */

#ifndef DCM_UDS_ON_IP
#define DCM_UDS_ON_IP 5U
#endif /* DCM_UDS_ON_IP */

#ifndef DCM_UDS_ON_LIN
#define DCM_UDS_ON_LIN 13U
#endif /* DCM_UDS_ON_LIN */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef Dcm_ConfirmationStatusType_LowerLimit
#define Dcm_ConfirmationStatusType_LowerLimit (Dcm_ConfirmationStatusType)0U
#endif /* Dcm_ConfirmationStatusType_LowerLimit */

#ifndef Dcm_ConfirmationStatusType_UpperLimit
#define Dcm_ConfirmationStatusType_UpperLimit (Dcm_ConfirmationStatusType)3U
#endif /* Dcm_ConfirmationStatusType_UpperLimit */

#ifndef Dcm_DidSupportedType_LowerLimit
#define Dcm_DidSupportedType_LowerLimit (Dcm_DidSupportedType)0U
#endif /* Dcm_DidSupportedType_LowerLimit */

#ifndef Dcm_DidSupportedType_UpperLimit
#define Dcm_DidSupportedType_UpperLimit (Dcm_DidSupportedType)1U
#endif /* Dcm_DidSupportedType_UpperLimit */

#ifndef Dcm_IOOperationResponseType_LowerLimit
#define Dcm_IOOperationResponseType_LowerLimit (Dcm_IOOperationResponseType)0U
#endif /* Dcm_IOOperationResponseType_LowerLimit */

#ifndef Dcm_IOOperationResponseType_UpperLimit
#define Dcm_IOOperationResponseType_UpperLimit (Dcm_IOOperationResponseType)120U
#endif /* Dcm_IOOperationResponseType_UpperLimit */

#ifndef Dcm_InputOutputControlParameterType_LowerLimit
#define Dcm_InputOutputControlParameterType_LowerLimit (Dcm_InputOutputControlParameterType)0U
#endif /* Dcm_InputOutputControlParameterType_LowerLimit */

#ifndef Dcm_InputOutputControlParameterType_UpperLimit
#define Dcm_InputOutputControlParameterType_UpperLimit (Dcm_InputOutputControlParameterType)255U
#endif /* Dcm_InputOutputControlParameterType_UpperLimit */

#ifndef Dcm_NegativeResponseCodeType_LowerLimit
#define Dcm_NegativeResponseCodeType_LowerLimit (Dcm_NegativeResponseCodeType)0U
#endif /* Dcm_NegativeResponseCodeType_LowerLimit */

#ifndef Dcm_NegativeResponseCodeType_UpperLimit
#define Dcm_NegativeResponseCodeType_UpperLimit (Dcm_NegativeResponseCodeType)254U
#endif /* Dcm_NegativeResponseCodeType_UpperLimit */

#ifndef Dcm_OpStatusType_LowerLimit
#define Dcm_OpStatusType_LowerLimit (Dcm_OpStatusType)0U
#endif /* Dcm_OpStatusType_LowerLimit */

#ifndef Dcm_OpStatusType_UpperLimit
#define Dcm_OpStatusType_UpperLimit (Dcm_OpStatusType)3U
#endif /* Dcm_OpStatusType_UpperLimit */

#ifndef Dcm_ProtocolType_LowerLimit
#define Dcm_ProtocolType_LowerLimit (Dcm_ProtocolType)0U
#endif /* Dcm_ProtocolType_LowerLimit */

#ifndef Dcm_ProtocolType_UpperLimit
#define Dcm_ProtocolType_UpperLimit (Dcm_ProtocolType)254U
#endif /* Dcm_ProtocolType_UpperLimit */

#ifndef Dcm_SecLevelType_LowerLimit
#define Dcm_SecLevelType_LowerLimit (Dcm_SecLevelType)0U
#endif /* Dcm_SecLevelType_LowerLimit */

#ifndef Dcm_SecLevelType_UpperLimit
#define Dcm_SecLevelType_UpperLimit (Dcm_SecLevelType)4U
#endif /* Dcm_SecLevelType_UpperLimit */

#ifndef Dcm_SesCtrlType_LowerLimit
#define Dcm_SesCtrlType_LowerLimit (Dcm_SesCtrlType)0U
#endif /* Dcm_SesCtrlType_LowerLimit */

#ifndef Dcm_SesCtrlType_UpperLimit
#define Dcm_SesCtrlType_UpperLimit (Dcm_SesCtrlType)1U
#endif /* Dcm_SesCtrlType_UpperLimit */

#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DCM_TYPE_H */