/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Dem.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < Dem >
 *
 **************************************************************************/
#ifndef RTE_DEM_H
#define RTE_DEM_H

#define RTE_DEM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DEM_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Dem_Type.h"
/* Version verification of the Rte_Dem_Type module */
#if ((RTE_DEM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DEM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DEM_TYPE module version is incompatible, there may be problems.
#endif
#include "Dem.h"
#include "Rte_Dem_MemClasses.h"
/* Version verification of the Rte_Dem_MemClasses module */
#if ((RTE_DEM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DEM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DEM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_CSDataServices_AgedCounter_E_NOT_OK)
#define RTE_E_CSDataServices_AgedCounter_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_AgedCounter_E_OK)
#define RTE_E_CSDataServices_AgedCounter_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_CF00_FirstEngineRevolutionSpeed_E_NOT_OK)
#define RTE_E_CSDataServices_CF00_FirstEngineRevolutionSpeed_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_CF00_FirstEngineRevolutionSpeed_E_OK)
#define RTE_E_CSDataServices_CF00_FirstEngineRevolutionSpeed_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_CF01_FirstVehicleReferenceSpeed_E_NOT_OK)
#define RTE_E_CSDataServices_CF01_FirstVehicleReferenceSpeed_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_CF01_FirstVehicleReferenceSpeed_E_OK)
#define RTE_E_CSDataServices_CF01_FirstVehicleReferenceSpeed_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_CF02_FirstECUPowerVoltage_E_NOT_OK)
#define RTE_E_CSDataServices_CF02_FirstECUPowerVoltage_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_CF02_FirstECUPowerVoltage_E_OK)
#define RTE_E_CSDataServices_CF02_FirstECUPowerVoltage_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_CF03_LastEngineRevolutionSpeed_E_NOT_OK)
#define RTE_E_CSDataServices_CF03_LastEngineRevolutionSpeed_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_CF03_LastEngineRevolutionSpeed_E_OK)
#define RTE_E_CSDataServices_CF03_LastEngineRevolutionSpeed_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_CF04_LastVehicleReferenceSpeed_E_NOT_OK)
#define RTE_E_CSDataServices_CF04_LastVehicleReferenceSpeed_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_CF04_LastVehicleReferenceSpeed_E_OK)
#define RTE_E_CSDataServices_CF04_LastVehicleReferenceSpeed_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_CF05_LastECUPowerVoltage_E_NOT_OK)
#define RTE_E_CSDataServices_CF05_LastECUPowerVoltage_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_CF05_LastECUPowerVoltage_E_OK)
#define RTE_E_CSDataServices_CF05_LastECUPowerVoltage_E_OK 0U
#endif
#if (!defined RTE_E_CSDataServices_DF01_VehicleSpeed_E_NOT_OK)
#define RTE_E_CSDataServices_DF01_VehicleSpeed_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CSDataServices_DF01_VehicleSpeed_E_OK)
#define RTE_E_CSDataServices_DF01_VehicleSpeed_E_OK 0U
#endif
#if (!defined RTE_E_DiagnosticInfo_DEM_BUFFER_TOO_SMALL)
#define RTE_E_DiagnosticInfo_DEM_BUFFER_TOO_SMALL 21U
#endif
#if (!defined RTE_E_DiagnosticInfo_DEM_E_NO_DTC_AVAILABLE)
#define RTE_E_DiagnosticInfo_DEM_E_NO_DTC_AVAILABLE 10U
#endif
#if (!defined RTE_E_DiagnosticInfo_DEM_E_NO_FDC_AVAILABLE)
#define RTE_E_DiagnosticInfo_DEM_E_NO_FDC_AVAILABLE 14U
#endif
#if (!defined RTE_E_DiagnosticInfo_DEM_NO_SUCH_ELEMENT)
#define RTE_E_DiagnosticInfo_DEM_NO_SUCH_ELEMENT 48U
#endif
#if (!defined RTE_E_DiagnosticInfo_E_NOT_OK)
#define RTE_E_DiagnosticInfo_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DiagnosticInfo_E_OK)
#define RTE_E_DiagnosticInfo_E_OK 0U
#endif
#if (!defined RTE_E_DiagnosticMonitor_E_NOT_OK)
#define RTE_E_DiagnosticMonitor_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DiagnosticMonitor_E_OK)
#define RTE_E_DiagnosticMonitor_E_OK 0U
#endif
#if (!defined RTE_E_DiagnosticMonitor_MonitorData_E_NOT_OK)
#define RTE_E_DiagnosticMonitor_MonitorData_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DiagnosticMonitor_MonitorData_E_OK)
#define RTE_E_DiagnosticMonitor_MonitorData_E_OK 0U
#endif
#if (!defined RTE_E_EnableCondition_E_NOT_OK)
#define RTE_E_EnableCondition_E_NOT_OK 1U
#endif
#if (!defined RTE_E_EnableCondition_E_OK)
#define RTE_E_EnableCondition_E_OK 0U
#endif
#if (!defined RTE_E_EventStatus_E_NOT_OK)
#define RTE_E_EventStatus_E_NOT_OK 1U
#endif
#if (!defined RTE_E_EventStatus_E_OK)
#define RTE_E_EventStatus_E_OK 0U
#endif
#if (!defined RTE_E_OperationCycle_E_NOT_OK)
#define RTE_E_OperationCycle_E_NOT_OK 1U
#endif
#if (!defined RTE_E_OperationCycle_E_OK)
#define RTE_E_OperationCycle_E_OK 0U
#endif
#if (!defined RTE_E_StorageCondition_E_NOT_OK)
#define RTE_E_StorageCondition_E_NOT_OK 1U
#endif
#if (!defined RTE_E_StorageCondition_E_OK)
#define RTE_E_StorageCondition_E_OK 0U
#endif

/* Client-Server Required Port CBReadData_AgedCounter */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_AgedCounter_ReadData(P2VAR(Dem_DataPrimitiveType_AgedCounter, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_AgedCounter_ReadData Rte_Call_Dem_CBReadData_AgedCounter_ReadData
#endif

/* Client-Server Required Port CBReadData_CF00_FirstEngineRevolutionSpeed */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_CF00_FirstEngineRevolutionSpeed_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_CF00_FirstEngineRevolutionSpeed_ReadData Rte_Call_Dem_CBReadData_CF00_FirstEngineRevolutionSpeed_ReadData
#endif

/* Client-Server Required Port CBReadData_CF01_FirstVehicleReferenceSpeed */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_CF01_FirstVehicleReferenceSpeed_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_CF01_FirstVehicleReferenceSpeed_ReadData Rte_Call_Dem_CBReadData_CF01_FirstVehicleReferenceSpeed_ReadData
#endif

/* Client-Server Required Port CBReadData_CF02_FirstECUPowerVoltage */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_CF02_FirstECUPowerVoltage_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_CF02_FirstECUPowerVoltage_ReadData Rte_Call_Dem_CBReadData_CF02_FirstECUPowerVoltage_ReadData
#endif

/* Client-Server Required Port CBReadData_CF03_LastEngineRevolutionSpeed */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_CF03_LastEngineRevolutionSpeed_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_CF03_LastEngineRevolutionSpeed_ReadData Rte_Call_Dem_CBReadData_CF03_LastEngineRevolutionSpeed_ReadData
#endif

/* Client-Server Required Port CBReadData_CF04_LastVehicleReferenceSpeed */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_CF04_LastVehicleReferenceSpeed_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_CF04_LastVehicleReferenceSpeed_ReadData Rte_Call_Dem_CBReadData_CF04_LastVehicleReferenceSpeed_ReadData
#endif

/* Client-Server Required Port CBReadData_CF05_LastECUPowerVoltage */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_CF05_LastECUPowerVoltage_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_CF05_LastECUPowerVoltage_ReadData Rte_Call_Dem_CBReadData_CF05_LastECUPowerVoltage_ReadData
#endif

/* Client-Server Required Port CBReadData_DF01_VehicleSpeed */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dem_CBReadData_DF01_VehicleSpeed_ReadData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CBReadData_DF01_VehicleSpeed_ReadData Rte_Call_Dem_CBReadData_DF01_VehicleSpeed_ReadData
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DEM_H */