/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Dem_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_DEM_TYPE_H
#define RTE_DEM_TYPE_H

#define RTE_DEM_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DEM_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DEM_DEBOUNCE_STATUS_FREEZE
#define DEM_DEBOUNCE_STATUS_FREEZE 0U
#endif /* DEM_DEBOUNCE_STATUS_FREEZE */

#ifndef DEM_DEBOUNCE_STATUS_RESET
#define DEM_DEBOUNCE_STATUS_RESET 1U
#endif /* DEM_DEBOUNCE_STATUS_RESET */

#ifndef DEM_DTC_FORMAT_J1939
#define DEM_DTC_FORMAT_J1939 2U
#endif /* DEM_DTC_FORMAT_J1939 */

#ifndef DEM_DTC_FORMAT_OBD
#define DEM_DTC_FORMAT_OBD 0U
#endif /* DEM_DTC_FORMAT_OBD */

#ifndef DEM_DTC_FORMAT_UDS
#define DEM_DTC_FORMAT_UDS 1U
#endif /* DEM_DTC_FORMAT_UDS */

#ifndef DEM_DTR_UPDATE
#define DEM_DTR_UPDATE 16U
#endif /* DEM_DTR_UPDATE */

#ifndef DEM_EVENT_STATUS_FAILED
#define DEM_EVENT_STATUS_FAILED 1U
#endif /* DEM_EVENT_STATUS_FAILED */

#ifndef DEM_EVENT_STATUS_FDC_THRESHOLD_REACHED
#define DEM_EVENT_STATUS_FDC_THRESHOLD_REACHED 4U
#endif /* DEM_EVENT_STATUS_FDC_THRESHOLD_REACHED */

#ifndef DEM_EVENT_STATUS_PASSED
#define DEM_EVENT_STATUS_PASSED 0U
#endif /* DEM_EVENT_STATUS_PASSED */

#ifndef DEM_EVENT_STATUS_PREFAILED
#define DEM_EVENT_STATUS_PREFAILED 3U
#endif /* DEM_EVENT_STATUS_PREFAILED */

#ifndef DEM_EVENT_STATUS_PREPASSED
#define DEM_EVENT_STATUS_PREPASSED 2U
#endif /* DEM_EVENT_STATUS_PREPASSED */

#ifndef DEM_FINALLY_DEFECTIVE
#define DEM_FINALLY_DEFECTIVE 2U
#endif /* DEM_FINALLY_DEFECTIVE */

#ifndef DEM_MONITOR_STATUS_TF
#define DEM_MONITOR_STATUS_TF 1U
#endif /* DEM_MONITOR_STATUS_TF */

#ifndef DEM_MONITOR_STATUS_TNCTOC
#define DEM_MONITOR_STATUS_TNCTOC 2U
#endif /* DEM_MONITOR_STATUS_TNCTOC */

#ifndef DEM_TEMPORARILY_DEFECTIVE
#define DEM_TEMPORARILY_DEFECTIVE 1U
#endif /* DEM_TEMPORARILY_DEFECTIVE */

#ifndef DEM_TEMPORARILY_HEALED
#define DEM_TEMPORARILY_HEALED 4U
#endif /* DEM_TEMPORARILY_HEALED */

#ifndef DEM_TEST_COMPLETE
#define DEM_TEST_COMPLETE 8U
#endif /* DEM_TEST_COMPLETE */

#ifndef DEM_UDS_STATUS_CDTC
#define DEM_UDS_STATUS_CDTC 8U
#endif /* DEM_UDS_STATUS_CDTC */

#ifndef DEM_UDS_STATUS_PDTC
#define DEM_UDS_STATUS_PDTC 4U
#endif /* DEM_UDS_STATUS_PDTC */

#ifndef DEM_UDS_STATUS_TF
#define DEM_UDS_STATUS_TF 1U
#endif /* DEM_UDS_STATUS_TF */

#ifndef DEM_UDS_STATUS_TFSLC
#define DEM_UDS_STATUS_TFSLC 32U
#endif /* DEM_UDS_STATUS_TFSLC */

#ifndef DEM_UDS_STATUS_TFTOC
#define DEM_UDS_STATUS_TFTOC 2U
#endif /* DEM_UDS_STATUS_TFTOC */

#ifndef DEM_UDS_STATUS_TNCSLC
#define DEM_UDS_STATUS_TNCSLC 16U
#endif /* DEM_UDS_STATUS_TNCSLC */

#ifndef DEM_UDS_STATUS_TNCTOC
#define DEM_UDS_STATUS_TNCTOC 64U
#endif /* DEM_UDS_STATUS_TNCTOC */

#ifndef DEM_UDS_STATUS_WIR
#define DEM_UDS_STATUS_WIR 128U
#endif /* DEM_UDS_STATUS_WIR */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef Dem_DTCFormatType_LowerLimit
#define Dem_DTCFormatType_LowerLimit (Dem_DTCFormatType)0U
#endif /* Dem_DTCFormatType_LowerLimit */

#ifndef Dem_DTCFormatType_UpperLimit
#define Dem_DTCFormatType_UpperLimit (Dem_DTCFormatType)255U
#endif /* Dem_DTCFormatType_UpperLimit */

#ifndef Dem_DebounceResetStatusType_LowerLimit
#define Dem_DebounceResetStatusType_LowerLimit (Dem_DebounceResetStatusType)0U
#endif /* Dem_DebounceResetStatusType_LowerLimit */

#ifndef Dem_DebounceResetStatusType_UpperLimit
#define Dem_DebounceResetStatusType_UpperLimit (Dem_DebounceResetStatusType)255U
#endif /* Dem_DebounceResetStatusType_UpperLimit */

#ifndef Dem_DebouncingStateType_LowerLimit
#define Dem_DebouncingStateType_LowerLimit (Dem_DebouncingStateType)0U
#endif /* Dem_DebouncingStateType_LowerLimit */

#ifndef Dem_DebouncingStateType_UpperLimit
#define Dem_DebouncingStateType_UpperLimit (Dem_DebouncingStateType)255U
#endif /* Dem_DebouncingStateType_UpperLimit */

#ifndef Dem_EventStatusType_LowerLimit
#define Dem_EventStatusType_LowerLimit (Dem_EventStatusType)0U
#endif /* Dem_EventStatusType_LowerLimit */

#ifndef Dem_EventStatusType_UpperLimit
#define Dem_EventStatusType_UpperLimit (Dem_EventStatusType)255U
#endif /* Dem_EventStatusType_UpperLimit */

#ifndef Dem_MonitorDataType_LowerLimit
#define Dem_MonitorDataType_LowerLimit (Dem_MonitorDataType)0U
#endif /* Dem_MonitorDataType_LowerLimit */

#ifndef Dem_MonitorDataType_UpperLimit
#define Dem_MonitorDataType_UpperLimit (Dem_MonitorDataType)255U
#endif /* Dem_MonitorDataType_UpperLimit */

#ifndef Dem_MonitorStatusType_LowerLimit
#define Dem_MonitorStatusType_LowerLimit (Dem_MonitorStatusType)0U
#endif /* Dem_MonitorStatusType_LowerLimit */

#ifndef Dem_MonitorStatusType_UpperLimit
#define Dem_MonitorStatusType_UpperLimit (Dem_MonitorStatusType)255U
#endif /* Dem_MonitorStatusType_UpperLimit */

#ifndef Dem_UdsStatusByteType_LowerLimit
#define Dem_UdsStatusByteType_LowerLimit (Dem_UdsStatusByteType)0U
#endif /* Dem_UdsStatusByteType_LowerLimit */

#ifndef Dem_UdsStatusByteType_UpperLimit
#define Dem_UdsStatusByteType_UpperLimit (Dem_UdsStatusByteType)255U
#endif /* Dem_UdsStatusByteType_UpperLimit */

#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef sint8_LowerLimit
#define sint8_LowerLimit (sint8)(-128)
#endif /* sint8_LowerLimit */

#ifndef sint8_UpperLimit
#define sint8_UpperLimit (sint8)127
#endif /* sint8_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

/***************************************************************************
 *
 * Bitfield conversions
 *
 **************************************************************************/
#ifndef DEM_DTR_UPDATE_BflLn
#define DEM_DTR_UPDATE_BflLn 1U
#endif /* DEM_DTR_UPDATE_BflLn */

#ifndef DEM_DTR_UPDATE_BflMask
#define DEM_DTR_UPDATE_BflMask 16U
#endif /* DEM_DTR_UPDATE_BflMask */

#ifndef DEM_DTR_UPDATE_BflPn
#define DEM_DTR_UPDATE_BflPn 4U
#endif /* DEM_DTR_UPDATE_BflPn */

#ifndef DEM_FINALLY_DEFECTIVE_BflLn
#define DEM_FINALLY_DEFECTIVE_BflLn 1U
#endif /* DEM_FINALLY_DEFECTIVE_BflLn */

#ifndef DEM_FINALLY_DEFECTIVE_BflMask
#define DEM_FINALLY_DEFECTIVE_BflMask 2U
#endif /* DEM_FINALLY_DEFECTIVE_BflMask */

#ifndef DEM_FINALLY_DEFECTIVE_BflPn
#define DEM_FINALLY_DEFECTIVE_BflPn 1U
#endif /* DEM_FINALLY_DEFECTIVE_BflPn */

#ifndef DEM_MONITOR_STATUS_TF_BflLn
#define DEM_MONITOR_STATUS_TF_BflLn 1U
#endif /* DEM_MONITOR_STATUS_TF_BflLn */

#ifndef DEM_MONITOR_STATUS_TF_BflMask
#define DEM_MONITOR_STATUS_TF_BflMask 1U
#endif /* DEM_MONITOR_STATUS_TF_BflMask */

#ifndef DEM_MONITOR_STATUS_TF_BflPn
#define DEM_MONITOR_STATUS_TF_BflPn 0U
#endif /* DEM_MONITOR_STATUS_TF_BflPn */

#ifndef DEM_MONITOR_STATUS_TNCTOC_BflLn
#define DEM_MONITOR_STATUS_TNCTOC_BflLn 1U
#endif /* DEM_MONITOR_STATUS_TNCTOC_BflLn */

#ifndef DEM_MONITOR_STATUS_TNCTOC_BflMask
#define DEM_MONITOR_STATUS_TNCTOC_BflMask 2U
#endif /* DEM_MONITOR_STATUS_TNCTOC_BflMask */

#ifndef DEM_MONITOR_STATUS_TNCTOC_BflPn
#define DEM_MONITOR_STATUS_TNCTOC_BflPn 1U
#endif /* DEM_MONITOR_STATUS_TNCTOC_BflPn */

#ifndef DEM_TEMPORARILY_DEFECTIVE_BflLn
#define DEM_TEMPORARILY_DEFECTIVE_BflLn 1U
#endif /* DEM_TEMPORARILY_DEFECTIVE_BflLn */

#ifndef DEM_TEMPORARILY_DEFECTIVE_BflMask
#define DEM_TEMPORARILY_DEFECTIVE_BflMask 1U
#endif /* DEM_TEMPORARILY_DEFECTIVE_BflMask */

#ifndef DEM_TEMPORARILY_DEFECTIVE_BflPn
#define DEM_TEMPORARILY_DEFECTIVE_BflPn 0U
#endif /* DEM_TEMPORARILY_DEFECTIVE_BflPn */

#ifndef DEM_TEMPORARILY_HEALED_BflLn
#define DEM_TEMPORARILY_HEALED_BflLn 1U
#endif /* DEM_TEMPORARILY_HEALED_BflLn */

#ifndef DEM_TEMPORARILY_HEALED_BflMask
#define DEM_TEMPORARILY_HEALED_BflMask 4U
#endif /* DEM_TEMPORARILY_HEALED_BflMask */

#ifndef DEM_TEMPORARILY_HEALED_BflPn
#define DEM_TEMPORARILY_HEALED_BflPn 2U
#endif /* DEM_TEMPORARILY_HEALED_BflPn */

#ifndef DEM_TEST_COMPLETE_BflLn
#define DEM_TEST_COMPLETE_BflLn 1U
#endif /* DEM_TEST_COMPLETE_BflLn */

#ifndef DEM_TEST_COMPLETE_BflMask
#define DEM_TEST_COMPLETE_BflMask 8U
#endif /* DEM_TEST_COMPLETE_BflMask */

#ifndef DEM_TEST_COMPLETE_BflPn
#define DEM_TEST_COMPLETE_BflPn 3U
#endif /* DEM_TEST_COMPLETE_BflPn */

#ifndef DEM_UDS_STATUS_CDTC_BflLn
#define DEM_UDS_STATUS_CDTC_BflLn 1U
#endif /* DEM_UDS_STATUS_CDTC_BflLn */

#ifndef DEM_UDS_STATUS_CDTC_BflMask
#define DEM_UDS_STATUS_CDTC_BflMask 8U
#endif /* DEM_UDS_STATUS_CDTC_BflMask */

#ifndef DEM_UDS_STATUS_CDTC_BflPn
#define DEM_UDS_STATUS_CDTC_BflPn 3U
#endif /* DEM_UDS_STATUS_CDTC_BflPn */

#ifndef DEM_UDS_STATUS_PDTC_BflLn
#define DEM_UDS_STATUS_PDTC_BflLn 1U
#endif /* DEM_UDS_STATUS_PDTC_BflLn */

#ifndef DEM_UDS_STATUS_PDTC_BflMask
#define DEM_UDS_STATUS_PDTC_BflMask 4U
#endif /* DEM_UDS_STATUS_PDTC_BflMask */

#ifndef DEM_UDS_STATUS_PDTC_BflPn
#define DEM_UDS_STATUS_PDTC_BflPn 2U
#endif /* DEM_UDS_STATUS_PDTC_BflPn */

#ifndef DEM_UDS_STATUS_TFSLC_BflLn
#define DEM_UDS_STATUS_TFSLC_BflLn 1U
#endif /* DEM_UDS_STATUS_TFSLC_BflLn */

#ifndef DEM_UDS_STATUS_TFSLC_BflMask
#define DEM_UDS_STATUS_TFSLC_BflMask 32U
#endif /* DEM_UDS_STATUS_TFSLC_BflMask */

#ifndef DEM_UDS_STATUS_TFSLC_BflPn
#define DEM_UDS_STATUS_TFSLC_BflPn 5U
#endif /* DEM_UDS_STATUS_TFSLC_BflPn */

#ifndef DEM_UDS_STATUS_TFTOC_BflLn
#define DEM_UDS_STATUS_TFTOC_BflLn 1U
#endif /* DEM_UDS_STATUS_TFTOC_BflLn */

#ifndef DEM_UDS_STATUS_TFTOC_BflMask
#define DEM_UDS_STATUS_TFTOC_BflMask 2U
#endif /* DEM_UDS_STATUS_TFTOC_BflMask */

#ifndef DEM_UDS_STATUS_TFTOC_BflPn
#define DEM_UDS_STATUS_TFTOC_BflPn 1U
#endif /* DEM_UDS_STATUS_TFTOC_BflPn */

#ifndef DEM_UDS_STATUS_TF_BflLn
#define DEM_UDS_STATUS_TF_BflLn 1U
#endif /* DEM_UDS_STATUS_TF_BflLn */

#ifndef DEM_UDS_STATUS_TF_BflMask
#define DEM_UDS_STATUS_TF_BflMask 1U
#endif /* DEM_UDS_STATUS_TF_BflMask */

#ifndef DEM_UDS_STATUS_TF_BflPn
#define DEM_UDS_STATUS_TF_BflPn 0U
#endif /* DEM_UDS_STATUS_TF_BflPn */

#ifndef DEM_UDS_STATUS_TNCSLC_BflLn
#define DEM_UDS_STATUS_TNCSLC_BflLn 1U
#endif /* DEM_UDS_STATUS_TNCSLC_BflLn */

#ifndef DEM_UDS_STATUS_TNCSLC_BflMask
#define DEM_UDS_STATUS_TNCSLC_BflMask 16U
#endif /* DEM_UDS_STATUS_TNCSLC_BflMask */

#ifndef DEM_UDS_STATUS_TNCSLC_BflPn
#define DEM_UDS_STATUS_TNCSLC_BflPn 4U
#endif /* DEM_UDS_STATUS_TNCSLC_BflPn */

#ifndef DEM_UDS_STATUS_TNCTOC_BflLn
#define DEM_UDS_STATUS_TNCTOC_BflLn 1U
#endif /* DEM_UDS_STATUS_TNCTOC_BflLn */

#ifndef DEM_UDS_STATUS_TNCTOC_BflMask
#define DEM_UDS_STATUS_TNCTOC_BflMask 64U
#endif /* DEM_UDS_STATUS_TNCTOC_BflMask */

#ifndef DEM_UDS_STATUS_TNCTOC_BflPn
#define DEM_UDS_STATUS_TNCTOC_BflPn 6U
#endif /* DEM_UDS_STATUS_TNCTOC_BflPn */

#ifndef DEM_UDS_STATUS_WIR_BflLn
#define DEM_UDS_STATUS_WIR_BflLn 1U
#endif /* DEM_UDS_STATUS_WIR_BflLn */

#ifndef DEM_UDS_STATUS_WIR_BflMask
#define DEM_UDS_STATUS_WIR_BflMask 128U
#endif /* DEM_UDS_STATUS_WIR_BflMask */

#ifndef DEM_UDS_STATUS_WIR_BflPn
#define DEM_UDS_STATUS_WIR_BflPn 7U
#endif /* DEM_UDS_STATUS_WIR_BflPn */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DEM_TYPE_H */