/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Dlt_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_DLT_TYPE_H
#define RTE_DLT_TYPE_H

#define RTE_DLT_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DLT_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DLT_ASSIGN_ADD
#define DLT_ASSIGN_ADD 1U
#endif /* DLT_ASSIGN_ADD */

#ifndef DLT_ASSIGN_REMOVE
#define DLT_ASSIGN_REMOVE 2U
#endif /* DLT_ASSIGN_REMOVE */

#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */

#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */

#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */

#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */

#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */

#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */

#ifndef DLT_TRACE_FUNCTION_IN
#define DLT_TRACE_FUNCTION_IN 2U
#endif /* DLT_TRACE_FUNCTION_IN */

#ifndef DLT_TRACE_FUNCTION_OUT
#define DLT_TRACE_FUNCTION_OUT 3U
#endif /* DLT_TRACE_FUNCTION_OUT */

#ifndef DLT_TRACE_STATE
#define DLT_TRACE_STATE 4U
#endif /* DLT_TRACE_STATE */

#ifndef DLT_TRACE_VARIABLE
#define DLT_TRACE_VARIABLE 1U
#endif /* DLT_TRACE_VARIABLE */

#ifndef DLT_TRACE_VFB
#define DLT_TRACE_VFB 5U
#endif /* DLT_TRACE_VFB */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DLT_TYPE_H */