/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_EcuM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < EcuM >
 *
 **************************************************************************/
#ifndef RTE_ECUM_H
#define RTE_ECUM_H

#define RTE_ECUM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_ECUM_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_EcuM_Type.h"
/* Version verification of the Rte_EcuM_Type module */
#if ((RTE_ECUM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_ECUM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_ECUM_TYPE module version is incompatible, there may be problems.
#endif
#include "EcuM.h"
#include "Rte_EcuM_MemClasses.h"
/* Version verification of the Rte_EcuM_MemClasses module */
#if ((RTE_ECUM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_ECUM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_ECUM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_EcuM_BootTarget_E_NOT_OK)
#define RTE_E_EcuM_BootTarget_E_NOT_OK 1U
#endif
#if (!defined RTE_E_EcuM_BootTarget_E_OK)
#define RTE_E_EcuM_BootTarget_E_OK 0U
#endif
#if (!defined RTE_E_EcuM_ShutdownTarget_E_NOT_OK)
#define RTE_E_EcuM_ShutdownTarget_E_NOT_OK 1U
#endif
#if (!defined RTE_E_EcuM_ShutdownTarget_E_OK)
#define RTE_E_EcuM_ShutdownTarget_E_OK 0U
#endif
#if (!defined RTE_E_EcuM_StateRequest_E_NOT_OK)
#define RTE_E_EcuM_StateRequest_E_NOT_OK 1U
#endif
#if (!defined RTE_E_EcuM_StateRequest_E_OK)
#define RTE_E_EcuM_StateRequest_E_OK 0U
#endif

/* Mode Provided Port currentMode */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_EcuM_currentMode_currentMode(VAR(uint8, AUTOMATIC) modeParameter);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_SwitchAck_EcuM_currentMode_currentMode(void);
extern FUNC(uint8, RTE_CODE) Rte_Mode_EcuM_currentMode_currentMode(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_GetBootTarget) && \
        (!defined RTE_RUNNABLEAPI_GetLastShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_GetShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_GetShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_MainFunction) && \
        (!defined RTE_RUNNABLEAPI_ReleasePOSTRUN) && \
        (!defined RTE_RUNNABLEAPI_ReleaseRUN) && \
        (!defined RTE_RUNNABLEAPI_RequestPOSTRUN) && \
        (!defined RTE_RUNNABLEAPI_RequestRUN) && \
        (!defined RTE_RUNNABLEAPI_SelectBootTarget) && \
        (!defined RTE_RUNNABLEAPI_SelectShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_SelectShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_SetState) \
)
#define Rte_Mode_currentMode_currentMode Rte_Mode_EcuM_currentMode_currentMode
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_GetBootTarget) && \
        (!defined RTE_RUNNABLEAPI_GetLastShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_GetShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_GetShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_ReleasePOSTRUN) && \
        (!defined RTE_RUNNABLEAPI_ReleaseRUN) && \
        (!defined RTE_RUNNABLEAPI_RequestPOSTRUN) && \
        (!defined RTE_RUNNABLEAPI_RequestRUN) && \
        (!defined RTE_RUNNABLEAPI_SelectBootTarget) && \
        (!defined RTE_RUNNABLEAPI_SelectShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_SelectShutdownTarget) \
)
#define Rte_Switch_currentMode_currentMode Rte_Switch_EcuM_currentMode_currentMode
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_GetBootTarget) && \
        (!defined RTE_RUNNABLEAPI_GetLastShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_GetShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_GetShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_ReleasePOSTRUN) && \
        (!defined RTE_RUNNABLEAPI_ReleaseRUN) && \
        (!defined RTE_RUNNABLEAPI_RequestPOSTRUN) && \
        (!defined RTE_RUNNABLEAPI_RequestRUN) && \
        (!defined RTE_RUNNABLEAPI_SelectBootTarget) && \
        (!defined RTE_RUNNABLEAPI_SelectShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_SelectShutdownTarget) \
)
#define Rte_SwitchAck_currentMode_currentMode Rte_SwitchAck_EcuM_currentMode_currentMode
#endif
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_ECUM_H */