/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_EcuM_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_ECUM_TYPE_H
#define RTE_ECUM_TYPE_H

#define RTE_ECUM_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_ECUM_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Defines
 *
 **************************************************************************/
#ifndef RTE_TRANSITION_EcuM_Mode
#define RTE_TRANSITION_EcuM_Mode 7U
#endif
#ifndef RTE_MODE_EcuM_Mode_INIT
#define RTE_MODE_EcuM_Mode_INIT 0U
#endif
#ifndef RTE_MODE_EcuM_Mode_POST_RUN
#define RTE_MODE_EcuM_Mode_POST_RUN 1U
#endif
#ifndef RTE_MODE_EcuM_Mode_RUN
#define RTE_MODE_EcuM_Mode_RUN 2U
#endif
#ifndef RTE_MODE_EcuM_Mode_SHUTDOWN
#define RTE_MODE_EcuM_Mode_SHUTDOWN 3U
#endif
#ifndef RTE_MODE_EcuM_Mode_SLEEP
#define RTE_MODE_EcuM_Mode_SLEEP 4U
#endif
#ifndef RTE_MODE_EcuM_Mode_STARTUP
#define RTE_MODE_EcuM_Mode_STARTUP 5U
#endif
#ifndef RTE_MODE_EcuM_Mode_WAKE_SLEEP
#define RTE_MODE_EcuM_Mode_WAKE_SLEEP 6U
#endif

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef ECUM_BOOT_TARGET_APP
#define ECUM_BOOT_TARGET_APP 0U
#endif /* ECUM_BOOT_TARGET_APP */

#ifndef ECUM_BOOT_TARGET_OEM_BOOTLOADER
#define ECUM_BOOT_TARGET_OEM_BOOTLOADER 1U
#endif /* ECUM_BOOT_TARGET_OEM_BOOTLOADER */

#ifndef ECUM_BOOT_TARGET_SYS_BOOTLOADER
#define ECUM_BOOT_TARGET_SYS_BOOTLOADER 2U
#endif /* ECUM_BOOT_TARGET_SYS_BOOTLOADER */

#ifndef ECUM_CAUSE_DCM
#define ECUM_CAUSE_DCM 3U
#endif /* ECUM_CAUSE_DCM */

#ifndef ECUM_CAUSE_ECU_STATE
#define ECUM_CAUSE_ECU_STATE 1U
#endif /* ECUM_CAUSE_ECU_STATE */

#ifndef ECUM_CAUSE_UNKNOWN
#define ECUM_CAUSE_UNKNOWN 0U
#endif /* ECUM_CAUSE_UNKNOWN */

#ifndef ECUM_CAUSE_WDGM
#define ECUM_CAUSE_WDGM 2U
#endif /* ECUM_CAUSE_WDGM */

#ifndef ECUM_SHUTDOWN_TARGET_OFF
#define ECUM_SHUTDOWN_TARGET_OFF 2U
#endif /* ECUM_SHUTDOWN_TARGET_OFF */

#ifndef ECUM_SHUTDOWN_TARGET_POST_RUN
#define ECUM_SHUTDOWN_TARGET_POST_RUN 4U
#endif /* ECUM_SHUTDOWN_TARGET_POST_RUN */

#ifndef ECUM_SHUTDOWN_TARGET_RESET
#define ECUM_SHUTDOWN_TARGET_RESET 1U
#endif /* ECUM_SHUTDOWN_TARGET_RESET */

#ifndef ECUM_SHUTDOWN_TARGET_RUN
#define ECUM_SHUTDOWN_TARGET_RUN 3U
#endif /* ECUM_SHUTDOWN_TARGET_RUN */

#ifndef ECUM_SHUTDOWN_TARGET_SHUTDOWN
#define ECUM_SHUTDOWN_TARGET_SHUTDOWN 6U
#endif /* ECUM_SHUTDOWN_TARGET_SHUTDOWN */

#ifndef ECUM_SHUTDOWN_TARGET_SLEEP
#define ECUM_SHUTDOWN_TARGET_SLEEP 0U
#endif /* ECUM_SHUTDOWN_TARGET_SLEEP */

#ifndef ECUM_SHUTDOWN_TARGET_STARTUP
#define ECUM_SHUTDOWN_TARGET_STARTUP 5U
#endif /* ECUM_SHUTDOWN_TARGET_STARTUP */

#ifndef ECUM_SHUTDOWN_TARGET_WAKEUP_SLEEP
#define ECUM_SHUTDOWN_TARGET_WAKEUP_SLEEP 7U
#endif /* ECUM_SHUTDOWN_TARGET_WAKEUP_SLEEP */

#ifndef EcuM_ShutdownMode_ECUM_RESET_DCM
#define EcuM_ShutdownMode_ECUM_RESET_DCM 0U
#endif /* EcuM_ShutdownMode_ECUM_RESET_DCM */

#ifndef EcuM_ShutdownMode_ECUM_RESET_IO
#define EcuM_ShutdownMode_ECUM_RESET_IO 1U
#endif /* EcuM_ShutdownMode_ECUM_RESET_IO */

#ifndef EcuM_ShutdownMode_ECUM_RESET_MCU
#define EcuM_ShutdownMode_ECUM_RESET_MCU 2U
#endif /* EcuM_ShutdownMode_ECUM_RESET_MCU */

#ifndef EcuM_ShutdownMode_ECUM_RESET_WDG
#define EcuM_ShutdownMode_ECUM_RESET_WDG 3U
#endif /* EcuM_ShutdownMode_ECUM_RESET_WDG */

#ifndef EcuM_ShutdownMode_EcuMSleepMode
#define EcuM_ShutdownMode_EcuMSleepMode 0U
#endif /* EcuM_ShutdownMode_EcuMSleepMode */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_ECUM_TYPE_H */