/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Main.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_MAIN_H
#define RTE_MAIN_H

#define RTE_MAIN_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_MAIN_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte.h"
#include "Rte_PBcfg.h"
#include "Os.h"
/* Version verification of the Rte_PBcfg module */
#if ((RTE_PBCFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_PBCFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_PBCFG module version is incompatible, there may be problems.
#endif
#include "Rte_MemClasses.h"
/* Version verification of the Rte_MemClasses module */
#if ((RTE_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_MEMCLASSES module version is incompatible, there may be problems.
#endif

/***************************************************************************
 *
 * Defines
 *
 **************************************************************************/
#define SCHM_VENDOR_ID                      PLATFORM_VENDOR_ID
#define SCHM_MODULE_ID                      (130U)
#define SCHM_AR_RELEASE_MAJOR_VERSION       (4U)
#define SCHM_AR_RELEASE_MINOR_VERSION       (4U)
#define SCHM_SW_MAJOR_VERSION               (1U)
#define SCHM_SW_MINOR_VERSION               (0U)
#define SCHM_SW_PATCH_VERSION               (0U)
#define RTE_MAX_EXCLUSIVE_AREA_NUMBER       (65535U)
#define RTE_MAX_RECEIVE_COUNTER_NUMBER      (4294967295U)

/***************************************************************************
 *
 * Rte Task Data Type
 *
 **************************************************************************/
typedef struct {
    const TaskType taskId;
    uint16 exclusiveAreaNumber;
    uint8 blockedApiId;
} Rte_task_data_EcucPartition_C0_HW_ASILD;

typedef struct {
    uint8 size;
    Rte_task_data_EcucPartition_C0_HW_ASILD *osApplData;
} Rte_osApp_data_EcucPartition_C0_HW_ASILD;

/***************************************************************************
 *
 * Rte Task Data Type
 *
 **************************************************************************/
typedef struct {
    const TaskType taskId;
    uint16 exclusiveAreaNumber;
    uint8 blockedApiId;
} Rte_task_data_EcucPartition_C0_HW_QM;

typedef struct {
    uint8 size;
    Rte_task_data_EcucPartition_C0_HW_QM *osApplData;
} Rte_osApp_data_EcucPartition_C0_HW_QM;

/***************************************************************************
 *
 * Variables
 *
 **************************************************************************/
/* The current RTE status:
 *  value = 0 : not running
 *  value = 1 :     running */
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C0_HW_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C0_HW_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C0_HW_QM_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C0_HW_QM_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C1_APP_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C1_APP_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C1_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C1_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C2_APP_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C2_APP_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C2_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C2_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C3_APP_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C3_APP_ASILD_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C3_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C3_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C4_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C4_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) Rte_EcucPartition_C5_APP_QM_running_status;
extern VAR(uint8, AUTOMATIC) SchM_EcucPartition_C5_APP_QM_running_status;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * RTE API
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Start(void);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Stop(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C0_HW_ASILD(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C0_HW_QM(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C1_APP_ASILD(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C1_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C2_APP_ASILD(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C2_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C3_APP_ASILD(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C3_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C4_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_PartitionTerminated_EcucPartition_C5_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_StartCore_0(void);
extern FUNC(void, RTE_CODE) Rte_StopCore_0(void);
extern FUNC(void, RTE_CODE) Rte_StartCore_1(void);
extern FUNC(void, RTE_CODE) Rte_StopCore_1(void);
extern FUNC(void, RTE_CODE) Rte_StartCore_2(void);
extern FUNC(void, RTE_CODE) Rte_StopCore_2(void);
extern FUNC(void, RTE_CODE) Rte_StartCore_3(void);
extern FUNC(void, RTE_CODE) Rte_StopCore_3(void);
extern FUNC(void, RTE_CODE) Rte_StartCore_4(void);
extern FUNC(void, RTE_CODE) Rte_StopCore_4(void);
extern FUNC(void, RTE_CODE) Rte_StartCore_5(void);
extern FUNC(void, RTE_CODE) Rte_StopCore_5(void);

/***************************************************************************
 *
 * SchM API
 *
 **************************************************************************/
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_Init(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_Init(void);
#endif
extern FUNC(void, RTE_CODE) SchM_Start(void);
extern FUNC(void, RTE_CODE) SchM_StartTiming(void);
extern FUNC(void, RTE_CODE) SchM_Deinit(void);
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_InitCore_0(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_InitCore_0(void);
#endif
extern FUNC(void, RTE_CODE) SchM_DeinitCore_0(void);
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_InitCore_1(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_InitCore_1(void);
#endif
extern FUNC(void, RTE_CODE) SchM_DeinitCore_1(void);
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_InitCore_2(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_InitCore_2(void);
#endif
extern FUNC(void, RTE_CODE) SchM_DeinitCore_2(void);
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_InitCore_3(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_InitCore_3(void);
#endif
extern FUNC(void, RTE_CODE) SchM_DeinitCore_3(void);
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_InitCore_4(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_InitCore_4(void);
#endif
extern FUNC(void, RTE_CODE) SchM_DeinitCore_4(void);
#if ((SCHM_AR_RELEASE_MAJOR_VERSION == 4U) && (SCHM_AR_RELEASE_MINOR_VERSION == 4U))
extern FUNC(void, RTE_CODE) SchM_InitCore_5(P2CONST(SchM_ConfigType, AUTOMATIC, RTE_APPL_DATA) ConfigPtr);
#else
extern FUNC(void, RTE_CODE) SchM_InitCore_5(void);
#endif
extern FUNC(void, RTE_CODE) SchM_DeinitCore_5(void);
/***************************************************************************
 *
 * Util API
 *
 **************************************************************************/
extern FUNC(uint32, RTE_CODE) getRteSrPriority(
    Std_ReturnType status,
    P2CONST(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) priority,
    VAR(uint32, AUTOMATIC) len);
extern FUNC(uint32, RTE_CODE) getRteCsCallPriority(Std_ReturnType status);
extern FUNC(void, RTE_CODE) convertStatusCsCallPriority(
    P2VAR(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) result,
    P2CONST(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) status);
extern FUNC(uint32, RTE_CODE) getRteCsResultPriority(Std_ReturnType status);
extern FUNC(void, RTE_CODE) convertStatusCsResultPriority(
    P2VAR(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) result,
    P2CONST(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) status);
extern FUNC(void, RTE_CODE) convertComStatusToRteStatus(
    P2VAR(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) result,
    P2VAR(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) status);
/***************************************************************************
 *
 * Rte Task Data Method
 *
 **************************************************************************/
extern FUNC_P2VAR(Rte_task_data_EcucPartition_C0_HW_ASILD, RTE_DATA, AUTOMATIC) getRteTaskData_EcucPartition_C0_HW_ASILD(TaskType taskID);
extern FUNC(void, RTE_CODE) incrementTaskDataExclArea_EcucPartition_C0_HW_ASILD(void);
extern FUNC(void, RTE_CODE) decrementTaskDataExclArea_EcucPartition_C0_HW_ASILD(void);
extern FUNC(Std_ReturnType, RTE_CODE) rteBlockingTask_EcucPartition_C0_HW_ASILD(Rte_task_data_EcucPartition_C0_HW_ASILD *taskData, uint8 rteID);
extern FUNC(void, RTE_CODE) rteResumeTask_EcucPartition_C0_HW_ASILD(void);
extern FUNC(void, RTE_CODE) rteWakeUpTask_EcucPartition_C0_HW_ASILD(uint8 rteID, EventMaskType eventID);
/***************************************************************************
 *
 * Rte Task Data Method
 *
 **************************************************************************/
extern FUNC_P2VAR(Rte_task_data_EcucPartition_C0_HW_QM, RTE_DATA, AUTOMATIC) getRteTaskData_EcucPartition_C0_HW_QM(TaskType taskID);
extern FUNC(void, RTE_CODE) incrementTaskDataExclArea_EcucPartition_C0_HW_QM(void);
extern FUNC(void, RTE_CODE) decrementTaskDataExclArea_EcucPartition_C0_HW_QM(void);
extern FUNC(Std_ReturnType, RTE_CODE) rteBlockingTask_EcucPartition_C0_HW_QM(Rte_task_data_EcucPartition_C0_HW_QM *taskData, uint8 rteID);
extern FUNC(void, RTE_CODE) rteResumeTask_EcucPartition_C0_HW_QM(void);
extern FUNC(void, RTE_CODE) rteWakeUpTask_EcucPartition_C0_HW_QM(uint8 rteID, EventMaskType eventID);

/***************************************************************************
 *
 * Data Transformation API
 *
 **************************************************************************/

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_MAIN_H */