/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SecOC.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < SecOC >
 *
 **************************************************************************/
#ifndef RTE_SECOC_H
#define RTE_SECOC_H

#define RTE_SECOC_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SECOC_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_GetRxFreshness
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_GetRxFreshness */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_GetRxFreshnessAuthData
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_GetRxFreshnessAuthData */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_GetTxFreshness
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_GetTxFreshness */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_GetTxFreshnessTruncData
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_GetTxFreshnessTruncData */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SPduTxConfirmation
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SPduTxConfirmation */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_VerificationStatus
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_VerificationStatus */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_SecOC_Type.h"
/* Version verification of the Rte_SecOC_Type module */
#if ((RTE_SECOC_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SECOC_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SECOC_TYPE module version is incompatible, there may be problems.
#endif
#include "SecOC.h"
#include "Rte_SecOC_MemClasses.h"
/* Version verification of the Rte_SecOC_MemClasses module */
#if ((RTE_SECOC_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SECOC_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SECOC_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_GetRxFreshness FreshnessManagement_GetRxFreshness

#define RTE_RUNNABLE_GetRxFreshnessAuthData FreshnessManagement_GetRxFreshnessAuthData

#define RTE_RUNNABLE_GetTxFreshness FreshnessManagement_GetTxFreshness

#define RTE_RUNNABLE_GetTxFreshnessTruncData FreshnessManagement_GetTxFreshnessTruncData

#define RTE_RUNNABLE_SPduTxConfirmation FreshnessManagement_SPduTxConfirmation

#define RTE_RUNNABLE_VerificationStatus SecOC_VerificationStatus

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_VerifyStatusConfiguration_E_NOT_OK)
#define RTE_E_VerifyStatusConfiguration_E_NOT_OK 1U
#endif
#if (!defined RTE_E_VerifyStatusConfiguration_E_OK)
#define RTE_E_VerifyStatusConfiguration_E_OK 0U
#endif

/* Sender-Receiver Provided Port VerificationStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_SecOC_VerificationStatus_verificationStatus(P2CONST(SecOC_VerificationStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_verificationStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_VerificationStatus_verificationStatus Rte_Write_SecOC_VerificationStatus_verificationStatus
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SECOC_H */