/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SecOC_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_SECOC_TYPE_H
#define RTE_SECOC_TYPE_H

#define RTE_SECOC_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SECOC_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef SECOC_AUTHENTICATIONBUILDFAILURE
#define SECOC_AUTHENTICATIONBUILDFAILURE 3U
#endif /* SECOC_AUTHENTICATIONBUILDFAILURE */

#ifndef SECOC_FRESHNESSFAILURE
#define SECOC_FRESHNESSFAILURE 2U
#endif /* SECOC_FRESHNESSFAILURE */

#ifndef SECOC_NO_VERIFICATION
#define SECOC_NO_VERIFICATION 4U
#endif /* SECOC_NO_VERIFICATION */

#ifndef SECOC_OVERRIDE_CANCEL
#define SECOC_OVERRIDE_CANCEL 2U
#endif /* SECOC_OVERRIDE_CANCEL */

#ifndef SECOC_OVERRIDE_DROP_UNTIL_LIMIT
#define SECOC_OVERRIDE_DROP_UNTIL_LIMIT 1U
#endif /* SECOC_OVERRIDE_DROP_UNTIL_LIMIT */

#ifndef SECOC_OVERRIDE_DROP_UNTIL_NOTICE
#define SECOC_OVERRIDE_DROP_UNTIL_NOTICE 0U
#endif /* SECOC_OVERRIDE_DROP_UNTIL_NOTICE */

#ifndef SECOC_OVERRIDE_PASS_UNTIL_LIMIT
#define SECOC_OVERRIDE_PASS_UNTIL_LIMIT 66U
#endif /* SECOC_OVERRIDE_PASS_UNTIL_LIMIT */

#ifndef SECOC_OVERRIDE_PASS_UNTIL_NOTICE
#define SECOC_OVERRIDE_PASS_UNTIL_NOTICE 64U
#endif /* SECOC_OVERRIDE_PASS_UNTIL_NOTICE */

#ifndef SECOC_OVERRIDE_SKIP_UNTIL_LIMIT
#define SECOC_OVERRIDE_SKIP_UNTIL_LIMIT 65U
#endif /* SECOC_OVERRIDE_SKIP_UNTIL_LIMIT */

#ifndef SECOC_VERIFICATIONFAILURE
#define SECOC_VERIFICATIONFAILURE 1U
#endif /* SECOC_VERIFICATIONFAILURE */

#ifndef SECOC_VERIFICATIONFAILURE_OVERWRITTEN
#define SECOC_VERIFICATIONFAILURE_OVERWRITTEN 5U
#endif /* SECOC_VERIFICATIONFAILURE_OVERWRITTEN */

#ifndef SECOC_VERIFICATIONSUCCESS
#define SECOC_VERIFICATIONSUCCESS 0U
#endif /* SECOC_VERIFICATIONSUCCESS */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef SecOC_OverrideStatusType_LowerLimit
#define SecOC_OverrideStatusType_LowerLimit (SecOC_OverrideStatusType)0U
#endif /* SecOC_OverrideStatusType_LowerLimit */

#ifndef SecOC_OverrideStatusType_UpperLimit
#define SecOC_OverrideStatusType_UpperLimit (SecOC_OverrideStatusType)66U
#endif /* SecOC_OverrideStatusType_UpperLimit */

#ifndef SecOC_VerificationResultType_LowerLimit
#define SecOC_VerificationResultType_LowerLimit (SecOC_VerificationResultType)0U
#endif /* SecOC_VerificationResultType_LowerLimit */

#ifndef SecOC_VerificationResultType_UpperLimit
#define SecOC_VerificationResultType_UpperLimit (SecOC_VerificationResultType)2U
#endif /* SecOC_VerificationResultType_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SECOC_TYPE_H */