/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcRxHandlerCpu0.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < SwcRxHandlerCpu0 >
 *
 **************************************************************************/
#ifndef RTE_SWCRXHANDLERCPU0_H
#define RTE_SWCRXHANDLERCPU0_H

#define RTE_SWCRXHANDLERCPU0_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWCRXHANDLERCPU0_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcRxHandlerCpu0_10ms
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcRxHandlerCpu0_10ms */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcRxHandlerCpu0_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcRxHandlerCpu0_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_SwcRxHandlerCpu0_Type.h"
/* Version verification of the Rte_SwcRxHandlerCpu0_Type module */
#if ((RTE_SWCRXHANDLERCPU0_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU0_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU0_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_SwcRxHandlerCpu0_MemClasses.h"
/* Version verification of the Rte_SwcRxHandlerCpu0_MemClasses module */
#if ((RTE_SWCRXHANDLERCPU0_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU0_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU0_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SwcRxHandlerCpu0_10ms SwcRxHandlerCpu0_10ms

#define RTE_RUNNABLE_SwcRxHandlerCpu0_Init SwcRxHandlerCpu0_Init

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_SwcRxHandlerCpu0_BareUdpData_P {
    Std_ReturnType (*Send_BareUdpData)(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu0_BareUdpData_P *Rte_PortHandle_BareUdpData_P;
#endif

struct Rte_PDS_SwcRxHandlerCpu0_BoardImuAbstractData_R {
    Std_ReturnType (*Read_abstractData)(P2VAR(BoardImuAbstractDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_abstractData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu0_BoardImuAbstractData_R *Rte_PortHandle_BoardImuAbstractData_R;
#endif

struct Rte_PDS_SwcRxHandlerCpu0_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu0_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

struct Rte_PDS_SwcRxHandlerCpu0_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu0_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_CDS_SwcRxHandlerCpu0 {
    struct Rte_PDS_SwcRxHandlerCpu0_BareUdpData_P BareUdpApp2Intf0;
    struct Rte_PDS_SwcRxHandlerCpu0_BareUdpData_P BareUdpApp2Intf1;
    struct Rte_PDS_SwcRxHandlerCpu0_BareUdpData_P BareUdpApp2Intf2;
    struct Rte_PDS_SwcRxHandlerCpu0_BareUdpData_P BareUdpApp2Intf3;
    struct Rte_PDS_SwcRxHandlerCpu0_BoardImuAbstractData_R BoardImuAbstractData;
    struct Rte_PDS_SwcRxHandlerCpu0_CanRawMsg_R swc_gp0_CAN11_Recv;
    struct Rte_PDS_SwcRxHandlerCpu0_CanRawMsg_R swc_gp0_CAN6_Recv;
    struct Rte_PDS_SwcRxHandlerCpu0_CanRawMsg_R swc_gp0_CAN7_Recv;
    struct Rte_PDS_SwcRxHandlerCpu0_CanRawMsg_R swc_gp2_CAN9_Recv;
    struct Rte_PDS_SwcRxHandlerCpu0_LogSwcMessageInterface_P LogSwcMessageInterface;
};
typedef struct Rte_CDS_SwcRxHandlerCpu0 Rte_CDS_SwcRxHandlerCpu0;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_SwcRxHandlerCpu0, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_SwcRxHandlerCpu0, RTE_CONST, RTE_CONST) Rte_Inst_SwcRxHandlerCpu0;

/* Sender-Receiver Provided Port BareUdpApp2Intf0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf0_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf0_BareUdpData Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf0_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf1_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf1_BareUdpData Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf1_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf2_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf2_BareUdpData Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf2_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf3_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf3_BareUdpData Rte_Send_SwcRxHandlerCpu0_BareUdpApp2Intf3_BareUdpData
#endif

/* Sender-Receiver Required Port BoardImuAbstractData */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_SwcRxHandlerCpu0_BoardImuAbstractData_abstractData(P2VAR(BoardImuAbstractDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_abstractData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_BoardImuAbstractData_abstractData Rte_Read_SwcRxHandlerCpu0_BoardImuAbstractData_abstractData
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu0_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_SwcRxHandlerCpu0_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port swc_gp0_CAN11_Recv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu0_swc_gp0_CAN11_Recv_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_swc_gp0_CAN11_Recv_CanRawMsg Rte_Receive_SwcRxHandlerCpu0_swc_gp0_CAN11_Recv_CanRawMsg
#endif

/* Sender-Receiver Required Port swc_gp0_CAN6_Recv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu0_swc_gp0_CAN6_Recv_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_swc_gp0_CAN6_Recv_CanRawMsg Rte_Receive_SwcRxHandlerCpu0_swc_gp0_CAN6_Recv_CanRawMsg
#endif

/* Sender-Receiver Required Port swc_gp0_CAN7_Recv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu0_swc_gp0_CAN7_Recv_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_swc_gp0_CAN7_Recv_CanRawMsg Rte_Receive_SwcRxHandlerCpu0_swc_gp0_CAN7_Recv_CanRawMsg
#endif

/* Sender-Receiver Required Port swc_gp2_CAN9_Recv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu0_swc_gp2_CAN9_Recv_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_swc_gp2_CAN9_Recv_CanRawMsg Rte_Receive_SwcRxHandlerCpu0_swc_gp2_CAN9_Recv_CanRawMsg
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, SwcRxHandlerCpu0_CODE) SwcRxHandlerCpu0_10ms (void);

extern FUNC(void, SwcRxHandlerCpu0_CODE) SwcRxHandlerCpu0_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWCRXHANDLERCPU0_H */