/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcTxHandlerCpu1.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < SwcTxHandlerCpu1 >
 *
 **************************************************************************/
#ifndef RTE_SWCTXHANDLERCPU1_H
#define RTE_SWCTXHANDLERCPU1_H

#define RTE_SWCTXHANDLERCPU1_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWCTXHANDLERCPU1_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcTxHandlerCpu1_10ms
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcTxHandlerCpu1_10ms */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcTxHandlerCpu1_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcTxHandlerCpu1_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_SwcTxHandlerCpu1_Type.h"
/* Version verification of the Rte_SwcTxHandlerCpu1_Type module */
#if ((RTE_SWCTXHANDLERCPU1_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCTXHANDLERCPU1_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCTXHANDLERCPU1_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_SwcTxHandlerCpu1_MemClasses.h"
/* Version verification of the Rte_SwcTxHandlerCpu1_MemClasses module */
#if ((RTE_SWCTXHANDLERCPU1_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCTXHANDLERCPU1_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCTXHANDLERCPU1_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SwcTxHandlerCpu1_10ms SwcTxHandlerCpu1_10ms

#define RTE_RUNNABLE_SwcTxHandlerCpu1_Init SwcTxHandlerCpu1_Init

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P {
    Std_ReturnType (*Send_BareUdpData)(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P *Rte_PortHandle_BareUdpData_P;
#endif

struct Rte_PDS_SwcTxHandlerCpu1_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcTxHandlerCpu1_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_CDS_SwcTxHandlerCpu1 {
    struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P BareUdpApp2Intf0;
    struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P BareUdpApp2Intf1;
    struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P BareUdpApp2Intf2;
    struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P BareUdpApp2Intf3;
    struct Rte_PDS_SwcTxHandlerCpu1_BareUdpData_P BareUdpApp2Intf5;
    struct Rte_PDS_SwcTxHandlerCpu1_LogSwcMessageInterface_P LogSwcMessageInterface;
};
typedef struct Rte_CDS_SwcTxHandlerCpu1 Rte_CDS_SwcTxHandlerCpu1;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_SwcTxHandlerCpu1, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_SwcTxHandlerCpu1, RTE_CONST, RTE_CONST) Rte_Inst_SwcTxHandlerCpu1;

/* Sender-Receiver Provided Port BareUdpApp2Intf0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf0_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf0_BareUdpData Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf0_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf1_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf1_BareUdpData Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf1_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf2_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf2_BareUdpData Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf2_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf3_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf3_BareUdpData Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf3_BareUdpData
#endif

/* Sender-Receiver Provided Port BareUdpApp2Intf5 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf5_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_BareUdpApp2Intf5_BareUdpData Rte_Send_SwcTxHandlerCpu1_BareUdpApp2Intf5_BareUdpData
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu1_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_SwcTxHandlerCpu1_LogSwcMessageInterface_MntSendLog
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, SwcTxHandlerCpu1_CODE) SwcTxHandlerCpu1_10ms (void);

extern FUNC(void, SwcTxHandlerCpu1_CODE) SwcTxHandlerCpu1_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWCTXHANDLERCPU1_H */