/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcTxHandlerCpu2.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < SwcTxHandlerCpu2 >
 *
 **************************************************************************/
#ifndef RTE_SWCTXHANDLERCPU2_H
#define RTE_SWCTXHANDLERCPU2_H

#define RTE_SWCTXHANDLERCPU2_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWCTXHANDLERCPU2_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcTxHandlerCpu2_10ms
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcTxHandlerCpu2_10ms */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcTxHandlerCpu2_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcTxHandlerCpu2_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_SwcTxHandlerCpu2_Type.h"
/* Version verification of the Rte_SwcTxHandlerCpu2_Type module */
#if ((RTE_SWCTXHANDLERCPU2_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCTXHANDLERCPU2_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCTXHANDLERCPU2_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_SwcTxHandlerCpu2_MemClasses.h"
/* Version verification of the Rte_SwcTxHandlerCpu2_MemClasses module */
#if ((RTE_SWCTXHANDLERCPU2_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCTXHANDLERCPU2_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCTXHANDLERCPU2_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SwcTxHandlerCpu2_10ms SwcTxHandlerCpu2_10ms

#define RTE_RUNNABLE_SwcTxHandlerCpu2_Init SwcTxHandlerCpu2_Init

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_SwcTxHandlerCpu2_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcTxHandlerCpu2_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_SwcTxHandlerCpu2_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcTxHandlerCpu2_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_CDS_SwcTxHandlerCpu2 {
    struct Rte_PDS_SwcTxHandlerCpu2_CanRawMsg_P swc_gp2_CAN0_Send;
    struct Rte_PDS_SwcTxHandlerCpu2_CanRawMsg_P swc_gp2_CAN1_Send;
    struct Rte_PDS_SwcTxHandlerCpu2_LogSwcMessageInterface_P LogSwcMessageInterface;
};
typedef struct Rte_CDS_SwcTxHandlerCpu2 Rte_CDS_SwcTxHandlerCpu2;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_SwcTxHandlerCpu2, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_SwcTxHandlerCpu2, RTE_CONST, RTE_CONST) Rte_Inst_SwcTxHandlerCpu2;

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu2_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_SwcTxHandlerCpu2_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port swc_gp2_CAN0_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu2_swc_gp2_CAN0_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp2_CAN0_Send_CanRawMsg Rte_Send_SwcTxHandlerCpu2_swc_gp2_CAN0_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp2_CAN1_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcTxHandlerCpu2_swc_gp2_CAN1_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp2_CAN1_Send_CanRawMsg Rte_Send_SwcTxHandlerCpu2_swc_gp2_CAN1_Send_CanRawMsg
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, SwcTxHandlerCpu2_CODE) SwcTxHandlerCpu2_10ms (void);

extern FUNC(void, SwcTxHandlerCpu2_CODE) SwcTxHandlerCpu2_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWCTXHANDLERCPU2_H */