/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Trace.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_TRACE_H
#define RTE_TRACE_H

#define RTE_TRACE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_TRACE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 *  Log ID
 *
 **************************************************************************/
#define LOGID_SR_WRITE_API 0U
#define LOGID_SR_READ_API 1U
#define LOGID_SR_SEND_API 2U
#define LOGID_SR_RECEIVE_API 3U
#define LOGID_SR_RECEIVE_API_WARNING 4U

#define LOGID_CS_CALL_API 16U
#define LOGID_CS_RESULT_API 17U
#define LOGID_CS_RESULT_API_WARNING 18U

#define LOGID_DEQUEUE_WARNING 23U
#define LOGID_IOC_DATA_OUT_WARNING 24U

#define LOGID_ENQUEUE_ERROR 25U
#define LOGID_DEQUEUE_ERROR 26U

#define LOGID_IOC_DATA_IN_ERROR 27U
#define LOGID_IOC_DATA_OUT_ERROR 28U

#define LOGID_TASK_SETEVENT_ERROR 32U
#define LOGID_TASK_GETEVENT_ERROR 33U
#define LOGID_TASK_WAITEVENT_ERROR 34U

#define LOGID_COMSEND_COUNT 48U
#define LOGID_COMSEND_ERROR 49U
#define LOGID_COMSEND_ERROR_COUNT 50U
#define LOGID_COMRECEIVE_COUNT 51U
#define LOGID_COMRECEIVE_ERROR 52U
#define LOGID_COMRECEIVE_ERROR_COUNT 53U

#define LOGID_LDCOM_TX_COUNT 64U
#define LOGID_LDCOM_TX_ERROR 65U
#define LOGID_LDCOM_TX_ERROR_COUNT 66U
#define LOGID_LDCOM_CBK_COUNT 67U
#define LOGID_LDCOM_UOC_ERROR 68U
#define LOGID_LDCOM_CLIENTID_ERROR 72U
#define LOGID_LDCOM_SEQUENCECOUNTER_ERROR 73U

#define LOGID_LDCOM_PROXY_SAVECACHEDDATA_ERROR 80U
#define LOGID_LDCOM_PROXY_ENQUEUEDATA_ERROR 81U

#define LOGID_TRANSFORMER_NULL_ERROR 96U
#define LOGID_TRANSFORMER_ERROR 97U
#define LOGID_TRANSFORMER_RETURN_VALUE_ERROR 98U
#define LOGID_TRANSFORMER_RETURN_VALUE_RANGE_ERROR 99U

/***************************************************************************
 *
 *  Trace ID
 *
 **************************************************************************/
#define TASK_CORE1_QM_120S_LOW_TRACE_ID 1U /* Task_Core1_QM_120s_Low */
#define DATA06RX_CANTP_TRACE_ID 2U /* Data06Rx_CanTp */
#define DATA06TX_CANTP_TRACE_ID 3U /* Data06Tx_CanTp */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN0_CANRAWMSG_TRACE_ID 4U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn0_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN10_CANRAWMSG_TRACE_ID 5U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn10_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN11_CANRAWMSG_TRACE_ID 6U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn11_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN1_CANRAWMSG_TRACE_ID 7U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn1_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN2_CANRAWMSG_TRACE_ID 8U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn2_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN3_CANRAWMSG_TRACE_ID 9U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn3_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN4_CANRAWMSG_TRACE_ID 10U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn4_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN5_CANRAWMSG_TRACE_ID 11U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn5_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN6_CANRAWMSG_TRACE_ID 12U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn6_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN7_CANRAWMSG_TRACE_ID 13U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn7_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN8_CANRAWMSG_TRACE_ID 14U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn8_CanRawMsg */
#define RTE_RECEIVE_CDD_DATACENTER_CORE0_CANMSGDN9_CANRAWMSG_TRACE_ID 15U /* Rte_Receive_cdd_datacenter_core0_CanMsgDn9_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP0_CANRAWMSG_TRACE_ID 16U /* Rte_Send_cdd_datacenter_core0_CanMsgUp0_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP10_CANRAWMSG_TRACE_ID 17U /* Rte_Send_cdd_datacenter_core0_CanMsgUp10_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP11_CANRAWMSG_TRACE_ID 18U /* Rte_Send_cdd_datacenter_core0_CanMsgUp11_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP1_CANRAWMSG_TRACE_ID 19U /* Rte_Send_cdd_datacenter_core0_CanMsgUp1_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP2_CANRAWMSG_TRACE_ID 20U /* Rte_Send_cdd_datacenter_core0_CanMsgUp2_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP3_CANRAWMSG_TRACE_ID 21U /* Rte_Send_cdd_datacenter_core0_CanMsgUp3_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP4_CANRAWMSG_TRACE_ID 22U /* Rte_Send_cdd_datacenter_core0_CanMsgUp4_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP5_CANRAWMSG_TRACE_ID 23U /* Rte_Send_cdd_datacenter_core0_CanMsgUp5_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP6_CANRAWMSG_TRACE_ID 24U /* Rte_Send_cdd_datacenter_core0_CanMsgUp6_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP7_CANRAWMSG_TRACE_ID 25U /* Rte_Send_cdd_datacenter_core0_CanMsgUp7_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP8_CANRAWMSG_TRACE_ID 26U /* Rte_Send_cdd_datacenter_core0_CanMsgUp8_CanRawMsg */
#define RTE_SEND_CDD_DATACENTER_CORE0_CANMSGUP9_CANRAWMSG_TRACE_ID 27U /* Rte_Send_cdd_datacenter_core0_CanMsgUp9_CanRawMsg */

/***************************************************************************
 *
 *  SR Queue Trace ID
 *
 **************************************************************************/
#define RTE_QUEUE_SWCRXHANDLERCPU0_SWC_GP0_CAN11_RECV_CANRAWMSG_TRACE_ID 1U
#define RTE_QUEUE_SWCRXHANDLERCPU0_SWC_GP0_CAN6_RECV_CANRAWMSG_TRACE_ID 2U
#define RTE_QUEUE_SWCRXHANDLERCPU0_SWC_GP0_CAN7_RECV_CANRAWMSG_TRACE_ID 3U
#define RTE_QUEUE_SWCRXHANDLERCPU0_SWC_GP2_CAN9_RECV_CANRAWMSG_TRACE_ID 4U
#define RTE_QUEUE_SWCRXHANDLERCPU1_BAREUDPINTF2APP0_BAREUDPDATA_TRACE_ID 5U
#define RTE_QUEUE_SWCRXHANDLERCPU1_BAREUDPINTF2APP1_BAREUDPDATA_TRACE_ID 6U
#define RTE_QUEUE_SWCRXHANDLERCPU2_SWC_GP2_CAN0_RECV_CANRAWMSG_TRACE_ID 7U
#define RTE_QUEUE_SWCRXHANDLERCPU2_SWC_GP2_CAN1_RECV_CANRAWMSG_TRACE_ID 8U
#define RTE_QUEUE_SWCRXHANDLERCPU3_SWC_GP3_CAN2_RECV_CANRAWMSG_TRACE_ID 9U
#define RTE_QUEUE_SWCRXHANDLERCPU3_SWC_GP3_CAN3_RECV_CANRAWMSG_TRACE_ID 10U
#define RTE_QUEUE_SWCRXHANDLERCPU3_SWC_GP3_CAN4_RECV_CANRAWMSG_TRACE_ID 11U
#define RTE_QUEUE_SWCRXHANDLERCPU3_SWC_GP3_CAN5_RECV_CANRAWMSG_TRACE_ID 12U
#define RTE_QUEUE_CDD_DATACENTER_CORE0_CANMSGDN11_CANRAWMSG_TRACE_ID 13U
#define RTE_QUEUE_CDD_DATACENTER_CORE0_CANMSGDN6_CANRAWMSG_TRACE_ID 14U
#define RTE_QUEUE_CDD_DATACENTER_CORE0_CANMSGDN7_CANRAWMSG_TRACE_ID 15U
#define RTE_QUEUE_CDD_DATACENTER_CORE0_CANMSGDN9_CANRAWMSG_TRACE_ID 16U
#define RTE_QUEUE_CDD_DATACENTER_CORE1_APP2INTFUDP0_BAREUDPDATA_TRACE_ID 17U
#define RTE_QUEUE_CDD_DATACENTER_CORE1_APP2INTFUDP1_BAREUDPDATA_TRACE_ID 18U
#define RTE_QUEUE_CDD_DATACENTER_CORE1_APP2INTFUDP2_BAREUDPDATA_TRACE_ID 19U
#define RTE_QUEUE_CDD_DATACENTER_CORE1_APP2INTFUDP4_BAREUDPDATA_TRACE_ID 20U
#define RTE_QUEUE_CDD_DATACENTER_CORE1_SOC2MCUSOMEIP0_DATA_TRACE_ID 21U
#define RTE_QUEUE_CDD_DATACENTER_CORE2_CANMSGDN0_CORE2_CANRAWMSG_TRACE_ID 22U
#define RTE_QUEUE_CDD_DATACENTER_CORE2_CANMSGDN1_CORE2_CANRAWMSG_TRACE_ID 23U
#define RTE_QUEUE_CDD_DATACENTER_CORE3_CANMSGDN2_CORE3_CANRAWMSG_TRACE_ID 24U
#define RTE_QUEUE_CDD_DATACENTER_CORE3_CANMSGDN3_CORE3_CANRAWMSG_TRACE_ID 25U
#define RTE_QUEUE_CDD_DATACENTER_CORE3_CANMSGDN4_CORE3_CANRAWMSG_TRACE_ID 26U
#define RTE_QUEUE_CDD_DATACENTER_CORE3_CANMSGDN5_CORE3_CANRAWMSG_TRACE_ID 27U
#define RTE_QUEUE_DIAG_CP_DIAGDIDREPORT_DIDINFO_TRACE_ID 28U
#define RTE_QUEUE_IOHWABS_RPMNTDISPATCHCMDLINE_CMDLINEELEMENT_TRACE_ID 29U
#define RTE_QUEUE_IOHWABS_RPUARTINTERFACE_UARTELEMENT_TRACE_ID 30U
#define RTE_QUEUE_MNT_DEBUG_DEVMDTRANSVINCODE_VINCODEELEMENT_TRACE_ID 31U
#define RTE_QUEUE_MNT_DEBUG_MNTDEBUGCMDLINE_CMDLINEELEMENT_TRACE_ID 32U
#define RTE_QUEUE_NM_CP_NMSERVICECOMREQ_COMREQ_TRACE_ID 33U
#define RTE_QUEUE_SWC_FM_FMFAULTREPORT_EVENTINFO_TRACE_ID 34U
#define RTE_QUEUE_SWC_FM_REGISTERALIVESUPERVISION_RULE_TRACE_ID 35U
#define RTE_QUEUE_SWC_FM_REPORTCHECKPOINT_CHECKPOINT_TRACE_ID 36U
#define RTE_QUEUE_SWC_FM_UNREGISTERALIVESUPERVISION_CP_TRACE_ID 37U
#define RTE_QUEUE_SWC_MNT_MNTCANTRACETRIGGERINTERFACE_TRIGGERINFO_TRACE_ID 38U
#define RTE_QUEUE_SWC_MNT_RPLOGQUEUE_LOGDATAQUEUE0_TRACE_ID 39U
#define RTE_QUEUE_SWC_MNT_RPLOGQUEUE_LOGDATAQUEUE1_TRACE_ID 40U
#define RTE_QUEUE_SWC_MNT_RPLOGQUEUE_LOGDATAQUEUE2_TRACE_ID 41U
#define RTE_QUEUE_SWC_MNT_RPLOGQUEUE_LOGDATAQUEUE3_TRACE_ID 42U
#define RTE_QUEUE_SWC_MNT_RPLOGQUEUE_LOGDATAQUEUE4_TRACE_ID 43U
#define RTE_QUEUE_SWC_MNT_RPLOGQUEUE_LOGDATAQUEUE5_TRACE_ID 44U
#define RTE_QUEUE_SWC_MNT_CORE1_CUSTOMLOGSWCMESSAGEINTERFACE_MNTSENDLOG_TRACE_ID 45U
#define RTE_QUEUE_SWC_MNT_CORE1_PLATFORMLOGSWCMESSAGEINTERFACE_MNTSENDLOG_TRACE_ID 46U
#define RTE_QUEUE_SWC_SAM_CORE0_SAMSENSOROPRREQUEST_SENSOROPERREQUEST_TRACE_ID 47U

/***************************************************************************
 *
 *  CS Queue Trace ID
 *
 **************************************************************************/
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMJOBKEYID_CSMJOBKEYID_JOBKEYIDGET_TRACE_ID 1U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMJOBKEYID_CSMJOBKEYID_JOBKEYIDSET_TRACE_ID 2U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMJOB_CSMJOB_IKM_MACGENERATE_CSMMACGENERATE_CSMMACGENERATECONFIG_MACGENERATE_TRACE_ID 3U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMJOB_CSMJOB_KEY_UPDATE_MACGENERATE_CSMMACGENERATE_CSMMACGENERATECONFIG_MACGENERATE_TRACE_ID 4U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMJOB_CSMJOB_SECOC_MACGENERATE_CSMMACGENERATE_CSMMACGENERATECONFIG_MACGENERATE_TRACE_ID 5U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMJOB_CSMJOB_SECOC_MACVERIFY_CSMMACVERIFY_CSMMACVERIFYCONFIG_MACVERIFY_TRACE_ID 6U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_CSMKEYMANAGEMENT_CSMKEY_IKM_KEYELEMENTCOPY_TRACE_ID 7U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_CSMKEYMANAGEMENT_CSMKEY_IKM_KEYELEMENTGET_TRACE_ID 8U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_CSMKEYMANAGEMENT_CSMKEY_IKM_KEYELEMENTSET_TRACE_ID 9U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_CSMKEYMANAGEMENT_CSMKEY_IKM_KEYSETVALID_TRACE_ID 10U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_MINOR_CSMKEYMANAGEMENT_CSMKEY_IKM_MINOR_KEYELEMENTCOPY_TRACE_ID 11U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_MINOR_CSMKEYMANAGEMENT_CSMKEY_IKM_MINOR_KEYELEMENTGET_TRACE_ID 12U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_MINOR_CSMKEYMANAGEMENT_CSMKEY_IKM_MINOR_KEYELEMENTSET_TRACE_ID 13U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_IKM_MINOR_CSMKEYMANAGEMENT_CSMKEY_IKM_MINOR_KEYSETVALID_TRACE_ID 14U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_CSMKEYMANAGEMENT_CSMKEY_SECOC_KEYELEMENTCOPY_TRACE_ID 15U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_CSMKEYMANAGEMENT_CSMKEY_SECOC_KEYELEMENTGET_TRACE_ID 16U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_CSMKEYMANAGEMENT_CSMKEY_SECOC_KEYELEMENTSET_TRACE_ID 17U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_CSMKEYMANAGEMENT_CSMKEY_SECOC_KEYSETVALID_TRACE_ID 18U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_MINOR_CSMKEYMANAGEMENT_CSMKEY_SECOC_MINOR_KEYELEMENTCOPY_TRACE_ID 19U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_MINOR_CSMKEYMANAGEMENT_CSMKEY_SECOC_MINOR_KEYELEMENTGET_TRACE_ID 20U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_MINOR_CSMKEYMANAGEMENT_CSMKEY_SECOC_MINOR_KEYELEMENTSET_TRACE_ID 21U
#define RTE_SYNC_BUFFER_QUEUE_CSM_1_CSMKEY_CSMKEY_SECOC_MINOR_CSMKEYMANAGEMENT_CSMKEY_SECOC_MINOR_KEYSETVALID_TRACE_ID 22U
#define RTE_ASYN_BUFFER_QUEUE_DLT_1_DLTSWCMESSAGESERVICE_DLTSWC_0_DLTSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 23U
#define RTE_SYNC_BUFFER_QUEUE_NVM_1_NVM_PS_NVMBLOCK_KEYUPDINFO_NVMSERVICE_SETRAMBLOCKSTATUS_TRACE_ID 24U
#define RTE_SYNC_BUFFER_QUEUE_NVM_1_NVM_PS_NVMBLOCK_KEYUPDINFO_NVMSERVICE_WRITEPRAMBLOCK_TRACE_ID 25U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_GLOBALSUPERVISION_CORE0_WDGM_GLOBALSUPERVISION_GETFIRSTEXPIREDSEID_TRACE_ID 26U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_GLOBALSUPERVISION_CORE0_WDGM_GLOBALSUPERVISION_GETGLOBALSTATUS_TRACE_ID 27U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISIONSTATUS_WDGMSE_ADAS_D_10MS_HIGH_WDGM_LOCALSUPERVISIONSTATUS_GETLOCALSTATUS_TRACE_ID 28U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISIONSTATUS_WDGMSE_ADAS_D_20MS_MIDDLE_WDGM_LOCALSUPERVISIONSTATUS_GETLOCALSTATUS_TRACE_ID 29U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISIONSTATUS_WDGMSE_ADAS_D_50MS_MIDDLE_WDGM_LOCALSUPERVISIONSTATUS_GETLOCALSTATUS_TRACE_ID 30U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISIONSTATUS_WDGMSE_FM_WDGM_LOCALSUPERVISIONSTATUS_GETLOCALSTATUS_TRACE_ID 31U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISION_WDGMSE_ADAS_D_10MS_HIGH_WDGM_LOCALSUPERVISION_CHECKPOINTREACHED_TRACE_ID 32U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISION_WDGMSE_ADAS_D_20MS_MIDDLE_WDGM_LOCALSUPERVISION_CHECKPOINTREACHED_TRACE_ID 33U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISION_WDGMSE_ADAS_D_50MS_MIDDLE_WDGM_LOCALSUPERVISION_CHECKPOINTREACHED_TRACE_ID 34U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE0_1_LOCALSUPERVISION_WDGMSE_FM_WDGM_LOCALSUPERVISION_CHECKPOINTREACHED_TRACE_ID 35U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE1_1_LOCALSUPERVISIONSTATUS_WDGMSE_ADAS_B_10MS_HIGH_WDGM_LOCALSUPERVISIONSTATUS_GETLOCALSTATUS_TRACE_ID 36U
#define RTE_SYNC_BUFFER_QUEUE_WDGM_CORE1_1_LOCALSUPERVISION_WDGMSE_ADAS_B_10MS_HIGH_WDGM_LOCALSUPERVISION_CHECKPOINTREACHED_TRACE_ID 37U
#define RTE_CLIENT_BUFFER_QUEUE_CDD_DATACENTER_CORE0_1_DATACENTERLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 38U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DATACENTER_CORE0_1_DCCOMCTRLCANCONFIG_DCCOMCTRLCANCONFIG_SETCHNLPARAM_TRACE_ID 39U
#define RTE_ASYN_BUFFER_QUEUE_CDD_DEVMD_1_DIAGWRITEDID_DIAGWRITEDID_WRITEDIDINFO_TRACE_ID 40U
#define RTE_ASYN_BUFFER_QUEUE_CDD_DEVMD_1_DIDGETWRITEOFFLINEMODERESPONSE_DIAGGETWRITEDIDRESPONSE_GETWRITEDIDRESPONSE_TRACE_ID 41U
#define RTE_CLIENT_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 42U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETCONFIG_TRACE_ID 43U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETINFOMATION_TRACE_ID 44U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETMCUALIVESTATE_TRACE_ID 45U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETMCUDEVINFO_TRACE_ID 46U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETMCUSTATE_TRACE_ID 47U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETPOWERDOWNREASON_TRACE_ID 48U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_GETSOCUARTDATA_TRACE_ID 49U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_SETCONFIG_TRACE_ID 50U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_SETINFOMATION_TRACE_ID 51U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_SETPOWERDOWNREASONREAD_TRACE_ID 52U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_SETPOWER_TRACE_ID 53U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDSERVICE_DEVMDSERVICE_SETSOCTEMPERATURE_TRACE_ID 54U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_ACTIVE_TRACE_ID 55U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_CHECKUPGRADECONDITION_TRACE_ID 56U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_GETUPGRADEABLE_TRACE_ID 57U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_GETUPGRADEPROGRESS_TRACE_ID 58U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_GETVERSION_TRACE_ID 59U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_REBOOT_TRACE_ID 60U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_SETUPGRADEMODE_TRACE_ID 61U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_TRANSFERDATA_TRACE_ID 62U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_TRANSFERFINISH_TRACE_ID 63U
#define RTE_SERVER_BUFFER_QUEUE_CDD_DEVMD_1_DEVMDUPGRADESERVICE_DEVMDUPGRADESERVICE_TRANSFERSTART_TRACE_ID 64U
#define RTE_SYNC_BUFFER_QUEUE_CDD_DEVMD_1_DATASERVICES_DCMDSPDATA_0X9206_DATASERVICES_DCMDSPDATA_0X9206_READDATA_TRACE_ID 65U
#define RTE_SYNC_BUFFER_QUEUE_CDD_DEVMD_1_DATASERVICES_DCMDSPDATA_0X9206_DATASERVICES_DCMDSPDATA_0X9206_WRITEDATA_TRACE_ID 66U
#define RTE_SYNC_BUFFER_QUEUE_CDD_DEVMD_1_ROUTINESERVICES_DCMDSPROUTINE_0XF100_ROUTINESERVICES_DCMDSPROUTINE_0XF100_REQUESTRESULTS_TRACE_ID 67U
#define RTE_SYNC_BUFFER_QUEUE_CDD_DEVMD_1_ROUTINESERVICES_DCMDSPROUTINE_0XF100_ROUTINESERVICES_DCMDSPROUTINE_0XF100_START_TRACE_ID 68U
#define RTE_SYNC_BUFFER_QUEUE_CDD_DEVMD_1_ROUTINESERVICES_DCMDSPROUTINE_0XF100_ROUTINESERVICES_DCMDSPROUTINE_0XF100_STOP_TRACE_ID 69U
#define RTE_CLIENT_BUFFER_QUEUE_CORE0_QM_TASK_MONITOR_1_QMTASKMONITORLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 70U
#define RTE_CLIENT_BUFFER_QUEUE_DIAG_CP_1_DIAGLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 71U
#define RTE_SERVER_BUFFER_QUEUE_DIAG_CP_1_DIAGAGENTREADDID_DIAGAGENTREADDID_DIAGREADDID_TRACE_ID 72U
#define RTE_SERVER_BUFFER_QUEUE_DIAG_CP_1_DIAGAGENTWRITEDID_DIAGAGENTWRITEDID_DIAGWRITEDID_TRACE_ID 73U
#define RTE_SYNC_BUFFER_QUEUE_DIAG_CP_1_DIAGEVENTIDTODID_DIAGEVENTIDTODID_DIAGEVENTIDTODID_TRACE_ID 74U
#define RTE_SYNC_BUFFER_QUEUE_DIAG_CP_1_MNTDBGREADDID_DIAGAGENTREADDID_DIAGREADDID_TRACE_ID 75U
#define RTE_SYNC_BUFFER_QUEUE_DIAG_CP_1_MNTDBGWRITEDID_DIAGAGENTWRITEDID_DIAGWRITEDID_TRACE_ID 76U
#define RTE_CLIENT_BUFFER_QUEUE_IOHWABS_1_IOHWABLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 77U
#define RTE_CLIENT_BUFFER_QUEUE_IOHWABS_1_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT_TRACE_ID 78U
#define RTE_ASYN_BUFFER_QUEUE_LPM_CP_1_LPMSETDEBUGSTATE_LPMSETDEBUGSTATE_LPMSETDEBUG_TRACE_ID 79U
#define RTE_ASYN_BUFFER_QUEUE_LPM_CP_1_LPMSETMONITORSTATE_LPMSETMONITORSTATE_LPMSETMONITOR_TRACE_ID 80U
#define RTE_ASYN_BUFFER_QUEUE_LPM_CP_1_LPMSETVARVALUE_LPMSETVARVALUE_LPMSETVARVALUE_TRACE_ID 81U
#define RTE_CLIENT_BUFFER_QUEUE_LPM_CP_1_LPMLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 82U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_COMCTRLCANCONFIG_COMCTRLCANCONFIG_SETCHNLPARAM_TRACE_ID 83U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_LPMSETDEBUGSTATE_LPMSETDEBUGSTATE_LPMSETDEBUG_TRACE_ID 84U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_LPMSETMONITORSTATE_LPMSETMONITORSTATE_LPMSETMONITOR_TRACE_ID 85U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_LPMSETVARVALUE_LPMSETVARVALUE_LPMSETVARVALUE_TRACE_ID 86U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_MNTDEBUGLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 87U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_MNTDEBUGRESPSTRING_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT_TRACE_ID 88U
#define RTE_CLIENT_BUFFER_QUEUE_MNT_DEBUG_1_NMSERVICEDEBUG_NMSERVICE_CONTROLCAN_TRACE_ID 89U
#define RTE_SERVER_BUFFER_QUEUE_NCS_SECURITY_1_NCSCHANNELDISPATCH_NCSCHANNELDISPATCH_NCSCHANNELDISPATCH_TRACE_ID 90U
#define RTE_ASYN_BUFFER_QUEUE_NM_CP_1_NMSERVICE_NMSERVICE_CONTROLCAN_TRACE_ID 91U
#define RTE_CLIENT_BUFFER_QUEUE_NM_CP_1_NMLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 92U
#define RTE_SERVER_BUFFER_QUEUE_NM_CP_1_NMSERVICE_NMSERVICE_EXTERNALCANNMCTRL_TRACE_ID 93U
#define RTE_SYNC_BUFFER_QUEUE_NM_CP_1_NMSERVICE_NMSERVICE_CONTROLCOM_TRACE_ID 94U
#define RTE_ASYN_BUFFER_QUEUE_SM_CP_1_SMREQPLATSTATE_SMREQPLATSTATE_SMREQPLATSTATE_TRACE_ID 95U
#define RTE_SERVER_BUFFER_QUEUE_SM_CP_1_SMGETWORKMODE_SMGETWORKMODE_SMGETWORKMODE_TRACE_ID 96U
#define RTE_SERVER_BUFFER_QUEUE_SM_CP_1_SMSSSOCSTATUS_SMSSSOCSTATUS_SMSSSOCSTATUS_TRACE_ID 97U
#define RTE_SERVER_BUFFER_QUEUE_SM_CP_1_SMSSWORKMODESWITCH_SMSSWORKMODESWITCH_WORKMODE_TRACE_ID 98U
#define RTE_SERVER_BUFFER_QUEUE_SM_CP_1_SM_SSREQUESTSTATE_1_SM_SSREQUESTSTATE_1_REQUESTSTATE_TRACE_ID 99U
#define RTE_SERVER_BUFFER_QUEUE_SM_CP_1_SM_SSREQUESTSTATE_SM_SSREQUESTSTATE_REQUESTSTATE_TRACE_ID 100U
#define RTE_CLIENT_BUFFER_QUEUE_SWC_EX_WDG_1_EXWDGQUESTIONREPORTB_EXWDGQUESTIONREPORT_EXWDGQUESTIONREPORT_TRACE_ID 101U
#define RTE_CLIENT_BUFFER_QUEUE_SWC_EX_WDG_1_EXWDGQUESTIONREPORT_EXWDGQUESTIONREPORT_EXWDGQUESTIONREPORT_TRACE_ID 102U
#define RTE_SERVER_BUFFER_QUEUE_SWC_EX_WDG_1_EXWDGANSWERGETB_EXWDGANSWERGET_EXWDGANSWERGET_TRACE_ID 103U
#define RTE_SERVER_BUFFER_QUEUE_SWC_EX_WDG_1_EXWDGANSWERGET_EXWDGANSWERGET_EXWDGANSWERGET_TRACE_ID 104U
#define RTE_CLIENT_BUFFER_QUEUE_SWC_FM_1_FMREPORTSERVICE_FMREPORTSERVICE_FMREPORTINFO_TRACE_ID 105U
#define RTE_CLIENT_BUFFER_QUEUE_SWC_FM_1_FMSERVICE_FMSERVICE_FMREPORTEVENT_TRACE_ID 106U
#define RTE_CLIENT_BUFFER_QUEUE_SWC_FM_1_SMREQPLATSTATE_SMREQPLATSTATE_SMREQPLATSTATE_TRACE_ID 107U
#define RTE_SERVER_BUFFER_QUEUE_SWC_FM_1_FMFAULTRCVFROMHOST_FMFAULTRCVFROMHOST_FMFAULTRCVFROMHOST_TRACE_ID 108U
#define RTE_ASYN_BUFFER_QUEUE_SWC_MNT_1_LOGSWCMESSAGESERVICESERVER_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 109U
#define RTE_ASYN_BUFFER_QUEUE_SWC_MNT_1_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT_TRACE_ID 110U
#define RTE_SERVER_BUFFER_QUEUE_SWC_MNT_1_MNTEXCECMD_MNTEXCECMD_MNTEXECCMDINFO_TRACE_ID 111U
#define RTE_SERVER_BUFFER_QUEUE_SWC_MNT_1_MNTREQUESTCMDRESULT_MNTREQUESTCMDRESULT_MNTREQUESTCMDRESULTS_TRACE_ID 112U
#define RTE_ASYN_BUFFER_QUEUE_SWC_NRM_CORE0_1_COMCTRLCANCONFIG_COMCTRLCANCONFIG_SETCHNLPARAM_TRACE_ID 113U
#define RTE_CLIENT_BUFFER_QUEUE_SWC_NRM_CORE0_1_CORE0NRMLOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 114U
#define RTE_SERVER_BUFFER_QUEUE_SWC_NRM_CORE0_1_NRMCOMCTRLUPDATECHNLCONFIG_NRMCOMCTRLUPDATECHNLCONFIG_UPDATECHNLCONFIG_TRACE_ID 115U
#define RTE_SYNC_BUFFER_QUEUE_SWC_NRM_CORE0_1_NRMCOMCTRLUPDATECHNLBYUSER_NRMCOMCTRLUPDATECHNLBYUSER_UPDATECHNLCONFIGBYUSER_TRACE_ID 116U
#define RTE_SERVER_BUFFER_QUEUE_SWC_SAM_CORE0_1_SAMSENSORSTATECONTROL_SOC_SAMSENSORSTATECONTROLSOC_SENSORSTATECONTROL_TRACE_ID 117U
#define RTE_SERVER_BUFFER_QUEUE_SWC_TSYNC_1_TIMESYNCGETDATADELTA_TIMESYNCGETDATADELTA_GETDATADELTA_TRACE_ID 118U
#define RTE_SERVER_BUFFER_QUEUE_SWC_TSYNC_1_TIMESYNCMNGSERVICE_TIMESYNCMNGSERVICE_GETMNGMASTERMSG_TRACE_ID 119U
#define RTE_CLIENT_BUFFER_QUEUE_THM_CP_1_LOGSWCMESSAGESERVICE_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE_TRACE_ID 120U

/***************************************************************************
 *
 *  IOC Trace ID
 *
 **************************************************************************/
#define RTE_CS_ASYNC_CLIENT_1_TRACE_ID 1U
#define RTE_CS_ASYNC_CLIENT_2_TRACE_ID 2U
#define RTE_CS_ASYNC_CLIENT_3_TRACE_ID 3U
#define RTE_CS_ASYNC_CLIENT_4_TRACE_ID 4U
#define RTE_CS_ASYNC_SERVER_1_TRACE_ID 5U
#define RTE_CS_ASYNC_SERVER_2_TRACE_ID 6U
#define RTE_CS_ASYNC_SERVER_3_TRACE_ID 7U
#define RTE_CS_ASYNC_SERVER_4_TRACE_ID 8U
#define RTE_CS_ASYNC_SERVER_5_TRACE_ID 9U
#define RTE_CS_ASYNC_SERVER_6_TRACE_ID 10U
#define RTE_CS_ASYNC_SERVER_7_TRACE_ID 11U
#define RTE_CS_SYNC_CLIENT_1_TRACE_ID 12U
#define RTE_CS_SYNC_CLIENT_2_TRACE_ID 13U
#define RTE_CS_SYNC_CLIENT_3_TRACE_ID 14U
#define RTE_CS_SYNC_CLIENT_4_TRACE_ID 15U
#define RTE_CS_SYNC_SERVER_1_TRACE_ID 16U
#define RTE_CS_SYNC_SERVER_2_TRACE_ID 17U
#define RTE_CS_SYNC_SERVER_3_TRACE_ID 18U
#define RTE_CS_SYNC_SERVER_4_TRACE_ID 19U
#define RTE_SR_10_TRACE_ID 20U
#define RTE_SR_11_TRACE_ID 21U
#define RTE_SR_12_TRACE_ID 22U
#define RTE_SR_13_TRACE_ID 23U
#define RTE_SR_14_TRACE_ID 24U
#define RTE_SR_15_TRACE_ID 25U
#define RTE_SR_16_TRACE_ID 26U
#define RTE_SR_17_TRACE_ID 27U
#define RTE_SR_18_TRACE_ID 28U
#define RTE_SR_19_TRACE_ID 29U
#define RTE_SR_1_TRACE_ID 30U
#define RTE_SR_20_TRACE_ID 31U
#define RTE_SR_21_TRACE_ID 32U
#define RTE_SR_22_TRACE_ID 33U
#define RTE_SR_23_TRACE_ID 34U
#define RTE_SR_24_TRACE_ID 35U
#define RTE_SR_25_TRACE_ID 36U
#define RTE_SR_26_TRACE_ID 37U
#define RTE_SR_27_TRACE_ID 38U
#define RTE_SR_28_TRACE_ID 39U
#define RTE_SR_29_TRACE_ID 40U
#define RTE_SR_2_TRACE_ID 41U
#define RTE_SR_30_TRACE_ID 42U
#define RTE_SR_31_TRACE_ID 43U
#define RTE_SR_32_TRACE_ID 44U
#define RTE_SR_33_TRACE_ID 45U
#define RTE_SR_34_TRACE_ID 46U
#define RTE_SR_35_TRACE_ID 47U
#define RTE_SR_36_TRACE_ID 48U
#define RTE_SR_37_TRACE_ID 49U
#define RTE_SR_38_TRACE_ID 50U
#define RTE_SR_39_TRACE_ID 51U
#define RTE_SR_3_TRACE_ID 52U
#define RTE_SR_40_TRACE_ID 53U
#define RTE_SR_41_TRACE_ID 54U
#define RTE_SR_42_TRACE_ID 55U
#define RTE_SR_43_TRACE_ID 56U
#define RTE_SR_44_TRACE_ID 57U
#define RTE_SR_45_TRACE_ID 58U
#define RTE_SR_46_TRACE_ID 59U
#define RTE_SR_47_TRACE_ID 60U
#define RTE_SR_48_TRACE_ID 61U
#define RTE_SR_4_TRACE_ID 62U
#define RTE_SR_5_TRACE_ID 63U
#define RTE_SR_6_TRACE_ID 64U
#define RTE_SR_7_TRACE_ID 65U
#define RTE_SR_8_TRACE_ID 66U
#define RTE_SR_9_TRACE_ID 67U

/***************************************************************************
 *
 *  Transformer Protocol Trace ID
 *
 **************************************************************************/
#define RTE_TRANSFORMER_PROTOCOL_SOMEIP_TRACE_ID 1U

/***************************************************************************
 *
 *  DFX EVENT MACRO
 *
 **************************************************************************/

/**
 * ## DFX-EVENT
 * logId: 0 SR_Write_API_ReturnError
 **/
#define RTE_SR_WRITE_API_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_SR_WRITE_API, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 1 SR_Read_API_ReturnError
 **/
#define RTE_SR_READ_API_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_SR_READ_API, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 2 SR_Send_API_ReturnError
 **/
#define RTE_SR_SEND_API_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_SR_SEND_API, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 3 SR_Receive_API_ReturnError
 **/
#define RTE_SR_RECEIVE_API_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_SR_RECEIVE_API, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 4 SR_Receive_API_ReturnWarning
 **/
#define RTE_SR_RECEIVE_API_WARNING(traceId, returnCode) \
    DLOG_W(LOGID_SR_RECEIVE_API_WARNING, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 16 CS_Call_API_ReturnError
 **/
#define RTE_CS_CALL_API_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_CS_CALL_API, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 17 CS_Result_API_ReturnError
 **/
#define RTE_CS_RESULT_API_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_CS_RESULT_API, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 18 CS_Result_API_ReturnWarning
 **/
#define RTE_CS_RESULT_API_WARNING(traceId, returnCode) \
    DLOG_W(LOGID_CS_RESULT_API_WARNING, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 23 Dequeue_Operation_Warning
 **/
#define RTE_DEQUEUE_WARNING(traceId, queueId, returnCode) \
    DLOG_W(LOGID_DEQUEUE_WARNING, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT16(queueId),  /* the_traceId_of_the_reported_queue_name \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_dequeue_operation \ */

/**
 * ## DFX-EVENT
 * logId: 24 IOC_Out_Operation_Warning
 **/
#define RTE_IOC_DATA_OUT_WARNING(traceId, iocId, returnCode) \
    DLOG_W(LOGID_IOC_DATA_OUT_WARNING, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT16(iocId),  /* the_traceId_of_the_reported_ioc_name \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_ioc_operation \ */

/**
 * ## DFX-EVENT
 * logId: 25 Enqueue_Operation_Error
 **/
#define RTE_ENQUEUE_ERROR(traceId, queueId, returnCode) \
    DLOG_E(LOGID_ENQUEUE_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT16(queueId),  /* the_traceId_of_the_reported_queue_name \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_enqueue_operation \ */

/**
 * ## DFX-EVENT
 * logId: 26 Dequeue_Operation_Error
 **/
#define RTE_DEQUEUE_ERROR(traceId, queueId, returnCode) \
    DLOG_E(LOGID_DEQUEUE_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT16(queueId),  /* the_traceId_of_the_reported_queue_name \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_dequeue_operation \ */

/**
 * ## DFX-EVENT
 * logId: 27 IOC_In_Operation_Error
 **/
#define RTE_IOC_DATA_IN_ERROR(traceId, iocId, returnCode) \
    DLOG_E(LOGID_IOC_DATA_IN_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT16(iocId),  /* the_traceId_of_the_reported_ioc_name \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_ioc_operation \ */

/**
 * ## DFX-EVENT
 * logId: 28 IOC_Out_Operation_Error
 **/
#define RTE_IOC_DATA_OUT_ERROR(traceId, iocId, returnCode) \
    DLOG_E(LOGID_IOC_DATA_OUT_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT16(iocId),  /* the_traceId_of_the_reported_ioc_name \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_ioc_operation \ */

/**
 * ## DFX-EVENT
 * logId: 32 Task_SetEvent_Error
 **/
#define RTE_TASK_SETEVENT_ERROR(taskId, eventId, returnCode) \
    DLOG_E(LOGID_TASK_SETEVENT_ERROR, \
        DLT_UINT16(taskId),  /* the_traceId_of_the_reported_task \ */  \
        DLT_UINT16(eventId),  /* the_traceId_of_the_reported_event \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_setevent_operation \ */

/**
 * ## DFX-EVENT
 * logId: 33 Task_GetEvent_Error
 **/
#define RTE_TASK_GETEVENT_ERROR(taskId, eventId, returnCode) \
    DLOG_E(LOGID_TASK_GETEVENT_ERROR, \
        DLT_UINT16(taskId),  /* the_traceId_of_the_reported_task \ */  \
        DLT_UINT16(eventId),  /* the_traceId_of_the_reported_event \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_getevent_operation \ */

/**
 * ## DFX-EVENT
 * logId: 34 Task_WaitEvent_Error
 **/
#define RTE_TASK_WAITEVENT_ERROR(taskId, eventId, returnCode) \
    DLOG_E(LOGID_TASK_WAITEVENT_ERROR, \
        DLT_UINT16(taskId),  /* the_traceId_of_the_reported_task \ */  \
        DLT_UINT16(eventId),  /* the_traceId_of_the_reported_event \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_waitevent_operation \ */

/**
 * ## DFX-EVENT
 * logId: 48 Com_send_count_Report
 **/
#define RTE_COMSEND_COUNT_REPORT(traceId, sendCount) \
    DLOG_W(LOGID_COMSEND_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal_or_signalgroup \ */  \
        DLT_UINT32(sendCount))  /* the_total_send_count_of_the_signal_or_signalgroup \ */

/**
 * ## DFX-EVENT
 * logId: 49 Com_send_Error
 **/
#define RTE_COMSEND_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_COMSEND_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal_or_signalgroup \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_the_signal_or_signalgroup_send_API \ */

/**
 * ## DFX-EVENT
 * logId: 50 Total_com_send_count_Report_after_com_send_error
 **/
#define RTE_COMSEND_ERROR_COUNT(traceId, sendCount) \
    DLOG_E(LOGID_COMSEND_ERROR_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal_or_signalgroup \ */  \
        DLT_UINT32(sendCount))  /* the_total_send_count_of_the_signal_or_signalgroup \ */

/**
 * ## DFX-EVENT
 * logId: 51 Com_receive_count_Report
 **/
#define RTE_COMRECEIVE_COUNT_REPORT(traceId, receiveCount) \
    DLOG_W(LOGID_COMRECEIVE_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal_or_signalgroup \ */  \
        DLT_UINT32(receiveCount))  /* the_total_receive_count_of_the_signal_or_signalgroup \ */

/**
 * ## DFX-EVENT
 * logId: 52 Com_receive_Error
 **/
#define RTE_COMRECEIVE_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_COMRECEIVE_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal_or_signalgroup \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_the_signal_or_signalgroup_receive_API \ */

/**
 * ## DFX-EVENT
 * logId: 53 Total_com_receive_count_Report_after_com_receive_error
 **/
#define RTE_COMRECEIVE_ERROR_COUNT(traceId, receiveCount) \
    DLOG_E(LOGID_COMRECEIVE_ERROR_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal_or_signalgroup \ */  \
        DLT_UINT32(receiveCount))  /* the_total_receive_count_of_the_signal_or_signalgroup \ */

/**
 * ## DFX-EVENT
 * logId: 64 ldcom_transmit_count_Report
 **/
#define RTE_LDCOM_TX_COUNT_REPORT(traceId, txCount) \
    DLOG_W(LOGID_LDCOM_TX_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal \ */  \
        DLT_UINT32(txCount))  /* the_total_tx_count_of_the_signal \ */

/**
 * ## DFX-EVENT
 * logId: 65 ldcom_transmit_Error
 **/
#define RTE_LDCOM_TX_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_LDCOM_TX_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_the_ldcom_transmit_API \ */

/**
 * ## DFX-EVENT
 * logId: 66 Total_ldcom_transmit_count_Report_after_ldcom_transmit_error
 **/
#define RTE_LDCOM_TX_ERROR_COUNT(traceId, txCount) \
    DLOG_E(LOGID_LDCOM_TX_ERROR_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal \ */  \
        DLT_UINT32(txCount))  /* the_total_tx_count_of_the_signal \ */

/**
 * ## DFX-EVENT
 * logId: 67 Total_ldcom_cbk_count_Report
 **/
#define RTE_LDCOM_CBK_COUNT_REPORT(traceId, cbkCount) \
    DLOG_W(LOGID_LDCOM_CBK_COUNT, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_signal \ */  \
        DLT_UINT32(cbkCount))  /* the_total_cbk_count_of_the_signal \ */

/**
 * ## DFX-EVENT
 * logId: 68 ldcom_uoc_Error
 **/
#define RTE_LDCOM_UOC_ERROR(pduId, uocMask) \
    DLOG_E(LOGID_LDCOM_UOC_ERROR, \
        DLT_UINT16(pduId),  /* the_pduId_of_the_reported_signal \ */  \
        DLT_UINT16(uocMask))  /* the_uocMask_of_the_ldcom_uoc \ */

/**
 * ## DFX-EVENT
 * logId: 72 LdCom_ClientIdError
 **/
#define RTE_LDCOM_CLIENTID_ERROR(traceId, clientId) \
    DLOG_E(LOGID_LDCOM_CLIENTID_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_iSignal \ */  \
        DLT_UINT16(clientId))  /* the_clientId_of_the_receiving_payload \ */

/**
 * ## DFX-EVENT
 * logId: 73 LdCom_SequenceCounterError
 **/
#define RTE_LDCOM_SEQUENCECOUNTER_ERROR(traceId, sequenceCounter) \
    DLOG_E(LOGID_LDCOM_SEQUENCECOUNTER_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_iSignal \ */  \
        DLT_UINT16(sequenceCounter))  /* the_sequenceCounter_of_the_receiving_payload \ */

/**
 * ## DFX-EVENT
 * logId: 80 LdCom_proxy_queue_send_SaveCachedData_Error
 **/
#define RTE_LDCOM_SAVE_DATA_ERROR(traceId, returnValue) \
    DLOG_E(LOGID_LDCOM_PROXY_SAVECACHEDDATA_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_iSignal \ */  \
        DLT_UINT8(returnValue))  /* return_value_for_save_cache_data \ */

/**
 * ## DFX-EVENT
 * logId: 81 LdCom_proxy_queue_send_EnqueuqData_Error
 **/
#define RTE_LDCOM_PROXY_SEND_ENQUEUE_ERROR(traceId, returnValue) \
    DLOG_E(LOGID_LDCOM_PROXY_ENQUEUEDATA_ERROR, \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_iSignal \ */  \
        DLT_UINT8(returnValue))  /* return_value_for_enqueue_data \ */

/**
 * ## DFX-EVENT
 * logId: 96 TransformerError_input_null_pointer_Error
 **/
#define RTE_TRANSFORMER_NULL_ERROR(traceId, returnCode) \
    DLOG_E(LOGID_TRANSFORMER_NULL_ERROR , \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_API \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_API \ */

/**
 * ## DFX-EVENT
 * logId: 97 Transformer_excuting_Error
 **/
#define RTE_TRANSFORMER_ERROR(traceId, protocolId, handleId, returnCode) \
    DLOG_E(LOGID_TRANSFORMER_ERROR  , \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_Signal \ */  \
        DLT_UINT16(protocolId),  /* the_traceId_of_the_reported_transformer_protocol \ */  \
        DLT_UINT16(handleId),  /* the_handleId_of_the_reported_Ipdu \ */  \
        DLT_UINT8(returnCode))  /* the_returnCode_of_transformer \ */

/**
 * ## DFX-EVENT
 * logId: 98 LOGID_TRANSFORMER_RETURN_VALUE_ERROR
 **/
#define RTE_TRANSFORMER_RETURN_VALUE_ERROR(traceId, handleId, returnValue) \
    DLOG_E(LOGID_TRANSFORMER_RETURN_VALUE_ERROR  , \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_Signal \ */  \
        DLT_UINT16(handleId),  /* the_handleId_of_the_reported_Ipdu \ */  \
        DLT_UINT8(returnValue))  /* the_returnValue_of_transformer \ */

/**
 * ## DFX-EVENT
 * logId: 99 LOGID_TRANSFORMER_RETURN_VALUE_RANGE_ERROR
 **/
#define RTE_TRANSFORMER_RETURN_VALUE_RANGE_ERROR(traceId, handleId, returnValue) \
    DLOG_E(LOGID_TRANSFORMER_RETURN_VALUE_RANGE_ERROR  , \
        DLT_UINT16(traceId),  /* the_traceId_of_the_reported_Signal \ */  \
        DLT_UINT16(handleId),  /* the_handleId_of_the_reported_Ipdu \ */  \
        DLT_UINT8(returnValue))  /* the_returnValue_of_transformer \ */

extern FUNC(void, RTE_CODE) Rte_Transformer_ReturnValue_Error_Report(VAR(Std_ReturnType, AUTOMATIC) returnValue, uint16 traceId, uint16 ldComHandleId);

#endif /* RTE_TRACE_H */