/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Vosm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < Vosm >
 *
 **************************************************************************/
#ifndef RTE_VOSM_H
#define RTE_VOSM_H

#define RTE_VOSM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_VOSM_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Vosm_Type.h"
/* Version verification of the Rte_Vosm_Type module */
#if ((RTE_VOSM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_VOSM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_VOSM_TYPE module version is incompatible, there may be problems.
#endif
#include "Vosm.h"
#include "Rte_Vosm_MemClasses.h"
/* Version verification of the Rte_Vosm_MemClasses module */
#if ((RTE_VOSM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_VOSM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_VOSM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_Vosm_CpuMonitor_VOSM_E_CORE_ID_OUT_OF_RANGE)
#define RTE_E_Vosm_CpuMonitor_VOSM_E_CORE_ID_OUT_OF_RANGE 5U
#endif
#if (!defined RTE_E_Vosm_CpuMonitor_VOSM_E_NULL_POINTER)
#define RTE_E_Vosm_CpuMonitor_VOSM_E_NULL_POINTER 1U
#endif
#if (!defined RTE_E_Vosm_CpuMonitor_VOSM_E_OK)
#define RTE_E_Vosm_CpuMonitor_VOSM_E_OK 0U
#endif
#if (!defined RTE_E_Vosm_DfxInfo_VOSM_E_BUFFER_LENGTH_OUT_OF_RANGE)
#define RTE_E_Vosm_DfxInfo_VOSM_E_BUFFER_LENGTH_OUT_OF_RANGE 6U
#endif
#if (!defined RTE_E_Vosm_DfxInfo_VOSM_E_INFO_SIZE_OUT_OF_RANGE)
#define RTE_E_Vosm_DfxInfo_VOSM_E_INFO_SIZE_OUT_OF_RANGE 7U
#endif
#if (!defined RTE_E_Vosm_DfxInfo_VOSM_E_NULL_POINTER)
#define RTE_E_Vosm_DfxInfo_VOSM_E_NULL_POINTER 1U
#endif
#if (!defined RTE_E_Vosm_DfxInfo_VOSM_E_OK)
#define RTE_E_Vosm_DfxInfo_VOSM_E_OK 0U
#endif
#if (!defined RTE_E_Vosm_StackMonitor_VOSM_E_CORE_ID_OUT_OF_RANGE)
#define RTE_E_Vosm_StackMonitor_VOSM_E_CORE_ID_OUT_OF_RANGE 5U
#endif
#if (!defined RTE_E_Vosm_StackMonitor_VOSM_E_NULL_POINTER)
#define RTE_E_Vosm_StackMonitor_VOSM_E_NULL_POINTER 1U
#endif
#if (!defined RTE_E_Vosm_StackMonitor_VOSM_E_OK)
#define RTE_E_Vosm_StackMonitor_VOSM_E_OK 0U
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_VOSM_H */