/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_cdd_datacenter_core2.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < cdd_datacenter_core2 >
 *
 **************************************************************************/
#ifndef RTE_CDD_DATACENTER_CORE2_H
#define RTE_CDD_DATACENTER_CORE2_H

#define RTE_CDD_DATACENTER_CORE2_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CDD_DATACENTER_CORE2_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core2
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core2 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfCanTpMsgRunnable_Core2
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfCanTpMsgRunnable_Core2 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core2
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core2 */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_cdd_datacenter_core2_Type.h"
/* Version verification of the Rte_cdd_datacenter_core2_Type module */
#if ((RTE_CDD_DATACENTER_CORE2_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE2_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE2_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_cdd_datacenter_core2_MemClasses.h"
/* Version verification of the Rte_cdd_datacenter_core2_MemClasses module */
#if ((RTE_CDD_DATACENTER_CORE2_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE2_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE2_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_IntfAppCanMsgRunnable_Core2 IntfAppCanMsgRunnable_Core2

#define RTE_RUNNABLE_IntfCanTpMsgRunnable_Core2 IntfCanTpMsgRunnable_Core2

#define RTE_RUNNABLE_IntfPriorityReserveRunnable_Core2 IntfPriorityReserveRunnable_Core2

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_cdd_datacenter_core2_CanMsgDn0_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanMsgDn0_R *Rte_PortHandle_CanMsgDn0_R;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanMsgDn1_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanMsgDn1_R *Rte_PortHandle_CanMsgDn1_R;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanMsgUp0_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanMsgUp0_P *Rte_PortHandle_CanMsgUp0_P;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanMsgUp1_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanMsgUp1_P *Rte_PortHandle_CanMsgUp1_P;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanTpMsg_P {
    Std_ReturnType (*Send_CanTpMsg)(P2CONST(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanTpMsg_P *Rte_PortHandle_CanTpMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core2_CanTpMsg_R {
    Std_ReturnType (*Receive_CanTpMsg)(P2VAR(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core2_CanTpMsg_R *Rte_PortHandle_CanTpMsg_R;
#endif

struct Rte_CDS_cdd_datacenter_core2 {
    struct Rte_PDS_cdd_datacenter_core2_CanMsgDn0_R canMsgDn0_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanMsgDn1_R canMsgDn1_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanMsgUp0_P canMsgUp0_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanMsgUp1_P canMsgUp1_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_P CanMsgUp0_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_P CanMsgUp1_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_P CanMsgUp2_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_R CanMsgDn0_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_R CanMsgDn1_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanRawMsg_R CanMsgDn2_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanTpMsg_P CanTpIntf2App_Core2;
    struct Rte_PDS_cdd_datacenter_core2_CanTpMsg_R CanTpApp2Intf_Core2;
};
typedef struct Rte_CDS_cdd_datacenter_core2 Rte_CDS_cdd_datacenter_core2;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_cdd_datacenter_core2, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_cdd_datacenter_core2, RTE_CONST, RTE_CONST) Rte_Inst_cdd_datacenter_core2;

/* Sender-Receiver Required Port CanMsgDn0_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core2_CanMsgDn0_Core2_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn0_Core2_CanRawMsg Rte_Receive_cdd_datacenter_core2_CanMsgDn0_Core2_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn1_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core2_CanMsgDn1_Core2_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn1_Core2_CanRawMsg Rte_Receive_cdd_datacenter_core2_CanMsgDn1_Core2_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn2_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core2_CanMsgDn2_Core2_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn2_Core2_CanRawMsg Rte_Receive_cdd_datacenter_core2_CanMsgDn2_Core2_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp0_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core2_CanMsgUp0_Core2_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp0_Core2_CanRawMsg Rte_Send_cdd_datacenter_core2_CanMsgUp0_Core2_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp1_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core2_CanMsgUp1_Core2_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp1_Core2_CanRawMsg Rte_Send_cdd_datacenter_core2_CanMsgUp1_Core2_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp2_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core2_CanMsgUp2_Core2_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp2_Core2_CanRawMsg Rte_Send_cdd_datacenter_core2_CanMsgUp2_Core2_CanRawMsg
#endif

/* Sender-Receiver Required Port CanTpApp2Intf_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core2_CanTpApp2Intf_Core2_CanTpMsg(P2VAR(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanTpApp2Intf_Core2_CanTpMsg Rte_Receive_cdd_datacenter_core2_CanTpApp2Intf_Core2_CanTpMsg
#endif

/* Sender-Receiver Provided Port CanTpIntf2App_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core2_CanTpIntf2App_Core2_CanTpMsg(P2CONST(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanTpIntf2App_Core2_CanTpMsg Rte_Send_cdd_datacenter_core2_CanTpIntf2App_Core2_CanTpMsg
#endif

/* Sender-Receiver Required Port canMsgDn0_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core2_canMsgDn0_Core2_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_canMsgDn0_Core2_canRawMsg Rte_Receive_cdd_datacenter_core2_canMsgDn0_Core2_canRawMsg
#endif

/* Sender-Receiver Required Port canMsgDn1_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core2_canMsgDn1_Core2_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_canMsgDn1_Core2_canRawMsg Rte_Receive_cdd_datacenter_core2_canMsgDn1_Core2_canRawMsg
#endif

/* Sender-Receiver Provided Port canMsgUp0_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core2_canMsgUp0_Core2_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_canMsgUp0_Core2_canRawMsg Rte_Send_cdd_datacenter_core2_canMsgUp0_Core2_canRawMsg
#endif

/* Sender-Receiver Provided Port canMsgUp1_Core2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core2_canMsgUp1_Core2_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_canMsgUp1_Core2_canRawMsg Rte_Send_cdd_datacenter_core2_canMsgUp1_Core2_canRawMsg
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, cdd_datacenter_core2_CODE) IntfAppCanMsgRunnable_Core2 (void);

extern FUNC(void, cdd_datacenter_core2_CODE) IntfCanTpMsgRunnable_Core2 (void);

extern FUNC(void, cdd_datacenter_core2_CODE) IntfPriorityReserveRunnable_Core2 (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CDD_DATACENTER_CORE2_H */