/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_cdd_emem_driver.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < cdd_emem_driver >
 *
 **************************************************************************/
#ifndef RTE_CDD_EMEM_DRIVER_H
#define RTE_CDD_EMEM_DRIVER_H

#define RTE_CDD_EMEM_DRIVER_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CDD_EMEM_DRIVER_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_EmemDriverInit1
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_EmemDriverInit1 */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_cdd_emem_driver_Type.h"
/* Version verification of the Rte_cdd_emem_driver_Type module */
#if ((RTE_CDD_EMEM_DRIVER_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_EMEM_DRIVER_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_EMEM_DRIVER_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_cdd_emem_driver_MemClasses.h"
/* Version verification of the Rte_cdd_emem_driver_MemClasses module */
#if ((RTE_CDD_EMEM_DRIVER_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_EMEM_DRIVER_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_EMEM_DRIVER_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_EmemDriverInit1 EmemDriverInit1

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_cdd_emem_driver_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_emem_driver_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_cdd_emem_driver_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_emem_driver_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_CDS_cdd_emem_driver {
    struct Rte_PDS_cdd_emem_driver_LogSwcMessageInterface_P LogSwcMessageInterface;

    struct Rte_PDS_cdd_emem_driver_LogSwcMessageService_R EmemLogSwcMessageService;
};
typedef struct Rte_CDS_cdd_emem_driver Rte_CDS_cdd_emem_driver;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_cdd_emem_driver, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_cdd_emem_driver, RTE_CONST, RTE_CONST) Rte_Inst_cdd_emem_driver;

/* Client-Server Required Port EmemLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_cdd_emem_driver_EmemLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_EmemLogSwcMessageService_SendLogMessage Rte_Call_cdd_emem_driver_EmemLogSwcMessageService_SendLogMessage
#define Rte_Result_EmemLogSwcMessageService_SendLogMessage Rte_Result_cdd_emem_driver_EmemLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_emem_driver_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_cdd_emem_driver_LogSwcMessageInterface_MntSendLog
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, cdd_emem_driver_CODE) EmemDriverInit1 (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CDD_EMEM_DRIVER_H */