/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_iohwabs.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < iohwabs >
 *
 **************************************************************************/
#ifndef RTE_IOHWABS_H
#define RTE_IOHWABS_H

#define RTE_IOHWABS_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_IOHWABS_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IohwabsRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IohwabsRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SysdrvIohwabRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SysdrvIohwabRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SysdrvRteRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SysdrvRteRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_iohwabs_Type.h"
/* Version verification of the Rte_iohwabs_Type module */
#if ((RTE_IOHWABS_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_IOHWABS_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_IOHWABS_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_iohwabs_MemClasses.h"
/* Version verification of the Rte_iohwabs_MemClasses module */
#if ((RTE_IOHWABS_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_IOHWABS_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_IOHWABS_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_IohwabsRunnable IohwabsRunnable

#define RTE_RUNNABLE_SysdrvIohwabRunnable SysdrvIohwabRunnable

#define RTE_RUNNABLE_SysdrvRteRunnable SysdrvRteRunnable

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_MntCmdLineResponseResult_E_NOT_OK)
#define RTE_E_MntCmdLineResponseResult_E_NOT_OK 1U
#endif
#if (!defined RTE_E_MntCmdLineResponseResult_E_OK)
#define RTE_E_MntCmdLineResponseResult_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_iohwabs_DataServices_DcmDspDid_0x9256_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9256_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_DataServices_DcmDspDid_0x9256_P *Rte_PortHandle_DataServices_DcmDspDid_0x9256_P;
#endif

struct Rte_PDS_iohwabs_DataServices_DcmDspDid_0x9257_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9257_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_DataServices_DcmDspDid_0x9257_P *Rte_PortHandle_DataServices_DcmDspDid_0x9257_P;
#endif

struct Rte_PDS_iohwabs_IohwabSignal_P {
    Std_ReturnType (*Write_dutyData)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dutyData);
    Std_ReturnType (*Write_idData)(P2CONST(struct Rte_struct_IdSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_idData);
    Std_ReturnType (*Write_portData)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_portData);
    Std_ReturnType (*Write_tempData)(P2CONST(struct Rte_struct_TempSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_tempData);
    Std_ReturnType (*Write_voltData)(P2CONST(struct Rte_struct_VoltSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_IohwabSignal_P *Rte_PortHandle_IohwabSignal_P;
#endif

struct Rte_PDS_iohwabs_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_iohwabs_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_iohwabs_MntCanTraceTriggerInterface_P {
    Std_ReturnType (*Send_triggerInfo)(P2CONST(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_MntCanTraceTriggerInterface_P *Rte_PortHandle_MntCanTraceTriggerInterface_P;
#endif

struct Rte_PDS_iohwabs_MntCmdLineResponseResult_R {
    Std_ReturnType (*Call_MntCmdLineResponseResult)(P2CONST(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray,
        VAR(uint8, AUTOMATIC) Rte_arg_groupNum,
        VAR(uint8, AUTOMATIC) Rte_arg_groupIndex,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultString,
        VAR(uint32, AUTOMATIC) Rte_arg_resultLen);
    Std_ReturnType (*Result_MntCmdLineResponseResult)(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_MntCmdLineResponseResult_R *Rte_PortHandle_MntCmdLineResponseResult_R;
#endif

struct Rte_PDS_iohwabs_MntDispatchCmdLine_R {
    Std_ReturnType (*Receive_CmdLineElement)(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CmdLineElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_MntDispatchCmdLine_R *Rte_PortHandle_MntDispatchCmdLine_R;
#endif

struct Rte_PDS_iohwabs_UartInterface_R {
    Std_ReturnType (*Receive_UartElement)(P2VAR(DevmdArrayUint8_128, AUTOMATIC, RTE_APPL_DATA) Rte_arg_UartElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_iohwabs_UartInterface_R *Rte_PortHandle_UartInterface_R;
#endif

struct Rte_CDS_iohwabs {
    struct Rte_PDS_iohwabs_DataServices_DcmDspDid_0x9256_P DataServices_DcmDspDid_0x9256;
    struct Rte_PDS_iohwabs_DataServices_DcmDspDid_0x9257_P DataServices_DcmDspDid_0x9257;
    struct Rte_PDS_iohwabs_IohwabSignal_P IohwabSignal;
    struct Rte_PDS_iohwabs_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_iohwabs_LogSwcMessageService_R IohwabLogSwcMessageService;
    struct Rte_PDS_iohwabs_MntCanTraceTriggerInterface_P MntCanTraceTriggerInterface;
    struct Rte_PDS_iohwabs_MntCmdLineResponseResult_R MntCmdLineResponseResult;
    struct Rte_PDS_iohwabs_MntDispatchCmdLine_R RpMntDispatchCmdLine;
    struct Rte_PDS_iohwabs_UartInterface_R RpUartInterface;
};
typedef struct Rte_CDS_iohwabs Rte_CDS_iohwabs;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_iohwabs, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_iohwabs, RTE_CONST, RTE_CONST) Rte_Inst_iohwabs;

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9256 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_DataServices_DcmDspDid_0x9256_Data(P2CONST(DcmDspDid_0x9256_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9256_Data Rte_Write_iohwabs_DataServices_DcmDspDid_0x9256_Data
#endif

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9257 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_DataServices_DcmDspDid_0x9257_Data(P2CONST(DcmDspDid_0x9257_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9257_Data Rte_Write_iohwabs_DataServices_DcmDspDid_0x9257_Data
#endif

/* Client-Server Required Port IohwabLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_iohwabs_IohwabLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_IohwabLogSwcMessageService_SendLogMessage Rte_Call_iohwabs_IohwabLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port IohwabSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_IohwabSignal_dutyData(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dutyData);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_IohwabSignal_idData(P2CONST(struct Rte_struct_IdSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_idData);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_IohwabSignal_portData(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_portData);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_IohwabSignal_tempData(P2CONST(struct Rte_struct_TempSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_tempData);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_iohwabs_IohwabSignal_voltData(P2CONST(struct Rte_struct_VoltSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_IohwabSignal_dutyData Rte_Write_iohwabs_IohwabSignal_dutyData
#define Rte_Write_IohwabSignal_idData Rte_Write_iohwabs_IohwabSignal_idData
#define Rte_Write_IohwabSignal_portData Rte_Write_iohwabs_IohwabSignal_portData
#define Rte_Write_IohwabSignal_tempData Rte_Write_iohwabs_IohwabSignal_tempData
#define Rte_Write_IohwabSignal_voltData Rte_Write_iohwabs_IohwabSignal_voltData
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_iohwabs_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_iohwabs_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port MntCanTraceTriggerInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_iohwabs_MntCanTraceTriggerInterface_triggerInfo(P2CONST(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntCanTraceTriggerInterface_triggerInfo Rte_Send_iohwabs_MntCanTraceTriggerInterface_triggerInfo
#endif

/* Client-Server Required Port MntCmdLineResponseResult */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_iohwabs_MntCmdLineResponseResult_MntCmdLineResponseResult(P2CONST(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray,
    VAR(uint8, AUTOMATIC) Rte_arg_groupNum,
    VAR(uint8, AUTOMATIC) Rte_arg_groupIndex,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultString,
    VAR(uint32, AUTOMATIC) Rte_arg_resultLen);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_iohwabs_MntCmdLineResponseResult_MntCmdLineResponseResult(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_MntCmdLineResponseResult_MntCmdLineResponseResult Rte_Call_iohwabs_MntCmdLineResponseResult_MntCmdLineResponseResult
#define Rte_Result_MntCmdLineResponseResult_MntCmdLineResponseResult Rte_Result_iohwabs_MntCmdLineResponseResult_MntCmdLineResponseResult
#endif

/* Sender-Receiver Required Port RpMntDispatchCmdLine */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_iohwabs_RpMntDispatchCmdLine_CmdLineElement(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CmdLineElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_RpMntDispatchCmdLine_CmdLineElement Rte_Receive_iohwabs_RpMntDispatchCmdLine_CmdLineElement
#endif

/* Sender-Receiver Required Port RpUartInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_iohwabs_RpUartInterface_UartElement(P2VAR(DevmdArrayUint8_128, AUTOMATIC, RTE_APPL_DATA) Rte_arg_UartElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_RpUartInterface_UartElement Rte_Receive_iohwabs_RpUartInterface_UartElement
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, iohwabs_CODE) IohwabsRunnable (void);

extern FUNC(void, iohwabs_CODE) SysdrvIohwabRunnable (void);

extern FUNC(void, iohwabs_CODE) SysdrvRteRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_IOHWABS_H */