/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_lpm_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < lpm_cp >
 *
 **************************************************************************/
#ifndef RTE_LPM_CP_H
#define RTE_LPM_CP_H

#define RTE_LPM_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_LPM_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LPM_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LPM_Init */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LPM_MainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LPM_MainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LpmOperSocPower
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LpmOperSocPower */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LpmPowerOnSocReq
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LpmPowerOnSocReq */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LpmSetDebugState
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LpmSetDebugState */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LpmSetMonitorState
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LpmSetMonitorState */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LpmSetVarValue
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LpmSetVarValue */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_lpm_cp_Type.h"
/* Version verification of the Rte_lpm_cp_Type module */
#if ((RTE_LPM_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_LPM_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_LPM_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_lpm_cp_MemClasses.h"
/* Version verification of the Rte_lpm_cp_MemClasses module */
#if ((RTE_LPM_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_LPM_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_LPM_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_LPM_Init LPM_Init

#define RTE_RUNNABLE_LPM_MainFunction LPM_MainFunction

#define RTE_RUNNABLE_LpmOperSocPower LpmOperSocPower

#define RTE_RUNNABLE_LpmPowerOnSocReq LpmPowerOnSocReq

#define RTE_RUNNABLE_LpmSetDebugState LpmSetDebugState

#define RTE_RUNNABLE_LpmSetMonitorState LpmSetMonitorState

#define RTE_RUNNABLE_LpmSetVarValue LpmSetVarValue

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_DevmHardwireSignal_accState ((uint8) 1)
#define Rte_InitValue_DevmHardwireSignal_gpiState ((uint8) 1)
#define Rte_InitValue_LpmSocOnAdsEnable_socOnEnb ((LPM_SocOnEnbType) 1)
#define Rte_InitValue_LpmSocOnFmEnable_socOnEnb ((LPM_SocOnEnbType) 1)
#define Rte_InitValue_LpmSocOnSmEnable_socOnEnb ((LPM_SocOnEnbType) 0)
#define Rte_InitValue_SmNotifyPlatEvent_event ((uint8) 0)
#define Rte_InitValue_SmNotifyPlatMode_mode ((uint16) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#define Rte_InitValue_Sa_ADAS_CrtSts_ADAS_CrtSts ((Sa_ADAS_CrtSts_Type) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_LpmOperSocPower_E_NOT_OK)
#define RTE_E_LpmOperSocPower_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmOperSocPower_E_OK)
#define RTE_E_LpmOperSocPower_E_OK 0U
#endif
#if (!defined RTE_E_LpmPowerOnSocReq_E_NOT_OK)
#define RTE_E_LpmPowerOnSocReq_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmPowerOnSocReq_E_OK)
#define RTE_E_LpmPowerOnSocReq_E_OK 0U
#endif
#if (!defined RTE_E_LpmSetDebugState_E_NOT_OK)
#define RTE_E_LpmSetDebugState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetDebugState_E_OK)
#define RTE_E_LpmSetDebugState_E_OK 0U
#endif
#if (!defined RTE_E_LpmSetMonitorState_E_NOT_OK)
#define RTE_E_LpmSetMonitorState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetMonitorState_E_OK)
#define RTE_E_LpmSetMonitorState_E_OK 0U
#endif
#if (!defined RTE_E_LpmSetVarValue_E_NOT_OK)
#define RTE_E_LpmSetVarValue_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetVarValue_E_OK)
#define RTE_E_LpmSetVarValue_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_lpm_cp_ADAS_CrtSts_P {
    Std_ReturnType (*Write_ADAS_CrtSts)(VAR(Sa_ADAS_CrtSts_Type, AUTOMATIC) Rte_arg_ADAS_CrtSts);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_ADAS_CrtSts_P *Rte_PortHandle_ADAS_CrtSts_P;
#endif

struct Rte_PDS_lpm_cp_DataServices_DcmDspDid_0x9250_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9250_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_DataServices_DcmDspDid_0x9250_P *Rte_PortHandle_DataServices_DcmDspDid_0x9250_P;
#endif

struct Rte_PDS_lpm_cp_DevmHardwireSignal_R {
    Std_ReturnType (*Read_accState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
    Std_ReturnType (*Read_gpiState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_DevmHardwireSignal_R *Rte_PortHandle_DevmHardwireSignal_R;
#endif

struct Rte_PDS_lpm_cp_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_lpm_cp_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_lpm_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_lpm_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

/* No RTE api is using port data structure Rte_PDS_lpm_cp_LpmOperSocPower_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_lpm_cp_LpmPowerOnSocReq_P, so no structure is generated */

struct Rte_PDS_lpm_cp_LpmSendReqResult_P {
    Std_ReturnType (*Write_reqResult)(P2CONST(LPM_RequestResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_reqResult);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_LpmSendReqResult_P *Rte_PortHandle_LpmSendReqResult_P;
#endif

/* No RTE api is using port data structure Rte_PDS_lpm_cp_LpmSetDebugState_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_lpm_cp_LpmSetMonitorState_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_lpm_cp_LpmSetVarValue_P, so no structure is generated */

struct Rte_PDS_lpm_cp_LpmSocOnAdsEnable_R {
    Std_ReturnType (*Read_socOnEnb)(P2VAR(LPM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_LpmSocOnAdsEnable_R *Rte_PortHandle_LpmSocOnAdsEnable_R;
#endif

struct Rte_PDS_lpm_cp_LpmSocOnFmEnable_R {
    Std_ReturnType (*Read_socOnEnb)(P2VAR(LPM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_LpmSocOnFmEnable_R *Rte_PortHandle_LpmSocOnFmEnable_R;
#endif

struct Rte_PDS_lpm_cp_LpmSocOnSmEnable_R {
    Std_ReturnType (*Read_socOnEnb)(P2VAR(LPM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_LpmSocOnSmEnable_R *Rte_PortHandle_LpmSocOnSmEnable_R;
#endif

struct Rte_PDS_lpm_cp_NmServiceComState_R {
    Std_ReturnType (*Read_comState)(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_NmServiceComState_R *Rte_PortHandle_NmServiceComState_R;
#endif

struct Rte_PDS_lpm_cp_SmNotifyPlatEvent_R {
    Std_ReturnType (*Read_event)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_event);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_SmNotifyPlatEvent_R *Rte_PortHandle_SmNotifyPlatEvent_R;
#endif

struct Rte_PDS_lpm_cp_SmNotifyPlatMode_R {
    Std_ReturnType (*Read_mode)(P2VAR(uint16, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_SmNotifyPlatMode_R *Rte_PortHandle_SmNotifyPlatMode_R;
#endif

struct Rte_PDS_lpm_cp_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_lpm_cp_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_CDS_lpm_cp {
    void (*Enter_ExclusiveArea_LpmMonitor)(void);
    void (*Exit_ExclusiveArea_LpmMonitor)(void);
    struct Rte_PDS_lpm_cp_ADAS_CrtSts_P Sa_ADAS_CrtSts;
    struct Rte_PDS_lpm_cp_DataServices_DcmDspDid_0x9250_P DataServices_DcmDspDid_0x9250;
    struct Rte_PDS_lpm_cp_DevmHardwireSignal_R DevmHardwireSignal;
    struct Rte_PDS_lpm_cp_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_lpm_cp_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_lpm_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_lpm_cp_LogSwcMessageService_R LpmLogSwcMessageService;
    struct Rte_PDS_lpm_cp_LpmSendReqResult_P LpmSendReqResult;
    struct Rte_PDS_lpm_cp_LpmSocOnAdsEnable_R LpmSocOnAdsEnable;
    struct Rte_PDS_lpm_cp_LpmSocOnFmEnable_R LpmSocOnFmEnable;
    struct Rte_PDS_lpm_cp_LpmSocOnSmEnable_R LpmSocOnSmEnable;
    struct Rte_PDS_lpm_cp_NmServiceComState_R NmServiceComState;
    struct Rte_PDS_lpm_cp_SmNotifyPlatEvent_R SmNotifyPlatEvent;
    struct Rte_PDS_lpm_cp_SmNotifyPlatMode_R SmNotifyPlatMode;
    struct Rte_PDS_lpm_cp_SmNotifyPlatState_R SmNotifyPlatState;
};
typedef struct Rte_CDS_lpm_cp Rte_CDS_lpm_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_lpm_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_lpm_cp, RTE_CONST, RTE_CONST) Rte_Inst_lpm_cp;

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9250 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_lpm_cp_DataServices_DcmDspDid_0x9250_Data(P2CONST(DcmDspDid_0x9250_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9250_Data Rte_Write_lpm_cp_DataServices_DcmDspDid_0x9250_Data
#endif

/* Sender-Receiver Required Port DevmHardwireSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_DevmHardwireSignal_accState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);

extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_DevmHardwireSignal_gpiState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmHardwireSignal_accState Rte_Read_lpm_cp_DevmHardwireSignal_accState
#define Rte_Read_DevmHardwireSignal_gpiState Rte_Read_lpm_cp_DevmHardwireSignal_gpiState
#endif

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_lpm_cp_DevmPowerStatus_status
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_lpm_cp_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_lpm_cp_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_lpm_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_lpm_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port LpmLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_lpm_cp_LpmLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmLogSwcMessageService_SendLogMessage Rte_Call_lpm_cp_LpmLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port LpmSendReqResult */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_lpm_cp_LpmSendReqResult_reqResult(P2CONST(LPM_RequestResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_reqResult);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_LpmSendReqResult_reqResult Rte_Write_lpm_cp_LpmSendReqResult_reqResult
#endif

/* Sender-Receiver Required Port LpmSocOnAdsEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_LpmSocOnAdsEnable_socOnEnb(P2VAR(LPM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_LpmSocOnAdsEnable_socOnEnb Rte_Read_lpm_cp_LpmSocOnAdsEnable_socOnEnb
#endif

/* Sender-Receiver Required Port LpmSocOnFmEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_LpmSocOnFmEnable_socOnEnb(P2VAR(LPM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_LpmSocOnFmEnable_socOnEnb Rte_Read_lpm_cp_LpmSocOnFmEnable_socOnEnb
#endif

/* Sender-Receiver Required Port LpmSocOnSmEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_LpmSocOnSmEnable_socOnEnb(P2VAR(LPM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_LpmSocOnSmEnable_socOnEnb Rte_Read_lpm_cp_LpmSocOnSmEnable_socOnEnb
#endif

/* Sender-Receiver Required Port NmServiceComState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_NmServiceComState_comState(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_NmServiceComState_comState Rte_Read_lpm_cp_NmServiceComState_comState
#endif

/* Sender-Receiver Provided Port Sa_ADAS_CrtSts */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_lpm_cp_Sa_ADAS_CrtSts_ADAS_CrtSts(VAR(Sa_ADAS_CrtSts_Type, AUTOMATIC) Rte_arg_ADAS_CrtSts);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_Sa_ADAS_CrtSts_ADAS_CrtSts Rte_Write_lpm_cp_Sa_ADAS_CrtSts_ADAS_CrtSts
#endif

/* Sender-Receiver Required Port SmNotifyPlatEvent */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_SmNotifyPlatEvent_event(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_event);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatEvent_event Rte_Read_lpm_cp_SmNotifyPlatEvent_event
#endif

/* Sender-Receiver Required Port SmNotifyPlatMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_SmNotifyPlatMode_mode(P2VAR(uint16, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatMode_mode Rte_Read_lpm_cp_SmNotifyPlatMode_mode
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_lpm_cp_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_lpm_cp_SmNotifyPlatState_state
#endif
/***************************************************************************
 *
 * Exclusive Area API
 *
 **************************************************************************/
extern FUNC(void, RTE_CODE) Rte_Enter_lpm_cp_ExclusiveArea_LpmMonitor(void);
extern FUNC(void, RTE_CODE) Rte_Exit_lpm_cp_ExclusiveArea_LpmMonitor(void);

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */

#if ( \
        (!defined RTE_RUNNABLEAPI_LPM_Init) && \
        (!defined RTE_RUNNABLEAPI_LpmOperSocPower) && \
        (!defined RTE_RUNNABLEAPI_LpmPowerOnSocReq) && \
        (!defined RTE_RUNNABLEAPI_LpmSetDebugState) && \
        (!defined RTE_RUNNABLEAPI_LpmSetVarValue) \
)
#define Rte_Enter_ExclusiveArea_LpmMonitor Rte_Enter_lpm_cp_ExclusiveArea_LpmMonitor
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_LPM_Init) && \
        (!defined RTE_RUNNABLEAPI_LpmOperSocPower) && \
        (!defined RTE_RUNNABLEAPI_LpmPowerOnSocReq) && \
        (!defined RTE_RUNNABLEAPI_LpmSetDebugState) && \
        (!defined RTE_RUNNABLEAPI_LpmSetVarValue) \
)
#define Rte_Exit_ExclusiveArea_LpmMonitor Rte_Exit_lpm_cp_ExclusiveArea_LpmMonitor
#endif

#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, lpm_cp_CODE) LPM_Init (void);

extern FUNC(void, lpm_cp_CODE) LPM_MainFunction (void);

extern FUNC(Std_ReturnType, lpm_cp_CODE) LpmOperSocPower (VAR(LPM_ReqType, AUTOMATIC) Rte_arg_req);

extern FUNC(Std_ReturnType, lpm_cp_CODE) LpmPowerOnSocReq (VAR(uint8, AUTOMATIC) Rte_arg_userId,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);

extern FUNC(Std_ReturnType, lpm_cp_CODE) LpmSetDebugState (VAR(LPM_DebugType, AUTOMATIC) Rte_arg_debugSts);

extern FUNC(Std_ReturnType, lpm_cp_CODE) LpmSetMonitorState (VAR(LPM_ReqType, AUTOMATIC) Rte_arg_reqMonitor,
    VAR(LPM_OprMonitorType, AUTOMATIC) Rte_arg_operation);

extern FUNC(Std_ReturnType, lpm_cp_CODE) LpmSetVarValue (VAR(uint8, AUTOMATIC) Rte_arg_varId,
    VAR(uint8, AUTOMATIC) Rte_arg_srcValue,
    VAR(uint8, AUTOMATIC) Rte_arg_dstValue,
    VAR(uint32, AUTOMATIC) Rte_arg_delayTime);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_LPM_CP_H */