/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_ncs_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < ncs_cp >
 *
 **************************************************************************/
#ifndef RTE_NCS_CP_H
#define RTE_NCS_CP_H

#define RTE_NCS_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_NCS_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NcsInit
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NcsInit */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NcsMainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NcsMainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NcsServerChannelService
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NcsServerChannelService */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_ncs_cp_Type.h"
/* Version verification of the Rte_ncs_cp_Type module */
#if ((RTE_NCS_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_NCS_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_NCS_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_ncs_cp_MemClasses.h"
/* Version verification of the Rte_ncs_cp_MemClasses module */
#if ((RTE_NCS_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_NCS_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_NCS_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_NcsInit NcsInit

#define RTE_RUNNABLE_NcsMainFunction NcsMainFunction

#define RTE_RUNNABLE_NcsServerChannelService NcsServerChannelService

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SmSsWorkingStatus_WorkStatus ((uint8) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_CsmHash_E_NOT_OK)
#define RTE_E_CsmHash_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmHash_E_OK)
#define RTE_E_CsmHash_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_OK 0U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_BUSY)
#define RTE_E_CsmMacGenerate_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_KEY_EMPTY)
#define RTE_E_CsmMacGenerate_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_KEY_NOT_VALID)
#define RTE_E_CsmMacGenerate_CSM_E_KEY_NOT_VALID 9U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmMacGenerate_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmMacGenerate_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmMacGenerate_E_NOT_OK)
#define RTE_E_CsmMacGenerate_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmMacGenerate_E_OK)
#define RTE_E_CsmMacGenerate_E_OK 0U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_BUSY)
#define RTE_E_CsmMacVerify_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_KEY_EMPTY)
#define RTE_E_CsmMacVerify_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_KEY_NOT_VALID)
#define RTE_E_CsmMacVerify_CSM_E_KEY_NOT_VALID 9U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmMacVerify_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmMacVerify_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmMacVerify_E_NOT_OK)
#define RTE_E_CsmMacVerify_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmMacVerify_E_OK)
#define RTE_E_CsmMacVerify_E_OK 0U
#endif
#if (!defined RTE_E_NvMService_E_NOT_OK)
#define RTE_E_NvMService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_NvMService_E_OK)
#define RTE_E_NvMService_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_ncs_cp_CsmJobKeyId_R {
    Std_ReturnType (*Call_JobKeyIdSet)(VAR(uint32, AUTOMATIC) Rte_arg_jobId,
        VAR(uint32, AUTOMATIC) Rte_arg_keyId);
    Std_ReturnType (*Call_JobKeyIdGet)(VAR(uint32, AUTOMATIC) Rte_arg_jobId,
        P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyIdPtr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmJobKeyId_R *Rte_PortHandle_CsmJobKeyId_R;
#endif

struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_IKM_R {
    Std_ReturnType (*Call_KeyElementCopy)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
    Std_ReturnType (*Call_KeyElementGet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeyElementSet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeySetValid)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_IKM_R *Rte_PortHandle_CsmKeyManagement_CsmKey_IKM_R;
#endif

struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_IKM_minor_R {
    Std_ReturnType (*Call_KeyElementCopy)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
    Std_ReturnType (*Call_KeyElementGet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeyElementSet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeySetValid)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_IKM_minor_R *Rte_PortHandle_CsmKeyManagement_CsmKey_IKM_minor_R;
#endif

struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_SecOC_R {
    Std_ReturnType (*Call_KeyElementCopy)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
    Std_ReturnType (*Call_KeyElementGet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeyElementSet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeySetValid)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_SecOC_R *Rte_PortHandle_CsmKeyManagement_CsmKey_SecOC_R;
#endif

struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_SecOC_minor_R {
    Std_ReturnType (*Call_KeyElementCopy)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
        VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
    Std_ReturnType (*Call_KeyElementGet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeyElementSet)(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
        VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
    Std_ReturnType (*Call_KeySetValid)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_SecOC_minor_R *Rte_PortHandle_CsmKeyManagement_CsmKey_SecOC_minor_R;
#endif

struct Rte_PDS_ncs_cp_CsmMacGenerate_CsmMacGenerateConfig_R {
    Std_ReturnType (*Call_MacGenerate)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuffer,
        VAR(uint32, AUTOMATIC) Rte_arg_dataLength,
        P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultBuffer,
        P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmMacGenerate_CsmMacGenerateConfig_R *Rte_PortHandle_CsmMacGenerate_CsmMacGenerateConfig_R;
#endif

struct Rte_PDS_ncs_cp_CsmMacVerify_CsmMacVerifyConfig_R {
    Std_ReturnType (*Call_MacVerify)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuffer,
        VAR(uint32, AUTOMATIC) Rte_arg_dataLength,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_compareBuffer,
        VAR(uint32, AUTOMATIC) Rte_arg_compareLength,
        P2VAR(Crypto_VerifyResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultBuffer);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_CsmMacVerify_CsmMacVerifyConfig_R *Rte_PortHandle_CsmMacVerify_CsmMacVerifyConfig_R;
#endif

struct Rte_PDS_ncs_cp_DevmdTransVinCode_R {
    Std_ReturnType (*Receive_vinCodeElement)(P2VAR(DevmdVinCodeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_vinCodeElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_DevmdTransVinCode_R *Rte_PortHandle_DevmdTransVinCode_R;
#endif

struct Rte_PDS_ncs_cp_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_ncs_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

/* No RTE api is using port data structure Rte_PDS_ncs_cp_NcsChannelDispatch_P, so no structure is generated */

struct Rte_PDS_ncs_cp_NcsDumpFv_R {
    Std_ReturnType (*Call_NcsDumpFv)(P2CONST(NcsServerDataRequest, AUTOMATIC, RTE_APPL_DATA) Rte_arg_request,
        P2VAR(NcsServerDataResponse, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_NcsDumpFv_R *Rte_PortHandle_NcsDumpFv_R;
#endif

struct Rte_PDS_ncs_cp_NcsInitFvm_R {
    Std_ReturnType (*Call_NcsInitFvm)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_NcsInitFvm_R *Rte_PortHandle_NcsInitFvm_R;
#endif

struct Rte_PDS_ncs_cp_NcsPowerDownNotify_R {
    Std_ReturnType (*Call_NcsPowerDownNotify)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_NcsPowerDownNotify_R *Rte_PortHandle_NcsPowerDownNotify_R;
#endif

struct Rte_PDS_ncs_cp_NcsUpdateFv_R {
    Std_ReturnType (*Call_NcsUpdateFv)(P2CONST(NcsServerDataRequest, AUTOMATIC, RTE_APPL_DATA) Rte_arg_request,
        P2VAR(NcsServerDataResponse, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_NcsUpdateFv_R *Rte_PortHandle_NcsUpdateFv_R;
#endif

struct Rte_PDS_ncs_cp_NcsVerificationStatus_R {
    Std_ReturnType (*Call_NcsVerificationStatus)(P2CONST(SecOC_VerificationStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_verificationStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_NcsVerificationStatus_R *Rte_PortHandle_NcsVerificationStatus_R;
#endif

struct Rte_PDS_ncs_cp_NvMService_R {
    Std_ReturnType (*Call_SetRamBlockStatus)(VAR(boolean, AUTOMATIC) Rte_arg_BlockChanged);
    Std_ReturnType (*Call_WritePRAMBlock)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_NvMService_R *Rte_PortHandle_NvMService_R;
#endif

struct Rte_PDS_ncs_cp_SmSsWorkingStatus_R {
    uint8 (*DRead_WorkStatus)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_ncs_cp_SmSsWorkingStatus_R *Rte_PortHandle_SmSsWorkingStatus_R;
#endif

struct Rte_CDS_ncs_cp {
    KeyUpdInfoType* Pim_Pim_KeyUpdInfo;
    uint8* Pim_Pim_secocSw;
    SecocVinCodeType* Pim_Pim_vinCode;
    struct Rte_PDS_ncs_cp_CsmJobKeyId_R CsmJobKeyId;
    struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_IKM_R CsmKey_IKM;
    struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_IKM_minor_R CsmKey_IKM_minor;
    struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_SecOC_R CsmKey_SecOC;
    struct Rte_PDS_ncs_cp_CsmKeyManagement_CsmKey_SecOC_minor_R CsmKey_SecOC_minor;
    struct Rte_PDS_ncs_cp_CsmMacGenerate_CsmMacGenerateConfig_R CsmJob_IKM_MacGenerate;
    struct Rte_PDS_ncs_cp_CsmMacGenerate_CsmMacGenerateConfig_R CsmJob_Key_Update_MacGenerate;
    struct Rte_PDS_ncs_cp_CsmMacGenerate_CsmMacGenerateConfig_R CsmJob_SecOC_MacGenerate;
    struct Rte_PDS_ncs_cp_CsmMacVerify_CsmMacVerifyConfig_R CsmJob_SecOC_MacVerify;
    struct Rte_PDS_ncs_cp_DevmdTransVinCode_R DevmdTransVinCode;
    struct Rte_PDS_ncs_cp_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_ncs_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_ncs_cp_NcsDumpFv_R NcsDumpFv;
    struct Rte_PDS_ncs_cp_NcsInitFvm_R NcsInitFvm;
    struct Rte_PDS_ncs_cp_NcsPowerDownNotify_R NcsPowerDownNotify;
    struct Rte_PDS_ncs_cp_NcsUpdateFv_R NcsUpdateFv;
    struct Rte_PDS_ncs_cp_NcsVerificationStatus_R NcsVerificationStatus;
    struct Rte_PDS_ncs_cp_NvMService_R NvMService_KeyUpdInfo;
    struct Rte_PDS_ncs_cp_SmSsWorkingStatus_R SmSsWorkingStatus;
};
typedef struct Rte_CDS_ncs_cp Rte_CDS_ncs_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_ncs_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_ncs_cp, RTE_CONST, RTE_CONST) Rte_Inst_ncs_cp;

/* Client-Server Required Port CsmJobKeyId */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmJobKeyId_JobKeyIdSet(VAR(uint32, AUTOMATIC) Rte_arg_jobId,
    VAR(uint32, AUTOMATIC) Rte_arg_keyId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmJobKeyId_JobKeyIdGet(VAR(uint32, AUTOMATIC) Rte_arg_jobId,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyIdPtr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmJobKeyId_JobKeyIdSet Rte_Call_ncs_cp_CsmJobKeyId_JobKeyIdSet
#define Rte_Call_CsmJobKeyId_JobKeyIdGet Rte_Call_ncs_cp_CsmJobKeyId_JobKeyIdGet
#endif

/* Client-Server Required Port CsmJob_IKM_MacGenerate */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmJob_IKM_MacGenerate_MacGenerate(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuffer,
    VAR(uint32, AUTOMATIC) Rte_arg_dataLength,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultBuffer,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmJob_IKM_MacGenerate_MacGenerate Rte_Call_ncs_cp_CsmJob_IKM_MacGenerate_MacGenerate
#endif

/* Client-Server Required Port CsmJob_Key_Update_MacGenerate */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmJob_Key_Update_MacGenerate_MacGenerate(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuffer,
    VAR(uint32, AUTOMATIC) Rte_arg_dataLength,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultBuffer,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmJob_Key_Update_MacGenerate_MacGenerate Rte_Call_ncs_cp_CsmJob_Key_Update_MacGenerate_MacGenerate
#endif

/* Client-Server Required Port CsmJob_SecOC_MacGenerate */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmJob_SecOC_MacGenerate_MacGenerate(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuffer,
    VAR(uint32, AUTOMATIC) Rte_arg_dataLength,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultBuffer,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmJob_SecOC_MacGenerate_MacGenerate Rte_Call_ncs_cp_CsmJob_SecOC_MacGenerate_MacGenerate
#endif

/* Client-Server Required Port CsmJob_SecOC_MacVerify */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmJob_SecOC_MacVerify_MacVerify(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuffer,
    VAR(uint32, AUTOMATIC) Rte_arg_dataLength,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_compareBuffer,
    VAR(uint32, AUTOMATIC) Rte_arg_compareLength,
    P2VAR(Crypto_VerifyResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultBuffer);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmJob_SecOC_MacVerify_MacVerify Rte_Call_ncs_cp_CsmJob_SecOC_MacVerify_MacVerify
#endif

/* Client-Server Required Port CsmKey_IKM */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_KeyElementCopy(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_KeyElementGet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_KeyElementSet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_KeySetValid(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmKey_IKM_KeyElementCopy Rte_Call_ncs_cp_CsmKey_IKM_KeyElementCopy
#define Rte_Call_CsmKey_IKM_KeyElementGet Rte_Call_ncs_cp_CsmKey_IKM_KeyElementGet
#define Rte_Call_CsmKey_IKM_KeyElementSet Rte_Call_ncs_cp_CsmKey_IKM_KeyElementSet
#define Rte_Call_CsmKey_IKM_KeySetValid Rte_Call_ncs_cp_CsmKey_IKM_KeySetValid
#endif

/* Client-Server Required Port CsmKey_IKM_minor */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_minor_KeyElementCopy(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_minor_KeyElementGet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_minor_KeyElementSet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_IKM_minor_KeySetValid(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmKey_IKM_minor_KeyElementCopy Rte_Call_ncs_cp_CsmKey_IKM_minor_KeyElementCopy
#define Rte_Call_CsmKey_IKM_minor_KeyElementGet Rte_Call_ncs_cp_CsmKey_IKM_minor_KeyElementGet
#define Rte_Call_CsmKey_IKM_minor_KeyElementSet Rte_Call_ncs_cp_CsmKey_IKM_minor_KeyElementSet
#define Rte_Call_CsmKey_IKM_minor_KeySetValid Rte_Call_ncs_cp_CsmKey_IKM_minor_KeySetValid
#endif

/* Client-Server Required Port CsmKey_SecOC */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_KeyElementCopy(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_KeyElementGet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_KeyElementSet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_KeySetValid(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmKey_SecOC_KeyElementCopy Rte_Call_ncs_cp_CsmKey_SecOC_KeyElementCopy
#define Rte_Call_CsmKey_SecOC_KeyElementGet Rte_Call_ncs_cp_CsmKey_SecOC_KeyElementGet
#define Rte_Call_CsmKey_SecOC_KeyElementSet Rte_Call_ncs_cp_CsmKey_SecOC_KeyElementSet
#define Rte_Call_CsmKey_SecOC_KeySetValid Rte_Call_ncs_cp_CsmKey_SecOC_KeySetValid
#endif

/* Client-Server Required Port CsmKey_SecOC_minor */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeyElementCopy(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyId,
    VAR(uint32, AUTOMATIC) Rte_arg_targetKeyElementId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeyElementGet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeyElementSet(VAR(uint32, AUTOMATIC) Rte_arg_keyElementId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_keyPtr,
    VAR(uint32, AUTOMATIC) Rte_arg_keyLength);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeySetValid(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_CsmKey_SecOC_minor_KeyElementCopy Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeyElementCopy
#define Rte_Call_CsmKey_SecOC_minor_KeyElementGet Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeyElementGet
#define Rte_Call_CsmKey_SecOC_minor_KeyElementSet Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeyElementSet
#define Rte_Call_CsmKey_SecOC_minor_KeySetValid Rte_Call_ncs_cp_CsmKey_SecOC_minor_KeySetValid
#endif

/* Sender-Receiver Required Port DevmdTransVinCode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_ncs_cp_DevmdTransVinCode_vinCodeElement(P2VAR(DevmdVinCodeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_vinCodeElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_DevmdTransVinCode_vinCodeElement Rte_Receive_ncs_cp_DevmdTransVinCode_vinCodeElement
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_ncs_cp_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_ncs_cp_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_ncs_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_ncs_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port NcsDumpFv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NcsDumpFv_NcsDumpFv(P2CONST(NcsServerDataRequest, AUTOMATIC, RTE_APPL_DATA) Rte_arg_request,
    P2VAR(NcsServerDataResponse, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NcsDumpFv_NcsDumpFv Rte_Call_ncs_cp_NcsDumpFv_NcsDumpFv
#endif

/* Client-Server Required Port NcsInitFvm */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NcsInitFvm_NcsInitFvm(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NcsInitFvm_NcsInitFvm Rte_Call_ncs_cp_NcsInitFvm_NcsInitFvm
#endif

/* Client-Server Required Port NcsPowerDownNotify */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NcsPowerDownNotify_NcsPowerDownNotify(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NcsPowerDownNotify_NcsPowerDownNotify Rte_Call_ncs_cp_NcsPowerDownNotify_NcsPowerDownNotify
#endif

/* Client-Server Required Port NcsUpdateFv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NcsUpdateFv_NcsUpdateFv(P2CONST(NcsServerDataRequest, AUTOMATIC, RTE_APPL_DATA) Rte_arg_request,
    P2VAR(NcsServerDataResponse, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NcsUpdateFv_NcsUpdateFv Rte_Call_ncs_cp_NcsUpdateFv_NcsUpdateFv
#endif

/* Client-Server Required Port NcsVerificationStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NcsVerificationStatus_NcsVerificationStatus(P2CONST(SecOC_VerificationStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_verificationStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NcsVerificationStatus_NcsVerificationStatus Rte_Call_ncs_cp_NcsVerificationStatus_NcsVerificationStatus
#endif

/* Client-Server Required Port NvMService_KeyUpdInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NvMService_KeyUpdInfo_SetRamBlockStatus(VAR(boolean, AUTOMATIC) Rte_arg_BlockChanged);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_ncs_cp_NvMService_KeyUpdInfo_WritePRAMBlock(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NvMService_KeyUpdInfo_SetRamBlockStatus Rte_Call_ncs_cp_NvMService_KeyUpdInfo_SetRamBlockStatus
#define Rte_Call_NvMService_KeyUpdInfo_WritePRAMBlock Rte_Call_ncs_cp_NvMService_KeyUpdInfo_WritePRAMBlock
#endif

/* Sender-Receiver Required Port SmSsWorkingStatus */
extern FUNC(uint8, RTE_DATA) Rte_DRead_ncs_cp_SmSsWorkingStatus_WorkStatus(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_DRead_SmSsWorkingStatus_WorkStatus Rte_DRead_ncs_cp_SmSsWorkingStatus_WorkStatus
#endif

/***************************************************************************
 *
 * Per Instance Memory API
 *
 **************************************************************************/
extern FUNC_P2VAR(KeyUpdInfoType, RTE_DATA, AUTOMATIC) Rte_Pim_ncs_cp_Pim_KeyUpdInfo(void);
extern FUNC_P2VAR(uint8, RTE_DATA, AUTOMATIC) Rte_Pim_ncs_cp_Pim_secocSw(void);
extern FUNC_P2VAR(SecocVinCodeType, RTE_DATA, AUTOMATIC) Rte_Pim_ncs_cp_Pim_vinCode(void);

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Pim_Pim_KeyUpdInfo Rte_Pim_ncs_cp_Pim_KeyUpdInfo
#define Rte_Pim_Pim_secocSw Rte_Pim_ncs_cp_Pim_secocSw
#define Rte_Pim_Pim_vinCode Rte_Pim_ncs_cp_Pim_vinCode

#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, ncs_cp_CODE) NcsInit (void);

extern FUNC(void, ncs_cp_CODE) NcsMainFunction (void);

extern FUNC(void, ncs_cp_CODE) NcsServerChannelService (P2CONST(NcsServerDataRequest, AUTOMATIC, RTE_APPL_DATA) Rte_arg_request,
    P2VAR(NcsServerDataResponse, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_NCS_CP_H */