/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_nm_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < nm_cp >
 *
 **************************************************************************/
#ifndef RTE_NM_CP_H
#define RTE_NM_CP_H

#define RTE_NM_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_NM_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NM_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NM_Init */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NM_MainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NM_MainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmService_ControlCan
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmService_ControlCan */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmService_ControlCom
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmService_ControlCom */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmService_ExternalCanNmCtrl
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmService_ExternalCanNmCtrl */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmService_InternalCanNmCtrl
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmService_InternalCanNmCtrl */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_nm_cp_Type.h"
/* Version verification of the Rte_nm_cp_Type module */
#if ((RTE_NM_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_NM_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_NM_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_nm_cp_MemClasses.h"
/* Version verification of the Rte_nm_cp_MemClasses module */
#if ((RTE_NM_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_NM_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_NM_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_NM_Init NM_Init

#define RTE_RUNNABLE_NM_MainFunction NM_MainFunction

#define RTE_RUNNABLE_NmService_ControlCan NmService_ControlCan

#define RTE_RUNNABLE_NmService_ControlCom NmService_ControlCom

#define RTE_RUNNABLE_NmService_ExternalCanNmCtrl NmService_ExternalCanNmCtrl

#define RTE_RUNNABLE_NmService_InternalCanNmCtrl NmService_InternalCanNmCtrl

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_NmRepeatSts_repeatSts ((uint8) 0)
#define Rte_InitValue_NmFirstWakeUpReason_wakeupReason ((uint8) 0)
#define Rte_InitValue_DevmHardwireSignal_accState ((uint8) 1)
#define Rte_InitValue_DevmHardwireSignal_gpiState ((uint8) 1)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_NmService_E_NOT_OK)
#define RTE_E_NmService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_NmService_E_OK)
#define RTE_E_NmService_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_nm_cp_DataServices_DcmDspDid_0x9251_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9251_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_DataServices_DcmDspDid_0x9251_P *Rte_PortHandle_DataServices_DcmDspDid_0x9251_P;
#endif

struct Rte_PDS_nm_cp_DevmHardwireSignal_R {
    Std_ReturnType (*Read_accState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_DevmHardwireSignal_R *Rte_PortHandle_DevmHardwireSignal_R;
#endif

struct Rte_PDS_nm_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_nm_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_nm_cp_NmFirstWakeUpReason_P {
    Std_ReturnType (*Write_wakeupReason)(VAR(uint8, AUTOMATIC) Rte_arg_wakeupReason);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_NmFirstWakeUpReason_P *Rte_PortHandle_NmFirstWakeUpReason_P;
#endif

struct Rte_PDS_nm_cp_NmRepeatSts_P {
    Std_ReturnType (*Write_repeatSts)(VAR(uint8, AUTOMATIC) Rte_arg_repeatSts);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_NmRepeatSts_P *Rte_PortHandle_NmRepeatSts_P;
#endif

/* No RTE api is using port data structure Rte_PDS_nm_cp_NmService_P, so no structure is generated */

struct Rte_PDS_nm_cp_NmServiceComReq_R {
    Std_ReturnType (*Receive_comReq)(P2VAR(ComReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comReq);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_NmServiceComReq_R *Rte_PortHandle_NmServiceComReq_R;
#endif

struct Rte_PDS_nm_cp_NmServiceComState_P {
    Std_ReturnType (*Write_comState)(P2CONST(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_NmServiceComState_P *Rte_PortHandle_NmServiceComState_P;
#endif

struct Rte_PDS_nm_cp_NmUserdata_R {
    Std_ReturnType (*Read_userdata)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_userdata);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_NmUserdata_R *Rte_PortHandle_NmUserdata_R;
#endif

struct Rte_PDS_nm_cp_SaPowerModeGet_R {
    Std_ReturnType (*Read_powerMode)(P2VAR(Sa_PowerMode, AUTOMATIC, RTE_APPL_DATA) Rte_arg_powerMode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_nm_cp_SaPowerModeGet_R *Rte_PortHandle_SaPowerModeGet_R;
#endif

struct Rte_CDS_nm_cp {
    struct Rte_PDS_nm_cp_DataServices_DcmDspDid_0x9251_P DataServices_DcmDspDid_0x9251;
    struct Rte_PDS_nm_cp_DevmHardwireSignal_R DevmHardwireSignal;
    struct Rte_PDS_nm_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_nm_cp_LogSwcMessageService_R NmLogSwcMessageService;
    struct Rte_PDS_nm_cp_NmFirstWakeUpReason_P NmFirstWakeUpReason;
    struct Rte_PDS_nm_cp_NmRepeatSts_P NmRepeatSts;
    struct Rte_PDS_nm_cp_NmServiceComReq_R NmServiceComReq;
    struct Rte_PDS_nm_cp_NmServiceComState_P NmServiceComState;
    struct Rte_PDS_nm_cp_NmUserdata_R NmUserdata;
    struct Rte_PDS_nm_cp_SaPowerModeGet_R SaPowerModeGet;
};
typedef struct Rte_CDS_nm_cp Rte_CDS_nm_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_nm_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_nm_cp, RTE_CONST, RTE_CONST) Rte_Inst_nm_cp;

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9251 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_nm_cp_DataServices_DcmDspDid_0x9251_Data(P2CONST(DcmDspDid_0x9251_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9251_Data Rte_Write_nm_cp_DataServices_DcmDspDid_0x9251_Data
#endif

/* Sender-Receiver Required Port DevmHardwireSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_nm_cp_DevmHardwireSignal_accState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmHardwireSignal_accState Rte_Read_nm_cp_DevmHardwireSignal_accState
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_nm_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_nm_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port NmFirstWakeUpReason */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_nm_cp_NmFirstWakeUpReason_wakeupReason(VAR(uint8, AUTOMATIC) Rte_arg_wakeupReason);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_NmFirstWakeUpReason_wakeupReason Rte_Write_nm_cp_NmFirstWakeUpReason_wakeupReason
#endif

/* Client-Server Required Port NmLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_nm_cp_NmLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NmLogSwcMessageService_SendLogMessage Rte_Call_nm_cp_NmLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port NmRepeatSts */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_nm_cp_NmRepeatSts_repeatSts(VAR(uint8, AUTOMATIC) Rte_arg_repeatSts);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_NmRepeatSts_repeatSts Rte_Write_nm_cp_NmRepeatSts_repeatSts
#endif

/* Sender-Receiver Required Port NmServiceComReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_nm_cp_NmServiceComReq_comReq(P2VAR(ComReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comReq);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_NmServiceComReq_comReq Rte_Receive_nm_cp_NmServiceComReq_comReq
#endif

/* Sender-Receiver Provided Port NmServiceComState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_nm_cp_NmServiceComState_comState(P2CONST(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_NmServiceComState_comState Rte_Write_nm_cp_NmServiceComState_comState
#endif

/* Sender-Receiver Required Port NmUserdata */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_nm_cp_NmUserdata_userdata(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_userdata);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_NmUserdata_userdata Rte_Read_nm_cp_NmUserdata_userdata
#endif

/* Sender-Receiver Required Port SaPowerModeGet */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_nm_cp_SaPowerModeGet_powerMode(P2VAR(Sa_PowerMode, AUTOMATIC, RTE_APPL_DATA) Rte_arg_powerMode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SaPowerModeGet_powerMode Rte_Read_nm_cp_SaPowerModeGet_powerMode
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, nm_cp_CODE) NM_Init (void);

extern FUNC(void, nm_cp_CODE) NM_MainFunction (void);

extern FUNC(Std_ReturnType, nm_cp_CODE) NmService_ControlCan (VAR(NmCanControl, AUTOMATIC) Rte_arg_ctrl,
    VAR(NmCanUser, AUTOMATIC) Rte_arg_userId);

extern FUNC(Std_ReturnType, nm_cp_CODE) NmService_ControlCom (VAR(uint8, AUTOMATIC) Rte_arg_channelId,
    VAR(SaDirectionType, AUTOMATIC) Rte_arg_direction,
    VAR(SaControlType, AUTOMATIC) Rte_arg_control,
    VAR(Nm_UserType, AUTOMATIC) Rte_arg_user);

extern FUNC(void, nm_cp_CODE) NmService_ExternalCanNmCtrl (VAR(uint8, AUTOMATIC) Rte_arg_ctrl,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_res);

extern FUNC(Std_ReturnType, nm_cp_CODE) NmService_InternalCanNmCtrl (VAR(uint8, AUTOMATIC) Rte_arg_chnlId,
    VAR(uint8, AUTOMATIC) Rte_arg_pncId,
    VAR(uint8, AUTOMATIC) Rte_arg_ctrl,
    VAR(uint8, AUTOMATIC) Rte_arg_userId);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_NM_CP_H */