/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_nm_cp_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_NM_CP_TYPE_H
#define RTE_NM_CP_TYPE_H

#define RTE_NM_CP_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_NM_CP_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */

#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */

#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */

#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */

#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */

#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef LOG_CTX_BUTT
#define LOG_CTX_BUTT 4U
#endif /* LOG_CTX_BUTT */

#ifndef LOG_CTX_DBG
#define LOG_CTX_DBG 0U
#endif /* LOG_CTX_DBG */

#ifndef LOG_CTX_OPR
#define LOG_CTX_OPR 2U
#endif /* LOG_CTX_OPR */

#ifndef LOG_CTX_RUN
#define LOG_CTX_RUN 1U
#endif /* LOG_CTX_RUN */

#ifndef LOG_CTX_SAF
#define LOG_CTX_SAF 3U
#endif /* LOG_CTX_SAF */

#ifndef NM_CAN_RELEASE
#define NM_CAN_RELEASE 0U
#endif /* NM_CAN_RELEASE */

#ifndef NM_CAN_REQUEST
#define NM_CAN_REQUEST 1U
#endif /* NM_CAN_REQUEST */

#ifndef NM_CAN_USER_ADS
#define NM_CAN_USER_ADS 0U
#endif /* NM_CAN_USER_ADS */

#ifndef SA_CONTROL_START
#define SA_CONTROL_START 1U
#endif /* SA_CONTROL_START */

#ifndef SA_CONTROL_STOP
#define SA_CONTROL_STOP 0U
#endif /* SA_CONTROL_STOP */

#ifndef SA_DIRECTION_RX
#define SA_DIRECTION_RX 0U
#endif /* SA_DIRECTION_RX */

#ifndef SA_DIRECTION_TX
#define SA_DIRECTION_TX 1U
#endif /* SA_DIRECTION_TX */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

#ifndef USER_ADS
#define USER_ADS 0U
#endif /* USER_ADS */

#ifndef USER_INS
#define USER_INS 3U
#endif /* USER_INS */

#ifndef USER_INTF
#define USER_INTF 1U
#endif /* USER_INTF */

#ifndef USER_MRR
#define USER_MRR 4U
#endif /* USER_MRR */

#ifndef USER_TMS
#define USER_TMS 2U
#endif /* USER_TMS */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_NM_CP_TYPE_H */