/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_schm_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < schm_cp >
 *
 **************************************************************************/
#ifndef RTE_SCHM_CP_H
#define RTE_SCHM_CP_H

#define RTE_SCHM_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SCHM_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SchMDfxMainfunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SchMDfxMainfunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SchMInit
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SchMInit */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SchMLogMainfunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SchMLogMainfunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SchMOsTraceMainfunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SchMOsTraceMainfunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SchMTimeAnlysisMainfunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SchMTimeAnlysisMainfunction */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_schm_cp_Type.h"
/* Version verification of the Rte_schm_cp_Type module */
#if ((RTE_SCHM_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SCHM_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SCHM_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_schm_cp_MemClasses.h"
/* Version verification of the Rte_schm_cp_MemClasses module */
#if ((RTE_SCHM_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SCHM_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SCHM_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SchMDfxMainfunction SchMDfxMainfunction

#define RTE_RUNNABLE_SchMInit SchMInit

#define RTE_RUNNABLE_SchMLogMainfunction SchMLogMainfunction

#define RTE_RUNNABLE_SchMOsTraceMainfunction SchMOsTraceMainfunction

#define RTE_RUNNABLE_SchMTimeAnlysisMainfunction SchMTimeAnlysisMainfunction

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_schm_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_schm_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_schm_cp_TraceMessageService_P {
    Std_ReturnType (*Send_MntTrace)(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_schm_cp_TraceMessageService_P *Rte_PortHandle_TraceMessageService_P;
#endif

struct Rte_CDS_schm_cp {
    struct Rte_PDS_schm_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_schm_cp_TraceMessageService_P TraceMessageSend;
};
typedef struct Rte_CDS_schm_cp Rte_CDS_schm_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_schm_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_schm_cp, RTE_CONST, RTE_CONST) Rte_Inst_schm_cp;

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_schm_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_schm_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port TraceMessageSend */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_schm_cp_TraceMessageSend_MntTrace(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_TraceMessageSend_MntTrace Rte_Send_schm_cp_TraceMessageSend_MntTrace
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, schm_cp_CODE) SchMDfxMainfunction (void);

extern FUNC(void, schm_cp_CODE) SchMInit (void);

extern FUNC(void, schm_cp_CODE) SchMLogMainfunction (void);

extern FUNC(void, schm_cp_CODE) SchMOsTraceMainfunction (void);

extern FUNC(void, schm_cp_CODE) SchMTimeAnlysisMainfunction (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SCHM_CP_H */