/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_ex_wdg.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_ex_wdg >
 *
 **************************************************************************/
#ifndef RTE_SWC_EX_WDG_H
#define RTE_SWC_EX_WDG_H

#define RTE_SWC_EX_WDG_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_EX_WDG_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_ExWdgAnswerGetBTrigger
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_ExWdgAnswerGetBTrigger */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_ExWdgAnswerGetTrigger
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_ExWdgAnswerGetTrigger */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_Ex_Wdg_MainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_Ex_Wdg_MainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_swc_ex_wdg_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_swc_ex_wdg_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_ex_wdg_Type.h"
/* Version verification of the Rte_swc_ex_wdg_Type module */
#if ((RTE_SWC_EX_WDG_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_EX_WDG_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_EX_WDG_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_ex_wdg_MemClasses.h"
/* Version verification of the Rte_swc_ex_wdg_MemClasses module */
#if ((RTE_SWC_EX_WDG_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_EX_WDG_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_EX_WDG_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_ExWdgAnswerGetBTrigger ExWdgAnswerGetBTrigger

#define RTE_RUNNABLE_ExWdgAnswerGetTrigger ExWdgAnswerGetTrigger

#define RTE_RUNNABLE_Ex_Wdg_MainFunction Ex_Wdg_MainFunction

#define RTE_RUNNABLE_swc_ex_wdg_Init swc_ex_wdg_Init

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_ExWdgFeedEnable_enable ((uint8) 1)
#define Rte_InitValue_ExWdgMonitorEnable_enable ((uint8) 1)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_ex_wdg_CanMsgDn6_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_CanMsgDn6_R *Rte_PortHandle_CanMsgDn6_R;
#endif

struct Rte_PDS_swc_ex_wdg_CanMsgUp6_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_CanMsgUp6_P *Rte_PortHandle_CanMsgUp6_P;
#endif

struct Rte_PDS_swc_ex_wdg_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_swc_ex_wdg_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_ex_wdg_ExWdgAnswerGet_P, so no structure is generated */

struct Rte_PDS_swc_ex_wdg_ExWdgFeedEnable_R {
    Std_ReturnType (*Read_enable)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_enable);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_ExWdgFeedEnable_R *Rte_PortHandle_ExWdgFeedEnable_R;
#endif

struct Rte_PDS_swc_ex_wdg_ExWdgMonitorEnable_R {
    Std_ReturnType (*Read_enable)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_enable);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_ExWdgMonitorEnable_R *Rte_PortHandle_ExWdgMonitorEnable_R;
#endif

struct Rte_PDS_swc_ex_wdg_ExWdgQuestionReport_R {
    Std_ReturnType (*Call_ExWdgQuestionReport)(P2CONST(QuestionMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_QuestionInfo);
    Std_ReturnType (*Result_ExWdgQuestionReport)(P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_ExWdgQuestionReport_R *Rte_PortHandle_ExWdgQuestionReport_R;
#endif

struct Rte_PDS_swc_ex_wdg_ExternWdgConfig_R {
    Std_ReturnType (*Read_wdgCfg)(P2VAR(ExternWdgCfg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_wdgCfg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_ExternWdgConfig_R *Rte_PortHandle_ExternWdgConfig_R;
#endif

struct Rte_PDS_swc_ex_wdg_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_swc_ex_wdg_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_ex_wdg_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_swc_ex_wdg_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_ex_wdg_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_CDS_swc_ex_wdg {
    struct Rte_PDS_swc_ex_wdg_CanMsgDn6_R ExWdgAnswerBycan;
    struct Rte_PDS_swc_ex_wdg_CanMsgUp6_P ExWdgQuestionBycan;
    struct Rte_PDS_swc_ex_wdg_CanRawMsg_P ExWdgQuestionByCan;
    struct Rte_PDS_swc_ex_wdg_CanRawMsg_P ExWdgQuestionByCanB;
    struct Rte_PDS_swc_ex_wdg_CanRawMsg_R ExWdgAnswerByCan;
    struct Rte_PDS_swc_ex_wdg_CanRawMsg_R ExWdgAnswerByCanB;
    struct Rte_PDS_swc_ex_wdg_ExWdgFeedEnable_R ExWdgFeedEnable;
    struct Rte_PDS_swc_ex_wdg_ExWdgMonitorEnable_R ExWdgMonitorEnable;
    struct Rte_PDS_swc_ex_wdg_ExWdgQuestionReport_R ExWdgQuestionReport;
    struct Rte_PDS_swc_ex_wdg_ExWdgQuestionReport_R ExWdgQuestionReportB;
    struct Rte_PDS_swc_ex_wdg_ExternWdgConfig_R ExternWdgConfig;
    struct Rte_PDS_swc_ex_wdg_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_swc_ex_wdg_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_ex_wdg_LogSwcMessageService_R ExWdgLogSwcMessageService;
    struct Rte_PDS_swc_ex_wdg_SmNotifyPlatState_R SmNotifyPlatState;
};
typedef struct Rte_CDS_swc_ex_wdg Rte_CDS_swc_ex_wdg;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_ex_wdg, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_ex_wdg, RTE_CONST, RTE_CONST) Rte_Inst_swc_ex_wdg;

/* Sender-Receiver Required Port ExWdgAnswerByCan */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_ex_wdg_ExWdgAnswerByCan_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_ExWdgAnswerByCan_CanRawMsg Rte_Receive_swc_ex_wdg_ExWdgAnswerByCan_CanRawMsg
#endif

/* Sender-Receiver Required Port ExWdgAnswerByCanB */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_ex_wdg_ExWdgAnswerByCanB_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_ExWdgAnswerByCanB_CanRawMsg Rte_Receive_swc_ex_wdg_ExWdgAnswerByCanB_CanRawMsg
#endif

/* Sender-Receiver Required Port ExWdgAnswerBycan */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_ex_wdg_ExWdgAnswerBycan_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_ExWdgAnswerBycan_canRawMsg Rte_Receive_swc_ex_wdg_ExWdgAnswerBycan_canRawMsg
#endif

/* Sender-Receiver Required Port ExWdgFeedEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_ex_wdg_ExWdgFeedEnable_enable(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_enable);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_ExWdgFeedEnable_enable Rte_Read_swc_ex_wdg_ExWdgFeedEnable_enable
#endif

/* Client-Server Required Port ExWdgLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_ex_wdg_ExWdgLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_ExWdgLogSwcMessageService_SendLogMessage Rte_Call_swc_ex_wdg_ExWdgLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Required Port ExWdgMonitorEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_ex_wdg_ExWdgMonitorEnable_enable(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_enable);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_ExWdgMonitorEnable_enable Rte_Read_swc_ex_wdg_ExWdgMonitorEnable_enable
#endif

/* Sender-Receiver Provided Port ExWdgQuestionByCan */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_ex_wdg_ExWdgQuestionByCan_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_ExWdgQuestionByCan_CanRawMsg Rte_Send_swc_ex_wdg_ExWdgQuestionByCan_CanRawMsg
#endif

/* Sender-Receiver Provided Port ExWdgQuestionByCanB */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_ex_wdg_ExWdgQuestionByCanB_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_ExWdgQuestionByCanB_CanRawMsg Rte_Send_swc_ex_wdg_ExWdgQuestionByCanB_CanRawMsg
#endif

/* Sender-Receiver Provided Port ExWdgQuestionBycan */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_ex_wdg_ExWdgQuestionBycan_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_ExWdgQuestionBycan_canRawMsg Rte_Send_swc_ex_wdg_ExWdgQuestionBycan_canRawMsg
#endif

/* Client-Server Required Port ExWdgQuestionReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_ex_wdg_ExWdgQuestionReport_ExWdgQuestionReport(P2CONST(QuestionMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_QuestionInfo);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_ex_wdg_ExWdgQuestionReport_ExWdgQuestionReport(P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_ExWdgQuestionReport_ExWdgQuestionReport Rte_Call_swc_ex_wdg_ExWdgQuestionReport_ExWdgQuestionReport
#define Rte_Result_ExWdgQuestionReport_ExWdgQuestionReport Rte_Result_swc_ex_wdg_ExWdgQuestionReport_ExWdgQuestionReport
#endif

/* Client-Server Required Port ExWdgQuestionReportB */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_ex_wdg_ExWdgQuestionReportB_ExWdgQuestionReport(P2CONST(QuestionMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_QuestionInfo);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_ex_wdg_ExWdgQuestionReportB_ExWdgQuestionReport(P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_ExWdgQuestionReportB_ExWdgQuestionReport Rte_Call_swc_ex_wdg_ExWdgQuestionReportB_ExWdgQuestionReport
#define Rte_Result_ExWdgQuestionReportB_ExWdgQuestionReport Rte_Result_swc_ex_wdg_ExWdgQuestionReportB_ExWdgQuestionReport
#endif

/* Sender-Receiver Required Port ExternWdgConfig */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_ex_wdg_ExternWdgConfig_wdgCfg(P2VAR(ExternWdgCfg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_wdgCfg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_ExternWdgConfig_wdgCfg Rte_Read_swc_ex_wdg_ExternWdgConfig_wdgCfg
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_ex_wdg_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_swc_ex_wdg_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_ex_wdg_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_ex_wdg_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_ex_wdg_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_swc_ex_wdg_SmNotifyPlatState_state
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_ex_wdg_CODE) ExWdgAnswerGetBTrigger (P2CONST(AnswerMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_AnswerInfo,
    P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_StatusReturn);

extern FUNC(void, swc_ex_wdg_CODE) ExWdgAnswerGetTrigger (P2CONST(AnswerMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_AnswerInfo,
    P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_StatusReturn);

extern FUNC(void, swc_ex_wdg_CODE) Ex_Wdg_MainFunction (void);

extern FUNC(void, swc_ex_wdg_CODE) swc_ex_wdg_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_EX_WDG_H */