/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_fm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_fm >
 *
 **************************************************************************/
#ifndef RTE_SWC_FM_H
#define RTE_SWC_FM_H

#define RTE_SWC_FM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_FM_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_FmFaultRcvFromHostRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_FmFaultRcvFromHostRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcFmInit
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcFmInit */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcFmMainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcFmMainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcFmSlowRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcFmSlowRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_fm_Type.h"
/* Version verification of the Rte_swc_fm_Type module */
#if ((RTE_SWC_FM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_FM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_FM_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_fm_MemClasses.h"
/* Version verification of the Rte_swc_fm_MemClasses module */
#if ((RTE_SWC_FM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_FM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_FM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_FmFaultRcvFromHostRunnable FmFaultRcvFromHostRunnable

#define RTE_RUNNABLE_SwcFmInit SwcFmInit

#define RTE_RUNNABLE_SwcFmMainFunction SwcFmMainFunction

#define RTE_RUNNABLE_SwcFmSlowRunnable SwcFmSlowRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SM_NotifyState_Val ((uint8) 0)
#define Rte_InitValue_SmSsWorkingStatus_WorkStatus ((uint8) 0)
#define Rte_InitValue_SmSsWorkMode_WorkMode ((WorkModeType) 0)
#define Rte_InitValue_FmSoftwareFaultPostProcess_policy ((uint8) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#define Rte_InitValue_SmSocOnFmEnable_socOnEnb ((SM_SocOnEnbType) 1)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_FmFaultRcvFromHost_E_NOT_OK)
#define RTE_E_FmFaultRcvFromHost_E_NOT_OK 1U
#endif
#if (!defined RTE_E_FmFaultRcvFromHost_E_OK)
#define RTE_E_FmFaultRcvFromHost_E_OK 0U
#endif
#if (!defined RTE_E_FmReportService_E_NOT_OK)
#define RTE_E_FmReportService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_FmReportService_E_OK)
#define RTE_E_FmReportService_E_OK 0U
#endif
#if (!defined RTE_E_FmService_E_NOT_OK)
#define RTE_E_FmService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_FmService_E_OK)
#define RTE_E_FmService_E_OK 0U
#endif
#if (!defined RTE_E_ReportAlarm_E_NOT_OK)
#define RTE_E_ReportAlarm_E_NOT_OK 1U
#endif
#if (!defined RTE_E_ReportAlarm_E_OK)
#define RTE_E_ReportAlarm_E_OK 0U
#endif
#if (!defined RTE_E_ReportFaultEvent_E_NOT_OK)
#define RTE_E_ReportFaultEvent_E_NOT_OK 1U
#endif
#if (!defined RTE_E_ReportFaultEvent_E_OK)
#define RTE_E_ReportFaultEvent_E_OK 0U
#endif
#if (!defined RTE_E_SmReqPlatState_E_NOT_OK)
#define RTE_E_SmReqPlatState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_SmReqPlatState_E_OK)
#define RTE_E_SmReqPlatState_E_OK 0U
#endif
#if (!defined RTE_E_WdgM_GlobalSupervision_E_NOT_OK)
#define RTE_E_WdgM_GlobalSupervision_E_NOT_OK 1U
#endif
#if (!defined RTE_E_WdgM_LocalSupervisionStatus_E_NOT_OK)
#define RTE_E_WdgM_LocalSupervisionStatus_E_NOT_OK 1U
#endif
#if (!defined RTE_E_WdgM_LocalSupervision_E_NOT_OK)
#define RTE_E_WdgM_LocalSupervision_E_NOT_OK 1U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_fm_AlarmNotifyFailCfg_R {
    Std_ReturnType (*Read_param)(P2VAR(AlarmFailCfgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_param);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_AlarmNotifyFailCfg_R *Rte_PortHandle_AlarmNotifyFailCfg_R;
#endif

struct Rte_PDS_swc_fm_CantraceAlarmReport_P {
    Std_ReturnType (*Send_CantraceAlarmPkt)(P2CONST(CantraceAlarmPktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CantraceAlarmPkt);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_CantraceAlarmReport_P *Rte_PortHandle_CantraceAlarmReport_P;
#endif

struct Rte_PDS_swc_fm_FmAlarmInject_R {
    Std_ReturnType (*Receive_alarmInfo)(P2VAR(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_alarmInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_FmAlarmInject_R *Rte_PortHandle_FmAlarmInject_R;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_fm_FmFaultRcvFromHost_P, so no structure is generated */

struct Rte_PDS_swc_fm_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_swc_fm_FmFaultReport_R {
    Std_ReturnType (*Receive_eventInfo)(P2VAR(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_FmFaultReport_R *Rte_PortHandle_FmFaultReport_R;
#endif

struct Rte_PDS_swc_fm_FmReportService_R {
    Std_ReturnType (*Call_FmReportInfo)(P2CONST(FmMsgHeader, AUTOMATIC, RTE_APPL_DATA) Rte_arg_head,
        P2CONST(Vector, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data);
    Std_ReturnType (*Result_FmReportInfo)(P2VAR(FmReturnType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_retInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_FmReportService_R *Rte_PortHandle_FmReportService_R;
#endif

struct Rte_PDS_swc_fm_FmService_R {
    Std_ReturnType (*Call_FmReportEvent)(P2CONST(FmEventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
    Std_ReturnType (*Result_FmReportEvent)(P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_FmService_R *Rte_PortHandle_FmService_R;
#endif

struct Rte_PDS_swc_fm_FmSoftwareFaultPostProcess_R {
    Std_ReturnType (*Read_policy)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_policy);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_FmSoftwareFaultPostProcess_R *Rte_PortHandle_FmSoftwareFaultPostProcess_R;
#endif

struct Rte_PDS_swc_fm_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_fm_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_swc_fm_RegisterAliveSupervision_R {
    Std_ReturnType (*Receive_rule)(P2VAR(AliveSupervisionRule, AUTOMATIC, RTE_APPL_DATA) Rte_arg_rule);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_RegisterAliveSupervision_R *Rte_PortHandle_RegisterAliveSupervision_R;
#endif

struct Rte_PDS_swc_fm_ReportAlarm_R {
    Std_ReturnType (*Call_ReportAlarm)(P2CONST(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_info);
    Std_ReturnType (*Result_ReportAlarm)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_ReportAlarm_R *Rte_PortHandle_ReportAlarm_R;
#endif

struct Rte_PDS_swc_fm_ReportCheckpoint_R {
    Std_ReturnType (*Receive_checkpoint)(P2VAR(Checkpoint, AUTOMATIC, RTE_APPL_DATA) Rte_arg_checkpoint);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_ReportCheckpoint_R *Rte_PortHandle_ReportCheckpoint_R;
#endif

struct Rte_PDS_swc_fm_ReportFaultEvent_R {
    Std_ReturnType (*Call_Oper)(VAR(uint8, AUTOMATIC) Rte_arg_type,
        VAR(uint16, AUTOMATIC) Rte_arg_eventID);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_ReportFaultEvent_R *Rte_PortHandle_ReportFaultEvent_R;
#endif

struct Rte_PDS_swc_fm_SM_NotifyState_R {
    Std_ReturnType (*Read_Val)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Val);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_SM_NotifyState_R *Rte_PortHandle_SM_NotifyState_R;
#endif

struct Rte_PDS_swc_fm_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_swc_fm_SmReqPlatState_R {
    Std_ReturnType (*Call_SmReqPlatState)(VAR(uint8, AUTOMATIC) Rte_arg_targetState,
        VAR(uint32, AUTOMATIC) Rte_arg_size,
        P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
    Std_ReturnType (*Result_SmReqPlatState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_result);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_SmReqPlatState_R *Rte_PortHandle_SmReqPlatState_R;
#endif

struct Rte_PDS_swc_fm_SmSocOnFmEnable_P {
    Std_ReturnType (*Write_socOnEnb)(VAR(SM_SocOnEnbType, AUTOMATIC) Rte_arg_socOnEnb);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_SmSocOnFmEnable_P *Rte_PortHandle_SmSocOnFmEnable_P;
#endif

struct Rte_PDS_swc_fm_SmSsWorkMode_R {
    Std_ReturnType (*Read_WorkMode)(P2VAR(WorkModeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_WorkMode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_SmSsWorkMode_R *Rte_PortHandle_SmSsWorkMode_R;
#endif

struct Rte_PDS_swc_fm_SmSsWorkingStatus_R {
    Std_ReturnType (*Read_WorkStatus)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_WorkStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_SmSsWorkingStatus_R *Rte_PortHandle_SmSsWorkingStatus_R;
#endif

struct Rte_PDS_swc_fm_UnregisterAliveSupervision_R {
    Std_ReturnType (*Receive_cp)(P2VAR(Checkpoint, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cp);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_UnregisterAliveSupervision_R *Rte_PortHandle_UnregisterAliveSupervision_R;
#endif

struct Rte_PDS_swc_fm_WdgM_GlobalSupervision_R {
    Std_ReturnType (*Call_GetFirstExpiredSEID)(P2VAR(WdgM_SupervisedEntityIdType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_SEID);
    Std_ReturnType (*Call_GetGlobalStatus)(P2VAR(WdgM_GlobalStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_target);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_WdgM_GlobalSupervision_R *Rte_PortHandle_WdgM_GlobalSupervision_R;
#endif

struct Rte_PDS_swc_fm_WdgM_LocalSupervision_R {
    Std_ReturnType (*Call_CheckpointReached)(VAR(WdgM_CheckpointIdType, AUTOMATIC) Rte_arg_CPID);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_WdgM_LocalSupervision_R *Rte_PortHandle_WdgM_LocalSupervision_R;
#endif

struct Rte_PDS_swc_fm_WdgM_LocalSupervisionStatus_R {
    Std_ReturnType (*Call_GetLocalStatus)(P2VAR(WdgM_LocalStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_target);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_fm_WdgM_LocalSupervisionStatus_R *Rte_PortHandle_WdgM_LocalSupervisionStatus_R;
#endif

struct Rte_CDS_swc_fm {
    struct Rte_PDS_swc_fm_AlarmNotifyFailCfg_R AlarmNotifyFailCfg;
    struct Rte_PDS_swc_fm_CantraceAlarmReport_P CantraceAlarmReport;
    struct Rte_PDS_swc_fm_FmAlarmInject_R FmAlarmInject;
    struct Rte_PDS_swc_fm_FmFaultReport_P FmFaultReportPport;
    struct Rte_PDS_swc_fm_FmFaultReport_R FmFaultReport;
    struct Rte_PDS_swc_fm_FmReportService_R FmReportService;
    struct Rte_PDS_swc_fm_FmService_R FmService;
    struct Rte_PDS_swc_fm_FmSoftwareFaultPostProcess_R FmSoftwareFaultPostProcess;
    struct Rte_PDS_swc_fm_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_fm_LogSwcMessageService_R FmLogSwcMessageService;
    struct Rte_PDS_swc_fm_RegisterAliveSupervision_R RegisterAliveSupervision;
    struct Rte_PDS_swc_fm_ReportAlarm_R ReportAlarm;
    struct Rte_PDS_swc_fm_ReportCheckpoint_R ReportCheckpoint;
    struct Rte_PDS_swc_fm_ReportFaultEvent_R ReportFaultEvent;
    struct Rte_PDS_swc_fm_SM_NotifyState_R SM_NotifyState;
    struct Rte_PDS_swc_fm_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_swc_fm_SmReqPlatState_R SmReqPlatState;
    struct Rte_PDS_swc_fm_SmSocOnFmEnable_P SmSocOnFmEnable;
    struct Rte_PDS_swc_fm_SmSsWorkMode_R SmSsWorkMode;
    struct Rte_PDS_swc_fm_SmSsWorkingStatus_R SmSsWorkingStatus;
    struct Rte_PDS_swc_fm_UnregisterAliveSupervision_R UnregisterAliveSupervision;
    struct Rte_PDS_swc_fm_WdgM_GlobalSupervision_R WdgM_GlobalSupervision_Core0;
    struct Rte_PDS_swc_fm_WdgM_LocalSupervisionStatus_R WdgM_LocalSupervisionStatus_WdgMSE_FM;
    struct Rte_PDS_swc_fm_WdgM_LocalSupervision_R WdgM_LocalSupervision_WdgMSE_FM;
};
typedef struct Rte_CDS_swc_fm Rte_CDS_swc_fm;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_fm, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_fm, RTE_CONST, RTE_CONST) Rte_Inst_swc_fm;

/* Sender-Receiver Required Port AlarmNotifyFailCfg */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_fm_AlarmNotifyFailCfg_param(P2VAR(AlarmFailCfgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_param);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_AlarmNotifyFailCfg_param Rte_Read_swc_fm_AlarmNotifyFailCfg_param
#endif

/* Sender-Receiver Provided Port CantraceAlarmReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_fm_CantraceAlarmReport_CantraceAlarmPkt(P2CONST(CantraceAlarmPktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CantraceAlarmPkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CantraceAlarmReport_CantraceAlarmPkt Rte_Send_swc_fm_CantraceAlarmReport_CantraceAlarmPkt
#endif

/* Sender-Receiver Required Port FmAlarmInject */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_fm_FmAlarmInject_alarmInfo(P2VAR(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_alarmInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_FmAlarmInject_alarmInfo Rte_Receive_swc_fm_FmAlarmInject_alarmInfo
#endif

/* Sender-Receiver Required Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_fm_FmFaultReport_eventInfo(P2VAR(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_FmFaultReport_eventInfo Rte_Receive_swc_fm_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port FmFaultReportPport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_fm_FmFaultReportPport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReportPport_eventInfo Rte_Send_swc_fm_FmFaultReportPport_eventInfo
#endif

/* Client-Server Required Port FmLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_FmLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_FmLogSwcMessageService_SendLogMessage Rte_Call_swc_fm_FmLogSwcMessageService_SendLogMessage
#endif

/* Client-Server Required Port FmReportService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_FmReportService_FmReportInfo(P2CONST(FmMsgHeader, AUTOMATIC, RTE_APPL_DATA) Rte_arg_head,
    P2CONST(Vector, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_fm_FmReportService_FmReportInfo(P2VAR(FmReturnType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_retInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_FmReportService_FmReportInfo Rte_Call_swc_fm_FmReportService_FmReportInfo
#define Rte_Result_FmReportService_FmReportInfo Rte_Result_swc_fm_FmReportService_FmReportInfo
#endif

/* Client-Server Required Port FmService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_FmService_FmReportEvent(P2CONST(FmEventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_fm_FmService_FmReportEvent(P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_FmService_FmReportEvent Rte_Call_swc_fm_FmService_FmReportEvent
#define Rte_Result_FmService_FmReportEvent Rte_Result_swc_fm_FmService_FmReportEvent
#endif

/* Sender-Receiver Required Port FmSoftwareFaultPostProcess */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_fm_FmSoftwareFaultPostProcess_policy(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_policy);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_FmSoftwareFaultPostProcess_policy Rte_Read_swc_fm_FmSoftwareFaultPostProcess_policy
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_fm_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_fm_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port RegisterAliveSupervision */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_fm_RegisterAliveSupervision_rule(P2VAR(AliveSupervisionRule, AUTOMATIC, RTE_APPL_DATA) Rte_arg_rule);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_RegisterAliveSupervision_rule Rte_Receive_swc_fm_RegisterAliveSupervision_rule
#endif

/* Client-Server Required Port ReportAlarm */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_ReportAlarm_ReportAlarm(P2CONST(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_info);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_fm_ReportAlarm_ReportAlarm(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_ReportAlarm_ReportAlarm Rte_Call_swc_fm_ReportAlarm_ReportAlarm
#define Rte_Result_ReportAlarm_ReportAlarm Rte_Result_swc_fm_ReportAlarm_ReportAlarm
#endif

/* Sender-Receiver Required Port ReportCheckpoint */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_fm_ReportCheckpoint_checkpoint(P2VAR(Checkpoint, AUTOMATIC, RTE_APPL_DATA) Rte_arg_checkpoint);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_ReportCheckpoint_checkpoint Rte_Receive_swc_fm_ReportCheckpoint_checkpoint
#endif

/* Client-Server Required Port ReportFaultEvent */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_ReportFaultEvent_Oper(VAR(uint8, AUTOMATIC) Rte_arg_type,
    VAR(uint16, AUTOMATIC) Rte_arg_eventID);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_ReportFaultEvent_Oper Rte_Call_swc_fm_ReportFaultEvent_Oper
#endif

/* Sender-Receiver Required Port SM_NotifyState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_fm_SM_NotifyState_Val(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Val);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SM_NotifyState_Val Rte_Read_swc_fm_SM_NotifyState_Val
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_fm_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_swc_fm_SmNotifyPlatState_state
#endif

/* Client-Server Required Port SmReqPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_SmReqPlatState_SmReqPlatState(VAR(uint8, AUTOMATIC) Rte_arg_targetState,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_fm_SmReqPlatState_SmReqPlatState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_result);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_SmReqPlatState_SmReqPlatState Rte_Call_swc_fm_SmReqPlatState_SmReqPlatState
#define Rte_Result_SmReqPlatState_SmReqPlatState Rte_Result_swc_fm_SmReqPlatState_SmReqPlatState
#endif

/* Sender-Receiver Provided Port SmSocOnFmEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_fm_SmSocOnFmEnable_socOnEnb(VAR(SM_SocOnEnbType, AUTOMATIC) Rte_arg_socOnEnb);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmSocOnFmEnable_socOnEnb Rte_Write_swc_fm_SmSocOnFmEnable_socOnEnb
#endif

/* Sender-Receiver Required Port SmSsWorkMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_fm_SmSsWorkMode_WorkMode(P2VAR(WorkModeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_WorkMode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmSsWorkMode_WorkMode Rte_Read_swc_fm_SmSsWorkMode_WorkMode
#endif

/* Sender-Receiver Required Port SmSsWorkingStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_fm_SmSsWorkingStatus_WorkStatus(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_WorkStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmSsWorkingStatus_WorkStatus Rte_Read_swc_fm_SmSsWorkingStatus_WorkStatus
#endif

/* Sender-Receiver Required Port UnregisterAliveSupervision */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_fm_UnregisterAliveSupervision_cp(P2VAR(Checkpoint, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cp);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_UnregisterAliveSupervision_cp Rte_Receive_swc_fm_UnregisterAliveSupervision_cp
#endif

/* Client-Server Required Port WdgM_GlobalSupervision_Core0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_WdgM_GlobalSupervision_Core0_GetFirstExpiredSEID(P2VAR(WdgM_SupervisedEntityIdType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_SEID);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_WdgM_GlobalSupervision_Core0_GetGlobalStatus(P2VAR(WdgM_GlobalStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_target);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_WdgM_GlobalSupervision_Core0_GetFirstExpiredSEID Rte_Call_swc_fm_WdgM_GlobalSupervision_Core0_GetFirstExpiredSEID
#define Rte_Call_WdgM_GlobalSupervision_Core0_GetGlobalStatus Rte_Call_swc_fm_WdgM_GlobalSupervision_Core0_GetGlobalStatus
#endif

/* Client-Server Required Port WdgM_LocalSupervisionStatus_WdgMSE_FM */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_WdgM_LocalSupervisionStatus_WdgMSE_FM_GetLocalStatus(P2VAR(WdgM_LocalStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_target);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_WdgM_LocalSupervisionStatus_WdgMSE_FM_GetLocalStatus Rte_Call_swc_fm_WdgM_LocalSupervisionStatus_WdgMSE_FM_GetLocalStatus
#endif

/* Client-Server Required Port WdgM_LocalSupervision_WdgMSE_FM */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_fm_WdgM_LocalSupervision_WdgMSE_FM_CheckpointReached(VAR(WdgM_CheckpointIdType, AUTOMATIC) Rte_arg_CPID);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_WdgM_LocalSupervision_WdgMSE_FM_CheckpointReached Rte_Call_swc_fm_WdgM_LocalSupervision_WdgMSE_FM_CheckpointReached
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(Std_ReturnType, swc_fm_CODE) FmFaultRcvFromHostRunnable (P2CONST(FmEventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_info,
    P2VAR(sint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);

extern FUNC(void, swc_fm_CODE) SwcFmInit (void);

extern FUNC(void, swc_fm_CODE) SwcFmMainFunction (void);

extern FUNC(void, swc_fm_CODE) SwcFmSlowRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_FM_H */