/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_mnt_core1.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_mnt_core1 >
 *
 **************************************************************************/
#ifndef RTE_SWC_MNT_CORE1_H
#define RTE_SWC_MNT_CORE1_H

#define RTE_SWC_MNT_CORE1_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_MNT_CORE1_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LogProcessRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LogProcessRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntLogReceiveAndSendToDltRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntLogReceiveAndSendToDltRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntTraceReceiveAndSendRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntTraceReceiveAndSendRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_swc_mnt_core1_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_swc_mnt_core1_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_mnt_core1_Type.h"
/* Version verification of the Rte_swc_mnt_core1_Type module */
#if ((RTE_SWC_MNT_CORE1_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_MNT_CORE1_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_MNT_CORE1_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_mnt_core1_MemClasses.h"
/* Version verification of the Rte_swc_mnt_core1_MemClasses module */
#if ((RTE_SWC_MNT_CORE1_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_MNT_CORE1_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_MNT_CORE1_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_LogProcessRunnable LogProcessRunnable

#define RTE_RUNNABLE_MntLogReceiveAndSendToDltRunnable MntLogReceiveAndSendToDltRunnable

#define RTE_RUNNABLE_MntTraceReceiveAndSendRunnable MntTraceReceiveAndSendRunnable

#define RTE_RUNNABLE_swc_mnt_core1_Init swc_mnt_core1_Init

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_DltSwcMessageService_DLT_E_ERROR)
#define RTE_E_DltSwcMessageService_DLT_E_ERROR 9U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_MSG_TOO_LARGE)
#define RTE_E_DltSwcMessageService_DLT_E_MSG_TOO_LARGE 2U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_NO_BUFFER)
#define RTE_E_DltSwcMessageService_DLT_E_NO_BUFFER 5U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_UNKNOWN_SESSION_ID)
#define RTE_E_DltSwcMessageService_DLT_E_UNKNOWN_SESSION_ID 4U
#endif
#if (!defined RTE_E_DltSwcMessageService_E_NOT_OK)
#define RTE_E_DltSwcMessageService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DltSwcMessageService_E_OK)
#define RTE_E_DltSwcMessageService_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_mnt_core1_DevmdBoardAttr_R {
    Std_ReturnType (*Read_boardAttr)(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_DevmdBoardAttr_R *Rte_PortHandle_DevmdBoardAttr_R;
#endif

struct Rte_PDS_swc_mnt_core1_DltSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(P2CONST(Dlt_MessageLogInfoType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logInfo,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_DltSwcMessageService_R *Rte_PortHandle_DltSwcMessageService_R;
#endif

struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_R {
    Std_ReturnType (*Receive_MntSendLog)(P2VAR(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_R *Rte_PortHandle_LogSwcMessageInterface_R;
#endif

struct Rte_PDS_swc_mnt_core1_MntLogShowMsgToDlt_R {
    Std_ReturnType (*Receive_log)(P2VAR(Dlt_MessageLogPublishType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_log);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_MntLogShowMsgToDlt_R *Rte_PortHandle_MntLogShowMsgToDlt_R;
#endif

struct Rte_PDS_swc_mnt_core1_NmServiceComState_R {
    Std_ReturnType (*Read_comState)(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_NmServiceComState_R *Rte_PortHandle_NmServiceComState_R;
#endif

struct Rte_PDS_swc_mnt_core1_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_swc_mnt_core1_TraceMessageService_P {
    Std_ReturnType (*Send_MntTrace)(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_TraceMessageService_P *Rte_PortHandle_TraceMessageService_P;
#endif

struct Rte_PDS_swc_mnt_core1_TraceMessageService_R {
    Std_ReturnType (*Receive_MntTrace)(P2VAR(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_TraceMessageService_R *Rte_PortHandle_TraceMessageService_R;
#endif

struct Rte_PDS_swc_mnt_core1_UartInterface_P {
    Std_ReturnType (*Send_UartElement)(P2CONST(DevmdArrayUint8_128, AUTOMATIC, RTE_APPL_DATA) Rte_arg_UartElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_core1_UartInterface_P *Rte_PortHandle_UartInterface_P;
#endif

struct Rte_CDS_swc_mnt_core1 {
    struct Rte_PDS_swc_mnt_core1_DevmdBoardAttr_R DevmdBoardAttr;
    struct Rte_PDS_swc_mnt_core1_DltSwcMessageService_R DltSwcMessageService;
    struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_R CustomLogSwcMessageInterface;
    struct Rte_PDS_swc_mnt_core1_LogSwcMessageInterface_R PlatformLogSwcMessageInterface;
    struct Rte_PDS_swc_mnt_core1_MntLogShowMsgToDlt_R MntLogShowMsgToDlt;
    struct Rte_PDS_swc_mnt_core1_NmServiceComState_R NmServiceComState;
    struct Rte_PDS_swc_mnt_core1_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_swc_mnt_core1_TraceMessageService_P TraceMessageSend;
    struct Rte_PDS_swc_mnt_core1_TraceMessageService_R TraceMessageService;
    struct Rte_PDS_swc_mnt_core1_UartInterface_P PpUartInterface;
};
typedef struct Rte_CDS_swc_mnt_core1 Rte_CDS_swc_mnt_core1;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_mnt_core1, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_mnt_core1, RTE_CONST, RTE_CONST) Rte_Inst_swc_mnt_core1;

/* Sender-Receiver Required Port CustomLogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_core1_CustomLogSwcMessageInterface_MntSendLog(P2VAR(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CustomLogSwcMessageInterface_MntSendLog Rte_Receive_swc_mnt_core1_CustomLogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port DevmdBoardAttr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_core1_DevmdBoardAttr_boardAttr(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdBoardAttr_boardAttr Rte_Read_swc_mnt_core1_DevmdBoardAttr_boardAttr
#endif

/* Client-Server Required Port DltSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_mnt_core1_DltSwcMessageService_SendLogMessage(P2CONST(Dlt_MessageLogInfoType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logInfo,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DltSwcMessageService_SendLogMessage Rte_Call_swc_mnt_core1_DltSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_core1_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_mnt_core1_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port MntLogShowMsgToDlt */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_core1_MntLogShowMsgToDlt_log(P2VAR(Dlt_MessageLogPublishType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_log);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_MntLogShowMsgToDlt_log Rte_Receive_swc_mnt_core1_MntLogShowMsgToDlt_log
#endif

/* Sender-Receiver Required Port NmServiceComState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_core1_NmServiceComState_comState(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_NmServiceComState_comState Rte_Read_swc_mnt_core1_NmServiceComState_comState
#endif

/* Sender-Receiver Required Port PlatformLogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_core1_PlatformLogSwcMessageInterface_MntSendLog(P2VAR(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_PlatformLogSwcMessageInterface_MntSendLog Rte_Receive_swc_mnt_core1_PlatformLogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port PpUartInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_core1_PpUartInterface_UartElement(P2CONST(DevmdArrayUint8_128, AUTOMATIC, RTE_APPL_DATA) Rte_arg_UartElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_PpUartInterface_UartElement Rte_Send_swc_mnt_core1_PpUartInterface_UartElement
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_core1_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_swc_mnt_core1_SmNotifyPlatState_state
#endif

/* Sender-Receiver Provided Port TraceMessageSend */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_core1_TraceMessageSend_MntTrace(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_TraceMessageSend_MntTrace Rte_Send_swc_mnt_core1_TraceMessageSend_MntTrace
#endif

/* Sender-Receiver Required Port TraceMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_core1_TraceMessageService_MntTrace(P2VAR(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_TraceMessageService_MntTrace Rte_Receive_swc_mnt_core1_TraceMessageService_MntTrace
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_mnt_core1_CODE) LogProcessRunnable (void);

extern FUNC(void, swc_mnt_core1_CODE) MntLogReceiveAndSendToDltRunnable (void);

extern FUNC(void, swc_mnt_core1_CODE) MntTraceReceiveAndSendRunnable (void);

extern FUNC(void, swc_mnt_core1_CODE) swc_mnt_core1_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_MNT_CORE1_H */