/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_nm_core3.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_nm_core3 >
 *
 **************************************************************************/
#ifndef RTE_SWC_NM_CORE3_H
#define RTE_SWC_NM_CORE3_H

#define RTE_SWC_NM_CORE3_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_NM_CORE3_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmComReqProcRunnableCore3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmComReqProcRunnableCore3 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmInitCore3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmInitCore3 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_NmUserdataUpdateRunnableCore3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_NmUserdataUpdateRunnableCore3 */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_nm_core3_Type.h"
/* Version verification of the Rte_swc_nm_core3_Type module */
#if ((RTE_SWC_NM_CORE3_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_NM_CORE3_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_NM_CORE3_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_nm_core3_MemClasses.h"
/* Version verification of the Rte_swc_nm_core3_MemClasses module */
#if ((RTE_SWC_NM_CORE3_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_NM_CORE3_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_NM_CORE3_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_NmComReqProcRunnableCore3 NmComReqProcRunnableCore3

#define RTE_RUNNABLE_NmInitCore3 NmInitCore3

#define RTE_RUNNABLE_NmUserdataUpdateRunnableCore3 NmUserdataUpdateRunnableCore3

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_DevmHardwireSignal_accState ((uint8) 1)
#define Rte_InitValue_DevmHardwireSignal_gpiState ((uint8) 1)
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_nm_core3_DevmHardwireSignal_R {
    Std_ReturnType (*Read_accState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nm_core3_DevmHardwireSignal_R *Rte_PortHandle_DevmHardwireSignal_R;
#endif

struct Rte_PDS_swc_nm_core3_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nm_core3_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_CDS_swc_nm_core3 {
    struct Rte_PDS_swc_nm_core3_DevmHardwireSignal_R DevmHardwireSignal;
    struct Rte_PDS_swc_nm_core3_LogSwcMessageInterface_P LogSwcMessageInterface;
};
typedef struct Rte_CDS_swc_nm_core3 Rte_CDS_swc_nm_core3;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_nm_core3, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_nm_core3, RTE_CONST, RTE_CONST) Rte_Inst_swc_nm_core3;

/* Sender-Receiver Required Port DevmHardwireSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_nm_core3_DevmHardwireSignal_accState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmHardwireSignal_accState Rte_Read_swc_nm_core3_DevmHardwireSignal_accState
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_nm_core3_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_nm_core3_LogSwcMessageInterface_MntSendLog
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_nm_core3_CODE) NmComReqProcRunnableCore3 (void);

extern FUNC(void, swc_nm_core3_CODE) NmInitCore3 (void);

extern FUNC(void, swc_nm_core3_CODE) NmUserdataUpdateRunnableCore3 (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_NM_CORE3_H */