/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_nrm_core3.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_nrm_core3 >
 *
 **************************************************************************/
#ifndef RTE_SWC_NRM_CORE3_H
#define RTE_SWC_NRM_CORE3_H

#define RTE_SWC_NRM_CORE3_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_NRM_CORE3_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_Core3SwcNrmComCtrlUpdateChnlConfigRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_Core3SwcNrmComCtrlUpdateChnlConfigRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_Core3SwcNrmCtrlCanChnlConfigRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_Core3SwcNrmCtrlCanChnlConfigRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_Core3SwcNrmInitRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_Core3SwcNrmInitRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_Core3SwcNrmMainRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_Core3SwcNrmMainRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_nrm_core3_Type.h"
/* Version verification of the Rte_swc_nrm_core3_Type module */
#if ((RTE_SWC_NRM_CORE3_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_NRM_CORE3_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_NRM_CORE3_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_nrm_core3_MemClasses.h"
/* Version verification of the Rte_swc_nrm_core3_MemClasses module */
#if ((RTE_SWC_NRM_CORE3_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_NRM_CORE3_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_NRM_CORE3_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_Core3SwcNrmComCtrlUpdateChnlConfigRunnable Core3SwcNrmComCtrlUpdateChnlConfigRunnable

#define RTE_RUNNABLE_Core3SwcNrmCtrlCanChnlConfigRunnable Core3SwcNrmCtrlCanChnlConfigRunnable

#define RTE_RUNNABLE_Core3SwcNrmInitRunnable Core3SwcNrmInitRunnable

#define RTE_RUNNABLE_Core3SwcNrmMainRunnable Core3SwcNrmMainRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SM_NotifyState_Val ((uint8) 0)
#define Rte_InitValue_DevmVoltStatus_voltStatus ((VoltStatusType) 3)
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_nrm_core3_BusOffState_P {
    Std_ReturnType (*Write_state)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_BusOffState_P *Rte_PortHandle_BusOffState_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_nrm_core3_ComCtrlCanConfig_P, so no structure is generated */

struct Rte_PDS_swc_nrm_core3_DataServices_DcmDspDid_0x9252_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9252_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_DataServices_DcmDspDid_0x9252_P *Rte_PortHandle_DataServices_DcmDspDid_0x9252_P;
#endif

struct Rte_PDS_swc_nrm_core3_DevmVoltStatus_R {
    Std_ReturnType (*Read_voltStatus)(P2VAR(VoltStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_DevmVoltStatus_R *Rte_PortHandle_DevmVoltStatus_R;
#endif

struct Rte_PDS_swc_nrm_core3_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_swc_nrm_core3_IntfCanChnlSwitch_P {
    Std_ReturnType (*Write_cmd)(P2CONST(struct Rte_struct_NrmComCtrlChnlConfig, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmd);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_IntfCanChnlSwitch_P *Rte_PortHandle_IntfCanChnlSwitch_P;
#endif

struct Rte_PDS_swc_nrm_core3_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_nrm_core3_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_swc_nrm_core3_NcsTriggerMsg_P {
    Std_ReturnType (*Write_info)(P2CONST(NCS_SendSyncReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_info);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_NcsTriggerMsg_P *Rte_PortHandle_NcsTriggerMsg_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_nrm_core3_NrmComCtrlUpdateChnlConfig_P, so no structure is generated */

struct Rte_PDS_swc_nrm_core3_NrmComCtrlUpdateHeartBeat_R {
    Std_ReturnType (*Read_heartBeat)(P2VAR(NrmComCtrlHeartBeat, AUTOMATIC, RTE_APPL_DATA) Rte_arg_heartBeat);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_NrmComCtrlUpdateHeartBeat_R *Rte_PortHandle_NrmComCtrlUpdateHeartBeat_R;
#endif

struct Rte_PDS_swc_nrm_core3_SM_NotifyState_R {
    Std_ReturnType (*Read_Val)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Val);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_nrm_core3_SM_NotifyState_R *Rte_PortHandle_SM_NotifyState_R;
#endif

struct Rte_CDS_swc_nrm_core3 {
    struct Rte_PDS_swc_nrm_core3_BusOffState_P BusOffState;
    struct Rte_PDS_swc_nrm_core3_DataServices_DcmDspDid_0x9252_P DataServices_DcmDspDid_0x9252;
    struct Rte_PDS_swc_nrm_core3_DevmVoltStatus_R DevmVoltStatus;
    struct Rte_PDS_swc_nrm_core3_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_swc_nrm_core3_IntfCanChnlSwitch_P IntfCanChnlSwitch;
    struct Rte_PDS_swc_nrm_core3_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_nrm_core3_LogSwcMessageService_R Core0NrmLogSwcMessageService;
    struct Rte_PDS_swc_nrm_core3_NcsTriggerMsg_P NcsTriggerMsg;
    struct Rte_PDS_swc_nrm_core3_NrmComCtrlUpdateHeartBeat_R NrmComCtrlUpdateHeartBeat;
    struct Rte_PDS_swc_nrm_core3_SM_NotifyState_R SM_NotifyState;
};
typedef struct Rte_CDS_swc_nrm_core3 Rte_CDS_swc_nrm_core3;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_nrm_core3, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_nrm_core3, RTE_CONST, RTE_CONST) Rte_Inst_swc_nrm_core3;

/* Sender-Receiver Provided Port BusOffState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_nrm_core3_BusOffState_state(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_BusOffState_state Rte_Write_swc_nrm_core3_BusOffState_state
#endif

/* Client-Server Required Port Core0NrmLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_nrm_core3_Core0NrmLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_Core0NrmLogSwcMessageService_SendLogMessage Rte_Call_swc_nrm_core3_Core0NrmLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9252 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_nrm_core3_DataServices_DcmDspDid_0x9252_Data(P2CONST(DcmDspDid_0x9252_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9252_Data Rte_Write_swc_nrm_core3_DataServices_DcmDspDid_0x9252_Data
#endif

/* Sender-Receiver Required Port DevmVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_nrm_core3_DevmVoltStatus_voltStatus(P2VAR(VoltStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmVoltStatus_voltStatus Rte_Read_swc_nrm_core3_DevmVoltStatus_voltStatus
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_nrm_core3_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_swc_nrm_core3_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port IntfCanChnlSwitch */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_nrm_core3_IntfCanChnlSwitch_cmd(P2CONST(struct Rte_struct_NrmComCtrlChnlConfig, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmd);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_IntfCanChnlSwitch_cmd Rte_Write_swc_nrm_core3_IntfCanChnlSwitch_cmd
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_nrm_core3_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_nrm_core3_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port NcsTriggerMsg */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_nrm_core3_NcsTriggerMsg_info(P2CONST(NCS_SendSyncReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_info);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_NcsTriggerMsg_info Rte_Write_swc_nrm_core3_NcsTriggerMsg_info
#endif

/* Sender-Receiver Required Port NrmComCtrlUpdateHeartBeat */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_nrm_core3_NrmComCtrlUpdateHeartBeat_heartBeat(P2VAR(NrmComCtrlHeartBeat, AUTOMATIC, RTE_APPL_DATA) Rte_arg_heartBeat);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_NrmComCtrlUpdateHeartBeat_heartBeat Rte_Read_swc_nrm_core3_NrmComCtrlUpdateHeartBeat_heartBeat
#endif

/* Sender-Receiver Required Port SM_NotifyState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_nrm_core3_SM_NotifyState_Val(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Val);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SM_NotifyState_Val Rte_Read_swc_nrm_core3_SM_NotifyState_Val
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_nrm_core3_CODE) Core3SwcNrmComCtrlUpdateChnlConfigRunnable (P2CONST(struct Rte_struct_NrmComCtrlChnlConfig, AUTOMATIC, RTE_APPL_DATA) Rte_arg_chnlConfig,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);

extern FUNC(void, swc_nrm_core3_CODE) Core3SwcNrmCtrlCanChnlConfigRunnable (P2CONST(DcComCtrlCanChnl, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ChnlParam,
    P2VAR(DcComCtrlCanRetType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_RetVal);

extern FUNC(void, swc_nrm_core3_CODE) Core3SwcNrmInitRunnable (void);

extern FUNC(void, swc_nrm_core3_CODE) Core3SwcNrmMainRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_NRM_CORE3_H */