/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_sam_core0.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_sam_core0 >
 *
 **************************************************************************/
#ifndef RTE_SWC_SAM_CORE0_H
#define RTE_SWC_SAM_CORE0_H

#define RTE_SWC_SAM_CORE0_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_SAM_CORE0_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamExcutionRunnableCore0
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamExcutionRunnableCore0 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamInitRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamInitRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamMainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamMainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamService_ADSControl
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamService_ADSControl */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamService_SocControl
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamService_SocControl */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_sam_core0_Type.h"
/* Version verification of the Rte_swc_sam_core0_Type module */
#if ((RTE_SWC_SAM_CORE0_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_SAM_CORE0_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_SAM_CORE0_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_sam_core0_MemClasses.h"
/* Version verification of the Rte_swc_sam_core0_MemClasses module */
#if ((RTE_SWC_SAM_CORE0_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_SAM_CORE0_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_SAM_CORE0_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SamExcutionRunnableCore0 SamExcutionRunnableCore0

#define RTE_RUNNABLE_SamInitRunnable SamInitRunnable

#define RTE_RUNNABLE_SamMainFunction SamMainFunction

#define RTE_RUNNABLE_SamService_ADSControl SamService_ADSControl

#define RTE_RUNNABLE_SamService_SocControl SamService_SocControl

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_sam_core0_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_swc_sam_core0_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

struct Rte_PDS_swc_sam_core0_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_swc_sam_core0_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_sam_core0_RadarOutputType_R {
    Std_ReturnType (*Receive_element1)(P2VAR(RadarOutputType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_element1);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_RadarOutputType_R *Rte_PortHandle_RadarOutputType_R;
#endif

struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_P {
    Std_ReturnType (*Send_sensorOperRequest)(P2CONST(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_P *Rte_PortHandle_SamSensorOprRequest_P;
#endif

struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_R {
    Std_ReturnType (*Receive_sensorOperRequest)(P2VAR(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_R *Rte_PortHandle_SamSensorOprRequest_R;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_sam_core0_SamSensorStateControlADS_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_swc_sam_core0_SamSensorStateControlSoc_P, so no structure is generated */

struct Rte_PDS_swc_sam_core0_SamSensorStatus_P {
    Std_ReturnType (*Write_sensorStatus)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_SamSensorStatus_P *Rte_PortHandle_SamSensorStatus_P;
#endif

struct Rte_PDS_swc_sam_core0_SamSensorStatus_R {
    Std_ReturnType (*Read_sensorStatus)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_SamSensorStatus_R *Rte_PortHandle_SamSensorStatus_R;
#endif

struct Rte_PDS_swc_sam_core0_SensorCanTSynFaultReport_P {
    Std_ReturnType (*Send_FaultReport)(P2CONST(SensorCanTSynFaultReportType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_FaultReport);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_SensorCanTSynFaultReport_P *Rte_PortHandle_SensorCanTSynFaultReport_P;
#endif

struct Rte_PDS_swc_sam_core0_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_swc_sam_core0_TraceMessageService_P {
    Std_ReturnType (*Send_MntTrace)(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core0_TraceMessageService_P *Rte_PortHandle_TraceMessageService_P;
#endif

struct Rte_CDS_swc_sam_core0 {
    struct Rte_PDS_swc_sam_core0_CanRawMsg_P CanMsgDn11;
    struct Rte_PDS_swc_sam_core0_CanRawMsg_P CanMsgDn7;
    struct Rte_PDS_swc_sam_core0_CanRawMsg_R CanMsgUp11;
    struct Rte_PDS_swc_sam_core0_CanRawMsg_R CanMsgUp7;
    struct Rte_PDS_swc_sam_core0_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_swc_sam_core0_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_sam_core0_RadarOutputType_R RadarOutputType;
    struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_P SamSensorOprRequest_Core0;
    struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_P SamSensorOprRequest_Core3;
    struct Rte_PDS_swc_sam_core0_SamSensorOprRequest_R SamSensorOprRequest;
    struct Rte_PDS_swc_sam_core0_SamSensorStatus_P SamPublishSensorStatus;
    struct Rte_PDS_swc_sam_core0_SamSensorStatus_P SamSendSensorStatus;
    struct Rte_PDS_swc_sam_core0_SamSensorStatus_R SamGetSensorStatus_Core0;
    struct Rte_PDS_swc_sam_core0_SamSensorStatus_R SamGetSensorStatus_Core3;
    struct Rte_PDS_swc_sam_core0_SensorCanTSynFaultReport_P SensorCanTSynFaultReport;
    struct Rte_PDS_swc_sam_core0_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_swc_sam_core0_TraceMessageService_P TraceMessageSend;
};
typedef struct Rte_CDS_swc_sam_core0 Rte_CDS_swc_sam_core0;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_sam_core0, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_sam_core0, RTE_CONST, RTE_CONST) Rte_Inst_swc_sam_core0;

/* Sender-Receiver Provided Port CanMsgDn11 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_CanMsgDn11_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn11_CanRawMsg Rte_Send_swc_sam_core0_CanMsgDn11_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn7 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_CanMsgDn7_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn7_CanRawMsg Rte_Send_swc_sam_core0_CanMsgDn7_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgUp11 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core0_CanMsgUp11_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgUp11_CanRawMsg Rte_Receive_swc_sam_core0_CanMsgUp11_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgUp7 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core0_CanMsgUp7_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgUp7_CanRawMsg Rte_Receive_swc_sam_core0_CanMsgUp7_CanRawMsg
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_swc_sam_core0_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_sam_core0_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port RadarOutputType */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core0_RadarOutputType_element1(P2VAR(RadarOutputType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_element1);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_RadarOutputType_element1 Rte_Receive_swc_sam_core0_RadarOutputType_element1
#endif

/* Sender-Receiver Required Port SamGetSensorStatus_Core0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_sam_core0_SamGetSensorStatus_Core0_sensorStatus(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SamGetSensorStatus_Core0_sensorStatus Rte_Read_swc_sam_core0_SamGetSensorStatus_Core0_sensorStatus
#endif

/* Sender-Receiver Required Port SamGetSensorStatus_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_sam_core0_SamGetSensorStatus_Core3_sensorStatus(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SamGetSensorStatus_Core3_sensorStatus Rte_Read_swc_sam_core0_SamGetSensorStatus_Core3_sensorStatus
#endif

/* Sender-Receiver Provided Port SamPublishSensorStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_sam_core0_SamPublishSensorStatus_sensorStatus(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SamPublishSensorStatus_sensorStatus Rte_Write_swc_sam_core0_SamPublishSensorStatus_sensorStatus
#endif

/* Sender-Receiver Provided Port SamSendSensorStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_sam_core0_SamSendSensorStatus_sensorStatus(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SamSendSensorStatus_sensorStatus Rte_Write_swc_sam_core0_SamSendSensorStatus_sensorStatus
#endif

/* Sender-Receiver Required Port SamSensorOprRequest */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core0_SamSensorOprRequest_sensorOperRequest(P2VAR(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_SamSensorOprRequest_sensorOperRequest Rte_Receive_swc_sam_core0_SamSensorOprRequest_sensorOperRequest
#endif

/* Sender-Receiver Provided Port SamSensorOprRequest_Core0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_SamSensorOprRequest_Core0_sensorOperRequest(P2CONST(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_SamSensorOprRequest_Core0_sensorOperRequest Rte_Send_swc_sam_core0_SamSensorOprRequest_Core0_sensorOperRequest
#endif

/* Sender-Receiver Provided Port SamSensorOprRequest_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_SamSensorOprRequest_Core3_sensorOperRequest(P2CONST(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_SamSensorOprRequest_Core3_sensorOperRequest Rte_Send_swc_sam_core0_SamSensorOprRequest_Core3_sensorOperRequest
#endif

/* Sender-Receiver Provided Port SensorCanTSynFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_SensorCanTSynFaultReport_FaultReport(P2CONST(SensorCanTSynFaultReportType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_FaultReport);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_SensorCanTSynFaultReport_FaultReport Rte_Send_swc_sam_core0_SensorCanTSynFaultReport_FaultReport
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_sam_core0_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_swc_sam_core0_SmNotifyPlatState_state
#endif

/* Sender-Receiver Provided Port TraceMessageSend */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core0_TraceMessageSend_MntTrace(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_TraceMessageSend_MntTrace Rte_Send_swc_sam_core0_TraceMessageSend_MntTrace
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_sam_core0_CODE) SamExcutionRunnableCore0 (void);

extern FUNC(void, swc_sam_core0_CODE) SamInitRunnable (void);

extern FUNC(void, swc_sam_core0_CODE) SamMainFunction (void);

extern FUNC(void, swc_sam_core0_CODE) SamService_ADSControl (P2CONST(SensorStateControlType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStateControl,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);

extern FUNC(void, swc_sam_core0_CODE) SamService_SocControl (P2CONST(SensorStateControlSocType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStateControl,
    P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_SAM_CORE0_H */