/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_sam_core3.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_sam_core3 >
 *
 **************************************************************************/
#ifndef RTE_SWC_SAM_CORE3_H
#define RTE_SWC_SAM_CORE3_H

#define RTE_SWC_SAM_CORE3_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_SAM_CORE3_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamExcutionRunnableCore3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamExcutionRunnableCore3 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SamInitRunnableCore3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SamInitRunnableCore3 */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_sam_core3_Type.h"
/* Version verification of the Rte_swc_sam_core3_Type module */
#if ((RTE_SWC_SAM_CORE3_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_SAM_CORE3_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_SAM_CORE3_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_sam_core3_MemClasses.h"
/* Version verification of the Rte_swc_sam_core3_MemClasses module */
#if ((RTE_SWC_SAM_CORE3_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_SAM_CORE3_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_SAM_CORE3_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SamExcutionRunnableCore3 SamExcutionRunnableCore3

#define RTE_RUNNABLE_SamInitRunnableCore3 SamInitRunnableCore3

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_sam_core3_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core3_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_swc_sam_core3_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core3_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

struct Rte_PDS_swc_sam_core3_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core3_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_sam_core3_SamSensorOprRequest_R {
    Std_ReturnType (*Receive_sensorOperRequest)(P2VAR(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core3_SamSensorOprRequest_R *Rte_PortHandle_SamSensorOprRequest_R;
#endif

struct Rte_PDS_swc_sam_core3_SamSensorStatus_P {
    Std_ReturnType (*Write_sensorStatus)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core3_SamSensorStatus_P *Rte_PortHandle_SamSensorStatus_P;
#endif

struct Rte_PDS_swc_sam_core3_TraceMessageService_P {
    Std_ReturnType (*Send_MntTrace)(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_sam_core3_TraceMessageService_P *Rte_PortHandle_TraceMessageService_P;
#endif

struct Rte_CDS_swc_sam_core3 {
    struct Rte_PDS_swc_sam_core3_CanRawMsg_P CanMsgDn3_Core3;
    struct Rte_PDS_swc_sam_core3_CanRawMsg_P CanMsgDn4_Core3;
    struct Rte_PDS_swc_sam_core3_CanRawMsg_P CanMsgDn5_Core3;
    struct Rte_PDS_swc_sam_core3_CanRawMsg_R CanMsgUp3_Core3;
    struct Rte_PDS_swc_sam_core3_CanRawMsg_R CanMsgUp4_Core3;
    struct Rte_PDS_swc_sam_core3_CanRawMsg_R CanMsgUp5_Core3;
    struct Rte_PDS_swc_sam_core3_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_sam_core3_SamSensorOprRequest_R SamSensorOprRequest;
    struct Rte_PDS_swc_sam_core3_SamSensorStatus_P SamSendSensorStatus;
    struct Rte_PDS_swc_sam_core3_TraceMessageService_P TraceMessageSend;
};
typedef struct Rte_CDS_swc_sam_core3 Rte_CDS_swc_sam_core3;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_sam_core3, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_sam_core3, RTE_CONST, RTE_CONST) Rte_Inst_swc_sam_core3;

/* Sender-Receiver Provided Port CanMsgDn3_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core3_CanMsgDn3_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn3_Core3_CanRawMsg Rte_Send_swc_sam_core3_CanMsgDn3_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn4_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core3_CanMsgDn4_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn4_Core3_CanRawMsg Rte_Send_swc_sam_core3_CanMsgDn4_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn5_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core3_CanMsgDn5_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn5_Core3_CanRawMsg Rte_Send_swc_sam_core3_CanMsgDn5_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgUp3_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core3_CanMsgUp3_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgUp3_Core3_CanRawMsg Rte_Receive_swc_sam_core3_CanMsgUp3_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgUp4_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core3_CanMsgUp4_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgUp4_Core3_CanRawMsg Rte_Receive_swc_sam_core3_CanMsgUp4_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgUp5_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core3_CanMsgUp5_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgUp5_Core3_CanRawMsg Rte_Receive_swc_sam_core3_CanMsgUp5_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core3_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_sam_core3_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port SamSendSensorStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_sam_core3_SamSendSensorStatus_sensorStatus(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SamSendSensorStatus_sensorStatus Rte_Write_swc_sam_core3_SamSendSensorStatus_sensorStatus
#endif

/* Sender-Receiver Required Port SamSensorOprRequest */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_sam_core3_SamSensorOprRequest_sensorOperRequest(P2VAR(SensorOperRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_sensorOperRequest);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_SamSensorOprRequest_sensorOperRequest Rte_Receive_swc_sam_core3_SamSensorOprRequest_sensorOperRequest
#endif

/* Sender-Receiver Provided Port TraceMessageSend */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_sam_core3_TraceMessageSend_MntTrace(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_TraceMessageSend_MntTrace Rte_Send_swc_sam_core3_TraceMessageSend_MntTrace
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_sam_core3_CODE) SamExcutionRunnableCore3 (void);

extern FUNC(void, swc_sam_core3_CODE) SamInitRunnableCore3 (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_SAM_CORE3_H */