/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_tsync.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_tsync >
 *
 **************************************************************************/
#ifndef RTE_SWC_TSYNC_H
#define RTE_SWC_TSYNC_H

#define RTE_SWC_TSYNC_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_TSYNC_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TimeSyncDataService_GetDataDelta
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TimeSyncDataService_GetDataDelta */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TimeSyncMngService_GetMngMasterMsg
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TimeSyncMngService_GetMngMasterMsg */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TsyncChEnableService_ChEnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TsyncChEnableService_ChEnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TsyncInitRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TsyncInitRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TsyncLogRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TsyncLogRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TsyncMonitorRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TsyncMonitorRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TsyncSendLocalUtcTime
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TsyncSendLocalUtcTime */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TsyncSyncGnssOsClockDivService
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TsyncSyncGnssOsClockDivService */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_tsync_Type.h"
/* Version verification of the Rte_swc_tsync_Type module */
#if ((RTE_SWC_TSYNC_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_TSYNC_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_TSYNC_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_tsync_MemClasses.h"
/* Version verification of the Rte_swc_tsync_MemClasses module */
#if ((RTE_SWC_TSYNC_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_TSYNC_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_TSYNC_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_TimeSyncDataService_GetDataDelta TimeSyncDataService_GetDataDelta

#define RTE_RUNNABLE_TimeSyncMngService_GetMngMasterMsg TimeSyncMngService_GetMngMasterMsg

#define RTE_RUNNABLE_TsyncChEnableService_ChEnable TsyncChEnableService_ChEnable

#define RTE_RUNNABLE_TsyncInitRunnable TsyncInitRunnable

#define RTE_RUNNABLE_TsyncLogRunnable TsyncLogRunnable

#define RTE_RUNNABLE_TsyncMonitorRunnable TsyncMonitorRunnable

#define RTE_RUNNABLE_TsyncSendLocalUtcTime TsyncSendLocalUtcTime

#define RTE_RUNNABLE_TsyncSyncGnssOsClockDivService TsyncSyncGnssOsClockDivService

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_MirrorControl_E_NOT_OK)
#define RTE_E_MirrorControl_E_NOT_OK 1U
#endif
#if (!defined RTE_E_MirrorControl_E_OK)
#define RTE_E_MirrorControl_E_OK 0U
#endif
#if (!defined RTE_E_NvMService_E_NOT_OK)
#define RTE_E_NvMService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_NvMService_E_OK)
#define RTE_E_NvMService_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_tsync_AdipUtcTimeInfo_R {
    Std_ReturnType (*Read_AdipUtcTimeInfo)(P2VAR(AdipTimeInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_AdipUtcTimeInfo);
    boolean (*IsUpdated_AdipUtcTimeInfo)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_AdipUtcTimeInfo_R *Rte_PortHandle_AdipUtcTimeInfo_R;
#endif

struct Rte_PDS_swc_tsync_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_swc_tsync_DiagDidReport_P {
    Std_ReturnType (*Send_didInfo)(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_DiagDidReport_P *Rte_PortHandle_DiagDidReport_P;
#endif

struct Rte_PDS_swc_tsync_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_swc_tsync_GnssOsClockDiv_P {
    Std_ReturnType (*Write_GnssOsClockDiv)(P2CONST(GnssOsClockDivType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_GnssOsClockDiv);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_GnssOsClockDiv_P *Rte_PortHandle_GnssOsClockDiv_P;
#endif

struct Rte_PDS_swc_tsync_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_swc_tsync_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_swc_tsync_MirrorControl_R {
    Std_ReturnType (*Call_AddCanMaskFilter)(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network,
        VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_id,
        VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_mask);
    Std_ReturnType (*Call_AddCanRangeFilter)(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network,
        VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_lowerId,
        VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_upperId);
    Std_ReturnType (*Call_SetStaticFilterState)(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network,
        VAR(uint8, AUTOMATIC) Rte_arg_filterId,
        VAR(boolean, AUTOMATIC) Rte_arg_isActive);
    Std_ReturnType (*Call_StartSourceNetwork)(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_MirrorControl_R *Rte_PortHandle_MirrorControl_R;
#endif

struct Rte_PDS_swc_tsync_NvMService_R {
    Std_ReturnType (*Call_GetErrorStatus)(void);
    Std_ReturnType (*Call_ReadBlock)(VAR(VoidPtr, AUTOMATIC) Rte_arg_DstPtr);
    Std_ReturnType (*Call_SetRamBlockStatus)(VAR(boolean, AUTOMATIC) Rte_arg_BlockChanged);
    Std_ReturnType (*Call_WriteBlock)(VAR(ConstVoidPtr, AUTOMATIC) Rte_arg_SrcPtr);
    Std_ReturnType (*Result_GetErrorStatus)(P2VAR(NvM_RequestResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_RequestResultPtr);
    Std_ReturnType (*Result_ReadBlock)(void);
    Std_ReturnType (*Result_SetRamBlockStatus)(void);
    Std_ReturnType (*Result_WriteBlock)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_NvMService_R *Rte_PortHandle_NvMService_R;
#endif

struct Rte_PDS_swc_tsync_PpsNotification_P {
    void (*Trigger_trigger)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_PpsNotification_P *Rte_PortHandle_PpsNotification_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_tsync_PpsNotification_R, so no structure is generated */

struct Rte_PDS_swc_tsync_ReceiveCanTSynMirrorData_R {
    Std_ReturnType (*Read_CanTSynMirrorData)(P2VAR(CanTSynMirrorDynArray, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTSynMirrorData);
    boolean (*IsUpdated_CanTSynMirrorData)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_ReceiveCanTSynMirrorData_R *Rte_PortHandle_ReceiveCanTSynMirrorData_R;
#endif

struct Rte_PDS_swc_tsync_SensorCanTSynFaultReport_R {
    Std_ReturnType (*Receive_FaultReport)(P2VAR(SensorCanTSynFaultReportType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_FaultReport);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_SensorCanTSynFaultReport_R *Rte_PortHandle_SensorCanTSynFaultReport_R;
#endif

struct Rte_PDS_swc_tsync_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_swc_tsync_TboxUtcTimeInfo_R {
    Std_ReturnType (*Read_TboxUtcTimeInfo)(P2VAR(TboxTimeInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_TboxUtcTimeInfo);
    boolean (*IsUpdated_TboxUtcTimeInfo)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_TboxUtcTimeInfo_R *Rte_PortHandle_TboxUtcTimeInfo_R;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_tsync_TimeSyncGetDataDelta_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_swc_tsync_TimeSyncMngService_P, so no structure is generated */

struct Rte_PDS_swc_tsync_TimeSyncSendCpldPpsTime_P {
    Std_ReturnType (*Write_CpldPpsTime)(P2CONST(TimeSyncCpldPpsTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CpldPpsTime);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_TimeSyncSendCpldPpsTime_P *Rte_PortHandle_TimeSyncSendCpldPpsTime_P;
#endif

struct Rte_PDS_swc_tsync_TimeSyncSendGpsPpsTime_P {
    Std_ReturnType (*Write_GpsPpsTime)(P2CONST(TimeSyncGpsPpsTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_GpsPpsTime);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_TimeSyncSendGpsPpsTime_P *Rte_PortHandle_TimeSyncSendGpsPpsTime_P;
#endif

struct Rte_PDS_swc_tsync_TraceMessageService_P {
    Std_ReturnType (*Send_MntTrace)(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_TraceMessageService_P *Rte_PortHandle_TraceMessageService_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_tsync_TsyncChEnableService_P, so no structure is generated */

struct Rte_PDS_swc_tsync_TsyncDebugSetTime_R {
    Std_ReturnType (*Read_setTime)(P2VAR(TsyncDebugSetTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_setTime);
    boolean (*IsUpdated_setTime)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_tsync_TsyncDebugSetTime_R *Rte_PortHandle_TsyncDebugSetTime_R;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_tsync_TsyncSyncGnssOsClockDiv_P, so no structure is generated */

struct Rte_CDS_swc_tsync {
    TsyncPerMgrTime* Pim_Pim_TsyncInfo;
    struct Rte_PDS_swc_tsync_AdipUtcTimeInfo_R AdipUtcTimeInfo;
    struct Rte_PDS_swc_tsync_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_swc_tsync_DiagDidReport_P DiagDidReport;
    struct Rte_PDS_swc_tsync_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_swc_tsync_GnssOsClockDiv_P GnssOsClockDiv;
    struct Rte_PDS_swc_tsync_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_tsync_LogSwcMessageService_R TsyncLogSwcMessageService;
    struct Rte_PDS_swc_tsync_MirrorControl_R MirrorControl;
    struct Rte_PDS_swc_tsync_NvMService_R NvMService;
    struct Rte_PDS_swc_tsync_PpsNotification_P PpsNotification;
    struct Rte_PDS_swc_tsync_ReceiveCanTSynMirrorData_R ReceiveCanTSynMirrorData;
    struct Rte_PDS_swc_tsync_SensorCanTSynFaultReport_R SensorCanTSynFaultReport;
    struct Rte_PDS_swc_tsync_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_swc_tsync_TboxUtcTimeInfo_R TboxUtcTimeInfo;
    struct Rte_PDS_swc_tsync_TimeSyncSendCpldPpsTime_P TimeSyncSendCpldPpsTime;
    struct Rte_PDS_swc_tsync_TimeSyncSendGpsPpsTime_P TimeSyncSendGpsPpsTime;
    struct Rte_PDS_swc_tsync_TraceMessageService_P TsyncTraceMessageSend;
    struct Rte_PDS_swc_tsync_TsyncDebugSetTime_R TsyncDebugSetTime;
};
typedef struct Rte_CDS_swc_tsync Rte_CDS_swc_tsync;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_tsync, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_tsync, RTE_CONST, RTE_CONST) Rte_Inst_swc_tsync;

/* Sender-Receiver Required Port AdipUtcTimeInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_tsync_AdipUtcTimeInfo_AdipUtcTimeInfo(P2VAR(AdipTimeInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_AdipUtcTimeInfo);
extern FUNC(boolean, RTE_CODE) Rte_IsUpdated_swc_tsync_AdipUtcTimeInfo_AdipUtcTimeInfo(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_AdipUtcTimeInfo_AdipUtcTimeInfo Rte_Read_swc_tsync_AdipUtcTimeInfo_AdipUtcTimeInfo
#define Rte_IsUpdated_AdipUtcTimeInfo_AdipUtcTimeInfo Rte_IsUpdated_swc_tsync_AdipUtcTimeInfo_AdipUtcTimeInfo
#endif

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_tsync_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_swc_tsync_DevmPowerStatus_status
#endif

/* Sender-Receiver Provided Port DiagDidReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_tsync_DiagDidReport_didInfo(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_DiagDidReport_didInfo Rte_Send_swc_tsync_DiagDidReport_didInfo
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_tsync_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_swc_tsync_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port GnssOsClockDiv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_tsync_GnssOsClockDiv_GnssOsClockDiv(P2CONST(GnssOsClockDivType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_GnssOsClockDiv);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_GnssOsClockDiv_GnssOsClockDiv Rte_Write_swc_tsync_GnssOsClockDiv_GnssOsClockDiv
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_tsync_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_tsync_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port MirrorControl */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_MirrorControl_AddCanMaskFilter(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network,
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_id,
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_mask);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_MirrorControl_AddCanRangeFilter(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network,
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_lowerId,
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_upperId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_MirrorControl_SetStaticFilterState(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network,
    VAR(uint8, AUTOMATIC) Rte_arg_filterId,
    VAR(boolean, AUTOMATIC) Rte_arg_isActive);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_MirrorControl_StartSourceNetwork(VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_MirrorControl_AddCanMaskFilter Rte_Call_swc_tsync_MirrorControl_AddCanMaskFilter
#define Rte_Call_MirrorControl_AddCanRangeFilter Rte_Call_swc_tsync_MirrorControl_AddCanRangeFilter
#define Rte_Call_MirrorControl_SetStaticFilterState Rte_Call_swc_tsync_MirrorControl_SetStaticFilterState
#define Rte_Call_MirrorControl_StartSourceNetwork Rte_Call_swc_tsync_MirrorControl_StartSourceNetwork
#endif

/* Client-Server Required Port NvMService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_NvMService_GetErrorStatus(void);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_tsync_NvMService_GetErrorStatus(P2VAR(NvM_RequestResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_RequestResultPtr);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_NvMService_ReadBlock(VAR(VoidPtr, AUTOMATIC) Rte_arg_DstPtr);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_tsync_NvMService_ReadBlock(void);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_NvMService_SetRamBlockStatus(VAR(boolean, AUTOMATIC) Rte_arg_BlockChanged);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_tsync_NvMService_SetRamBlockStatus(void);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_NvMService_WriteBlock(VAR(ConstVoidPtr, AUTOMATIC) Rte_arg_SrcPtr);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_swc_tsync_NvMService_WriteBlock(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NvMService_GetErrorStatus Rte_Call_swc_tsync_NvMService_GetErrorStatus
#define Rte_Result_NvMService_GetErrorStatus Rte_Result_swc_tsync_NvMService_GetErrorStatus
#define Rte_Call_NvMService_ReadBlock Rte_Call_swc_tsync_NvMService_ReadBlock
#define Rte_Result_NvMService_ReadBlock Rte_Result_swc_tsync_NvMService_ReadBlock
#define Rte_Call_NvMService_SetRamBlockStatus Rte_Call_swc_tsync_NvMService_SetRamBlockStatus
#define Rte_Result_NvMService_SetRamBlockStatus Rte_Result_swc_tsync_NvMService_SetRamBlockStatus
#define Rte_Call_NvMService_WriteBlock Rte_Call_swc_tsync_NvMService_WriteBlock
#define Rte_Result_NvMService_WriteBlock Rte_Result_swc_tsync_NvMService_WriteBlock
#endif

/* Trigger Provided Port PpsNotification */
/***************************************************************************
 *
 * Rte External Trigger APIs
 *
 **************************************************************************/
extern FUNC(void, RTE_CODE) Rte_Trigger_swc_tsync_PpsNotification_trigger(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_TimeSyncDataService_GetDataDelta) && \
        (!defined RTE_RUNNABLEAPI_TimeSyncMngService_GetMngMasterMsg) && \
        (!defined RTE_RUNNABLEAPI_TsyncChEnableService_ChEnable) && \
        (!defined RTE_RUNNABLEAPI_TsyncInitRunnable) && \
        (!defined RTE_RUNNABLEAPI_TsyncLogRunnable) && \
        (!defined RTE_RUNNABLEAPI_TsyncSendLocalUtcTime) && \
        (!defined RTE_RUNNABLEAPI_TsyncSyncGnssOsClockDivService) \
)
#define Rte_Trigger_PpsNotification_trigger Rte_Trigger_swc_tsync_PpsNotification_trigger
#endif
#endif

/* Trigger Required Port PpsNotification */
/***************************************************************************
 *
 * Rte External Trigger APIs
 *
 **************************************************************************/

/* Sender-Receiver Required Port ReceiveCanTSynMirrorData */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_tsync_ReceiveCanTSynMirrorData_CanTSynMirrorData(P2VAR(CanTSynMirrorDynArray, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTSynMirrorData);
extern FUNC(boolean, RTE_CODE) Rte_IsUpdated_swc_tsync_ReceiveCanTSynMirrorData_CanTSynMirrorData(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_ReceiveCanTSynMirrorData_CanTSynMirrorData Rte_Read_swc_tsync_ReceiveCanTSynMirrorData_CanTSynMirrorData
#define Rte_IsUpdated_ReceiveCanTSynMirrorData_CanTSynMirrorData Rte_IsUpdated_swc_tsync_ReceiveCanTSynMirrorData_CanTSynMirrorData
#endif

/* Sender-Receiver Required Port SensorCanTSynFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_tsync_SensorCanTSynFaultReport_FaultReport(P2VAR(SensorCanTSynFaultReportType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_FaultReport);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_SensorCanTSynFaultReport_FaultReport Rte_Receive_swc_tsync_SensorCanTSynFaultReport_FaultReport
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_tsync_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_swc_tsync_SmNotifyPlatState_state
#endif

/* Sender-Receiver Required Port TboxUtcTimeInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_tsync_TboxUtcTimeInfo_TboxUtcTimeInfo(P2VAR(TboxTimeInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_TboxUtcTimeInfo);
extern FUNC(boolean, RTE_CODE) Rte_IsUpdated_swc_tsync_TboxUtcTimeInfo_TboxUtcTimeInfo(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_TboxUtcTimeInfo_TboxUtcTimeInfo Rte_Read_swc_tsync_TboxUtcTimeInfo_TboxUtcTimeInfo
#define Rte_IsUpdated_TboxUtcTimeInfo_TboxUtcTimeInfo Rte_IsUpdated_swc_tsync_TboxUtcTimeInfo_TboxUtcTimeInfo
#endif

/* Sender-Receiver Provided Port TimeSyncSendCpldPpsTime */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_tsync_TimeSyncSendCpldPpsTime_CpldPpsTime(P2CONST(TimeSyncCpldPpsTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CpldPpsTime);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_TimeSyncSendCpldPpsTime_CpldPpsTime Rte_Write_swc_tsync_TimeSyncSendCpldPpsTime_CpldPpsTime
#endif

/* Sender-Receiver Provided Port TimeSyncSendGpsPpsTime */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_tsync_TimeSyncSendGpsPpsTime_GpsPpsTime(P2CONST(TimeSyncGpsPpsTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_GpsPpsTime);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_TimeSyncSendGpsPpsTime_GpsPpsTime Rte_Write_swc_tsync_TimeSyncSendGpsPpsTime_GpsPpsTime
#endif

/* Sender-Receiver Required Port TsyncDebugSetTime */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_tsync_TsyncDebugSetTime_setTime(P2VAR(TsyncDebugSetTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_setTime);
extern FUNC(boolean, RTE_CODE) Rte_IsUpdated_swc_tsync_TsyncDebugSetTime_setTime(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_TsyncDebugSetTime_setTime Rte_Read_swc_tsync_TsyncDebugSetTime_setTime
#define Rte_IsUpdated_TsyncDebugSetTime_setTime Rte_IsUpdated_swc_tsync_TsyncDebugSetTime_setTime
#endif

/* Client-Server Required Port TsyncLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_swc_tsync_TsyncLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_TsyncLogSwcMessageService_SendLogMessage Rte_Call_swc_tsync_TsyncLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port TsyncTraceMessageSend */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_tsync_TsyncTraceMessageSend_MntTrace(P2CONST(MntTraceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntTrace);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_TsyncTraceMessageSend_MntTrace Rte_Send_swc_tsync_TsyncTraceMessageSend_MntTrace
#endif

/***************************************************************************
 *
 * Per Instance Memory API
 *
 **************************************************************************/
extern FUNC_P2VAR(TsyncPerMgrTime, RTE_DATA, AUTOMATIC) Rte_Pim_swc_tsync_Pim_TsyncInfo(void);

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Pim_Pim_TsyncInfo Rte_Pim_swc_tsync_Pim_TsyncInfo

#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_tsync_CODE) TimeSyncDataService_GetDataDelta (P2VAR(sint64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_SlaveDataDelta);

extern FUNC(void, swc_tsync_CODE) TimeSyncMngService_GetMngMasterMsg (P2CONST(TimeSyncMngMasterRecvMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_masterRecvMsg,
    P2VAR(TimeSyncMngSlaveSendMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_slaveSendMsg);

extern FUNC(void, swc_tsync_CODE) TsyncChEnableService_ChEnable (P2CONST(TsyncChEnableType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_chEnableRequest,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ret);

extern FUNC(void, swc_tsync_CODE) TsyncInitRunnable (void);

extern FUNC(void, swc_tsync_CODE) TsyncLogRunnable (void);

extern FUNC(void, swc_tsync_CODE) TsyncMonitorRunnable (void);

extern FUNC(void, swc_tsync_CODE) TsyncSendLocalUtcTime (void);

extern FUNC(void, swc_tsync_CODE) TsyncSyncGnssOsClockDivService (P2CONST(GnssOsClockDivType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gnssOsDivInput,
    P2VAR(GnssOsClockDivType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gnssOsDivOutput);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_TSYNC_H */