/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_thm_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < thm_cp >
 *
 **************************************************************************/
#ifndef RTE_THM_CP_H
#define RTE_THM_CP_H

#define RTE_THM_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_THM_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_FanMRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_FanMRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_ThmRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_ThmRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_TmsMRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_TmsMRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_thm_cp_Type.h"
/* Version verification of the Rte_thm_cp_Type module */
#if ((RTE_THM_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_THM_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_THM_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_thm_cp_MemClasses.h"
/* Version verification of the Rte_thm_cp_MemClasses module */
#if ((RTE_THM_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_THM_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_THM_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_FanMRunnable FanMRunnable

#define RTE_RUNNABLE_ThmRunnable ThmRunnable

#define RTE_RUNNABLE_TmsMRunnable TmsMRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_ThmRxTmsFlowReq_flowReq ((float32) 0)
#define Rte_InitValue_ThmRxTmsTemp_temp ((sint16) 255)
#define Rte_InitValue_ThmRxTmsState_state ((uint8) 255)
#define Rte_InitValue_ThmTxTmsFlowReq_flowReq ((float32) 0)
#define Rte_InitValue_ThmTxTmsPostRunFlag_flag ((boolean) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_thm_cp_DataServices_DcmDspDid_0x9082_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9082_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_DataServices_DcmDspDid_0x9082_P *Rte_PortHandle_DataServices_DcmDspDid_0x9082_P;
#endif

struct Rte_PDS_thm_cp_DiagDidReport_P {
    Std_ReturnType (*Send_didInfo)(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_DiagDidReport_P *Rte_PortHandle_DiagDidReport_P;
#endif

struct Rte_PDS_thm_cp_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_thm_cp_IohwabService_R {
    Std_ReturnType (*Call_SetPwmDuty)(VAR(uint8, AUTOMATIC) Rte_arg_fanId,
        VAR(uint8, AUTOMATIC) Rte_arg_duty);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_IohwabService_R *Rte_PortHandle_IohwabService_R;
#endif

struct Rte_PDS_thm_cp_IohwabSignal_R {
    Std_ReturnType (*Read_dutyData)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dutyData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_IohwabSignal_R *Rte_PortHandle_IohwabSignal_R;
#endif

struct Rte_PDS_thm_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_thm_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_thm_cp_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_thm_cp_ThmExternalTmsFlowReq_R {
    float32 (*DRead_flowReq)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_ThmExternalTmsFlowReq_R *Rte_PortHandle_ThmExternalTmsFlowReq_R;
#endif

struct Rte_PDS_thm_cp_ThmIsNeedTmsInfo_P {
    Std_ReturnType (*Write_IsNeedTmsInfo)(P2CONST(ThmHeatDissipationType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_IsNeedTmsInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_ThmIsNeedTmsInfo_P *Rte_PortHandle_ThmIsNeedTmsInfo_P;
#endif

struct Rte_PDS_thm_cp_ThmMdcTmsFlowReq_P {
    Std_ReturnType (*Write_flowReq)(VAR(float32, AUTOMATIC) Rte_arg_flowReq);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_ThmMdcTmsFlowReq_P *Rte_PortHandle_ThmMdcTmsFlowReq_P;
#endif

struct Rte_PDS_thm_cp_ThmTmsPostRunFlag_P {
    Std_ReturnType (*Write_flag)(VAR(boolean, AUTOMATIC) Rte_arg_flag);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_ThmTmsPostRunFlag_P *Rte_PortHandle_ThmTmsPostRunFlag_P;
#endif

struct Rte_PDS_thm_cp_ThmTmsState_R {
    uint8 (*DRead_state)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_ThmTmsState_R *Rte_PortHandle_ThmTmsState_R;
#endif

struct Rte_PDS_thm_cp_ThmTmsTemp_R {
    sint16 (*DRead_temp)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_thm_cp_ThmTmsTemp_R *Rte_PortHandle_ThmTmsTemp_R;
#endif

struct Rte_CDS_thm_cp {
    struct Rte_PDS_thm_cp_DataServices_DcmDspDid_0x9082_P DataServices_DcmDspDid_0x9082;
    struct Rte_PDS_thm_cp_DiagDidReport_P DiagDidReport;
    struct Rte_PDS_thm_cp_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_thm_cp_IohwabService_R IohwabService;
    struct Rte_PDS_thm_cp_IohwabSignal_R IohwabSignal;
    struct Rte_PDS_thm_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_thm_cp_LogSwcMessageService_R LogSwcMessageService;
    struct Rte_PDS_thm_cp_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_thm_cp_ThmExternalTmsFlowReq_R ThmRxTmsFlowReq;
    struct Rte_PDS_thm_cp_ThmIsNeedTmsInfo_P ThmIsNeedTmsInfo;
    struct Rte_PDS_thm_cp_ThmMdcTmsFlowReq_P ThmTxTmsFlowReq;
    struct Rte_PDS_thm_cp_ThmTmsPostRunFlag_P ThmTxTmsPostRunFlag;
    struct Rte_PDS_thm_cp_ThmTmsState_R ThmRxTmsState;
    struct Rte_PDS_thm_cp_ThmTmsTemp_R ThmRxTmsTemp;
};
typedef struct Rte_CDS_thm_cp Rte_CDS_thm_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_thm_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_thm_cp, RTE_CONST, RTE_CONST) Rte_Inst_thm_cp;

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9082 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_thm_cp_DataServices_DcmDspDid_0x9082_Data(P2CONST(DcmDspDid_0x9082_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9082_Data Rte_Write_thm_cp_DataServices_DcmDspDid_0x9082_Data
#endif

/* Sender-Receiver Provided Port DiagDidReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_thm_cp_DiagDidReport_didInfo(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_DiagDidReport_didInfo Rte_Send_thm_cp_DiagDidReport_didInfo
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_thm_cp_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_thm_cp_FmFaultReport_eventInfo
#endif

/* Client-Server Required Port IohwabService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_thm_cp_IohwabService_SetPwmDuty(VAR(uint8, AUTOMATIC) Rte_arg_fanId,
    VAR(uint8, AUTOMATIC) Rte_arg_duty);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_IohwabService_SetPwmDuty Rte_Call_thm_cp_IohwabService_SetPwmDuty
#endif

/* Sender-Receiver Required Port IohwabSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_thm_cp_IohwabSignal_dutyData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dutyData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_IohwabSignal_dutyData Rte_Read_thm_cp_IohwabSignal_dutyData
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_thm_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_thm_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port LogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_thm_cp_LogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LogSwcMessageService_SendLogMessage Rte_Call_thm_cp_LogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_thm_cp_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_thm_cp_SmNotifyPlatState_state
#endif

/* Sender-Receiver Provided Port ThmIsNeedTmsInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_thm_cp_ThmIsNeedTmsInfo_IsNeedTmsInfo(P2CONST(ThmHeatDissipationType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_IsNeedTmsInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ThmIsNeedTmsInfo_IsNeedTmsInfo Rte_Write_thm_cp_ThmIsNeedTmsInfo_IsNeedTmsInfo
#endif

/* Sender-Receiver Required Port ThmRxTmsFlowReq */
extern FUNC(float32, RTE_DATA) Rte_DRead_thm_cp_ThmRxTmsFlowReq_flowReq(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_DRead_ThmRxTmsFlowReq_flowReq Rte_DRead_thm_cp_ThmRxTmsFlowReq_flowReq
#endif

/* Sender-Receiver Required Port ThmRxTmsState */
extern FUNC(uint8, RTE_DATA) Rte_DRead_thm_cp_ThmRxTmsState_state(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_DRead_ThmRxTmsState_state Rte_DRead_thm_cp_ThmRxTmsState_state
#endif

/* Sender-Receiver Required Port ThmRxTmsTemp */
extern FUNC(sint16, RTE_DATA) Rte_DRead_thm_cp_ThmRxTmsTemp_temp(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_DRead_ThmRxTmsTemp_temp Rte_DRead_thm_cp_ThmRxTmsTemp_temp
#endif

/* Sender-Receiver Provided Port ThmTxTmsFlowReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_thm_cp_ThmTxTmsFlowReq_flowReq(VAR(float32, AUTOMATIC) Rte_arg_flowReq);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ThmTxTmsFlowReq_flowReq Rte_Write_thm_cp_ThmTxTmsFlowReq_flowReq
#endif

/* Sender-Receiver Provided Port ThmTxTmsPostRunFlag */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_thm_cp_ThmTxTmsPostRunFlag_flag(VAR(boolean, AUTOMATIC) Rte_arg_flag);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ThmTxTmsPostRunFlag_flag Rte_Write_thm_cp_ThmTxTmsPostRunFlag_flag
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, thm_cp_CODE) FanMRunnable (void);

extern FUNC(void, thm_cp_CODE) ThmRunnable (void);

extern FUNC(void, thm_cp_CODE) TmsMRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_THM_CP_H */