/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_BswM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_BSWM_H
#define SCHM_BSWM_H

#define SCHM_BSWM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_BSWM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_BswM_Type.h"
/* Version verification of the SchM_BswM_Type module */
#if ((SCHM_BSWM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_BSWM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_BSWM_TYPE module version is incompatible, there may be problems.
#endif
#include "BswM.h"
#include "SchM_BswM_MemClasses.h"
/* Version verification of the SchM_BswM_MemClasses module */
#if ((SCHM_BSWM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_BSWM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_BSWM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C0_HW_QM (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C1_APP_QM (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C2_APP_QM (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C3_APP_QM (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C4_APP_QM (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C5_APP_QM (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C0_HW_ASILD (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C1_APP_ASILD (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C2_APP_ASILD (void);

extern FUNC(void, BSWM_CODE) BswM_MainFunction_EcucPartition_C3_APP_ASILD (void);

/***************************************************************************
 *
 * SchM Mode APIs
 *
 **************************************************************************/
#define SchM_Mode_BswM_BSWM_MD_BswMPartitionSyncState() \
        ( \
            SchM_Mode_BswM_BSWM_MD_BswMPartitionSyncState_osa(GetCurrentApplicationID()) \
        )
#define SchM_Mode_BswM_BSWM_MD_BswMPartitionSyncState_osa(osa) \
        ( \
            ((osa) == OSA_C0_1_HW_QM) ? SchM_Mode_BswM_EcucPartition_C0_HW_QM_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C1_1_APP_QM) ? SchM_Mode_BswM_EcucPartition_C1_APP_QM_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C2_1_APP_QM) ? SchM_Mode_BswM_EcucPartition_C2_APP_QM_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C3_1_APP_QM) ? SchM_Mode_BswM_EcucPartition_C3_APP_QM_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C4_1_APP_QM) ? SchM_Mode_BswM_EcucPartition_C4_APP_QM_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C5_1_APP_QM) ? SchM_Mode_BswM_EcucPartition_C5_APP_QM_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C0_3_HW_ASILD) ? SchM_Mode_BswM_EcucPartition_C0_HW_ASILD_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C1_2_APP_ASILD) ? SchM_Mode_BswM_EcucPartition_C1_APP_ASILD_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C2_2_APP_ASILD) ? SchM_Mode_BswM_EcucPartition_C2_APP_ASILD_BSWM_MD_BswMPartitionSyncState() : \
            ((osa) == OSA_C3_2_APP_ASILD) ? SchM_Mode_BswM_EcucPartition_C3_APP_ASILD_BSWM_MD_BswMPartitionSyncState() : \
            /* DET: invalid source partition */ RTE_MODE_BswMPartitionSyncState_BSWM_UNKOWN \
        )

#define SchM_Switch_BswM_BSWM_MD_BswMPartitionSyncState(mode) \
        ( \
            SchM_Switch_BswM_BSWM_MD_BswMPartitionSyncState_osa(GetCurrentApplicationID(), mode) \
        )
#define SchM_Switch_BswM_BSWM_MD_BswMPartitionSyncState_osa(osa, mode) \
        ( \
            ((osa) == OSA_C0_1_HW_QM) ? SchM_Switch_BswM_EcucPartition_C0_HW_QM_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C1_1_APP_QM) ? SchM_Switch_BswM_EcucPartition_C1_APP_QM_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C2_1_APP_QM) ? SchM_Switch_BswM_EcucPartition_C2_APP_QM_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C3_1_APP_QM) ? SchM_Switch_BswM_EcucPartition_C3_APP_QM_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C4_1_APP_QM) ? SchM_Switch_BswM_EcucPartition_C4_APP_QM_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C5_1_APP_QM) ? SchM_Switch_BswM_EcucPartition_C5_APP_QM_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C0_3_HW_ASILD) ? SchM_Switch_BswM_EcucPartition_C0_HW_ASILD_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C1_2_APP_ASILD) ? SchM_Switch_BswM_EcucPartition_C1_APP_ASILD_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C2_2_APP_ASILD) ? SchM_Switch_BswM_EcucPartition_C2_APP_ASILD_BSWM_MD_BswMPartitionSyncState(mode) : \
            ((osa) == OSA_C3_2_APP_ASILD) ? SchM_Switch_BswM_EcucPartition_C3_APP_ASILD_BSWM_MD_BswMPartitionSyncState(mode) : \
            /* DET: invalid source partition */ SCHM_E_OK \
        )

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_BswM_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_BswM_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_BswM_CacheQueue()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_BswM_CacheQueue() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_BswM_RequestMutex()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_BswM_RequestMutex() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C0_HW_QM_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C0_HW_QM_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C1_APP_QM_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C1_APP_QM_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C2_APP_QM_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C2_APP_QM_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C3_APP_QM_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C3_APP_QM_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C4_APP_QM_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C4_APP_QM_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C5_APP_QM_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C5_APP_QM_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C0_HW_ASILD_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C0_HW_ASILD_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C1_APP_ASILD_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C1_APP_ASILD_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C2_APP_ASILD_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C2_APP_ASILD_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_BswM_EcucPartition_C3_APP_ASILD_BSWM_MD_BswMPartitionSyncState(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C5_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C0_HW_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C1_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C2_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteRequestsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_RteActionsBSWMCONFIG_C3_APP_ASILD) && \
        (!defined RTE_RUNNABLEAPI_BswM_Init) && \
        (!defined RTE_RUNNABLEAPI_BswM_Deinit) && \
        (!defined RTE_RUNNABLEAPI_BswM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_BswM_BswMPartitionRestarted) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_InitiateReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentPNCMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_ComM_CurrentMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_ApplicationUpdated) && \
        (!defined RTE_RUNNABLEAPI_BswM_Dcm_CommunicationMode_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_CurrentWakeup) && \
        (!defined RTE_RUNNABLEAPI_BswM_EcuM_RequestedState) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthIf_PortGroupLinkStateChg) && \
        (!defined RTE_RUNNABLEAPI_BswM_EthSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_FrSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939DcmBroadcastStatus) && \
        (!defined RTE_RUNNABLEAPI_BswM_J1939Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinSM_CurrentSchedule) && \
        (!defined RTE_RUNNABLEAPI_BswM_LinTp_RequestMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Nm_CarWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentBlockMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_NvM_CurrentJobMode) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ClientServiceCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_ConsumedEventGroupCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_Sd_EventHandlerCurrentState) && \
        (!defined RTE_RUNNABLEAPI_BswM_WdgM_RequestPartitionReset) && \
        (!defined RTE_RUNNABLEAPI_BswM_DfsServiceDataAccessFunc) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_BswM_EcucPartition_C3_APP_ASILD_BSWM_MD_BswMPartitionSyncState(VAR(uint8, AUTOMATIC) modeParameter);
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_BSWM_H */