/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_CanTp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CANTP_H
#define SCHM_CANTP_H

#define SCHM_CANTP_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CANTP_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_CanTp_Type.h"
/* Version verification of the SchM_CanTp_Type module */
#if ((SCHM_CANTP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANTP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANTP_TYPE module version is incompatible, there may be problems.
#endif
#include "CanTp.h"
#include "SchM_CanTp_MemClasses.h"
/* Version verification of the SchM_CanTp_MemClasses module */
#if ((SCHM_CANTP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANTP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANTP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CANTP_CODE) CanTp_MainFunction_EcucPartition_C0_HW_QM (void);

extern FUNC(void, CANTP_CODE) CanTp_MainFunction_EcucPartition_C3_APP_QM (void);

extern FUNC(void, CANTP_CODE) CanTp_MainFunction_EcucPartition_C2_APP_QM (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanTp_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanTp_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_CanTp_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanTp_CancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_CanTp_CancelReceive) && \
        (!defined RTE_RUNNABLEAPI_CanTp_ChangeParameter) && \
        (!defined RTE_RUNNABLEAPI_CanTp_ReadParameter) && \
        (!defined RTE_RUNNABLEAPI_CanTp_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_CanTp_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_CanTp_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanTp_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanTp_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CANTP_H */