/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Crypto_11_Hsm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CRYPTO_11_HSM_H
#define SCHM_CRYPTO_11_HSM_H

#define SCHM_CRYPTO_11_HSM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CRYPTO_11_HSM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Crypto_11_HsmType.h"
/* Version verification of the SchM_Crypto_11_HsmType module */
#if ((SCHM_CRYPTO_11_HSMTYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CRYPTO_11_HSMTYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CRYPTO_11_HSMTYPE module version is incompatible, there may be problems.
#endif
#include "SchM_Crypto_11_Hsm_MemClasses.h"
/* Version verification of the SchM_Crypto_11_Hsm_MemClasses module */
#if ((SCHM_CRYPTO_11_HSM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CRYPTO_11_HSM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CRYPTO_11_HSM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CRYPTO_11_Hsm_CODE) Crypto_11_Hsm_11_Hsm_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"

#define SchM_Enter_Crypto_11_Hsm_Bridge()  \
    ( \
        GetSpinlock(Spinlock_hsm_bridge) \
    )

#define SchM_Exit_Crypto_11_Hsm_Bridge() \
    ( \
        ReleaseSpinlock(Spinlock_hsm_bridge) \
    )

#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"

#define SchM_Enter_Crypto_11_Hsm_KeyRuntimeData()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Crypto_11_Hsm_KeyRuntimeData() \
    ( \
        ResumeOSInterrupts() \
    )

#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"

#define SchM_Enter_Crypto_11_Hsm_ObjectData()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Crypto_11_Hsm_ObjectData() \
    ( \
        ResumeOSInterrupts() \
    )

#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CRYPTO_11_HSM_H */