/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_DoIP.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_DOIP_H
#define SCHM_DOIP_H

#define SCHM_DOIP_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_DOIP_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_DoIP_Type.h"
/* Version verification of the SchM_DoIP_Type module */
#if ((SCHM_DOIP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DOIP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DOIP_TYPE module version is incompatible, there may be problems.
#endif
#include "DoIP.h"
#include "SchM_DoIP_MemClasses.h"
/* Version verification of the SchM_DoIP_MemClasses module */
#if ((SCHM_DOIP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DOIP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DOIP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, DOIP_CODE) DoIP_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_DoIP_TpTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_TpCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_TpCancelReceive) && \
        (!defined RTE_RUNNABLEAPI_DoIP_IfTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_IfCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_Init) && \
        (!defined RTE_RUNNABLEAPI_DoIP_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpCopyTxData) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpCopyRxData) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpStartOfReception) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdIfRxIndication) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdIfTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoConModeChg) && \
        (!defined RTE_RUNNABLEAPI_DoIP_LocalIpAddrAssignmentChg) && \
        (!defined RTE_RUNNABLEAPI_DoIP_ActivationLineSwitchActive) && \
        (!defined RTE_RUNNABLEAPI_DoIP_ActivationLineSwitchInactive) && \
        (!defined RTE_RUNNABLEAPI_DoIP_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_DoIP_TcpTxMsgQueue_LockNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_DoIP_TcpTxMsgQueue_LockNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_DoIP_TpTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_TpCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_TpCancelReceive) && \
        (!defined RTE_RUNNABLEAPI_DoIP_IfTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_IfCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_DoIP_Init) && \
        (!defined RTE_RUNNABLEAPI_DoIP_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpCopyTxData) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpCopyRxData) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpStartOfReception) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdTpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdIfRxIndication) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoAdIfTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_DoIP_SoConModeChg) && \
        (!defined RTE_RUNNABLEAPI_DoIP_LocalIpAddrAssignmentChg) && \
        (!defined RTE_RUNNABLEAPI_DoIP_ActivationLineSwitchActive) && \
        (!defined RTE_RUNNABLEAPI_DoIP_ActivationLineSwitchInactive) && \
        (!defined RTE_RUNNABLEAPI_DoIP_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_DoIP_MsgBuffer_LockNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_DoIP_MsgBuffer_LockNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_DOIP_H */