/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_EcuM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_ECUM_H
#define SCHM_ECUM_H

#define SCHM_ECUM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_ECUM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_EcuM_Type.h"
/* Version verification of the SchM_EcuM_Type module */
#if ((SCHM_ECUM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_ECUM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_ECUM_TYPE module version is incompatible, there may be problems.
#endif
#include "EcuM.h"
#include "SchM_EcuM_MemClasses.h"
/* Version verification of the SchM_EcuM_MemClasses module */
#if ((SCHM_ECUM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_ECUM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_ECUM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, ECUM_CODE) EcuM_MainFunction_Core0 (void);

extern FUNC(void, ECUM_CODE) EcuM_MainFunction_Core1 (void);

extern FUNC(void, ECUM_CODE) EcuM_MainFunction_Core2 (void);

extern FUNC(void, ECUM_CODE) EcuM_MainFunction_Core3 (void);

extern FUNC(void, ECUM_CODE) EcuM_MainFunction_Core4 (void);

extern FUNC(void, ECUM_CODE) EcuM_MainFunction_Core5 (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_EcuM_MainFunctionShutdownCheck) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GoDownHaltPoll) && \
        (!defined RTE_RUNNABLEAPI_EcuM_Init) && \
        (!defined RTE_RUNNABLEAPI_EcuM_StartupTwo) && \
        (!defined RTE_RUNNABLEAPI_EcuM_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_EcuM_CurrentState) && \
        (!defined RTE_RUNNABLEAPI_EcuM_SetState) && \
        (!defined RTE_RUNNABLEAPI_EcuM_RequestRUN) && \
        (!defined RTE_RUNNABLEAPI_EcuM_ReleaseRUN) && \
        (!defined RTE_RUNNABLEAPI_EcuM_RequestPOST_RUN) && \
        (!defined RTE_RUNNABLEAPI_EcuM_ReleasePOST_RUN) && \
        (!defined RTE_RUNNABLEAPI_EcuM_SelectShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetLastShutdownTarget) && \
        (!defined RTE_RUNNABLEAPI_EcuM_SelectShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetShutdownCause) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetPendingWakeupEvents) && \
        (!defined RTE_RUNNABLEAPI_EcuM_ClearWakeupEvent) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetValidatedWakeupEvents) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetExpiredWakeupEvents) && \
        (!defined RTE_RUNNABLEAPI_EcuM_SelectBootTarget) && \
        (!defined RTE_RUNNABLEAPI_EcuM_GetBootTarget) && \
        (!defined RTE_RUNNABLEAPI_EcuM_DfsServiceDataAccessFunc) \
)
extern FUNC(void, RTE_CODE) SchM_Enter_EcuM_ExclusiveArea(void);
extern FUNC(void, RTE_CODE) SchM_Exit_EcuM_ExclusiveArea(void);
#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_ECUM_H */