/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_EthIf.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_ETHIF_H
#define SCHM_ETHIF_H

#define SCHM_ETHIF_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_ETHIF_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_EthIf_Type.h"
/* Version verification of the SchM_EthIf_Type module */
#if ((SCHM_ETHIF_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_ETHIF_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_ETHIF_TYPE module version is incompatible, there may be problems.
#endif
#include "EthIf.h"
#include "SchM_EthIf_MemClasses.h"
/* Version verification of the SchM_EthIf_MemClasses module */
#if ((SCHM_ETHIF_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_ETHIF_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_ETHIF_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, ETHIF_CODE) EthIf_MainFunctionState (void);

extern FUNC(void, ETHIF_CODE) EthIf_MainFunctionRx (void);

extern FUNC(void, ETHIF_CODE) EthIf_MainFunctionTx (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_EthIf_Init) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetTransceiverWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetTransceiverWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetPhysAddr) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetPhysAddr) && \
        (!defined RTE_RUNNABLEAPI_EthIf_UpdatePhysAddrFilter) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetPortMacAddr) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetArlTable) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetCtrlIdxList) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetVlanId) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetAndResetMeasurementData) && \
        (!defined RTE_RUNNABLEAPI_EthIf_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_EthIf_ResetConfiguration) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetCurrentTime) && \
        (!defined RTE_RUNNABLEAPI_EthIf_EnableEgressTimeStamp) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetEgressTimeStamp) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetIngressTimeStamp) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SwitchPortGroupRequestMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_StartAllPorts) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetSwitchMgmtInfo) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetTxMgmtObject) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetRxMgmtObject) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SwitchEnableTimeStamping) && \
        (!defined RTE_RUNNABLEAPI_EthIf_VerifyConfig) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetForwardingMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetTrcvSignalQuality) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetSwitchPortSignalQuality) && \
        (!defined RTE_RUNNABLEAPI_EthIf_ClearTrcvSignalQuality) && \
        (!defined RTE_RUNNABLEAPI_EthIf_ClearSwitchPortSignalQuality) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetPhyTestMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetPhyLoopbackMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetPhyTxMode) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetCableDiagnosticsResult) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetPhyIdentifier) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetBufWRxParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetBufWTxParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetBufWTxParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetRadioParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetChanRxParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SetChanTxParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetChanRxParams) && \
        (!defined RTE_RUNNABLEAPI_EthIf_ProvideTxBuffer) && \
        (!defined RTE_RUNNABLEAPI_EthIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_EthIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_EthIf_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_EthIf_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_EthIf_CtrlModeIndication) && \
        (!defined RTE_RUNNABLEAPI_EthIf_TrcvModeIndication) && \
        (!defined RTE_RUNNABLEAPI_EthIf_SwitchPortModeIndication) && \
        (!defined RTE_RUNNABLEAPI_EthIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_EthIf_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_EthIf_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_ETHIF_H */