/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Rte.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_RTE_H
#define SCHM_RTE_H

#define SCHM_RTE_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_RTE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Rte_Type.h"
/* Version verification of the SchM_Rte_Type module */
#if ((SCHM_RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_RTE_TYPE module version is incompatible, there may be problems.
#endif
#include "SchM_Rte_MemClasses.h"
/* Version verification of the SchM_Rte_MemClasses module */
#if ((SCHM_RTE_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_RTE_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_RTE_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, RTE_CODE) Rte_EcucPartition_C1_APP_QM_RteLdComSendProxy_0 (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"

#define SchM_Enter_Rte_ExclusiveArea()  \
    ( \
        SuspendAllInterrupts() \
    )

#define SchM_Exit_Rte_ExclusiveArea() \
    ( \
        ResumeAllInterrupts() \
    )

#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_RTE_H */