/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Sd.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_SD_H
#define SCHM_SD_H

#define SCHM_SD_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_SD_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Sd_Type.h"
/* Version verification of the SchM_Sd_Type module */
#if ((SCHM_SD_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_SD_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_SD_TYPE module version is incompatible, there may be problems.
#endif
#include "Sd.h"
#include "SchM_Sd_MemClasses.h"
/* Version verification of the SchM_Sd_MemClasses module */
#if ((SCHM_SD_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_SD_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_SD_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, SD_CODE) Sd_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Sd_Init) && \
        (!defined RTE_RUNNABLEAPI_Sd_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Sd_ServerServiceSetState) && \
        (!defined RTE_RUNNABLEAPI_Sd_ClientServiceSetState) && \
        (!defined RTE_RUNNABLEAPI_Sd_ConsumedEventGroupSetState) && \
        (!defined RTE_RUNNABLEAPI_Sd_LocalIpAddrAssignmentChg) && \
        (!defined RTE_RUNNABLEAPI_Sd_SoConModeChg) && \
        (!defined RTE_RUNNABLEAPI_Sd_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Sd_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Sd_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_SD_H */