/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_SecOC.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_SECOC_H
#define SCHM_SECOC_H

#define SCHM_SECOC_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_SECOC_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_SecOC_Type.h"
/* Version verification of the SchM_SecOC_Type module */
#if ((SCHM_SECOC_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_SECOC_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_SECOC_TYPE module version is incompatible, there may be problems.
#endif
#include "SecOC.h"
#include "SchM_SecOC_MemClasses.h"
/* Version verification of the SchM_SecOC_MemClasses module */
#if ((SCHM_SECOC_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_SECOC_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_SECOC_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, SECOC_CODE) SecOC_MainFunctionTx_EcucPartition_C0_HW_QM (void);

extern FUNC(void, SECOC_CODE) SecOC_MainFunctionRx_EcucPartition_C0_HW_QM (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_SecOC_Init) && \
        (!defined RTE_RUNNABLEAPI_SecOC_DeInit) && \
        (!defined RTE_RUNNABLEAPI_SecOC_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_SecOC_IfTransmit) && \
        (!defined RTE_RUNNABLEAPI_SecOC_TpTransmit) && \
        (!defined RTE_RUNNABLEAPI_SecOC_CancelReceive) && \
        (!defined RTE_RUNNABLEAPI_SecOC_IfCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_SecOC_TpCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_SecOC_VerifyStatusOverride) && \
        (!defined RTE_RUNNABLEAPI_SecOC_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_SecOC_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_SecOC_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_SecOC_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_SecOC_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_SecOC_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_SecOC_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_SecOC_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_SecOC_Init) && \
        (!defined RTE_RUNNABLEAPI_SecOC_SendDefaultAuthenticationInformation) && \
        (!defined RTE_RUNNABLEAPI_SecOC_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_SecOC_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_SecOC_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_SECOC_H */