/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_SoAd.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_SOAD_H
#define SCHM_SOAD_H

#define SCHM_SOAD_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_SOAD_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_SoAd_Type.h"
/* Version verification of the SchM_SoAd_Type module */
#if ((SCHM_SOAD_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_SOAD_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_SOAD_TYPE module version is incompatible, there may be problems.
#endif
#include "SoAd.h"
#include "SchM_SoAd_MemClasses.h"
/* Version verification of the SchM_SoAd_MemClasses module */
#if ((SCHM_SOAD_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_SOAD_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_SOAD_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, SOAD_CODE) SoAd_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_SoAd_Init) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_SoAd_IfTransmit) && \
        (!defined RTE_RUNNABLEAPI_SoAd_IfRoutingGroupTransmit) && \
        (!defined RTE_RUNNABLEAPI_SoAd_IfSpecificRoutingGroupTransmit) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TpTransmit) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TpCancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TpCancelReceive) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetSoConId) && \
        (!defined RTE_RUNNABLEAPI_SoAd_OpenSoCon) && \
        (!defined RTE_RUNNABLEAPI_SoAd_CloseSoCon) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetSoConMode) && \
        (!defined RTE_RUNNABLEAPI_SoAd_RequestIpAddrAssignment) && \
        (!defined RTE_RUNNABLEAPI_SoAd_ReleaseIpAddrAssignment) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetLocalAddr) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetPhysAddr) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetRemoteAddr) && \
        (!defined RTE_RUNNABLEAPI_SoAd_EnableRouting) && \
        (!defined RTE_RUNNABLEAPI_SoAd_EnableSpecificRouting) && \
        (!defined RTE_RUNNABLEAPI_SoAd_DisableRouting) && \
        (!defined RTE_RUNNABLEAPI_SoAd_DisableSpecificRouting) && \
        (!defined RTE_RUNNABLEAPI_SoAd_SetRemoteAddr) && \
        (!defined RTE_RUNNABLEAPI_SoAd_SetUniqueRemoteAddr) && \
        (!defined RTE_RUNNABLEAPI_SoAd_ReleaseRemoteAddr) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TpChangeParameter) && \
        (!defined RTE_RUNNABLEAPI_SoAd_ReadDhcpHostNameOption) && \
        (!defined RTE_RUNNABLEAPI_SoAd_WriteDhcpHostNameOption) && \
        (!defined RTE_RUNNABLEAPI_SoAd_GetAndResetMeasurementData) && \
        (!defined RTE_RUNNABLEAPI_SoAd_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_SoAd_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TcpAccepted) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TcpConnected) && \
        (!defined RTE_RUNNABLEAPI_SoAd_TcpIpEvent) && \
        (!defined RTE_RUNNABLEAPI_SoAd_LocalIpAddrAssignmentChg) && \
        (!defined RTE_RUNNABLEAPI_SoAd_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_SoAd_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_SoAd_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_SOAD_H */