/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_StbM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_STBM_H
#define SCHM_STBM_H

#define SCHM_STBM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_STBM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_StbM_Type.h"
/* Version verification of the SchM_StbM_Type module */
#if ((SCHM_STBM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_STBM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_STBM_TYPE module version is incompatible, there may be problems.
#endif
#include "StbM.h"
#include "SchM_StbM_MemClasses.h"
/* Version verification of the SchM_StbM_MemClasses module */
#if ((SCHM_STBM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_STBM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_STBM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, STBM_CODE) StbM_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_StbM_GetMasterConfig) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetGlobalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetRateCorrection) && \
        (!defined RTE_RUNNABLEAPI_StbM_TriggerTimeTransmission) && \
        (!defined RTE_RUNNABLEAPI_StbM_UpdateGlobalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetCurrentTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetCurrentTimeExtended) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetRateDeviation) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetSyncTimeRecordHead) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimeBaseStatus) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimeLeap) && \
        (!defined RTE_RUNNABLEAPI_StbM_StartTimer) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_StbM_Init) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetCurrentVirtualLocalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_BusGetCurrentTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_BusSetGlobalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimeBaseUpdateCounter) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetSysDiffTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetTimezone) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimezone) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetUTCTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetLocalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_StbM_ExclusiveArea()  \
    ( \
        GetSpinlock(OsSpinlock_StbM_ExclusiveArea) \
    )

#define SchM_Exit_StbM_ExclusiveArea() \
    ( \
        ReleaseSpinlock(OsSpinlock_StbM_ExclusiveArea) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_StbM_GetMasterConfig) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetGlobalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetRateCorrection) && \
        (!defined RTE_RUNNABLEAPI_StbM_TriggerTimeTransmission) && \
        (!defined RTE_RUNNABLEAPI_StbM_UpdateGlobalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetCurrentTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetCurrentTimeExtended) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetRateDeviation) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetSyncTimeRecordHead) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimeBaseStatus) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimeLeap) && \
        (!defined RTE_RUNNABLEAPI_StbM_StartTimer) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_StbM_Init) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetCurrentVirtualLocalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_BusGetCurrentTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_BusSetGlobalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimeBaseUpdateCounter) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetSysDiffTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_SetTimezone) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetTimezone) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetUTCTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_GetLocalTime) && \
        (!defined RTE_RUNNABLEAPI_StbM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_StbM_TimeProtectExclusiveArea()  \
    ( \
        GetSpinlock(OsSpinlock_StbM_TimeProtectExclusiveArea) \
    )

#define SchM_Exit_StbM_TimeProtectExclusiveArea() \
    ( \
        ReleaseSpinlock(OsSpinlock_StbM_TimeProtectExclusiveArea) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_STBM_H */