/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_TcpIp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_TCPIP_H
#define SCHM_TCPIP_H

#define SCHM_TCPIP_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_TCPIP_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_TcpIp_Type.h"
/* Version verification of the SchM_TcpIp_Type module */
#if ((SCHM_TCPIP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_TCPIP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_TCPIP_TYPE module version is incompatible, there may be problems.
#endif
#include "TcpIp.h"
#include "SchM_TcpIp_MemClasses.h"
/* Version verification of the SchM_TcpIp_MemClasses module */
#if ((SCHM_TCPIP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_TCPIP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_TCPIP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, TCPIP_CODE) TcpIp_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_TcpIp_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_Init) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_Close) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_Bind) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpConnect) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpListen) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpReceived) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_RequestIpAddrAssignment) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_ReleaseIpAddrAssignment) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_ResetIpAssignment) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_IcmpTransmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_IcmpV6Transmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpReadOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpV6ReadOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpWriteOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpV6WriteOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_ChangeParameter) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetIpAddr) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetPhysAddr) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetRemotePhysAddr) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetCtrlIdx) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetArpCacheEntries) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetNdpCacheEntries) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetAndResetMeasurementData) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_UdpTransmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpTransmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_RxIndication) \
)
#define SchM_Enter_TcpIp_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_TcpIp_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_TcpIp_TlsMainFunction) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TlsMainBackgroundFunction) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_Init) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_Close) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_Bind) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpConnect) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpListen) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpReceived) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_RequestIpAddrAssignment) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_ReleaseIpAddrAssignment) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_ResetIpAssignment) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_IcmpTransmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_IcmpV6Transmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpReadOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpV6ReadOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpWriteOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_DhcpV6WriteOption) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_ChangeParameter) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetIpAddr) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetPhysAddr) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetRemotePhysAddr) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetCtrlIdx) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetArpCacheEntries) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetNdpCacheEntries) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_GetAndResetMeasurementData) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_UdpTransmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_TcpTransmit) && \
        (!defined RTE_RUNNABLEAPI_TcpIp_RxIndication) \
)
#define SchM_Enter_TcpIp_ExclusiveArea_Transmit()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_TcpIp_ExclusiveArea_Transmit() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_TCPIP_H */