/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_WdgM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_WDGM_H
#define SCHM_WDGM_H

#define SCHM_WDGM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_WDGM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_WdgM_Type.h"
/* Version verification of the SchM_WdgM_Type module */
#if ((SCHM_WDGM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_WDGM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_WDGM_TYPE module version is incompatible, there may be problems.
#endif
#include "WdgM.h"
#include "SchM_WdgM_MemClasses.h"
/* Version verification of the SchM_WdgM_MemClasses module */
#if ((SCHM_WDGM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_WDGM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_WDGM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, WDGM_CODE) WdgM_MainFunction_Core0 (void);

extern FUNC(void, WDGM_CODE) WdgM_MainFunction_Core1 (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_WdgM_SetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_CheckpointReached) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetLocalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetGlobalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_PerformReset) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetFirstExpiredSEID) && \
        (!defined RTE_RUNNABLEAPI_WdgM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_WdgM_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_WdgM_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_WDGM_H */