/**********************************************************************************************************************
 * @File: VOSLib_Cfg_MemMap.h
 * @Description: cfg memmap for VOSLib
 * @Version: 0.1
 * @Author: VOS
 * @Create: 2019-02-20
 *
 * @Copyright: Copyright (c) Huawei Technologies Co., Ltd. 2019-2020. All rights reserved.
 *
 **********************************************************************************************************************/
#define BSW_MEMMAP_ERROR

#ifdef __TASKING__
#ifndef BSW_TASKING_C_
    #define BSW_TASKING_C_
#endif
#elif defined __clang__
#ifndef BSW_CLANG_C_
    #define BSW_CLANG_C_
#endif
#elif defined __ghs__
#ifndef BSW_GHS_C_
    #define BSW_GHS_C_
#endif
#elif defined __GNUC__
#ifndef BSW_GNU_C_
    #define BSW_GNU_C_
#endif
#endif

/******************************************************************************
                  BSW  memory mapping dfs section
 ******************************************************************************/
#ifdef BSW_START_SEC_DFS_CODE
#undef BSW_START_SEC_DFS_CODE
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_dfs_api_text" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_dfs_api_text"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_dfs_api_text" ax
#elif defined BSW_GHS_C_
    #pragma ghs section text="voslib_unkwnstk_dfs_api_text"
#elif defined BSW_CLANG_C_
    #pragma clang section text="voslib_unkwnstk_dfs_api_text"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CODE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DFS_CODE
#undef BSW_STOP_SEC_DFS_CODE
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CODE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section text=""
#endif
#else
#error No section "voslib_unkwnstk_dfs_api_text" started
#endif
#endif

#ifdef BSW_START_SEC_DFS_BSS_UNSPECIFIED
#undef BSW_START_SEC_DFS_BSS_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_dfs_api_bss" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_dfs_api_bss"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_dfs_api_bss" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_dfs_api_bss"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_dfs_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DFS_BSS_UNSPECIFIED
#undef BSW_STOP_SEC_DFS_BSS_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_dfs_api_bss" started
#endif
#endif

#ifdef BSW_START_SEC_DFS_INIT_UNSPECIFIED
#undef BSW_START_SEC_DFS_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_dfs_api_data" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_dfs_api_data"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_dfs_api_data" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_dfs_api_data"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_dfs_api_data" bss="voslib_unkwnstk_dfs_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DFS_INIT_UNSPECIFIED
#undef BSW_STOP_SEC_DFS_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_dfs_api_data" started
#endif
#endif


#ifdef BSW_START_SEC_DFS_CONST_UNSPECIFIED
#undef BSW_START_SEC_DFS_CONST_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_dfs_api_const" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_dfs_api_const"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_dfs_api_const" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_dfs_api_const"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_dfs_api_const"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DFS_CONST_UNSPECIFIED
#undef BSW_STOP_SEC_DFS_CONST_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_dfs_api_const" started
#endif
#endif

#ifdef BSW_START_SEC_DFS_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#undef BSW_START_SEC_DFS_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_dfs_api_postbuildbuf" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_dfs_api_postbuildbuf"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_dfs_api_postbuildbuf" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_dfs_api_postbuildbuf"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_dfs_api_postbuildbufdata" bss="voslib_unkwnstk_dfs_api_postbuildbufbss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_BUF_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DFS_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#undef BSW_STOP_SEC_DFS_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_BUF_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data=""
#endif
#else
#error No section "voslib_unkwnstk_dfs_api_postbuildbuf" started
#endif
#endif
/******************************************************************************
                  BSW  memory mapping share section
 ******************************************************************************/
#ifdef BSW_START_SEC_SHARE_CODE
#undef BSW_START_SEC_SHARE_CODE
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_text" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_text"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_text" ax
#elif defined BSW_GHS_C_
    #pragma ghs section text="voslib_unkwnstk_api_text"
#elif defined BSW_CLANG_C_
    #pragma clang section text="voslib_unkwnstk_api_text"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CODE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_CODE
#undef BSW_STOP_SEC_SHARE_CODE
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CODE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section text=""
#endif
#else
#error No section "voslib_unkwnstk_api_text" started
#endif
#endif

#ifdef BSW_START_SEC_SHARE_BSS
#undef BSW_START_SEC_SHARE_BSS
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_BSS
#undef BSW_STOP_SEC_SHARE_BSS
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss" started
#endif
#endif

#ifdef BSW_START_SEC_SHARE_INIT
#undef BSW_START_SEC_SHARE_INIT
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data" bss="voslib_unkwnstk_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_INIT
#undef BSW_STOP_SEC_SHARE_INIT
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data" started
#endif
#endif


#ifdef BSW_START_SEC_SHARE_CONST
#undef BSW_START_SEC_SHARE_CONST
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_CONST
#undef BSW_STOP_SEC_SHARE_CONST
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const" started
#endif
#endif

#ifdef BSW_START_SEC_SHARE_SAVEZONE
#undef BSW_START_SEC_SHARE_SAVEZONE
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone" bss="voslib_unkwnstk_api_savezone"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_SAVEZONE
#undef BSW_STOP_SEC_SHARE_SAVEZONE
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone" started
#endif
#endif

/******************************************************************************
                  BSW  memory mapping share postbuild section
 ******************************************************************************/
#ifdef BSW_START_SEC_SHARE_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#undef BSW_START_SEC_SHARE_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildbuf" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildbuf"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildbuf" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_postbuildbuf"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_postbuildbufdata" bss="voslib_unkwnstk_api_postbuildbufbss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_BUF_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#undef BSW_STOP_SEC_SHARE_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_BUF_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildbuf" started
#endif
#endif

#ifdef BSW_START_SEC_SHARE_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#undef BSW_START_SEC_SHARE_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SHARE_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#undef BSW_STOP_SEC_SHARE_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_postbuildconfig" started
#endif
#endif
/******************************************************************************
                  BSW  memory mapping code section
 ******************************************************************************/
#ifdef BSW_START_SEC_CODE
#undef BSW_START_SEC_CODE
    #define BSW_START_SEC_DEFAULT_CODE
#endif

#ifdef BSW_STOP_SEC_CODE
#undef BSW_STOP_SEC_CODE
    #define BSW_STOP_SEC_DEFAULT_CODE
#endif

#ifdef BSW_START_SEC_DEFAULT_CODE
#undef BSW_START_SEC_DEFAULT_CODE
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_text" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_text"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_text" ax
#elif defined BSW_GHS_C_
    #pragma ghs section text="voslib_unkwnstk_api_text"
#elif defined BSW_CLANG_C_
    #pragma clang section text="voslib_unkwnstk_api_text"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CODE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CODE
#undef BSW_STOP_SEC_DEFAULT_CODE
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CODE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section text=""
#endif
#else
#error No section "voslib_unkwnstk_api_text" started
#endif
#endif

/******************************************************************************
              BSW  memory mapping not initialized data section
 ******************************************************************************/
#ifdef BSW_START_SEC_VAR_CLEARED_UNSPECIFIED
#undef BSW_START_SEC_VAR_CLEARED_UNSPECIFIED
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_UNSPECIFIED
#undef BSW_STOP_SEC_VAR_CLEARED_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_8
#undef BSW_START_SEC_VAR_CLEARED_8
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_8
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_8
#undef BSW_STOP_SEC_VAR_CLEARED_8
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_8
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_16
#undef BSW_START_SEC_VAR_CLEARED_16
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_16
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_16
#undef BSW_STOP_SEC_VAR_CLEARED_16
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_16
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_32
#undef BSW_START_SEC_VAR_CLEARED_32
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_32
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_32
#undef BSW_STOP_SEC_VAR_CLEARED_32
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_32
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_BOOLEAN
#undef BSW_START_SEC_VAR_CLEARED_BOOLEAN
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_BOOLEAN
#undef BSW_STOP_SEC_VAR_CLEARED_BOOLEAN
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#endif

#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss_bool"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss_bool" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss_bool"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss_bool"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_8
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss_8"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss_8" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss_8"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss_8"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_8
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_16
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss_16"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss_16" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss_16"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss_16"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_16
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss_16" started
#endif
#endif

/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_32
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss_32"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss_32" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss_32"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss_32"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_32
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss_32" started
#endif
#endif

/* PTR */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_PTR
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss_ptr"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss_ptr" awB
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_bss_ptr"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_bss_ptr"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_PTR
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss_32" started
#endif
#endif

/******************************************************************************
              BSW  memory mapping initialized data section
 ******************************************************************************/
#ifdef BSW_START_SEC_VAR_INIT_UNSPECIFIED
#undef BSW_START_SEC_VAR_INIT_UNSPECIFIED
    #define BSW_START_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#endif

#ifdef BSW_STOP_SEC_VAR_INIT_UNSPECIFIED
#undef BSW_STOP_SEC_VAR_INIT_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#endif

#ifdef BSW_START_SEC_VAR_INIT_8
#undef BSW_START_SEC_VAR_INIT_8
    #define BSW_START_SEC_DEFAULT_RAM0_INIT_8
#endif

#ifdef BSW_STOP_SEC_VAR_INIT_8
#undef BSW_STOP_SEC_VAR_INIT_8
    #define BSW_STOP_SEC_DEFAULT_RAM0_INIT_8
#endif


#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data" bss="voslib_unkwnstk_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data_bool"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data_bool" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data_bool"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data_bool" bss="voslib_unkwnstk_api_bss_bool"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_8
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data_8"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data_8" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data_8"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data_8" bss="voslib_unkwnstk_api_bss_8"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_8
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_16
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data_16"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data_16" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data_16"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data_16" bss="voslib_unkwnstk_api_bss_16"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_16
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data_16" started
#endif
#endif


/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_32
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data_32"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data_32" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data_32"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data_32" bss="voslib_unkwnstk_api_bss_32"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_32
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data_32" started
#endif
#endif

/* ptr */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_PTR
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_data_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_data_ptr"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_data_ptr" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_data_ptr"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_data_ptr" bss="voslib_unkwnstk_api_bss_ptr"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_PTR
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_data_ptr" started
#endif
#endif


/******************************************************************************
              BSW  memory mapping const data section
 ******************************************************************************/
#ifdef BSW_START_SEC_CONST_UNSPECIFIED
#undef BSW_START_SEC_CONST_UNSPECIFIED
#define BSW_START_SEC_DEFAULT_CONST_UNSPECIFIED
#endif

#ifdef BSW_STOP_SEC_CONST_UNSPECIFIED
#undef BSW_STOP_SEC_CONST_UNSPECIFIED
#define BSW_STOP_SEC_DEFAULT_CONST_UNSPECIFIED
#endif

/* boolean */
#ifdef BSW_START_SEC_CONST_BOOLEAN
#undef BSW_START_SEC_CONST_BOOLEAN
#define BSW_START_SEC_DEFAULT_CONST_BOOLEAN
#endif

#ifdef BSW_STOP_SEC_CONST_BOOLEAN
#undef BSW_STOP_SEC_CONST_BOOLEAN
#define BSW_STOP_SEC_DEFAULT_CONST_BOOLEAN
#endif

/* 8bit */
#ifdef BSW_START_SEC_CONST_8
#undef BSW_START_SEC_CONST_8
#define BSW_START_SEC_DEFAULT_CONST_8
#endif

#ifdef BSW_STOP_SEC_CONST_8
#undef BSW_STOP_SEC_CONST_8
#define BSW_STOP_SEC_DEFAULT_CONST_8
#endif

/* 16bit */
#ifdef BSW_START_SEC_CONST_16
#undef BSW_START_SEC_CONST_16
#define BSW_START_SEC_DEFAULT_CONST_16
#endif

#ifdef BSW_STOP_SEC_CONST_16
#undef BSW_STOP_SEC_CONST_16
#define BSW_STOP_SEC_DEFAULT_CONST_16
#endif

/* 32bit */
#ifdef BSW_START_SEC_CONST_32
#undef BSW_START_SEC_CONST_32
#define BSW_START_SEC_DEFAULT_CONST_32
#endif

#ifdef BSW_STOP_SEC_CONST_32
#undef BSW_STOP_SEC_CONST_32
#define BSW_STOP_SEC_DEFAULT_CONST_8
#endif

/* ptr */
#ifdef BSW_START_SEC_CONST_PTR
#undef BSW_START_SEC_CONST_PTR
#define BSW_START_SEC_DEFAULT_CONST_PTR
#endif

#ifdef BSW_STOP_SEC_CONST_PTR
#undef BSW_STOP_SEC_CONST_PTR
#define BSW_STOP_SEC_DEFAULT_CONST_PTR
#endif

#ifdef BSW_START_SEC_DEFAULT_CONST_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_CONST_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_CONST_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_CONST_BOOLEAN
#undef BSW_START_SEC_DEFAULT_CONST_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_bool"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_bool" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_bool"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_bool"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_CONST_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_CONST_8
#undef BSW_START_SEC_DEFAULT_CONST_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_8"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_8" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_8"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_8"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_8
#undef BSW_STOP_SEC_DEFAULT_CONST_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_CONST_16
#undef BSW_START_SEC_DEFAULT_CONST_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_16"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_16" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_16"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_16"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_16
#undef BSW_STOP_SEC_DEFAULT_CONST_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_16" started
#endif
#endif

/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_CONST_32
#undef BSW_START_SEC_DEFAULT_CONST_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_32"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_32" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_32"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_32"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_32
#undef BSW_STOP_SEC_DEFAULT_CONST_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_32" started
#endif
#endif

/* 64bit */
#ifdef BSW_START_SEC_DEFAULT_CONST_64
#undef BSW_START_SEC_DEFAULT_CONST_64
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_64" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_64"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_64" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_64"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_64"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_64
#undef BSW_STOP_SEC_DEFAULT_CONST_64
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_64" started
#endif
#endif

/* ptr */
#ifdef BSW_START_SEC_DEFAULT_CONST_PTR
#undef BSW_START_SEC_DEFAULT_CONST_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_ptr"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_ptr" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_ptr"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_ptr"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONST_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONST_PTR
#undef BSW_STOP_SEC_DEFAULT_CONST_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONST_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_ptr" started
#endif
#endif

/******************************************************************************
              BSW  memory mapping saved zone section
 ******************************************************************************/
#ifdef BSW_START_SEC_VAR_SAVED_ZONE_UNSPECIFIED
#undef BSW_START_SEC_VAR_SAVED_ZONE_UNSPECIFIED
    #define BSW_START_SEC_SAVED_ZONE_UNSPECIFIED
#endif

#ifdef BSW_STOP_SEC_VAR_SAVED_ZONE_UNSPECIFIED
#undef BSW_STOP_SEC_VAR_SAVED_ZONE_UNSPECIFIED
    #define BSW_STOP_SEC_SAVED_ZONE_UNSPECIFIED
#endif

#ifdef BSW_START_SEC_SAVED_ZONE_UNSPECIFIED
#undef BSW_START_SEC_SAVED_ZONE_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone" bss="voslib_unkwnstk_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_SAVED_ZONE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SAVED_ZONE_UNSPECIFIED
#undef BSW_STOP_SEC_SAVED_ZONE_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_SAVED_ZONE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_SAVED_ZONE_BOOLEAN
#undef BSW_START_SEC_SAVED_ZONE_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone_bool"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone_bool" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone_bool"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone_bool" bss="voslib_unkwnstk_api_bss_bool"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_SAVED_ZONE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SAVED_ZONE_BOOLEAN
#undef BSW_STOP_SEC_SAVED_ZONE_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_SAVED_ZONE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_SAVED_ZONE_8
#undef BSW_START_SEC_SAVED_ZONE_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone_8"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone_8" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone_8"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone_8" bss="voslib_unkwnstk_api_bss_8"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_SAVED_ZONE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SAVED_ZONE_8
#undef BSW_STOP_SEC_SAVED_ZONE_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_SAVED_ZONE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_SAVED_ZONE_16
#undef BSW_START_SEC_SAVED_ZONE_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone_16"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone_16" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone_16"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone_16" bss="voslib_unkwnstk_api_bss_16"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_SAVED_ZONE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SAVED_ZONE_16
#undef BSW_STOP_SEC_SAVED_ZONE_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_SAVED_ZONE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone_16" started
#endif
#endif

/* 32bit */
#ifdef BSW_START_SEC_SAVED_ZONE_32
#undef BSW_START_SEC_SAVED_ZONE_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone_32"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone_32" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone_32"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone_32" bss="voslib_unkwnstk_api_bss_32"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_SAVED_ZONE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SAVED_ZONE_32
#undef BSW_STOP_SEC_SAVED_ZONE_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_SAVED_ZONE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone_bool" started
#endif
#endif

/* ptr */
#ifdef BSW_START_SEC_SAVED_ZONE_PTR
#undef BSW_START_SEC_SAVED_ZONE_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_savezone_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_savezone_ptr"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_savezone_ptr" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_savezone_ptr"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_savezone_ptr" bss="voslib_unkwnstk_api_bss_ptr"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_SAVED_ZONE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_SAVED_ZONE_PTR
#undef BSW_STOP_SEC_SAVED_ZONE_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_SAVED_ZONE_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_savezone_ptr" started
#endif
#endif

/******************************************************************************
              BSW  memory mapping config data section
 ******************************************************************************/
#ifdef BSW_START_SEC_DEFAULT_CONFIG_DATA_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_CONFIG_DATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_CONFIG_DATA_BOOLEAN
#undef BSW_START_SEC_DEFAULT_CONFIG_DATA_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_bool"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_bool" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_bool"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_bool"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_CONFIG_DATA_8
#undef BSW_START_SEC_DEFAULT_CONFIG_DATA_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_8"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_8" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_8"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_8"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_8
#undef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_CONFIG_DATA_16
#undef BSW_START_SEC_DEFAULT_CONFIG_DATA_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_16"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_16" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_16"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_16"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_16
#undef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_16" started
#endif
#endif

/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_CONFIG_DATA_32
#undef BSW_START_SEC_DEFAULT_CONFIG_DATA_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_32"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_32" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_32"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_32"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_32
#undef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_32" started
#endif
#endif

/* ptr */
#ifdef BSW_START_SEC_DEFAULT_CONFIG_DATA_PTR
#undef BSW_START_SEC_DEFAULT_CONFIG_DATA_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_const_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_const_ptr"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_const_ptr" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_const_ptr"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_const_ptr"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_PTR
#undef BSW_STOP_SEC_DEFAULT_CONFIG_DATA_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_const_ptr" started
#endif
#endif
/******************************************************************************
    BSW  memory mapping postbuild config data section only for EcuM struct
 ******************************************************************************/
#ifdef BSW_ECUM_START_STRUCT_POSTBUILD_CONFIG_DATA
#undef BSW_ECUM_START_STRUCT_POSTBUILD_CONFIG_DATA
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildstruct"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildstruct" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildstruct"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildstruct"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_STRUCT_SECTION
#endif
#endif

#ifdef BSW_ECUM_STOP_STRUCT_POSTBUILD_CONFIG_DATA
#undef BSW_ECUM_STOP_STRUCT_POSTBUILD_CONFIG_DATA
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_STRUCT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildstruct" started
#endif
#endif

/******************************************************************************
    BSW  memory mapping postbuild config data section buf which will be loaded
    to ram
 ******************************************************************************/
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildbuf" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildbuf"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildbuf" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_postbuildbuf"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_postbuildbufdata" bss="voslib_unkwnstk_api_postbuildbufbss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_BUF_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUF_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_BUF_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildbuf" started
#endif
#endif

#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFDATA_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFDATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildbufdata" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildbufdata"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildbufdata" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_postbuildbufdata"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_postbuildbufdata"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_BUF_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFDATA_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFDATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_BUF_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildbufdata" started
#endif
#endif

#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFBSS_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFBSS_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildbufbss" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildbufbss"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildbufbss" aw
#elif defined BSW_GHS_C_
    #pragma ghs section bss="voslib_unkwnstk_api_postbuildbufbss"
#elif defined BSW_CLANG_C_
    #pragma clang section bss="voslib_unkwnstk_api_postbuildbufbss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_BUF_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFBSS_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BUFBSS_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_BUF_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildbufbss" started
#endif
#endif
/******************************************************************************
              BSW  memory mapping postbuild config data section
 ******************************************************************************/
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildconfig" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BOOLEAN
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig_bool"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig_bool" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig_bool"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig_bool"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildconfig_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_8
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig_8"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig_8" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig_8"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig_8"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_8
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildconfig_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_16
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig_16"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig_16" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig_16"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig_16"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_16
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildconfig_16" started
#endif
#endif

/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_32
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig_32"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig_32" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig_32"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig_32"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_32
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildconfig_32" started
#endif
#endif

/* ptr */
#ifdef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_PTR
#undef BSW_START_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_postbuildconfig_ptr"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_postbuildconfig_ptr" a
#elif defined BSW_GHS_C_
    #pragma ghs section rodata="voslib_unkwnstk_api_postbuildconfig_ptr"
#elif defined BSW_CLANG_C_
    #pragma clang section rodata="voslib_unkwnstk_api_postbuildconfig_ptr"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_POSTBUILD_CONFIG_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_PTR
#undef BSW_STOP_SEC_DEFAULT_POSTBUILD_CONFIG_DATA_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section rodata=""
#endif
#else
#error No section "voslib_unkwnstk_api_postbuildconfig_ptr" started
#endif
#endif

#ifdef BSW_START_SEC_DEFAULT_RAM0_NO_INIT_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_RAM0_NO_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "voslib_unkwnstk_api_bss_no_init" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_
    #pragma section all "voslib_unkwnstk_api_bss_no_init"
#elif defined BSW_GNU_C_
    #pragma section "voslib_unkwnstk_api_bss_no_init" aw
#elif defined BSW_GHS_C_
    #pragma ghs section data="voslib_unkwnstk_api_bss_no_init"
#elif defined BSW_CLANG_C_
    #pragma clang section data="voslib_unkwnstk_api_bss_no_init" bss="voslib_unkwnstk_api_bss"
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_NO_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_NO_INIT_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_RAM0_NO_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_NO_INIT_SECTION
#ifdef BSW_TASKING_C_
    #pragma section all restore
#elif defined BSW_GNU_C_
    #pragma section
#elif defined BSW_GHS_C_
    #pragma ghs section
#elif defined BSW_CLANG_C_
    #pragma clang section data="" bss=""
#endif
#else
#error No section "voslib_unkwnstk_api_bss_no_init" started
#endif
#endif

/* Check if the "command macro" has been acknowledged */
#ifdef BSW_MEMMAP_ERROR
#error Wrong MemMap.h inclusion command macro!
#ifdef BSW_OPEN_CODE_SECTION
#error Starting a "voslib_unkwnstk_api_text" section while a section is already started
#endif
#ifdef BSW_OPEN_CLEAR_SECTION
#error Starting a "voslib_unkwnstk_api_bss" section while a section is already started
#endif
#ifdef BSW_OPEN_INIT_SECTION
#error Starting a "voslib_unkwnstk_api_data" section while a section is already started
#endif
#ifdef BSW_OPEN_CONFIG_SECTION
#error Starting a "voslib_unkwnstk_api_const" section while a section is already started
#endif
#ifdef BSW_OPEN_CONST_SECTION
#error Starting a "voslib_unkwnstk_api_const" section while a section is already started
#endif
#ifdef BSW_OPEN_SAVED_ZONE_SECTION
#error Starting a "voslib_unkwnstk_api_savezone" section while a section is already started
#endif
#ifdef BSW_OPEN_POSTBUILD_STRUCT_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildstruct" section while a section is already started
#endif
#ifdef BSW_OPEN_POSTBUILD_CONFIG_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildconfig" section while a section is already started
#endif
#ifdef BSW_OPEN_POSTBUILD_BUF_SECTION
#error Starting a "voslib_unkwnstk_api_postbuildbuf" section while a section is already started
#endif
#ifdef BSW_OPEN_NO_INIT_SECTION
#error Starting a "voslib_unkwnstk_api_bss_no_init" section while a section is already started
#endif
#endif
