/**
 * \file IfxEbu_bf.h
 * \brief
 * \copyright Copyright (c) 2020 Infineon Technologies AG. All rights reserved.
 *
 *
 * Version: TC39XB_UM_V1.4.0.R0
 * Specification: TC3xx User Manual V1.4.0
 * MAY BE CHANGED BY USER [yes/no]: No
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Use of this file is subject to the terms of use agreed between (i) you or 
 * the company in which ordinary course of business you are acting and (ii) 
 * Infineon Technologies AG or its licensees. If and as long as no such 
 * terms of use are agreed, use of this file is subject to following:


 * Boost Software License - Version 1.0 - August 17th, 2003

 * Permission is hereby granted, free of charge, to any person or 
 * organization obtaining a copy of the software and accompanying 
 * documentation covered by this license (the "Software") to use, reproduce,
 * display, distribute, execute, and transmit the Software, and to prepare
 * derivative works of the Software, and to permit third-parties to whom the 
 * Software is furnished to do so, all subject to the following:

 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer, must
 * be included in all copies of the Software, in whole or in part, and all
 * derivative works of the Software, unless such copies or derivative works are
 * solely in the form of machine-executable object code generated by a source
 * language processor.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * \defgroup IfxSfr_Ebu_Registers_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxSfr_Ebu_Registers
 * 
 */
#ifndef IFXEBU_BF_H
#define IFXEBU_BF_H 1

/******************************************************************************/

/******************************************************************************/

/** \addtogroup IfxSfr_Ebu_Registers_BitfieldsMask
 * \{  */
/** \brief Length for Ifx_EBU_CLC_Bits.DISR */
#define IFX_EBU_CLC_DISR_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.DISR */
#define IFX_EBU_CLC_DISR_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.DISR */
#define IFX_EBU_CLC_DISR_OFF (0u)

/** \brief Length for Ifx_EBU_CLC_Bits.DISS */
#define IFX_EBU_CLC_DISS_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.DISS */
#define IFX_EBU_CLC_DISS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.DISS */
#define IFX_EBU_CLC_DISS_OFF (1u)

/** \brief Length for Ifx_EBU_CLC_Bits.EPE */
#define IFX_EBU_CLC_EPE_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.EPE */
#define IFX_EBU_CLC_EPE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.EPE */
#define IFX_EBU_CLC_EPE_OFF (8u)

/** \brief Length for Ifx_EBU_CLC_Bits.SYNC */
#define IFX_EBU_CLC_SYNC_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.SYNC */
#define IFX_EBU_CLC_SYNC_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.SYNC */
#define IFX_EBU_CLC_SYNC_OFF (16u)

/** \brief Length for Ifx_EBU_CLC_Bits.DIV2 */
#define IFX_EBU_CLC_DIV2_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.DIV2 */
#define IFX_EBU_CLC_DIV2_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.DIV2 */
#define IFX_EBU_CLC_DIV2_OFF (17u)

/** \brief Length for Ifx_EBU_CLC_Bits.EBUDIV */
#define IFX_EBU_CLC_EBUDIV_LEN (2u)

/** \brief Mask for Ifx_EBU_CLC_Bits.EBUDIV */
#define IFX_EBU_CLC_EBUDIV_MSK (0x3u)

/** \brief Offset for Ifx_EBU_CLC_Bits.EBUDIV */
#define IFX_EBU_CLC_EBUDIV_OFF (18u)

/** \brief Length for Ifx_EBU_CLC_Bits.SYNCACK */
#define IFX_EBU_CLC_SYNCACK_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.SYNCACK */
#define IFX_EBU_CLC_SYNCACK_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.SYNCACK */
#define IFX_EBU_CLC_SYNCACK_OFF (20u)

/** \brief Length for Ifx_EBU_CLC_Bits.DIV2ACK */
#define IFX_EBU_CLC_DIV2ACK_LEN (1u)

/** \brief Mask for Ifx_EBU_CLC_Bits.DIV2ACK */
#define IFX_EBU_CLC_DIV2ACK_MSK (0x1u)

/** \brief Offset for Ifx_EBU_CLC_Bits.DIV2ACK */
#define IFX_EBU_CLC_DIV2ACK_OFF (21u)

/** \brief Length for Ifx_EBU_CLC_Bits.EBUDIVACK */
#define IFX_EBU_CLC_EBUDIVACK_LEN (2u)

/** \brief Mask for Ifx_EBU_CLC_Bits.EBUDIVACK */
#define IFX_EBU_CLC_EBUDIVACK_MSK (0x3u)

/** \brief Offset for Ifx_EBU_CLC_Bits.EBUDIVACK */
#define IFX_EBU_CLC_EBUDIVACK_OFF (22u)

/** \brief Length for Ifx_EBU_MODCON_Bits.STS */
#define IFX_EBU_MODCON_STS_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.STS */
#define IFX_EBU_MODCON_STS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.STS */
#define IFX_EBU_MODCON_STS_OFF (0u)

/** \brief Length for Ifx_EBU_MODCON_Bits.LCKABRT */
#define IFX_EBU_MODCON_LCKABRT_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.LCKABRT */
#define IFX_EBU_MODCON_LCKABRT_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.LCKABRT */
#define IFX_EBU_MODCON_LCKABRT_OFF (1u)

/** \brief Length for Ifx_EBU_MODCON_Bits.SDTRI */
#define IFX_EBU_MODCON_SDTRI_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.SDTRI */
#define IFX_EBU_MODCON_SDTRI_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.SDTRI */
#define IFX_EBU_MODCON_SDTRI_OFF (2u)

/** \brief Length for Ifx_EBU_MODCON_Bits.CLK_COMB */
#define IFX_EBU_MODCON_CLK_COMB_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.CLK_COMB */
#define IFX_EBU_MODCON_CLK_COMB_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.CLK_COMB */
#define IFX_EBU_MODCON_CLK_COMB_OFF (3u)

/** \brief Length for Ifx_EBU_MODCON_Bits.EXTLOCK */
#define IFX_EBU_MODCON_EXTLOCK_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.EXTLOCK */
#define IFX_EBU_MODCON_EXTLOCK_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.EXTLOCK */
#define IFX_EBU_MODCON_EXTLOCK_OFF (4u)

/** \brief Length for Ifx_EBU_MODCON_Bits.ARBSYNC */
#define IFX_EBU_MODCON_ARBSYNC_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.ARBSYNC */
#define IFX_EBU_MODCON_ARBSYNC_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.ARBSYNC */
#define IFX_EBU_MODCON_ARBSYNC_OFF (5u)

/** \brief Length for Ifx_EBU_MODCON_Bits.ARBMODE */
#define IFX_EBU_MODCON_ARBMODE_LEN (2u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.ARBMODE */
#define IFX_EBU_MODCON_ARBMODE_MSK (0x3u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.ARBMODE */
#define IFX_EBU_MODCON_ARBMODE_OFF (6u)

/** \brief Length for Ifx_EBU_MODCON_Bits.TIMEOUTC */
#define IFX_EBU_MODCON_TIMEOUTC_LEN (8u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.TIMEOUTC */
#define IFX_EBU_MODCON_TIMEOUTC_MSK (0xffu)

/** \brief Offset for Ifx_EBU_MODCON_Bits.TIMEOUTC */
#define IFX_EBU_MODCON_TIMEOUTC_OFF (8u)

/** \brief Length for Ifx_EBU_MODCON_Bits.LOCKTIMEOUT */
#define IFX_EBU_MODCON_LOCKTIMEOUT_LEN (8u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.LOCKTIMEOUT */
#define IFX_EBU_MODCON_LOCKTIMEOUT_MSK (0xffu)

/** \brief Offset for Ifx_EBU_MODCON_Bits.LOCKTIMEOUT */
#define IFX_EBU_MODCON_LOCKTIMEOUT_OFF (16u)

/** \brief Length for Ifx_EBU_MODCON_Bits.FIFO_BYPASS */
#define IFX_EBU_MODCON_FIFO_BYPASS_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.FIFO_BYPASS */
#define IFX_EBU_MODCON_FIFO_BYPASS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.FIFO_BYPASS */
#define IFX_EBU_MODCON_FIFO_BYPASS_OFF (24u)

/** \brief Length for Ifx_EBU_MODCON_Bits.FAST_SRI */
#define IFX_EBU_MODCON_FAST_SRI_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.FAST_SRI */
#define IFX_EBU_MODCON_FAST_SRI_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.FAST_SRI */
#define IFX_EBU_MODCON_FAST_SRI_OFF (25u)

/** \brief Length for Ifx_EBU_MODCON_Bits.OCDS_SUSP_DIS */
#define IFX_EBU_MODCON_OCDS_SUSP_DIS_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.OCDS_SUSP_DIS */
#define IFX_EBU_MODCON_OCDS_SUSP_DIS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.OCDS_SUSP_DIS */
#define IFX_EBU_MODCON_OCDS_SUSP_DIS_OFF (26u)

/** \brief Length for Ifx_EBU_MODCON_Bits.BUSSTATE */
#define IFX_EBU_MODCON_BUSSTATE_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.BUSSTATE */
#define IFX_EBU_MODCON_BUSSTATE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.BUSSTATE */
#define IFX_EBU_MODCON_BUSSTATE_OFF (30u)

/** \brief Length for Ifx_EBU_MODCON_Bits.ALE */
#define IFX_EBU_MODCON_ALE_LEN (1u)

/** \brief Mask for Ifx_EBU_MODCON_Bits.ALE */
#define IFX_EBU_MODCON_ALE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_MODCON_Bits.ALE */
#define IFX_EBU_MODCON_ALE_OFF (31u)

/** \brief Length for Ifx_EBU_MODID_Bits.ID_VALUE */
#define IFX_EBU_MODID_ID_VALUE_LEN (32u)

/** \brief Mask for Ifx_EBU_MODID_Bits.ID_VALUE */
#define IFX_EBU_MODID_ID_VALUE_MSK (0xffffffffu)

/** \brief Offset for Ifx_EBU_MODID_Bits.ID_VALUE */
#define IFX_EBU_MODID_ID_VALUE_OFF (0u)

/** \brief Length for Ifx_EBU_USERCON_Bits.DIP */
#define IFX_EBU_USERCON_DIP_LEN (1u)

/** \brief Mask for Ifx_EBU_USERCON_Bits.DIP */
#define IFX_EBU_USERCON_DIP_MSK (0x1u)

/** \brief Offset for Ifx_EBU_USERCON_Bits.DIP */
#define IFX_EBU_USERCON_DIP_OFF (0u)

/** \brief Length for Ifx_EBU_USERCON_Bits.NAF */
#define IFX_EBU_USERCON_NAF_LEN (7u)

/** \brief Mask for Ifx_EBU_USERCON_Bits.NAF */
#define IFX_EBU_USERCON_NAF_MSK (0x7fu)

/** \brief Offset for Ifx_EBU_USERCON_Bits.NAF */
#define IFX_EBU_USERCON_NAF_OFF (1u)

/** \brief Length for Ifx_EBU_USERCON_Bits.ADDIO */
#define IFX_EBU_USERCON_ADDIO_LEN (4u)

/** \brief Mask for Ifx_EBU_USERCON_Bits.ADDIO */
#define IFX_EBU_USERCON_ADDIO_MSK (0xfu)

/** \brief Offset for Ifx_EBU_USERCON_Bits.ADDIO */
#define IFX_EBU_USERCON_ADDIO_OFF (16u)

/** \brief Length for Ifx_EBU_USERCON_Bits.BCEN */
#define IFX_EBU_USERCON_BCEN_LEN (2u)

/** \brief Mask for Ifx_EBU_USERCON_Bits.BCEN */
#define IFX_EBU_USERCON_BCEN_MSK (0x3u)

/** \brief Offset for Ifx_EBU_USERCON_Bits.BCEN */
#define IFX_EBU_USERCON_BCEN_OFF (28u)

/** \brief Length for Ifx_EBU_USERCON_Bits.ADVIO */
#define IFX_EBU_USERCON_ADVIO_LEN (1u)

/** \brief Mask for Ifx_EBU_USERCON_Bits.ADVIO */
#define IFX_EBU_USERCON_ADVIO_MSK (0x1u)

/** \brief Offset for Ifx_EBU_USERCON_Bits.ADVIO */
#define IFX_EBU_USERCON_ADVIO_OFF (30u)

/** \brief Length for Ifx_EBU_USERCON_Bits.ADDLSW */
#define IFX_EBU_USERCON_ADDLSW_LEN (1u)

/** \brief Mask for Ifx_EBU_USERCON_Bits.ADDLSW */
#define IFX_EBU_USERCON_ADDLSW_MSK (0x1u)

/** \brief Offset for Ifx_EBU_USERCON_Bits.ADDLSW */
#define IFX_EBU_USERCON_ADDLSW_OFF (31u)

/** \brief Length for Ifx_EBU_EXTBOOT_Bits.CFGEND */
#define IFX_EBU_EXTBOOT_CFGEND_LEN (1u)

/** \brief Mask for Ifx_EBU_EXTBOOT_Bits.CFGEND */
#define IFX_EBU_EXTBOOT_CFGEND_MSK (0x1u)

/** \brief Offset for Ifx_EBU_EXTBOOT_Bits.CFGEND */
#define IFX_EBU_EXTBOOT_CFGEND_OFF (0u)

/** \brief Length for Ifx_EBU_EXTBOOT_Bits.CFGERR */
#define IFX_EBU_EXTBOOT_CFGERR_LEN (1u)

/** \brief Mask for Ifx_EBU_EXTBOOT_Bits.CFGERR */
#define IFX_EBU_EXTBOOT_CFGERR_MSK (0x1u)

/** \brief Offset for Ifx_EBU_EXTBOOT_Bits.CFGERR */
#define IFX_EBU_EXTBOOT_CFGERR_OFF (1u)

/** \brief Length for Ifx_EBU_EXTBOOT_Bits.EBUCFG */
#define IFX_EBU_EXTBOOT_EBUCFG_LEN (1u)

/** \brief Mask for Ifx_EBU_EXTBOOT_Bits.EBUCFG */
#define IFX_EBU_EXTBOOT_EBUCFG_MSK (0x1u)

/** \brief Offset for Ifx_EBU_EXTBOOT_Bits.EBUCFG */
#define IFX_EBU_EXTBOOT_EBUCFG_OFF (31u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.REGENAB */
#define IFX_EBU_ADDRSEL_REGENAB_LEN (1u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.REGENAB */
#define IFX_EBU_ADDRSEL_REGENAB_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.REGENAB */
#define IFX_EBU_ADDRSEL_REGENAB_OFF (0u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.ALTENAB */
#define IFX_EBU_ADDRSEL_ALTENAB_LEN (1u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.ALTENAB */
#define IFX_EBU_ADDRSEL_ALTENAB_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.ALTENAB */
#define IFX_EBU_ADDRSEL_ALTENAB_OFF (1u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.WPROT */
#define IFX_EBU_ADDRSEL_WPROT_LEN (1u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.WPROT */
#define IFX_EBU_ADDRSEL_WPROT_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.WPROT */
#define IFX_EBU_ADDRSEL_WPROT_OFF (2u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.GLOBALCS */
#define IFX_EBU_ADDRSEL_GLOBALCS_LEN (1u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.GLOBALCS */
#define IFX_EBU_ADDRSEL_GLOBALCS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.GLOBALCS */
#define IFX_EBU_ADDRSEL_GLOBALCS_OFF (3u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.MASK */
#define IFX_EBU_ADDRSEL_MASK_LEN (4u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.MASK */
#define IFX_EBU_ADDRSEL_MASK_MSK (0xfu)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.MASK */
#define IFX_EBU_ADDRSEL_MASK_OFF (4u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.ALTSEG */
#define IFX_EBU_ADDRSEL_ALTSEG_LEN (4u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.ALTSEG */
#define IFX_EBU_ADDRSEL_ALTSEG_MSK (0xfu)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.ALTSEG */
#define IFX_EBU_ADDRSEL_ALTSEG_OFF (8u)

/** \brief Length for Ifx_EBU_ADDRSEL_Bits.BASE */
#define IFX_EBU_ADDRSEL_BASE_LEN (20u)

/** \brief Mask for Ifx_EBU_ADDRSEL_Bits.BASE */
#define IFX_EBU_ADDRSEL_BASE_MSK (0xfffffu)

/** \brief Offset for Ifx_EBU_ADDRSEL_Bits.BASE */
#define IFX_EBU_ADDRSEL_BASE_OFF (12u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.FETBLEN */
#define IFX_EBU_BUS_RCON_FETBLEN_LEN (3u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.FETBLEN */
#define IFX_EBU_BUS_RCON_FETBLEN_MSK (0x7u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.FETBLEN */
#define IFX_EBU_BUS_RCON_FETBLEN_OFF (0u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.FBBMSEL */
#define IFX_EBU_BUS_RCON_FBBMSEL_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.FBBMSEL */
#define IFX_EBU_BUS_RCON_FBBMSEL_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.FBBMSEL */
#define IFX_EBU_BUS_RCON_FBBMSEL_OFF (3u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.FDBKEN */
#define IFX_EBU_BUS_RCON_FDBKEN_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.FDBKEN */
#define IFX_EBU_BUS_RCON_FDBKEN_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.FDBKEN */
#define IFX_EBU_BUS_RCON_FDBKEN_OFF (5u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.BFCMSEL */
#define IFX_EBU_BUS_RCON_BFCMSEL_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.BFCMSEL */
#define IFX_EBU_BUS_RCON_BFCMSEL_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.BFCMSEL */
#define IFX_EBU_BUS_RCON_BFCMSEL_OFF (6u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.NAA */
#define IFX_EBU_BUS_RCON_NAA_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.NAA */
#define IFX_EBU_BUS_RCON_NAA_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.NAA */
#define IFX_EBU_BUS_RCON_NAA_OFF (7u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.ECSE */
#define IFX_EBU_BUS_RCON_ECSE_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.ECSE */
#define IFX_EBU_BUS_RCON_ECSE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.ECSE */
#define IFX_EBU_BUS_RCON_ECSE_OFF (16u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.EBSE */
#define IFX_EBU_BUS_RCON_EBSE_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.EBSE */
#define IFX_EBU_BUS_RCON_EBSE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.EBSE */
#define IFX_EBU_BUS_RCON_EBSE_OFF (17u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.DBA */
#define IFX_EBU_BUS_RCON_DBA_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.DBA */
#define IFX_EBU_BUS_RCON_DBA_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.DBA */
#define IFX_EBU_BUS_RCON_DBA_OFF (18u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.WAITINV */
#define IFX_EBU_BUS_RCON_WAITINV_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.WAITINV */
#define IFX_EBU_BUS_RCON_WAITINV_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.WAITINV */
#define IFX_EBU_BUS_RCON_WAITINV_OFF (19u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.BCGEN */
#define IFX_EBU_BUS_RCON_BCGEN_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.BCGEN */
#define IFX_EBU_BUS_RCON_BCGEN_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.BCGEN */
#define IFX_EBU_BUS_RCON_BCGEN_OFF (20u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.PORTW */
#define IFX_EBU_BUS_RCON_PORTW_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.PORTW */
#define IFX_EBU_BUS_RCON_PORTW_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.PORTW */
#define IFX_EBU_BUS_RCON_PORTW_OFF (22u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.WAIT */
#define IFX_EBU_BUS_RCON_WAIT_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.WAIT */
#define IFX_EBU_BUS_RCON_WAIT_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.WAIT */
#define IFX_EBU_BUS_RCON_WAIT_OFF (24u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.AAP */
#define IFX_EBU_BUS_RCON_AAP_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.AAP */
#define IFX_EBU_BUS_RCON_AAP_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.AAP */
#define IFX_EBU_BUS_RCON_AAP_OFF (26u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.LCKABRT */
#define IFX_EBU_BUS_RCON_LCKABRT_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.LCKABRT */
#define IFX_EBU_BUS_RCON_LCKABRT_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.LCKABRT */
#define IFX_EBU_BUS_RCON_LCKABRT_OFF (27u)

/** \brief Length for Ifx_EBU_BUS_RCON_Bits.AGEN */
#define IFX_EBU_BUS_RCON_AGEN_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_RCON_Bits.AGEN */
#define IFX_EBU_BUS_RCON_AGEN_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_RCON_Bits.AGEN */
#define IFX_EBU_BUS_RCON_AGEN_OFF (28u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.RDDTACS */
#define IFX_EBU_BUS_RAP_RDDTACS_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.RDDTACS */
#define IFX_EBU_BUS_RAP_RDDTACS_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.RDDTACS */
#define IFX_EBU_BUS_RAP_RDDTACS_OFF (0u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.RDRECOVC */
#define IFX_EBU_BUS_RAP_RDRECOVC_LEN (3u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.RDRECOVC */
#define IFX_EBU_BUS_RAP_RDRECOVC_MSK (0x7u)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.RDRECOVC */
#define IFX_EBU_BUS_RAP_RDRECOVC_OFF (4u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.WAITRDC */
#define IFX_EBU_BUS_RAP_WAITRDC_LEN (5u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.WAITRDC */
#define IFX_EBU_BUS_RAP_WAITRDC_MSK (0x1fu)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.WAITRDC */
#define IFX_EBU_BUS_RAP_WAITRDC_OFF (7u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.DATAC */
#define IFX_EBU_BUS_RAP_DATAC_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.DATAC */
#define IFX_EBU_BUS_RAP_DATAC_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.DATAC */
#define IFX_EBU_BUS_RAP_DATAC_OFF (12u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.EXTCLOCK */
#define IFX_EBU_BUS_RAP_EXTCLOCK_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.EXTCLOCK */
#define IFX_EBU_BUS_RAP_EXTCLOCK_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.EXTCLOCK */
#define IFX_EBU_BUS_RAP_EXTCLOCK_OFF (16u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.EXTDATA */
#define IFX_EBU_BUS_RAP_EXTDATA_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.EXTDATA */
#define IFX_EBU_BUS_RAP_EXTDATA_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.EXTDATA */
#define IFX_EBU_BUS_RAP_EXTDATA_OFF (18u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.CMDDELAY */
#define IFX_EBU_BUS_RAP_CMDDELAY_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.CMDDELAY */
#define IFX_EBU_BUS_RAP_CMDDELAY_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.CMDDELAY */
#define IFX_EBU_BUS_RAP_CMDDELAY_OFF (20u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.AHOLDC */
#define IFX_EBU_BUS_RAP_AHOLDC_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.AHOLDC */
#define IFX_EBU_BUS_RAP_AHOLDC_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.AHOLDC */
#define IFX_EBU_BUS_RAP_AHOLDC_OFF (24u)

/** \brief Length for Ifx_EBU_BUS_RAP_Bits.ADDRC */
#define IFX_EBU_BUS_RAP_ADDRC_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_RAP_Bits.ADDRC */
#define IFX_EBU_BUS_RAP_ADDRC_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_RAP_Bits.ADDRC */
#define IFX_EBU_BUS_RAP_ADDRC_OFF (28u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.FETBLEN */
#define IFX_EBU_BUS_WCON_FETBLEN_LEN (3u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.FETBLEN */
#define IFX_EBU_BUS_WCON_FETBLEN_MSK (0x7u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.FETBLEN */
#define IFX_EBU_BUS_WCON_FETBLEN_OFF (0u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.FBBMSEL */
#define IFX_EBU_BUS_WCON_FBBMSEL_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.FBBMSEL */
#define IFX_EBU_BUS_WCON_FBBMSEL_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.FBBMSEL */
#define IFX_EBU_BUS_WCON_FBBMSEL_OFF (3u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.NAA */
#define IFX_EBU_BUS_WCON_NAA_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.NAA */
#define IFX_EBU_BUS_WCON_NAA_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.NAA */
#define IFX_EBU_BUS_WCON_NAA_OFF (7u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.ECSE */
#define IFX_EBU_BUS_WCON_ECSE_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.ECSE */
#define IFX_EBU_BUS_WCON_ECSE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.ECSE */
#define IFX_EBU_BUS_WCON_ECSE_OFF (16u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.EBSE */
#define IFX_EBU_BUS_WCON_EBSE_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.EBSE */
#define IFX_EBU_BUS_WCON_EBSE_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.EBSE */
#define IFX_EBU_BUS_WCON_EBSE_OFF (17u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.WAITINV */
#define IFX_EBU_BUS_WCON_WAITINV_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.WAITINV */
#define IFX_EBU_BUS_WCON_WAITINV_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.WAITINV */
#define IFX_EBU_BUS_WCON_WAITINV_OFF (19u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.BCGEN */
#define IFX_EBU_BUS_WCON_BCGEN_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.BCGEN */
#define IFX_EBU_BUS_WCON_BCGEN_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.BCGEN */
#define IFX_EBU_BUS_WCON_BCGEN_OFF (20u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.PORTW */
#define IFX_EBU_BUS_WCON_PORTW_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.PORTW */
#define IFX_EBU_BUS_WCON_PORTW_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.PORTW */
#define IFX_EBU_BUS_WCON_PORTW_OFF (22u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.WAIT */
#define IFX_EBU_BUS_WCON_WAIT_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.WAIT */
#define IFX_EBU_BUS_WCON_WAIT_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.WAIT */
#define IFX_EBU_BUS_WCON_WAIT_OFF (24u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.AAP */
#define IFX_EBU_BUS_WCON_AAP_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.AAP */
#define IFX_EBU_BUS_WCON_AAP_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.AAP */
#define IFX_EBU_BUS_WCON_AAP_OFF (26u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.LOCKCS */
#define IFX_EBU_BUS_WCON_LOCKCS_LEN (1u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.LOCKCS */
#define IFX_EBU_BUS_WCON_LOCKCS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.LOCKCS */
#define IFX_EBU_BUS_WCON_LOCKCS_OFF (27u)

/** \brief Length for Ifx_EBU_BUS_WCON_Bits.AGEN */
#define IFX_EBU_BUS_WCON_AGEN_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_WCON_Bits.AGEN */
#define IFX_EBU_BUS_WCON_AGEN_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_WCON_Bits.AGEN */
#define IFX_EBU_BUS_WCON_AGEN_OFF (28u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.WRDTACS */
#define IFX_EBU_BUS_WAP_WRDTACS_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.WRDTACS */
#define IFX_EBU_BUS_WAP_WRDTACS_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.WRDTACS */
#define IFX_EBU_BUS_WAP_WRDTACS_OFF (0u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.WRRECOVC */
#define IFX_EBU_BUS_WAP_WRRECOVC_LEN (3u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.WRRECOVC */
#define IFX_EBU_BUS_WAP_WRRECOVC_MSK (0x7u)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.WRRECOVC */
#define IFX_EBU_BUS_WAP_WRRECOVC_OFF (4u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.WAITWRC */
#define IFX_EBU_BUS_WAP_WAITWRC_LEN (5u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.WAITWRC */
#define IFX_EBU_BUS_WAP_WAITWRC_MSK (0x1fu)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.WAITWRC */
#define IFX_EBU_BUS_WAP_WAITWRC_OFF (7u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.DATAC */
#define IFX_EBU_BUS_WAP_DATAC_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.DATAC */
#define IFX_EBU_BUS_WAP_DATAC_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.DATAC */
#define IFX_EBU_BUS_WAP_DATAC_OFF (12u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.EXTCLOCK */
#define IFX_EBU_BUS_WAP_EXTCLOCK_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.EXTCLOCK */
#define IFX_EBU_BUS_WAP_EXTCLOCK_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.EXTCLOCK */
#define IFX_EBU_BUS_WAP_EXTCLOCK_OFF (16u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.EXTDATA */
#define IFX_EBU_BUS_WAP_EXTDATA_LEN (2u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.EXTDATA */
#define IFX_EBU_BUS_WAP_EXTDATA_MSK (0x3u)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.EXTDATA */
#define IFX_EBU_BUS_WAP_EXTDATA_OFF (18u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.CMDDELAY */
#define IFX_EBU_BUS_WAP_CMDDELAY_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.CMDDELAY */
#define IFX_EBU_BUS_WAP_CMDDELAY_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.CMDDELAY */
#define IFX_EBU_BUS_WAP_CMDDELAY_OFF (20u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.AHOLDC */
#define IFX_EBU_BUS_WAP_AHOLDC_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.AHOLDC */
#define IFX_EBU_BUS_WAP_AHOLDC_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.AHOLDC */
#define IFX_EBU_BUS_WAP_AHOLDC_OFF (24u)

/** \brief Length for Ifx_EBU_BUS_WAP_Bits.ADDRC */
#define IFX_EBU_BUS_WAP_ADDRC_LEN (4u)

/** \brief Mask for Ifx_EBU_BUS_WAP_Bits.ADDRC */
#define IFX_EBU_BUS_WAP_ADDRC_MSK (0xfu)

/** \brief Offset for Ifx_EBU_BUS_WAP_Bits.ADDRC */
#define IFX_EBU_BUS_WAP_ADDRC_OFF (28u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CRAS */
#define IFX_EBU_SDRMCON_CRAS_LEN (4u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CRAS */
#define IFX_EBU_SDRMCON_CRAS_MSK (0xfu)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CRAS */
#define IFX_EBU_SDRMCON_CRAS_OFF (0u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CRFSH */
#define IFX_EBU_SDRMCON_CRFSH_LEN (4u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CRFSH */
#define IFX_EBU_SDRMCON_CRFSH_MSK (0xfu)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CRFSH */
#define IFX_EBU_SDRMCON_CRFSH_OFF (4u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CRSC */
#define IFX_EBU_SDRMCON_CRSC_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CRSC */
#define IFX_EBU_SDRMCON_CRSC_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CRSC */
#define IFX_EBU_SDRMCON_CRSC_OFF (8u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CRP */
#define IFX_EBU_SDRMCON_CRP_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CRP */
#define IFX_EBU_SDRMCON_CRP_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CRP */
#define IFX_EBU_SDRMCON_CRP_OFF (10u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.AWIDTH */
#define IFX_EBU_SDRMCON_AWIDTH_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.AWIDTH */
#define IFX_EBU_SDRMCON_AWIDTH_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.AWIDTH */
#define IFX_EBU_SDRMCON_AWIDTH_OFF (12u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CRCD */
#define IFX_EBU_SDRMCON_CRCD_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CRCD */
#define IFX_EBU_SDRMCON_CRCD_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CRCD */
#define IFX_EBU_SDRMCON_CRCD_OFF (14u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CRC */
#define IFX_EBU_SDRMCON_CRC_LEN (6u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CRC */
#define IFX_EBU_SDRMCON_CRC_MSK (0x3fu)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CRC */
#define IFX_EBU_SDRMCON_CRC_OFF (16u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.BANKM */
#define IFX_EBU_SDRMCON_BANKM_LEN (3u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.BANKM */
#define IFX_EBU_SDRMCON_BANKM_MSK (0x7u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.BANKM */
#define IFX_EBU_SDRMCON_BANKM_OFF (22u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.CLKDIS */
#define IFX_EBU_SDRMCON_CLKDIS_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.CLKDIS */
#define IFX_EBU_SDRMCON_CLKDIS_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.CLKDIS */
#define IFX_EBU_SDRMCON_CLKDIS_OFF (28u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.PWR_MODE */
#define IFX_EBU_SDRMCON_PWR_MODE_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.PWR_MODE */
#define IFX_EBU_SDRMCON_PWR_MODE_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.PWR_MODE */
#define IFX_EBU_SDRMCON_PWR_MODE_OFF (29u)

/** \brief Length for Ifx_EBU_SDRMCON_Bits.SDCMSEL */
#define IFX_EBU_SDRMCON_SDCMSEL_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMCON_Bits.SDCMSEL */
#define IFX_EBU_SDRMCON_SDCMSEL_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMCON_Bits.SDCMSEL */
#define IFX_EBU_SDRMCON_SDCMSEL_OFF (31u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.BURSTL */
#define IFX_EBU_SDRMOD_BURSTL_LEN (3u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.BURSTL */
#define IFX_EBU_SDRMOD_BURSTL_MSK (0x7u)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.BURSTL */
#define IFX_EBU_SDRMOD_BURSTL_OFF (0u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.BTYP */
#define IFX_EBU_SDRMOD_BTYP_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.BTYP */
#define IFX_EBU_SDRMOD_BTYP_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.BTYP */
#define IFX_EBU_SDRMOD_BTYP_OFF (3u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.CASLAT */
#define IFX_EBU_SDRMOD_CASLAT_LEN (3u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.CASLAT */
#define IFX_EBU_SDRMOD_CASLAT_MSK (0x7u)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.CASLAT */
#define IFX_EBU_SDRMOD_CASLAT_OFF (4u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.OPMODE */
#define IFX_EBU_SDRMOD_OPMODE_LEN (7u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.OPMODE */
#define IFX_EBU_SDRMOD_OPMODE_MSK (0x7fu)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.OPMODE */
#define IFX_EBU_SDRMOD_OPMODE_OFF (7u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.COLDSTART */
#define IFX_EBU_SDRMOD_COLDSTART_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.COLDSTART */
#define IFX_EBU_SDRMOD_COLDSTART_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.COLDSTART */
#define IFX_EBU_SDRMOD_COLDSTART_OFF (15u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.XOPM */
#define IFX_EBU_SDRMOD_XOPM_LEN (14u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.XOPM */
#define IFX_EBU_SDRMOD_XOPM_MSK (0x3fffu)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.XOPM */
#define IFX_EBU_SDRMOD_XOPM_OFF (16u)

/** \brief Length for Ifx_EBU_SDRMOD_Bits.XBA */
#define IFX_EBU_SDRMOD_XBA_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMOD_Bits.XBA */
#define IFX_EBU_SDRMOD_XBA_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMOD_Bits.XBA */
#define IFX_EBU_SDRMOD_XBA_OFF (30u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.REFRESHC */
#define IFX_EBU_SDRMREF_REFRESHC_LEN (6u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.REFRESHC */
#define IFX_EBU_SDRMREF_REFRESHC_MSK (0x3fu)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.REFRESHC */
#define IFX_EBU_SDRMREF_REFRESHC_OFF (0u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.REFRESHR */
#define IFX_EBU_SDRMREF_REFRESHR_LEN (3u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.REFRESHR */
#define IFX_EBU_SDRMREF_REFRESHR_MSK (0x7u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.REFRESHR */
#define IFX_EBU_SDRMREF_REFRESHR_OFF (6u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.SELFREXST */
#define IFX_EBU_SDRMREF_SELFREXST_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.SELFREXST */
#define IFX_EBU_SDRMREF_SELFREXST_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.SELFREXST */
#define IFX_EBU_SDRMREF_SELFREXST_OFF (9u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.SELFREX */
#define IFX_EBU_SDRMREF_SELFREX_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.SELFREX */
#define IFX_EBU_SDRMREF_SELFREX_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.SELFREX */
#define IFX_EBU_SDRMREF_SELFREX_OFF (10u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.SELFRENST */
#define IFX_EBU_SDRMREF_SELFRENST_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.SELFRENST */
#define IFX_EBU_SDRMREF_SELFRENST_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.SELFRENST */
#define IFX_EBU_SDRMREF_SELFRENST_OFF (11u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.SELFREN */
#define IFX_EBU_SDRMREF_SELFREN_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.SELFREN */
#define IFX_EBU_SDRMREF_SELFREN_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.SELFREN */
#define IFX_EBU_SDRMREF_SELFREN_OFF (12u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.AUTOSELFR */
#define IFX_EBU_SDRMREF_AUTOSELFR_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.AUTOSELFR */
#define IFX_EBU_SDRMREF_AUTOSELFR_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.AUTOSELFR */
#define IFX_EBU_SDRMREF_AUTOSELFR_OFF (13u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.ERFSHC */
#define IFX_EBU_SDRMREF_ERFSHC_LEN (2u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.ERFSHC */
#define IFX_EBU_SDRMREF_ERFSHC_MSK (0x3u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.ERFSHC */
#define IFX_EBU_SDRMREF_ERFSHC_OFF (14u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.SELFREX_DLY */
#define IFX_EBU_SDRMREF_SELFREX_DLY_LEN (8u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.SELFREX_DLY */
#define IFX_EBU_SDRMREF_SELFREX_DLY_MSK (0xffu)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.SELFREX_DLY */
#define IFX_EBU_SDRMREF_SELFREX_DLY_OFF (16u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.ARFSH */
#define IFX_EBU_SDRMREF_ARFSH_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.ARFSH */
#define IFX_EBU_SDRMREF_ARFSH_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.ARFSH */
#define IFX_EBU_SDRMREF_ARFSH_OFF (24u)

/** \brief Length for Ifx_EBU_SDRMREF_Bits.RES_DLY */
#define IFX_EBU_SDRMREF_RES_DLY_LEN (3u)

/** \brief Mask for Ifx_EBU_SDRMREF_Bits.RES_DLY */
#define IFX_EBU_SDRMREF_RES_DLY_MSK (0x7u)

/** \brief Offset for Ifx_EBU_SDRMREF_Bits.RES_DLY */
#define IFX_EBU_SDRMREF_RES_DLY_OFF (25u)

/** \brief Length for Ifx_EBU_SDRSTAT_Bits.REFERR */
#define IFX_EBU_SDRSTAT_REFERR_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRSTAT_Bits.REFERR */
#define IFX_EBU_SDRSTAT_REFERR_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRSTAT_Bits.REFERR */
#define IFX_EBU_SDRSTAT_REFERR_OFF (0u)

/** \brief Length for Ifx_EBU_SDRSTAT_Bits.SDRMBUSY */
#define IFX_EBU_SDRSTAT_SDRMBUSY_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRSTAT_Bits.SDRMBUSY */
#define IFX_EBU_SDRSTAT_SDRMBUSY_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRSTAT_Bits.SDRMBUSY */
#define IFX_EBU_SDRSTAT_SDRMBUSY_OFF (1u)

/** \brief Length for Ifx_EBU_SDRSTAT_Bits.SDERR */
#define IFX_EBU_SDRSTAT_SDERR_LEN (1u)

/** \brief Mask for Ifx_EBU_SDRSTAT_Bits.SDERR */
#define IFX_EBU_SDRSTAT_SDERR_MSK (0x1u)

/** \brief Offset for Ifx_EBU_SDRSTAT_Bits.SDERR */
#define IFX_EBU_SDRSTAT_SDERR_OFF (2u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN0 */
#define IFX_EBU_ACCEN0_EN0_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN0 */
#define IFX_EBU_ACCEN0_EN0_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN0 */
#define IFX_EBU_ACCEN0_EN0_OFF (0u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN1 */
#define IFX_EBU_ACCEN0_EN1_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN1 */
#define IFX_EBU_ACCEN0_EN1_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN1 */
#define IFX_EBU_ACCEN0_EN1_OFF (1u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN2 */
#define IFX_EBU_ACCEN0_EN2_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN2 */
#define IFX_EBU_ACCEN0_EN2_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN2 */
#define IFX_EBU_ACCEN0_EN2_OFF (2u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN3 */
#define IFX_EBU_ACCEN0_EN3_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN3 */
#define IFX_EBU_ACCEN0_EN3_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN3 */
#define IFX_EBU_ACCEN0_EN3_OFF (3u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN4 */
#define IFX_EBU_ACCEN0_EN4_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN4 */
#define IFX_EBU_ACCEN0_EN4_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN4 */
#define IFX_EBU_ACCEN0_EN4_OFF (4u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN5 */
#define IFX_EBU_ACCEN0_EN5_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN5 */
#define IFX_EBU_ACCEN0_EN5_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN5 */
#define IFX_EBU_ACCEN0_EN5_OFF (5u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN6 */
#define IFX_EBU_ACCEN0_EN6_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN6 */
#define IFX_EBU_ACCEN0_EN6_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN6 */
#define IFX_EBU_ACCEN0_EN6_OFF (6u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN7 */
#define IFX_EBU_ACCEN0_EN7_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN7 */
#define IFX_EBU_ACCEN0_EN7_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN7 */
#define IFX_EBU_ACCEN0_EN7_OFF (7u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN8 */
#define IFX_EBU_ACCEN0_EN8_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN8 */
#define IFX_EBU_ACCEN0_EN8_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN8 */
#define IFX_EBU_ACCEN0_EN8_OFF (8u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN9 */
#define IFX_EBU_ACCEN0_EN9_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN9 */
#define IFX_EBU_ACCEN0_EN9_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN9 */
#define IFX_EBU_ACCEN0_EN9_OFF (9u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN10 */
#define IFX_EBU_ACCEN0_EN10_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN10 */
#define IFX_EBU_ACCEN0_EN10_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN10 */
#define IFX_EBU_ACCEN0_EN10_OFF (10u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN11 */
#define IFX_EBU_ACCEN0_EN11_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN11 */
#define IFX_EBU_ACCEN0_EN11_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN11 */
#define IFX_EBU_ACCEN0_EN11_OFF (11u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN12 */
#define IFX_EBU_ACCEN0_EN12_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN12 */
#define IFX_EBU_ACCEN0_EN12_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN12 */
#define IFX_EBU_ACCEN0_EN12_OFF (12u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN13 */
#define IFX_EBU_ACCEN0_EN13_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN13 */
#define IFX_EBU_ACCEN0_EN13_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN13 */
#define IFX_EBU_ACCEN0_EN13_OFF (13u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN14 */
#define IFX_EBU_ACCEN0_EN14_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN14 */
#define IFX_EBU_ACCEN0_EN14_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN14 */
#define IFX_EBU_ACCEN0_EN14_OFF (14u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN15 */
#define IFX_EBU_ACCEN0_EN15_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN15 */
#define IFX_EBU_ACCEN0_EN15_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN15 */
#define IFX_EBU_ACCEN0_EN15_OFF (15u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN16 */
#define IFX_EBU_ACCEN0_EN16_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN16 */
#define IFX_EBU_ACCEN0_EN16_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN16 */
#define IFX_EBU_ACCEN0_EN16_OFF (16u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN17 */
#define IFX_EBU_ACCEN0_EN17_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN17 */
#define IFX_EBU_ACCEN0_EN17_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN17 */
#define IFX_EBU_ACCEN0_EN17_OFF (17u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN18 */
#define IFX_EBU_ACCEN0_EN18_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN18 */
#define IFX_EBU_ACCEN0_EN18_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN18 */
#define IFX_EBU_ACCEN0_EN18_OFF (18u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN19 */
#define IFX_EBU_ACCEN0_EN19_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN19 */
#define IFX_EBU_ACCEN0_EN19_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN19 */
#define IFX_EBU_ACCEN0_EN19_OFF (19u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN20 */
#define IFX_EBU_ACCEN0_EN20_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN20 */
#define IFX_EBU_ACCEN0_EN20_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN20 */
#define IFX_EBU_ACCEN0_EN20_OFF (20u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN21 */
#define IFX_EBU_ACCEN0_EN21_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN21 */
#define IFX_EBU_ACCEN0_EN21_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN21 */
#define IFX_EBU_ACCEN0_EN21_OFF (21u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN22 */
#define IFX_EBU_ACCEN0_EN22_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN22 */
#define IFX_EBU_ACCEN0_EN22_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN22 */
#define IFX_EBU_ACCEN0_EN22_OFF (22u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN23 */
#define IFX_EBU_ACCEN0_EN23_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN23 */
#define IFX_EBU_ACCEN0_EN23_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN23 */
#define IFX_EBU_ACCEN0_EN23_OFF (23u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN24 */
#define IFX_EBU_ACCEN0_EN24_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN24 */
#define IFX_EBU_ACCEN0_EN24_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN24 */
#define IFX_EBU_ACCEN0_EN24_OFF (24u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN25 */
#define IFX_EBU_ACCEN0_EN25_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN25 */
#define IFX_EBU_ACCEN0_EN25_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN25 */
#define IFX_EBU_ACCEN0_EN25_OFF (25u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN26 */
#define IFX_EBU_ACCEN0_EN26_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN26 */
#define IFX_EBU_ACCEN0_EN26_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN26 */
#define IFX_EBU_ACCEN0_EN26_OFF (26u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN27 */
#define IFX_EBU_ACCEN0_EN27_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN27 */
#define IFX_EBU_ACCEN0_EN27_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN27 */
#define IFX_EBU_ACCEN0_EN27_OFF (27u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN28 */
#define IFX_EBU_ACCEN0_EN28_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN28 */
#define IFX_EBU_ACCEN0_EN28_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN28 */
#define IFX_EBU_ACCEN0_EN28_OFF (28u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN29 */
#define IFX_EBU_ACCEN0_EN29_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN29 */
#define IFX_EBU_ACCEN0_EN29_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN29 */
#define IFX_EBU_ACCEN0_EN29_OFF (29u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN30 */
#define IFX_EBU_ACCEN0_EN30_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN30 */
#define IFX_EBU_ACCEN0_EN30_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN30 */
#define IFX_EBU_ACCEN0_EN30_OFF (30u)

/** \brief Length for Ifx_EBU_ACCEN0_Bits.EN31 */
#define IFX_EBU_ACCEN0_EN31_LEN (1u)

/** \brief Mask for Ifx_EBU_ACCEN0_Bits.EN31 */
#define IFX_EBU_ACCEN0_EN31_MSK (0x1u)

/** \brief Offset for Ifx_EBU_ACCEN0_Bits.EN31 */
#define IFX_EBU_ACCEN0_EN31_OFF (31u)

/** \}  */

/******************************************************************************/

/******************************************************************************/

#endif /* IFXEBU_BF_H */
