/**
 * \file IfxLmu_bf.h
 * \brief
 * \copyright Copyright (c) 2020 Infineon Technologies AG. All rights reserved.
 *
 *
 * Version: TC39XB_UM_V1.4.0.R0
 * Specification: TC3xx User Manual V1.4.0
 * MAY BE CHANGED BY USER [yes/no]: No
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Use of this file is subject to the terms of use agreed between (i) you or 
 * the company in which ordinary course of business you are acting and (ii) 
 * Infineon Technologies AG or its licensees. If and as long as no such 
 * terms of use are agreed, use of this file is subject to following:


 * Boost Software License - Version 1.0 - August 17th, 2003

 * Permission is hereby granted, free of charge, to any person or 
 * organization obtaining a copy of the software and accompanying 
 * documentation covered by this license (the "Software") to use, reproduce,
 * display, distribute, execute, and transmit the Software, and to prepare
 * derivative works of the Software, and to permit third-parties to whom the 
 * Software is furnished to do so, all subject to the following:

 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer, must
 * be included in all copies of the Software, in whole or in part, and all
 * derivative works of the Software, unless such copies or derivative works are
 * solely in the form of machine-executable object code generated by a source
 * language processor.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * \defgroup IfxSfr_Lmu_Registers_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxSfr_Lmu_Registers
 * 
 */
#ifndef IFXLMU_BF_H
#define IFXLMU_BF_H 1

/******************************************************************************/

/******************************************************************************/

/** \addtogroup IfxSfr_Lmu_Registers_BitfieldsMask
 * \{  */
/** \brief Length for Ifx_LMU_CLC_Bits.DISR */
#define IFX_LMU_CLC_DISR_LEN (1u)

/** \brief Mask for Ifx_LMU_CLC_Bits.DISR */
#define IFX_LMU_CLC_DISR_MSK (0x1u)

/** \brief Offset for Ifx_LMU_CLC_Bits.DISR */
#define IFX_LMU_CLC_DISR_OFF (0u)

/** \brief Length for Ifx_LMU_CLC_Bits.DISS */
#define IFX_LMU_CLC_DISS_LEN (1u)

/** \brief Mask for Ifx_LMU_CLC_Bits.DISS */
#define IFX_LMU_CLC_DISS_MSK (0x1u)

/** \brief Offset for Ifx_LMU_CLC_Bits.DISS */
#define IFX_LMU_CLC_DISS_OFF (1u)

/** \brief Length for Ifx_LMU_MODID_Bits.ID_VALUE */
#define IFX_LMU_MODID_ID_VALUE_LEN (32u)

/** \brief Mask for Ifx_LMU_MODID_Bits.ID_VALUE */
#define IFX_LMU_MODID_ID_VALUE_MSK (0xffffffffu)

/** \brief Offset for Ifx_LMU_MODID_Bits.ID_VALUE */
#define IFX_LMU_MODID_ID_VALUE_OFF (0u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN0 */
#define IFX_LMU_ACCEN0_EN0_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN0 */
#define IFX_LMU_ACCEN0_EN0_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN0 */
#define IFX_LMU_ACCEN0_EN0_OFF (0u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN1 */
#define IFX_LMU_ACCEN0_EN1_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN1 */
#define IFX_LMU_ACCEN0_EN1_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN1 */
#define IFX_LMU_ACCEN0_EN1_OFF (1u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN2 */
#define IFX_LMU_ACCEN0_EN2_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN2 */
#define IFX_LMU_ACCEN0_EN2_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN2 */
#define IFX_LMU_ACCEN0_EN2_OFF (2u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN3 */
#define IFX_LMU_ACCEN0_EN3_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN3 */
#define IFX_LMU_ACCEN0_EN3_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN3 */
#define IFX_LMU_ACCEN0_EN3_OFF (3u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN4 */
#define IFX_LMU_ACCEN0_EN4_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN4 */
#define IFX_LMU_ACCEN0_EN4_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN4 */
#define IFX_LMU_ACCEN0_EN4_OFF (4u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN5 */
#define IFX_LMU_ACCEN0_EN5_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN5 */
#define IFX_LMU_ACCEN0_EN5_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN5 */
#define IFX_LMU_ACCEN0_EN5_OFF (5u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN6 */
#define IFX_LMU_ACCEN0_EN6_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN6 */
#define IFX_LMU_ACCEN0_EN6_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN6 */
#define IFX_LMU_ACCEN0_EN6_OFF (6u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN7 */
#define IFX_LMU_ACCEN0_EN7_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN7 */
#define IFX_LMU_ACCEN0_EN7_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN7 */
#define IFX_LMU_ACCEN0_EN7_OFF (7u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN8 */
#define IFX_LMU_ACCEN0_EN8_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN8 */
#define IFX_LMU_ACCEN0_EN8_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN8 */
#define IFX_LMU_ACCEN0_EN8_OFF (8u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN9 */
#define IFX_LMU_ACCEN0_EN9_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN9 */
#define IFX_LMU_ACCEN0_EN9_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN9 */
#define IFX_LMU_ACCEN0_EN9_OFF (9u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN10 */
#define IFX_LMU_ACCEN0_EN10_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN10 */
#define IFX_LMU_ACCEN0_EN10_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN10 */
#define IFX_LMU_ACCEN0_EN10_OFF (10u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN11 */
#define IFX_LMU_ACCEN0_EN11_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN11 */
#define IFX_LMU_ACCEN0_EN11_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN11 */
#define IFX_LMU_ACCEN0_EN11_OFF (11u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN12 */
#define IFX_LMU_ACCEN0_EN12_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN12 */
#define IFX_LMU_ACCEN0_EN12_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN12 */
#define IFX_LMU_ACCEN0_EN12_OFF (12u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN13 */
#define IFX_LMU_ACCEN0_EN13_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN13 */
#define IFX_LMU_ACCEN0_EN13_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN13 */
#define IFX_LMU_ACCEN0_EN13_OFF (13u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN14 */
#define IFX_LMU_ACCEN0_EN14_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN14 */
#define IFX_LMU_ACCEN0_EN14_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN14 */
#define IFX_LMU_ACCEN0_EN14_OFF (14u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN15 */
#define IFX_LMU_ACCEN0_EN15_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN15 */
#define IFX_LMU_ACCEN0_EN15_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN15 */
#define IFX_LMU_ACCEN0_EN15_OFF (15u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN16 */
#define IFX_LMU_ACCEN0_EN16_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN16 */
#define IFX_LMU_ACCEN0_EN16_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN16 */
#define IFX_LMU_ACCEN0_EN16_OFF (16u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN17 */
#define IFX_LMU_ACCEN0_EN17_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN17 */
#define IFX_LMU_ACCEN0_EN17_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN17 */
#define IFX_LMU_ACCEN0_EN17_OFF (17u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN18 */
#define IFX_LMU_ACCEN0_EN18_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN18 */
#define IFX_LMU_ACCEN0_EN18_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN18 */
#define IFX_LMU_ACCEN0_EN18_OFF (18u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN19 */
#define IFX_LMU_ACCEN0_EN19_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN19 */
#define IFX_LMU_ACCEN0_EN19_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN19 */
#define IFX_LMU_ACCEN0_EN19_OFF (19u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN20 */
#define IFX_LMU_ACCEN0_EN20_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN20 */
#define IFX_LMU_ACCEN0_EN20_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN20 */
#define IFX_LMU_ACCEN0_EN20_OFF (20u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN21 */
#define IFX_LMU_ACCEN0_EN21_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN21 */
#define IFX_LMU_ACCEN0_EN21_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN21 */
#define IFX_LMU_ACCEN0_EN21_OFF (21u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN22 */
#define IFX_LMU_ACCEN0_EN22_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN22 */
#define IFX_LMU_ACCEN0_EN22_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN22 */
#define IFX_LMU_ACCEN0_EN22_OFF (22u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN23 */
#define IFX_LMU_ACCEN0_EN23_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN23 */
#define IFX_LMU_ACCEN0_EN23_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN23 */
#define IFX_LMU_ACCEN0_EN23_OFF (23u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN24 */
#define IFX_LMU_ACCEN0_EN24_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN24 */
#define IFX_LMU_ACCEN0_EN24_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN24 */
#define IFX_LMU_ACCEN0_EN24_OFF (24u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN25 */
#define IFX_LMU_ACCEN0_EN25_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN25 */
#define IFX_LMU_ACCEN0_EN25_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN25 */
#define IFX_LMU_ACCEN0_EN25_OFF (25u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN26 */
#define IFX_LMU_ACCEN0_EN26_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN26 */
#define IFX_LMU_ACCEN0_EN26_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN26 */
#define IFX_LMU_ACCEN0_EN26_OFF (26u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN27 */
#define IFX_LMU_ACCEN0_EN27_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN27 */
#define IFX_LMU_ACCEN0_EN27_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN27 */
#define IFX_LMU_ACCEN0_EN27_OFF (27u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN28 */
#define IFX_LMU_ACCEN0_EN28_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN28 */
#define IFX_LMU_ACCEN0_EN28_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN28 */
#define IFX_LMU_ACCEN0_EN28_OFF (28u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN29 */
#define IFX_LMU_ACCEN0_EN29_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN29 */
#define IFX_LMU_ACCEN0_EN29_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN29 */
#define IFX_LMU_ACCEN0_EN29_OFF (29u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN30 */
#define IFX_LMU_ACCEN0_EN30_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN30 */
#define IFX_LMU_ACCEN0_EN30_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN30 */
#define IFX_LMU_ACCEN0_EN30_OFF (30u)

/** \brief Length for Ifx_LMU_ACCEN0_Bits.EN31 */
#define IFX_LMU_ACCEN0_EN31_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN0_Bits.EN31 */
#define IFX_LMU_ACCEN0_EN31_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN0_Bits.EN31 */
#define IFX_LMU_ACCEN0_EN31_OFF (31u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN32 */
#define IFX_LMU_ACCEN1_EN32_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN32 */
#define IFX_LMU_ACCEN1_EN32_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN32 */
#define IFX_LMU_ACCEN1_EN32_OFF (0u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN33 */
#define IFX_LMU_ACCEN1_EN33_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN33 */
#define IFX_LMU_ACCEN1_EN33_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN33 */
#define IFX_LMU_ACCEN1_EN33_OFF (1u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN34 */
#define IFX_LMU_ACCEN1_EN34_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN34 */
#define IFX_LMU_ACCEN1_EN34_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN34 */
#define IFX_LMU_ACCEN1_EN34_OFF (2u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN35 */
#define IFX_LMU_ACCEN1_EN35_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN35 */
#define IFX_LMU_ACCEN1_EN35_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN35 */
#define IFX_LMU_ACCEN1_EN35_OFF (3u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN36 */
#define IFX_LMU_ACCEN1_EN36_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN36 */
#define IFX_LMU_ACCEN1_EN36_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN36 */
#define IFX_LMU_ACCEN1_EN36_OFF (4u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN37 */
#define IFX_LMU_ACCEN1_EN37_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN37 */
#define IFX_LMU_ACCEN1_EN37_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN37 */
#define IFX_LMU_ACCEN1_EN37_OFF (5u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN38 */
#define IFX_LMU_ACCEN1_EN38_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN38 */
#define IFX_LMU_ACCEN1_EN38_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN38 */
#define IFX_LMU_ACCEN1_EN38_OFF (6u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN39 */
#define IFX_LMU_ACCEN1_EN39_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN39 */
#define IFX_LMU_ACCEN1_EN39_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN39 */
#define IFX_LMU_ACCEN1_EN39_OFF (7u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN40 */
#define IFX_LMU_ACCEN1_EN40_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN40 */
#define IFX_LMU_ACCEN1_EN40_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN40 */
#define IFX_LMU_ACCEN1_EN40_OFF (8u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN41 */
#define IFX_LMU_ACCEN1_EN41_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN41 */
#define IFX_LMU_ACCEN1_EN41_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN41 */
#define IFX_LMU_ACCEN1_EN41_OFF (9u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN42 */
#define IFX_LMU_ACCEN1_EN42_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN42 */
#define IFX_LMU_ACCEN1_EN42_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN42 */
#define IFX_LMU_ACCEN1_EN42_OFF (10u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN43 */
#define IFX_LMU_ACCEN1_EN43_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN43 */
#define IFX_LMU_ACCEN1_EN43_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN43 */
#define IFX_LMU_ACCEN1_EN43_OFF (11u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN44 */
#define IFX_LMU_ACCEN1_EN44_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN44 */
#define IFX_LMU_ACCEN1_EN44_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN44 */
#define IFX_LMU_ACCEN1_EN44_OFF (12u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN45 */
#define IFX_LMU_ACCEN1_EN45_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN45 */
#define IFX_LMU_ACCEN1_EN45_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN45 */
#define IFX_LMU_ACCEN1_EN45_OFF (13u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN46 */
#define IFX_LMU_ACCEN1_EN46_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN46 */
#define IFX_LMU_ACCEN1_EN46_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN46 */
#define IFX_LMU_ACCEN1_EN46_OFF (14u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN47 */
#define IFX_LMU_ACCEN1_EN47_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN47 */
#define IFX_LMU_ACCEN1_EN47_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN47 */
#define IFX_LMU_ACCEN1_EN47_OFF (15u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN48 */
#define IFX_LMU_ACCEN1_EN48_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN48 */
#define IFX_LMU_ACCEN1_EN48_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN48 */
#define IFX_LMU_ACCEN1_EN48_OFF (16u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN49 */
#define IFX_LMU_ACCEN1_EN49_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN49 */
#define IFX_LMU_ACCEN1_EN49_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN49 */
#define IFX_LMU_ACCEN1_EN49_OFF (17u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN50 */
#define IFX_LMU_ACCEN1_EN50_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN50 */
#define IFX_LMU_ACCEN1_EN50_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN50 */
#define IFX_LMU_ACCEN1_EN50_OFF (18u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN51 */
#define IFX_LMU_ACCEN1_EN51_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN51 */
#define IFX_LMU_ACCEN1_EN51_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN51 */
#define IFX_LMU_ACCEN1_EN51_OFF (19u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN52 */
#define IFX_LMU_ACCEN1_EN52_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN52 */
#define IFX_LMU_ACCEN1_EN52_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN52 */
#define IFX_LMU_ACCEN1_EN52_OFF (20u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN53 */
#define IFX_LMU_ACCEN1_EN53_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN53 */
#define IFX_LMU_ACCEN1_EN53_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN53 */
#define IFX_LMU_ACCEN1_EN53_OFF (21u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN54 */
#define IFX_LMU_ACCEN1_EN54_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN54 */
#define IFX_LMU_ACCEN1_EN54_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN54 */
#define IFX_LMU_ACCEN1_EN54_OFF (22u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN55 */
#define IFX_LMU_ACCEN1_EN55_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN55 */
#define IFX_LMU_ACCEN1_EN55_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN55 */
#define IFX_LMU_ACCEN1_EN55_OFF (23u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN56 */
#define IFX_LMU_ACCEN1_EN56_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN56 */
#define IFX_LMU_ACCEN1_EN56_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN56 */
#define IFX_LMU_ACCEN1_EN56_OFF (24u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN57 */
#define IFX_LMU_ACCEN1_EN57_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN57 */
#define IFX_LMU_ACCEN1_EN57_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN57 */
#define IFX_LMU_ACCEN1_EN57_OFF (25u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN58 */
#define IFX_LMU_ACCEN1_EN58_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN58 */
#define IFX_LMU_ACCEN1_EN58_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN58 */
#define IFX_LMU_ACCEN1_EN58_OFF (26u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN59 */
#define IFX_LMU_ACCEN1_EN59_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN59 */
#define IFX_LMU_ACCEN1_EN59_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN59 */
#define IFX_LMU_ACCEN1_EN59_OFF (27u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN60 */
#define IFX_LMU_ACCEN1_EN60_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN60 */
#define IFX_LMU_ACCEN1_EN60_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN60 */
#define IFX_LMU_ACCEN1_EN60_OFF (28u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN61 */
#define IFX_LMU_ACCEN1_EN61_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN61 */
#define IFX_LMU_ACCEN1_EN61_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN61 */
#define IFX_LMU_ACCEN1_EN61_OFF (29u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN62 */
#define IFX_LMU_ACCEN1_EN62_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN62 */
#define IFX_LMU_ACCEN1_EN62_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN62 */
#define IFX_LMU_ACCEN1_EN62_OFF (30u)

/** \brief Length for Ifx_LMU_ACCEN1_Bits.EN63 */
#define IFX_LMU_ACCEN1_EN63_LEN (1u)

/** \brief Mask for Ifx_LMU_ACCEN1_Bits.EN63 */
#define IFX_LMU_ACCEN1_EN63_MSK (0x1u)

/** \brief Offset for Ifx_LMU_ACCEN1_Bits.EN63 */
#define IFX_LMU_ACCEN1_EN63_OFF (31u)

/** \brief Length for Ifx_LMU_MEMCON_Bits.INTERR */
#define IFX_LMU_MEMCON_INTERR_LEN (1u)

/** \brief Mask for Ifx_LMU_MEMCON_Bits.INTERR */
#define IFX_LMU_MEMCON_INTERR_MSK (0x1u)

/** \brief Offset for Ifx_LMU_MEMCON_Bits.INTERR */
#define IFX_LMU_MEMCON_INTERR_OFF (2u)

/** \brief Length for Ifx_LMU_MEMCON_Bits.RMWERR */
#define IFX_LMU_MEMCON_RMWERR_LEN (1u)

/** \brief Mask for Ifx_LMU_MEMCON_Bits.RMWERR */
#define IFX_LMU_MEMCON_RMWERR_MSK (0x1u)

/** \brief Offset for Ifx_LMU_MEMCON_Bits.RMWERR */
#define IFX_LMU_MEMCON_RMWERR_OFF (4u)

/** \brief Length for Ifx_LMU_MEMCON_Bits.DATAERR */
#define IFX_LMU_MEMCON_DATAERR_LEN (1u)

/** \brief Mask for Ifx_LMU_MEMCON_Bits.DATAERR */
#define IFX_LMU_MEMCON_DATAERR_MSK (0x1u)

/** \brief Offset for Ifx_LMU_MEMCON_Bits.DATAERR */
#define IFX_LMU_MEMCON_DATAERR_OFF (6u)

/** \brief Length for Ifx_LMU_MEMCON_Bits.ADDERR */
#define IFX_LMU_MEMCON_ADDERR_LEN (1u)

/** \brief Mask for Ifx_LMU_MEMCON_Bits.ADDERR */
#define IFX_LMU_MEMCON_ADDERR_MSK (0x1u)

/** \brief Offset for Ifx_LMU_MEMCON_Bits.ADDERR */
#define IFX_LMU_MEMCON_ADDERR_OFF (7u)

/** \brief Length for Ifx_LMU_MEMCON_Bits.PMIC */
#define IFX_LMU_MEMCON_PMIC_LEN (1u)

/** \brief Mask for Ifx_LMU_MEMCON_Bits.PMIC */
#define IFX_LMU_MEMCON_PMIC_MSK (0x1u)

/** \brief Offset for Ifx_LMU_MEMCON_Bits.PMIC */
#define IFX_LMU_MEMCON_PMIC_OFF (8u)

/** \brief Length for Ifx_LMU_MEMCON_Bits.ERRDIS */
#define IFX_LMU_MEMCON_ERRDIS_LEN (1u)

/** \brief Mask for Ifx_LMU_MEMCON_Bits.ERRDIS */
#define IFX_LMU_MEMCON_ERRDIS_MSK (0x1u)

/** \brief Offset for Ifx_LMU_MEMCON_Bits.ERRDIS */
#define IFX_LMU_MEMCON_ERRDIS_OFF (9u)

/** \brief Length for Ifx_LMU_SCTRL_Bits.GED */
#define IFX_LMU_SCTRL_GED_LEN (1u)

/** \brief Mask for Ifx_LMU_SCTRL_Bits.GED */
#define IFX_LMU_SCTRL_GED_MSK (0x1u)

/** \brief Offset for Ifx_LMU_SCTRL_Bits.GED */
#define IFX_LMU_SCTRL_GED_OFF (0u)

/** \brief Length for Ifx_LMU_SCTRL_Bits.GEC */
#define IFX_LMU_SCTRL_GEC_LEN (1u)

/** \brief Mask for Ifx_LMU_SCTRL_Bits.GEC */
#define IFX_LMU_SCTRL_GEC_MSK (0x1u)

/** \brief Offset for Ifx_LMU_SCTRL_Bits.GEC */
#define IFX_LMU_SCTRL_GEC_OFF (1u)

/** \brief Length for Ifx_LMU_SCTRL_Bits.LSEN */
#define IFX_LMU_SCTRL_LSEN_LEN (2u)

/** \brief Mask for Ifx_LMU_SCTRL_Bits.LSEN */
#define IFX_LMU_SCTRL_LSEN_MSK (0x3u)

/** \brief Offset for Ifx_LMU_SCTRL_Bits.LSEN */
#define IFX_LMU_SCTRL_LSEN_OFF (8u)

/** \brief Length for Ifx_LMU_SCTRL_Bits.LSTST */
#define IFX_LMU_SCTRL_LSTST_LEN (2u)

/** \brief Mask for Ifx_LMU_SCTRL_Bits.LSTST */
#define IFX_LMU_SCTRL_LSTST_MSK (0x3u)

/** \brief Offset for Ifx_LMU_SCTRL_Bits.LSTST */
#define IFX_LMU_SCTRL_LSTST_OFF (10u)

/** \brief Length for Ifx_LMU_SCTRL_Bits.LSSTAT */
#define IFX_LMU_SCTRL_LSSTAT_LEN (2u)

/** \brief Mask for Ifx_LMU_SCTRL_Bits.LSSTAT */
#define IFX_LMU_SCTRL_LSSTAT_MSK (0x3u)

/** \brief Offset for Ifx_LMU_SCTRL_Bits.LSSTAT */
#define IFX_LMU_SCTRL_LSSTAT_OFF (16u)

/** \brief Length for Ifx_LMU_RGN_LA_Bits.ADDR */
#define IFX_LMU_RGN_LA_ADDR_LEN (27u)

/** \brief Mask for Ifx_LMU_RGN_LA_Bits.ADDR */
#define IFX_LMU_RGN_LA_ADDR_MSK (0x7ffffffu)

/** \brief Offset for Ifx_LMU_RGN_LA_Bits.ADDR */
#define IFX_LMU_RGN_LA_ADDR_OFF (5u)

/** \brief Length for Ifx_LMU_RGN_UA_Bits.ADDR */
#define IFX_LMU_RGN_UA_ADDR_LEN (27u)

/** \brief Mask for Ifx_LMU_RGN_UA_Bits.ADDR */
#define IFX_LMU_RGN_UA_ADDR_MSK (0x7ffffffu)

/** \brief Offset for Ifx_LMU_RGN_UA_Bits.ADDR */
#define IFX_LMU_RGN_UA_ADDR_OFF (5u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN0 */
#define IFX_LMU_RGN_ACCENA_EN0_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN0 */
#define IFX_LMU_RGN_ACCENA_EN0_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN0 */
#define IFX_LMU_RGN_ACCENA_EN0_OFF (0u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN1 */
#define IFX_LMU_RGN_ACCENA_EN1_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN1 */
#define IFX_LMU_RGN_ACCENA_EN1_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN1 */
#define IFX_LMU_RGN_ACCENA_EN1_OFF (1u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN2 */
#define IFX_LMU_RGN_ACCENA_EN2_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN2 */
#define IFX_LMU_RGN_ACCENA_EN2_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN2 */
#define IFX_LMU_RGN_ACCENA_EN2_OFF (2u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN3 */
#define IFX_LMU_RGN_ACCENA_EN3_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN3 */
#define IFX_LMU_RGN_ACCENA_EN3_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN3 */
#define IFX_LMU_RGN_ACCENA_EN3_OFF (3u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN4 */
#define IFX_LMU_RGN_ACCENA_EN4_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN4 */
#define IFX_LMU_RGN_ACCENA_EN4_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN4 */
#define IFX_LMU_RGN_ACCENA_EN4_OFF (4u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN5 */
#define IFX_LMU_RGN_ACCENA_EN5_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN5 */
#define IFX_LMU_RGN_ACCENA_EN5_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN5 */
#define IFX_LMU_RGN_ACCENA_EN5_OFF (5u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN6 */
#define IFX_LMU_RGN_ACCENA_EN6_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN6 */
#define IFX_LMU_RGN_ACCENA_EN6_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN6 */
#define IFX_LMU_RGN_ACCENA_EN6_OFF (6u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN7 */
#define IFX_LMU_RGN_ACCENA_EN7_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN7 */
#define IFX_LMU_RGN_ACCENA_EN7_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN7 */
#define IFX_LMU_RGN_ACCENA_EN7_OFF (7u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN8 */
#define IFX_LMU_RGN_ACCENA_EN8_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN8 */
#define IFX_LMU_RGN_ACCENA_EN8_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN8 */
#define IFX_LMU_RGN_ACCENA_EN8_OFF (8u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN9 */
#define IFX_LMU_RGN_ACCENA_EN9_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN9 */
#define IFX_LMU_RGN_ACCENA_EN9_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN9 */
#define IFX_LMU_RGN_ACCENA_EN9_OFF (9u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN10 */
#define IFX_LMU_RGN_ACCENA_EN10_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN10 */
#define IFX_LMU_RGN_ACCENA_EN10_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN10 */
#define IFX_LMU_RGN_ACCENA_EN10_OFF (10u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN11 */
#define IFX_LMU_RGN_ACCENA_EN11_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN11 */
#define IFX_LMU_RGN_ACCENA_EN11_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN11 */
#define IFX_LMU_RGN_ACCENA_EN11_OFF (11u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN12 */
#define IFX_LMU_RGN_ACCENA_EN12_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN12 */
#define IFX_LMU_RGN_ACCENA_EN12_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN12 */
#define IFX_LMU_RGN_ACCENA_EN12_OFF (12u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN13 */
#define IFX_LMU_RGN_ACCENA_EN13_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN13 */
#define IFX_LMU_RGN_ACCENA_EN13_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN13 */
#define IFX_LMU_RGN_ACCENA_EN13_OFF (13u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN14 */
#define IFX_LMU_RGN_ACCENA_EN14_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN14 */
#define IFX_LMU_RGN_ACCENA_EN14_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN14 */
#define IFX_LMU_RGN_ACCENA_EN14_OFF (14u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN15 */
#define IFX_LMU_RGN_ACCENA_EN15_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN15 */
#define IFX_LMU_RGN_ACCENA_EN15_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN15 */
#define IFX_LMU_RGN_ACCENA_EN15_OFF (15u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN16 */
#define IFX_LMU_RGN_ACCENA_EN16_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN16 */
#define IFX_LMU_RGN_ACCENA_EN16_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN16 */
#define IFX_LMU_RGN_ACCENA_EN16_OFF (16u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN17 */
#define IFX_LMU_RGN_ACCENA_EN17_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN17 */
#define IFX_LMU_RGN_ACCENA_EN17_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN17 */
#define IFX_LMU_RGN_ACCENA_EN17_OFF (17u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN18 */
#define IFX_LMU_RGN_ACCENA_EN18_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN18 */
#define IFX_LMU_RGN_ACCENA_EN18_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN18 */
#define IFX_LMU_RGN_ACCENA_EN18_OFF (18u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN19 */
#define IFX_LMU_RGN_ACCENA_EN19_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN19 */
#define IFX_LMU_RGN_ACCENA_EN19_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN19 */
#define IFX_LMU_RGN_ACCENA_EN19_OFF (19u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN20 */
#define IFX_LMU_RGN_ACCENA_EN20_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN20 */
#define IFX_LMU_RGN_ACCENA_EN20_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN20 */
#define IFX_LMU_RGN_ACCENA_EN20_OFF (20u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN21 */
#define IFX_LMU_RGN_ACCENA_EN21_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN21 */
#define IFX_LMU_RGN_ACCENA_EN21_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN21 */
#define IFX_LMU_RGN_ACCENA_EN21_OFF (21u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN22 */
#define IFX_LMU_RGN_ACCENA_EN22_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN22 */
#define IFX_LMU_RGN_ACCENA_EN22_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN22 */
#define IFX_LMU_RGN_ACCENA_EN22_OFF (22u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN23 */
#define IFX_LMU_RGN_ACCENA_EN23_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN23 */
#define IFX_LMU_RGN_ACCENA_EN23_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN23 */
#define IFX_LMU_RGN_ACCENA_EN23_OFF (23u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN24 */
#define IFX_LMU_RGN_ACCENA_EN24_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN24 */
#define IFX_LMU_RGN_ACCENA_EN24_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN24 */
#define IFX_LMU_RGN_ACCENA_EN24_OFF (24u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN25 */
#define IFX_LMU_RGN_ACCENA_EN25_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN25 */
#define IFX_LMU_RGN_ACCENA_EN25_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN25 */
#define IFX_LMU_RGN_ACCENA_EN25_OFF (25u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN26 */
#define IFX_LMU_RGN_ACCENA_EN26_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN26 */
#define IFX_LMU_RGN_ACCENA_EN26_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN26 */
#define IFX_LMU_RGN_ACCENA_EN26_OFF (26u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN27 */
#define IFX_LMU_RGN_ACCENA_EN27_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN27 */
#define IFX_LMU_RGN_ACCENA_EN27_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN27 */
#define IFX_LMU_RGN_ACCENA_EN27_OFF (27u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN28 */
#define IFX_LMU_RGN_ACCENA_EN28_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN28 */
#define IFX_LMU_RGN_ACCENA_EN28_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN28 */
#define IFX_LMU_RGN_ACCENA_EN28_OFF (28u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN29 */
#define IFX_LMU_RGN_ACCENA_EN29_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN29 */
#define IFX_LMU_RGN_ACCENA_EN29_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN29 */
#define IFX_LMU_RGN_ACCENA_EN29_OFF (29u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN30 */
#define IFX_LMU_RGN_ACCENA_EN30_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN30 */
#define IFX_LMU_RGN_ACCENA_EN30_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN30 */
#define IFX_LMU_RGN_ACCENA_EN30_OFF (30u)

/** \brief Length for Ifx_LMU_RGN_ACCENA_Bits.EN31 */
#define IFX_LMU_RGN_ACCENA_EN31_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENA_Bits.EN31 */
#define IFX_LMU_RGN_ACCENA_EN31_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENA_Bits.EN31 */
#define IFX_LMU_RGN_ACCENA_EN31_OFF (31u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN32 */
#define IFX_LMU_RGN_ACCENB_EN32_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN32 */
#define IFX_LMU_RGN_ACCENB_EN32_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN32 */
#define IFX_LMU_RGN_ACCENB_EN32_OFF (0u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN33 */
#define IFX_LMU_RGN_ACCENB_EN33_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN33 */
#define IFX_LMU_RGN_ACCENB_EN33_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN33 */
#define IFX_LMU_RGN_ACCENB_EN33_OFF (1u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN34 */
#define IFX_LMU_RGN_ACCENB_EN34_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN34 */
#define IFX_LMU_RGN_ACCENB_EN34_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN34 */
#define IFX_LMU_RGN_ACCENB_EN34_OFF (2u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN35 */
#define IFX_LMU_RGN_ACCENB_EN35_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN35 */
#define IFX_LMU_RGN_ACCENB_EN35_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN35 */
#define IFX_LMU_RGN_ACCENB_EN35_OFF (3u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN36 */
#define IFX_LMU_RGN_ACCENB_EN36_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN36 */
#define IFX_LMU_RGN_ACCENB_EN36_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN36 */
#define IFX_LMU_RGN_ACCENB_EN36_OFF (4u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN37 */
#define IFX_LMU_RGN_ACCENB_EN37_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN37 */
#define IFX_LMU_RGN_ACCENB_EN37_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN37 */
#define IFX_LMU_RGN_ACCENB_EN37_OFF (5u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN38 */
#define IFX_LMU_RGN_ACCENB_EN38_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN38 */
#define IFX_LMU_RGN_ACCENB_EN38_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN38 */
#define IFX_LMU_RGN_ACCENB_EN38_OFF (6u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN39 */
#define IFX_LMU_RGN_ACCENB_EN39_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN39 */
#define IFX_LMU_RGN_ACCENB_EN39_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN39 */
#define IFX_LMU_RGN_ACCENB_EN39_OFF (7u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN40 */
#define IFX_LMU_RGN_ACCENB_EN40_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN40 */
#define IFX_LMU_RGN_ACCENB_EN40_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN40 */
#define IFX_LMU_RGN_ACCENB_EN40_OFF (8u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN41 */
#define IFX_LMU_RGN_ACCENB_EN41_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN41 */
#define IFX_LMU_RGN_ACCENB_EN41_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN41 */
#define IFX_LMU_RGN_ACCENB_EN41_OFF (9u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN42 */
#define IFX_LMU_RGN_ACCENB_EN42_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN42 */
#define IFX_LMU_RGN_ACCENB_EN42_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN42 */
#define IFX_LMU_RGN_ACCENB_EN42_OFF (10u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN43 */
#define IFX_LMU_RGN_ACCENB_EN43_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN43 */
#define IFX_LMU_RGN_ACCENB_EN43_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN43 */
#define IFX_LMU_RGN_ACCENB_EN43_OFF (11u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN44 */
#define IFX_LMU_RGN_ACCENB_EN44_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN44 */
#define IFX_LMU_RGN_ACCENB_EN44_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN44 */
#define IFX_LMU_RGN_ACCENB_EN44_OFF (12u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN45 */
#define IFX_LMU_RGN_ACCENB_EN45_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN45 */
#define IFX_LMU_RGN_ACCENB_EN45_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN45 */
#define IFX_LMU_RGN_ACCENB_EN45_OFF (13u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN46 */
#define IFX_LMU_RGN_ACCENB_EN46_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN46 */
#define IFX_LMU_RGN_ACCENB_EN46_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN46 */
#define IFX_LMU_RGN_ACCENB_EN46_OFF (14u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN47 */
#define IFX_LMU_RGN_ACCENB_EN47_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN47 */
#define IFX_LMU_RGN_ACCENB_EN47_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN47 */
#define IFX_LMU_RGN_ACCENB_EN47_OFF (15u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN48 */
#define IFX_LMU_RGN_ACCENB_EN48_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN48 */
#define IFX_LMU_RGN_ACCENB_EN48_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN48 */
#define IFX_LMU_RGN_ACCENB_EN48_OFF (16u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN49 */
#define IFX_LMU_RGN_ACCENB_EN49_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN49 */
#define IFX_LMU_RGN_ACCENB_EN49_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN49 */
#define IFX_LMU_RGN_ACCENB_EN49_OFF (17u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN50 */
#define IFX_LMU_RGN_ACCENB_EN50_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN50 */
#define IFX_LMU_RGN_ACCENB_EN50_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN50 */
#define IFX_LMU_RGN_ACCENB_EN50_OFF (18u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN51 */
#define IFX_LMU_RGN_ACCENB_EN51_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN51 */
#define IFX_LMU_RGN_ACCENB_EN51_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN51 */
#define IFX_LMU_RGN_ACCENB_EN51_OFF (19u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN52 */
#define IFX_LMU_RGN_ACCENB_EN52_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN52 */
#define IFX_LMU_RGN_ACCENB_EN52_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN52 */
#define IFX_LMU_RGN_ACCENB_EN52_OFF (20u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN53 */
#define IFX_LMU_RGN_ACCENB_EN53_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN53 */
#define IFX_LMU_RGN_ACCENB_EN53_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN53 */
#define IFX_LMU_RGN_ACCENB_EN53_OFF (21u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN54 */
#define IFX_LMU_RGN_ACCENB_EN54_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN54 */
#define IFX_LMU_RGN_ACCENB_EN54_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN54 */
#define IFX_LMU_RGN_ACCENB_EN54_OFF (22u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN55 */
#define IFX_LMU_RGN_ACCENB_EN55_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN55 */
#define IFX_LMU_RGN_ACCENB_EN55_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN55 */
#define IFX_LMU_RGN_ACCENB_EN55_OFF (23u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN56 */
#define IFX_LMU_RGN_ACCENB_EN56_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN56 */
#define IFX_LMU_RGN_ACCENB_EN56_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN56 */
#define IFX_LMU_RGN_ACCENB_EN56_OFF (24u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN57 */
#define IFX_LMU_RGN_ACCENB_EN57_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN57 */
#define IFX_LMU_RGN_ACCENB_EN57_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN57 */
#define IFX_LMU_RGN_ACCENB_EN57_OFF (25u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN58 */
#define IFX_LMU_RGN_ACCENB_EN58_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN58 */
#define IFX_LMU_RGN_ACCENB_EN58_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN58 */
#define IFX_LMU_RGN_ACCENB_EN58_OFF (26u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN59 */
#define IFX_LMU_RGN_ACCENB_EN59_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN59 */
#define IFX_LMU_RGN_ACCENB_EN59_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN59 */
#define IFX_LMU_RGN_ACCENB_EN59_OFF (27u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN60 */
#define IFX_LMU_RGN_ACCENB_EN60_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN60 */
#define IFX_LMU_RGN_ACCENB_EN60_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN60 */
#define IFX_LMU_RGN_ACCENB_EN60_OFF (28u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN61 */
#define IFX_LMU_RGN_ACCENB_EN61_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN61 */
#define IFX_LMU_RGN_ACCENB_EN61_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN61 */
#define IFX_LMU_RGN_ACCENB_EN61_OFF (29u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN62 */
#define IFX_LMU_RGN_ACCENB_EN62_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN62 */
#define IFX_LMU_RGN_ACCENB_EN62_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN62 */
#define IFX_LMU_RGN_ACCENB_EN62_OFF (30u)

/** \brief Length for Ifx_LMU_RGN_ACCENB_Bits.EN63 */
#define IFX_LMU_RGN_ACCENB_EN63_LEN (1u)

/** \brief Mask for Ifx_LMU_RGN_ACCENB_Bits.EN63 */
#define IFX_LMU_RGN_ACCENB_EN63_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGN_ACCENB_Bits.EN63 */
#define IFX_LMU_RGN_ACCENB_EN63_OFF (31u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN0 */
#define IFX_LMU_RGNACCEN_RA_EN0_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN0 */
#define IFX_LMU_RGNACCEN_RA_EN0_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN0 */
#define IFX_LMU_RGNACCEN_RA_EN0_OFF (0u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN1 */
#define IFX_LMU_RGNACCEN_RA_EN1_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN1 */
#define IFX_LMU_RGNACCEN_RA_EN1_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN1 */
#define IFX_LMU_RGNACCEN_RA_EN1_OFF (1u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN2 */
#define IFX_LMU_RGNACCEN_RA_EN2_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN2 */
#define IFX_LMU_RGNACCEN_RA_EN2_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN2 */
#define IFX_LMU_RGNACCEN_RA_EN2_OFF (2u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN3 */
#define IFX_LMU_RGNACCEN_RA_EN3_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN3 */
#define IFX_LMU_RGNACCEN_RA_EN3_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN3 */
#define IFX_LMU_RGNACCEN_RA_EN3_OFF (3u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN4 */
#define IFX_LMU_RGNACCEN_RA_EN4_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN4 */
#define IFX_LMU_RGNACCEN_RA_EN4_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN4 */
#define IFX_LMU_RGNACCEN_RA_EN4_OFF (4u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN5 */
#define IFX_LMU_RGNACCEN_RA_EN5_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN5 */
#define IFX_LMU_RGNACCEN_RA_EN5_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN5 */
#define IFX_LMU_RGNACCEN_RA_EN5_OFF (5u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN6 */
#define IFX_LMU_RGNACCEN_RA_EN6_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN6 */
#define IFX_LMU_RGNACCEN_RA_EN6_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN6 */
#define IFX_LMU_RGNACCEN_RA_EN6_OFF (6u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN7 */
#define IFX_LMU_RGNACCEN_RA_EN7_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN7 */
#define IFX_LMU_RGNACCEN_RA_EN7_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN7 */
#define IFX_LMU_RGNACCEN_RA_EN7_OFF (7u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN8 */
#define IFX_LMU_RGNACCEN_RA_EN8_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN8 */
#define IFX_LMU_RGNACCEN_RA_EN8_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN8 */
#define IFX_LMU_RGNACCEN_RA_EN8_OFF (8u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN9 */
#define IFX_LMU_RGNACCEN_RA_EN9_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN9 */
#define IFX_LMU_RGNACCEN_RA_EN9_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN9 */
#define IFX_LMU_RGNACCEN_RA_EN9_OFF (9u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN10 */
#define IFX_LMU_RGNACCEN_RA_EN10_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN10 */
#define IFX_LMU_RGNACCEN_RA_EN10_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN10 */
#define IFX_LMU_RGNACCEN_RA_EN10_OFF (10u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN11 */
#define IFX_LMU_RGNACCEN_RA_EN11_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN11 */
#define IFX_LMU_RGNACCEN_RA_EN11_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN11 */
#define IFX_LMU_RGNACCEN_RA_EN11_OFF (11u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN12 */
#define IFX_LMU_RGNACCEN_RA_EN12_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN12 */
#define IFX_LMU_RGNACCEN_RA_EN12_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN12 */
#define IFX_LMU_RGNACCEN_RA_EN12_OFF (12u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN13 */
#define IFX_LMU_RGNACCEN_RA_EN13_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN13 */
#define IFX_LMU_RGNACCEN_RA_EN13_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN13 */
#define IFX_LMU_RGNACCEN_RA_EN13_OFF (13u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN14 */
#define IFX_LMU_RGNACCEN_RA_EN14_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN14 */
#define IFX_LMU_RGNACCEN_RA_EN14_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN14 */
#define IFX_LMU_RGNACCEN_RA_EN14_OFF (14u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN15 */
#define IFX_LMU_RGNACCEN_RA_EN15_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN15 */
#define IFX_LMU_RGNACCEN_RA_EN15_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN15 */
#define IFX_LMU_RGNACCEN_RA_EN15_OFF (15u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN16 */
#define IFX_LMU_RGNACCEN_RA_EN16_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN16 */
#define IFX_LMU_RGNACCEN_RA_EN16_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN16 */
#define IFX_LMU_RGNACCEN_RA_EN16_OFF (16u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN17 */
#define IFX_LMU_RGNACCEN_RA_EN17_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN17 */
#define IFX_LMU_RGNACCEN_RA_EN17_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN17 */
#define IFX_LMU_RGNACCEN_RA_EN17_OFF (17u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN18 */
#define IFX_LMU_RGNACCEN_RA_EN18_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN18 */
#define IFX_LMU_RGNACCEN_RA_EN18_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN18 */
#define IFX_LMU_RGNACCEN_RA_EN18_OFF (18u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN19 */
#define IFX_LMU_RGNACCEN_RA_EN19_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN19 */
#define IFX_LMU_RGNACCEN_RA_EN19_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN19 */
#define IFX_LMU_RGNACCEN_RA_EN19_OFF (19u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN20 */
#define IFX_LMU_RGNACCEN_RA_EN20_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN20 */
#define IFX_LMU_RGNACCEN_RA_EN20_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN20 */
#define IFX_LMU_RGNACCEN_RA_EN20_OFF (20u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN21 */
#define IFX_LMU_RGNACCEN_RA_EN21_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN21 */
#define IFX_LMU_RGNACCEN_RA_EN21_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN21 */
#define IFX_LMU_RGNACCEN_RA_EN21_OFF (21u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN22 */
#define IFX_LMU_RGNACCEN_RA_EN22_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN22 */
#define IFX_LMU_RGNACCEN_RA_EN22_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN22 */
#define IFX_LMU_RGNACCEN_RA_EN22_OFF (22u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN23 */
#define IFX_LMU_RGNACCEN_RA_EN23_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN23 */
#define IFX_LMU_RGNACCEN_RA_EN23_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN23 */
#define IFX_LMU_RGNACCEN_RA_EN23_OFF (23u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN24 */
#define IFX_LMU_RGNACCEN_RA_EN24_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN24 */
#define IFX_LMU_RGNACCEN_RA_EN24_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN24 */
#define IFX_LMU_RGNACCEN_RA_EN24_OFF (24u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN25 */
#define IFX_LMU_RGNACCEN_RA_EN25_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN25 */
#define IFX_LMU_RGNACCEN_RA_EN25_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN25 */
#define IFX_LMU_RGNACCEN_RA_EN25_OFF (25u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN26 */
#define IFX_LMU_RGNACCEN_RA_EN26_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN26 */
#define IFX_LMU_RGNACCEN_RA_EN26_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN26 */
#define IFX_LMU_RGNACCEN_RA_EN26_OFF (26u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN27 */
#define IFX_LMU_RGNACCEN_RA_EN27_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN27 */
#define IFX_LMU_RGNACCEN_RA_EN27_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN27 */
#define IFX_LMU_RGNACCEN_RA_EN27_OFF (27u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN28 */
#define IFX_LMU_RGNACCEN_RA_EN28_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN28 */
#define IFX_LMU_RGNACCEN_RA_EN28_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN28 */
#define IFX_LMU_RGNACCEN_RA_EN28_OFF (28u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN29 */
#define IFX_LMU_RGNACCEN_RA_EN29_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN29 */
#define IFX_LMU_RGNACCEN_RA_EN29_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN29 */
#define IFX_LMU_RGNACCEN_RA_EN29_OFF (29u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN30 */
#define IFX_LMU_RGNACCEN_RA_EN30_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN30 */
#define IFX_LMU_RGNACCEN_RA_EN30_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN30 */
#define IFX_LMU_RGNACCEN_RA_EN30_OFF (30u)

/** \brief Length for Ifx_LMU_RGNACCEN_RA_Bits.EN31 */
#define IFX_LMU_RGNACCEN_RA_EN31_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RA_Bits.EN31 */
#define IFX_LMU_RGNACCEN_RA_EN31_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RA_Bits.EN31 */
#define IFX_LMU_RGNACCEN_RA_EN31_OFF (31u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN32 */
#define IFX_LMU_RGNACCEN_RB_EN32_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN32 */
#define IFX_LMU_RGNACCEN_RB_EN32_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN32 */
#define IFX_LMU_RGNACCEN_RB_EN32_OFF (0u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN33 */
#define IFX_LMU_RGNACCEN_RB_EN33_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN33 */
#define IFX_LMU_RGNACCEN_RB_EN33_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN33 */
#define IFX_LMU_RGNACCEN_RB_EN33_OFF (1u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN34 */
#define IFX_LMU_RGNACCEN_RB_EN34_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN34 */
#define IFX_LMU_RGNACCEN_RB_EN34_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN34 */
#define IFX_LMU_RGNACCEN_RB_EN34_OFF (2u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN35 */
#define IFX_LMU_RGNACCEN_RB_EN35_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN35 */
#define IFX_LMU_RGNACCEN_RB_EN35_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN35 */
#define IFX_LMU_RGNACCEN_RB_EN35_OFF (3u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN36 */
#define IFX_LMU_RGNACCEN_RB_EN36_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN36 */
#define IFX_LMU_RGNACCEN_RB_EN36_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN36 */
#define IFX_LMU_RGNACCEN_RB_EN36_OFF (4u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN37 */
#define IFX_LMU_RGNACCEN_RB_EN37_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN37 */
#define IFX_LMU_RGNACCEN_RB_EN37_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN37 */
#define IFX_LMU_RGNACCEN_RB_EN37_OFF (5u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN38 */
#define IFX_LMU_RGNACCEN_RB_EN38_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN38 */
#define IFX_LMU_RGNACCEN_RB_EN38_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN38 */
#define IFX_LMU_RGNACCEN_RB_EN38_OFF (6u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN39 */
#define IFX_LMU_RGNACCEN_RB_EN39_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN39 */
#define IFX_LMU_RGNACCEN_RB_EN39_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN39 */
#define IFX_LMU_RGNACCEN_RB_EN39_OFF (7u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN40 */
#define IFX_LMU_RGNACCEN_RB_EN40_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN40 */
#define IFX_LMU_RGNACCEN_RB_EN40_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN40 */
#define IFX_LMU_RGNACCEN_RB_EN40_OFF (8u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN41 */
#define IFX_LMU_RGNACCEN_RB_EN41_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN41 */
#define IFX_LMU_RGNACCEN_RB_EN41_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN41 */
#define IFX_LMU_RGNACCEN_RB_EN41_OFF (9u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN42 */
#define IFX_LMU_RGNACCEN_RB_EN42_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN42 */
#define IFX_LMU_RGNACCEN_RB_EN42_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN42 */
#define IFX_LMU_RGNACCEN_RB_EN42_OFF (10u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN43 */
#define IFX_LMU_RGNACCEN_RB_EN43_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN43 */
#define IFX_LMU_RGNACCEN_RB_EN43_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN43 */
#define IFX_LMU_RGNACCEN_RB_EN43_OFF (11u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN44 */
#define IFX_LMU_RGNACCEN_RB_EN44_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN44 */
#define IFX_LMU_RGNACCEN_RB_EN44_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN44 */
#define IFX_LMU_RGNACCEN_RB_EN44_OFF (12u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN45 */
#define IFX_LMU_RGNACCEN_RB_EN45_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN45 */
#define IFX_LMU_RGNACCEN_RB_EN45_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN45 */
#define IFX_LMU_RGNACCEN_RB_EN45_OFF (13u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN46 */
#define IFX_LMU_RGNACCEN_RB_EN46_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN46 */
#define IFX_LMU_RGNACCEN_RB_EN46_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN46 */
#define IFX_LMU_RGNACCEN_RB_EN46_OFF (14u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN47 */
#define IFX_LMU_RGNACCEN_RB_EN47_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN47 */
#define IFX_LMU_RGNACCEN_RB_EN47_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN47 */
#define IFX_LMU_RGNACCEN_RB_EN47_OFF (15u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN48 */
#define IFX_LMU_RGNACCEN_RB_EN48_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN48 */
#define IFX_LMU_RGNACCEN_RB_EN48_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN48 */
#define IFX_LMU_RGNACCEN_RB_EN48_OFF (16u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN49 */
#define IFX_LMU_RGNACCEN_RB_EN49_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN49 */
#define IFX_LMU_RGNACCEN_RB_EN49_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN49 */
#define IFX_LMU_RGNACCEN_RB_EN49_OFF (17u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN50 */
#define IFX_LMU_RGNACCEN_RB_EN50_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN50 */
#define IFX_LMU_RGNACCEN_RB_EN50_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN50 */
#define IFX_LMU_RGNACCEN_RB_EN50_OFF (18u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN51 */
#define IFX_LMU_RGNACCEN_RB_EN51_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN51 */
#define IFX_LMU_RGNACCEN_RB_EN51_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN51 */
#define IFX_LMU_RGNACCEN_RB_EN51_OFF (19u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN52 */
#define IFX_LMU_RGNACCEN_RB_EN52_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN52 */
#define IFX_LMU_RGNACCEN_RB_EN52_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN52 */
#define IFX_LMU_RGNACCEN_RB_EN52_OFF (20u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN53 */
#define IFX_LMU_RGNACCEN_RB_EN53_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN53 */
#define IFX_LMU_RGNACCEN_RB_EN53_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN53 */
#define IFX_LMU_RGNACCEN_RB_EN53_OFF (21u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN54 */
#define IFX_LMU_RGNACCEN_RB_EN54_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN54 */
#define IFX_LMU_RGNACCEN_RB_EN54_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN54 */
#define IFX_LMU_RGNACCEN_RB_EN54_OFF (22u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN55 */
#define IFX_LMU_RGNACCEN_RB_EN55_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN55 */
#define IFX_LMU_RGNACCEN_RB_EN55_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN55 */
#define IFX_LMU_RGNACCEN_RB_EN55_OFF (23u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN56 */
#define IFX_LMU_RGNACCEN_RB_EN56_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN56 */
#define IFX_LMU_RGNACCEN_RB_EN56_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN56 */
#define IFX_LMU_RGNACCEN_RB_EN56_OFF (24u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN57 */
#define IFX_LMU_RGNACCEN_RB_EN57_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN57 */
#define IFX_LMU_RGNACCEN_RB_EN57_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN57 */
#define IFX_LMU_RGNACCEN_RB_EN57_OFF (25u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN58 */
#define IFX_LMU_RGNACCEN_RB_EN58_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN58 */
#define IFX_LMU_RGNACCEN_RB_EN58_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN58 */
#define IFX_LMU_RGNACCEN_RB_EN58_OFF (26u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN59 */
#define IFX_LMU_RGNACCEN_RB_EN59_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN59 */
#define IFX_LMU_RGNACCEN_RB_EN59_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN59 */
#define IFX_LMU_RGNACCEN_RB_EN59_OFF (27u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN60 */
#define IFX_LMU_RGNACCEN_RB_EN60_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN60 */
#define IFX_LMU_RGNACCEN_RB_EN60_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN60 */
#define IFX_LMU_RGNACCEN_RB_EN60_OFF (28u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN61 */
#define IFX_LMU_RGNACCEN_RB_EN61_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN61 */
#define IFX_LMU_RGNACCEN_RB_EN61_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN61 */
#define IFX_LMU_RGNACCEN_RB_EN61_OFF (29u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN62 */
#define IFX_LMU_RGNACCEN_RB_EN62_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN62 */
#define IFX_LMU_RGNACCEN_RB_EN62_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN62 */
#define IFX_LMU_RGNACCEN_RB_EN62_OFF (30u)

/** \brief Length for Ifx_LMU_RGNACCEN_RB_Bits.EN63 */
#define IFX_LMU_RGNACCEN_RB_EN63_LEN (1u)

/** \brief Mask for Ifx_LMU_RGNACCEN_RB_Bits.EN63 */
#define IFX_LMU_RGNACCEN_RB_EN63_MSK (0x1u)

/** \brief Offset for Ifx_LMU_RGNACCEN_RB_Bits.EN63 */
#define IFX_LMU_RGNACCEN_RB_EN63_OFF (31u)

/** \}  */

/******************************************************************************/

/******************************************************************************/

#endif /* IFXLMU_BF_H */
