#ifndef EE_USER_LOCATION
#define EE_USER_LOCATION

#define START_ADDR  0x80800000
#define INTTAB_ADDR 0x80802000
#define TRAP_TABLE_ADDRESS

#define KERNEL_RAM_SLOW_LOCATION LMU_SRAM_nc
/*
 * this macro KERNEL_RAM_SLOW_LOCATION_LMU_SRAM_nc tell ld KERNEL_RAM_SLOW_LOCATION put in LMU_SRAM_nc
 * if you not define OSEE_KERNEL_LMU_PERCPU, precpu kernel data  lmu range is all LMU address space
 * define KERNEL_RAM_SLOW_LOCATION_LMU_SRAM_nc will not set a mpu entry for kernel ram slow section
 */
#define KERNEL_RAM_SLOW_LOCATION_LMU_SRAM_nc
#define API_RAM_SLOW_LOCATION EDMEM_nc

#define KERNEL_RAM_FAST_LOCATION       LMU_SRAM_nc
#define KERNEL_DATA_FAST_LOCATION      KERNEL_RAM_FAST_LOCATION
#define KERNEL_BSS_FAST_LOCATION       KERNEL_RAM_FAST_LOCATION

#define API_RAM_FAST_LOCATION          LMU_SRAM_nc
#define API_DATA_FAST_LOCATION         API_RAM_FAST_LOCATION
#define API_BSS_FAST_LOCATION          API_RAM_FAST_LOCATION
#define API_BSS_NO_INIT_FAST_LOCATION  API_RAM_FAST_LOCATION

#define KERNEL_TEXT_LOCATION           PMU_PFLASH0

/* cpu 0 's phy core id is 0 */

#define API_RAM_NORMAL_CORE0_LOCATION        LMU_SRAM_nc
#define API_TEXT_FAST_CORE0_LOCATION         PMI_PSPR0
#define API_TEXT_CORE0_LOCATION              PMU_PFLASH0
#define API_CONST_CORE0_LOCATION             PMU_PFLASH0
#define API_RAM_FAST_CORE0_LOCATION          DLMU_SRAM0_nc
/* The following two LOCATIONs must be mapped to LMU_SRAM_DMA_nc */
#define API_DATA_FAST_CORE0_LOCATION         LMU_SRAM_DMA_nc
#define API_BSS_FAST_CORE0_LOCATION          LMU_SRAM_DMA_nc
#define API_BSS_NO_INIT_FAST_CORE0_LOCATION  API_RAM_FAST_CORE0_LOCATION

#define KERNEL_TEXT_CORE0_LOCATION          PMU_PFLASH0
#define KERNEL_CONST_CORE0_LOCATION          PMU_PFLASH0
#define KERNEL_RAM_FAST_CORE0_LOCATION       DLMU_SRAM0_nc
#define KERNEL_DATA_FAST_CORE0_LOCATION      DLMU_SRAM0_nc
#define KERNEL_BSS_FAST_CORE0_LOCATION       DLMU_SRAM0_nc
#define KERNEL_RAM_SLOW_CORE0_LOCATION       EDMEM_nc

#define OSA_C0_1_HW_QM_RAM_FAST_LOCATION     LMU_SRAM_nc
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE0_LOCATION  or KERNEL_DATA_FAST_CORE0_LOCATION */
#define OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION   LMU_SRAM_nc
#define OSA_C0_1_HW_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE0_LOCATION

/* please select from OSA_C0_1_HW_QM_RAM_FAST_LOCATION or OSA_C0_1_HW_QM_RAM_SLOW_LOCATION */
#define OSA_C0_1_HW_QM_STACK_LOCATION      DMI_DSPR0
#define OSA_C0_1_HW_QM_STACK_SLOW_LOCATION DLMU_SRAM0_nc

/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Trigger_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_1ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_5ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Trigger_Low_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_SLOW_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Init_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_10ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_20ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_50ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_100ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Trigger_Low2_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_SLOW_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_200ms_LowUpgrade_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_10ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Trigger_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Init_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_1000ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_10ms_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_10ms_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_500ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_100ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_500ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_10ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_1ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_2ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Trigger_High_Diag_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define Task_Core0_QM_Trigger_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define ModeManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define ModeUser_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define OSA_C0_1_HW_QM_PreInitTask_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
/* please select from OSA_C0_1_HW_QM_STACK_LOCATION */
#define PartitionStateManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION

#define OSA_C0_1_HW_QM_TEXT_FAST_LOCATION  PMU_PFLASH0
#define OSA_C0_1_HW_QM_TEXT_SLOW_LOCATION  PMU_PFLASH0
#define OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION  DMI_DSPR0
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE0_LOCATION  or KERNEL_DATA_FAST_CORE0_LOCATION */
#define OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE0_LOCATION
#define OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION  LMU_SRAM_nc

/* please select from OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION or OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION */
#define OSA_C0_3_HW_ASILD_STACK_LOCATION      DMI_DSPR0
#define OSA_C0_3_HW_ASILD_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Init_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_1ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_10ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_5ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Trigger_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Trigger_Low_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_1000ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_10ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_20ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_50ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_5ms_High2_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Init_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Trigger_High_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_10ms_High_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_10ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Init_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_10ms_Middle_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_5ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_50ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_Trigger_Low_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define Task_Core0_D_100ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define ModeManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define OSA_C0_3_HW_ASILD_PreInitTask_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
/* please select from OSA_C0_3_HW_ASILD_STACK_LOCATION */
#define PartitionStateManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION

#define OSA_C0_3_HW_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH0
#define OSA_C0_3_HW_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH0

/* cpu 1 's phy core id is 1 */

#define API_RAM_NORMAL_CORE1_LOCATION        DLMU_SRAM1_nc
#define API_TEXT_FAST_CORE1_LOCATION         PMI_PSPR1
#define API_TEXT_CORE1_LOCATION              PMU_PFLASH1
#define API_CONST_CORE1_LOCATION             PMU_PFLASH1
#define API_RAM_FAST_CORE1_LOCATION          DLMU_SRAM1_nc
#define API_DATA_FAST_CORE1_LOCATION         DMI_DSPR1_DMA    //ETH DMA专属段
#define API_BSS_FAST_CORE1_LOCATION          DMI_DSPR1_DMA    //ETH DMA专属段
#define API_BSS_NO_INIT_FAST_CORE1_LOCATION  DMI_DSPR1
#define KERNEL_TEXT_CORE1_LOCATION          PMU_PFLASH1
#define KERNEL_CONST_CORE1_LOCATION          PMU_PFLASH1
#define KERNEL_RAM_FAST_CORE1_LOCATION       DLMU_SRAM1_nc
#define KERNEL_DATA_FAST_CORE1_LOCATION      DLMU_SRAM1_nc
#define KERNEL_BSS_FAST_CORE1_LOCATION       DLMU_SRAM1_nc
#define KERNEL_RAM_SLOW_CORE1_LOCATION       EDMEM_nc

#define OSA_C1_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR1
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE1_LOCATION  or KERNEL_DATA_FAST_CORE1_LOCATION */
#define OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION
#define OSA_C1_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION

/* please select from OSA_C1_1_APP_QM_RAM_FAST_LOCATION or OSA_C1_1_APP_QM_RAM_SLOW_LOCATION */
#define OSA_C1_1_APP_QM_STACK_LOCATION      DMI_DSPR1
#define OSA_C1_1_APP_QM_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_Init_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_1000ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_1ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_Trigger_Middle_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_100ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_10ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_1ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_10ms_High_Adas_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_Init_Adas_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_2ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_5ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_5ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define Task_Core1_QM_10ms_High_Tmp_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define ModeUser_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define OSA_C1_1_APP_QM_PreInitTask_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
/* please select from OSA_C1_1_APP_QM_STACK_LOCATION */
#define PartitionStateManager_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION

#define OSA_C1_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH1
#define OSA_C1_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH1
#define OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION  DMI_DSPR1
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE1_LOCATION  or KERNEL_DATA_FAST_CORE1_LOCATION */
#define OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION  DLMU_SRAM1_nc
#define OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION

/* please select from OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION or OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION */
#define OSA_C1_2_APP_ASILD_STACK_LOCATION      DMI_DSPR1
#define OSA_C1_2_APP_ASILD_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define Task_Core1_D_10ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define Task_Core1_B_Init_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define Task_Core1_D_5ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define Task_Core1_B_10ms_High_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define Task_Core1_D_Trigger_Low_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define ModeUser_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define OSA_C1_2_APP_ASILD_PreInitTask_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C1_2_APP_ASILD_STACK_LOCATION */
#define PartitionStateManager_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION

#define OSA_C1_2_APP_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH1
#define OSA_C1_2_APP_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH1

/* cpu 2 's phy core id is 2 */
#define API_RAM_NORMAL_CORE2_LOCATION        DLMU_SRAM2_nc
#define API_TEXT_FAST_CORE2_LOCATION         PMI_PSPR2
#define API_TEXT_CORE2_LOCATION              PMU_PFLASH2
#define API_CONST_CORE2_LOCATION             PMU_PFLASH2
#define API_RAM_FAST_CORE2_LOCATION          DLMU_SRAM2_nc
#define API_DATA_FAST_CORE2_LOCATION         DLMU_SRAM2_nc
#define API_BSS_FAST_CORE2_LOCATION          DLMU_SRAM2_nc
#define API_BSS_NO_INIT_FAST_CORE2_LOCATION  DLMU_SRAM2_nc
#define KERNEL_TEXT_CORE2_LOCATION          PMU_PFLASH2
#define KERNEL_CONST_CORE2_LOCATION          PMU_PFLASH2
#define KERNEL_RAM_FAST_CORE2_LOCATION       DLMU_SRAM2_nc
#define KERNEL_DATA_FAST_CORE2_LOCATION      DLMU_SRAM2_nc
#define KERNEL_BSS_FAST_CORE2_LOCATION       DLMU_SRAM2_nc
#define KERNEL_RAM_SLOW_CORE2_LOCATION       EDMEM_nc

#define OSA_C2_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR2
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE2_LOCATION  or KERNEL_DATA_FAST_CORE2_LOCATION */
#define OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION
#define OSA_C2_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION

/* please select from OSA_C2_1_APP_QM_RAM_FAST_LOCATION or OSA_C2_1_APP_QM_RAM_SLOW_LOCATION */
#define OSA_C2_1_APP_QM_STACK_LOCATION      DMI_DSPR2
#define OSA_C2_1_APP_QM_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_Init_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_1000ms_Middle_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_10ms_High_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_5ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_10ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_1ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_10ms_High_Adas_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_Init_Adas_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define Task_Core2_QM_2ms_High_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define ModeUser_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define OSA_C2_1_APP_QM_PreInitTask_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
/* please select from OSA_C2_1_APP_QM_STACK_LOCATION */
#define PartitionStateManager_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION

#define OSA_C2_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH2
#define OSA_C2_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH2
#define OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION  DMI_DSPR2
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE2_LOCATION  or KERNEL_DATA_FAST_CORE2_LOCATION */
#define OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION
#define OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION

/* please select from OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION or OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION */
#define OSA_C2_2_APP_ASILD_STACK_LOCATION      DMI_DSPR2
#define OSA_C2_2_APP_ASILD_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C2_2_APP_ASILD_STACK_LOCATION */
#define Task_Core2_D_Init_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C2_2_APP_ASILD_STACK_LOCATION */
#define Task_Core2_D_10ms_Middle_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C2_2_APP_ASILD_STACK_LOCATION */
#define ModeUser_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C2_2_APP_ASILD_STACK_LOCATION */
#define OSA_C2_2_APP_ASILD_PreInitTask_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C2_2_APP_ASILD_STACK_LOCATION */
#define PartitionStateManager_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION

#define OSA_C2_2_APP_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH2
#define OSA_C2_2_APP_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH2

/* cpu 3 's phy core id is 3 */

#define API_RAM_NORMAL_CORE3_LOCATION        DLMU_SRAM3_nc
#define API_TEXT_FAST_CORE3_LOCATION         PMI_PSPR3
#define API_TEXT_CORE3_LOCATION              PMU_PFLASH3
#define API_CONST_CORE3_LOCATION             PMU_PFLASH3
#define API_RAM_FAST_CORE3_LOCATION          DLMU_SRAM3_nc
#define API_DATA_FAST_CORE3_LOCATION         DLMU_SRAM3_nc
#define API_BSS_FAST_CORE3_LOCATION          DLMU_SRAM3_nc
#define API_BSS_NO_INIT_FAST_CORE3_LOCATION  DLMU_SRAM3_nc
#define KERNEL_TEXT_CORE3_LOCATION          PMU_PFLASH3
#define KERNEL_CONST_CORE3_LOCATION          PMU_PFLASH3
#define KERNEL_RAM_FAST_CORE3_LOCATION       DLMU_SRAM3_nc
#define KERNEL_DATA_FAST_CORE3_LOCATION      DLMU_SRAM3_nc
#define KERNEL_BSS_FAST_CORE3_LOCATION       DLMU_SRAM3_nc
#define KERNEL_RAM_SLOW_CORE3_LOCATION       EDMEM_nc

#define OSA_C3_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR3
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE3_LOCATION  or KERNEL_DATA_FAST_CORE3_LOCATION */
#define OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION
#define OSA_C3_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION

/* please select from OSA_C3_1_APP_QM_RAM_FAST_LOCATION or OSA_C3_1_APP_QM_RAM_SLOW_LOCATION */
#define OSA_C3_1_APP_QM_STACK_LOCATION      DMI_DSPR3
#define OSA_C3_1_APP_QM_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_1000ms_Middle_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_Init_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_10ms_High_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_5ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_10ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_1ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_10ms_High_Adas_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_Init_Adas_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define Task_Core3_QM_2ms_High_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define ModeUser_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define OSA_C3_1_APP_QM_PreInitTask_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
/* please select from OSA_C3_1_APP_QM_STACK_LOCATION */
#define PartitionStateManager_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION

#define OSA_C3_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH3
#define OSA_C3_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH3
#define OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION  DMI_DSPR3
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE3_LOCATION  or KERNEL_DATA_FAST_CORE3_LOCATION */
#define OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION
#define OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION

/* please select from OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION or OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION */
#define OSA_C3_2_APP_ASILD_STACK_LOCATION      DMI_DSPR3
#define OSA_C3_2_APP_ASILD_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C3_2_APP_ASILD_STACK_LOCATION */
#define Task_Core3_D_10ms_High_Flexible_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C3_2_APP_ASILD_STACK_LOCATION */
#define Task_Core3_D_Init_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C3_2_APP_ASILD_STACK_LOCATION */
#define Task_Core3_D_10ms_High_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C3_2_APP_ASILD_STACK_LOCATION */
#define ModeUser_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C3_2_APP_ASILD_STACK_LOCATION */
#define OSA_C3_2_APP_ASILD_PreInitTask_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
/* please select from OSA_C3_2_APP_ASILD_STACK_LOCATION */
#define PartitionStateManager_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION

#define OSA_C3_2_APP_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH3
#define OSA_C3_2_APP_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH3

/* cpu 4 's phy core id is 4 */

#define API_RAM_NORMAL_CORE4_LOCATION        DLMU_SRAM4_nc
#define API_TEXT_FAST_CORE4_LOCATION         PMI_PSPR4
#define API_TEXT_CORE4_LOCATION              PMU_PFLASH4
#define API_CONST_CORE4_LOCATION             PMU_PFLASH4
#define API_RAM_FAST_CORE4_LOCATION          DLMU_SRAM4_nc
#define API_DATA_FAST_CORE4_LOCATION         DLMU_SRAM4_nc
#define API_BSS_FAST_CORE4_LOCATION          DLMU_SRAM4_nc
#define API_BSS_NO_INIT_FAST_CORE4_LOCATION  DLMU_SRAM4_nc
#define KERNEL_TEXT_CORE4_LOCATION          PMU_PFLASH4
#define KERNEL_CONST_CORE4_LOCATION          PMU_PFLASH4
#define KERNEL_RAM_FAST_CORE4_LOCATION       DLMU_SRAM4_nc
#define KERNEL_DATA_FAST_CORE4_LOCATION      DLMU_SRAM4_nc
#define KERNEL_BSS_FAST_CORE4_LOCATION       DLMU_SRAM4_nc
#define KERNEL_RAM_SLOW_CORE4_LOCATION       EDMEM_nc

#define OSA_C4_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR4
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE4_LOCATION  or KERNEL_DATA_FAST_CORE4_LOCATION */
#define OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION  DLMU_SRAM4_nc
#define OSA_C4_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE4_LOCATION

/* please select from OSA_C4_1_APP_QM_RAM_FAST_LOCATION or OSA_C4_1_APP_QM_RAM_SLOW_LOCATION */
#define OSA_C4_1_APP_QM_STACK_LOCATION      DMI_DSPR4
#define OSA_C4_1_APP_QM_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_1000ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_Init_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_10ms_High_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_5ms_High_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_2ms_High_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_50ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define Task_Core4_QM_1ms_High_Flexible_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define ModeUser_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define OSA_C4_1_APP_QM_PreInitTask_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
/* please select from OSA_C4_1_APP_QM_STACK_LOCATION */
#define PartitionStateManager_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION

#define OSA_C4_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH4
#define OSA_C4_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH4

/* cpu 5 's phy core id is 5 */

#define API_RAM_NORMAL_CORE5_LOCATION        DLMU_SRAM5_nc
#define API_TEXT_FAST_CORE5_LOCATION         PMI_PSPR5
#define API_TEXT_CORE5_LOCATION              PMU_PFLASH5
#define API_CONST_CORE5_LOCATION             PMU_PFLASH5
#define API_RAM_FAST_CORE5_LOCATION          DLMU_SRAM5_nc
#define API_DATA_FAST_CORE5_LOCATION         DLMU_SRAM5_nc
#define API_BSS_FAST_CORE5_LOCATION          DLMU_SRAM5_nc
#define API_BSS_NO_INIT_FAST_CORE5_LOCATION  DLMU_SRAM5_nc
#define KERNEL_TEXT_CORE5_LOCATION          PMU_PFLASH5
#define KERNEL_CONST_CORE5_LOCATION          PMU_PFLASH5
#define KERNEL_RAM_FAST_CORE5_LOCATION       DLMU_SRAM5_nc
#define KERNEL_DATA_FAST_CORE5_LOCATION      DLMU_SRAM5_nc
#define KERNEL_BSS_FAST_CORE5_LOCATION       DLMU_SRAM5_nc
#define KERNEL_RAM_SLOW_CORE5_LOCATION       EDMEM_nc

#define OSA_C5_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR5
/* if enable MP and app is true, should same as KERNEL_RAM_SLOW_CORE5_LOCATION  or KERNEL_DATA_FAST_CORE5_LOCATION */
#define OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION  DLMU_SRAM5_nc
#define OSA_C5_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE5_LOCATION

/* please select from OSA_C5_1_APP_QM_RAM_FAST_LOCATION or OSA_C5_1_APP_QM_RAM_SLOW_LOCATION */
#define OSA_C5_1_APP_QM_STACK_LOCATION      DMI_DSPR5
#define OSA_C5_1_APP_QM_STACK_SLOW_LOCATION LMU_SRAM_nc

/* please select from OSA_C5_1_APP_QM_STACK_LOCATION */
#define Task_Core5_QM_1000ms_Middle_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
/* please select from OSA_C5_1_APP_QM_STACK_LOCATION */
#define Task_Core5_QM_Init_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
/* please select from OSA_C5_1_APP_QM_STACK_LOCATION */
#define ModeUser_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
/* please select from OSA_C5_1_APP_QM_STACK_LOCATION */
#define OSA_C5_1_APP_QM_PreInitTask_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
/* please select from OSA_C5_1_APP_QM_STACK_LOCATION */
#define PartitionStateManager_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION

#define OSA_C5_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH5
#define OSA_C5_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH5

#endif  /* EE_USER_LOCATION */

#ifdef  USER_COPY_TABLE
/* put copy table here */
  LONG(LOADADDR(.emem.mdc.data));  LONG(ADDR(.emem.mdc.data));  LONG(SIZEOF(.emem.mdc.data));
  LONG(LOADADDR(.emem_c.mdc.data));  LONG(ADDR(.emem_c.mdc.data));  LONG(SIZEOF(.emem_c.mdc.data));
#endif

#ifdef  USER_CLEAR_TABLE
/* put clear table here */
    LONG(0 + ADDR(.emem.mdc.bss));     LONG(SIZEOF(.emem.mdc.bss));
    LONG(0 + ADDR(.emem_c.mdc.bss));     LONG(SIZEOF(.emem_c.mdc.bss));
    LONG(0 + ADDR(.dspr.mdc.bss));     LONG(SIZEOF(.dspr.mdc.bss));
    LONG(0 + ADDR(.artitrace.bss));     LONG(SIZEOF(.artitrace.bss));
#endif

#ifdef CORE0_USER_DEFEINED
/* put user defined section here */
  /* Default */
  *(g_safetyIslandRecvBufferA)*;
  *(g_safetyIslandRecvBufferB)*;
  *(g_gpsDmaRecvBuffer)*;
#endif

#ifdef API_CONST
/* put api_const section here */
    *Ifx_Ssw_Tc0.* (.rodata)
    *Cpu0_Main.* (.rodata)
    /* Const Data */
    *(*Const.Cpu0.8bit);
    *(*Const.Cpu0.16bit);
    *(*Const.Cpu0.32bit);
    *(*Const.Cpu0.Unspecified);
    *(*Const.Cpu0.256bit);
    /* Config Data */
    *(*Config.Cpu0.8bit);
    *(*Config.Cpu0.16bit);
    *(*Config.Cpu0.32bit);
    *(*Config.Cpu0.Unspecified);
    *(*Config.Cpu0.256bit);
    *(*Config.Cpu1.256bit);
    *(*Config.Cpu1.Unspecified);
    *(*Config.Cpu4.256bit);
    *(*Config.Cpu4.Unspecified);
    /* Default */
    *(.rodata_cpu0)
    /* Const Data */
    *(ASILQM.Const.Cpu0.8bit);
    *(ASILQM.Const.Cpu0.16bit);
    *(ASILQM.Const.Cpu0.32bit);
    *(ASILQM.Const.Cpu0.Unspecified);
    *(ASILQM.Const.Cpu0.256bit);
    /* Config Data */
    *(ASILQM.Config.Cpu0.8bit);
    *(ASILQM.Config.Cpu0.16bit);
    *(ASILQM.Config.Cpu0.32bit);
    *(ASILQM.Config.Cpu0.Unspecified);
    *(ASILQM.Config.Cpu0.256bit);
    /* Default */
    *(ASILQM.rodata_cpu0)
#endif

#ifdef API_TEXT
/* put api_text section here */
    *(*Code.Cpu0)
    *Ifx_Ssw_Tc0.* (.text)
    *Cpu0_Main.* (.text)
    *libbsw.a:qn_* (.text)
    *(bsw_module_text)
    *libdnk_c.a:*(*.text*)
    ecy_hsm*.o(.text)
    memset_s*.o(.text)
    memcpy_s*.o(.text)
    Crypto_11_Hsm*.o(.text)
    *libdebug.a:*(*.text*)
    *libplatform.a:*(*.text*)
#endif

#ifdef API_DATA_FAST
/* put API_DATA_FAST section here */
#endif

#ifdef API_DATA_SLOW
/* put API_DATA_SLOW section here */
    *Ifx_Ssw_Tc0.* (.data)
    *Cpu0_Main.* (.data)
    *(*InitData.Cpu0.8bit)
    *(*InitData.Cpu0.16bit)
    *(*InitData.Cpu0.32bit)
    *(*InitData.Cpu0.Unspecified)
    *(*InitData.Cpu1.Unspecified)
    *(*InitData.LmuNC.*)
    *(*InitData.lib.*)
    *(ASILQM.InitData.Cpu0.8bit)
    *(ASILQM.InitData.Cpu0.16bit)
    *(ASILQM.InitData.Cpu0.32bit)
    *(ASILQM.InitData.Cpu0.Unspecified)
    *(ASILQM.InitData.LmuNC.*)
    *(dcm_dcmstk_*_data)
    *(dem_dcmstk_*_data)
    *(dem_dcmstk_*_savezone)
    *(dcm_dcmstk_*_savezone)
    *(xcp_comstk_OsApplication_EcucPartition_Core_0_savezone)
    *(.logLimit)
    *libdnk_c.a:*(*.data*)
    *libos.a:*(*.data*)
    ecy_hsm*.o(.data)
    Crypto_11_Hsm*.o(.data)
    *libdebug.a:*(*.data*)
    *libplatform.a:*(*.data*)
#endif

#ifdef KERNEL_DATA_FAST
/* put KERNEL_DATA_FAST section here */
#endif

#ifdef KERNEL_DATA_SLOW
/* put KERNEL_DATA_SLOW section here */
#endif

#ifdef API_BSS_NO_INIT_FAST
/* put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_SLOW
/* put api_bss_no_init slow section here */
#endif

#ifdef API_BSS_FAST
/* put API_BSS_FAST section here */
#endif

#ifdef API_BSS_SLOW
/* put API_BSS_SLOW section here */
    *Ifx_Ssw_Tc0.* (.bss)
    *Cpu0_Main.* (.bss)
    *(*ClearedData.LmuNC.*)
    *(*ClearedData.lib.*)
    *(bss_module_savezone_data)
    *(bss_module_bss*)
    *(ASILQM.ClearedData.Cpu0.8bit)
    *(ASILQM.ClearedData.Cpu0.16bit)
    *(ASILQM.ClearedData.Cpu0.32bit)
    *(ASILQM.ClearedData.Cpu0.256bit)
    *(ASILQM.ClearedData.Cpu0.Unspecified)
    *(ASILQM.ClearedData.LmuNC.*)
    *libdnk_c.a:*(*.bss*)
    ecy_hsm*.o(.bss)
    Crypto_11_Hsm*.o(.bss)
    *libos.a:*(*.bss*)
    *libdebug.a:*(*.bss*)
    *libplatform.a:*(*.bss*)
    . = ALIGN(8);
    *(dcm_dcmstk_*_bss)
    *(dem_dcmstk_*_bss)
#endif

#ifdef KERNEL_BSS_FAST
/* put KERNEL_BSS_FAST section here */
#endif

#ifdef KERNEL_BSS_SLOW
/* put KERNEL_BSS_SLOW section here */
#endif


#ifdef API_CONST_CORE0
/* put core0 api_const section here */
#endif

#ifdef API_TEXT_FAST_CORE0
/* put core0 api_text fast section here */
/* put in pspr */
#endif

#ifdef API_TEXT_CORE0
/* put core0 api_text section here */
/* put in flash */
#endif

#ifdef API_DATA_FAST_CORE0
/* core0 put api_data fast section here */
/* put in dsrp */
#endif

#ifdef API_DATA_NORMAL_CORE0
/* core0 put api_data normal section here */
/* default put in dlmu, can locate to dspr */
    *(.hsm_shared)
#endif

#ifdef API_BSS_NO_INIT_FAST_CORE0
/* core0 put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_NORMAL_CORE0
/* core0 put api_bss_no_init normal section here */
#endif

#ifdef API_BSS_FAST_CORE0
/* core0 put api_bss fast section here */ 
    *(*.SafetyIsland_DMA_Section);
    *(*.UartSoc_DMA_Section);
#endif

#ifdef API_BSS_NORMAL_CORE0
/* core0 put api_bss normal section here */
/* default put in dlmu, can locate to dspr */
    *(*ClearedData.Cpu0*)
#endif

#ifdef KERNEL_CONST_CORE0
/* core0 put kernel const section here */
#endif

#ifdef KERNEL_DATA_FAST_CORE0
/* core0 put kernel data fast section here */
#endif

#ifdef KERNEL_BSS_FAST_CORE0
/* core0 put kernel bss fast section here */
#endif

#ifdef OSA_C0_1_HW_QM_BSS_FAST
/* put OSA_C0_1_HW_QM bss fast section in here */
    datacenter*.o(*_bss*)
    datacenter*.o(*.bss*)
    CanIf*.o(*_bss*)
    CanIf*.o(*.bss*)
    Com_PBCfg*.o(*_bss*)
    Com_PBCfg*.o(*.bss*) 
#endif

#ifdef OSA_C0_1_HW_QM_BSS
/* put OSA_C0_1_HW_QM bss normal section in here */
#endif

#ifdef OSA_C0_1_HW_QM_BSS_SLOW
/* put OSA_C0_1_HW_QM bss slow section in here */
#endif

#ifdef OSA_C0_1_HW_QM_DATA_FAST
/* put OSA_C0_1_HW_QM data fast section in here */
    datacenter*.o(*_data*)
    datacenter*.o(*.data*)
    CanIf*.o(*_data*)
    CanIf*.o(*.data*)
    Com_PBCfg*.o(*_data*)
    Com_PBCfg*.o(*.data*)   
#endif

#ifdef OSA_C0_1_HW_QM_DATA
/* put OSA_C0_1_HW_QM data normal section in here */
#endif

#ifdef OSA_C0_1_HW_QM_DATA_SLOW
/* put OSA_C0_1_HW_QM data slow section in here */
#endif

#ifdef OSA_C0_1_HW_QM_TEXT_FAST
/* put OSA_C0_1_HW_QM text fast section in here */
#endif

#ifdef OSA_C0_1_HW_QM_TEXT
/* put OSA_C0_1_HW_QM text normal section in here */
#endif

#ifdef OSA_C0_1_HW_QM_NO_INIT
/* put OSA_C0_1_HW_QM no init normal section in here */
#endif

#ifdef OSA_C0_1_HW_QM_SAVEZONE_SLOW
/* put OSA_C0_1_HW_QM savezone slow section in here */
#endif


#ifdef OSA_C0_3_HW_ASILD_BSS_FAST
/* put OSA_C0_3_HW_ASILD bss fast section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_BSS
/* put OSA_C0_3_HW_ASILD bss normal section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_BSS_SLOW
/* put OSA_C0_3_HW_ASILD bss slow section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_DATA_FAST
/* put OSA_C0_3_HW_ASILD data fast section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_DATA
/* put OSA_C0_3_HW_ASILD data normal section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_DATA_SLOW
/* put OSA_C0_3_HW_ASILD data slow section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_TEXT_FAST
/* put OSA_C0_3_HW_ASILD text fast section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_TEXT
/* put OSA_C0_3_HW_ASILD text normal section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_NO_INIT
/* put OSA_C0_3_HW_ASILD no init normal section in here */
#endif

#ifdef OSA_C0_3_HW_ASILD_SAVEZONE_SLOW
/* put OSA_C0_3_HW_ASILD savezone slow section in here */
#endif




#ifdef API_CONST_CORE1
/* put core1 api_const section here */
#endif

#ifdef API_TEXT_FAST_CORE1
/* put core1 api_text fast section here */
/* put in pspr */
#endif

#ifdef API_TEXT_CORE1
/* put core1 api_text section here */
/* put in flash */
#endif

#ifdef API_DATA_FAST_CORE1
/* core1 put api_data fast section here */
/* put in dsrp */
#endif

#ifdef API_DATA_NORMAL_CORE1
/* core1 put api_data normal section here */
/* default put in dlmu, can locate to dspr */
#endif
#ifdef API_BSS_NO_INIT_FAST_CORE1
/* core1 put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_NORMAL_CORE1
/* core1 put api_bss_no_init normal section here */
#endif

#ifdef API_BSS_FAST_CORE1
/* core1 put api_bss fast section here */
    *(*ClearedData.Cpu1*)
#endif

#ifdef API_BSS_NORMAL_CORE1
/* core1 put api_bss normal section here */
/* default put in dlmu, can locate to dspr */
#endif

#ifdef KERNEL_CONST_CORE1
/* core1 put kernel const section here */
#endif

#ifdef KERNEL_DATA_FAST_CORE1
/* core1 put kernel data fast section here */
#endif

#ifdef KERNEL_BSS_FAST_CORE1
/* core1 put kernel bss fast section here */
#endif

#ifdef OSA_C1_1_APP_QM_BSS_FAST
/* put OSA_C1_1_APP_QM bss fast section in here */
#endif

#ifdef OSA_C1_1_APP_QM_BSS
/* put OSA_C1_1_APP_QM bss normal section in here */
#endif

#ifdef OSA_C1_1_APP_QM_BSS_SLOW
/* put OSA_C1_1_APP_QM bss slow section in here */
#endif

#ifdef OSA_C1_1_APP_QM_DATA_FAST
/* put OSA_C1_1_APP_QM data fast section in here */
#endif

#ifdef OSA_C1_1_APP_QM_DATA
/* put OSA_C1_1_APP_QM data normal section in here */
#endif

#ifdef OSA_C1_1_APP_QM_DATA_SLOW
/* put OSA_C1_1_APP_QM data slow section in here */
#endif

#ifdef OSA_C1_1_APP_QM_TEXT_FAST
/* put OSA_C1_1_APP_QM text fast section in here */
#endif

#ifdef OSA_C1_1_APP_QM_TEXT
/* put OSA_C1_1_APP_QM text normal section in here */
#endif

#ifdef OSA_C1_1_APP_QM_NO_INIT
/* put OSA_C1_1_APP_QM no init normal section in here */
#endif

#ifdef OSA_C1_1_APP_QM_SAVEZONE_SLOW
/* put OSA_C1_1_APP_QM savezone slow section in here */
#endif


#ifdef OSA_C1_2_APP_ASILD_BSS_FAST
/* put OSA_C1_2_APP_ASILD bss fast section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_BSS
/* put OSA_C1_2_APP_ASILD bss normal section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_BSS_SLOW
/* put OSA_C1_2_APP_ASILD bss slow section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_DATA_FAST
/* put OSA_C1_2_APP_ASILD data fast section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_DATA
/* put OSA_C1_2_APP_ASILD data normal section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_DATA_SLOW
/* put OSA_C1_2_APP_ASILD data slow section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_TEXT_FAST
/* put OSA_C1_2_APP_ASILD text fast section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_TEXT
/* put OSA_C1_2_APP_ASILD text normal section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_NO_INIT
/* put OSA_C1_2_APP_ASILD no init normal section in here */
#endif

#ifdef OSA_C1_2_APP_ASILD_SAVEZONE_SLOW
/* put OSA_C1_2_APP_ASILD savezone slow section in here */
#endif




#ifdef API_CONST_CORE2
/* put core2 api_const section here */
#endif

#ifdef API_TEXT_FAST_CORE2
/* put core2 api_text fast section here */
/* put in pspr */
#endif

#ifdef API_TEXT_CORE2
/* put core2 api_text section here */
/* put in flash */
#endif

#ifdef API_DATA_FAST_CORE2
/* core2 put api_data fast section here */
/* put in dsrp */
#endif

#ifdef API_DATA_NORMAL_CORE2
/* core2 put api_data normal section here */
/* default put in dlmu, can locate to dspr */
#endif
#ifdef API_BSS_NO_INIT_FAST_CORE2
/* core2 put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_NORMAL_CORE2
/* core2 put api_bss_no_init normal section here */
#endif

#ifdef API_BSS_FAST_CORE2
/* core2 put api_bss fast section here */
#endif

#ifdef API_BSS_NORMAL_CORE2
/* core2 put api_bss normal section here */
/* default put in dlmu, can locate to dspr */
  *(*ClearedData.Cpu2*)
#endif

#ifdef KERNEL_CONST_CORE2
/* core2 put kernel const section here */
#endif

#ifdef KERNEL_DATA_FAST_CORE2
/* core2 put kernel data fast section here */
#endif

#ifdef KERNEL_BSS_FAST_CORE2
/* core2 put kernel bss fast section here */
#endif

#ifdef OSA_C2_1_APP_QM_BSS_FAST
/* put OSA_C2_1_APP_QM bss fast section in here */
#endif

#ifdef OSA_C2_1_APP_QM_BSS
/* put OSA_C2_1_APP_QM bss normal section in here */
#endif

#ifdef OSA_C2_1_APP_QM_BSS_SLOW
/* put OSA_C2_1_APP_QM bss slow section in here */
#endif

#ifdef OSA_C2_1_APP_QM_DATA_FAST
/* put OSA_C2_1_APP_QM data fast section in here */
#endif

#ifdef OSA_C2_1_APP_QM_DATA
/* put OSA_C2_1_APP_QM data normal section in here */
#endif

#ifdef OSA_C2_1_APP_QM_DATA_SLOW
/* put OSA_C2_1_APP_QM data slow section in here */
#endif

#ifdef OSA_C2_1_APP_QM_TEXT_FAST
/* put OSA_C2_1_APP_QM text fast section in here */
#endif

#ifdef OSA_C2_1_APP_QM_TEXT
/* put OSA_C2_1_APP_QM text normal section in here */
#endif

#ifdef OSA_C2_1_APP_QM_NO_INIT
/* put OSA_C2_1_APP_QM no init normal section in here */
#endif

#ifdef OSA_C2_1_APP_QM_SAVEZONE_SLOW
/* put OSA_C2_1_APP_QM savezone slow section in here */
#endif


#ifdef OSA_C2_2_APP_ASILD_BSS_FAST
/* put OSA_C2_2_APP_ASILD bss fast section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_BSS
/* put OSA_C2_2_APP_ASILD bss normal section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_BSS_SLOW
/* put OSA_C2_2_APP_ASILD bss slow section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_DATA_FAST
/* put OSA_C2_2_APP_ASILD data fast section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_DATA
/* put OSA_C2_2_APP_ASILD data normal section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_DATA_SLOW
/* put OSA_C2_2_APP_ASILD data slow section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_TEXT_FAST
/* put OSA_C2_2_APP_ASILD text fast section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_TEXT
/* put OSA_C2_2_APP_ASILD text normal section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_NO_INIT
/* put OSA_C2_2_APP_ASILD no init normal section in here */
#endif

#ifdef OSA_C2_2_APP_ASILD_SAVEZONE_SLOW
/* put OSA_C2_2_APP_ASILD savezone slow section in here */
#endif




#ifdef API_CONST_CORE3
/* put core3 api_const section here */
#endif

#ifdef API_TEXT_FAST_CORE3
/* put core3 api_text fast section here */
/* put in pspr */
#endif

#ifdef API_TEXT_CORE3
/* put core3 api_text section here */
/* put in flash */
#endif

#ifdef API_DATA_FAST_CORE3
/* core3 put api_data fast section here */
/* put in dsrp */
#endif

#ifdef API_DATA_NORMAL_CORE3
/* core3 put api_data normal section here */
/* default put in dlmu, can locate to dspr */
#endif
#ifdef API_BSS_NO_INIT_FAST_CORE3
/* core3 put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_NORMAL_CORE3
/* core3 put api_bss_no_init normal section here */
#endif

#ifdef API_BSS_FAST_CORE3
/* core3 put api_bss fast section here */
#endif

#ifdef API_BSS_NORMAL_CORE3
/* core3 put api_bss normal section here */
/* default put in dlmu, can locate to dspr */
  *(*ClearedData.Cpu3*)
#endif

#ifdef KERNEL_CONST_CORE3
/* core3 put kernel const section here */
#endif

#ifdef KERNEL_DATA_FAST_CORE3
/* core3 put kernel data fast section here */
#endif

#ifdef KERNEL_BSS_FAST_CORE3
/* core3 put kernel bss fast section here */
#endif

#ifdef OSA_C3_1_APP_QM_BSS_FAST
/* put OSA_C3_1_APP_QM bss fast section in here */
#endif

#ifdef OSA_C3_1_APP_QM_BSS
/* put OSA_C3_1_APP_QM bss normal section in here */
#endif

#ifdef OSA_C3_1_APP_QM_BSS_SLOW
/* put OSA_C3_1_APP_QM bss slow section in here */
#endif

#ifdef OSA_C3_1_APP_QM_DATA_FAST
/* put OSA_C3_1_APP_QM data fast section in here */
#endif

#ifdef OSA_C3_1_APP_QM_DATA
/* put OSA_C3_1_APP_QM data normal section in here */
#endif

#ifdef OSA_C3_1_APP_QM_DATA_SLOW
/* put OSA_C3_1_APP_QM data slow section in here */
#endif

#ifdef OSA_C3_1_APP_QM_TEXT_FAST
/* put OSA_C3_1_APP_QM text fast section in here */
#endif

#ifdef OSA_C3_1_APP_QM_TEXT
/* put OSA_C3_1_APP_QM text normal section in here */
#endif

#ifdef OSA_C3_1_APP_QM_NO_INIT
/* put OSA_C3_1_APP_QM no init normal section in here */
#endif

#ifdef OSA_C3_1_APP_QM_SAVEZONE_SLOW
/* put OSA_C3_1_APP_QM savezone slow section in here */
#endif


#ifdef OSA_C3_2_APP_ASILD_BSS_FAST
/* put OSA_C3_2_APP_ASILD bss fast section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_BSS
/* put OSA_C3_2_APP_ASILD bss normal section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_BSS_SLOW
/* put OSA_C3_2_APP_ASILD bss slow section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_DATA_FAST
/* put OSA_C3_2_APP_ASILD data fast section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_DATA
/* put OSA_C3_2_APP_ASILD data normal section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_DATA_SLOW
/* put OSA_C3_2_APP_ASILD data slow section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_TEXT_FAST
/* put OSA_C3_2_APP_ASILD text fast section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_TEXT
/* put OSA_C3_2_APP_ASILD text normal section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_NO_INIT
/* put OSA_C3_2_APP_ASILD no init normal section in here */
#endif

#ifdef OSA_C3_2_APP_ASILD_SAVEZONE_SLOW
/* put OSA_C3_2_APP_ASILD savezone slow section in here */
#endif




#ifdef API_CONST_CORE4
/* put core4 api_const section here */
#endif

#ifdef API_TEXT_FAST_CORE4
/* put core4 api_text fast section here */
/* put in pspr */
#endif

#ifdef API_TEXT_CORE4
/* put core4 api_text section here */
/* put in flash */
#endif

#ifdef API_DATA_FAST_CORE4
/* core4 put api_data fast section here */
/* put in dsrp */
#endif

#ifdef API_DATA_NORMAL_CORE4
/* core4 put api_data normal section here */
/* default put in dlmu, can locate to dspr */
#endif
#ifdef API_BSS_NO_INIT_FAST_CORE4
/* core4 put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_NORMAL_CORE4
/* core4 put api_bss_no_init normal section here */
#endif

#ifdef API_BSS_FAST_CORE4
/* core4 put api_bss fast section here */
#endif

#ifdef API_BSS_NORMAL_CORE4
/* core4 put api_bss normal section here */
/* default put in dlmu, can locate to dspr */
  *(*ClearedData.Cpu4*)
#endif

#ifdef KERNEL_CONST_CORE4
/* core4 put kernel const section here */
#endif

#ifdef KERNEL_DATA_FAST_CORE4
/* core4 put kernel data fast section here */
#endif

#ifdef KERNEL_BSS_FAST_CORE4
/* core4 put kernel bss fast section here */
#endif

#ifdef OSA_C4_1_APP_QM_BSS_FAST
/* put OSA_C4_1_APP_QM bss fast section in here */
#endif

#ifdef OSA_C4_1_APP_QM_BSS
/* put OSA_C4_1_APP_QM bss normal section in here */
#endif

#ifdef OSA_C4_1_APP_QM_BSS_SLOW
/* put OSA_C4_1_APP_QM bss slow section in here */
#endif

#ifdef OSA_C4_1_APP_QM_DATA_FAST
/* put OSA_C4_1_APP_QM data fast section in here */
#endif

#ifdef OSA_C4_1_APP_QM_DATA
/* put OSA_C4_1_APP_QM data normal section in here */
#endif

#ifdef OSA_C4_1_APP_QM_DATA_SLOW
/* put OSA_C4_1_APP_QM data slow section in here */
#endif

#ifdef OSA_C4_1_APP_QM_TEXT_FAST
/* put OSA_C4_1_APP_QM text fast section in here */
#endif

#ifdef OSA_C4_1_APP_QM_TEXT
/* put OSA_C4_1_APP_QM text normal section in here */
#endif

#ifdef OSA_C4_1_APP_QM_NO_INIT
/* put OSA_C4_1_APP_QM no init normal section in here */
#endif

#ifdef OSA_C4_1_APP_QM_SAVEZONE_SLOW
/* put OSA_C4_1_APP_QM savezone slow section in here */
#endif




#ifdef API_CONST_CORE5
/* put core5 api_const section here */
#endif

#ifdef API_TEXT_FAST_CORE5
/* put core5 api_text fast section here */
/* put in pspr */
#endif

#ifdef API_TEXT_CORE5
/* put core5 api_text section here */
/* put in flash */
#endif

#ifdef API_DATA_FAST_CORE5
/* core5 put api_data fast section here */
/* put in dsrp */
#endif

#ifdef API_DATA_NORMAL_CORE5
/* core5 put api_data normal section here */
/* default put in dlmu, can locate to dspr */
#endif
#ifdef API_BSS_NO_INIT_FAST_CORE5
/* core5 put api_bss_no_init fast section here */
#endif

#ifdef API_BSS_NO_INIT_NORMAL_CORE5
/* core5 put api_bss_no_init normal section here */
#endif

#ifdef API_BSS_FAST_CORE5
/* core5 put api_bss fast section here */
#endif

#ifdef API_BSS_NORMAL_CORE5
/* core5 put api_bss normal section here */
/* default put in dlmu, can locate to dspr */
  *(*ClearedData.Cpu5*)
#endif

#ifdef KERNEL_CONST_CORE5
/* core5 put kernel const section here */
#endif

#ifdef KERNEL_DATA_FAST_CORE5
/* core5 put kernel data fast section here */
#endif

#ifdef KERNEL_BSS_FAST_CORE5
/* core5 put kernel bss fast section here */
#endif

#ifdef OSA_C5_1_APP_QM_BSS_FAST
/* put OSA_C5_1_APP_QM bss fast section in here */
#endif

#ifdef OSA_C5_1_APP_QM_BSS
/* put OSA_C5_1_APP_QM bss normal section in here */
#endif

#ifdef OSA_C5_1_APP_QM_BSS_SLOW
/* put OSA_C5_1_APP_QM bss slow section in here */
#endif

#ifdef OSA_C5_1_APP_QM_DATA_FAST
/* put OSA_C5_1_APP_QM data fast section in here */
#endif

#ifdef OSA_C5_1_APP_QM_DATA
/* put OSA_C5_1_APP_QM data normal section in here */
#endif

#ifdef OSA_C5_1_APP_QM_DATA_SLOW
/* put OSA_C5_1_APP_QM data slow section in here */
#endif

#ifdef OSA_C5_1_APP_QM_TEXT_FAST
/* put OSA_C5_1_APP_QM text fast section in here */
#endif

#ifdef OSA_C5_1_APP_QM_TEXT
/* put OSA_C5_1_APP_QM text normal section in here */
#endif

#ifdef OSA_C5_1_APP_QM_NO_INIT
/* put OSA_C5_1_APP_QM no init normal section in here */
#endif

#ifdef OSA_C5_1_APP_QM_SAVEZONE_SLOW
/* put OSA_C5_1_APP_QM savezone slow section in here */
#endif


#ifdef USER_DEFINE_SECTION_GLOBAL_P1_BEGIN
/* put user define section in global p1 begin position */
SECTIONS
{
  .artitrace.bss (NOLOAD) : ALIGN(8) FLAGS(aw) { KEEP (*(.artiTrace)); } > LMU_SRAM_nc
}
#endif

#ifdef USER_DEFINE_SECTION_GLOBAL_P1_END
/* put user define section in global p1 end position */
#endif

#ifdef USER_DEFINE_SECTION_CORE0_BEGIN
/* put user define section in core0 begin position */
#endif

#ifdef USER_DEFINE_SECTION_CORE0_END
/* put user define section in core0 end position */
#endif

#ifdef USER_DEFINE_SECTION_CORE1_BEGIN
/* put user define section in core1 begin position */
#endif

#ifdef USER_DEFINE_SECTION_CORE1_END
/* put user define section in core1 end position */
#endif

#ifdef USER_DEFINE_SECTION_CORE2_BEGIN
/* put user define section in core2 begin position */
#endif

#ifdef USER_DEFINE_SECTION_CORE2_END
/* put user define section in core2 end position */
#endif

#ifdef USER_DEFINE_SECTION_CORE3_BEGIN
/* put user define section in core3 begin position */
#endif

#ifdef USER_DEFINE_SECTION_CORE3_END
/* put user define section in core3 end position */
#endif

#ifdef USER_DEFINE_SECTION_CORE4_BEGIN
/* put user define section in core4 begin position */
#endif

#ifdef USER_DEFINE_SECTION_CORE4_END
/* put user define section in core4 end position */
#endif

#ifdef USER_DEFINE_SECTION_CORE5_BEGIN
/* put user define section in core5 begin position */
#endif

#ifdef USER_DEFINE_SECTION_CORE5_END
/* put user define section in core5 end position */
#endif

#ifdef USER_DEFINE_SECTION_GLOBAL_P2_BEGIN
/* put user define section in global p2 begin position */
#endif

#ifdef USER_DEFINE_SECTION_GLOBAL_P2_END
/* put user define section in global p2 end position */
#endif

