/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Type.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_TYPE_H
#define RTE_TYPE_H

#define RTE_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte.h"
#include "Rte_Dfs_Type.h"

/***************************************************************************
 *
 * Std_ReturnType API
 *
 **************************************************************************/
#ifndef Rte_IsInfrastructureError
#define Rte_IsInfrastructureError(status) (((status) & 128U) != 0)
#endif

#ifndef Rte_HasOverlayedError
#define Rte_HasOverlayedError(status) (((status) & 64U) != 0)
#endif

#ifndef Rte_ApplicationError
#define Rte_ApplicationError(status) ((status) & 63U)
#endif

/***************************************************************************
 *
 * Client server macros
 *
 **************************************************************************/
#define Rte_Call_status_empty     0U
#define Rte_Call_status_requested 1U
#define Rte_Call_status_running   2U
#define Rte_Call_status_completed 3U
#define Rte_Call_status_timeout   4U

#define Rte_SyncCall_client_unset 0U
#define Rte_AsyncCall_client_unset 0U

#define Rte_AsyncCall_client_cdd_datacenter_core0_1_DataCenterLogSwcMessageService_SendLogMessage 1U
#define Rte_AsyncCall_client_cdd_devmd_1_DevmReqPlatState_SmReqPlatState 2U
#define Rte_AsyncCall_client_cdd_devmd_1_DevmdLogSwcMessageService_SendLogMessage 3U
#define Rte_AsyncCall_client_cdd_devmd_1_EthTriggerDelayedActivation_cntDelay 4U
#define Rte_AsyncCall_client_cdd_eth_1_EthLogSwcMessageService_SendLogMessage 5U
#define Rte_AsyncCall_client_cdd_eth_1_SmReqPlatState_SmReqPlatState 6U
#define Rte_AsyncCall_client_cdd_fm_1_FmCddLogSwcMessageService_SendLogMessage 7U
#define Rte_AsyncCall_client_cdd_lwatp_1_LogSwcMessageService_SendLogMessage 8U
#define Rte_AsyncCall_client_cdd_time_1_TimeLogSwcMessageService_SendLogMessage 9U
#define Rte_AsyncCall_client_cdd_trcv_1_TrcvLogSwcMessageService_SendLogMessage 10U
#define Rte_AsyncCall_client_core0_D_task_monitor_1_TaskMonitorLogSwcMessageService_SendLogMessage 11U
#define Rte_AsyncCall_client_core0_QM_task_monitor_1_QmTaskMonitorLogSwcMessageService_SendLogMessage 12U
#define Rte_AsyncCall_client_core1_B_adas_monitor_1_BCore1AdasMonitorLogSwcMessageService_SendLogMessage 13U
#define Rte_AsyncCall_client_core1_QM_task_monitor_1_QmCore1TaskMonitorLogSwcMessageService_SendLogMessage 14U
#define Rte_AsyncCall_client_devm_monitor_cp_1_DevmMonitorLogService_SendLogMessage 15U
#define Rte_AsyncCall_client_diag_cp_1_DiagLogSwcMessageService_SendLogMessage 16U
#define Rte_AsyncCall_client_iohwabs_1_IohwabLogSwcMessageService_SendLogMessage 17U
#define Rte_AsyncCall_client_iohwabs_1_MntCmdLineResponseResult_MntCmdLineResponseResult 18U
#define Rte_AsyncCall_client_iohwabs_core1_1_LogSwcMessageService_SendLogMessage 19U
#define Rte_AsyncCall_client_lpm_cp_1_LpmLogSwcMessageService_SendLogMessage 20U
#define Rte_AsyncCall_client_mnt_debug_1_ComCtrlCanConfig_setChnlParam 21U
#define Rte_AsyncCall_client_mnt_debug_1_LpmSetDebugState_LpmSetDebug 22U
#define Rte_AsyncCall_client_mnt_debug_1_LpmSetMonitorState_LpmSetMonitor 23U
#define Rte_AsyncCall_client_mnt_debug_1_LpmSetVarValue_LpmSetVarValue 24U
#define Rte_AsyncCall_client_mnt_debug_1_MntDebugLogSwcMessageService_SendLogMessage 25U
#define Rte_AsyncCall_client_mnt_debug_1_MntDebugRespString_MntCmdLineResponseResult 26U
#define Rte_AsyncCall_client_mnt_debug_1_NmServiceDebug_ControlCan 27U
#define Rte_AsyncCall_client_mnt_debug_1_NmServiceDebug_ControlCom 28U
#define Rte_AsyncCall_client_mnt_debug_1_NmServiceDebug_InternalCanNmCtrl 29U
#define Rte_AsyncCall_client_mnt_debug_1_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser 30U
#define Rte_AsyncCall_client_mnt_debug_1_SmReqPlatState_SmReqPlatState 31U
#define Rte_AsyncCall_client_nm_cp_1_NmLogSwcMessageService_SendLogMessage 32U
#define Rte_AsyncCall_client_sm_cp_1_LpmOperSocPower_LpmOperSocPower 33U
#define Rte_AsyncCall_client_sm_cp_1_LpmPowerOnSocReq_LpmPowerOnSocReq 34U
#define Rte_AsyncCall_client_sm_cp_1_LpmSetMonitorState_LpmSetMonitor 35U
#define Rte_AsyncCall_client_sm_cp_1_SmLogSwcMessageService_SendLogMessage 36U
#define Rte_AsyncCall_client_swc_ex_wdg_1_ExWdgLogSwcMessageService_SendLogMessage 37U
#define Rte_AsyncCall_client_swc_ex_wdg_1_ExWdgQuestionReportB_ExWdgQuestionReport 38U
#define Rte_AsyncCall_client_swc_ex_wdg_1_ExWdgQuestionReport_ExWdgQuestionReport 39U
#define Rte_AsyncCall_client_swc_fm_1_FmLogSwcMessageService_SendLogMessage 40U
#define Rte_AsyncCall_client_swc_fm_1_FmReportService_FmReportInfo 41U
#define Rte_AsyncCall_client_swc_fm_1_FmService_FmReportEvent 42U
#define Rte_AsyncCall_client_swc_fm_1_ReportAlarm_ReportAlarm 43U
#define Rte_AsyncCall_client_swc_fm_1_SmReqPlatState_SmReqPlatState 44U
#define Rte_AsyncCall_client_swc_nrm_core0_1_Core0NrmLogSwcMessageService_SendLogMessage 45U
#define Rte_AsyncCall_client_swc_nrm_core2_1_Core0NrmLogSwcMessageService_SendLogMessage 46U
#define Rte_AsyncCall_client_swc_safeT_1_SafetLogSwcMessageService_SendLogMessage 47U
#define Rte_AsyncCall_client_swc_tsync_1_MirrorControl_AddCanMaskFilter 48U
#define Rte_AsyncCall_client_swc_tsync_1_MirrorControl_AddCanRangeFilter 49U
#define Rte_AsyncCall_client_swc_tsync_1_MirrorControl_SetStaticFilterState 50U
#define Rte_AsyncCall_client_swc_tsync_1_MirrorControl_StartSourceNetwork 51U
#define Rte_AsyncCall_client_swc_tsync_1_NvMService_GetErrorStatus 52U
#define Rte_AsyncCall_client_swc_tsync_1_NvMService_ReadBlock 53U
#define Rte_AsyncCall_client_swc_tsync_1_NvMService_SetRamBlockStatus 54U
#define Rte_AsyncCall_client_swc_tsync_1_NvMService_WriteBlock 55U
#define Rte_AsyncCall_client_swc_tsync_1_TsyncLogSwcMessageService_SendLogMessage 56U
#define Rte_AsyncCall_client_sysdrv_safety_cp_1_SysdrvSafetyLogService_SendLogMessage 57U
#define Rte_AsyncCall_client_thm_cp_1_LogSwcMessageService_SendLogMessage 58U
#define Rte_SyncCall_client_Dcm_1_DataServices_DcmDspData_0x9206_ReadData 59U
#define Rte_SyncCall_client_Dcm_1_DataServices_DcmDspData_0x9206_WriteData 60U
#define Rte_SyncCall_client_Dcm_1_RoutineServices_DcmDspRoutine_0xF100_RequestResults 61U
#define Rte_SyncCall_client_Dcm_1_RoutineServices_DcmDspRoutine_0xF100_Start 62U
#define Rte_SyncCall_client_Dcm_1_RoutineServices_DcmDspRoutine_0xF100_Stop 63U

/***************************************************************************
 *
 * Define SystemSignal LdComHandleId macros
 *
 **************************************************************************/
/* SysSIG_RR_SomeipTsyncChEnable_return_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCCHENABLE_RETURN_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCCHENABLE_RETURN_CIS_ECU1_SERVICE_TIMESYNC 190
#endif
/* SysSIG_Event_SM_HeartbeatRcv_SmHeartBeatRcv */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SM_HEARTBEATRCV_SMHEARTBEATRCV)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SM_HEARTBEATRCV_SMHEARTBEATRCV 138
#endif
/* SysSIG_RR_GetWdgAnswer_call_Cis_ECU1_ExWdgServiceMethod */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVICEMETHOD)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVICEMETHOD 143
#endif
/* SysSIG_RR_SomeipTransferStart_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERSTART_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERSTART_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 109
#endif
/* SysSIG_RR_QuestionWdgReport_return_Cis_MCU_ExWdgClientMethod */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHOD)
#define RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHOD 142
#endif
/* SysSIG_RR_SomeipActive_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPACTIVE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPACTIVE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 66
#endif
/* SysSIG_RR_CheckMcuVersion_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_CHECKMCUVERSION_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_CHECKMCUVERSION_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 88
#endif
/* SysSIG_RR_SetPowerDownReasonRead_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETPOWERDOWNREASONREAD_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETPOWERDOWNREASONREAD_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 115
#endif
/* SysSIG_RR_SomeipSetUpdateMode_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPSETUPDATEMODE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPSETUPDATEMODE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 110
#endif
/* SysSIG_RR_SensorStateControl_call_Cis_ECU1_Service_Sam_ManagePlane */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SENSORSTATECONTROL_CALL_CIS_ECU1_SERVICE_SAM_MANAGEPLANE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SENSORSTATECONTROL_CALL_CIS_ECU1_SERVICE_SAM_MANAGEPLANE 177
#endif
/* SysSIG_RR_FmReportInfo_return_Cis_MCU_FmReportService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_FMREPORTINFO_RETURN_CIS_MCU_FMREPORTSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_FMREPORTINFO_RETURN_CIS_MCU_FMREPORTSERVICE 153
#endif
/* SysSIG_RR_TransCfgFile_return_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_TRANSCFGFILE_RETURN_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_TRANSCFGFILE_RETURN_CIS_ECU1_SERVICE_CFGMANAGE 52
#endif
/* SysSIG_RR_FmReportInfo_call_Cis_MCU_FmReportService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_FMREPORTINFO_CALL_CIS_MCU_FMREPORTSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_FMREPORTINFO_CALL_CIS_MCU_FMREPORTSERVICE 152
#endif
/* SysSIG_RR_DiagReadDid_return_Cis_ECU1_Service_DiagnoseWrDid */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DIAGREADDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID)
#define RTE_LDCOM_HANDLEID_SIG_RR_DIAGREADDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID 133
#endif
/* SysSIG_RR_FmFaultReport_return_Cis_MCU_FmServer */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_FMFAULTREPORT_RETURN_CIS_MCU_FMSERVER)
#define RTE_LDCOM_HANDLEID_SIG_RR_FMFAULTREPORT_RETURN_CIS_MCU_FMSERVER 151
#endif
/* SysSIG_RR_CheckMcuVersion_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_CHECKMCUVERSION_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_CHECKMCUVERSION_CALL_CIS_ECU1_SERVICE_DEVMANAGE 71
#endif
/* SysSIG_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServiceMethod */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVICEMETHOD)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVICEMETHOD 144
#endif
/* SysSIG_RR_SomeipActive_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPACTIVE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPACTIVE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 45
#endif
/* SysSIG_RR_SomeipCheckUpdateCondition_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPCHECKUPDATECONDITION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPCHECKUPDATECONDITION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 117
#endif
/* SysSIG_RR_SomeipReboot_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPREBOOT_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPREBOOT_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 44
#endif
/* SysSIG_RR_SomeipTsyncGetDataDelta_return_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCGETDATADELTA_RETURN_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCGETDATADELTA_RETURN_CIS_ECU1_SERVICE_TIMESYNC 113
#endif
/* SysSIG_Event_SM_SsHeartbeatRcv_SmSsClientService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SM_SSHEARTBEATRCV_SMSSCLIENTSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SM_SSHEARTBEATRCV_SMSSCLIENTSERVICE 12
#endif
/* SysSIG_RR_DevmdGetInfomation_call_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DEVMDGETINFOMATION_CALL_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_DEVMDGETINFOMATION_CALL_CIS_ECU1_SERVICE_CFGMANAGE 89
#endif
/* SysSIG_RR_UpdateChnlConfig_return_Cis_ECU1_NrmComCtrChnlConfig */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_UPDATECHNLCONFIG_RETURN_CIS_ECU1_NRMCOMCTRCHNLCONFIG)
#define RTE_LDCOM_HANDLEID_SIG_RR_UPDATECHNLCONFIG_RETURN_CIS_ECU1_NRMCOMCTRCHNLCONFIG 162
#endif
/* SysSIG_Event_NotifyPlatStateToHost_SmHeartBeatSnd */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMHEARTBEATSND)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMHEARTBEATSND 140
#endif
/* SysSIG_RR_SetSocTemperature_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETSOCTEMPERATURE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETSOCTEMPERATURE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 99
#endif
/* SysSIG_RR_SomeipTsyncMng_call_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCMNG_CALL_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCMNG_CALL_CIS_ECU1_SERVICE_TIMESYNC 43
#endif
/* SysSIG_RR_SomeipTsyncMng_return_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCMNG_RETURN_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCMNG_RETURN_CIS_ECU1_SERVICE_TIMESYNC 64
#endif
/* SysSIG_RR_SomeipReboot_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPREBOOT_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPREBOOT_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 65
#endif
/* SysSIG_RR_DiagWriteDid_call_Cis_ECU1_Service_DiagnoseWrDid */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DIAGWRITEDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID)
#define RTE_LDCOM_HANDLEID_SIG_RR_DIAGWRITEDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID 130
#endif
/* SysSIG_RR_DevmdGetInfomation_return_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DEVMDGETINFOMATION_RETURN_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_DEVMDGETINFOMATION_RETURN_CIS_ECU1_SERVICE_CFGMANAGE 100
#endif
/* SysSIG_RR_SetInfo_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 20
#endif
/* SysSIG_Event_ImuAbstractMcuToSoc_SaBoardImuAbstract */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_IMUABSTRACTMCUTOSOC_SABOARDIMUABSTRACT)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_IMUABSTRACTMCUTOSOC_SABOARDIMUABSTRACT 183
#endif
/* SysSIG_RR_NCSServiceChannel_call_Cis_ECU1_NCSServiceChannel */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_NCSSERVICECHANNEL_CALL_CIS_ECU1_NCSSERVICECHANNEL)
#define RTE_LDCOM_HANDLEID_SIG_RR_NCSSERVICECHANNEL_CALL_CIS_ECU1_NCSSERVICECHANNEL 145
#endif
/* SysSIG_RR_SM_SsRequestState_return_Cis_ECU1_SmSsServerService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SM_SSREQUESTSTATE_RETURN_CIS_ECU1_SMSSSERVERSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SM_SSREQUESTSTATE_RETURN_CIS_ECU1_SMSSSERVERSERVICE 96
#endif
/* SysSIG_RR_GetPowerDownReason_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETPOWERDOWNREASON_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETPOWERDOWNREASON_CALL_CIS_ECU1_SERVICE_DEVMANAGE 92
#endif
/* SysSIG_RR_FmGetFaultFromHost_call_Cis_ECU1_FmServerService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_FMGETFAULTFROMHOST_CALL_CIS_ECU1_FMSERVERSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_FMGETFAULTFROMHOST_CALL_CIS_ECU1_FMSERVERSERVICE 148
#endif
/* SysSIG_Event_SensorDataMcuToSoc_Service_Sam */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SENSORDATAMCUTOSOC_SERVICE_SAM)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SENSORDATAMCUTOSOC_SERVICE_SAM 119
#endif
/* SysSIG_RR_RequestWorkMode_call_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODE_CALL_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODE_CALL_CIS_ECU1_SMSERVICE 134
#endif
/* SysSIG_RR_SomeipCheckUpdateCondition_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPCHECKUPDATECONDITION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPCHECKUPDATECONDITION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 118
#endif
/* SysSIG_Event_SM_HeartbeatSnd_SmHeartBeatSnd */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SM_HEARTBEATSND_SMHEARTBEATSND)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SM_HEARTBEATSND_SMHEARTBEATSND 139
#endif
/* SysSIG_Event_SomeipTsyncSendUtcTime_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SOMEIPTSYNCSENDUTCTIME_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SOMEIPTSYNCSENDUTCTIME_SERVICE_TIMESYNC 147
#endif
/* SysSIG_Event_SensorDataSocToMcu_Service_Sam_Client */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SENSORDATASOCTOMCU_SERVICE_SAM_CLIENT)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SENSORDATASOCTOMCU_SERVICE_SAM_CLIENT 154
#endif
/* SysSIG_RR_SomeipGetUpdateable_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEABLE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEABLE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 104
#endif
/* SysSIG_RR_SomeipTsyncGetDataDelta_call_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCGETDATADELTA_CALL_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCGETDATADELTA_CALL_CIS_ECU1_SERVICE_TIMESYNC 108
#endif
/* SysSIG_RR_GetWorkMode_call_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETWORKMODE_CALL_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETWORKMODE_CALL_CIS_ECU1_SMSERVICE 136
#endif
/* SysSIG_RR_SetChannelCtrl_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETCHANNELCTRL_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETCHANNELCTRL_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 74
#endif
/* SysSIG_Event_IntfMcuSendEdrDataToSoc_Service_Intf_Edr */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_INTFMCUSENDEDRDATATOSOC_SERVICE_INTF_EDR)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_INTFMCUSENDEDRDATATOSOC_SERVICE_INTF_EDR 123
#endif
/* SysSIG_Event_NotifyPlatStateToHost_SmSsServerHeartBeat */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMSSSERVERHEARTBEAT)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMSSSERVERHEARTBEAT 33
#endif
/* SysSIG_RR_DevmReadUartData_return_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADUARTDATA_RETURN_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADUARTDATA_RETURN_CIS_ECU1_SERVICE_CFGMANAGE 188
#endif
/* SysSIG_Event_SM_SsHeartbeatSnd_SmSsServerHeartBeat */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SM_SSHEARTBEATSND_SMSSSERVERHEARTBEAT)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SM_SSHEARTBEATSND_SMSSSERVERHEARTBEAT 16
#endif
/* SysSIG_RR_RequestWorkMode_return_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODE_RETURN_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODE_RETURN_CIS_ECU1_SMSERVICE 135
#endif
/* SysSIG_RR_GetMcuAliveState_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETMCUALIVESTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETMCUALIVESTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE 77
#endif
/* SysSIG_RR_SomeipGetVersion_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETVERSION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETVERSION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 84
#endif
/* SysSIG_RR_MntExecCmdInfo_return_Cis_ECU1_MntDbgChannel */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_MNTEXECCMDINFO_RETURN_CIS_ECU1_MNTDBGCHANNEL)
#define RTE_LDCOM_HANDLEID_SIG_RR_MNTEXECCMDINFO_RETURN_CIS_ECU1_MNTDBGCHANNEL 34
#endif
/* SysSIG_RR_SomeipTransFinish_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFINISH_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFINISH_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 90
#endif
/* SysSIG_RR_RequestWorkModeSwitch_return_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODESWITCH_RETURN_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODESWITCH_RETURN_CIS_ECU1_SMSERVICE 67
#endif
/* SysSIG_RR_UpdateChnlConfig_call_Cis_ECU1_NrmComCtrChnlConfig */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_UPDATECHNLCONFIG_CALL_CIS_ECU1_NRMCOMCTRCHNLCONFIG)
#define RTE_LDCOM_HANDLEID_SIG_RR_UPDATECHNLCONFIG_CALL_CIS_ECU1_NRMCOMCTRCHNLCONFIG 161
#endif
/* SysSIG_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServerMethodB */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVERMETHODB)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVERMETHODB 182
#endif
/* SysSIG_RR_SomeipTransferStart_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERSTART_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERSTART_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 102
#endif
/* SysSIG_RR_DiagReadDid_call_Cis_ECU1_Service_DiagnoseWrDid */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DIAGREADDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID)
#define RTE_LDCOM_HANDLEID_SIG_RR_DIAGREADDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID 132
#endif
/* SysSIG_RR_RequestWorkModeSwitch_call_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODESWITCH_CALL_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_REQUESTWORKMODESWITCH_CALL_CIS_ECU1_SMSERVICE 46
#endif
/* SysSIG_RR_SomeipTransFinish_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFINISH_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFINISH_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 101
#endif
/* SysSIG_RR_GetWorkMode_return_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETWORKMODE_RETURN_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETWORKMODE_RETURN_CIS_ECU1_SMSERVICE 137
#endif
/* SysSIG_RR_GetMcuState_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETMCUSTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETMCUSTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 47
#endif
/* SysSIG_RR_DcComCtrlCanChnlConfig_return_Cis_ECU1_DcComCtrlServer */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DCCOMCTRLCANCHNLCONFIG_RETURN_CIS_ECU1_DCCOMCTRLSERVER)
#define RTE_LDCOM_HANDLEID_SIG_RR_DCCOMCTRLCANCHNLCONFIG_RETURN_CIS_ECU1_DCCOMCTRLSERVER 157
#endif
/* SysSIG_RR_CtrlMcuPower_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_CTRLMCUPOWER_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_CTRLMCUPOWER_CALL_CIS_ECU1_SERVICE_DEVMANAGE 40
#endif
/* SysSIG_RR_SomeipTsyncSyncGnssOsClockDiv_call_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_CALL_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_CALL_CIS_ECU1_SERVICE_TIMESYNC 191
#endif
/* SysSIG_RR_SomeipTsyncChEnable_call_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCCHENABLE_CALL_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCCHENABLE_CALL_CIS_ECU1_SERVICE_TIMESYNC 189
#endif
/* SysSIG_RR_CanNmCtrl_call_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_CANNMCTRL_CALL_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_CANNMCTRL_CALL_CIS_ECU1_SMSERVICE 3
#endif
/* SysSIG_RR_GetPowerDownReason_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETPOWERDOWNREASON_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETPOWERDOWNREASON_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 105
#endif
/* SysSIG_RR_GetMcuAliveState_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETMCUALIVESTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETMCUALIVESTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 93
#endif
/* SysSIG_Event_SomeipTsyncSendGpsPpsTime_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_SOMEIPTSYNCSENDGPSPPSTIME_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_SOMEIPTSYNCSENDGPSPPSTIME_SERVICE_TIMESYNC 184
#endif
/* SysSIG_RR_FmFaultReport_call_Cis_MCU_FmServer */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_FMFAULTREPORT_CALL_CIS_MCU_FMSERVER)
#define RTE_LDCOM_HANDLEID_SIG_RR_FMFAULTREPORT_CALL_CIS_MCU_FMSERVER 150
#endif
/* SysSIG_RR_SomeipGetUpdateProgress_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEPROGRESS_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEPROGRESS_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 116
#endif
/* SysSIG_RR_GetWdgAnswer_call_Cis_ECU1_ExWdgServerMethodB */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVERMETHODB)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVERMETHODB 181
#endif
/* SysSIG_RR_SomeipTransferData_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERDATA_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERDATA_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 97
#endif
/* SysSIG_RR_DevmReadConfig_call_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADCONFIG_CALL_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADCONFIG_CALL_CIS_ECU1_SERVICE_CFGMANAGE 53
#endif
/* SysSIG_RR_SetChannelCtrl_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETCHANNELCTRL_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETCHANNELCTRL_CALL_CIS_ECU1_SERVICE_DEVMANAGE 55
#endif
/* SysSIG_RR_DevmReadUartData_call_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADUARTDATA_CALL_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADUARTDATA_CALL_CIS_ECU1_SERVICE_CFGMANAGE 187
#endif
/* SysSIG_Event_LogEvent_Service_Log */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_LOGEVENT_SERVICE_LOG)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_LOGEVENT_SERVICE_LOG 1
#endif
/* SysSIG_RR_SetPowerDownReasonRead_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETPOWERDOWNREASONREAD_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETPOWERDOWNREASONREAD_CALL_CIS_ECU1_SERVICE_DEVMANAGE 112
#endif
/* SysSIG_RR_GetSocStatus_call_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETSOCSTATUS_CALL_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETSOCSTATUS_CALL_CIS_ECU1_SMSERVICE 9
#endif
/* SysSIG_RR_DcComCtrlCanChnlConfig_call_Cis_ECU1_DcComCtrlServer */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DCCOMCTRLCANCHNLCONFIG_CALL_CIS_ECU1_DCCOMCTRLSERVER)
#define RTE_LDCOM_HANDLEID_SIG_RR_DCCOMCTRLCANCHNLCONFIG_CALL_CIS_ECU1_DCCOMCTRLSERVER 156
#endif
/* SysSIG_Event_UpdateHeartBeat_NrmComCtrHeartBeat */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_UPDATEHEARTBEAT_NRMCOMCTRHEARTBEAT)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_UPDATEHEARTBEAT_NRMCOMCTRHEARTBEAT 160
#endif
/* SysSIG_RR_NCSServiceChannel_return_Cis_ECU1_NCSServiceChannel */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_NCSSERVICECHANNEL_RETURN_CIS_ECU1_NCSSERVICECHANNEL)
#define RTE_LDCOM_HANDLEID_SIG_RR_NCSSERVICECHANNEL_RETURN_CIS_ECU1_NCSSERVICECHANNEL 146
#endif
/* SysSIG_RR_SomeipGetUpdateable_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEABLE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEABLE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 111
#endif
/* SysSIG_RR_GetMcuState_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETMCUSTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETMCUSTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE 25
#endif
/* SysSIG_RR_SetInfo_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE 15
#endif
/* SysSIG_RR_QuestionWdgReport_call_Cis_MCU_ExWdgClientMethodB */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHODB)
#define RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHODB 179
#endif
/* SysSIG_RR_CtrlMcuPower_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_CTRLMCUPOWER_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_CTRLMCUPOWER_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 59
#endif
/* SysSIG_RR_DiagWriteDid_return_Cis_ECU1_Service_DiagnoseWrDid */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DIAGWRITEDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID)
#define RTE_LDCOM_HANDLEID_SIG_RR_DIAGWRITEDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID 131
#endif
/* SysSIG_RR_TransCfgFile_call_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_TRANSCFGFILE_CALL_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_TRANSCFGFILE_CALL_CIS_ECU1_SERVICE_CFGMANAGE 35
#endif
/* SysSIG_RR_MntRequestCmdResult_return_Cis_ECU1_MntDbgChannel */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_MNTREQUESTCMDRESULT_RETURN_CIS_ECU1_MNTDBGCHANNEL)
#define RTE_LDCOM_HANDLEID_SIG_RR_MNTREQUESTCMDRESULT_RETURN_CIS_ECU1_MNTDBGCHANNEL 83
#endif
/* SysSIG_RR_SM_SsRequestState_call_Cis_ECU1_SmSsServerService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SM_SSREQUESTSTATE_CALL_CIS_ECU1_SMSSSERVERSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SM_SSREQUESTSTATE_CALL_CIS_ECU1_SMSSSERVERSERVICE 82
#endif
/* SysSIG_RR_FmGetFaultFromHost_return_Cis_ECU1_FmServerService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_FMGETFAULTFROMHOST_RETURN_CIS_ECU1_FMSERVERSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_FMGETFAULTFROMHOST_RETURN_CIS_ECU1_FMSERVERSERVICE 149
#endif
/* SysSIG_RR_MntExecCmdInfo_call_Cis_ECU1_MntDbgChannel */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_MNTEXECCMDINFO_CALL_CIS_ECU1_MNTDBGCHANNEL)
#define RTE_LDCOM_HANDLEID_SIG_RR_MNTEXECCMDINFO_CALL_CIS_ECU1_MNTDBGCHANNEL 21
#endif
/* SysSIG_RR_SensorStateControl_return_Cis_ECU1_Service_Sam_ManagePlane */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SENSORSTATECONTROL_RETURN_CIS_ECU1_SERVICE_SAM_MANAGEPLANE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SENSORSTATECONTROL_RETURN_CIS_ECU1_SERVICE_SAM_MANAGEPLANE 178
#endif
/* SysSIG_RR_MntRequestCmdResult_call_Cis_ECU1_MntDbgChannel */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_MNTREQUESTCMDRESULT_CALL_CIS_ECU1_MNTDBGCHANNEL)
#define RTE_LDCOM_HANDLEID_SIG_RR_MNTREQUESTCMDRESULT_CALL_CIS_ECU1_MNTDBGCHANNEL 61
#endif
/* SysSIG_RR_GetDevInfo_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETDEVINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETDEVINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE 23
#endif
/* SysSIG_RR_DevmReadConfig_return_Cis_ECU1_Service_CfgManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADCONFIG_RETURN_CIS_ECU1_SERVICE_CFGMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_DEVMREADCONFIG_RETURN_CIS_ECU1_SERVICE_CFGMANAGE 72
#endif
/* SysSIG_RR_SomeipGetUpdateProgress_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEPROGRESS_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETUPDATEPROGRESS_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 114
#endif
/* SysSIG_RR_SomeipSetUpdateMode_call_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPSETUPDATEMODE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPSETUPDATEMODE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU 103
#endif
/* SysSIG_RR_SomeipTransferData_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERDATA_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTRANSFERDATA_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 107
#endif
/* SysSIG_RR_GetSocStatus_return_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETSOCSTATUS_RETURN_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETSOCSTATUS_RETURN_CIS_ECU1_SMSERVICE 13
#endif
/* SysSIG_RR_GetDevInfo_return_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_GETDEVINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_GETDEVINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE 38
#endif
/* SysSIG_RR_QuestionWdgReport_return_Cis_MCU_ExWdgClientMethodB */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHODB)
#define RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHODB 180
#endif
/* SysSIG_RR_SomeipGetVersion_return_Cis_ECU1_Service_UpgradeMcu */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETVERSION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPGETVERSION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU 98
#endif
/* SysSIG_RR_SetSocTemperature_call_Cis_ECU1_Service_DevManage */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SETSOCTEMPERATURE_CALL_CIS_ECU1_SERVICE_DEVMANAGE)
#define RTE_LDCOM_HANDLEID_SIG_RR_SETSOCTEMPERATURE_CALL_CIS_ECU1_SERVICE_DEVMANAGE 85
#endif
/* SysSIG_RR_CanNmCtrl_return_Cis_ECU1_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_CANNMCTRL_RETURN_CIS_ECU1_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_RR_CANNMCTRL_RETURN_CIS_ECU1_SMSERVICE 5
#endif
/* SysSIG_Event_WorkModeNotify_SmService */
#if !defined(RTE_LDCOM_HANDLEID_SIG_EVENT_WORKMODENOTIFY_SMSERVICE)
#define RTE_LDCOM_HANDLEID_SIG_EVENT_WORKMODENOTIFY_SMSERVICE 2
#endif
/* SysSIG_RR_QuestionWdgReport_call_Cis_MCU_ExWdgClientMethod */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHOD)
#define RTE_LDCOM_HANDLEID_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHOD 141
#endif
/* SysSIG_RR_SomeipTsyncSyncGnssOsClockDiv_return_Cis_ECU1_Service_TimeSync */
#if !defined(RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_RETURN_CIS_ECU1_SERVICE_TIMESYNC)
#define RTE_LDCOM_HANDLEID_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_RETURN_CIS_ECU1_SERVICE_TIMESYNC 192
#endif

/***************************************************************************
 *
 * Declaration of return value priority
 *
 **************************************************************************/
#ifndef RTE_SR_QUEUE_SIZE
#define RTE_SR_QUEUE_SIZE (10U)
extern CONST(Std_ReturnType, RTE_CONST) Rte_Sr_Queue[RTE_SR_QUEUE_SIZE];
#endif
#ifndef RTE_SR_NONQUEUE_WRITE_SIZE
#define RTE_SR_NONQUEUE_WRITE_SIZE (7U)
extern CONST(Std_ReturnType, RTE_CONST) Rte_Sr_NonQueue_Write[RTE_SR_NONQUEUE_WRITE_SIZE];
#endif
#ifndef RTE_SR_NONQUEUE_READ_SIZE
#define RTE_SR_NONQUEUE_READ_SIZE (9U)
extern CONST(Std_ReturnType, RTE_CONST) Rte_Sr_NonQueue_Read[RTE_SR_NONQUEUE_READ_SIZE];
#endif
#ifndef RTE_SENDER_STATUS_SIZE
#define RTE_SENDER_STATUS_SIZE (10U)
#endif
#ifndef RTE_CS_QUEUE_SIZE
#define RTE_CS_QUEUE_SIZE (11U)
#endif
#ifndef RTE_CS_RESULT_QUEUE_SIZE
#define RTE_CS_RESULT_QUEUE_SIZE (10U)
#endif
#ifndef RTE_COM_STATUS_SIZE
#define RTE_COM_STATUS_SIZE (5U)
#endif

/***************************************************************************
 *
 * Exclusive Area ID
 *
 **************************************************************************/

/***************************************************************************
 *
 * Primitive types
 *
 **************************************************************************/
typedef unsigned short uint16;
typedef unsigned char uint8_v;
typedef unsigned int uint32_v;
typedef unsigned char EthNetMask;
typedef unsigned int specialIDT_DynamicLengthField_uint32;
typedef unsigned char IDT_uint8;
typedef unsigned char uint8;
typedef unsigned char LPM_DebugType;
typedef unsigned char LPM_OprMonitorType;
typedef unsigned char LPM_ReqResultType;
typedef unsigned char LPM_ReqType;
typedef unsigned char LPM_SocOnEnbType;
typedef unsigned char MdcBoxIdType;
typedef unsigned int MntCmdResultStrSize;
typedef unsigned char MntCmdRet;
typedef unsigned char MntCmdStrSize;
typedef unsigned char NmCanControl;
typedef unsigned char NmCanUser;
typedef unsigned char Nm_UserType;
typedef unsigned char SM_SocOnEnbType;
typedef unsigned char Sa_ADAS_CrtSts_Type;
typedef unsigned char Sa_ADAS_FlowReq_Type;
typedef unsigned int uint32;
typedef unsigned char VoltStatusType;
typedef unsigned char WriteDidResponseType;
typedef unsigned char boolean;
typedef float float32;
typedef signed short sint16;
typedef signed int sint32;
typedef long long sint64;
typedef signed char sint8;
typedef unsigned long long uint64;

/***************************************************************************
 *
 * Forwarding declaration
 *
 **************************************************************************/
struct Rte_struct_AdcDebugInfoType;
struct Rte_struct_AdipTimeInfo;
struct Rte_struct_AlarmFailCfgType;
struct Rte_struct_AlarmInfo;
struct Rte_struct_AlarmInfoCore;
struct Rte_struct_AliveSupervisionRule;
struct Rte_struct_Vector_uint8;
struct Rte_struct_AnswerMsg;
struct Rte_struct_Array64;
struct Rte_struct_ReportFaultToHostType;
struct Rte_struct_AsymPrivateKeyType;
struct Rte_struct_AsymPublicKeyType;
struct Rte_struct_BareUdpDataType;
struct Rte_struct_BoardImuTimestampType;
struct Rte_struct_BoardImuAbstractDataType;
struct Rte_struct_BoardImuRawDataType;
struct Rte_struct_Header;
struct Rte_struct_BodyCommand;
struct Rte_struct_TimeStampType;
struct Rte_struct_BodyCommandSafeStopType;
struct Rte_struct_LightSwitch;
struct Rte_struct_ModeSwitch;
struct Rte_struct_DoorSwitch;
struct Rte_struct_MirrorSwitch;
struct Rte_struct_PepsSwitch;
struct Rte_struct_Wiper;
struct Rte_struct_PadSwitch;
struct Rte_struct_LightStatus;
struct Rte_struct_DoorStatus;
struct Rte_struct_WindowStatus;
struct Rte_struct_Uint8WithValid;
struct Rte_struct_TyreStatus;
struct Rte_struct_SafetyStatus;
struct Rte_struct_Float32WithValid;
struct Rte_struct_CommonStatus;
struct Rte_struct_BodyReport;
struct Rte_struct_CanFdConfigParam;
struct Rte_struct_TimeStamp32;
struct Rte_struct_CanPayloadType;
struct Rte_struct_CanMsgType;
struct Rte_struct_CanMsgListType;
struct Rte_struct_CanRawMsgType;
struct Rte_struct_CanTSynMirrorDynArray;
struct Rte_struct_FaultEventRecord;
struct Rte_struct_CantraceAlarmPktType;
struct Rte_struct_CfgInfo;
struct Rte_struct_RosMsgHeaderType;
struct Rte_struct_ChassisCommandType;
struct Rte_struct_SaChassisReportAutonomyMode;
struct Rte_struct_SaChassisReportGear;
struct Rte_struct_SaChassisReportActuatorWorkStatus;
struct Rte_struct_SaChassisReportActuatorStatus;
struct Rte_struct_SaChassisReportFloat32WithValid;
struct Rte_struct_SaChassisReportUint8WithValid;
struct Rte_struct_SaChassisReportSteerInfo;
struct Rte_struct_SaChassisReportWheelSpeed;
struct Rte_struct_SaChassisReportBrakeInfo;
struct Rte_struct_SaChassisReportThrottleInfo;
struct Rte_struct_SaChassisReportGearInfo;
struct Rte_struct_SaChassisReportVehicleMotion;
struct Rte_struct_VlcInfo;
struct Rte_struct_EcasStatus;
struct Rte_struct_ChassisReportType;
struct Rte_struct_Checkpoint;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_00;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_001;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_002;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_003;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_004;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_005;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_006;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_007;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_008;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_009;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_010;
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_011;
struct Rte_struct_ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH;
struct Rte_struct_ComReqType;
struct Rte_struct_ComStateType;
struct Rte_struct_CpuUsageInfo;
struct Rte_struct_DcCheckSubChannelType;
struct Rte_struct_DcComCtrlCanIdInfo;
struct Rte_struct_DcComCtrlCanChkList;
struct Rte_struct_DcComCtrlCanChnl;
struct Rte_struct_DcmDspDid_0x9064_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9065_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9080_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9081_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9082_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9203_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9204_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9205_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9207_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9208_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9209_Struct_DataType;
struct Rte_struct_DcmDspDid_0x920A_Struct_DataType;
struct Rte_struct_DcmDspDid_0x920B_Struct_DataType;
struct Rte_struct_DcmDspDid_0x920C_Struct_DataType;
struct Rte_struct_DcmDspDid_0x920D_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9210_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9250_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9251_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9252_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9253_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9254_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9255_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9256_Struct_DataType;
struct Rte_struct_DcmDspDid_0x9257_Struct_DataType;
struct Rte_struct_DevmdArraySint32_10;
struct Rte_struct_DebugTemperInfoStruct;
struct Rte_struct_DevmdArrayUint32_14;
struct Rte_struct_DevmdArrayUint32_23;
struct Rte_struct_DevmdArrayUint32_44;
struct Rte_struct_DevmdArrayUint32_6;
struct Rte_struct_DevmdArrayUint8_128;
struct Rte_struct_DevmdArrayUint8_512;
struct Rte_struct_DevmdBoardAttr;
struct Rte_struct_DevmdDevInfo;
struct Rte_struct_UtcDateTime;
struct Rte_struct_DevmdFaultInfo;
struct Rte_struct_DevmdHardwareLoopOutOpInfo;
struct Rte_struct_DevmdSerializerStateInfo;
struct Rte_struct_DevmdHardwareLoopOutStateInfo;
struct Rte_struct_DevmdLidarOpInfo;
struct Rte_struct_DevmdVinCodeType;
struct Rte_struct_Dfs_ServiceDataType;
struct Rte_struct_DiagDidInfo;
struct Rte_struct_DiagDid;
struct Rte_struct_DidValue;
struct Rte_struct_DidInfo;
struct Rte_struct_DidValueVectorAdsType;
struct Rte_struct_DidInfoAdsType;
struct Rte_struct_Dlt_ContextIdInfoType;
struct Rte_struct_Dlt_ApplicationIdInfoType;
struct Rte_struct_Dlt_LogInfoShortType;
struct Rte_struct_Dlt_LogInfoType;
struct Rte_struct_Dlt_MessageLogInfoType;
struct Rte_struct_Dlt_MessageLogPublishType;
struct Rte_struct_Dlt_MessageTraceInfoType;
struct Rte_struct_Dlt_SwcMsgInfoType;
struct Rte_struct_EdrCanCoreParaType;
struct Rte_struct_EdrCanCoreParaListType;
struct Rte_struct_EdrSomeIpType;
struct Rte_struct_EthIfStatInfo;
struct Rte_struct_EventInfo;
struct Rte_struct_FwdCfg;
struct Rte_struct_WwdCfg;
struct Rte_struct_ExternWdgCfg;
struct Rte_struct_FaultHeartType;
struct Rte_struct_FmEventInfo;
struct Rte_struct_FmMsgHeader;
struct Rte_struct_FmReturnType;
struct Rte_struct_FusionObjectType;
struct Rte_struct_FusionObjectVector;
struct Rte_struct_GateWayDistributionType;
struct Rte_struct_Gear;
struct Rte_struct_GnssOsClockDivType;
struct Rte_struct_GpiInfo;
struct Rte_struct_GpoInfo;
struct Rte_struct_HmiMntStruct;
struct Rte_struct_HmiServerCanOutputType;
struct Rte_struct_HmiServerCanOutputType1;
struct Rte_struct_HostCtrlCap;
struct Rte_struct_IDT_EdrCanInfo;
struct Rte_struct_IDT_EdrCfgInfo;
struct Rte_struct_IdSingleSignal;
struct Rte_struct_ImuMsgType;
struct Rte_struct_InputVoltInfo;
struct Rte_struct_InterCoreInfo;
struct Rte_struct_IntfCanChnlSwitchCmd;
struct Rte_struct_NrmComCtrlChnlConfig;
struct Rte_struct_IntfCommWithAppType;
struct Rte_struct_KeyLearnData;
struct Rte_struct_LPM_RequestResultType;
struct Rte_struct_LidarOpInfo;
struct Rte_struct_LinkFaultStruct;
struct Rte_struct_LocalizationFrom1951Type;
struct Rte_struct_LogString_Im;
struct Rte_struct_LongCtrlCmd;
struct Rte_struct_MdcVersionInfo;
struct Rte_struct_MntCanTracePktType;
struct Rte_struct_MntCanTraceTriggerType;
struct Rte_struct_MntCmdParamsArrayType;
struct Rte_struct_MntSendLogType;
struct Rte_struct_MntTraceDataType;
struct Rte_struct_MntTraceType;
struct Rte_struct_RoadPointType;
struct Rte_struct_RoadPointVectorType;
struct Rte_struct_MotionPlanType;
struct Rte_struct_NCS_SendSyncReqType;
struct Rte_struct_NcsChannelBuf;
struct Rte_struct_NcsServerDataRequest;
struct Rte_struct_NcsServerDataResponse;
struct Rte_struct_NrmComCtrlHeartBeat;
struct Rte_struct_NrmPduGroupCtrlData;
struct Rte_struct_ObjectArrayFusionType;
struct Rte_struct_SingleObjectRadarType;
struct Rte_struct_ObjectRadarTrackArrayType;
struct Rte_struct_Struct_float64_xyz;
struct Rte_struct_Struct_float64_xyzw;
struct Rte_struct_OdometryType;
struct Rte_struct_ParkRoadPointStruct;
struct Rte_struct_PowerStatus;
struct Rte_struct_QuestionMsg;
struct Rte_struct_RPAArrayType;
struct Rte_struct_RadarCalibParaType;
struct Rte_struct_RadarOutputType;
struct Rte_struct_RadarStateType;
struct Rte_struct_RadarTrackObjectType;
struct Rte_struct_RadarTrackArrayType;
struct Rte_struct_ReadDidResponseType;
struct Rte_struct_UdsInfoVectorAdsType;
struct Rte_struct_ReportFaultToHostVectorElementType;
struct Rte_struct_ReportFaultToHostVectorType;
struct Rte_struct_ReportFaultToHostWithAllParaType;
struct Rte_struct_SteerAngleCmd;
struct Rte_struct_SteerTorqueCmd;
struct Rte_struct_SteerCrvtCmd;
struct Rte_struct_SteerVibrationCmd;
struct Rte_struct_RosChassisCommandMsg;
struct Rte_struct_RosFosMsg;
struct Rte_struct_SaFaultTransferType;
struct Rte_struct_Sa_DcDcOperSts;
struct Rte_struct_Sa_EccOutdT;
struct Rte_struct_Sa_PowerMode;
struct Rte_struct_Sa_TmsCoolSts;
struct Rte_struct_Sa_TmsWaterTemp;
struct Rte_struct_SchM_EthSwt_MgmtInfoType;
struct Rte_struct_SchM_EthSwt_MgmtObjectValidType;
struct Rte_struct_SchM_Eth_TimeStampType;
struct Rte_struct_SchM_EthSwt_MgmtObjectType;
struct Rte_struct_SecOC_VerificationStatusType;
struct Rte_struct_SensorCanTSynFaultReportType;
struct Rte_struct_SensorOpInfo;
struct Rte_struct_SensorOperRequestType;
struct Rte_struct_SensorStateControlSocType;
struct Rte_struct_SensorStateControlType;
struct Rte_struct_SentryReqType;
struct Rte_struct_SmPlatInfo;
struct Rte_struct_SmSsMsg;
struct Rte_struct_SomeipDynPayloadType;
struct Rte_struct_StbM_LocalDateTimeType;
struct Rte_struct_StbM_MeasurementType;
struct Rte_struct_StbM_OffsetRecordTableBlockType;
struct Rte_struct_StbM_OffsetRecordTableHeadType;
struct Rte_struct_StbM_SyncRecordTableBlockType;
struct Rte_struct_StbM_SyncRecordTableHeadType;
struct Rte_struct_StbM_TimeStampExtendedType;
struct Rte_struct_StbM_TimeStampType;
struct Rte_struct_StbM_TimeZoneType;
struct Rte_struct_StbM_UTCDateTimeType;
struct Rte_struct_StbM_UserDataType;
struct Rte_struct_StbM_VirtualLocalTimeType;
struct Rte_struct_String;
struct Rte_struct_Struct_ReportFaultToHost;
struct Rte_struct_SymKey2Type;
struct Rte_struct_TboxTimeInfo;
struct Rte_struct_TempSingleSignal;
struct Rte_struct_ThmHeatDissipationType;
struct Rte_struct_TimeDetal;
struct Rte_struct_TimeStamp;
struct Rte_struct_TimeSyncCpldPpsTimeType;
struct Rte_struct_TimeSyncGpsPpsTimeType;
struct Rte_struct_TimeSyncLocalTimeType;
struct Rte_struct_TimeSyncMngMasterRecvMsg;
struct Rte_struct_TimeSyncMngSlaveSendMsg;
struct Rte_struct_TysnChOperType;
struct Rte_struct_TsyncChEnableType;
struct Rte_struct_TsyncDebugSetTimeType;
struct Rte_struct_TsyncPerMgrTime;
struct Rte_struct_UdsInfo;
struct Rte_struct_Vector;
struct Rte_struct_VehicleConfigPara;
struct Rte_struct_VehicleParkingCommandStruct;
struct Rte_struct_VehicleParkingStateStruct;
struct Rte_struct_VlcStateInfo;
struct Rte_struct_VoltSingleSignal;
struct Rte_struct_WriteDidRequestType;
struct Rte_struct_dbcVersionGroupType;
struct Rte_struct_reduntState;

/***************************************************************************
 *
 * Data types
 *
 **************************************************************************/
#ifndef Rte_TypeDef_AdcDebugInfoType
#define Rte_TypeDef_AdcDebugInfoType
struct Rte_struct_AdcDebugInfoType {
    uint32 channelId; /* unsigned int */
    uint32 debugValue; /* unsigned int */
    uint32 timeCnt; /* unsigned int */
    uint32 accessCnt; /* unsigned int */
};
typedef struct Rte_struct_AdcDebugInfoType AdcDebugInfoType;
#endif /* Rte_TypeDef_AdcDebugInfoType */
#ifndef Rte_TypeDef_AdipTimeInfo
#define Rte_TypeDef_AdipTimeInfo
struct Rte_struct_AdipTimeInfo {
    uint8 timeValidFlag; /* unsigned char */
    uint64 utcTime; /* unsigned long long */
};
typedef struct Rte_struct_AdipTimeInfo AdipTimeInfo;
#endif /* Rte_TypeDef_AdipTimeInfo */
#ifndef Rte_TypeDef_AlarmFailCfgType
#define Rte_TypeDef_AlarmFailCfgType
struct Rte_struct_AlarmFailCfgType {
    uint16 retryCnt; /* unsigned short */
    uint8 resetEnable; /* unsigned char */
};
typedef struct Rte_struct_AlarmFailCfgType AlarmFailCfgType;
#endif /* Rte_TypeDef_AlarmFailCfgType */
#ifndef Rte_TypeDef_AlarmInfo
#define Rte_TypeDef_AlarmInfo
struct Rte_struct_AlarmInfo {
    uint16 alarmFaultId; /* unsigned short */
    uint16 alarmKeyPara; /* unsigned short */
};
typedef struct Rte_struct_AlarmInfo AlarmInfo;
#endif /* Rte_TypeDef_AlarmInfo */
#ifndef Rte_TypeDef_AlarmInfoCore
#define Rte_TypeDef_AlarmInfoCore
struct Rte_struct_AlarmInfoCore {
    uint16 alarmId; /* unsigned short */
    uint16 alarmObj; /* unsigned short */
    uint8 clss; /* unsigned char */
    uint8 level; /* unsigned char */
    uint8 status; /* unsigned char */
    uint64 time; /* unsigned long long */
    unsigned char desc[16];
};
typedef struct Rte_struct_AlarmInfoCore AlarmInfoCore;
#endif /* Rte_TypeDef_AlarmInfoCore */
#ifndef Rte_TypeDef_AliveSupervisionRule
#define Rte_TypeDef_AliveSupervisionRule
struct Rte_struct_AliveSupervisionRule {
    uint16 seId; /* unsigned short */
    uint16 cpId; /* unsigned short */
    uint16 expectedAliveIndications; /* unsigned short */
    uint16 maxMargin; /* unsigned short */
    uint16 minMargin; /* unsigned short */
    uint16 refCycles; /* unsigned short */
    uint16 failedCycleTolerance; /* unsigned short */
    uint16 expiredCycleTolerance; /* unsigned short */
};
typedef struct Rte_struct_AliveSupervisionRule AliveSupervisionRule;
#endif /* Rte_TypeDef_AliveSupervisionRule */
#ifndef Rte_TypeDef_Vector_uint8
#define Rte_TypeDef_Vector_uint8
struct Rte_struct_Vector_uint8 {
    uint32 len; /* unsigned int */
    unsigned char array[20];
};
typedef struct Rte_struct_Vector_uint8 Vector_uint8;
#endif /* Rte_TypeDef_Vector_uint8 */
#ifndef Rte_TypeDef_AnswerMsg
#define Rte_TypeDef_AnswerMsg
struct Rte_struct_AnswerMsg {
    uint32 versionId; /* unsigned int */
    uint32 msgId; /* unsigned int */
    uint8 answerParamLen; /* unsigned char */
    struct Rte_struct_Vector_uint8 qaParam;
};
typedef struct Rte_struct_AnswerMsg AnswerMsg;
#endif /* Rte_TypeDef_AnswerMsg */
#ifndef Rte_TypeDef_Array128
#define Rte_TypeDef_Array128
typedef unsigned char Array128[128];
#endif /* Rte_TypeDef_Array128 */
#ifndef Rte_TypeDef_Array1400Uint8
#define Rte_TypeDef_Array1400Uint8
typedef unsigned char Array1400Uint8[1400];
#endif /* Rte_TypeDef_Array1400Uint8 */
#ifndef Rte_TypeDef_Array4
#define Rte_TypeDef_Array4
typedef unsigned long long Array4[4];
#endif /* Rte_TypeDef_Array4 */
#ifndef Rte_TypeDef_Array64
#define Rte_TypeDef_Array64
struct Rte_struct_Array64 {
    unsigned char dataBuff[64];
};
typedef struct Rte_struct_Array64 Array64;
#endif /* Rte_TypeDef_Array64 */
#ifndef Rte_TypeDef_Ary1D_MappedFaultType_10
#define Rte_TypeDef_Ary1D_MappedFaultType_10
typedef unsigned short Ary1D_MappedFaultType_10[10];
#endif /* Rte_TypeDef_Ary1D_MappedFaultType_10 */
#ifndef Rte_TypeDef_ReportFaultToHostType
#define Rte_TypeDef_ReportFaultToHostType
struct Rte_struct_ReportFaultToHostType {
    uint8 type; /* unsigned char */
    uint16 eventID; /* unsigned short */
    uint8 faultLoc; /* unsigned char */
    uint32 nodeID; /* unsigned int */
};
typedef struct Rte_struct_ReportFaultToHostType ReportFaultToHostType;
#endif /* Rte_TypeDef_ReportFaultToHostType */
#ifndef Rte_TypeDef_Ary1D_ReportFaultToHost_10
#define Rte_TypeDef_Ary1D_ReportFaultToHost_10
typedef struct Rte_struct_ReportFaultToHostType Ary1D_ReportFaultToHost_10[10];
#endif /* Rte_TypeDef_Ary1D_ReportFaultToHost_10 */
#ifndef Rte_TypeDef_Ary1D_Uint8_8
#define Rte_TypeDef_Ary1D_Uint8_8
typedef unsigned char Ary1D_Uint8_8[8];
#endif /* Rte_TypeDef_Ary1D_Uint8_8 */
#ifndef Rte_TypeDef_Ary1D_uint8_9
#define Rte_TypeDef_Ary1D_uint8_9
typedef unsigned char Ary1D_uint8_9[9];
#endif /* Rte_TypeDef_Ary1D_uint8_9 */
#ifndef Rte_TypeDef_AsymPrivateKeyType
#define Rte_TypeDef_AsymPrivateKeyType
struct Rte_struct_AsymPrivateKeyType {
    uint32 length; /* unsigned int */
    unsigned char data[32];
};
typedef struct Rte_struct_AsymPrivateKeyType AsymPrivateKeyType;
#endif /* Rte_TypeDef_AsymPrivateKeyType */
#ifndef Rte_TypeDef_AsymPublicKeyType
#define Rte_TypeDef_AsymPublicKeyType
struct Rte_struct_AsymPublicKeyType {
    uint32 length; /* unsigned int */
    unsigned char data[1024];
};
typedef struct Rte_struct_AsymPublicKeyType AsymPublicKeyType;
#endif /* Rte_TypeDef_AsymPublicKeyType */
#ifndef Rte_TypeDef_BareUdpDataType
#define Rte_TypeDef_BareUdpDataType
struct Rte_struct_BareUdpDataType {
    uint32 size; /* unsigned int */
    unsigned char data[1400];
};
typedef struct Rte_struct_BareUdpDataType BareUdpDataType;
#endif /* Rte_TypeDef_BareUdpDataType */
#ifndef Rte_TypeDef_BoardImuTimestampType
#define Rte_TypeDef_BoardImuTimestampType
struct Rte_struct_BoardImuTimestampType {
    uint32 secs; /* unsigned int */
    uint32 nsecs; /* unsigned int */
};
typedef struct Rte_struct_BoardImuTimestampType BoardImuTimestampType;
#endif /* Rte_TypeDef_BoardImuTimestampType */
#ifndef Rte_TypeDef_BoardImuAbstractDataType
#define Rte_TypeDef_BoardImuAbstractDataType
struct Rte_struct_BoardImuAbstractDataType {
    uint32 Seq; /* unsigned int */
    struct Rte_struct_BoardImuTimestampType Timestamp;
    float64 IMU_AccX; /* double */
    float64 IMU_AccY; /* double */
    float64 IMU_AccZ; /* double */
    float64 IMU_GyroX; /* double */
    float64 IMU_GyroY; /* double */
    float64 IMU_GyroZ; /* double */
    uint8 IMU_TemperatureVld; /* unsigned char */
    uint8 IMU_AccVld; /* unsigned char */
    uint8 IMU_GyroVld; /* unsigned char */
    uint8 reserve; /* unsigned char */
    float32 IMU_Temperature; /* float */
    unsigned char reserve1[8];
};
typedef struct Rte_struct_BoardImuAbstractDataType BoardImuAbstractDataType;
#endif /* Rte_TypeDef_BoardImuAbstractDataType */
#ifndef Rte_TypeDef_BoardImuRawDataType
#define Rte_TypeDef_BoardImuRawDataType
struct Rte_struct_BoardImuRawDataType {
    uint32 seq; /* unsigned int */
    float32 RawIMU_AccX; /* float */
    float32 RawIMU_AccY; /* float */
    float32 RawIMU_AccZ; /* float */
    float32 RawIMU_GyroX; /* float */
    float32 RawIMU_GyroY; /* float */
    float32 RawIMU_GyroZ; /* float */
    float32 RawIMU_Temperature; /* float */
    uint8 RawIMU_TemperatureVld; /* unsigned char */
    uint8 RawIMU_AccVld; /* unsigned char */
    uint8 RawIMU_GyroVld; /* unsigned char */
    uint8 reserve; /* unsigned char */
    struct Rte_struct_BoardImuTimestampType RawIMU_Timestamp;
};
typedef struct Rte_struct_BoardImuRawDataType BoardImuRawDataType;
#endif /* Rte_TypeDef_BoardImuRawDataType */
#ifndef Rte_TypeDef_Header
#define Rte_TypeDef_Header
struct Rte_struct_Header {
    uint32 seq; /* unsigned int */
    uint32 sec; /* unsigned int */
    uint32 nsec; /* unsigned int */
    uint16 frameId; /* unsigned short */
    uint16 msgLength; /* unsigned short */
};
typedef struct Rte_struct_Header Header;
#endif /* Rte_TypeDef_Header */
#ifndef Rte_TypeDef_BodyCommand
#define Rte_TypeDef_BodyCommand
struct Rte_struct_BodyCommand {
    struct Rte_struct_Header header;
    uint8 source; /* unsigned char */
    uint16 moduleId; /* unsigned short */
    uint16 adsFunction; /* unsigned short */
    uint16 adsWorkStatus; /* unsigned short */
    uint8 turnLightCmd; /* unsigned char */
    uint8 turnLightCmdFrequency; /* unsigned char */
    boolean turnLightValid; /* unsigned char */
    uint8 turnLightState; /* unsigned char */
    uint8 brakeLightCmd; /* unsigned char */
    uint8 brakeLightCmdFrequency; /* unsigned char */
    boolean brakeLightValid; /* unsigned char */
    uint8 brakeLightState; /* unsigned char */
    uint8 hazardLightCmd; /* unsigned char */
    uint8 hazardLightCmdFrequency; /* unsigned char */
    boolean hazardLightValid; /* unsigned char */
    uint8 hazardLightState; /* unsigned char */
    uint8 reverseLightCmd; /* unsigned char */
    uint8 hornCmd; /* unsigned char */
    boolean hornValid; /* unsigned char */
    uint8 highLowBeamLightCmd; /* unsigned char */
    boolean highLowBeamLighValid; /* unsigned char */
    uint8 dayTimeRunLightCmd; /* unsigned char */
    uint8 sidePositionLightCmd; /* unsigned char */
    uint8 windShieldWashCmd; /* unsigned char */
    boolean windShieldWashValid; /* unsigned char */
    uint8 windShieldWiperCmd; /* unsigned char */
    boolean windShieldWiperValid; /* unsigned char */
    uint8 rearViewMirrorCmd; /* unsigned char */
    boolean rearViewMirrorValid; /* unsigned char */
    uint8 parkFinishRemind; /* unsigned char */
    uint8 leftFrontWindowCmd; /* unsigned char */
    boolean leftFrontWindowValid; /* unsigned char */
    uint8 rightFrontWindowCmd; /* unsigned char */
    boolean rightFrontWindowValid; /* unsigned char */
    uint8 leftRearWindowCmd; /* unsigned char */
    boolean leftRearWindowValid; /* unsigned char */
    uint8 rightRearWindowCmd; /* unsigned char */
    boolean rightRearWindowValid; /* unsigned char */
    uint8 topWindowCmd; /* unsigned char */
    boolean topWindowValid; /* unsigned char */
    uint8 doorLockCmd; /* unsigned char */
    boolean doorLockCmdValid; /* unsigned char */
    uint8 seatVibrationCmd; /* unsigned char */
    uint8 safeBeltFastenCmd; /* unsigned char */
    uint8 openDoorWarningFL; /* unsigned char */
    uint8 openDoorWarningFR; /* unsigned char */
    uint8 openDoorWarningRL; /* unsigned char */
    uint8 openDoorWarningRR; /* unsigned char */
    uint8 rearViewMirrorWarningLeft; /* unsigned char */
    uint8 rearViewMirrorWarningRight; /* unsigned char */
    uint8 pwrOnOffReq; /* unsigned char */
    uint8 hmaStatusCmd; /* unsigned char */
    uint8 hmaStatusValid; /* unsigned char */
};
typedef struct Rte_struct_BodyCommand BodyCommand;
#endif /* Rte_TypeDef_BodyCommand */
#ifndef Rte_TypeDef_TimeStampType
#define Rte_TypeDef_TimeStampType
struct Rte_struct_TimeStampType {
    uint32 sec; /* unsigned int */
    uint32 nsec; /* unsigned int */
};
typedef struct Rte_struct_TimeStampType TimeStampType;
#endif /* Rte_TypeDef_TimeStampType */
#ifndef Rte_TypeDef_BodyCommandSafeStopType
#define Rte_TypeDef_BodyCommandSafeStopType
struct Rte_struct_BodyCommandSafeStopType {
    struct Rte_struct_TimeStampType stamp;
    uint8 hazardLightCmd; /* unsigned char */
    boolean hazardLightCmdState; /* unsigned char */
};
typedef struct Rte_struct_BodyCommandSafeStopType BodyCommandSafeStopType;
#endif /* Rte_TypeDef_BodyCommandSafeStopType */
#ifndef Rte_TypeDef_LightSwitch
#define Rte_TypeDef_LightSwitch
struct Rte_struct_LightSwitch {
    uint8 turnLightSwitch; /* unsigned char */
    uint8 hazardLightSwicth; /* unsigned char */
    uint8 positionLightSwitch; /* unsigned char */
    uint8 daytimeRunningLightSwitch; /* unsigned char */
    uint8 highLowBeamSwitch; /* unsigned char */
    uint8 fogFrontSwitch; /* unsigned char */
    uint8 fogRearSwitch; /* unsigned char */
    uint8 hornSwitch; /* unsigned char */
};
typedef struct Rte_struct_LightSwitch LightSwitch;
#endif /* Rte_TypeDef_LightSwitch */
#ifndef Rte_TypeDef_ModeSwitch
#define Rte_TypeDef_ModeSwitch
struct Rte_struct_ModeSwitch {
    uint8 autoDriveSwitch; /* unsigned char */
    uint8 emergencySwitch; /* unsigned char */
    uint8 apaSwitch; /* unsigned char */
    uint8 lkaSwitch; /* unsigned char */
    uint8 speedLimitSwitch; /* unsigned char */
    uint8 accSwitchOnOff; /* unsigned char */
    uint8 accSwitchResume; /* unsigned char */
    uint8 accSwitchCancel; /* unsigned char */
    uint8 accSwitchSpeedInc; /* unsigned char */
    uint8 accSwitchSpeedDec; /* unsigned char */
    uint8 accSwitchGapInc; /* unsigned char */
    uint8 accSwitchGapDec; /* unsigned char */
};
typedef struct Rte_struct_ModeSwitch ModeSwitch;
#endif /* Rte_TypeDef_ModeSwitch */
#ifndef Rte_TypeDef_DoorSwitch
#define Rte_TypeDef_DoorSwitch
struct Rte_struct_DoorSwitch {
    uint8 doorFlSwitch; /* unsigned char */
    uint8 doorFrSwitch; /* unsigned char */
    uint8 doorRlSwitch; /* unsigned char */
    uint8 doorRrSwitch; /* unsigned char */
    uint8 doorHoodSwitch; /* unsigned char */
    uint8 doorTrunkSwitch; /* unsigned char */
};
typedef struct Rte_struct_DoorSwitch DoorSwitch;
#endif /* Rte_TypeDef_DoorSwitch */
#ifndef Rte_TypeDef_MirrorSwitch
#define Rte_TypeDef_MirrorSwitch
struct Rte_struct_MirrorSwitch {
    uint8 rearFlViewMirrorSwitch; /* unsigned char */
    uint8 rearFrViewMirrorSwitch; /* unsigned char */
};
typedef struct Rte_struct_MirrorSwitch MirrorSwitch;
#endif /* Rte_TypeDef_MirrorSwitch */
#ifndef Rte_TypeDef_PepsSwitch
#define Rte_TypeDef_PepsSwitch
struct Rte_struct_PepsSwitch {
    uint8 pepsSwitch; /* unsigned char */
    uint8 pepsSwitchUnLock; /* unsigned char */
    uint8 pepsSwitchPackIn; /* unsigned char */
    uint8 pepsSwitchPackOut; /* unsigned char */
    uint8 pepsSwitchTrunkOpen; /* unsigned char */
    uint8 pepsSwitchTrunkClose; /* unsigned char */
    uint8 pepsSwitchRemoteStart; /* unsigned char */
};
typedef struct Rte_struct_PepsSwitch PepsSwitch;
#endif /* Rte_TypeDef_PepsSwitch */
#ifndef Rte_TypeDef_Wiper
#define Rte_TypeDef_Wiper
struct Rte_struct_Wiper {
    uint8 wiperValue; /* unsigned char */
    uint8 wiperSpeedValue; /* unsigned char */
};
typedef struct Rte_struct_Wiper Wiper;
#endif /* Rte_TypeDef_Wiper */
#ifndef Rte_TypeDef_PadSwitch
#define Rte_TypeDef_PadSwitch
struct Rte_struct_PadSwitch {
    uint8 up; /* unsigned char */
    uint8 down; /* unsigned char */
    uint8 left; /* unsigned char */
    uint8 right; /* unsigned char */
    uint8 ok; /* unsigned char */
};
typedef struct Rte_struct_PadSwitch PadSwitch;
#endif /* Rte_TypeDef_PadSwitch */
#ifndef Rte_TypeDef_LightStatus
#define Rte_TypeDef_LightStatus
struct Rte_struct_LightStatus {
    uint8 turnLightStatus; /* unsigned char */
    uint8 hazardLightStatus; /* unsigned char */
    uint8 brakeLightStatus; /* unsigned char */
    uint8 positionLightStatus; /* unsigned char */
    uint8 reverseLightStatus; /* unsigned char */
    uint8 daytimeRunningLightStatus; /* unsigned char */
    uint8 ambientLightStatus; /* unsigned char */
    uint8 highLowBeamStatus; /* unsigned char */
};
typedef struct Rte_struct_LightStatus LightStatus;
#endif /* Rte_TypeDef_LightStatus */
#ifndef Rte_TypeDef_DoorStatus
#define Rte_TypeDef_DoorStatus
struct Rte_struct_DoorStatus {
    uint8 doorFlStatus; /* unsigned char */
    uint8 doorFrStatus; /* unsigned char */
    uint8 doorRlStatus; /* unsigned char */
    uint8 doorRrStatus; /* unsigned char */
    uint8 doorHoodStatus; /* unsigned char */
    uint8 doorTrunkStatus; /* unsigned char */
};
typedef struct Rte_struct_DoorStatus DoorStatus;
#endif /* Rte_TypeDef_DoorStatus */
#ifndef Rte_TypeDef_WindowStatus
#define Rte_TypeDef_WindowStatus
struct Rte_struct_WindowStatus {
    uint8 windowFlStatus; /* unsigned char */
    uint8 windowFrStatus; /* unsigned char */
    uint8 windowRlStatus; /* unsigned char */
    uint8 windowRrStatus; /* unsigned char */
    uint8 windowTopStatus; /* unsigned char */
};
typedef struct Rte_struct_WindowStatus WindowStatus;
#endif /* Rte_TypeDef_WindowStatus */
#ifndef Rte_TypeDef_Uint8WithValid
#define Rte_TypeDef_Uint8WithValid
struct Rte_struct_Uint8WithValid {
    uint8 value; /* unsigned char */
    uint8 confidence; /* unsigned char */
};
typedef struct Rte_struct_Uint8WithValid Uint8WithValid;
#endif /* Rte_TypeDef_Uint8WithValid */
#ifndef Rte_TypeDef_TyreStatus
#define Rte_TypeDef_TyreStatus
struct Rte_struct_TyreStatus {
    float32 tyrePressureValue; /* float */
    struct Rte_struct_Uint8WithValid tyrePressureLeakageStatus;
    struct Rte_struct_Uint8WithValid tyrePressureTirePStatus;
};
typedef struct Rte_struct_TyreStatus TyreStatus;
#endif /* Rte_TypeDef_TyreStatus */
#ifndef Rte_TypeDef_SafetyStatus
#define Rte_TypeDef_SafetyStatus
struct Rte_struct_SafetyStatus {
    uint8 safeBeltDriverStatus; /* unsigned char */
    uint8 safeBeltPassengerFrStatus; /* unsigned char */
    uint8 safeBeltPassengerRlStatus; /* unsigned char */
    uint8 safeBeltPassengerRmStatus; /* unsigned char */
    uint8 safeBeltPassengerRrStatus; /* unsigned char */
    uint8 driverSeatStatus; /* unsigned char */
    uint8 passengerSeatrFrStatus; /* unsigned char */
    uint8 passengerSeatrRlStatus; /* unsigned char */
    uint8 passengerSeatrRmStatus; /* unsigned char */
    uint8 passengerSeatrRrStatus; /* unsigned char */
    struct Rte_struct_Uint8WithValid collisionEvent;
};
typedef struct Rte_struct_SafetyStatus SafetyStatus;
#endif /* Rte_TypeDef_SafetyStatus */
#ifndef Rte_TypeDef_Float32WithValid
#define Rte_TypeDef_Float32WithValid
struct Rte_struct_Float32WithValid {
    float32 value; /* float */
    uint8 confidence; /* unsigned char */
};
typedef struct Rte_struct_Float32WithValid Float32WithValid;
#endif /* Rte_TypeDef_Float32WithValid */
#ifndef Rte_TypeDef_CommonStatus
#define Rte_TypeDef_CommonStatus
struct Rte_struct_CommonStatus {
    uint8 hornStatus; /* unsigned char */
    float32 mileage; /* float */
    unsigned char vin[32];
    struct Rte_struct_Float32WithValid interiorTemperature;
    struct Rte_struct_Float32WithValid outsideTemperature;
    uint8 keyStatus; /* unsigned char */
    uint8 batterySocStatus; /* unsigned char */
    uint8 powerSocStatus; /* unsigned char */
    uint8 dcdcState; /* unsigned char */
    uint8 gapStatus; /* unsigned char */
    uint8 rearViewMirrorStatus; /* unsigned char */
    uint8 rainLightSensorStatus; /* unsigned char */
    uint8 powerMode; /* unsigned char */
    uint8 engineRun; /* unsigned char */
    uint8 chargingStatus; /* unsigned char */
};
typedef struct Rte_struct_CommonStatus CommonStatus;
#endif /* Rte_TypeDef_CommonStatus */
#ifndef Rte_TypeDef_BodyReport
#define Rte_TypeDef_BodyReport
struct Rte_struct_BodyReport {
    struct Rte_struct_Header header;
    struct Rte_struct_LightSwitch lightSwitch;
    struct Rte_struct_ModeSwitch modeSwitch;
    struct Rte_struct_DoorSwitch doorSwitch;
    struct Rte_struct_MirrorSwitch mirrorSwitch;
    struct Rte_struct_PepsSwitch pepsSwitch;
    struct Rte_struct_Wiper wiperFrontSwitch;
    struct Rte_struct_Wiper wiperRearSwitch;
    struct Rte_struct_Wiper wiperFrontStatus;
    struct Rte_struct_Wiper wiperRearStatus;
    struct Rte_struct_PadSwitch padSwitch;
    struct Rte_struct_LightStatus lightStatus;
    struct Rte_struct_DoorStatus doorStatus;
    struct Rte_struct_WindowStatus windowStatus;
    struct Rte_struct_TyreStatus tyreFlStatus;
    struct Rte_struct_TyreStatus tyreFrStatus;
    struct Rte_struct_TyreStatus tyreRlStatus;
    struct Rte_struct_TyreStatus tyreRrStatus;
    struct Rte_struct_SafetyStatus safetyStatus;
    struct Rte_struct_CommonStatus commonStatus;
};
typedef struct Rte_struct_BodyReport BodyReport;
#endif /* Rte_TypeDef_BodyReport */
#ifndef Rte_TypeDef_BusOffStateGroup
#define Rte_TypeDef_BusOffStateGroup
typedef unsigned char BusOffStateGroup[12];
#endif /* Rte_TypeDef_BusOffStateGroup */
#ifndef Rte_TypeDef_CanFdConfigParam
#define Rte_TypeDef_CanFdConfigParam
struct Rte_struct_CanFdConfigParam {
    struct {
        uint32_v Version; /* unsigned int */
        struct {
            uint32_v second; /* unsigned int */
            uint32_v nsecond; /* unsigned int */
        } TimeStamp;
        uint32_v CheckSum; /* unsigned int */
        uint32_v UsrReserved; /* unsigned int */
    } ConfigrationSummary;
    struct {
        uint8_v ValidSize; /* unsigned char */
        struct {
            uint8_v FunctionSwitch; /* unsigned char */
            uint8_v BusType; /* unsigned char */
            struct {
                uint16 BaudRate; /* unsigned short */
                uint8_v SamplingPoint; /* unsigned char */
                uint16 BaudRateFD; /* unsigned short */
                uint8_v SamplingPointFD; /* unsigned char */
                uint32_v UsrReserved; /* unsigned int */
            } BaudRateParam;
        } CanBusConfigParam[2];
    } CanBusConfigFunParam;
    struct {
        uint8_v ValidSize; /* unsigned char */
        struct {
            uint8_v ChannelId; /* unsigned char */
            struct {
                uint8_v ValidSize; /* unsigned char */
                struct {
                    uint32_v CanId; /* unsigned int */
                    uint8_v CanIdType; /* unsigned char */
                    uint8_v DataLength; /* unsigned char */
                    uint16 UsrReserved; /* unsigned short */
                } RxIdElmParam[40];
            } RxIdListParam;
        } RxFilterFunFunParam[2];
    } RxFilterFunParam;
    struct {
        uint8_v ValidSize; /* unsigned char */
        struct {
            uint8_v ChannelId; /* unsigned char */
            uint8_v StartupSendSwitch; /* unsigned char */
            struct {
                uint8_v ValidSize; /* unsigned char */
                struct {
                    uint32_v CanId; /* unsigned int */
                    uint8_v CanIdType; /* unsigned char */
                    uint8_v DataLength; /* unsigned char */
                    uint16 Cycle; /* unsigned short */
                    unsigned char InitValue[64];
                } TxIdParam[40];
            } TxIdListParam;
        } McuSendMsgFunParam[2];
    } McuSendMsgFunParam;
    struct {
        uint8_v ValidSize; /* unsigned char */
        struct {
            uint8_v ChannelId; /* unsigned char */
            struct {
                uint8_v ValidSize; /* unsigned char */
                struct {
                    uint32_v CanId; /* unsigned int */
                    uint8_v CanIdType; /* unsigned char */
                    uint8_v DataLength; /* unsigned char */
                    uint16 SignalStartBit; /* unsigned short */
                    uint16 SourceLengthBit; /* unsigned short */
                    uint8_v SourceByteOrder; /* unsigned char */
                    uint16 FillingType; /* unsigned short */
                    uint16 UsrReserved; /* unsigned short */
                } SignalFillingParam[80];
            } SignalFillingListParam;
        } SignalFillingFunParam[2];
    } SignalFillingFunParam;
    unsigned char UsrReservedParam[128];
};
typedef struct Rte_struct_CanFdConfigParam CanFdConfigParam;
#endif /* Rte_TypeDef_CanFdConfigParam */
#ifndef Rte_TypeDef_TimeStamp32
#define Rte_TypeDef_TimeStamp32
struct Rte_struct_TimeStamp32 {
    uint32 secs; /* unsigned int */
    uint32 nsecs; /* unsigned int */
};
typedef struct Rte_struct_TimeStamp32 TimeStamp32;
#endif /* Rte_TypeDef_TimeStamp32 */
#ifndef Rte_TypeDef_CanPayloadType
#define Rte_TypeDef_CanPayloadType
struct Rte_struct_CanPayloadType {
    uint32 num; /* unsigned int */
    unsigned char data[64];
};
typedef struct Rte_struct_CanPayloadType CanPayloadType;
#endif /* Rte_TypeDef_CanPayloadType */
#ifndef Rte_TypeDef_CanMsgType
#define Rte_TypeDef_CanMsgType
struct Rte_struct_CanMsgType {
    uint32 canId; /* unsigned int */
    struct Rte_struct_TimeStamp32 ts;
    uint8 chnID; /* unsigned char */
    uint8 canType; /* unsigned char */
    uint8 res0; /* unsigned char */
    uint8 res1; /* unsigned char */
    struct Rte_struct_CanPayloadType canPayload;
};
typedef struct Rte_struct_CanMsgType CanMsgType;
#endif /* Rte_TypeDef_CanMsgType */
#ifndef Rte_TypeDef_CanMsgListType
#define Rte_TypeDef_CanMsgListType
struct Rte_struct_CanMsgListType {
    uint32 num; /* unsigned int */
    struct Rte_struct_CanMsgType canMsgs[16];
};
typedef struct Rte_struct_CanMsgListType CanMsgListType;
#endif /* Rte_TypeDef_CanMsgListType */
#ifndef Rte_TypeDef_CanRawMsgType
#define Rte_TypeDef_CanRawMsgType
struct Rte_struct_CanRawMsgType {
    uint32 canId; /* unsigned int */
    uint8 idType; /* unsigned char */
    uint8 length; /* unsigned char */
    uint16 resv; /* unsigned short */
    unsigned char data[64];
};
typedef struct Rte_struct_CanRawMsgType CanRawMsgType;
#endif /* Rte_TypeDef_CanRawMsgType */
#ifndef Rte_TypeDef_CanTSynMirrorDynArray
#define Rte_TypeDef_CanTSynMirrorDynArray
struct Rte_struct_CanTSynMirrorDynArray {
    unsigned short size;
    unsigned char payload[512];
};
typedef struct Rte_struct_CanTSynMirrorDynArray CanTSynMirrorDynArray;
#endif /* Rte_TypeDef_CanTSynMirrorDynArray */
#ifndef Rte_TypeDef_FaultEventRecord
#define Rte_TypeDef_FaultEventRecord
struct Rte_struct_FaultEventRecord {
    uint16 faultId; /* unsigned short */
    uint16 objectId; /* unsigned short */
};
typedef struct Rte_struct_FaultEventRecord FaultEventRecord;
#endif /* Rte_TypeDef_FaultEventRecord */
#ifndef Rte_TypeDef_CantraceAlarmPktType
#define Rte_TypeDef_CantraceAlarmPktType
struct Rte_struct_CantraceAlarmPktType {
    uint8 pktType; /* unsigned char */
    uint8 pktCount; /* unsigned char */
    uint8 alarmNum; /* unsigned char */
    struct Rte_struct_FaultEventRecord eventInfo[15];
    uint8 reserved; /* unsigned char */
};
typedef struct Rte_struct_CantraceAlarmPktType CantraceAlarmPktType;
#endif /* Rte_TypeDef_CantraceAlarmPktType */
#ifndef Rte_TypeDef_CfgInfoArray
#define Rte_TypeDef_CfgInfoArray
typedef unsigned char CfgInfoArray[128];
#endif /* Rte_TypeDef_CfgInfoArray */
#ifndef Rte_TypeDef_CfgInfo
#define Rte_TypeDef_CfgInfo
struct Rte_struct_CfgInfo {
    CfgInfoArray cfgInfoData; /* unsigned char with size [128] */
    uint32 cfgInfoSize; /* unsigned int */
};
typedef struct Rte_struct_CfgInfo CfgInfo;
#endif /* Rte_TypeDef_CfgInfo */
#ifndef Rte_TypeDef_RosMsgHeaderType
#define Rte_TypeDef_RosMsgHeaderType
struct Rte_struct_RosMsgHeaderType {
    uint32 seq; /* unsigned int */
    struct Rte_struct_TimeStampType stamp;
    Ary1D_uint8_9 frame_id; /* unsigned char with size [9] */
};
typedef struct Rte_struct_RosMsgHeaderType RosMsgHeaderType;
#endif /* Rte_TypeDef_RosMsgHeaderType */
#ifndef Rte_TypeDef_ChassisCommandType
#define Rte_TypeDef_ChassisCommandType
struct Rte_struct_ChassisCommandType {
    struct Rte_struct_RosMsgHeaderType rosMsgHeader;
    boolean gearCmdState; /* unsigned char */
    uint8 gearCmd; /* unsigned char */
    float32 longAccelerationCmd; /* float */
    float32 steerAngleCmd; /* float */
    boolean longAccelerationState; /* unsigned char */
    boolean steerAngleState; /* unsigned char */
    uint8 epbCmd; /* unsigned char */
    boolean epbCmdState; /* unsigned char */
};
typedef struct Rte_struct_ChassisCommandType ChassisCommandType;
#endif /* Rte_TypeDef_ChassisCommandType */
#ifndef Rte_TypeDef_SaChassisReportAutonomyMode
#define Rte_TypeDef_SaChassisReportAutonomyMode
struct Rte_struct_SaChassisReportAutonomyMode {
    uint8 autonomyLevel; /* unsigned char */
    boolean gearAutonomous; /* unsigned char */
    boolean speedAutonomous; /* unsigned char */
    boolean steeringAutonomous; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportAutonomyMode SaChassisReportAutonomyMode;
#endif /* Rte_TypeDef_SaChassisReportAutonomyMode */
#ifndef Rte_TypeDef_SaChassisReportGear
#define Rte_TypeDef_SaChassisReportGear
struct Rte_struct_SaChassisReportGear {
    uint8 value; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportGear SaChassisReportGear;
#endif /* Rte_TypeDef_SaChassisReportGear */
#ifndef Rte_TypeDef_SaChassisReportActuatorWorkStatus
#define Rte_TypeDef_SaChassisReportActuatorWorkStatus
struct Rte_struct_SaChassisReportActuatorWorkStatus {
    uint8 capability; /* unsigned char */
    uint8 response; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportActuatorWorkStatus SaChassisReportActuatorWorkStatus;
#endif /* Rte_TypeDef_SaChassisReportActuatorWorkStatus */
#ifndef Rte_TypeDef_SaChassisReportActuatorStatus
#define Rte_TypeDef_SaChassisReportActuatorStatus
struct Rte_struct_SaChassisReportActuatorStatus {
    struct Rte_struct_SaChassisReportActuatorWorkStatus angleSteer;
    struct Rte_struct_SaChassisReportActuatorWorkStatus torqueSteer;
    struct Rte_struct_SaChassisReportActuatorWorkStatus emergencyAngleSteer;
    struct Rte_struct_SaChassisReportActuatorWorkStatus emergencyTorqueSteer;
    struct Rte_struct_SaChassisReportActuatorWorkStatus steerVibrate;
    struct Rte_struct_SaChassisReportActuatorWorkStatus accelerate;
    struct Rte_struct_SaChassisReportActuatorWorkStatus decelerate;
    struct Rte_struct_SaChassisReportActuatorWorkStatus apaAccelerate;
    struct Rte_struct_SaChassisReportActuatorWorkStatus apaDecelerate;
    struct Rte_struct_SaChassisReportActuatorWorkStatus emergencyDecelerate;
    struct Rte_struct_SaChassisReportActuatorWorkStatus drive;
    struct Rte_struct_SaChassisReportActuatorWorkStatus brake;
    struct Rte_struct_SaChassisReportActuatorWorkStatus accBrake;
    struct Rte_struct_SaChassisReportActuatorWorkStatus apaBrake;
    struct Rte_struct_SaChassisReportActuatorWorkStatus vlc;
    struct Rte_struct_SaChassisReportActuatorWorkStatus emergencyStop;
    struct Rte_struct_SaChassisReportActuatorWorkStatus stop;
    struct Rte_struct_SaChassisReportActuatorWorkStatus park;
    struct Rte_struct_SaChassisReportActuatorWorkStatus gear;
};
typedef struct Rte_struct_SaChassisReportActuatorStatus SaChassisReportActuatorStatus;
#endif /* Rte_TypeDef_SaChassisReportActuatorStatus */
#ifndef Rte_TypeDef_SaChassisReportFloat32WithValid
#define Rte_TypeDef_SaChassisReportFloat32WithValid
struct Rte_struct_SaChassisReportFloat32WithValid {
    float32 value; /* float */
    uint8 confidence; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportFloat32WithValid SaChassisReportFloat32WithValid;
#endif /* Rte_TypeDef_SaChassisReportFloat32WithValid */
#ifndef Rte_TypeDef_SaChassisReportUint8WithValid
#define Rte_TypeDef_SaChassisReportUint8WithValid
struct Rte_struct_SaChassisReportUint8WithValid {
    uint8 value; /* unsigned char */
    uint8 confidence; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportUint8WithValid SaChassisReportUint8WithValid;
#endif /* Rte_TypeDef_SaChassisReportUint8WithValid */
#ifndef Rte_TypeDef_SaChassisReportSteerInfo
#define Rte_TypeDef_SaChassisReportSteerInfo
struct Rte_struct_SaChassisReportSteerInfo {
    struct Rte_struct_SaChassisReportFloat32WithValid steerAngle;
    struct Rte_struct_SaChassisReportFloat32WithValid steerAngleRate;
    struct Rte_struct_SaChassisReportFloat32WithValid steerPinionAngle;
    struct Rte_struct_SaChassisReportFloat32WithValid steerPinionAngleRate;
    struct Rte_struct_SaChassisReportFloat32WithValid frontSteerAngle;
    struct Rte_struct_SaChassisReportFloat32WithValid frontSteerAngleRate;
    struct Rte_struct_SaChassisReportUint8WithValid driverHandOn;
    struct Rte_struct_SaChassisReportFloat32WithValid driverHandTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid driverHandTorqueRaw;
    struct Rte_struct_SaChassisReportFloat32WithValid steerTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid motorCurrent;
    struct Rte_struct_SaChassisReportUint8WithValid driverOverride;
    uint8 personalMode; /* unsigned char */
    uint8 commandFault; /* unsigned char */
    uint8 epsStatusMaster; /* unsigned char */
    uint8 epsStatusSlave; /* unsigned char */
    sint32 faultCode; /* signed int */
    boolean drvrSteerMonrEnaSts; /* unsigned char */
    struct Rte_struct_SaChassisReportUint8WithValid handsOffConf;
    struct Rte_struct_SaChassisReportFloat32WithValid epsMotorTq;
    uint8 epsMotorTemp; /* unsigned char */
    uint8 ldwWarnSts; /* unsigned char */
    uint8 epsOperMod; /* unsigned char */
    uint8 epsAbortFb; /* unsigned char */
    uint8 epsTqSensSts; /* unsigned char */
    uint8 epsSteerAgSensFilr; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportSteerInfo SaChassisReportSteerInfo;
#endif /* Rte_TypeDef_SaChassisReportSteerInfo */
#ifndef Rte_TypeDef_SaChassisReportWheelSpeed
#define Rte_TypeDef_SaChassisReportWheelSpeed
struct Rte_struct_SaChassisReportWheelSpeed {
    uint8 wheelDirection; /* unsigned char */
    sint32 wheelCount; /* signed int */
    boolean wheelCountValid; /* unsigned char */
    float32 wheelSpeedMps; /* float */
    boolean wheelSpeedMpsValid; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportWheelSpeed SaChassisReportWheelSpeed;
#endif /* Rte_TypeDef_SaChassisReportWheelSpeed */
#ifndef Rte_TypeDef_SaChassisReportBrakeInfo
#define Rte_TypeDef_SaChassisReportBrakeInfo
struct Rte_struct_SaChassisReportBrakeInfo {
    struct Rte_struct_SaChassisReportFloat32WithValid brakePedal;
    struct Rte_struct_SaChassisReportUint8WithValid brakePedalSwitch;
    struct Rte_struct_SaChassisReportUint8WithValid driverOverride;
    struct Rte_struct_SaChassisReportFloat32WithValid mastCylinderPressure;
    struct Rte_struct_SaChassisReportFloat32WithValid mastCylinderPosition;
    struct Rte_struct_SaChassisReportFloat32WithValid brakeTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid brakeForce;
    struct Rte_struct_SaChassisReportFloat32WithValid brakeTorqueMax;
    struct Rte_struct_SaChassisReportFloat32WithValid driverDesiredTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid brakeTotalTqReq;
    struct Rte_struct_SaChassisReportFloat32WithValid elecBrkTqReq;
    struct Rte_struct_SaChassisReportFloat32WithValid hydrauBrkTqReq;
    uint8 brakeOverHeatStatus; /* unsigned char */
    uint8 aebAvl; /* unsigned char */
    uint8 aebActv; /* unsigned char */
    uint8 prefillAvl; /* unsigned char */
    uint8 prefillActv; /* unsigned char */
    uint8 brkCtrlAvl; /* unsigned char */
    uint8 brkCtrlActv; /* unsigned char */
    uint8 espAbortFb; /* unsigned char */
    struct Rte_struct_SaChassisReportFloat32WithValid velocity;
    struct Rte_struct_SaChassisReportFloat32WithValid velocityDisPlay;
    struct Rte_struct_SaChassisReportWheelSpeed wheelSpeedFl;
    struct Rte_struct_SaChassisReportWheelSpeed wheelSpeedFr;
    struct Rte_struct_SaChassisReportWheelSpeed wheelSpeedRl;
    struct Rte_struct_SaChassisReportWheelSpeed wheelSpeedRr;
    struct Rte_struct_SaChassisReportFloat32WithValid frontWhlIncTarTq;
    struct Rte_struct_SaChassisReportFloat32WithValid frontWhlDecTarTq;
    struct Rte_struct_SaChassisReportFloat32WithValid rearWhlIncTarTq;
    struct Rte_struct_SaChassisReportFloat32WithValid rearWhlDecTarTq;
    struct Rte_struct_SaChassisReportUint8WithValid standstill;
    struct Rte_struct_SaChassisReportFloat32WithValid roadFriction;
    struct Rte_struct_SaChassisReportFloat32WithValid brakeTemperature;
    struct Rte_struct_SaChassisReportFloat32WithValid slope;
    uint8 brakeStatusMaster; /* unsigned char */
    uint8 brakeStatusSlave; /* unsigned char */
    uint8 commandFault; /* unsigned char */
    uint8 epbFaultStatus; /* unsigned char */
    uint8 epbLockStatus; /* unsigned char */
    uint8 epbButtonStatus; /* unsigned char */
    uint8 epbOverride; /* unsigned char */
    uint8 epbAvl; /* unsigned char */
    float32 epbClampForce; /* float */
    sint32 faultCode; /* signed int */
    uint8 autoHoldActvSts; /* unsigned char */
    boolean ebdActive; /* unsigned char */
    uint8 ebdStatus; /* unsigned char */
    boolean absActive; /* unsigned char */
    uint8 absStatus; /* unsigned char */
    boolean escActive; /* unsigned char */
    uint8 escStatus; /* unsigned char */
    boolean tcsActive; /* unsigned char */
    uint8 tcsStatus; /* unsigned char */
    uint8 arpActvSts; /* unsigned char */
    uint8 arpFctAvl; /* unsigned char */
    uint8 arpFailrSts; /* unsigned char */
    uint8 dbfActvSts; /* unsigned char */
    uint8 hdcActvSts; /* unsigned char */
    uint8 hhcActvSts; /* unsigned char */
    uint8 ebaActvSts; /* unsigned char */
    uint8 ebaAvl; /* unsigned char */
    uint8 ebaActvRank; /* unsigned char */
    uint8 awbAvl; /* unsigned char */
    uint8 awbActv; /* unsigned char */
    uint8 espABrkDegStWarning; /* unsigned char */
    uint8 espABrkDegSt; /* unsigned char */
    uint8 espPriBrStatus; /* unsigned char */
    uint8 dtcActive; /* unsigned char */
    uint8 preChkFb; /* unsigned char */
    uint8 cddError; /* unsigned char */
    uint8 apaLongCtrlFaultSts; /* unsigned char */
};
typedef struct Rte_struct_SaChassisReportBrakeInfo SaChassisReportBrakeInfo;
#endif /* Rte_TypeDef_SaChassisReportBrakeInfo */
#ifndef Rte_TypeDef_SaChassisReportThrottleInfo
#define Rte_TypeDef_SaChassisReportThrottleInfo
struct Rte_struct_SaChassisReportThrottleInfo {
    struct Rte_struct_SaChassisReportFloat32WithValid throttlePedal;
    struct Rte_struct_SaChassisReportFloat32WithValid throttlePedalRate;
    struct Rte_struct_SaChassisReportUint8WithValid driverOverride;
    struct Rte_struct_SaChassisReportFloat32WithValid driveTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid driveTorqueMax;
    struct Rte_struct_SaChassisReportFloat32WithValid driveTorqueMin;
    struct Rte_struct_SaChassisReportFloat32WithValid driverDesiredTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid engineSpeed;
    struct Rte_struct_SaChassisReportFloat32WithValid motorSpeed;
    struct Rte_struct_SaChassisReportUint8WithValid powerTrainReady;
    uint8 driveTorqueCtrlAvl; /* unsigned char */
    uint8 driveTorqueActv; /* unsigned char */
    uint8 vcuAbortFbk; /* unsigned char */
    struct Rte_struct_SaChassisReportFloat32WithValid fuelRange;
    struct Rte_struct_SaChassisReportFloat32WithValid socHighVoltBattery;
    struct Rte_struct_SaChassisReportFloat32WithValid sohHighVoltBattery;
    struct Rte_struct_SaChassisReportFloat32WithValid socLowVoltBattery;
    struct Rte_struct_SaChassisReportFloat32WithValid sohLowVoltBattery;
    uint8 vcuStatus; /* unsigned char */
    uint8 personalMode; /* unsigned char */
    uint8 commandFault; /* unsigned char */
    sint32 faultCode; /* signed int */
    struct Rte_struct_SaChassisReportFloat32WithValid frontMotorSpeed;
    struct Rte_struct_SaChassisReportFloat32WithValid frontAxleActualTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid rearMotorSpeed;
    struct Rte_struct_SaChassisReportFloat32WithValid rearAxleActualTorque;
    uint8 trailerStatus; /* unsigned char */
    struct Rte_struct_SaChassisReportFloat32WithValid accPedalPosition;
    struct Rte_struct_SaChassisReportFloat32WithValid frontAxleDesiredTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid rearAxleDesiredTorque;
    struct Rte_struct_SaChassisReportFloat32WithValid ptSlideDesiredTorque;
};
typedef struct Rte_struct_SaChassisReportThrottleInfo SaChassisReportThrottleInfo;
#endif /* Rte_TypeDef_SaChassisReportThrottleInfo */
#ifndef Rte_TypeDef_SaChassisReportGearInfo
#define Rte_TypeDef_SaChassisReportGearInfo
struct Rte_struct_SaChassisReportGearInfo {
    struct Rte_struct_SaChassisReportGear gear;
    struct Rte_struct_SaChassisReportGear gearLever;
    uint8 gearShiftStatus; /* unsigned char */
    struct Rte_struct_SaChassisReportUint8WithValid driverOverride;
    sint32 faultCode; /* signed int */
};
typedef struct Rte_struct_SaChassisReportGearInfo SaChassisReportGearInfo;
#endif /* Rte_TypeDef_SaChassisReportGearInfo */
#ifndef Rte_TypeDef_SaChassisReportVehicleMotion
#define Rte_TypeDef_SaChassisReportVehicleMotion
struct Rte_struct_SaChassisReportVehicleMotion {
    struct Rte_struct_SaChassisReportFloat32WithValid vx;
    struct Rte_struct_SaChassisReportFloat32WithValid vy;
    struct Rte_struct_SaChassisReportFloat32WithValid vz;
    struct Rte_struct_SaChassisReportFloat32WithValid ax;
    struct Rte_struct_SaChassisReportFloat32WithValid ay;
    struct Rte_struct_SaChassisReportFloat32WithValid az;
    struct Rte_struct_SaChassisReportFloat32WithValid yaw;
    struct Rte_struct_SaChassisReportFloat32WithValid pitch;
    struct Rte_struct_SaChassisReportFloat32WithValid roll;
    struct Rte_struct_SaChassisReportFloat32WithValid yawRate;
    struct Rte_struct_SaChassisReportFloat32WithValid pitchRate;
    struct Rte_struct_SaChassisReportFloat32WithValid rollRate;
    struct Rte_struct_SaChassisReportFloat32WithValid yawAcceleration;
    struct Rte_struct_SaChassisReportFloat32WithValid pitchAcceleration;
    struct Rte_struct_SaChassisReportFloat32WithValid rollAcceleration;
};
typedef struct Rte_struct_SaChassisReportVehicleMotion SaChassisReportVehicleMotion;
#endif /* Rte_TypeDef_SaChassisReportVehicleMotion */
#ifndef Rte_TypeDef_VlcInfo
#define Rte_TypeDef_VlcInfo
struct Rte_struct_VlcInfo {
    uint8 vlcError; /* unsigned char */
    struct Rte_struct_Float32WithValid vlcInterTargetAx;
};
typedef struct Rte_struct_VlcInfo VlcInfo;
#endif /* Rte_TypeDef_VlcInfo */
#ifndef Rte_TypeDef_EcasStatus
#define Rte_TypeDef_EcasStatus
struct Rte_struct_EcasStatus {
    struct Rte_struct_Uint8WithValid ecasSuspensioneightModeFL;
    struct Rte_struct_Uint8WithValid ecasSuspensioneightModeFR;
    struct Rte_struct_Uint8WithValid ecasSuspensioneightModeRL;
    struct Rte_struct_Uint8WithValid ecasSuspensioneightModeRR;
    struct Rte_struct_Uint8WithValid ecasVehiclePositionState;
    struct Rte_struct_Float32WithValid vehicleAltitudeFL;
    struct Rte_struct_Float32WithValid vehicleAltitudeFR;
    struct Rte_struct_Float32WithValid vehicleAltitudeRL;
    struct Rte_struct_Float32WithValid vehicleAltitudeRR;
};
typedef struct Rte_struct_EcasStatus EcasStatus;
#endif /* Rte_TypeDef_EcasStatus */
#ifndef Rte_TypeDef_ChassisReportType
#define Rte_TypeDef_ChassisReportType
struct Rte_struct_ChassisReportType {
    struct Rte_struct_Header header;
    struct Rte_struct_SaChassisReportAutonomyMode autoMode;
    float32 velocity; /* float */
    float32 steerAngle; /* float */
    float32 frontWheelAngle; /* float */
    struct Rte_struct_SaChassisReportGear actualGear;
    struct Rte_struct_SaChassisReportActuatorStatus master;
    struct Rte_struct_SaChassisReportActuatorStatus slave;
    struct Rte_struct_SaChassisReportSteerInfo steer;
    struct Rte_struct_SaChassisReportBrakeInfo brake;
    struct Rte_struct_SaChassisReportThrottleInfo vcu;
    struct Rte_struct_SaChassisReportGearInfo gear;
    struct Rte_struct_SaChassisReportVehicleMotion egoMotion;
    struct Rte_struct_VlcInfo vlcInfo;
    struct Rte_struct_EcasStatus ecasStatus;
};
typedef struct Rte_struct_ChassisReportType ChassisReportType;
#endif /* Rte_TypeDef_ChassisReportType */
#ifndef Rte_TypeDef_Checkpoint
#define Rte_TypeDef_Checkpoint
struct Rte_struct_Checkpoint {
    uint16 seId; /* unsigned short */
    uint16 cpId; /* unsigned short */
};
typedef struct Rte_struct_Checkpoint Checkpoint;
#endif /* Rte_TypeDef_Checkpoint */
#ifndef Rte_TypeDef_ComM_InhibitionStatusType
#define Rte_TypeDef_ComM_InhibitionStatusType
typedef uint8 ComM_InhibitionStatusType;
#endif /* Rte_TypeDef_ComM_InhibitionStatusType */
#ifndef Rte_TypeDef_ComM_ModeType
#define Rte_TypeDef_ComM_ModeType
typedef uint8 ComM_ModeType;
#endif /* Rte_TypeDef_ComM_ModeType */
#ifndef Rte_TypeDef_ComM_UserHandleType
#define Rte_TypeDef_ComM_UserHandleType
typedef uint8 ComM_UserHandleType;
#endif /* Rte_TypeDef_ComM_UserHandleType */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_00
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_00
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_00[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_00 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_00
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_00
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_00 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_00 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_00 ComM_UserHandleArrayType_CN_CAN_00;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_00 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_001
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_001
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_001[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_001 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_001
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_001
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_001 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_001 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_001 ComM_UserHandleArrayType_CN_CAN_001;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_001 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_002
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_002
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_002[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_002 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_002
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_002
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_002 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_002 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_002 ComM_UserHandleArrayType_CN_CAN_002;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_002 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_003
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_003
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_003[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_003 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_003
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_003
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_003 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_003 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_003 ComM_UserHandleArrayType_CN_CAN_003;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_003 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_004
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_004
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_004[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_004 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_004
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_004
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_004 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_004 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_004 ComM_UserHandleArrayType_CN_CAN_004;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_004 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_005
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_005
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_005[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_005 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_005
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_005
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_005 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_005 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_005 ComM_UserHandleArrayType_CN_CAN_005;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_005 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_006
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_006
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_006[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_006 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_006
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_006
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_006 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_006 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_006 ComM_UserHandleArrayType_CN_CAN_006;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_006 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_007
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_007
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_007[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_007 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_007
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_007
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_007 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_007 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_007 ComM_UserHandleArrayType_CN_CAN_007;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_007 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_008
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_008
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_008[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_008 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_008
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_008
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_008 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_008 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_008 ComM_UserHandleArrayType_CN_CAN_008;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_008 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_009
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_009
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_009[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_009 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_009
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_009
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_009 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_009 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_009 ComM_UserHandleArrayType_CN_CAN_009;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_009 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_010
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_010
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_010[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_010 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_010
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_010
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_010 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_010 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_010 ComM_UserHandleArrayType_CN_CAN_010;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_010 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_011
#define Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_011
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_CN_CAN_011[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_CN_CAN_011 */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_011
#define Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_011
struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_011 {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_CN_CAN_011 handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_CN_CAN_011 ComM_UserHandleArrayType_CN_CAN_011;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_CN_CAN_011 */
#ifndef Rte_TypeDef_ComM_UserHandleSubArrayType_ComMChannel_ChannelCommunication_ETH
#define Rte_TypeDef_ComM_UserHandleSubArrayType_ComMChannel_ChannelCommunication_ETH
typedef ComM_UserHandleType ComM_UserHandleSubArrayType_ComMChannel_ChannelCommunication_ETH[1];
#endif /* Rte_TypeDef_ComM_UserHandleSubArrayType_ComMChannel_ChannelCommunication_ETH */
#ifndef Rte_TypeDef_ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH
#define Rte_TypeDef_ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH
struct Rte_struct_ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH {
    uint8 numberOfRequesters; /* unsigned char */
    ComM_UserHandleSubArrayType_ComMChannel_ChannelCommunication_ETH handleArray; /* ComM_UserHandleType with size [1] */
};
typedef struct Rte_struct_ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH;
#endif /* Rte_TypeDef_ComM_UserHandleArrayType_ComMChannel_ChannelCommunication_ETH */
#ifndef Rte_TypeDef_ComReqType
#define Rte_TypeDef_ComReqType
struct Rte_struct_ComReqType {
    uint8 chnlId; /* unsigned char */
    uint8 pncId; /* unsigned char */
    uint8 ctrl; /* unsigned char */
    uint8 userId; /* unsigned char */
};
typedef struct Rte_struct_ComReqType ComReqType;
#endif /* Rte_TypeDef_ComReqType */
#ifndef Rte_TypeDef_ComStateType
#define Rte_TypeDef_ComStateType
struct Rte_struct_ComStateType {
    unsigned char nmState[12];
    unsigned char userdata[6];
};
typedef struct Rte_struct_ComStateType ComStateType;
#endif /* Rte_TypeDef_ComStateType */
#ifndef Rte_TypeDef_ConstVoidPtr
#define Rte_TypeDef_ConstVoidPtr
typedef P2CONST(void, TYPEDEF, RTE_APPL_DATA) ConstVoidPtr;
#endif /* Rte_TypeDef_ConstVoidPtr */
#ifndef Rte_TypeDef_CpuUsageInfo
#define Rte_TypeDef_CpuUsageInfo
struct Rte_struct_CpuUsageInfo {
    uint8 cpuNo; /* unsigned char */
    float64 cpuUsage; /* double */
};
typedef struct Rte_struct_CpuUsageInfo CpuUsageInfo;
#endif /* Rte_TypeDef_CpuUsageInfo */
#ifndef Rte_TypeDef_CpuUsageArray
#define Rte_TypeDef_CpuUsageArray
typedef struct Rte_struct_CpuUsageInfo CpuUsageArray[16];
#endif /* Rte_TypeDef_CpuUsageArray */
#ifndef Rte_TypeDef_Crypto_KeyElementIdType
#define Rte_TypeDef_Crypto_KeyElementIdType
typedef uint32 Crypto_KeyElementIdType;
#endif /* Rte_TypeDef_Crypto_KeyElementIdType */
#ifndef Rte_TypeDef_Crypto_OperationModeType
#define Rte_TypeDef_Crypto_OperationModeType
typedef uint8 Crypto_OperationModeType;
#endif /* Rte_TypeDef_Crypto_OperationModeType */
#ifndef Rte_TypeDef_Crypto_VerifyResultType
#define Rte_TypeDef_Crypto_VerifyResultType
typedef uint8 Crypto_VerifyResultType;
#endif /* Rte_TypeDef_Crypto_VerifyResultType */
#ifndef Rte_TypeDef_Csm_ConfigIdType
#define Rte_TypeDef_Csm_ConfigIdType
typedef uint16 Csm_ConfigIdType;
#endif /* Rte_TypeDef_Csm_ConfigIdType */
#ifndef Rte_TypeDef_Csm_DataPtr
#define Rte_TypeDef_Csm_DataPtr
typedef unsigned char Csm_DataPtr[1024];
#endif /* Rte_TypeDef_Csm_DataPtr */
#ifndef Rte_TypeDef_Csm_KeyDataType_CsmKey_IKM
#define Rte_TypeDef_Csm_KeyDataType_CsmKey_IKM
typedef unsigned char Csm_KeyDataType_CsmKey_IKM[16];
#endif /* Rte_TypeDef_Csm_KeyDataType_CsmKey_IKM */
#ifndef Rte_TypeDef_Csm_KeyDataType_CsmKey_IKM_minor
#define Rte_TypeDef_Csm_KeyDataType_CsmKey_IKM_minor
typedef unsigned char Csm_KeyDataType_CsmKey_IKM_minor[16];
#endif /* Rte_TypeDef_Csm_KeyDataType_CsmKey_IKM_minor */
#ifndef Rte_TypeDef_Csm_KeyDataType_CsmKey_SecOC
#define Rte_TypeDef_Csm_KeyDataType_CsmKey_SecOC
typedef unsigned char Csm_KeyDataType_CsmKey_SecOC[16];
#endif /* Rte_TypeDef_Csm_KeyDataType_CsmKey_SecOC */
#ifndef Rte_TypeDef_Csm_KeyDataType_CsmKey_SecOC_minor
#define Rte_TypeDef_Csm_KeyDataType_CsmKey_SecOC_minor
typedef unsigned char Csm_KeyDataType_CsmKey_SecOC_minor[16];
#endif /* Rte_TypeDef_Csm_KeyDataType_CsmKey_SecOC_minor */
#ifndef Rte_TypeDef_Csm_MacGenerateDataType_CsmPrimitives_0
#define Rte_TypeDef_Csm_MacGenerateDataType_CsmPrimitives_0
typedef unsigned char Csm_MacGenerateDataType_CsmPrimitives_0[64];
#endif /* Rte_TypeDef_Csm_MacGenerateDataType_CsmPrimitives_0 */
#ifndef Rte_TypeDef_Csm_MacGenerateResultType_CsmPrimitives_0
#define Rte_TypeDef_Csm_MacGenerateResultType_CsmPrimitives_0
typedef unsigned char Csm_MacGenerateResultType_CsmPrimitives_0[16];
#endif /* Rte_TypeDef_Csm_MacGenerateResultType_CsmPrimitives_0 */
#ifndef Rte_TypeDef_Csm_MacVerifyCompareType_CsmPrimitives_1
#define Rte_TypeDef_Csm_MacVerifyCompareType_CsmPrimitives_1
typedef unsigned char Csm_MacVerifyCompareType_CsmPrimitives_1[6];
#endif /* Rte_TypeDef_Csm_MacVerifyCompareType_CsmPrimitives_1 */
#ifndef Rte_TypeDef_Csm_MacVerifyDataType_CsmPrimitives_1
#define Rte_TypeDef_Csm_MacVerifyDataType_CsmPrimitives_1
typedef unsigned char Csm_MacVerifyDataType_CsmPrimitives_1[128];
#endif /* Rte_TypeDef_Csm_MacVerifyDataType_CsmPrimitives_1 */
#ifndef Rte_TypeDef_Csm_ResultType
#define Rte_TypeDef_Csm_ResultType
typedef uint8 Csm_ResultType;
#endif /* Rte_TypeDef_Csm_ResultType */
#ifndef Rte_TypeDef_Csm_VerifyResultType
#define Rte_TypeDef_Csm_VerifyResultType
typedef uint8 Csm_VerifyResultType;
#endif /* Rte_TypeDef_Csm_VerifyResultType */
#ifndef Rte_TypeDef_DcCheckSubChannelType
#define Rte_TypeDef_DcCheckSubChannelType
struct Rte_struct_DcCheckSubChannelType {
    unsigned char status;
    struct {
        unsigned char allowNum;
        struct {
            unsigned char channel;
            unsigned short msgId;
        } allowArr[25];
    } allowList;
    struct {
        unsigned char blockNum;
        struct {
            unsigned char channel;
            unsigned short msgId;
        } blockArr[25];
    } blockList;
};
typedef struct Rte_struct_DcCheckSubChannelType DcCheckSubChannelType;
#endif /* Rte_TypeDef_DcCheckSubChannelType */
#ifndef Rte_TypeDef_DcComCtrlCanMeth
#define Rte_TypeDef_DcComCtrlCanMeth
typedef uint8 DcComCtrlCanMeth;
#endif /* Rte_TypeDef_DcComCtrlCanMeth */
#ifndef Rte_TypeDef_DcComCtrlCanIdRangeType
#define Rte_TypeDef_DcComCtrlCanIdRangeType
typedef uint32 DcComCtrlCanIdRangeType;
#endif /* Rte_TypeDef_DcComCtrlCanIdRangeType */
#ifndef Rte_TypeDef_DcComCtrlCanIdInfo
#define Rte_TypeDef_DcComCtrlCanIdInfo
struct Rte_struct_DcComCtrlCanIdInfo {
    unsigned int canIdRange[2];
    uint32 canIdType; /* unsigned int */
    DcComCtrlCanIdRangeType canIdRangeType; /* DcComCtrlCanIdRangeType */
};
typedef struct Rte_struct_DcComCtrlCanIdInfo DcComCtrlCanIdInfo;
#endif /* Rte_TypeDef_DcComCtrlCanIdInfo */
#ifndef Rte_TypeDef_DcComCtrlCanChkList
#define Rte_TypeDef_DcComCtrlCanChkList
struct Rte_struct_DcComCtrlCanChkList {
    uint8 idNum; /* unsigned char */
    DcComCtrlCanMeth ctrlMeth; /* DcComCtrlCanMeth */
    struct Rte_struct_DcComCtrlCanIdInfo canIdInfos[60];
};
typedef struct Rte_struct_DcComCtrlCanChkList DcComCtrlCanChkList;
#endif /* Rte_TypeDef_DcComCtrlCanChkList */
#ifndef Rte_TypeDef_DcComCtrlCanChnl
#define Rte_TypeDef_DcComCtrlCanChnl
struct Rte_struct_DcComCtrlCanChnl {
    uint8 chnlId; /* unsigned char */
    struct Rte_struct_DcComCtrlCanChkList UpStream;
    struct Rte_struct_DcComCtrlCanChkList DownStream;
};
typedef struct Rte_struct_DcComCtrlCanChnl DcComCtrlCanChnl;
#endif /* Rte_TypeDef_DcComCtrlCanChnl */
#ifndef Rte_TypeDef_DcComCtrlCanRetType
#define Rte_TypeDef_DcComCtrlCanRetType
typedef uint32 DcComCtrlCanRetType;
#endif /* Rte_TypeDef_DcComCtrlCanRetType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9064_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9064_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9064_ArrayType[2];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9064_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9064_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9064_Struct_DataType
struct Rte_struct_DcmDspDid_0x9064_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9064_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [2] */
};
typedef struct Rte_struct_DcmDspDid_0x9064_Struct_DataType DcmDspDid_0x9064_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9064_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9065_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9065_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9065_ArrayType[2];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9065_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9065_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9065_Struct_DataType
struct Rte_struct_DcmDspDid_0x9065_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9065_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [2] */
};
typedef struct Rte_struct_DcmDspDid_0x9065_Struct_DataType DcmDspDid_0x9065_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9065_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9080_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9080_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9080_ArrayType[2];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9080_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9080_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9080_Struct_DataType
struct Rte_struct_DcmDspDid_0x9080_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9080_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [2] */
};
typedef struct Rte_struct_DcmDspDid_0x9080_Struct_DataType DcmDspDid_0x9080_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9080_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9081_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9081_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9081_ArrayType[8];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9081_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9081_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9081_Struct_DataType
struct Rte_struct_DcmDspDid_0x9081_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9081_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [8] */
};
typedef struct Rte_struct_DcmDspDid_0x9081_Struct_DataType DcmDspDid_0x9081_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9081_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9082_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9082_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9082_ArrayType[1];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9082_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9082_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9082_Struct_DataType
struct Rte_struct_DcmDspDid_0x9082_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9082_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [1] */
};
typedef struct Rte_struct_DcmDspDid_0x9082_Struct_DataType DcmDspDid_0x9082_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9082_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9203_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9203_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9203_ArrayType[4];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9203_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9203_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9203_Struct_DataType
struct Rte_struct_DcmDspDid_0x9203_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9203_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [4] */
};
typedef struct Rte_struct_DcmDspDid_0x9203_Struct_DataType DcmDspDid_0x9203_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9203_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9204_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9204_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9204_ArrayType[2];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9204_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9204_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9204_Struct_DataType
struct Rte_struct_DcmDspDid_0x9204_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9204_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [2] */
};
typedef struct Rte_struct_DcmDspDid_0x9204_Struct_DataType DcmDspDid_0x9204_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9204_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9205_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9205_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9205_ArrayType[8];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9205_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9205_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9205_Struct_DataType
struct Rte_struct_DcmDspDid_0x9205_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9205_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [8] */
};
typedef struct Rte_struct_DcmDspDid_0x9205_Struct_DataType DcmDspDid_0x9205_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9205_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9207_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9207_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9207_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9207_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9207_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9207_Struct_DataType
struct Rte_struct_DcmDspDid_0x9207_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9207_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x9207_Struct_DataType DcmDspDid_0x9207_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9207_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9208_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9208_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9208_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9208_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9208_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9208_Struct_DataType
struct Rte_struct_DcmDspDid_0x9208_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9208_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x9208_Struct_DataType DcmDspDid_0x9208_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9208_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9209_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9209_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9209_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9209_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9209_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9209_Struct_DataType
struct Rte_struct_DcmDspDid_0x9209_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9209_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x9209_Struct_DataType DcmDspDid_0x9209_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9209_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920A_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920A_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x920A_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920A_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x920A_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x920A_Struct_DataType
struct Rte_struct_DcmDspDid_0x920A_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x920A_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x920A_Struct_DataType DcmDspDid_0x920A_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x920A_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920B_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920B_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x920B_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920B_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x920B_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x920B_Struct_DataType
struct Rte_struct_DcmDspDid_0x920B_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x920B_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x920B_Struct_DataType DcmDspDid_0x920B_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x920B_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920C_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920C_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x920C_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920C_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x920C_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x920C_Struct_DataType
struct Rte_struct_DcmDspDid_0x920C_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x920C_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x920C_Struct_DataType DcmDspDid_0x920C_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x920C_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920D_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920D_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x920D_ArrayType[1];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x920D_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x920D_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x920D_Struct_DataType
struct Rte_struct_DcmDspDid_0x920D_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x920D_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [1] */
};
typedef struct Rte_struct_DcmDspDid_0x920D_Struct_DataType DcmDspDid_0x920D_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x920D_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9210_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9210_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9210_ArrayType[20];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9210_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9210_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9210_Struct_DataType
struct Rte_struct_DcmDspDid_0x9210_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9210_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [20] */
};
typedef struct Rte_struct_DcmDspDid_0x9210_Struct_DataType DcmDspDid_0x9210_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9210_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9250_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9250_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9250_ArrayType[64];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9250_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9250_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9250_Struct_DataType
struct Rte_struct_DcmDspDid_0x9250_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9250_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [64] */
};
typedef struct Rte_struct_DcmDspDid_0x9250_Struct_DataType DcmDspDid_0x9250_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9250_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9251_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9251_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9251_ArrayType[64];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9251_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9251_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9251_Struct_DataType
struct Rte_struct_DcmDspDid_0x9251_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9251_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [64] */
};
typedef struct Rte_struct_DcmDspDid_0x9251_Struct_DataType DcmDspDid_0x9251_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9251_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9252_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9252_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9252_ArrayType[64];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9252_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9252_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9252_Struct_DataType
struct Rte_struct_DcmDspDid_0x9252_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9252_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [64] */
};
typedef struct Rte_struct_DcmDspDid_0x9252_Struct_DataType DcmDspDid_0x9252_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9252_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9253_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9253_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9253_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9253_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9253_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9253_Struct_DataType
struct Rte_struct_DcmDspDid_0x9253_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9253_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x9253_Struct_DataType DcmDspDid_0x9253_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9253_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9254_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9254_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9254_ArrayType[32];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9254_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9254_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9254_Struct_DataType
struct Rte_struct_DcmDspDid_0x9254_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9254_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [32] */
};
typedef struct Rte_struct_DcmDspDid_0x9254_Struct_DataType DcmDspDid_0x9254_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9254_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9255_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9255_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9255_ArrayType[64];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9255_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9255_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9255_Struct_DataType
struct Rte_struct_DcmDspDid_0x9255_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9255_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [64] */
};
typedef struct Rte_struct_DcmDspDid_0x9255_Struct_DataType DcmDspDid_0x9255_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9255_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9256_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9256_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9256_ArrayType[64];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9256_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9256_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9256_Struct_DataType
struct Rte_struct_DcmDspDid_0x9256_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9256_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [64] */
};
typedef struct Rte_struct_DcmDspDid_0x9256_Struct_DataType DcmDspDid_0x9256_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9256_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9257_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9257_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9257_ArrayType[64];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9257_ArrayType */
#ifndef Rte_TypeDef_DcmDspDid_0x9257_Struct_DataType
#define Rte_TypeDef_DcmDspDid_0x9257_Struct_DataType
struct Rte_struct_DcmDspDid_0x9257_Struct_DataType {
    Dcm_DataElement_DcmDspData_0x9257_ArrayType DcmDspDidSignal_0_Struct_DataTypeElement; /* unsigned char with size [64] */
};
typedef struct Rte_struct_DcmDspDid_0x9257_Struct_DataType DcmDspDid_0x9257_Struct_DataType;
#endif /* Rte_TypeDef_DcmDspDid_0x9257_Struct_DataType */
#ifndef Rte_TypeDef_Dcm_AuthenticationRoleType
#define Rte_TypeDef_Dcm_AuthenticationRoleType
typedef unsigned char Dcm_AuthenticationRoleType[1];
#endif /* Rte_TypeDef_Dcm_AuthenticationRoleType */
#ifndef Rte_TypeDef_Dcm_ConfirmationStatusType
#define Rte_TypeDef_Dcm_ConfirmationStatusType
typedef uint8 Dcm_ConfirmationStatusType;
#endif /* Rte_TypeDef_Dcm_ConfirmationStatusType */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9064Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9064Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9064Type[2];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9064Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9065Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9065Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9065Type[2];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9065Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9080Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9080Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9080Type[2];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9080Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9081Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9081Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9081Type[8];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9081Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9082Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9082Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9082Type[1];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9082Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9203Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9203Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9203Type[4];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9203Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9204Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9204Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9204Type[2];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9204Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9205Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9205Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9205Type[8];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9205Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9206Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9206Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9206Type[1];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9206Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9207Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9207Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9207Type[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9207Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9208Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9208Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9208Type[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9208Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9209Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9209Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9209Type[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9209Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920AType
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920AType
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x920AType[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920AType */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920BType
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920BType
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x920BType[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920BType */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920CType
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920CType
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x920CType[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920CType */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920DType
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920DType
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x920DType[1];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x920DType */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9210Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9210Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9210Type[20];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9210Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9250Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9250Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9250Type[64];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9250Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9251Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9251Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9251Type[64];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9251Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9252Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9252Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9252Type[64];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9252Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9253Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9253Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9253Type[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9253Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9254Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9254Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9254Type[32];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9254Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9255Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9255Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9255Type[64];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9255Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9256Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9256Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9256Type[64];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9256Type */
#ifndef Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9257Type
#define Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9257Type
typedef unsigned char Dcm_DataArrayTypeUint8_DcmDspData_0x9257Type[64];
#endif /* Rte_TypeDef_Dcm_DataArrayTypeUint8_DcmDspData_0x9257Type */
#ifndef Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9206_ArrayType
#define Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9206_ArrayType
typedef unsigned char Dcm_DataElement_DcmDspData_0x9206_ArrayType[1];
#endif /* Rte_TypeDef_Dcm_DataElement_DcmDspData_0x9206_ArrayType */
#ifndef Rte_TypeDef_Dcm_DidSupportedType
#define Rte_TypeDef_Dcm_DidSupportedType
typedef uint8 Dcm_DidSupportedType;
#endif /* Rte_TypeDef_Dcm_DidSupportedType */
#ifndef Rte_TypeDef_Dcm_IOOperationResponseType
#define Rte_TypeDef_Dcm_IOOperationResponseType
typedef uint8 Dcm_IOOperationResponseType;
#endif /* Rte_TypeDef_Dcm_IOOperationResponseType */
#ifndef Rte_TypeDef_Dcm_InputOutputControlParameterType
#define Rte_TypeDef_Dcm_InputOutputControlParameterType
typedef uint8 Dcm_InputOutputControlParameterType;
#endif /* Rte_TypeDef_Dcm_InputOutputControlParameterType */
#ifndef Rte_TypeDef_Dcm_NegativeResponseCodeType
#define Rte_TypeDef_Dcm_NegativeResponseCodeType
typedef uint8 Dcm_NegativeResponseCodeType;
#endif /* Rte_TypeDef_Dcm_NegativeResponseCodeType */
#ifndef Rte_TypeDef_Dcm_OpStatusType
#define Rte_TypeDef_Dcm_OpStatusType
typedef uint8 Dcm_OpStatusType;
#endif /* Rte_TypeDef_Dcm_OpStatusType */
#ifndef Rte_TypeDef_Dcm_ProtocolType
#define Rte_TypeDef_Dcm_ProtocolType
typedef uint8 Dcm_ProtocolType;
#endif /* Rte_TypeDef_Dcm_ProtocolType */
#ifndef Rte_TypeDef_Dcm_RequestDataArrayType
#define Rte_TypeDef_Dcm_RequestDataArrayType
typedef unsigned char Dcm_RequestDataArrayType[4095];
#endif /* Rte_TypeDef_Dcm_RequestDataArrayType */
#ifndef Rte_TypeDef_Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0ArrayType
#define Rte_TypeDef_Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0ArrayType
typedef unsigned char Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0ArrayType[3];
#endif /* Rte_TypeDef_Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0ArrayType */
#ifndef Rte_TypeDef_Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0Type
#define Rte_TypeDef_Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0Type
typedef Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0ArrayType Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0Type;
#endif /* Rte_TypeDef_Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0Type */
#ifndef Rte_TypeDef_Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0ArrayType
#define Rte_TypeDef_Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0ArrayType
typedef unsigned char Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0ArrayType[56];
#endif /* Rte_TypeDef_Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0ArrayType */
#ifndef Rte_TypeDef_Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0Type
#define Rte_TypeDef_Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0Type
typedef Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0ArrayType Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0Type;
#endif /* Rte_TypeDef_Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0Type */
#ifndef Rte_TypeDef_Dcm_SecLevelType
#define Rte_TypeDef_Dcm_SecLevelType
typedef uint8 Dcm_SecLevelType;
#endif /* Rte_TypeDef_Dcm_SecLevelType */
#ifndef Rte_TypeDef_Dcm_SesCtrlType
#define Rte_TypeDef_Dcm_SesCtrlType
typedef uint8 Dcm_SesCtrlType;
#endif /* Rte_TypeDef_Dcm_SesCtrlType */
#ifndef Rte_TypeDef_Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0ArrayType
#define Rte_TypeDef_Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0ArrayType
typedef unsigned char Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0ArrayType[3];
#endif /* Rte_TypeDef_Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0ArrayType */
#ifndef Rte_TypeDef_Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0Type
#define Rte_TypeDef_Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0Type
typedef Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0ArrayType Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0Type;
#endif /* Rte_TypeDef_Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0Type */
#ifndef Rte_TypeDef_Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0ArrayType
#define Rte_TypeDef_Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0ArrayType
typedef unsigned char Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0ArrayType[56];
#endif /* Rte_TypeDef_Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0ArrayType */
#ifndef Rte_TypeDef_Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0Type
#define Rte_TypeDef_Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0Type
typedef Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0ArrayType Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0Type;
#endif /* Rte_TypeDef_Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0Type */
#ifndef Rte_TypeDef_Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0ArrayType
#define Rte_TypeDef_Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0ArrayType
typedef unsigned char Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0ArrayType[3];
#endif /* Rte_TypeDef_Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0ArrayType */
#ifndef Rte_TypeDef_Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0Type
#define Rte_TypeDef_Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0Type
typedef Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0ArrayType Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0Type;
#endif /* Rte_TypeDef_Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0Type */
#ifndef Rte_TypeDef_Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0ArrayType
#define Rte_TypeDef_Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0ArrayType
typedef unsigned char Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0ArrayType[56];
#endif /* Rte_TypeDef_Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0ArrayType */
#ifndef Rte_TypeDef_Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0Type
#define Rte_TypeDef_Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0Type
typedef Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0ArrayType Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0Type;
#endif /* Rte_TypeDef_Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0Type */
#ifndef Rte_TypeDef_DevmdArraySint32_10
#define Rte_TypeDef_DevmdArraySint32_10
struct Rte_struct_DevmdArraySint32_10 {
    signed int dataBuf[10];
};
typedef struct Rte_struct_DevmdArraySint32_10 DevmdArraySint32_10;
#endif /* Rte_TypeDef_DevmdArraySint32_10 */
#ifndef Rte_TypeDef_DebugTemperInfoStruct
#define Rte_TypeDef_DebugTemperInfoStruct
struct Rte_struct_DebugTemperInfoStruct {
    uint8 temperType; /* unsigned char */
    struct Rte_struct_DevmdArraySint32_10 debugTempers;
};
typedef struct Rte_struct_DebugTemperInfoStruct DebugTemperInfoStruct;
#endif /* Rte_TypeDef_DebugTemperInfoStruct */
#ifndef Rte_TypeDef_Dem_DTCFormatType
#define Rte_TypeDef_Dem_DTCFormatType
typedef uint8 Dem_DTCFormatType;
#endif /* Rte_TypeDef_Dem_DTCFormatType */
#ifndef Rte_TypeDef_Dem_DTCOriginType
#define Rte_TypeDef_Dem_DTCOriginType
typedef uint16 Dem_DTCOriginType;
#endif /* Rte_TypeDef_Dem_DTCOriginType */
#ifndef Rte_TypeDef_Dem_DTRControlType
#define Rte_TypeDef_Dem_DTRControlType
typedef uint8 Dem_DTRControlType;
#endif /* Rte_TypeDef_Dem_DTRControlType */
#ifndef Rte_TypeDef_Dem_DataArrayType_CF00_FirstEngineRevolutionSpeed
#define Rte_TypeDef_Dem_DataArrayType_CF00_FirstEngineRevolutionSpeed
typedef unsigned char Dem_DataArrayType_CF00_FirstEngineRevolutionSpeed[2];
#endif /* Rte_TypeDef_Dem_DataArrayType_CF00_FirstEngineRevolutionSpeed */
#ifndef Rte_TypeDef_Dem_DataArrayType_CF01_FirstVehicleReferenceSpeed
#define Rte_TypeDef_Dem_DataArrayType_CF01_FirstVehicleReferenceSpeed
typedef unsigned char Dem_DataArrayType_CF01_FirstVehicleReferenceSpeed[2];
#endif /* Rte_TypeDef_Dem_DataArrayType_CF01_FirstVehicleReferenceSpeed */
#ifndef Rte_TypeDef_Dem_DataArrayType_CF02_FirstECUPowerVoltage
#define Rte_TypeDef_Dem_DataArrayType_CF02_FirstECUPowerVoltage
typedef unsigned char Dem_DataArrayType_CF02_FirstECUPowerVoltage[1];
#endif /* Rte_TypeDef_Dem_DataArrayType_CF02_FirstECUPowerVoltage */
#ifndef Rte_TypeDef_Dem_DataArrayType_CF03_LastEngineRevolutionSpeed
#define Rte_TypeDef_Dem_DataArrayType_CF03_LastEngineRevolutionSpeed
typedef unsigned char Dem_DataArrayType_CF03_LastEngineRevolutionSpeed[2];
#endif /* Rte_TypeDef_Dem_DataArrayType_CF03_LastEngineRevolutionSpeed */
#ifndef Rte_TypeDef_Dem_DataArrayType_CF04_LastVehicleReferenceSpeed
#define Rte_TypeDef_Dem_DataArrayType_CF04_LastVehicleReferenceSpeed
typedef unsigned char Dem_DataArrayType_CF04_LastVehicleReferenceSpeed[2];
#endif /* Rte_TypeDef_Dem_DataArrayType_CF04_LastVehicleReferenceSpeed */
#ifndef Rte_TypeDef_Dem_DataArrayType_CF05_LastECUPowerVoltage
#define Rte_TypeDef_Dem_DataArrayType_CF05_LastECUPowerVoltage
typedef unsigned char Dem_DataArrayType_CF05_LastECUPowerVoltage[2];
#endif /* Rte_TypeDef_Dem_DataArrayType_CF05_LastECUPowerVoltage */
#ifndef Rte_TypeDef_Dem_DataArrayType_DF01_VehicleSpeed
#define Rte_TypeDef_Dem_DataArrayType_DF01_VehicleSpeed
typedef unsigned char Dem_DataArrayType_DF01_VehicleSpeed[2];
#endif /* Rte_TypeDef_Dem_DataArrayType_DF01_VehicleSpeed */
#ifndef Rte_TypeDef_Dem_DataPrimitiveType_AgedCounter
#define Rte_TypeDef_Dem_DataPrimitiveType_AgedCounter
typedef uint8 Dem_DataPrimitiveType_AgedCounter;
#endif /* Rte_TypeDef_Dem_DataPrimitiveType_AgedCounter */
#ifndef Rte_TypeDef_Dem_DataType_AgedCounter
#define Rte_TypeDef_Dem_DataType_AgedCounter
typedef Dem_DataPrimitiveType_AgedCounter Dem_DataType_AgedCounter;
#endif /* Rte_TypeDef_Dem_DataType_AgedCounter */
#ifndef Rte_TypeDef_Dem_DataType_CF00_FirstEngineRevolutionSpeed
#define Rte_TypeDef_Dem_DataType_CF00_FirstEngineRevolutionSpeed
typedef Dem_DataArrayType_CF00_FirstEngineRevolutionSpeed Dem_DataType_CF00_FirstEngineRevolutionSpeed;
#endif /* Rte_TypeDef_Dem_DataType_CF00_FirstEngineRevolutionSpeed */
#ifndef Rte_TypeDef_Dem_DataType_CF01_FirstVehicleReferenceSpeed
#define Rte_TypeDef_Dem_DataType_CF01_FirstVehicleReferenceSpeed
typedef Dem_DataArrayType_CF01_FirstVehicleReferenceSpeed Dem_DataType_CF01_FirstVehicleReferenceSpeed;
#endif /* Rte_TypeDef_Dem_DataType_CF01_FirstVehicleReferenceSpeed */
#ifndef Rte_TypeDef_Dem_DataType_CF02_FirstECUPowerVoltage
#define Rte_TypeDef_Dem_DataType_CF02_FirstECUPowerVoltage
typedef Dem_DataArrayType_CF02_FirstECUPowerVoltage Dem_DataType_CF02_FirstECUPowerVoltage;
#endif /* Rte_TypeDef_Dem_DataType_CF02_FirstECUPowerVoltage */
#ifndef Rte_TypeDef_Dem_DataType_CF03_LastEngineRevolutionSpeed
#define Rte_TypeDef_Dem_DataType_CF03_LastEngineRevolutionSpeed
typedef Dem_DataArrayType_CF03_LastEngineRevolutionSpeed Dem_DataType_CF03_LastEngineRevolutionSpeed;
#endif /* Rte_TypeDef_Dem_DataType_CF03_LastEngineRevolutionSpeed */
#ifndef Rte_TypeDef_Dem_DataType_CF04_LastVehicleReferenceSpeed
#define Rte_TypeDef_Dem_DataType_CF04_LastVehicleReferenceSpeed
typedef Dem_DataArrayType_CF04_LastVehicleReferenceSpeed Dem_DataType_CF04_LastVehicleReferenceSpeed;
#endif /* Rte_TypeDef_Dem_DataType_CF04_LastVehicleReferenceSpeed */
#ifndef Rte_TypeDef_Dem_DataType_CF05_LastECUPowerVoltage
#define Rte_TypeDef_Dem_DataType_CF05_LastECUPowerVoltage
typedef Dem_DataArrayType_CF05_LastECUPowerVoltage Dem_DataType_CF05_LastECUPowerVoltage;
#endif /* Rte_TypeDef_Dem_DataType_CF05_LastECUPowerVoltage */
#ifndef Rte_TypeDef_Dem_DataType_DF01_VehicleSpeed
#define Rte_TypeDef_Dem_DataType_DF01_VehicleSpeed
typedef Dem_DataArrayType_DF01_VehicleSpeed Dem_DataType_DF01_VehicleSpeed;
#endif /* Rte_TypeDef_Dem_DataType_DF01_VehicleSpeed */
#ifndef Rte_TypeDef_Dem_DebounceResetStatusType
#define Rte_TypeDef_Dem_DebounceResetStatusType
typedef uint8 Dem_DebounceResetStatusType;
#endif /* Rte_TypeDef_Dem_DebounceResetStatusType */
#ifndef Rte_TypeDef_Dem_DebouncingStateType
#define Rte_TypeDef_Dem_DebouncingStateType
typedef uint8 Dem_DebouncingStateType;
#endif /* Rte_TypeDef_Dem_DebouncingStateType */
#ifndef Rte_TypeDef_Dem_EventIdType
#define Rte_TypeDef_Dem_EventIdType
typedef uint16 Dem_EventIdType;
#endif /* Rte_TypeDef_Dem_EventIdType */
#ifndef Rte_TypeDef_Dem_EventStatusType
#define Rte_TypeDef_Dem_EventStatusType
typedef uint8 Dem_EventStatusType;
#endif /* Rte_TypeDef_Dem_EventStatusType */
#ifndef Rte_TypeDef_Dem_IndicatorStatusType
#define Rte_TypeDef_Dem_IndicatorStatusType
typedef uint8 Dem_IndicatorStatusType;
#endif /* Rte_TypeDef_Dem_IndicatorStatusType */
#ifndef Rte_TypeDef_Dem_InitMonitorReasonType
#define Rte_TypeDef_Dem_InitMonitorReasonType
typedef uint8 Dem_InitMonitorReasonType;
#endif /* Rte_TypeDef_Dem_InitMonitorReasonType */
#ifndef Rte_TypeDef_Dem_IumprDenomCondIdType
#define Rte_TypeDef_Dem_IumprDenomCondIdType
typedef uint8 Dem_IumprDenomCondIdType;
#endif /* Rte_TypeDef_Dem_IumprDenomCondIdType */
#ifndef Rte_TypeDef_Dem_IumprDenomCondStatusType
#define Rte_TypeDef_Dem_IumprDenomCondStatusType
typedef uint8 Dem_IumprDenomCondStatusType;
#endif /* Rte_TypeDef_Dem_IumprDenomCondStatusType */
#ifndef Rte_TypeDef_Dem_MaxDataValueType
#define Rte_TypeDef_Dem_MaxDataValueType
typedef unsigned char Dem_MaxDataValueType[4];
#endif /* Rte_TypeDef_Dem_MaxDataValueType */
#ifndef Rte_TypeDef_Dem_MonitorDataType
#define Rte_TypeDef_Dem_MonitorDataType
typedef uint32 Dem_MonitorDataType;
#endif /* Rte_TypeDef_Dem_MonitorDataType */
#ifndef Rte_TypeDef_Dem_MonitorStatusType
#define Rte_TypeDef_Dem_MonitorStatusType
typedef uint8 Dem_MonitorStatusType;
#endif /* Rte_TypeDef_Dem_MonitorStatusType */
#ifndef Rte_TypeDef_Dem_PID21valueType
#define Rte_TypeDef_Dem_PID21valueType
typedef unsigned char Dem_PID21valueType[2];
#endif /* Rte_TypeDef_Dem_PID21valueType */
#ifndef Rte_TypeDef_Dem_PID31valueType
#define Rte_TypeDef_Dem_PID31valueType
typedef unsigned char Dem_PID31valueType[2];
#endif /* Rte_TypeDef_Dem_PID31valueType */
#ifndef Rte_TypeDef_Dem_RatioIdType
#define Rte_TypeDef_Dem_RatioIdType
typedef uint8 Dem_RatioIdType;
#endif /* Rte_TypeDef_Dem_RatioIdType */
#ifndef Rte_TypeDef_Dem_UdsStatusByteType
#define Rte_TypeDef_Dem_UdsStatusByteType
typedef uint8 Dem_UdsStatusByteType;
#endif /* Rte_TypeDef_Dem_UdsStatusByteType */
#ifndef Rte_TypeDef_DevmdArrayUint32_14
#define Rte_TypeDef_DevmdArrayUint32_14
struct Rte_struct_DevmdArrayUint32_14 {
    unsigned int databuf[14];
};
typedef struct Rte_struct_DevmdArrayUint32_14 DevmdArrayUint32_14;
#endif /* Rte_TypeDef_DevmdArrayUint32_14 */
#ifndef Rte_TypeDef_DevmdArrayUint32_23
#define Rte_TypeDef_DevmdArrayUint32_23
struct Rte_struct_DevmdArrayUint32_23 {
    unsigned int databuf[23];
};
typedef struct Rte_struct_DevmdArrayUint32_23 DevmdArrayUint32_23;
#endif /* Rte_TypeDef_DevmdArrayUint32_23 */
#ifndef Rte_TypeDef_DevmdArrayUint32_44
#define Rte_TypeDef_DevmdArrayUint32_44
struct Rte_struct_DevmdArrayUint32_44 {
    unsigned int databuf[44];
};
typedef struct Rte_struct_DevmdArrayUint32_44 DevmdArrayUint32_44;
#endif /* Rte_TypeDef_DevmdArrayUint32_44 */
#ifndef Rte_TypeDef_DevmdArrayUint32_6
#define Rte_TypeDef_DevmdArrayUint32_6
struct Rte_struct_DevmdArrayUint32_6 {
    unsigned int databuf[6];
};
typedef struct Rte_struct_DevmdArrayUint32_6 DevmdArrayUint32_6;
#endif /* Rte_TypeDef_DevmdArrayUint32_6 */
#ifndef Rte_TypeDef_DevmdArrayUint8_128
#define Rte_TypeDef_DevmdArrayUint8_128
struct Rte_struct_DevmdArrayUint8_128 {
    unsigned char databuf[128];
};
typedef struct Rte_struct_DevmdArrayUint8_128 DevmdArrayUint8_128;
#endif /* Rte_TypeDef_DevmdArrayUint8_128 */
#ifndef Rte_TypeDef_DevmdArrayUint8_512
#define Rte_TypeDef_DevmdArrayUint8_512
struct Rte_struct_DevmdArrayUint8_512 {
    unsigned char databuf[512];
};
typedef struct Rte_struct_DevmdArrayUint8_512 DevmdArrayUint8_512;
#endif /* Rte_TypeDef_DevmdArrayUint8_512 */
#ifndef Rte_TypeDef_DevmdBoardAttr
#define Rte_TypeDef_DevmdBoardAttr
struct Rte_struct_DevmdBoardAttr {
    unsigned char reserved[31];
    uint8 socNum; /* unsigned char */
};
typedef struct Rte_struct_DevmdBoardAttr DevmdBoardAttr;
#endif /* Rte_TypeDef_DevmdBoardAttr */
#ifndef Rte_TypeDef_DevmdDevInfo
#define Rte_TypeDef_DevmdDevInfo
struct Rte_struct_DevmdDevInfo {
    unsigned char devType[32];
    unsigned char hardType[32];
    unsigned char version[32];
    uint8 upgradeEnable; /* unsigned char */
};
typedef struct Rte_struct_DevmdDevInfo DevmdDevInfo;
#endif /* Rte_TypeDef_DevmdDevInfo */
#ifndef Rte_TypeDef_UtcDateTime
#define Rte_TypeDef_UtcDateTime
struct Rte_struct_UtcDateTime {
    uint16 year; /* unsigned short */
    uint8 month; /* unsigned char */
    uint8 day; /* unsigned char */
    uint8 hour; /* unsigned char */
    uint8 minute; /* unsigned char */
    uint8 second; /* unsigned char */
    uint16 msecond; /* unsigned short */
};
typedef struct Rte_struct_UtcDateTime UtcDateTime;
#endif /* Rte_TypeDef_UtcDateTime */
#ifndef Rte_TypeDef_DevmdFaultInfo
#define Rte_TypeDef_DevmdFaultInfo
struct Rte_struct_DevmdFaultInfo {
    uint32 id; /* unsigned int */
    uint8 state; /* unsigned char */
    uint8 type; /* unsigned char */
    uint8 severityLevel; /* unsigned char */
    uint8 faultSrc; /* unsigned char */
    struct Rte_struct_UtcDateTime timeStamp;
    unsigned char desc[64];
};
typedef struct Rte_struct_DevmdFaultInfo DevmdFaultInfo;
#endif /* Rte_TypeDef_DevmdFaultInfo */
#ifndef Rte_TypeDef_DevmdHardwareLoopOutOpInfo
#define Rte_TypeDef_DevmdHardwareLoopOutOpInfo
struct Rte_struct_DevmdHardwareLoopOutOpInfo {
    uint8 switchType; /* unsigned char */
    uint8 count; /* unsigned char */
    uint8 type; /* unsigned char */
    uint8 reserved; /* unsigned char */
};
typedef struct Rte_struct_DevmdHardwareLoopOutOpInfo DevmdHardwareLoopOutOpInfo;
#endif /* Rte_TypeDef_DevmdHardwareLoopOutOpInfo */
#ifndef Rte_TypeDef_DevmdSerializerStateInfo
#define Rte_TypeDef_DevmdSerializerStateInfo
struct Rte_struct_DevmdSerializerStateInfo {
    uint8 ser0Status; /* unsigned char */
    uint8 ser1Status; /* unsigned char */
    uint8 reserved; /* unsigned char */
};
typedef struct Rte_struct_DevmdSerializerStateInfo DevmdSerializerStateInfo;
#endif /* Rte_TypeDef_DevmdSerializerStateInfo */
#ifndef Rte_TypeDef_DevmdHardwareLoopOutStateInfo
#define Rte_TypeDef_DevmdHardwareLoopOutStateInfo
struct Rte_struct_DevmdHardwareLoopOutStateInfo {
    uint8 switchState; /* unsigned char */
    uint8 configState; /* unsigned char */
    struct Rte_struct_DevmdSerializerStateInfo serializerState;
    uint8 reserved; /* unsigned char */
};
typedef struct Rte_struct_DevmdHardwareLoopOutStateInfo DevmdHardwareLoopOutStateInfo;
#endif /* Rte_TypeDef_DevmdHardwareLoopOutStateInfo */
#ifndef Rte_TypeDef_DevmdLidarOpInfo
#define Rte_TypeDef_DevmdLidarOpInfo
struct Rte_struct_DevmdLidarOpInfo {
    uint8 oper; /* unsigned char */
    uint8 count; /* unsigned char */
    uint8 type; /* unsigned char */
    uint8 reserved; /* unsigned char */
};
typedef struct Rte_struct_DevmdLidarOpInfo DevmdLidarOpInfo;
#endif /* Rte_TypeDef_DevmdLidarOpInfo */
#ifndef Rte_TypeDef_DevmdTemperatureValue
#define Rte_TypeDef_DevmdTemperatureValue
typedef sint16 DevmdTemperatureValue;
#endif /* Rte_TypeDef_DevmdTemperatureValue */
#ifndef Rte_TypeDef_DevmdVinCodeType
#define Rte_TypeDef_DevmdVinCodeType
struct Rte_struct_DevmdVinCodeType {
    uint8 vinCodeLen; /* unsigned char */
    unsigned char vinCode[64];
};
typedef struct Rte_struct_DevmdVinCodeType DevmdVinCodeType;
#endif /* Rte_TypeDef_DevmdVinCodeType */
#ifndef Rte_TypeDef_Dfs_ServiceDataType
#define Rte_TypeDef_Dfs_ServiceDataType
struct Rte_struct_Dfs_ServiceDataType {
    uint16 maxBufferSize; /* unsigned short */
    uint16 inDataLen; /* unsigned short */
    P2VAR(unsigned short, TYPEDEF, RTE_APPL_DATA) outDataLen;
    P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) dataInBuffer;
    P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) dataOutBuffer;
};
typedef struct Rte_struct_Dfs_ServiceDataType Dfs_ServiceDataType;
#endif /* Rte_TypeDef_Dfs_ServiceDataType */
#ifndef Rte_TypeDef_DiagDidInfo
#define Rte_TypeDef_DiagDidInfo
struct Rte_struct_DiagDidInfo {
    uint16 size; /* unsigned short */
    unsigned char didValue[64];
};
typedef struct Rte_struct_DiagDidInfo DiagDidInfo;
#endif /* Rte_TypeDef_DiagDidInfo */
#ifndef Rte_TypeDef_DiagDid
#define Rte_TypeDef_DiagDid
struct Rte_struct_DiagDid {
    uint16 id; /* unsigned short */
    struct Rte_struct_DiagDidInfo didInfo;
};
typedef struct Rte_struct_DiagDid DiagDid;
#endif /* Rte_TypeDef_DiagDid */
#ifndef Rte_TypeDef_DidValue
#define Rte_TypeDef_DidValue
struct Rte_struct_DidValue {
    uint32 size; /* unsigned int */
    unsigned char didValue[24];
};
typedef struct Rte_struct_DidValue DidValue;
#endif /* Rte_TypeDef_DidValue */
#ifndef Rte_TypeDef_DidInfo
#define Rte_TypeDef_DidInfo
struct Rte_struct_DidInfo {
    uint16 didId; /* unsigned short */
    struct Rte_struct_DidValue didValuePerDid;
};
typedef struct Rte_struct_DidInfo DidInfo;
#endif /* Rte_TypeDef_DidInfo */
#ifndef Rte_TypeDef_DidValueVectorAdsType
#define Rte_TypeDef_DidValueVectorAdsType
struct Rte_struct_DidValueVectorAdsType {
    uint32 size; /* unsigned int */
    unsigned char didValueAds[24];
};
typedef struct Rte_struct_DidValueVectorAdsType DidValueVectorAdsType;
#endif /* Rte_TypeDef_DidValueVectorAdsType */
#ifndef Rte_TypeDef_DidInfoAdsType
#define Rte_TypeDef_DidInfoAdsType
struct Rte_struct_DidInfoAdsType {
    uint16 didId; /* unsigned short */
    struct Rte_struct_DidValueVectorAdsType didValuePerDidAds;
};
typedef struct Rte_struct_DidInfoAdsType DidInfoAdsType;
#endif /* Rte_TypeDef_DidInfoAdsType */
#ifndef Rte_TypeDef_Dlt_ApplicationIDType
#define Rte_TypeDef_Dlt_ApplicationIDType
typedef unsigned char Dlt_ApplicationIDType[4];
#endif /* Rte_TypeDef_Dlt_ApplicationIDType */
#ifndef Rte_TypeDef_Dlt_ContextIDType
#define Rte_TypeDef_Dlt_ContextIDType
typedef unsigned char Dlt_ContextIDType[4];
#endif /* Rte_TypeDef_Dlt_ContextIDType */
#ifndef Rte_TypeDef_Dlt_MessageLogLevelType
#define Rte_TypeDef_Dlt_MessageLogLevelType
typedef uint8 Dlt_MessageLogLevelType;
#endif /* Rte_TypeDef_Dlt_MessageLogLevelType */
#ifndef Rte_TypeDef_Dlt_ContextIdInfoType
#define Rte_TypeDef_Dlt_ContextIdInfoType
struct Rte_struct_Dlt_ContextIdInfoType {
    Dlt_ContextIDType contextId; /* unsigned char with size [4] */
    Dlt_MessageLogLevelType logLevel; /* Dlt_MessageLogLevelType */
    uint8 traceStatus; /* unsigned char */
    uint16 lenContextDescription; /* unsigned short */
    P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) contextDesc;
};
typedef struct Rte_struct_Dlt_ContextIdInfoType Dlt_ContextIdInfoType;
#endif /* Rte_TypeDef_Dlt_ContextIdInfoType */
#ifndef Rte_TypeDef_Dlt_ApplicationIdInfoType
#define Rte_TypeDef_Dlt_ApplicationIdInfoType
struct Rte_struct_Dlt_ApplicationIdInfoType {
    Dlt_ApplicationIDType appId; /* unsigned char with size [4] */
    uint16 contextIdCount; /* unsigned short */
    uint16 appDescLen; /* unsigned short */
    P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) appDesc;
    struct Rte_struct_Dlt_ContextIdInfoType contextInfoList[1];
};
typedef struct Rte_struct_Dlt_ApplicationIdInfoType Dlt_ApplicationIdInfoType;
#endif /* Rte_TypeDef_Dlt_ApplicationIdInfoType */
#ifndef Rte_TypeDef_Dlt_ApplicationIdInfoTypePtr
#define Rte_TypeDef_Dlt_ApplicationIdInfoTypePtr
typedef P2VAR(struct Rte_struct_Dlt_ApplicationIdInfoType, TYPEDEF, RTE_APPL_DATA) Dlt_ApplicationIdInfoTypePtr;
#endif /* Rte_TypeDef_Dlt_ApplicationIdInfoTypePtr */
#ifndef Rte_TypeDef_Dlt_AssignmentOperation
#define Rte_TypeDef_Dlt_AssignmentOperation
typedef uint8 Dlt_AssignmentOperation;
#endif /* Rte_TypeDef_Dlt_AssignmentOperation */
#ifndef Rte_TypeDef_Dlt_LogChannelNameType
#define Rte_TypeDef_Dlt_LogChannelNameType
typedef unsigned char Dlt_LogChannelNameType[4];
#endif /* Rte_TypeDef_Dlt_LogChannelNameType */
#ifndef Rte_TypeDef_Dlt_LogChannelNameTypePtr
#define Rte_TypeDef_Dlt_LogChannelNameTypePtr
typedef P2VAR(Dlt_LogChannelNameType, TYPEDEF, RTE_APPL_DATA) Dlt_LogChannelNameTypePtr;
#endif /* Rte_TypeDef_Dlt_LogChannelNameTypePtr */
#ifndef Rte_TypeDef_Dlt_LogInfoShortType
#define Rte_TypeDef_Dlt_LogInfoShortType
struct Rte_struct_Dlt_LogInfoShortType {
    Dlt_MessageLogLevelType logLevel; /* Dlt_MessageLogLevelType */
    unsigned char contextId[4];
    unsigned char appId[4];
};
typedef struct Rte_struct_Dlt_LogInfoShortType Dlt_LogInfoShortType;
#endif /* Rte_TypeDef_Dlt_LogInfoShortType */
#ifndef Rte_TypeDef_Dlt_LogInfoType
#define Rte_TypeDef_Dlt_LogInfoType
struct Rte_struct_Dlt_LogInfoType {
    uint16 appIdCount; /* unsigned short */
    struct Rte_struct_Dlt_ApplicationIdInfoType appIdInfo[1];
};
typedef struct Rte_struct_Dlt_LogInfoType Dlt_LogInfoType;
#endif /* Rte_TypeDef_Dlt_LogInfoType */
#ifndef Rte_TypeDef_Dlt_MessageArgumentCount
#define Rte_TypeDef_Dlt_MessageArgumentCount
typedef uint16 Dlt_MessageArgumentCount;
#endif /* Rte_TypeDef_Dlt_MessageArgumentCount */
#ifndef Rte_TypeDef_Dlt_MessageOptionsType
#define Rte_TypeDef_Dlt_MessageOptionsType
typedef uint8 Dlt_MessageOptionsType;
#endif /* Rte_TypeDef_Dlt_MessageOptionsType */
#ifndef Rte_TypeDef_Dlt_MessageLogInfoType
#define Rte_TypeDef_Dlt_MessageLogInfoType
struct Rte_struct_Dlt_MessageLogInfoType {
    Dlt_MessageArgumentCount argCount; /* Dlt_MessageArgumentCount */
    Dlt_MessageLogLevelType logLevel; /* Dlt_MessageLogLevelType */
    Dlt_MessageOptionsType options; /* Dlt_MessageOptionsType */
    Dlt_ContextIDType contextId; /* unsigned char with size [4] */
    Dlt_ApplicationIDType appId; /* unsigned char with size [4] */
};
typedef struct Rte_struct_Dlt_MessageLogInfoType Dlt_MessageLogInfoType;
#endif /* Rte_TypeDef_Dlt_MessageLogInfoType */
#ifndef Rte_TypeDef_Dlt_MessageLogLevelTypePtr
#define Rte_TypeDef_Dlt_MessageLogLevelTypePtr
typedef P2VAR(Dlt_MessageLogLevelType, TYPEDEF, RTE_APPL_DATA) Dlt_MessageLogLevelTypePtr;
#endif /* Rte_TypeDef_Dlt_MessageLogLevelTypePtr */
#ifndef Rte_TypeDef_Dlt_MessageLogPublishType
#define Rte_TypeDef_Dlt_MessageLogPublishType
struct Rte_struct_Dlt_MessageLogPublishType {
    struct Rte_struct_Dlt_MessageLogInfoType logInfo;
    unsigned char logData[128];
    uint16 logDataLength; /* unsigned short */
};
typedef struct Rte_struct_Dlt_MessageLogPublishType Dlt_MessageLogPublishType;
#endif /* Rte_TypeDef_Dlt_MessageLogPublishType */
#ifndef Rte_TypeDef_Dlt_MessageTraceType
#define Rte_TypeDef_Dlt_MessageTraceType
typedef uint8 Dlt_MessageTraceType;
#endif /* Rte_TypeDef_Dlt_MessageTraceType */
#ifndef Rte_TypeDef_Dlt_MessageTraceInfoType
#define Rte_TypeDef_Dlt_MessageTraceInfoType
struct Rte_struct_Dlt_MessageTraceInfoType {
    Dlt_MessageTraceType traceInfo; /* Dlt_MessageTraceType */
    Dlt_MessageOptionsType options; /* Dlt_MessageOptionsType */
    Dlt_ContextIDType contextId; /* unsigned char with size [4] */
    Dlt_ApplicationIDType appId; /* unsigned char with size [4] */
};
typedef struct Rte_struct_Dlt_MessageTraceInfoType Dlt_MessageTraceInfoType;
#endif /* Rte_TypeDef_Dlt_MessageTraceInfoType */
#ifndef Rte_TypeDef_Dlt_SessionIDType
#define Rte_TypeDef_Dlt_SessionIDType
typedef uint32 Dlt_SessionIDType;
#endif /* Rte_TypeDef_Dlt_SessionIDType */
#ifndef Rte_TypeDef_Dlt_SwcMsgInfoType
#define Rte_TypeDef_Dlt_SwcMsgInfoType
struct Rte_struct_Dlt_SwcMsgInfoType {
    uint8 logLevel; /* unsigned char */
    uint16 logId; /* unsigned short */
    uint16 logDataLength; /* unsigned short */
    uint32 sessionId; /* unsigned int */
    uint32 timeStamp; /* unsigned int */
    P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) logDataBuff;
};
typedef struct Rte_struct_Dlt_SwcMsgInfoType Dlt_SwcMsgInfoType;
#endif /* Rte_TypeDef_Dlt_SwcMsgInfoType */
#ifndef Rte_TypeDef_Dlt_SwcMsgInfoTypePtr
#define Rte_TypeDef_Dlt_SwcMsgInfoTypePtr
typedef P2VAR(struct Rte_struct_Dlt_SwcMsgInfoType, TYPEDEF, RTE_APPL_DATA) Dlt_SwcMsgInfoTypePtr;
#endif /* Rte_TypeDef_Dlt_SwcMsgInfoTypePtr */
#ifndef Rte_TypeDef_Dlt_Uint8Ptr
#define Rte_TypeDef_Dlt_Uint8Ptr
typedef P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) Dlt_Uint8Ptr;
#endif /* Rte_TypeDef_Dlt_Uint8Ptr */
#ifndef Rte_TypeDef_Dlt_logInfoTypePtr
#define Rte_TypeDef_Dlt_logInfoTypePtr
typedef P2VAR(struct Rte_struct_Dlt_LogInfoType, TYPEDEF, RTE_APPL_DATA) Dlt_logInfoTypePtr;
#endif /* Rte_TypeDef_Dlt_logInfoTypePtr */
#ifndef Rte_TypeDef_DoIP_PowerStateType
#define Rte_TypeDef_DoIP_PowerStateType
typedef uint8 DoIP_PowerStateType;
#endif /* Rte_TypeDef_DoIP_PowerStateType */
#ifndef Rte_TypeDef_DutyGroup
#define Rte_TypeDef_DutyGroup
typedef unsigned char DutyGroup[3];
#endif /* Rte_TypeDef_DutyGroup */
#ifndef Rte_TypeDef_EcuM_BootTargetType
#define Rte_TypeDef_EcuM_BootTargetType
typedef uint8 EcuM_BootTargetType;
#endif /* Rte_TypeDef_EcuM_BootTargetType */
#ifndef Rte_TypeDef_EcuM_ShutdownCauseType
#define Rte_TypeDef_EcuM_ShutdownCauseType
typedef uint8 EcuM_ShutdownCauseType;
#endif /* Rte_TypeDef_EcuM_ShutdownCauseType */
#ifndef Rte_TypeDef_EcuM_ShutdownModeType
#define Rte_TypeDef_EcuM_ShutdownModeType
typedef uint16 EcuM_ShutdownModeType;
#endif /* Rte_TypeDef_EcuM_ShutdownModeType */
#ifndef Rte_TypeDef_EcuM_ShutdownTargetType
#define Rte_TypeDef_EcuM_ShutdownTargetType
typedef uint8 EcuM_ShutdownTargetType;
#endif /* Rte_TypeDef_EcuM_ShutdownTargetType */
#ifndef Rte_TypeDef_EcuM_TimeType
#define Rte_TypeDef_EcuM_TimeType
typedef uint32 EcuM_TimeType;
#endif /* Rte_TypeDef_EcuM_TimeType */
#ifndef Rte_TypeDef_EcuM_UserType
#define Rte_TypeDef_EcuM_UserType
typedef uint8 EcuM_UserType;
#endif /* Rte_TypeDef_EcuM_UserType */
#ifndef Rte_TypeDef_EdrCanCoreParaType
#define Rte_TypeDef_EdrCanCoreParaType
struct Rte_struct_EdrCanCoreParaType {
    uint32 canid; /* unsigned int */
    uint8 channel; /* unsigned char */
};
typedef struct Rte_struct_EdrCanCoreParaType EdrCanCoreParaType;
#endif /* Rte_TypeDef_EdrCanCoreParaType */
#ifndef Rte_TypeDef_EdrCanCoreParaListType
#define Rte_TypeDef_EdrCanCoreParaListType
struct Rte_struct_EdrCanCoreParaListType {
    uint8 num; /* unsigned char */
    struct Rte_struct_EdrCanCoreParaType edrCanCorePara[10];
};
typedef struct Rte_struct_EdrCanCoreParaListType EdrCanCoreParaListType;
#endif /* Rte_TypeDef_EdrCanCoreParaListType */
#ifndef Rte_TypeDef_EdrSomeIpType
#define Rte_TypeDef_EdrSomeIpType
struct Rte_struct_EdrSomeIpType {
    uint8 version; /* unsigned char */
    uint8 seq; /* unsigned char */
    uint8 vId; /* unsigned char */
    uint8 rsv; /* unsigned char */
    struct Rte_struct_CanMsgListType canMsgList;
    uint16 crc; /* unsigned short */
};
typedef struct Rte_struct_EdrSomeIpType EdrSomeIpType;
#endif /* Rte_TypeDef_EdrSomeIpType */
#ifndef Rte_TypeDef_EthDefaultRouter
#define Rte_TypeDef_EthDefaultRouter
typedef unsigned char EthDefaultRouter[4];
#endif /* Rte_TypeDef_EthDefaultRouter */
#ifndef Rte_TypeDef_EthIfStatInfo
#define Rte_TypeDef_EthIfStatInfo
struct Rte_struct_EthIfStatInfo {
    unsigned int TxProvideBufferFailed;
    unsigned long long TxTotalBytes;
    unsigned int TxTotalPkts;
    unsigned long long TxFailedBytes;
    unsigned int TxFailedPkts;
    unsigned long long RxBytes;
    unsigned int RxPkts;
    unsigned int RxSynPkts;
    unsigned int RxSynAckPkts;
    unsigned int TxSynPkts;
    unsigned int TxSynAckPkts;
};
typedef struct Rte_struct_EthIfStatInfo EthIfStatInfo;
#endif /* Rte_TypeDef_EthIfStatInfo */
#ifndef Rte_TypeDef_EthIpAddr
#define Rte_TypeDef_EthIpAddr
typedef unsigned char EthIpAddr[4];
#endif /* Rte_TypeDef_EthIpAddr */
#ifndef Rte_TypeDef_EthMacAddr
#define Rte_TypeDef_EthMacAddr
typedef unsigned char EthMacAddr[6];
#endif /* Rte_TypeDef_EthMacAddr */
#ifndef Rte_TypeDef_EventInfo
#define Rte_TypeDef_EventInfo
struct Rte_struct_EventInfo {
    uint16 eventId; /* unsigned short */
    uint16 faultObj; /* unsigned short */
    uint8 phyCpuNo; /* unsigned char */
    uint8 cpuCoreNo; /* unsigned char */
    uint32 componentId; /* unsigned int */
    uint8 type; /* unsigned char */
    uint8 paraNum; /* unsigned char */
    Array4 para; /* unsigned long long with size [4] */
    uint64 currTick; /* unsigned long long */
    uint64 criticalPara; /* unsigned long long */
    uint64 faultParam; /* unsigned long long */
    uint16 faultLoc; /* unsigned short */
};
typedef struct Rte_struct_EventInfo EventInfo;
#endif /* Rte_TypeDef_EventInfo */
#ifndef Rte_TypeDef_FwdCfg
#define Rte_TypeDef_FwdCfg
struct Rte_struct_FwdCfg {
    uint8 enable; /* unsigned char */
    uint8 errCnt; /* unsigned char */
    uint8 cycles; /* unsigned char */
};
typedef struct Rte_struct_FwdCfg FwdCfg;
#endif /* Rte_TypeDef_FwdCfg */
#ifndef Rte_TypeDef_WwdCfg
#define Rte_TypeDef_WwdCfg
struct Rte_struct_WwdCfg {
    uint8 enable; /* unsigned char */
    uint8 errCnt; /* unsigned char */
    uint8 owCycles; /* unsigned char */
    uint8 cwCycles; /* unsigned char */
};
typedef struct Rte_struct_WwdCfg WwdCfg;
#endif /* Rte_TypeDef_WwdCfg */
#ifndef Rte_TypeDef_ExternWdgCfg
#define Rte_TypeDef_ExternWdgCfg
struct Rte_struct_ExternWdgCfg {
    uint8 ticksPerCycle; /* unsigned char */
    struct Rte_struct_FwdCfg fwdCfg;
    struct Rte_struct_WwdCfg wwdCfg;
};
typedef struct Rte_struct_ExternWdgCfg ExternWdgCfg;
#endif /* Rte_TypeDef_ExternWdgCfg */
#ifndef Rte_TypeDef_FaultHeartType
#define Rte_TypeDef_FaultHeartType
struct Rte_struct_FaultHeartType {
    uint32 sec; /* unsigned int */
    uint32 nsec; /* unsigned int */
    uint16 seq; /* unsigned short */
    uint8 sysFaultState; /* unsigned char */
    uint8 resv; /* unsigned char */
};
typedef struct Rte_struct_FaultHeartType FaultHeartType;
#endif /* Rte_TypeDef_FaultHeartType */
#ifndef Rte_TypeDef_FmEventInfo
#define Rte_TypeDef_FmEventInfo
struct Rte_struct_FmEventInfo {
    uint16 faultId; /* unsigned short */
    uint16 faultObj; /* unsigned short */
    uint8 phyCpuNo; /* unsigned char */
    uint8 cpuCoreNo; /* unsigned char */
    uint32 componentId; /* unsigned int */
    uint8 type; /* unsigned char */
    uint32 flag; /* unsigned int */
    uint8 paraNum; /* unsigned char */
    Array4 para; /* unsigned long long with size [4] */
    uint8 clss; /* unsigned char */
    struct Rte_struct_Vector_uint8 time;
};
typedef struct Rte_struct_FmEventInfo FmEventInfo;
#endif /* Rte_TypeDef_FmEventInfo */
#ifndef Rte_TypeDef_FmMsgHeader
#define Rte_TypeDef_FmMsgHeader
struct Rte_struct_FmMsgHeader {
    uint8 type; /* unsigned char */
    uint8 version; /* unsigned char */
    uint32 checksum; /* unsigned int */
    uint32 seqId; /* unsigned int */
    uint64 sendTime; /* unsigned long long */
};
typedef struct Rte_struct_FmMsgHeader FmMsgHeader;
#endif /* Rte_TypeDef_FmMsgHeader */
#ifndef Rte_TypeDef_FmReturnType
#define Rte_TypeDef_FmReturnType
struct Rte_struct_FmReturnType {
    uint8 type; /* unsigned char */
    uint32 seqId; /* unsigned int */
    uint32 retCode; /* unsigned int */
};
typedef struct Rte_struct_FmReturnType FmReturnType;
#endif /* Rte_TypeDef_FmReturnType */
#ifndef Rte_TypeDef_FusionObjectType
#define Rte_TypeDef_FusionObjectType
struct Rte_struct_FusionObjectType {
    uint32 id; /* unsigned int */
    float64 boxCenterX; /* double */
    float64 boxCenterY; /* double */
    float64 boxCenterOdomX; /* double */
    float64 boxCenterOdomY; /* double */
    float64 velocityX; /* double */
    float64 velocityY; /* double */
    float64 velocityOdomX; /* double */
    float64 velocityOdomY; /* double */
    float32 length; /* float */
    float32 width; /* float */
    uint8 moveProperty; /* unsigned char */
    uint32 measAgeCount; /* unsigned int */
};
typedef struct Rte_struct_FusionObjectType FusionObjectType;
#endif /* Rte_TypeDef_FusionObjectType */
#ifndef Rte_TypeDef_FusionObjectVector
#define Rte_TypeDef_FusionObjectVector
struct Rte_struct_FusionObjectVector {
    uint32 fusionObjectSize; /* unsigned int */
    struct Rte_struct_FusionObjectType objectListArray[64];
};
typedef struct Rte_struct_FusionObjectVector FusionObjectVector;
#endif /* Rte_TypeDef_FusionObjectVector */
#ifndef Rte_TypeDef_GateWayDistributionType
#define Rte_TypeDef_GateWayDistributionType
struct Rte_struct_GateWayDistributionType {
    uint32 size; /* unsigned int */
    unsigned char buf[256];
};
typedef struct Rte_struct_GateWayDistributionType GateWayDistributionType;
#endif /* Rte_TypeDef_GateWayDistributionType */
#ifndef Rte_TypeDef_Gear
#define Rte_TypeDef_Gear
struct Rte_struct_Gear {
    uint8 value; /* unsigned char */
};
typedef struct Rte_struct_Gear Gear;
#endif /* Rte_TypeDef_Gear */
#ifndef Rte_TypeDef_GnssOsClockDivType
#define Rte_TypeDef_GnssOsClockDivType
struct Rte_struct_GnssOsClockDivType {
    boolean isPpsValid; /* unsigned char */
    uint32 gprmcSeconds; /* unsigned int */
    uint64 ppsOsClock; /* unsigned long long */
    uint32 adipVersion; /* unsigned int */
    sint64 gnssOsClockDiv; /* long long */
};
typedef struct Rte_struct_GnssOsClockDivType GnssOsClockDivType;
#endif /* Rte_TypeDef_GnssOsClockDivType */
#ifndef Rte_TypeDef_GpiInfo
#define Rte_TypeDef_GpiInfo
struct Rte_struct_GpiInfo {
    unsigned char gpiLevel[8];
};
typedef struct Rte_struct_GpiInfo GpiInfo;
#endif /* Rte_TypeDef_GpiInfo */
#ifndef Rte_TypeDef_GpoInfo
#define Rte_TypeDef_GpoInfo
struct Rte_struct_GpoInfo {
    uint8 portId; /* unsigned char */
    uint8 portLevel; /* unsigned char */
};
typedef struct Rte_struct_GpoInfo GpoInfo;
#endif /* Rte_TypeDef_GpoInfo */
#ifndef Rte_TypeDef_HmiMntStruct
#define Rte_TypeDef_HmiMntStruct
struct Rte_struct_HmiMntStruct {
    uint32 seqNum; /* unsigned int */
    uint8 alarmNum; /* unsigned char */
    struct Rte_struct_AlarmInfo alarmInfo[15];
};
typedef struct Rte_struct_HmiMntStruct HmiMntStruct;
#endif /* Rte_TypeDef_HmiMntStruct */
#ifndef Rte_TypeDef_MdcAdsFaultInfoType
#define Rte_TypeDef_MdcAdsFaultInfoType
typedef unsigned char MdcAdsFaultInfoType[8];
#endif /* Rte_TypeDef_MdcAdsFaultInfoType */
#ifndef Rte_TypeDef_HmiServerCanOutputType
#define Rte_TypeDef_HmiServerCanOutputType
struct Rte_struct_HmiServerCanOutputType {
    struct Rte_struct_Header header;
    uint8 MdcAdsFault; /* unsigned char */
    uint8 MdcAebFault; /* unsigned char */
    uint8 MdcNicaFunctionStatus; /* unsigned char */
    uint8 MdcNicaReminderAcoustic; /* unsigned char */
    uint8 MdcNicaReminderLEDVisual; /* unsigned char */
    uint8 HMIFault; /* unsigned char */
    MdcAdsFaultInfoType MdcAdsFaultInfo; /* unsigned char with size [8] */
};
typedef struct Rte_struct_HmiServerCanOutputType HmiServerCanOutputType;
#endif /* Rte_TypeDef_HmiServerCanOutputType */
#ifndef Rte_TypeDef_HmiServerCanOutputType1
#define Rte_TypeDef_HmiServerCanOutputType1
struct Rte_struct_HmiServerCanOutputType1 {
    struct Rte_struct_Header header;
    uint8 MdcAdsFault; /* unsigned char */
    uint8 MdcAebFault; /* unsigned char */
    uint8 MdcNicaFunctionStatus; /* unsigned char */
    uint8 MdcNicaReminderAcoustic; /* unsigned char */
    uint8 MdcNicaReminderLEDVisual; /* unsigned char */
    uint8 HMIFault; /* unsigned char */
    MdcAdsFaultInfoType MdcAdsFaultInfo; /* unsigned char with size [8] */
    uint8 torLevel; /* unsigned char */
    uint16 torID; /* unsigned short */
    uint16 torIDCorrespErrorID; /* unsigned short */
    uint16 torExtended1; /* unsigned short */
    uint8 radarWarnSection0Distance; /* unsigned char */
    uint8 radarWarnSection1Distance; /* unsigned char */
    uint8 radarWarnSection2Distance; /* unsigned char */
    uint8 radarWarnSection3Distance; /* unsigned char */
    uint8 radarWarnSection4Distance; /* unsigned char */
    uint8 radarWarnSection5Distance; /* unsigned char */
    uint8 radarWarnSection6Distance; /* unsigned char */
    uint8 radarWarnSection7Distance; /* unsigned char */
    uint8 radarWarnSection8Distance; /* unsigned char */
    uint8 radarWarnSection9Distance; /* unsigned char */
    uint8 radarWarnSection10Distance; /* unsigned char */
    uint8 radarWarnSection11Distance; /* unsigned char */
    uint8 radarWarnSection12Distance; /* unsigned char */
    uint8 radarWarnSection13Distance; /* unsigned char */
    uint8 radarWarnSection14Distance; /* unsigned char */
    uint8 radarWarnSection15Distance; /* unsigned char */
    uint8 radarWarnSection0DisLevel; /* unsigned char */
    uint8 radarWarnSection1DisLevel; /* unsigned char */
    uint8 radarWarnSection2DisLevel; /* unsigned char */
    uint8 radarWarnSection3DisLevel; /* unsigned char */
    uint8 radarWarnSection4DisLevel; /* unsigned char */
    uint8 radarWarnSection5DisLevel; /* unsigned char */
    uint8 radarWarnSection6DisLevel; /* unsigned char */
    uint8 radarWarnSection7DisLevel; /* unsigned char */
    uint8 radarWarnSection8DisLevel; /* unsigned char */
    uint8 radarWarnSection9DisLevel; /* unsigned char */
    uint8 radarWarnSection10DisLevel; /* unsigned char */
    uint8 radarWarnSection11DisLevel; /* unsigned char */
    uint8 radarWarnSection12DisLevel; /* unsigned char */
    uint8 radarWarnSection13DisLevel; /* unsigned char */
    uint8 radarWarnSection14DisLevel; /* unsigned char */
    uint8 radarWarnSection15DisLevel; /* unsigned char */
    uint8 radarWarnSection0AcoLevel; /* unsigned char */
    uint8 radarWarnSection1AcoLevel; /* unsigned char */
    uint8 radarWarnSection2AcoLevel; /* unsigned char */
    uint8 radarWarnSection3AcoLevel; /* unsigned char */
    uint8 radarWarnSection4AcoLevel; /* unsigned char */
    uint8 radarWarnSection5AcoLevel; /* unsigned char */
    uint8 radarWarnSection6AcoLevel; /* unsigned char */
    uint8 radarWarnSection7AcoLevel; /* unsigned char */
    uint8 radarWarnSection8AcoLevel; /* unsigned char */
    uint8 radarWarnSection9AcoLevel; /* unsigned char */
    uint8 radarWarnSection10AcoLevel; /* unsigned char */
    uint8 radarWarnSection11AcoLevel; /* unsigned char */
    uint8 radarWarnSection12AcoLevel; /* unsigned char */
    uint8 radarWarnSection13AcoLevel; /* unsigned char */
    uint8 radarWarnSection14AcoLevel; /* unsigned char */
    uint8 radarWarnSection15AcoLevel; /* unsigned char */
    uint8 accFunctionStatus; /* unsigned char */
    uint8 nicaFunctionStatus; /* unsigned char */
    uint8 accFault; /* unsigned char */
    uint8 icaFault; /* unsigned char */
    uint8 ncaFault; /* unsigned char */
    uint8 avpFault; /* unsigned char */
    uint8 apaRpaFault; /* unsigned char */
    uint8 rctaFault; /* unsigned char */
    uint8 functionNotActive; /* unsigned char */
    uint8 avpFunctionStatus; /* unsigned char */
    uint16 speedSetByDriver; /* unsigned short */
    uint8 speedLimitValue; /* unsigned char */
    uint8 speedAutoFollow; /* unsigned char */
    uint8 oneTouchSpeedAdjustment; /* unsigned char */
    uint8 timeGapAdjustment; /* unsigned char */
    uint8 calibProcess; /* unsigned char */
    uint8 calibState; /* unsigned char */
    uint8 calibType; /* unsigned char */
    uint8 tl1State; /* unsigned char */
    uint8 tl1Countdown; /* unsigned char */
    uint8 tl1Color; /* unsigned char */
    uint8 tl1Blink; /* unsigned char */
    uint8 tl2State; /* unsigned char */
    uint8 tl2Countdown; /* unsigned char */
    uint8 tl2Color; /* unsigned char */
    uint8 tl2Blink; /* unsigned char */
    uint8 hodReminder; /* unsigned char */
    uint8 dmsReminder; /* unsigned char */
    uint8 fcwWarning; /* unsigned char */
    uint8 fcwFault; /* unsigned char */
    uint8 aebWarning; /* unsigned char */
    uint8 aebFault; /* unsigned char */
    uint8 aebObjType; /* unsigned char */
    uint8 raebWarning; /* unsigned char */
    uint8 raebFault; /* unsigned char */
    uint8 rcwWarning; /* unsigned char */
    uint8 rcwFault; /* unsigned char */
    uint8 fctaLeftWarning; /* unsigned char */
    uint8 fctaRightWarning; /* unsigned char */
    uint8 fctbLeftWarning; /* unsigned char */
    uint8 fctbRightWarning; /* unsigned char */
    uint8 rctaLeftWarning; /* unsigned char */
    uint8 rctaRightWarning; /* unsigned char */
    uint8 rctbLeftWarning; /* unsigned char */
    uint8 rctbRightWarning; /* unsigned char */
    uint8 ldwWarning; /* unsigned char */
    uint8 ldwFault; /* unsigned char */
    uint8 lkaWarning; /* unsigned char */
    uint8 lkaFault; /* unsigned char */
    uint8 leftMirrWarningCmd; /* unsigned char */
    uint8 rightMirrWarningCmd; /* unsigned char */
    uint8 bsdFault; /* unsigned char */
    uint8 leFrntDoorWarningCmd; /* unsigned char */
    uint8 leReDoorWarningCmd; /* unsigned char */
    uint8 riFrntDoorWarningCmd; /* unsigned char */
    uint8 riReDoorWarningCmd; /* unsigned char */
    uint8 dowFault; /* unsigned char */
    uint8 speedLimitWarning; /* unsigned char */
    uint16 setAbsltSpdLim; /* unsigned short */
    uint8 tlaWarning; /* unsigned char */
    uint8 tlaFault; /* unsigned char */
    uint8 tsrFault; /* unsigned char */
    uint8 elkaWarning; /* unsigned char */
    uint8 elkaFault; /* unsigned char */
    uint8 leftLineType; /* unsigned char */
    uint8 rightLineType; /* unsigned char */
    uint8 laneChangeConfirm; /* unsigned char */
    uint8 lateralAction; /* unsigned char */
};
typedef struct Rte_struct_HmiServerCanOutputType1 HmiServerCanOutputType1;
#endif /* Rte_TypeDef_HmiServerCanOutputType1 */
#ifndef Rte_TypeDef_HostCtrlCap
#define Rte_TypeDef_HostCtrlCap
struct Rte_struct_HostCtrlCap {
    struct Rte_struct_RosMsgHeaderType header;
    uint8 host_cap; /* unsigned char */
};
typedef struct Rte_struct_HostCtrlCap HostCtrlCap;
#endif /* Rte_TypeDef_HostCtrlCap */
#ifndef Rte_TypeDef_IDT_EdrCanInfo
#define Rte_TypeDef_IDT_EdrCanInfo
struct Rte_struct_IDT_EdrCanInfo {
    specialIDT_DynamicLengthField_uint32 sizeIndicator; /* unsigned int */
    unsigned char IDT_EdrCanInfo[1360];
};
typedef struct Rte_struct_IDT_EdrCanInfo IDT_EdrCanInfo;
#endif /* Rte_TypeDef_IDT_EdrCanInfo */
#ifndef Rte_TypeDef_IDT_EdrCfgInfo
#define Rte_TypeDef_IDT_EdrCfgInfo
struct Rte_struct_IDT_EdrCfgInfo {
    specialIDT_DynamicLengthField_uint32 sizeIndicator; /* unsigned int */
    unsigned char IDT_EdrCfgInfo[64];
};
typedef struct Rte_struct_IDT_EdrCfgInfo IDT_EdrCfgInfo;
#endif /* Rte_TypeDef_IDT_EdrCfgInfo */
#ifndef Rte_TypeDef_IdSingleSignal
#define Rte_TypeDef_IdSingleSignal
struct Rte_struct_IdSingleSignal {
    uint32 id; /* unsigned int */
    uint8 valid; /* unsigned char */
};
typedef struct Rte_struct_IdSingleSignal IdSingleSignal;
#endif /* Rte_TypeDef_IdSingleSignal */
#ifndef Rte_TypeDef_IdGroup
#define Rte_TypeDef_IdGroup
typedef struct Rte_struct_IdSingleSignal IdGroup[6];
#endif /* Rte_TypeDef_IdGroup */
#ifndef Rte_TypeDef_Idt_ADS_ThmPostRun
#define Rte_TypeDef_Idt_ADS_ThmPostRun
typedef uint8 Idt_ADS_ThmPostRun;
#endif /* Rte_TypeDef_Idt_ADS_ThmPostRun */
#ifndef Rte_TypeDef_Idt_APA_FinishReason
#define Rte_TypeDef_Idt_APA_FinishReason
typedef uint8 Idt_APA_FinishReason;
#endif /* Rte_TypeDef_Idt_APA_FinishReason */
#ifndef Rte_TypeDef_Idt_APA_ManualSlotType
#define Rte_TypeDef_Idt_APA_ManualSlotType
typedef uint8 Idt_APA_ManualSlotType;
#endif /* Rte_TypeDef_Idt_APA_ManualSlotType */
#ifndef Rte_TypeDef_Idt_APA_ParkingMode
#define Rte_TypeDef_Idt_APA_ParkingMode
typedef uint8 Idt_APA_ParkingMode;
#endif /* Rte_TypeDef_Idt_APA_ParkingMode */
#ifndef Rte_TypeDef_Idt_APA_SlotType
#define Rte_TypeDef_Idt_APA_SlotType
typedef uint8 Idt_APA_SlotType;
#endif /* Rte_TypeDef_Idt_APA_SlotType */
#ifndef Rte_TypeDef_Idt_APA_TurnLampReq
#define Rte_TypeDef_Idt_APA_TurnLampReq
typedef uint8 Idt_APA_TurnLampReq;
#endif /* Rte_TypeDef_Idt_APA_TurnLampReq */
#ifndef Rte_TypeDef_Idt_APA_funType
#define Rte_TypeDef_Idt_APA_funType
typedef uint8 Idt_APA_funType;
#endif /* Rte_TypeDef_Idt_APA_funType */
#ifndef Rte_TypeDef_Idt_APA_parkInorOut
#define Rte_TypeDef_Idt_APA_parkInorOut
typedef uint8 Idt_APA_parkInorOut;
#endif /* Rte_TypeDef_Idt_APA_parkInorOut */
#ifndef Rte_TypeDef_Idt_APA_rpaAbortReason
#define Rte_TypeDef_Idt_APA_rpaAbortReason
typedef uint8 Idt_APA_rpaAbortReason;
#endif /* Rte_TypeDef_Idt_APA_rpaAbortReason */
#ifndef Rte_TypeDef_Idt_APA_rpaCoordinate_Angle
#define Rte_TypeDef_Idt_APA_rpaCoordinate_Angle
typedef uint16 Idt_APA_rpaCoordinate_Angle;
#endif /* Rte_TypeDef_Idt_APA_rpaCoordinate_Angle */
#ifndef Rte_TypeDef_Idt_APA_rpaCoordinate_X
#define Rte_TypeDef_Idt_APA_rpaCoordinate_X
typedef uint16 Idt_APA_rpaCoordinate_X;
#endif /* Rte_TypeDef_Idt_APA_rpaCoordinate_X */
#ifndef Rte_TypeDef_Idt_APA_rpaCoordinate_Y
#define Rte_TypeDef_Idt_APA_rpaCoordinate_Y
typedef uint16 Idt_APA_rpaCoordinate_Y;
#endif /* Rte_TypeDef_Idt_APA_rpaCoordinate_Y */
#ifndef Rte_TypeDef_Idt_APA_rpaSuspendReason
#define Rte_TypeDef_Idt_APA_rpaSuspendReason
typedef uint8 Idt_APA_rpaSuspendReason;
#endif /* Rte_TypeDef_Idt_APA_rpaSuspendReason */
#ifndef Rte_TypeDef_Idt_APA_textinfo
#define Rte_TypeDef_Idt_APA_textinfo
typedef uint8 Idt_APA_textinfo;
#endif /* Rte_TypeDef_Idt_APA_textinfo */
#ifndef Rte_TypeDef_Idt_APA_voice_reminder
#define Rte_TypeDef_Idt_APA_voice_reminder
typedef uint8 Idt_APA_voice_reminder;
#endif /* Rte_TypeDef_Idt_APA_voice_reminder */
#ifndef Rte_TypeDef_ImuMsgType
#define Rte_TypeDef_ImuMsgType
struct Rte_struct_ImuMsgType {
    struct Rte_struct_TimeStampType stamp;
    uint32 seq; /* unsigned int */
    float32 accX; /* float */
    float32 accY; /* float */
    float32 accZ; /* float */
    float32 wX; /* float */
    float32 wY; /* float */
    float32 wZ; /* float */
};
typedef struct Rte_struct_ImuMsgType ImuMsgType;
#endif /* Rte_TypeDef_ImuMsgType */
#ifndef Rte_TypeDef_InputVoltInfo
#define Rte_TypeDef_InputVoltInfo
struct Rte_struct_InputVoltInfo {
    uint32 InputVolt0; /* unsigned int */
    uint32 InputVolt1; /* unsigned int */
    uint32 InputVoltResv; /* unsigned int */
};
typedef struct Rte_struct_InputVoltInfo InputVoltInfo;
#endif /* Rte_TypeDef_InputVoltInfo */
#ifndef Rte_TypeDef_InterCoreInfo
#define Rte_TypeDef_InterCoreInfo
struct Rte_struct_InterCoreInfo {
    uint32_v coreId; /* unsigned int */
    uint64 currTick; /* unsigned long long */
    Array128 logBuff; /* unsigned char with size [128] */
    uint16 len; /* unsigned short */
    struct Rte_struct_Dlt_MessageLogInfoType dltInfo;
};
typedef struct Rte_struct_InterCoreInfo InterCoreInfo;
#endif /* Rte_TypeDef_InterCoreInfo */
#ifndef Rte_TypeDef_IntfCanChnlSwitchCmd
#define Rte_TypeDef_IntfCanChnlSwitchCmd
struct Rte_struct_IntfCanChnlSwitchCmd {
    uint8 ctrlMethAppTx; /* unsigned char */
    uint8 ctrlMethAppRx; /* unsigned char */
    uint8 chnlId; /* unsigned char */
};
typedef struct Rte_struct_IntfCanChnlSwitchCmd IntfCanChnlSwitchCmd;
#endif /* Rte_TypeDef_IntfCanChnlSwitchCmd */
#ifndef Rte_TypeDef_NrmComCtrlChnlConfig
#define Rte_TypeDef_NrmComCtrlChnlConfig
struct Rte_struct_NrmComCtrlChnlConfig {
    uint8 ctrlMethAppTx; /* unsigned char */
    uint8 ctrlMethAppRx; /* unsigned char */
    uint8 ctrlMethNmTx; /* unsigned char */
    uint8 ctrlMethNmRx; /* unsigned char */
    uint8 chnlId; /* unsigned char */
};
typedef struct Rte_struct_NrmComCtrlChnlConfig NrmComCtrlChnlConfig;
#endif /* Rte_TypeDef_NrmComCtrlChnlConfig */
#ifndef Rte_TypeDef_IntfCanChnlSwitchCmdArr
#define Rte_TypeDef_IntfCanChnlSwitchCmdArr
typedef struct Rte_struct_NrmComCtrlChnlConfig IntfCanChnlSwitchCmdArr[12];
#endif /* Rte_TypeDef_IntfCanChnlSwitchCmdArr */
#ifndef Rte_TypeDef_IntfCommWithAppType
#define Rte_TypeDef_IntfCommWithAppType
struct Rte_struct_IntfCommWithAppType {
    uint16 size; /* unsigned short */
    unsigned char payload[2048];
};
typedef struct Rte_struct_IntfCommWithAppType IntfCommWithAppType;
#endif /* Rte_TypeDef_IntfCommWithAppType */
#ifndef Rte_TypeDef_KeyLearnData
#define Rte_TypeDef_KeyLearnData
struct Rte_struct_KeyLearnData {
    uint32 seq; /* unsigned int */
    uint32 canid; /* unsigned int */
    uint32 length; /* unsigned int */
    unsigned char buf[8];
};
typedef struct Rte_struct_KeyLearnData KeyLearnData;
#endif /* Rte_TypeDef_KeyLearnData */
#ifndef Rte_TypeDef_KeyUpdInfoType
#define Rte_TypeDef_KeyUpdInfoType
typedef unsigned char KeyUpdInfoType[68];
#endif /* Rte_TypeDef_KeyUpdInfoType */
#ifndef Rte_TypeDef_LPM_RequestResultType
#define Rte_TypeDef_LPM_RequestResultType
struct Rte_struct_LPM_RequestResultType {
    LPM_ReqType reqType; /* unsigned char */
    LPM_ReqResultType reqResult; /* unsigned char */
};
typedef struct Rte_struct_LPM_RequestResultType LPM_RequestResultType;
#endif /* Rte_TypeDef_LPM_RequestResultType */
#ifndef Rte_TypeDef_LidarOpInfo
#define Rte_TypeDef_LidarOpInfo
struct Rte_struct_LidarOpInfo {
    uint8 oper; /* unsigned char */
    uint8 count; /* unsigned char */
};
typedef struct Rte_struct_LidarOpInfo LidarOpInfo;
#endif /* Rte_TypeDef_LidarOpInfo */
#ifndef Rte_TypeDef_LinkFaultStruct
#define Rte_TypeDef_LinkFaultStruct
struct Rte_struct_LinkFaultStruct {
    uint16 Id; /* unsigned short */
    uint8 Ch; /* unsigned char */
    uint8 type; /* unsigned char */
};
typedef struct Rte_struct_LinkFaultStruct LinkFaultStruct;
#endif /* Rte_TypeDef_LinkFaultStruct */
#ifndef Rte_TypeDef_LocalizationFrom1951Type
#define Rte_TypeDef_LocalizationFrom1951Type
struct Rte_struct_LocalizationFrom1951Type {
    uint32 sec; /* unsigned int */
    uint32 nsec; /* unsigned int */
    float32 Point_x; /* float */
    float32 Point_y; /* float */
    float32 Point_z; /* float */
    float32 attitude_w; /* float */
    float32 attitude_x; /* float */
    float32 attitude_y; /* float */
    float32 attitude_z; /* float */
    uint32 faultType; /* unsigned int */
    uint8 workState; /* unsigned char */
    float32 wheelScale; /* float */
    float32 biasAcc_x; /* float */
    float32 biasAcc_y; /* float */
    float32 biasAcc_z; /* float */
    float32 biasGyro_x; /* float */
    float32 biasGyro_y; /* float */
    float32 biasGyro_z; /* float */
    float32 imuInstallAngle_y; /* float */
    float32 imuInstallAngle_p; /* float */
    float32 imuInstallAngle_r; /* float */
    float32 leverArmImuBase_x; /* float */
    float32 leverArmImuBase_y; /* float */
    float32 leverArmImuBase_z; /* float */
};
typedef struct Rte_struct_LocalizationFrom1951Type LocalizationFrom1951Type;
#endif /* Rte_TypeDef_LocalizationFrom1951Type */
#ifndef Rte_TypeDef_LogString_Im
#define Rte_TypeDef_LogString_Im
struct Rte_struct_LogString_Im {
    unsigned int size;
    unsigned char StringArray[128];
};
typedef struct Rte_struct_LogString_Im LogString_Im;
#endif /* Rte_TypeDef_LogString_Im */
#ifndef Rte_TypeDef_Log_ContentType
#define Rte_TypeDef_Log_ContentType
typedef unsigned char Log_ContentType[93];
#endif /* Rte_TypeDef_Log_ContentType */
#ifndef Rte_TypeDef_Log_ContextIDType
#define Rte_TypeDef_Log_ContextIDType
typedef uint8 Log_ContextIDType;
#endif /* Rte_TypeDef_Log_ContextIDType */
#ifndef Rte_TypeDef_LongCtrlCmd
#define Rte_TypeDef_LongCtrlCmd
struct Rte_struct_LongCtrlCmd {
    boolean longAccelerationValid; /* unsigned char */
    boolean aebAccelerationValid; /* unsigned char */
    boolean emergencyStopEnableValid; /* unsigned char */
    boolean gearCmdValid; /* unsigned char */
    boolean brakePedalValid; /* unsigned char */
    boolean throttlePedalValid; /* unsigned char */
    boolean ebaCtrlEnable; /* unsigned char */
    uint8 brakeFxActuationType; /* unsigned char */
    uint8 rpaPreChk; /* unsigned char */
    uint8 adsFunctionMode; /* unsigned char */
    uint8 accCtrlSts; /* unsigned char */
    uint8 parkingSts; /* unsigned char */
    uint8 apaFailureBrakeMode; /* unsigned char */
    uint8 longShutdownReq; /* unsigned char */
    uint8 apaDistSpdSts; /* unsigned char */
    uint8 longRedundantSts; /* unsigned char */
    uint8 drvTarMdReq; /* unsigned char */
    uint8 brkPriorSts; /* unsigned char */
    uint8 suspensionStatus; /* unsigned char */
    uint8 longAccelerationState; /* unsigned char */
    uint8 longControlMode; /* unsigned char */
    uint8 aebAccelerationState; /* unsigned char */
    uint8 lgtTrackMode; /* unsigned char */
    uint8 speedTrackEnable; /* unsigned char */
    uint8 brakeOnlyEnable; /* unsigned char */
    uint8 brakePrefillEnable; /* unsigned char */
    uint8 drivePrefillEnable; /* unsigned char */
    uint8 lgtRegenEnable; /* unsigned char */
    uint8 distanceRemainValid; /* unsigned char */
    uint8 stopEnable; /* unsigned char */
    uint8 driveOffEnable; /* unsigned char */
    uint8 brakeHoldReq; /* unsigned char */
    uint8 emergencyStopEnable; /* unsigned char */
    uint8 epbCmd; /* unsigned char */
    uint8 epbCmdState; /* unsigned char */
    uint8 apaDistSpdEnable; /* unsigned char */
    uint8 immediateStopEnable; /* unsigned char */
    uint8 speedDropLevel; /* unsigned char */
    uint8 trajSremainMode; /* unsigned char */
    uint8 rpaEnable; /* unsigned char */
    uint8 gearCmdState; /* unsigned char */
    uint8 gearCmdClean; /* unsigned char */
    uint8 brakePedalState; /* unsigned char */
    uint8 brakePedalClean; /* unsigned char */
    uint8 throttlePedalState; /* unsigned char */
    uint8 throttlePedalClean; /* unsigned char */
    uint8 prefillEnable; /* unsigned char */
    uint8 jerkBrakeEnable; /* unsigned char */
    uint8 ebaLevel; /* unsigned char */
    struct Rte_struct_Gear gearCmd;
    float32 longAccelerationCmd; /* float */
    float32 jerkMax; /* float */
    float32 jerkMin; /* float */
    float32 comfortBoundaryUp; /* float */
    float32 comfortBoundaryLow; /* float */
    float32 longAccelerationPredictCmd; /* float */
    float32 aebAccelerationCmd; /* float */
    float32 slopePreview; /* float */
    float32 lgtBrakeCoopFactor; /* float */
    float32 lgtTorqueCoopFactor; /* float */
    float32 distanceRemain; /* float */
    float32 speedLimit; /* float */
    float32 sRemainLB; /* float */
    float32 sRemainUB; /* float */
    float32 desSpd; /* float */
    float32 brakePedalCmd; /* float */
    float32 throttlePedalCmd; /* float */
    boolean driveTorqueValid; /* unsigned char */
    boolean brakeTorqueValid; /* unsigned char */
    boolean aebBrakeTorqueValid; /* unsigned char */
    uint8 driveTorqueState; /* unsigned char */
    uint8 rapidRespEnable; /* unsigned char */
    uint8 brakePreferEnable; /* unsigned char */
    uint8 brakeTorqueState; /* unsigned char */
    uint8 brakeTorqueMode; /* unsigned char */
    uint8 aebBrakeTorqueState; /* unsigned char */
    uint8 brakeLightOnReq; /* unsigned char */
    float32 driveTorqueCmd; /* float */
    float32 driveTorqueLimit; /* float */
    float32 brakeTorqueCmd; /* float */
    float32 brakeTorqueLimit; /* float */
    float32 aebBrakeTorqueCmd; /* float */
    float32 aebBrakeTorqueLimit; /* float */
    float reservedStatus[20];
    float desSpdProfile[10];
    float desAccProfile[10];
    float timeProfile[10];
};
typedef struct Rte_struct_LongCtrlCmd LongCtrlCmd;
#endif /* Rte_TypeDef_LongCtrlCmd */
#ifndef Rte_TypeDef_MdcVersionInfo
#define Rte_TypeDef_MdcVersionInfo
struct Rte_struct_MdcVersionInfo {
    uint32 dataSize; /* unsigned int */
    unsigned char versionData[32];
};
typedef struct Rte_struct_MdcVersionInfo MdcVersionInfo;
#endif /* Rte_TypeDef_MdcVersionInfo */
#ifndef Rte_TypeDef_Mirror_CanIdType
#define Rte_TypeDef_Mirror_CanIdType
typedef uint32 Mirror_CanIdType;
#endif /* Rte_TypeDef_Mirror_CanIdType */
#ifndef Rte_TypeDef_Mirror_FlexRayChannelType
#define Rte_TypeDef_Mirror_FlexRayChannelType
typedef uint8 Mirror_FlexRayChannelType;
#endif /* Rte_TypeDef_Mirror_FlexRayChannelType */
#ifndef Rte_TypeDef_Mirror_NetworkType
#define Rte_TypeDef_Mirror_NetworkType
typedef uint8 Mirror_NetworkType;
#endif /* Rte_TypeDef_Mirror_NetworkType */
#ifndef Rte_TypeDef_MntCanTracePktType
#define Rte_TypeDef_MntCanTracePktType
struct Rte_struct_MntCanTracePktType {
    unsigned char dataBuf[64];
    uint32 dataCtrl; /* unsigned int */
};
typedef struct Rte_struct_MntCanTracePktType MntCanTracePktType;
#endif /* Rte_TypeDef_MntCanTracePktType */
#ifndef Rte_TypeDef_MntCanTraceTriggerType
#define Rte_TypeDef_MntCanTraceTriggerType
struct Rte_struct_MntCanTraceTriggerType {
    uint8 moduleId; /* unsigned char */
    unsigned char dataBuf[62];
    uint8 dataLen; /* unsigned char */
};
typedef struct Rte_struct_MntCanTraceTriggerType MntCanTraceTriggerType;
#endif /* Rte_TypeDef_MntCanTraceTriggerType */
#ifndef Rte_TypeDef_MntCmdParamsArrayType
#define Rte_TypeDef_MntCmdParamsArrayType
struct Rte_struct_MntCmdParamsArrayType {
    uint8 cmdParamNum; /* unsigned char */
    unsigned char cmdParamArray[8][32];
};
typedef struct Rte_struct_MntCmdParamsArrayType MntCmdParamsArrayType;
#endif /* Rte_TypeDef_MntCmdParamsArrayType */
#ifndef Rte_TypeDef_MntCmdResultStr
#define Rte_TypeDef_MntCmdResultStr
typedef unsigned char MntCmdResultStr[1][256];
#endif /* Rte_TypeDef_MntCmdResultStr */
#ifndef Rte_TypeDef_MntCmdStr
#define Rte_TypeDef_MntCmdStr
typedef unsigned char MntCmdStr[1][128];
#endif /* Rte_TypeDef_MntCmdStr */
#ifndef Rte_TypeDef_MntSendLogType
#define Rte_TypeDef_MntSendLogType
struct Rte_struct_MntSendLogType {
    struct Rte_struct_Dlt_LogInfoShortType dltInfo;
    unsigned char logData[116];
    unsigned short logLength;
};
typedef struct Rte_struct_MntSendLogType MntSendLogType;
#endif /* Rte_TypeDef_MntSendLogType */
#ifndef Rte_TypeDef_MntTraceDataType
#define Rte_TypeDef_MntTraceDataType
struct Rte_struct_MntTraceDataType {
    struct Rte_struct_Dlt_MessageLogInfoType dltInfo;
    unsigned char data[1024];
    uint16 dataLength; /* unsigned short */
};
typedef struct Rte_struct_MntTraceDataType MntTraceDataType;
#endif /* Rte_TypeDef_MntTraceDataType */
#ifndef Rte_TypeDef_MntTraceType
#define Rte_TypeDef_MntTraceType
struct Rte_struct_MntTraceType {
    struct Rte_struct_Dlt_LogInfoShortType dltInfo;
    unsigned char logData[1024];
    unsigned short logLength;
};
typedef struct Rte_struct_MntTraceType MntTraceType;
#endif /* Rte_TypeDef_MntTraceType */
#ifndef Rte_TypeDef_RoadPointType
#define Rte_TypeDef_RoadPointType
struct Rte_struct_RoadPointType {
    float32 x; /* float */
    float32 y; /* float */
    float32 z; /* float */
    float32 theta; /* float */
    float32 curvature; /* float */
};
typedef struct Rte_struct_RoadPointType RoadPointType;
#endif /* Rte_TypeDef_RoadPointType */
#ifndef Rte_TypeDef_RoadPointVectorType
#define Rte_TypeDef_RoadPointVectorType
struct Rte_struct_RoadPointVectorType {
    uint32 roadPointSize; /* unsigned int */
    struct Rte_struct_RoadPointType roadPoint[300];
};
typedef struct Rte_struct_RoadPointVectorType RoadPointVectorType;
#endif /* Rte_TypeDef_RoadPointVectorType */
#ifndef Rte_TypeDef_MotionPlanType
#define Rte_TypeDef_MotionPlanType
struct Rte_struct_MotionPlanType {
    uint32 sec; /* unsigned int */
    uint32 nsec; /* unsigned int */
    struct Rte_struct_RoadPointVectorType roadPoints;
    uint16 validRoadPointNum; /* unsigned short */
};
typedef struct Rte_struct_MotionPlanType MotionPlanType;
#endif /* Rte_TypeDef_MotionPlanType */
#ifndef Rte_TypeDef_NCS_SendSyncReqType
#define Rte_TypeDef_NCS_SendSyncReqType
struct Rte_struct_NCS_SendSyncReqType {
    uint32 moduleId; /* unsigned int */
    uint32 event; /* unsigned int */
};
typedef struct Rte_struct_NCS_SendSyncReqType NCS_SendSyncReqType;
#endif /* Rte_TypeDef_NCS_SendSyncReqType */
#ifndef Rte_TypeDef_NcsChannelBuf
#define Rte_TypeDef_NcsChannelBuf
struct Rte_struct_NcsChannelBuf {
    uint32 size; /* unsigned int */
    unsigned char buf[64];
};
typedef struct Rte_struct_NcsChannelBuf NcsChannelBuf;
#endif /* Rte_TypeDef_NcsChannelBuf */
#ifndef Rte_TypeDef_NcsServerDataRequest
#define Rte_TypeDef_NcsServerDataRequest
struct Rte_struct_NcsServerDataRequest {
    uint8 opCode; /* unsigned char */
    struct Rte_struct_NcsChannelBuf dataBuf;
};
typedef struct Rte_struct_NcsServerDataRequest NcsServerDataRequest;
#endif /* Rte_TypeDef_NcsServerDataRequest */
#ifndef Rte_TypeDef_NcsServerDataResponse
#define Rte_TypeDef_NcsServerDataResponse
struct Rte_struct_NcsServerDataResponse {
    uint8 opCode; /* unsigned char */
    uint8 responeResult; /* unsigned char */
    struct Rte_struct_NcsChannelBuf dataBuf;
};
typedef struct Rte_struct_NcsServerDataResponse NcsServerDataResponse;
#endif /* Rte_TypeDef_NcsServerDataResponse */
#ifndef Rte_TypeDef_NmUserdataArr
#define Rte_TypeDef_NmUserdataArr
typedef unsigned char NmUserdataArr[6];
#endif /* Rte_TypeDef_NmUserdataArr */
#ifndef Rte_TypeDef_NrmComCtrlChnlConfigArr
#define Rte_TypeDef_NrmComCtrlChnlConfigArr
typedef struct Rte_struct_NrmComCtrlChnlConfig NrmComCtrlChnlConfigArr[12];
#endif /* Rte_TypeDef_NrmComCtrlChnlConfigArr */
#ifndef Rte_TypeDef_NrmComCtrlHeartBeat
#define Rte_TypeDef_NrmComCtrlHeartBeat
struct Rte_struct_NrmComCtrlHeartBeat {
    uint8 version; /* unsigned char */
    uint8 seq; /* unsigned char */
    uint64 tsSecs; /* unsigned long long */
    uint64 tsNsecs; /* unsigned long long */
};
typedef struct Rte_struct_NrmComCtrlHeartBeat NrmComCtrlHeartBeat;
#endif /* Rte_TypeDef_NrmComCtrlHeartBeat */
#ifndef Rte_TypeDef_NrmPduGroupCtrlData
#define Rte_TypeDef_NrmPduGroupCtrlData
struct Rte_struct_NrmPduGroupCtrlData {
    uint8 chnl; /* unsigned char */
    uint8 dir; /* unsigned char */
    uint32 pdugs; /* unsigned int */
    uint8 cmd; /* unsigned char */
    uint8 userId; /* unsigned char */
};
typedef struct Rte_struct_NrmPduGroupCtrlData NrmPduGroupCtrlData;
#endif /* Rte_TypeDef_NrmPduGroupCtrlData */
#ifndef Rte_TypeDef_NvM_BlockIdType
#define Rte_TypeDef_NvM_BlockIdType
typedef uint16 NvM_BlockIdType;
#endif /* Rte_TypeDef_NvM_BlockIdType */
#ifndef Rte_TypeDef_NvM_BlockRequestType
#define Rte_TypeDef_NvM_BlockRequestType
typedef uint8 NvM_BlockRequestType;
#endif /* Rte_TypeDef_NvM_BlockRequestType */
#ifndef Rte_TypeDef_NvM_InitBlockRequestType
#define Rte_TypeDef_NvM_InitBlockRequestType
typedef uint8 NvM_InitBlockRequestType;
#endif /* Rte_TypeDef_NvM_InitBlockRequestType */
#ifndef Rte_TypeDef_NvM_RequestResultType
#define Rte_TypeDef_NvM_RequestResultType
typedef uint8 NvM_RequestResultType;
#endif /* Rte_TypeDef_NvM_RequestResultType */
#ifndef Rte_TypeDef_ObjectArrayFusionType
#define Rte_TypeDef_ObjectArrayFusionType
struct Rte_struct_ObjectArrayFusionType {
    struct Rte_struct_TimeStampType stamp;
    uint8 validObjNum; /* unsigned char */
    struct Rte_struct_FusionObjectVector objectList;
};
typedef struct Rte_struct_ObjectArrayFusionType ObjectArrayFusionType;
#endif /* Rte_TypeDef_ObjectArrayFusionType */
#ifndef Rte_TypeDef_SingleObjectRadarType
#define Rte_TypeDef_SingleObjectRadarType
struct Rte_struct_SingleObjectRadarType {
    uint16 id; /* unsigned short */
    uint8 moveProperty; /* unsigned char */
    float32 objectBoxCenterX; /* float */
    float32 objectBoxCenterY; /* float */
    float32 objectBoxCenterOdomX; /* float */
    float32 objectBoxCenterOdomY; /* float */
    float32 velocityX; /* float */
    float32 velocityY; /* float */
    float32 velocityOdomX; /* float */
    float32 velocityOdomY; /* float */
};
typedef struct Rte_struct_SingleObjectRadarType SingleObjectRadarType;
#endif /* Rte_TypeDef_SingleObjectRadarType */
#ifndef Rte_TypeDef_ObjectRadarTrackArrayType
#define Rte_TypeDef_ObjectRadarTrackArrayType
struct Rte_struct_ObjectRadarTrackArrayType {
    uint8 objNum; /* unsigned char */
    struct Rte_struct_SingleObjectRadarType objList[250];
};
typedef struct Rte_struct_ObjectRadarTrackArrayType ObjectRadarTrackArrayType;
#endif /* Rte_TypeDef_ObjectRadarTrackArrayType */
#ifndef Rte_TypeDef_Struct_float64_xyz
#define Rte_TypeDef_Struct_float64_xyz
struct Rte_struct_Struct_float64_xyz {
    float64 x; /* double */
    float64 y; /* double */
    float64 z; /* double */
};
typedef struct Rte_struct_Struct_float64_xyz Struct_float64_xyz;
#endif /* Rte_TypeDef_Struct_float64_xyz */
#ifndef Rte_TypeDef_Struct_float64_xyzw
#define Rte_TypeDef_Struct_float64_xyzw
struct Rte_struct_Struct_float64_xyzw {
    float64 x; /* double */
    float64 y; /* double */
    float64 z; /* double */
    float64 w; /* double */
};
typedef struct Rte_struct_Struct_float64_xyzw Struct_float64_xyzw;
#endif /* Rte_TypeDef_Struct_float64_xyzw */
#ifndef Rte_TypeDef_OdometryType
#define Rte_TypeDef_OdometryType
struct Rte_struct_OdometryType {
    uint32 seq; /* unsigned int */
    struct Rte_struct_TimeStampType stamp;
    Ary1D_Uint8_8 frameId; /* unsigned char with size [8] */
    Ary1D_Uint8_8 childFrameId; /* unsigned char with size [8] */
    uint32 workState; /* unsigned int */
    uint32 integratedState; /* unsigned int */
    uint32 faultType; /* unsigned int */
    struct Rte_struct_Struct_float64_xyz posePosePointPosition;
    struct Rte_struct_Struct_float64_xyzw posePoseQuaternion;
    double posePoseCovariance[36];
    struct Rte_struct_Struct_float64_xyz twistTwistVector3Velocity;
    struct Rte_struct_Struct_float64_xyz twistTwistVector3Linear;
    struct Rte_struct_Struct_float64_xyz twistTwistVector3Angular;
    double twistTwistVector3Covariance[36];
};
typedef struct Rte_struct_OdometryType OdometryType;
#endif /* Rte_TypeDef_OdometryType */
#ifndef Rte_TypeDef_ParkRoadPointStruct
#define Rte_TypeDef_ParkRoadPointStruct
struct Rte_struct_ParkRoadPointStruct {
    float32 x; /* float */
    float32 y; /* float */
};
typedef struct Rte_struct_ParkRoadPointStruct ParkRoadPointStruct;
#endif /* Rte_TypeDef_ParkRoadPointStruct */
#ifndef Rte_TypeDef_PortGroup
#define Rte_TypeDef_PortGroup
typedef unsigned char PortGroup[32];
#endif /* Rte_TypeDef_PortGroup */
#ifndef Rte_TypeDef_PowerStatus
#define Rte_TypeDef_PowerStatus
struct Rte_struct_PowerStatus {
    uint8 HostAStatus; /* unsigned char */
    uint8 HostBStatus; /* unsigned char */
    uint8 HostAllStatus; /* unsigned char */
    uint8 IoStatus; /* unsigned char */
    uint8 CpldStatus; /* unsigned char */
};
typedef struct Rte_struct_PowerStatus PowerStatus;
#endif /* Rte_TypeDef_PowerStatus */
#ifndef Rte_TypeDef_QuestionMsg
#define Rte_TypeDef_QuestionMsg
struct Rte_struct_QuestionMsg {
    uint32 versionId; /* unsigned int */
    uint32 msgId; /* unsigned int */
    uint8 quesionType; /* unsigned char */
    uint8 quesionParamLen; /* unsigned char */
    struct Rte_struct_Vector_uint8 qaParam;
};
typedef struct Rte_struct_QuestionMsg QuestionMsg;
#endif /* Rte_TypeDef_QuestionMsg */
#ifndef Rte_TypeDef_RPAArrayType
#define Rte_TypeDef_RPAArrayType
struct Rte_struct_RPAArrayType {
    uint8 heartbeatSig; /* unsigned char */
    uint8 rdyLamp; /* unsigned char */
    struct Rte_struct_TimeStampType localTime;
    uint8 driverSeatStatus; /* unsigned char */
    uint8 safeBeltDriverStatus; /* unsigned char */
};
typedef struct Rte_struct_RPAArrayType RPAArrayType;
#endif /* Rte_TypeDef_RPAArrayType */
#ifndef Rte_TypeDef_RadarCalibParaType
#define Rte_TypeDef_RadarCalibParaType
struct Rte_struct_RadarCalibParaType {
    float32 radarInstallYaw; /* float */
    float32 radarInstallX; /* float */
    float32 radarInstallY; /* float */
};
typedef struct Rte_struct_RadarCalibParaType RadarCalibParaType;
#endif /* Rte_TypeDef_RadarCalibParaType */
#ifndef Rte_TypeDef_RadarOutputType
#define Rte_TypeDef_RadarOutputType
struct Rte_struct_RadarOutputType {
    uint16 sensorId; /* unsigned short */
    uint16 outputType; /* unsigned short */
};
typedef struct Rte_struct_RadarOutputType RadarOutputType;
#endif /* Rte_TypeDef_RadarOutputType */
#ifndef Rte_TypeDef_RadarStateType
#define Rte_TypeDef_RadarStateType
struct Rte_struct_RadarStateType {
    uint8 nvmReadStatus; /* unsigned char */
    uint8 nvmWriteStatus; /* unsigned char */
    uint8 persistentError; /* unsigned char */
    uint8 temporaryError; /* unsigned char */
    uint8 interferenceError; /* unsigned char */
    uint8 temperatureError; /* unsigned char */
    uint8 voltageError; /* unsigned char */
    uint16 maxDistance; /* unsigned short */
    uint8 sortIndex; /* unsigned char */
    uint8 radarPower; /* unsigned char */
    uint8 ctrlRelay; /* unsigned char */
    uint8 outputType; /* unsigned char */
    uint8 sendQuality; /* unsigned char */
    uint8 sendExtinfo; /* unsigned char */
    uint8 motionRxState; /* unsigned char */
    uint8 rcsThreshold; /* unsigned char */
};
typedef struct Rte_struct_RadarStateType RadarStateType;
#endif /* Rte_TypeDef_RadarStateType */
#ifndef Rte_TypeDef_RadarTrackObjectType
#define Rte_TypeDef_RadarTrackObjectType
struct Rte_struct_RadarTrackObjectType {
    uint8 id; /* unsigned char */
    float32 positonX; /* float */
    float32 positonY; /* float */
    float32 velocityX; /* float */
    float32 velocityY; /* float */
    uint8 obstacleProbability; /* unsigned char */
    uint8 existProbability; /* unsigned char */
    uint8 movProperty; /* unsigned char */
    uint8 trackState; /* unsigned char */
    uint8 trackType; /* unsigned char */
};
typedef struct Rte_struct_RadarTrackObjectType RadarTrackObjectType;
#endif /* Rte_TypeDef_RadarTrackObjectType */
#ifndef Rte_TypeDef_RadarTrackArrayType
#define Rte_TypeDef_RadarTrackArrayType
struct Rte_struct_RadarTrackArrayType {
    struct Rte_struct_TimeStampType stamp;
    uint8 sensorId; /* unsigned char */
    struct Rte_struct_RadarStateType radarState;
    uint8 validObjNum; /* unsigned char */
    struct Rte_struct_RadarTrackObjectType trackList[100];
};
typedef struct Rte_struct_RadarTrackArrayType RadarTrackArrayType;
#endif /* Rte_TypeDef_RadarTrackArrayType */
#ifndef Rte_TypeDef_ReadDidResponseType
#define Rte_TypeDef_ReadDidResponseType
struct Rte_struct_ReadDidResponseType {
    uint16 id; /* unsigned short */
    uint8 response; /* unsigned char */
    uint32 dataSize; /* unsigned int */
    unsigned char data[64];
};
typedef struct Rte_struct_ReadDidResponseType ReadDidResponseType;
#endif /* Rte_TypeDef_ReadDidResponseType */
#ifndef Rte_TypeDef_UdsInfoVectorAdsType
#define Rte_TypeDef_UdsInfoVectorAdsType
struct Rte_struct_UdsInfoVectorAdsType {
    uint32 size; /* unsigned int */
    struct Rte_struct_DidInfoAdsType totalDidInfoAds[8];
};
typedef struct Rte_struct_UdsInfoVectorAdsType UdsInfoVectorAdsType;
#endif /* Rte_TypeDef_UdsInfoVectorAdsType */
#ifndef Rte_TypeDef_ReportFaultToHostVectorElementType
#define Rte_TypeDef_ReportFaultToHostVectorElementType
struct Rte_struct_ReportFaultToHostVectorElementType {
    struct Rte_struct_ReportFaultToHostType faultToHost;
    struct Rte_struct_UdsInfoVectorAdsType udsInfoList;
};
typedef struct Rte_struct_ReportFaultToHostVectorElementType ReportFaultToHostVectorElementType;
#endif /* Rte_TypeDef_ReportFaultToHostVectorElementType */
#ifndef Rte_TypeDef_ReportFaultToHostVectorType
#define Rte_TypeDef_ReportFaultToHostVectorType
struct Rte_struct_ReportFaultToHostVectorType {
    uint32 eventSize; /* unsigned int */
    struct Rte_struct_ReportFaultToHostVectorElementType reportList[2];
};
typedef struct Rte_struct_ReportFaultToHostVectorType ReportFaultToHostVectorType;
#endif /* Rte_TypeDef_ReportFaultToHostVectorType */
#ifndef Rte_TypeDef_ReportFaultToHostWithAllParaType
#define Rte_TypeDef_ReportFaultToHostWithAllParaType
struct Rte_struct_ReportFaultToHostWithAllParaType {
    struct Rte_struct_TimeStampType stamp;
    uint32 faultSize; /* unsigned int */
    struct Rte_struct_ReportFaultToHostVectorType totalReportList;
};
typedef struct Rte_struct_ReportFaultToHostWithAllParaType ReportFaultToHostWithAllParaType;
#endif /* Rte_TypeDef_ReportFaultToHostWithAllParaType */
#ifndef Rte_TypeDef_SteerAngleCmd
#define Rte_TypeDef_SteerAngleCmd
struct Rte_struct_SteerAngleCmd {
    boolean steerAngleValid; /* unsigned char */
    uint8 steerAngleState; /* unsigned char */
    uint8 steerAngleClean; /* unsigned char */
    uint8 steerAngleMode; /* unsigned char */
    uint8 lateralTrackMode; /* unsigned char */
    uint8 lateralInterfaceMode; /* unsigned char */
    uint8 latShutdownReq; /* unsigned char */
    uint8 latRedundantSts; /* unsigned char */
    uint8 adsLateralFunction; /* unsigned char */
    float32 steerAngleCmd; /* float */
    float32 steerAngleMaxLimit; /* float */
    float32 steerAngleRateMaxLimit; /* float */
    float32 lateralAngleModeCoopFactor; /* float */
    float32 steerGainLevel; /* float */
    float desAngleProfile[10];
    float timeProfile[10];
};
typedef struct Rte_struct_SteerAngleCmd SteerAngleCmd;
#endif /* Rte_TypeDef_SteerAngleCmd */
#ifndef Rte_TypeDef_SteerTorqueCmd
#define Rte_TypeDef_SteerTorqueCmd
struct Rte_struct_SteerTorqueCmd {
    boolean steerTorqueValid; /* unsigned char */
    uint8 steerTorqueState; /* unsigned char */
    uint8 steerForceLmtReqSts; /* unsigned char */
    uint8 steerTorqueMode; /* unsigned char */
    float32 steerTorqueSmoothFactor; /* float */
    float32 steerTorqueCmd; /* float */
    float32 steerTorqueMaxLimit; /* float */
    float32 steerFactorSstyCmd; /* float */
};
typedef struct Rte_struct_SteerTorqueCmd SteerTorqueCmd;
#endif /* Rte_TypeDef_SteerTorqueCmd */
#ifndef Rte_TypeDef_SteerCrvtCmd
#define Rte_TypeDef_SteerCrvtCmd
struct Rte_struct_SteerCrvtCmd {
    uint8 steerCrvtValid; /* unsigned char */
    uint8 steerCrvtState; /* unsigned char */
    uint8 curveCtrlLimitReq; /* unsigned char */
    float32 steerCrvtCmd; /* float */
    float32 steerCrvtGrdCmd; /* float */
};
typedef struct Rte_struct_SteerCrvtCmd SteerCrvtCmd;
#endif /* Rte_TypeDef_SteerCrvtCmd */
#ifndef Rte_TypeDef_SteerVibrationCmd
#define Rte_TypeDef_SteerVibrationCmd
struct Rte_struct_SteerVibrationCmd {
    uint8 steerVibrationState; /* unsigned char */
    uint8 steerVibrationCmd; /* unsigned char */
};
typedef struct Rte_struct_SteerVibrationCmd SteerVibrationCmd;
#endif /* Rte_TypeDef_SteerVibrationCmd */
#ifndef Rte_TypeDef_RosChassisCommandMsg
#define Rte_TypeDef_RosChassisCommandMsg
struct Rte_struct_RosChassisCommandMsg {
    struct Rte_struct_Header header;
    uint8 source; /* unsigned char */
    uint16 moduleId; /* unsigned short */
    uint16 adsFunction; /* unsigned short */
    uint16 adsActiveStatus; /* unsigned short */
    uint16 adsWorkStatus; /* unsigned short */
    struct Rte_struct_SteerAngleCmd steerAngle;
    struct Rte_struct_SteerTorqueCmd steerTorque;
    struct Rte_struct_SteerCrvtCmd steerCrvt;
    struct Rte_struct_SteerVibrationCmd steerVibration;
    struct Rte_struct_LongCtrlCmd longCtrl;
};
typedef struct Rte_struct_RosChassisCommandMsg RosChassisCommandMsg;
#endif /* Rte_TypeDef_RosChassisCommandMsg */
#ifndef Rte_TypeDef_RosFosMsg
#define Rte_TypeDef_RosFosMsg
struct Rte_struct_RosFosMsg {
    struct Rte_struct_Header header;
    uint8 accState; /* unsigned char */
    uint8 icaNcaState; /* unsigned char */
    uint8 avpState; /* unsigned char */
    uint8 avpCoopDriveState; /* unsigned char */
    uint8 lkaState; /* unsigned char */
    uint8 faebState; /* unsigned char */
    uint8 fctbState; /* unsigned char */
    uint8 raebState; /* unsigned char */
    uint8 rctbState; /* unsigned char */
    uint8 x1State; /* unsigned char */
    uint8 x2State; /* unsigned char */
    uint8 x3State; /* unsigned char */
};
typedef struct Rte_struct_RosFosMsg RosFosMsg;
#endif /* Rte_TypeDef_RosFosMsg */
#ifndef Rte_TypeDef_SaControlType
#define Rte_TypeDef_SaControlType
typedef uint8 SaControlType;
#endif /* Rte_TypeDef_SaControlType */
#ifndef Rte_TypeDef_SaDirectionType
#define Rte_TypeDef_SaDirectionType
typedef uint8 SaDirectionType;
#endif /* Rte_TypeDef_SaDirectionType */
#ifndef Rte_TypeDef_SaFaultTransferType
#define Rte_TypeDef_SaFaultTransferType
struct Rte_struct_SaFaultTransferType {
    uint8 num; /* unsigned char */
    struct Rte_struct_LinkFaultStruct fault[80];
};
typedef struct Rte_struct_SaFaultTransferType SaFaultTransferType;
#endif /* Rte_TypeDef_SaFaultTransferType */
#ifndef Rte_TypeDef_Sa_DcDcOperSts
#define Rte_TypeDef_Sa_DcDcOperSts
struct Rte_struct_Sa_DcDcOperSts {
    uint8 dcdcOperSts; /* unsigned char */
    boolean valid; /* unsigned char */
};
typedef struct Rte_struct_Sa_DcDcOperSts Sa_DcDcOperSts;
#endif /* Rte_TypeDef_Sa_DcDcOperSts */
#ifndef Rte_TypeDef_Sa_EccOutdT
#define Rte_TypeDef_Sa_EccOutdT
struct Rte_struct_Sa_EccOutdT {
    struct {
        float32 outdT; /* float */
        uint8 outdTVld; /* unsigned char */
    } ecc;
    boolean valid; /* unsigned char */
};
typedef struct Rte_struct_Sa_EccOutdT Sa_EccOutdT;
#endif /* Rte_TypeDef_Sa_EccOutdT */
#ifndef Rte_TypeDef_Sa_PowerMode
#define Rte_TypeDef_Sa_PowerMode
struct Rte_struct_Sa_PowerMode {
    boolean powerMode; /* unsigned char */
    boolean valid; /* unsigned char */
};
typedef struct Rte_struct_Sa_PowerMode Sa_PowerMode;
#endif /* Rte_TypeDef_Sa_PowerMode */
#ifndef Rte_TypeDef_Sa_TmsCoolSts
#define Rte_TypeDef_Sa_TmsCoolSts
struct Rte_struct_Sa_TmsCoolSts {
    uint8 tmsCoolSts; /* unsigned char */
    boolean valid; /* unsigned char */
};
typedef struct Rte_struct_Sa_TmsCoolSts Sa_TmsCoolSts;
#endif /* Rte_TypeDef_Sa_TmsCoolSts */
#ifndef Rte_TypeDef_Sa_TmsWaterTemp
#define Rte_TypeDef_Sa_TmsWaterTemp
struct Rte_struct_Sa_TmsWaterTemp {
    sint16 tmsWaterTemp; /* signed short */
    boolean valid; /* unsigned char */
};
typedef struct Rte_struct_Sa_TmsWaterTemp Sa_TmsWaterTemp;
#endif /* Rte_TypeDef_Sa_TmsWaterTemp */
#ifndef Rte_TypeDef_SchM_EthSwt_MgmtInfoType
#define Rte_TypeDef_SchM_EthSwt_MgmtInfoType
struct Rte_struct_SchM_EthSwt_MgmtInfoType {
    uint8 SwitchIdx; /* unsigned char */
    uint8 SwitchPortIdx; /* unsigned char */
};
typedef struct Rte_struct_SchM_EthSwt_MgmtInfoType SchM_EthSwt_MgmtInfoType;
#endif /* Rte_TypeDef_SchM_EthSwt_MgmtInfoType */
#ifndef Rte_TypeDef_SchM_EthSwt_MgmtObjectValidType
#define Rte_TypeDef_SchM_EthSwt_MgmtObjectValidType
struct Rte_struct_SchM_EthSwt_MgmtObjectValidType {
    Std_ReturnType IngressTimestampValid; /* Std_ReturnType */
    Std_ReturnType EgressTimestampValid; /* Std_ReturnType */
    Std_ReturnType MgmtInfoValid; /* Std_ReturnType */
};
typedef struct Rte_struct_SchM_EthSwt_MgmtObjectValidType SchM_EthSwt_MgmtObjectValidType;
#endif /* Rte_TypeDef_SchM_EthSwt_MgmtObjectValidType */
#ifndef Rte_TypeDef_SchM_Eth_TimeStampType
#define Rte_TypeDef_SchM_Eth_TimeStampType
struct Rte_struct_SchM_Eth_TimeStampType {
    uint32 nanoseconds; /* unsigned int */
    uint32 seconds; /* unsigned int */
    uint16 secondsHi; /* unsigned short */
};
typedef struct Rte_struct_SchM_Eth_TimeStampType SchM_Eth_TimeStampType;
#endif /* Rte_TypeDef_SchM_Eth_TimeStampType */
#ifndef Rte_TypeDef_SchM_EthSwt_MgmtOwner
#define Rte_TypeDef_SchM_EthSwt_MgmtOwner
typedef uint8 SchM_EthSwt_MgmtOwner;
#endif /* Rte_TypeDef_SchM_EthSwt_MgmtOwner */
#ifndef Rte_TypeDef_SchM_EthSwt_MgmtObjectType
#define Rte_TypeDef_SchM_EthSwt_MgmtObjectType
struct Rte_struct_SchM_EthSwt_MgmtObjectType {
    struct Rte_struct_SchM_EthSwt_MgmtObjectValidType Validation;
    struct Rte_struct_SchM_Eth_TimeStampType IngressTimestamp;
    struct Rte_struct_SchM_Eth_TimeStampType EgressTimestamp;
    struct Rte_struct_SchM_EthSwt_MgmtInfoType MgmtInfo;
    SchM_EthSwt_MgmtOwner Ownership; /* SchM_EthSwt_MgmtOwner */
};
typedef struct Rte_struct_SchM_EthSwt_MgmtObjectType SchM_EthSwt_MgmtObjectType;
#endif /* Rte_TypeDef_SchM_EthSwt_MgmtObjectType */
#ifndef Rte_TypeDef_SchM_EthSwt_MgmtObjectTypePtr
#define Rte_TypeDef_SchM_EthSwt_MgmtObjectTypePtr
typedef P2VAR(struct Rte_struct_SchM_EthSwt_MgmtObjectType, TYPEDEF, RTE_APPL_DATA) SchM_EthSwt_MgmtObjectTypePtr;
#endif /* Rte_TypeDef_SchM_EthSwt_MgmtObjectTypePtr */
#ifndef Rte_TypeDef_SchM_Eth_BufIdxType
#define Rte_TypeDef_SchM_Eth_BufIdxType
typedef uint32 SchM_Eth_BufIdxType;
#endif /* Rte_TypeDef_SchM_Eth_BufIdxType */
#ifndef Rte_TypeDef_SchM_Eth_DataTypePtr
#define Rte_TypeDef_SchM_Eth_DataTypePtr
typedef P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) SchM_Eth_DataTypePtr;
#endif /* Rte_TypeDef_SchM_Eth_DataTypePtr */
#ifndef Rte_TypeDef_SchM_Eth_PhyAddrType
#define Rte_TypeDef_SchM_Eth_PhyAddrType
typedef unsigned char SchM_Eth_PhyAddrType[6];
#endif /* Rte_TypeDef_SchM_Eth_PhyAddrType */
#ifndef Rte_TypeDef_SchM_Eth_Uint8Ptr
#define Rte_TypeDef_SchM_Eth_Uint8Ptr
typedef P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) SchM_Eth_Uint8Ptr;
#endif /* Rte_TypeDef_SchM_Eth_Uint8Ptr */
#ifndef Rte_TypeDef_SecOC_FreshnessArrayType
#define Rte_TypeDef_SecOC_FreshnessArrayType
typedef unsigned char SecOC_FreshnessArrayType[8];
#endif /* Rte_TypeDef_SecOC_FreshnessArrayType */
#ifndef Rte_TypeDef_SecOC_OverrideStatusType
#define Rte_TypeDef_SecOC_OverrideStatusType
typedef uint8 SecOC_OverrideStatusType;
#endif /* Rte_TypeDef_SecOC_OverrideStatusType */
#ifndef Rte_TypeDef_SecOC_VerificationResultType
#define Rte_TypeDef_SecOC_VerificationResultType
typedef uint8 SecOC_VerificationResultType;
#endif /* Rte_TypeDef_SecOC_VerificationResultType */
#ifndef Rte_TypeDef_SecOC_VerificationStatusType
#define Rte_TypeDef_SecOC_VerificationStatusType
struct Rte_struct_SecOC_VerificationStatusType {
    uint16 freshnessValueID; /* unsigned short */
    SecOC_VerificationResultType verificationStatus; /* SecOC_VerificationResultType */
    uint16 secOCDataId; /* unsigned short */
};
typedef struct Rte_struct_SecOC_VerificationStatusType SecOC_VerificationStatusType;
#endif /* Rte_TypeDef_SecOC_VerificationStatusType */
#ifndef Rte_TypeDef_SecocVinCodeType
#define Rte_TypeDef_SecocVinCodeType
typedef unsigned char SecocVinCodeType[17];
#endif /* Rte_TypeDef_SecocVinCodeType */
#ifndef Rte_TypeDef_SensorCanTSynFaultReportType
#define Rte_TypeDef_SensorCanTSynFaultReportType
struct Rte_struct_SensorCanTSynFaultReportType {
    unsigned char ChannelId;
    unsigned char FaultStatus;
};
typedef struct Rte_struct_SensorCanTSynFaultReportType SensorCanTSynFaultReportType;
#endif /* Rte_TypeDef_SensorCanTSynFaultReportType */
#ifndef Rte_TypeDef_SensorOpInfo
#define Rte_TypeDef_SensorOpInfo
struct Rte_struct_SensorOpInfo {
    uint8 count; /* unsigned char */
    uint8 oper; /* unsigned char */
};
typedef struct Rte_struct_SensorOpInfo SensorOpInfo;
#endif /* Rte_TypeDef_SensorOpInfo */
#ifndef Rte_TypeDef_SensorOperRequestType
#define Rte_TypeDef_SensorOperRequestType
struct Rte_struct_SensorOperRequestType {
    uint8 sensorId; /* unsigned char */
    uint8 operation; /* unsigned char */
};
typedef struct Rte_struct_SensorOperRequestType SensorOperRequestType;
#endif /* Rte_TypeDef_SensorOperRequestType */
#ifndef Rte_TypeDef_SensorStateControlSocType
#define Rte_TypeDef_SensorStateControlSocType
struct Rte_struct_SensorStateControlSocType {
    uint16 version; /* unsigned short */
    uint16 sensorId; /* unsigned short */
    uint16 operation; /* unsigned short */
    unsigned char reserved[58];
};
typedef struct Rte_struct_SensorStateControlSocType SensorStateControlSocType;
#endif /* Rte_TypeDef_SensorStateControlSocType */
#ifndef Rte_TypeDef_SensorStateControlType
#define Rte_TypeDef_SensorStateControlType
struct Rte_struct_SensorStateControlType {
    uint16 sensorId; /* unsigned short */
    uint16 operation; /* unsigned short */
};
typedef struct Rte_struct_SensorStateControlType SensorStateControlType;
#endif /* Rte_TypeDef_SensorStateControlType */
#ifndef Rte_TypeDef_SensorStatusType
#define Rte_TypeDef_SensorStatusType
typedef unsigned char SensorStatusType[10];
#endif /* Rte_TypeDef_SensorStatusType */
#ifndef Rte_TypeDef_SentryReqType
#define Rte_TypeDef_SentryReqType
struct Rte_struct_SentryReqType {
    unsigned char lampReq;
    unsigned char hornReq;
};
typedef struct Rte_struct_SentryReqType SentryReqType;
#endif /* Rte_TypeDef_SentryReqType */
#ifndef Rte_TypeDef_SmPlatInfo
#define Rte_TypeDef_SmPlatInfo
struct Rte_struct_SmPlatInfo {
    uint32 param0; /* unsigned int */
    uint32 param1; /* unsigned int */
};
typedef struct Rte_struct_SmPlatInfo SmPlatInfo;
#endif /* Rte_TypeDef_SmPlatInfo */
#ifndef Rte_TypeDef_SmSsMsg
#define Rte_TypeDef_SmSsMsg
struct Rte_struct_SmSsMsg {
    uint32 mode; /* unsigned int */
    uint8 reason; /* unsigned char */
    uint8 opRange; /* unsigned char */
    uint8 opType; /* unsigned char */
    uint8 opObj; /* unsigned char */
    uint8 monitorTime; /* unsigned char */
};
typedef struct Rte_struct_SmSsMsg SmSsMsg;
#endif /* Rte_TypeDef_SmSsMsg */
#ifndef Rte_TypeDef_SomeipDynPayloadType
#define Rte_TypeDef_SomeipDynPayloadType
struct Rte_struct_SomeipDynPayloadType {
    uint32 size; /* unsigned int */
    unsigned char data[1396];
};
typedef struct Rte_struct_SomeipDynPayloadType SomeipDynPayloadType;
#endif /* Rte_TypeDef_SomeipDynPayloadType */
#ifndef Rte_TypeDef_StbM_CustomerIdType
#define Rte_TypeDef_StbM_CustomerIdType
typedef uint16 StbM_CustomerIdType;
#endif /* Rte_TypeDef_StbM_CustomerIdType */
#ifndef Rte_TypeDef_StbM_LocalDateTimeType
#define Rte_TypeDef_StbM_LocalDateTimeType
struct Rte_struct_StbM_LocalDateTimeType {
    uint8 sec; /* unsigned char */
    uint8 min; /* unsigned char */
    uint8 hour; /* unsigned char */
    uint8 mday; /* unsigned char */
    uint8 mon; /* unsigned char */
    uint8 wday; /* unsigned char */
    uint8 isdst; /* unsigned char */
    uint16 yday; /* unsigned short */
    uint16 year; /* unsigned short */
};
typedef struct Rte_struct_StbM_LocalDateTimeType StbM_LocalDateTimeType;
#endif /* Rte_TypeDef_StbM_LocalDateTimeType */
#ifndef Rte_TypeDef_StbM_MasterConfigType
#define Rte_TypeDef_StbM_MasterConfigType
typedef uint8 StbM_MasterConfigType;
#endif /* Rte_TypeDef_StbM_MasterConfigType */
#ifndef Rte_TypeDef_StbM_MeasurementType
#define Rte_TypeDef_StbM_MeasurementType
struct Rte_struct_StbM_MeasurementType {
    uint32 pathDelay; /* unsigned int */
};
typedef struct Rte_struct_StbM_MeasurementType StbM_MeasurementType;
#endif /* Rte_TypeDef_StbM_MeasurementType */
#ifndef Rte_TypeDef_StbM_TimeBaseStatusType
#define Rte_TypeDef_StbM_TimeBaseStatusType
typedef uint8 StbM_TimeBaseStatusType;
#endif /* Rte_TypeDef_StbM_TimeBaseStatusType */
#ifndef Rte_TypeDef_StbM_OffsetRecordTableBlockType
#define Rte_TypeDef_StbM_OffsetRecordTableBlockType
struct Rte_struct_StbM_OffsetRecordTableBlockType {
    StbM_TimeBaseStatusType timeBaseStatus; /* StbM_TimeBaseStatusType */
    uint32 GlbSeconds; /* unsigned int */
    uint32 GlbNanoSeconds; /* unsigned int */
};
typedef struct Rte_struct_StbM_OffsetRecordTableBlockType StbM_OffsetRecordTableBlockType;
#endif /* Rte_TypeDef_StbM_OffsetRecordTableBlockType */
#ifndef Rte_TypeDef_StbM_OffsetRecordTableHeadType
#define Rte_TypeDef_StbM_OffsetRecordTableHeadType
struct Rte_struct_StbM_OffsetRecordTableHeadType {
    uint8 OffsetTimeDomain; /* unsigned char */
};
typedef struct Rte_struct_StbM_OffsetRecordTableHeadType StbM_OffsetRecordTableHeadType;
#endif /* Rte_TypeDef_StbM_OffsetRecordTableHeadType */
#ifndef Rte_TypeDef_StbM_RateDeviationType
#define Rte_TypeDef_StbM_RateDeviationType
typedef sint16 StbM_RateDeviationType;
#endif /* Rte_TypeDef_StbM_RateDeviationType */
#ifndef Rte_TypeDef_StbM_SyncRecordTableBlockType
#define Rte_TypeDef_StbM_SyncRecordTableBlockType
struct Rte_struct_StbM_SyncRecordTableBlockType {
    StbM_TimeBaseStatusType timeBaseStatus; /* StbM_TimeBaseStatusType */
    StbM_RateDeviationType RateDeviation; /* StbM_RateDeviationType */
    uint32 GlbSeconds; /* unsigned int */
    uint32 GlbNanoSeconds; /* unsigned int */
    uint32 VirtualLocalTimeLow; /* unsigned int */
    uint32 LocSeconds; /* unsigned int */
    uint32 LocNanoSeconds; /* unsigned int */
    uint32 PathDelay; /* unsigned int */
};
typedef struct Rte_struct_StbM_SyncRecordTableBlockType StbM_SyncRecordTableBlockType;
#endif /* Rte_TypeDef_StbM_SyncRecordTableBlockType */
#ifndef Rte_TypeDef_StbM_SyncRecordTableHeadType
#define Rte_TypeDef_StbM_SyncRecordTableHeadType
struct Rte_struct_StbM_SyncRecordTableHeadType {
    uint8 SynchronizedTimeDomain; /* unsigned char */
    uint32 HWfrequency; /* unsigned int */
    uint32 HWprescaler; /* unsigned int */
};
typedef struct Rte_struct_StbM_SyncRecordTableHeadType StbM_SyncRecordTableHeadType;
#endif /* Rte_TypeDef_StbM_SyncRecordTableHeadType */
#ifndef Rte_TypeDef_StbM_SynchronizedTimeBaseType
#define Rte_TypeDef_StbM_SynchronizedTimeBaseType
typedef uint16 StbM_SynchronizedTimeBaseType;
#endif /* Rte_TypeDef_StbM_SynchronizedTimeBaseType */
#ifndef Rte_TypeDef_StbM_TimeBaseNotificationType
#define Rte_TypeDef_StbM_TimeBaseNotificationType
typedef uint32 StbM_TimeBaseNotificationType;
#endif /* Rte_TypeDef_StbM_TimeBaseNotificationType */
#ifndef Rte_TypeDef_StbM_TimeDiffType
#define Rte_TypeDef_StbM_TimeDiffType
typedef sint32 StbM_TimeDiffType;
#endif /* Rte_TypeDef_StbM_TimeDiffType */
#ifndef Rte_TypeDef_StbM_TimeStampExtendedType
#define Rte_TypeDef_StbM_TimeStampExtendedType
struct Rte_struct_StbM_TimeStampExtendedType {
    StbM_TimeBaseStatusType timeBaseStatus; /* StbM_TimeBaseStatusType */
    uint32 nanoseconds; /* unsigned int */
    uint64 seconds; /* unsigned long long */
};
typedef struct Rte_struct_StbM_TimeStampExtendedType StbM_TimeStampExtendedType;
#endif /* Rte_TypeDef_StbM_TimeStampExtendedType */
#ifndef Rte_TypeDef_StbM_TimeStampType
#define Rte_TypeDef_StbM_TimeStampType
struct Rte_struct_StbM_TimeStampType {
    StbM_TimeBaseStatusType timeBaseStatus; /* StbM_TimeBaseStatusType */
    uint16 secondsHi; /* unsigned short */
    uint32 nanoseconds; /* unsigned int */
    uint32 seconds; /* unsigned int */
};
typedef struct Rte_struct_StbM_TimeStampType StbM_TimeStampType;
#endif /* Rte_TypeDef_StbM_TimeStampType */
#ifndef Rte_TypeDef_StbM_TimeStampTypeConstPtr
#define Rte_TypeDef_StbM_TimeStampTypeConstPtr
typedef P2CONST(struct Rte_struct_StbM_TimeStampType, TYPEDEF, RTE_APPL_DATA) StbM_TimeStampTypeConstPtr;
#endif /* Rte_TypeDef_StbM_TimeStampTypeConstPtr */
#ifndef Rte_TypeDef_StbM_TimeZoneType
#define Rte_TypeDef_StbM_TimeZoneType
struct Rte_struct_StbM_TimeZoneType {
    uint8 utcSign; /* unsigned char */
    uint8 utcHourOffset; /* unsigned char */
    uint8 utcMinuteOffset; /* unsigned char */
};
typedef struct Rte_struct_StbM_TimeZoneType StbM_TimeZoneType;
#endif /* Rte_TypeDef_StbM_TimeZoneType */
#ifndef Rte_TypeDef_StbM_UTCDateTimeType
#define Rte_TypeDef_StbM_UTCDateTimeType
struct Rte_struct_StbM_UTCDateTimeType {
    uint8 month; /* unsigned char */
    uint8 day; /* unsigned char */
    uint8 hour; /* unsigned char */
    uint8 minute; /* unsigned char */
    uint8 seconds; /* unsigned char */
    uint8 utcSign; /* unsigned char */
    uint8 utcHour; /* unsigned char */
    uint8 utcMinute; /* unsigned char */
    uint16 year; /* unsigned short */
    uint16 millSecond; /* unsigned short */
};
typedef struct Rte_struct_StbM_UTCDateTimeType StbM_UTCDateTimeType;
#endif /* Rte_TypeDef_StbM_UTCDateTimeType */
#ifndef Rte_TypeDef_StbM_UserDataType
#define Rte_TypeDef_StbM_UserDataType
struct Rte_struct_StbM_UserDataType {
    uint8 userDataLength; /* unsigned char */
    uint8 userByte0; /* unsigned char */
    uint8 userByte1; /* unsigned char */
    uint8 userByte2; /* unsigned char */
};
typedef struct Rte_struct_StbM_UserDataType StbM_UserDataType;
#endif /* Rte_TypeDef_StbM_UserDataType */
#ifndef Rte_TypeDef_StbM_UserDataTypeConstPtr
#define Rte_TypeDef_StbM_UserDataTypeConstPtr
typedef P2CONST(struct Rte_struct_StbM_UserDataType, TYPEDEF, RTE_APPL_DATA) StbM_UserDataTypeConstPtr;
#endif /* Rte_TypeDef_StbM_UserDataTypeConstPtr */
#ifndef Rte_TypeDef_StbM_VirtualLocalTimeType
#define Rte_TypeDef_StbM_VirtualLocalTimeType
struct Rte_struct_StbM_VirtualLocalTimeType {
    uint32 nanosecondsLo; /* unsigned int */
    uint32 nanosecondsHi; /* unsigned int */
};
typedef struct Rte_struct_StbM_VirtualLocalTimeType StbM_VirtualLocalTimeType;
#endif /* Rte_TypeDef_StbM_VirtualLocalTimeType */
#ifndef Rte_TypeDef_String
#define Rte_TypeDef_String
struct Rte_struct_String {
    uint32 len; /* unsigned int */
    unsigned char array[128];
};
typedef struct Rte_struct_String String;
#endif /* Rte_TypeDef_String */
#ifndef Rte_TypeDef_Struct_ReportFaultToHost
#define Rte_TypeDef_Struct_ReportFaultToHost
struct Rte_struct_Struct_ReportFaultToHost {
    uint8 totalSize; /* unsigned char */
    Ary1D_ReportFaultToHost_10 Ary1D_ReportFaultToHost; /* struct Rte_struct_ReportFaultToHostType with size [10] */
};
typedef struct Rte_struct_Struct_ReportFaultToHost Struct_ReportFaultToHost;
#endif /* Rte_TypeDef_Struct_ReportFaultToHost */
#ifndef Rte_TypeDef_SymKey2Type
#define Rte_TypeDef_SymKey2Type
struct Rte_struct_SymKey2Type {
    uint32 length; /* unsigned int */
    unsigned char data[16];
};
typedef struct Rte_struct_SymKey2Type SymKey2Type;
#endif /* Rte_TypeDef_SymKey2Type */
#ifndef Rte_TypeDef_TboxTimeInfo
#define Rte_TypeDef_TboxTimeInfo
struct Rte_struct_TboxTimeInfo {
    uint8 timeValidFlag; /* unsigned char */
    uint64 utcTime; /* unsigned long long */
};
typedef struct Rte_struct_TboxTimeInfo TboxTimeInfo;
#endif /* Rte_TypeDef_TboxTimeInfo */
#ifndef Rte_TypeDef_TempSingleSignal
#define Rte_TypeDef_TempSingleSignal
struct Rte_struct_TempSingleSignal {
    sint8 temp; /* signed char */
    uint8 valid; /* unsigned char */
};
typedef struct Rte_struct_TempSingleSignal TempSingleSignal;
#endif /* Rte_TypeDef_TempSingleSignal */
#ifndef Rte_TypeDef_TempGroup
#define Rte_TypeDef_TempGroup
typedef struct Rte_struct_TempSingleSignal TempGroup[64];
#endif /* Rte_TypeDef_TempGroup */
#ifndef Rte_TypeDef_ThmHeatDissipationType
#define Rte_TypeDef_ThmHeatDissipationType
struct Rte_struct_ThmHeatDissipationType {
    boolean isNeedTms; /* unsigned char */
    uint8 reqSrcIdBitMap; /* unsigned char */
    uint8 rsv1; /* unsigned char */
    uint8 rsv2; /* unsigned char */
};
typedef struct Rte_struct_ThmHeatDissipationType ThmHeatDissipationType;
#endif /* Rte_TypeDef_ThmHeatDissipationType */
#ifndef Rte_TypeDef_TimeDetal
#define Rte_TypeDef_TimeDetal
struct Rte_struct_TimeDetal {
    sint64 secs; /* long long */
    sint64 nsecs; /* long long */
};
typedef struct Rte_struct_TimeDetal TimeDetal;
#endif /* Rte_TypeDef_TimeDetal */
#ifndef Rte_TypeDef_TimeInMicrosecondsType
#define Rte_TypeDef_TimeInMicrosecondsType
typedef uint64 TimeInMicrosecondsType;
#endif /* Rte_TypeDef_TimeInMicrosecondsType */
#ifndef Rte_TypeDef_TimeStamp
#define Rte_TypeDef_TimeStamp
struct Rte_struct_TimeStamp {
    uint64 secs; /* unsigned long long */
    uint64 nsecs; /* unsigned long long */
};
typedef struct Rte_struct_TimeStamp TimeStamp;
#endif /* Rte_TypeDef_TimeStamp */
#ifndef Rte_TypeDef_TimeSyncCpldPpsTimeType
#define Rte_TypeDef_TimeSyncCpldPpsTimeType
struct Rte_struct_TimeSyncCpldPpsTimeType {
    uint32 roundDpTimeSec; /* unsigned int */
    struct Rte_struct_TimeStamp CpldPpsTime;
};
typedef struct Rte_struct_TimeSyncCpldPpsTimeType TimeSyncCpldPpsTimeType;
#endif /* Rte_TypeDef_TimeSyncCpldPpsTimeType */
#ifndef Rte_TypeDef_TimeSyncGpsPpsTimeType
#define Rte_TypeDef_TimeSyncGpsPpsTimeType
struct Rte_struct_TimeSyncGpsPpsTimeType {
    struct Rte_struct_TimeStamp dpTime;
    struct Rte_struct_TimeStamp mpTime;
};
typedef struct Rte_struct_TimeSyncGpsPpsTimeType TimeSyncGpsPpsTimeType;
#endif /* Rte_TypeDef_TimeSyncGpsPpsTimeType */
#ifndef Rte_TypeDef_TimeSyncLocalTimeType
#define Rte_TypeDef_TimeSyncLocalTimeType
struct Rte_struct_TimeSyncLocalTimeType {
    uint32 DpTimeSecs; /* unsigned int */
};
typedef struct Rte_struct_TimeSyncLocalTimeType TimeSyncLocalTimeType;
#endif /* Rte_TypeDef_TimeSyncLocalTimeType */
#ifndef Rte_TypeDef_TimeSyncMngMasterRecvMsg
#define Rte_TypeDef_TimeSyncMngMasterRecvMsg
struct Rte_struct_TimeSyncMngMasterRecvMsg {
    struct Rte_struct_TimeStamp masterDataClk;
    struct Rte_struct_TimeStamp masterGnssClk;
    struct Rte_struct_TimeStamp pDelay;
};
typedef struct Rte_struct_TimeSyncMngMasterRecvMsg TimeSyncMngMasterRecvMsg;
#endif /* Rte_TypeDef_TimeSyncMngMasterRecvMsg */
#ifndef Rte_TypeDef_TimeSyncMngSlaveSendMsg
#define Rte_TypeDef_TimeSyncMngSlaveSendMsg
struct Rte_struct_TimeSyncMngSlaveSendMsg {
    struct Rte_struct_TimeStamp slaveRecvDataClk;
    struct Rte_struct_TimeStamp slaveRecvGnssClk;
    struct Rte_struct_TimeStamp slaveSendDataClk;
    struct Rte_struct_TimeStamp slaveSendGnssClk;
    struct Rte_struct_TimeDetal slaveDataDelta;
    struct Rte_struct_TimeDetal slaveGnssDelta;
};
typedef struct Rte_struct_TimeSyncMngSlaveSendMsg TimeSyncMngSlaveSendMsg;
#endif /* Rte_TypeDef_TimeSyncMngSlaveSendMsg */
#ifndef Rte_TypeDef_TysnChOperType
#define Rte_TypeDef_TysnChOperType
struct Rte_struct_TysnChOperType {
    uint8 enable; /* unsigned char */
    uint8 channel; /* unsigned char */
    uint8 operation; /* unsigned char */
};
typedef struct Rte_struct_TysnChOperType TysnChOperType;
#endif /* Rte_TypeDef_TysnChOperType */
#ifndef Rte_TypeDef_TsyncChEnableType
#define Rte_TypeDef_TsyncChEnableType
struct Rte_struct_TsyncChEnableType {
    uint8 version; /* unsigned char */
    struct Rte_struct_TysnChOperType chOper[12];
};
typedef struct Rte_struct_TsyncChEnableType TsyncChEnableType;
#endif /* Rte_TypeDef_TsyncChEnableType */
#ifndef Rte_TypeDef_TsyncDebugSetTimeType
#define Rte_TypeDef_TsyncDebugSetTimeType
struct Rte_struct_TsyncDebugSetTimeType {
    uint8 source; /* unsigned char */
    struct Rte_struct_TimeStamp timeStamp;
};
typedef struct Rte_struct_TsyncDebugSetTimeType TsyncDebugSetTimeType;
#endif /* Rte_TypeDef_TsyncDebugSetTimeType */
#ifndef Rte_TypeDef_TsyncPerMgrTime
#define Rte_TypeDef_TsyncPerMgrTime
struct Rte_struct_TsyncPerMgrTime {
    uint64 mgrTimeStamp; /* unsigned long long */
    unsigned char reserved[23];
    uint8 crc; /* unsigned char */
};
typedef struct Rte_struct_TsyncPerMgrTime TsyncPerMgrTime;
#endif /* Rte_TypeDef_TsyncPerMgrTime */
#ifndef Rte_TypeDef_UdsInfo
#define Rte_TypeDef_UdsInfo
struct Rte_struct_UdsInfo {
    uint32 didArrSize; /* unsigned int */
    struct Rte_struct_DidInfo didArr[8];
};
typedef struct Rte_struct_UdsInfo UdsInfo;
#endif /* Rte_TypeDef_UdsInfo */
#ifndef Rte_TypeDef_Vector
#define Rte_TypeDef_Vector
struct Rte_struct_Vector {
    uint32 len; /* unsigned int */
    unsigned char array[512];
};
typedef struct Rte_struct_Vector Vector;
#endif /* Rte_TypeDef_Vector */
#ifndef Rte_TypeDef_VehicleConfigPara
#define Rte_TypeDef_VehicleConfigPara
struct Rte_struct_VehicleConfigPara {
    unsigned char vehicleFactory[16];
    unsigned char vehicleType[24];
    unsigned char vehicleSensor[16];
    uint8 vehicleAirsuspension; /* unsigned char */
    uint8 vehicleRearActiveSteer; /* unsigned char */
    uint8 vehicleModel; /* unsigned char */
    uint8 vehicleWd; /* unsigned char */
    uint8 vehicleSpoiler; /* unsigned char */
    uint8 vehicleTireSize; /* unsigned char */
    uint8 vehicleCaliper; /* unsigned char */
};
typedef struct Rte_struct_VehicleConfigPara VehicleConfigPara;
#endif /* Rte_TypeDef_VehicleConfigPara */
#ifndef Rte_TypeDef_VehicleParkingCommandStruct
#define Rte_TypeDef_VehicleParkingCommandStruct
struct Rte_struct_VehicleParkingCommandStruct {
    uint8 parkOperation; /* unsigned char */
    uint8 summonInfo; /* unsigned char */
    uint8 parkingAuthorizedConfirm; /* unsigned char */
    uint8 phoneBluetoothHeartbeatSignal; /* unsigned char */
    uint8 remoteDrivingRequest; /* unsigned char */
    uint8 rpaHeartbeatSignal; /* unsigned char */
    uint8 RPA_RemParkModeSelect; /* unsigned char */
    unsigned char ucRsvCommandPara[8];
};
typedef struct Rte_struct_VehicleParkingCommandStruct VehicleParkingCommandStruct;
#endif /* Rte_TypeDef_VehicleParkingCommandStruct */
#ifndef Rte_TypeDef_VehicleParkingStateStruct
#define Rte_TypeDef_VehicleParkingStateStruct
struct Rte_struct_VehicleParkingStateStruct {
    uint8 parkingState; /* unsigned char */
    uint8 parkingMode; /* unsigned char */
    uint8 targetDirection; /* unsigned char */
    struct Rte_struct_ParkRoadPointStruct vertexLocal[4];
    struct Rte_struct_ParkRoadPointStruct trajectoryPoint[20];
    float32 remainDistanceCurrent; /* float */
    float32 remainPercentTotal; /* float */
    uint8 uss_distance_list; /* unsigned char */
    uint8 rpaAuthorized; /* unsigned char */
    uint8 APA_RPAFctUnavlMsgs; /* unsigned char */
    uint8 APA_RPACnclMsgs; /* unsigned char */
    uint8 APA_RPAPauseMsgs; /* unsigned char */
    uint8 APA_RPAResuAvlMsgs; /* unsigned char */
    unsigned char ucRsvStatePara[8];
    uint8 parkOutDir_ParallelLeft_enable; /* unsigned char */
    uint8 parkOutDir_ParallelRight; /* unsigned char */
    uint8 parkOutDir_PerpendicularForward; /* unsigned char */
    uint8 parkOutDir_PerpendicularLeftForward; /* unsigned char */
    uint8 parkOutDir_PerpendicularRightForward; /* unsigned char */
    uint8 parkOutDir_PerpendicularLeftBack; /* unsigned char */
    uint8 parkOutDir_PerpendicularRightBack; /* unsigned char */
    uint8 parkOutDir_PerpendicularBack; /* unsigned char */
};
typedef struct Rte_struct_VehicleParkingStateStruct VehicleParkingStateStruct;
#endif /* Rte_TypeDef_VehicleParkingStateStruct */
#ifndef Rte_TypeDef_VlcAlgoParamType
#define Rte_TypeDef_VlcAlgoParamType
typedef unsigned char VlcAlgoParamType[64];
#endif /* Rte_TypeDef_VlcAlgoParamType */
#ifndef Rte_TypeDef_VlcStateInfo
#define Rte_TypeDef_VlcStateInfo
struct Rte_struct_VlcStateInfo {
    boolean steerInterrupt; /* unsigned char */
    boolean brakeInterrupt; /* unsigned char */
    boolean throttleInterrupt; /* unsigned char */
    boolean heavyBrakeInterrupt; /* unsigned char */
    boolean bodyInterrupt; /* unsigned char */
    uint8 vlcState; /* unsigned char */
    uint8 vlcDdiStatus; /* unsigned char */
    uint8 apaStopStatus; /* unsigned char */
    uint8 rpaStopReason; /* unsigned char */
    uint8 reservedStatus1; /* unsigned char */
    uint8 reservedStatus2; /* unsigned char */
    uint8 reservedStatus3; /* unsigned char */
    uint8 vlcLongiEnable; /* unsigned char */
    uint8 vlcLateralEnable; /* unsigned char */
    uint8 adsFunction; /* unsigned char */
    uint8 longBrakeMode; /* unsigned char */
    uint8 heavyThrottleOverride; /* unsigned char */
    uint8 steerAngleEnable; /* unsigned char */
    uint8 steerTorqueEnable; /* unsigned char */
    uint8 gearEnable; /* unsigned char */
    uint8 gearRequest; /* unsigned char */
    uint8 epbEnable; /* unsigned char */
    uint8 epbRequest; /* unsigned char */
    uint8 accCommonPidParamsReset; /* unsigned char */
    uint8 apaCommonPidParamsReset; /* unsigned char */
    uint8 apaStuckVehStkFlgForStart; /* unsigned char */
    uint8 apaStuckVehStkFlgForPassBy; /* unsigned char */
    uint8 apaStuckVehStkFlgOn2OffDly; /* unsigned char */
    uint8 apaStuckPidParamsReset; /* unsigned char */
    uint8 aebCommonPidParamsReset; /* unsigned char */
    float32 slopeEst; /* float */
    float32 axEst; /* float */
    float32 biasEst; /* float */
    float32 torqueIntegration; /* float */
    float32 torqueFeedback; /* float */
    float32 brakeTorque; /* float */
    float32 driveTorque; /* float */
    float32 reservedParam1; /* float */
    float32 reservedParam2; /* float */
    float32 reservedParam3; /* float */
    float32 axError; /* float */
    float32 spdError; /* float */
    float32 vehSpdEst; /* float */
    float32 totalTrackingTorque; /* float */
    float32 steerAngleCmd; /* float */
    float32 steerTorqueCmd; /* float */
    float32 latTakeOverFac; /* float */
    float32 longAccelerationCmd; /* float */
    float32 feedForwardSlopeTorque; /* float */
    float32 feedForwardAxTorque; /* float */
    float32 feedForwardSpeedTorque; /* float */
    float32 accCommonPidParamsP; /* float */
    float32 accCommonPidParamsI; /* float */
    float32 apaCommonPidParamsP; /* float */
    float32 apaCommonPidParamsI; /* float */
    float32 apaPIBrakeFactor; /* float */
    float32 apaPSlopeFactor; /* float */
    float32 apaStuckPidParamsP; /* float */
    float32 apaStuckPidParamsI; /* float */
    float32 apaStuckTorque; /* float */
    float32 aebCommonPidParamsP; /* float */
    float32 aebCommonPidParamsI; /* float */
};
typedef struct Rte_struct_VlcStateInfo VlcStateInfo;
#endif /* Rte_TypeDef_VlcStateInfo */
#ifndef Rte_TypeDef_VoidPtr
#define Rte_TypeDef_VoidPtr
typedef P2VAR(void, TYPEDEF, RTE_APPL_DATA) VoidPtr;
#endif /* Rte_TypeDef_VoidPtr */
#ifndef Rte_TypeDef_VoltSingleSignal
#define Rte_TypeDef_VoltSingleSignal
struct Rte_struct_VoltSingleSignal {
    uint32 volt; /* unsigned int */
    uint8 valid; /* unsigned char */
};
typedef struct Rte_struct_VoltSingleSignal VoltSingleSignal;
#endif /* Rte_TypeDef_VoltSingleSignal */
#ifndef Rte_TypeDef_VoltGroup
#define Rte_TypeDef_VoltGroup
typedef struct Rte_struct_VoltSingleSignal VoltGroup[64];
#endif /* Rte_TypeDef_VoltGroup */
#ifndef Rte_TypeDef_Vosm_CoreIdType
#define Rte_TypeDef_Vosm_CoreIdType
typedef uint32 Vosm_CoreIdType;
#endif /* Rte_TypeDef_Vosm_CoreIdType */
#ifndef Rte_TypeDef_Vosm_CpuUsageType
#define Rte_TypeDef_Vosm_CpuUsageType
typedef uint8 Vosm_CpuUsageType;
#endif /* Rte_TypeDef_Vosm_CpuUsageType */
#ifndef Rte_TypeDef_Vosm_StackUsageType
#define Rte_TypeDef_Vosm_StackUsageType
typedef uint32_least Vosm_StackUsageType;
#endif /* Rte_TypeDef_Vosm_StackUsageType */
#ifndef Rte_TypeDef_WdgM_CheckpointIdType
#define Rte_TypeDef_WdgM_CheckpointIdType
typedef uint16 WdgM_CheckpointIdType;
#endif /* Rte_TypeDef_WdgM_CheckpointIdType */
#ifndef Rte_TypeDef_WdgM_GlobalStatusType
#define Rte_TypeDef_WdgM_GlobalStatusType
typedef uint8 WdgM_GlobalStatusType;
#endif /* Rte_TypeDef_WdgM_GlobalStatusType */
#ifndef Rte_TypeDef_WdgM_LocalStatusType
#define Rte_TypeDef_WdgM_LocalStatusType
typedef uint8 WdgM_LocalStatusType;
#endif /* Rte_TypeDef_WdgM_LocalStatusType */
#ifndef Rte_TypeDef_WdgM_ModeType
#define Rte_TypeDef_WdgM_ModeType
typedef uint8 WdgM_ModeType;
#endif /* Rte_TypeDef_WdgM_ModeType */
#ifndef Rte_TypeDef_WdgM_SupervisedEntityIdType
#define Rte_TypeDef_WdgM_SupervisedEntityIdType
typedef uint16 WdgM_SupervisedEntityIdType;
#endif /* Rte_TypeDef_WdgM_SupervisedEntityIdType */
#ifndef Rte_TypeDef_WorkModeType
#define Rte_TypeDef_WorkModeType
typedef uint8 WorkModeType;
#endif /* Rte_TypeDef_WorkModeType */
#ifndef Rte_TypeDef_WriteDidRequestType
#define Rte_TypeDef_WriteDidRequestType
struct Rte_struct_WriteDidRequestType {
    uint16 id; /* unsigned short */
    uint8 type; /* unsigned char */
    uint8 didSize; /* unsigned char */
    unsigned char didData[64];
};
typedef struct Rte_struct_WriteDidRequestType WriteDidRequestType;
#endif /* Rte_TypeDef_WriteDidRequestType */
#ifndef Rte_TypeDef_constUint8Ptr
#define Rte_TypeDef_constUint8Ptr
typedef P2CONST(unsigned char, TYPEDEF, RTE_APPL_DATA) constUint8Ptr;
#endif /* Rte_TypeDef_constUint8Ptr */
#ifndef Rte_TypeDef_dbcVersionType
#define Rte_TypeDef_dbcVersionType
typedef unsigned char dbcVersionType[4];
#endif /* Rte_TypeDef_dbcVersionType */
#ifndef Rte_TypeDef_dbcVersionGroupType
#define Rte_TypeDef_dbcVersionGroupType
struct Rte_struct_dbcVersionGroupType {
    dbcVersionType channel0; /* unsigned char with size [4] */
    dbcVersionType channel1; /* unsigned char with size [4] */
    dbcVersionType channel2; /* unsigned char with size [4] */
};
typedef struct Rte_struct_dbcVersionGroupType dbcVersionGroupType;
#endif /* Rte_TypeDef_dbcVersionGroupType */
#ifndef Rte_TypeDef_dtRef_VOID
#define Rte_TypeDef_dtRef_VOID
typedef P2VAR(void, TYPEDEF, RTE_APPL_DATA) dtRef_VOID;
#endif /* Rte_TypeDef_dtRef_VOID */
#ifndef Rte_TypeDef_dtRef_const_VOID
#define Rte_TypeDef_dtRef_const_VOID
typedef P2CONST(void, TYPEDEF, RTE_APPL_DATA) dtRef_const_VOID;
#endif /* Rte_TypeDef_dtRef_const_VOID */
#ifndef Rte_TypeDef_freshnessValueLengthType
#define Rte_TypeDef_freshnessValueLengthType
typedef uint32 freshnessValueLengthType;
#endif /* Rte_TypeDef_freshnessValueLengthType */
#ifndef Rte_TypeDef_freshnessValueType
#define Rte_TypeDef_freshnessValueType
typedef unsigned char freshnessValueType[8];
#endif /* Rte_TypeDef_freshnessValueType */
#ifndef Rte_TypeDef_reduntState
#define Rte_TypeDef_reduntState
struct Rte_struct_reduntState {
    boolean isEpsStandby; /* unsigned char */
    boolean isEspStandby; /* unsigned char */
};
typedef struct Rte_struct_reduntState reduntState;
#endif /* Rte_TypeDef_reduntState */
#ifndef Rte_TypeDef_uint8Ptr_v
#define Rte_TypeDef_uint8Ptr_v
typedef P2VAR(unsigned char, TYPEDEF, RTE_APPL_DATA) uint8Ptr_v;
#endif /* Rte_TypeDef_uint8Ptr_v */
#ifndef Rte_TypeDef_voidPtr
#define Rte_TypeDef_voidPtr
typedef P2VAR(void, TYPEDEF, RTE_APPL_DATA) voidPtr;
#endif /* Rte_TypeDef_voidPtr */

/***************************************************************************
 *
 * PerInstanceMemory data types
 *
 **************************************************************************/

typedef uint8 Rte_TransformerErrorCode;
typedef uint8 Rte_TransformerClass;

struct Rte_TransformerError {
    Rte_TransformerErrorCode errorCode;
    Rte_TransformerClass transformerClass;
};
typedef struct Rte_TransformerError Rte_TransformerError;

#ifndef RTE_CS_TRANSACTION_HANDLE_TYPE
#define RTE_CS_TRANSACTION_HANDLE_TYPE
typedef struct {
    uint16 clientId;
    uint16 sequenceCounter;
} Rte_Cs_TransactionHandleType;
#endif

#ifndef RTE_ASYNC_CALL_COMCTRLCANCONFIG_SETCHNLPARAM
#define RTE_ASYNC_CALL_COMCTRLCANCONFIG_SETCHNLPARAM
struct Rte_AsyncCall_ComCtrlCanConfig_setChnlParam {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(DcComCtrlCanChnl, AUTOMATIC) Rte_arg_ChnlParam;
    VAR(DcComCtrlCanRetType, AUTOMATIC) Rte_arg_RetVal;
};
typedef struct Rte_AsyncCall_ComCtrlCanConfig_setChnlParam Rte_AsyncCall_ComCtrlCanConfig_setChnlParam;
#endif
#ifndef RTE_ASYNC_CALL_ETHTRIGGERDELAYEDACTIVATION_CNTDELAY
#define RTE_ASYNC_CALL_ETHTRIGGERDELAYEDACTIVATION_CNTDELAY
struct Rte_AsyncCall_EthTriggerDelayedActivation_cntDelay {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint16, AUTOMATIC) Rte_arg_cntDelay;
};
typedef struct Rte_AsyncCall_EthTriggerDelayedActivation_cntDelay Rte_AsyncCall_EthTriggerDelayedActivation_cntDelay;
#endif
#ifndef RTE_ASYNC_CALL_EXWDGQUESTIONREPORT_EXWDGQUESTIONREPORT
#define RTE_ASYNC_CALL_EXWDGQUESTIONREPORT_EXWDGQUESTIONREPORT
struct Rte_AsyncCall_ExWdgQuestionReport_ExWdgQuestionReport {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(QuestionMsg, AUTOMATIC) Rte_arg_QuestionInfo;
    VAR(sint32, AUTOMATIC) Rte_arg_Status;
};
typedef struct Rte_AsyncCall_ExWdgQuestionReport_ExWdgQuestionReport Rte_AsyncCall_ExWdgQuestionReport_ExWdgQuestionReport;
#endif
#ifndef RTE_ASYNC_CALL_FMREPORTSERVICE_FMREPORTINFO
#define RTE_ASYNC_CALL_FMREPORTSERVICE_FMREPORTINFO
struct Rte_AsyncCall_FmReportService_FmReportInfo {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(FmMsgHeader, AUTOMATIC) Rte_arg_head;
    VAR(Vector, AUTOMATIC) Rte_arg_data;
    VAR(FmReturnType, AUTOMATIC) Rte_arg_retInfo;
};
typedef struct Rte_AsyncCall_FmReportService_FmReportInfo Rte_AsyncCall_FmReportService_FmReportInfo;
#endif
#ifndef RTE_ASYNC_CALL_FMSERVICE_FMREPORTEVENT
#define RTE_ASYNC_CALL_FMSERVICE_FMREPORTEVENT
struct Rte_AsyncCall_FmService_FmReportEvent {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(sint32, AUTOMATIC) Rte_arg_ret;
    VAR(FmEventInfo, AUTOMATIC) Rte_arg_eventInfo;
};
typedef struct Rte_AsyncCall_FmService_FmReportEvent Rte_AsyncCall_FmService_FmReportEvent;
#endif
#ifndef RTE_ASYNC_CALL_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE
#define RTE_ASYNC_CALL_LOGSWCMESSAGESERVICE_SENDLOGMESSAGE
struct Rte_AsyncCall_LogSwcMessageService_SendLogMessage {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel;
    VAR(Dlt_ApplicationIDType, AUTOMATIC) Rte_arg_appId;
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId;
    VAR(Log_ContentType, AUTOMATIC) Rte_arg_logData;
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength;
};
typedef struct Rte_AsyncCall_LogSwcMessageService_SendLogMessage Rte_AsyncCall_LogSwcMessageService_SendLogMessage;
#endif
#ifndef RTE_ASYNC_CALL_LPMOPERSOCPOWER_LPMOPERSOCPOWER
#define RTE_ASYNC_CALL_LPMOPERSOCPOWER_LPMOPERSOCPOWER
struct Rte_AsyncCall_LpmOperSocPower_LpmOperSocPower {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(LPM_ReqType, AUTOMATIC) Rte_arg_req;
};
typedef struct Rte_AsyncCall_LpmOperSocPower_LpmOperSocPower Rte_AsyncCall_LpmOperSocPower_LpmOperSocPower;
#endif
#ifndef RTE_ASYNC_CALL_LPMPOWERONSOCREQ_LPMPOWERONSOCREQ
#define RTE_ASYNC_CALL_LPMPOWERONSOCREQ_LPMPOWERONSOCREQ
struct Rte_AsyncCall_LpmPowerOnSocReq_LpmPowerOnSocReq {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint8, AUTOMATIC) Rte_arg_userId;
    VAR(uint8, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_AsyncCall_LpmPowerOnSocReq_LpmPowerOnSocReq Rte_AsyncCall_LpmPowerOnSocReq_LpmPowerOnSocReq;
#endif
#ifndef RTE_ASYNC_CALL_LPMSETDEBUGSTATE_LPMSETDEBUG
#define RTE_ASYNC_CALL_LPMSETDEBUGSTATE_LPMSETDEBUG
struct Rte_AsyncCall_LpmSetDebugState_LpmSetDebug {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(LPM_DebugType, AUTOMATIC) Rte_arg_debugSts;
};
typedef struct Rte_AsyncCall_LpmSetDebugState_LpmSetDebug Rte_AsyncCall_LpmSetDebugState_LpmSetDebug;
#endif
#ifndef RTE_ASYNC_CALL_LPMSETMONITORSTATE_LPMSETMONITOR
#define RTE_ASYNC_CALL_LPMSETMONITORSTATE_LPMSETMONITOR
struct Rte_AsyncCall_LpmSetMonitorState_LpmSetMonitor {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(LPM_ReqType, AUTOMATIC) Rte_arg_reqMonitor;
    VAR(LPM_OprMonitorType, AUTOMATIC) Rte_arg_operation;
};
typedef struct Rte_AsyncCall_LpmSetMonitorState_LpmSetMonitor Rte_AsyncCall_LpmSetMonitorState_LpmSetMonitor;
#endif
#ifndef RTE_ASYNC_CALL_LPMSETVARVALUE_LPMSETVARVALUE
#define RTE_ASYNC_CALL_LPMSETVARVALUE_LPMSETVARVALUE
struct Rte_AsyncCall_LpmSetVarValue_LpmSetVarValue {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint8, AUTOMATIC) Rte_arg_varId;
    VAR(uint8, AUTOMATIC) Rte_arg_srcValue;
    VAR(uint8, AUTOMATIC) Rte_arg_dstValue;
    VAR(uint32, AUTOMATIC) Rte_arg_delayTime;
};
typedef struct Rte_AsyncCall_LpmSetVarValue_LpmSetVarValue Rte_AsyncCall_LpmSetVarValue_LpmSetVarValue;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_ADDCANMASKFILTER
#define RTE_ASYNC_CALL_MIRRORCONTROL_ADDCANMASKFILTER
struct Rte_AsyncCall_MirrorControl_AddCanMaskFilter {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_id;
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_mask;
};
typedef struct Rte_AsyncCall_MirrorControl_AddCanMaskFilter Rte_AsyncCall_MirrorControl_AddCanMaskFilter;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_ADDCANRANGEFILTER
#define RTE_ASYNC_CALL_MIRRORCONTROL_ADDCANRANGEFILTER
struct Rte_AsyncCall_MirrorControl_AddCanRangeFilter {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_lowerId;
    VAR(Mirror_CanIdType, AUTOMATIC) Rte_arg_upperId;
};
typedef struct Rte_AsyncCall_MirrorControl_AddCanRangeFilter Rte_AsyncCall_MirrorControl_AddCanRangeFilter;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_ADDLINMASKFILTER
#define RTE_ASYNC_CALL_MIRRORCONTROL_ADDLINMASKFILTER
struct Rte_AsyncCall_MirrorControl_AddLinMaskFilter {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
    VAR(uint8, AUTOMATIC) Rte_arg_id;
    VAR(uint8, AUTOMATIC) Rte_arg_mask;
};
typedef struct Rte_AsyncCall_MirrorControl_AddLinMaskFilter Rte_AsyncCall_MirrorControl_AddLinMaskFilter;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_ADDLINRANGEFILTER
#define RTE_ASYNC_CALL_MIRRORCONTROL_ADDLINRANGEFILTER
struct Rte_AsyncCall_MirrorControl_AddLinRangeFilter {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
    VAR(uint8, AUTOMATIC) Rte_arg_lowerId;
    VAR(uint8, AUTOMATIC) Rte_arg_upperId;
};
typedef struct Rte_AsyncCall_MirrorControl_AddLinRangeFilter Rte_AsyncCall_MirrorControl_AddLinRangeFilter;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_GETDESTNETWORK_RTE
#define RTE_ASYNC_CALL_MIRRORCONTROL_GETDESTNETWORK_RTE
struct Rte_AsyncCall_MirrorControl_GetDestNetwork_Rte {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
};
typedef struct Rte_AsyncCall_MirrorControl_GetDestNetwork_Rte Rte_AsyncCall_MirrorControl_GetDestNetwork_Rte;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_GETNETWORKHANDLE_RTE
#define RTE_ASYNC_CALL_MIRRORCONTROL_GETNETWORKHANDLE_RTE
struct Rte_AsyncCall_MirrorControl_GetNetworkHandle_Rte {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Mirror_NetworkType, AUTOMATIC) Rte_arg_networkType;
    VAR(uint8, AUTOMATIC) Rte_arg_networkId;
    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
};
typedef struct Rte_AsyncCall_MirrorControl_GetNetworkHandle_Rte Rte_AsyncCall_MirrorControl_GetNetworkHandle_Rte;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_GETNETWORKID_RTE
#define RTE_ASYNC_CALL_MIRRORCONTROL_GETNETWORKID_RTE
struct Rte_AsyncCall_MirrorControl_GetNetworkId_Rte {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_networkId;
};
typedef struct Rte_AsyncCall_MirrorControl_GetNetworkId_Rte Rte_AsyncCall_MirrorControl_GetNetworkId_Rte;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_GETNETWORKTYPE_RTE
#define RTE_ASYNC_CALL_MIRRORCONTROL_GETNETWORKTYPE_RTE
struct Rte_AsyncCall_MirrorControl_GetNetworkType_Rte {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(Mirror_NetworkType, AUTOMATIC) Rte_arg_networkType;
};
typedef struct Rte_AsyncCall_MirrorControl_GetNetworkType_Rte Rte_AsyncCall_MirrorControl_GetNetworkType_Rte;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_GETSTATICFILTERSTATE
#define RTE_ASYNC_CALL_MIRRORCONTROL_GETSTATICFILTERSTATE
struct Rte_AsyncCall_MirrorControl_GetStaticFilterState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
    VAR(boolean, AUTOMATIC) Rte_arg_isActive;
};
typedef struct Rte_AsyncCall_MirrorControl_GetStaticFilterState Rte_AsyncCall_MirrorControl_GetStaticFilterState;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_ISMIRRORACTIVE_RTE
#define RTE_ASYNC_CALL_MIRRORCONTROL_ISMIRRORACTIVE_RTE
struct Rte_AsyncCall_MirrorControl_IsMirrorActive_Rte {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(boolean, AUTOMATIC) Rte_arg_mirrorActive;
};
typedef struct Rte_AsyncCall_MirrorControl_IsMirrorActive_Rte Rte_AsyncCall_MirrorControl_IsMirrorActive_Rte;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_ISSOURCENETWORKSTARTED_RTE
#define RTE_ASYNC_CALL_MIRRORCONTROL_ISSOURCENETWORKSTARTED_RTE
struct Rte_AsyncCall_MirrorControl_IsSourceNetworkStarted_Rte {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(boolean, AUTOMATIC) Rte_arg_sourceNetworkStarted;
};
typedef struct Rte_AsyncCall_MirrorControl_IsSourceNetworkStarted_Rte Rte_AsyncCall_MirrorControl_IsSourceNetworkStarted_Rte;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_OFFLINE
#define RTE_ASYNC_CALL_MIRRORCONTROL_OFFLINE
struct Rte_AsyncCall_MirrorControl_Offline {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
};
typedef struct Rte_AsyncCall_MirrorControl_Offline Rte_AsyncCall_MirrorControl_Offline;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_REMOVEFILTER
#define RTE_ASYNC_CALL_MIRRORCONTROL_REMOVEFILTER
struct Rte_AsyncCall_MirrorControl_RemoveFilter {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
};
typedef struct Rte_AsyncCall_MirrorControl_RemoveFilter Rte_AsyncCall_MirrorControl_RemoveFilter;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_SETSTATICFILTERSTATE
#define RTE_ASYNC_CALL_MIRRORCONTROL_SETSTATICFILTERSTATE
struct Rte_AsyncCall_MirrorControl_SetStaticFilterState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
    VAR(uint8, AUTOMATIC) Rte_arg_filterId;
    VAR(boolean, AUTOMATIC) Rte_arg_isActive;
};
typedef struct Rte_AsyncCall_MirrorControl_SetStaticFilterState Rte_AsyncCall_MirrorControl_SetStaticFilterState;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_STARTSOURCENETWORK
#define RTE_ASYNC_CALL_MIRRORCONTROL_STARTSOURCENETWORK
struct Rte_AsyncCall_MirrorControl_StartSourceNetwork {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
};
typedef struct Rte_AsyncCall_MirrorControl_StartSourceNetwork Rte_AsyncCall_MirrorControl_StartSourceNetwork;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_STOPSOURCENETWORK
#define RTE_ASYNC_CALL_MIRRORCONTROL_STOPSOURCENETWORK
struct Rte_AsyncCall_MirrorControl_StopSourceNetwork {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
};
typedef struct Rte_AsyncCall_MirrorControl_StopSourceNetwork Rte_AsyncCall_MirrorControl_StopSourceNetwork;
#endif
#ifndef RTE_ASYNC_CALL_MIRRORCONTROL_SWITCHDESTNETWORK
#define RTE_ASYNC_CALL_MIRRORCONTROL_SWITCHDESTNETWORK
struct Rte_AsyncCall_MirrorControl_SwitchDestNetwork {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NetworkHandleType, AUTOMATIC) Rte_arg_network;
};
typedef struct Rte_AsyncCall_MirrorControl_SwitchDestNetwork Rte_AsyncCall_MirrorControl_SwitchDestNetwork;
#endif
#ifndef RTE_ASYNC_CALL_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT
#define RTE_ASYNC_CALL_MNTCMDLINERESPONSERESULT_MNTCMDLINERESPONSERESULT
struct Rte_AsyncCall_MntCmdLineResponseResult_MntCmdLineResponseResult {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(MntCmdParamsArrayType, AUTOMATIC) Rte_arg_cmdParamArray;
    VAR(uint8, AUTOMATIC) Rte_arg_groupNum;
    VAR(uint8, AUTOMATIC) Rte_arg_groupIndex;
    VAR(MntCmdResultStr, AUTOMATIC) Rte_arg_resultString;
    VAR(uint32, AUTOMATIC) Rte_arg_resultLen;
};
typedef struct Rte_AsyncCall_MntCmdLineResponseResult_MntCmdLineResponseResult Rte_AsyncCall_MntCmdLineResponseResult_MntCmdLineResponseResult;
#endif
#ifndef RTE_ASYNC_CALL_NMSERVICE_CONTROLCAN
#define RTE_ASYNC_CALL_NMSERVICE_CONTROLCAN
struct Rte_AsyncCall_NmService_ControlCan {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NmCanControl, AUTOMATIC) Rte_arg_ctrl;
    VAR(NmCanUser, AUTOMATIC) Rte_arg_userId;
};
typedef struct Rte_AsyncCall_NmService_ControlCan Rte_AsyncCall_NmService_ControlCan;
#endif
#ifndef RTE_ASYNC_CALL_NMSERVICE_CONTROLCOM
#define RTE_ASYNC_CALL_NMSERVICE_CONTROLCOM
struct Rte_AsyncCall_NmService_ControlCom {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint8, AUTOMATIC) Rte_arg_channelId;
    VAR(SaDirectionType, AUTOMATIC) Rte_arg_direction;
    VAR(SaControlType, AUTOMATIC) Rte_arg_control;
    VAR(Nm_UserType, AUTOMATIC) Rte_arg_user;
};
typedef struct Rte_AsyncCall_NmService_ControlCom Rte_AsyncCall_NmService_ControlCom;
#endif
#ifndef RTE_ASYNC_CALL_NMSERVICE_EXTERNALCANNMCTRL
#define RTE_ASYNC_CALL_NMSERVICE_EXTERNALCANNMCTRL
struct Rte_AsyncCall_NmService_ExternalCanNmCtrl {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint8, AUTOMATIC) Rte_arg_ctrl;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_AsyncCall_NmService_ExternalCanNmCtrl Rte_AsyncCall_NmService_ExternalCanNmCtrl;
#endif
#ifndef RTE_ASYNC_CALL_NMSERVICE_INTERNALCANNMCTRL
#define RTE_ASYNC_CALL_NMSERVICE_INTERNALCANNMCTRL
struct Rte_AsyncCall_NmService_InternalCanNmCtrl {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint8, AUTOMATIC) Rte_arg_chnlId;
    VAR(uint8, AUTOMATIC) Rte_arg_pncId;
    VAR(uint8, AUTOMATIC) Rte_arg_ctrl;
    VAR(uint8, AUTOMATIC) Rte_arg_userId;
};
typedef struct Rte_AsyncCall_NmService_InternalCanNmCtrl Rte_AsyncCall_NmService_InternalCanNmCtrl;
#endif
#ifndef RTE_ASYNC_CALL_NRMCOMCTRLUPDATECHNLBYUSER_UPDATECHNLCONFIGBYUSER
#define RTE_ASYNC_CALL_NRMCOMCTRLUPDATECHNLBYUSER_UPDATECHNLCONFIGBYUSER
struct Rte_AsyncCall_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(DcComCtrlCanChnl, AUTOMATIC) Rte_arg_chnlConfig;
    VAR(uint8, AUTOMATIC) Rte_arg_userId;
    VAR(uint32, AUTOMATIC) Rte_arg_durationTime;
    VAR(uint8, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_AsyncCall_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser Rte_AsyncCall_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_ERASEBLOCK
#define RTE_ASYNC_CALL_NVMSERVICE_ERASEBLOCK
struct Rte_AsyncCall_NvMService_EraseBlock {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
};
typedef struct Rte_AsyncCall_NvMService_EraseBlock Rte_AsyncCall_NvMService_EraseBlock;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_GETDATAINDEX
#define RTE_ASYNC_CALL_NVMSERVICE_GETDATAINDEX
struct Rte_AsyncCall_NvMService_GetDataIndex {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(uint8, AUTOMATIC) Rte_arg_DataIndexPtr;
};
typedef struct Rte_AsyncCall_NvMService_GetDataIndex Rte_AsyncCall_NvMService_GetDataIndex;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_GETERRORSTATUS
#define RTE_ASYNC_CALL_NVMSERVICE_GETERRORSTATUS
struct Rte_AsyncCall_NvMService_GetErrorStatus {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(NvM_RequestResultType, AUTOMATIC) Rte_arg_RequestResultPtr;
};
typedef struct Rte_AsyncCall_NvMService_GetErrorStatus Rte_AsyncCall_NvMService_GetErrorStatus;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_INVALIDATENVBLOCK
#define RTE_ASYNC_CALL_NVMSERVICE_INVALIDATENVBLOCK
struct Rte_AsyncCall_NvMService_InvalidateNvBlock {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
};
typedef struct Rte_AsyncCall_NvMService_InvalidateNvBlock Rte_AsyncCall_NvMService_InvalidateNvBlock;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_READBLOCK
#define RTE_ASYNC_CALL_NVMSERVICE_READBLOCK
struct Rte_AsyncCall_NvMService_ReadBlock {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(VoidPtr, AUTOMATIC) Rte_arg_DstPtr;
};
typedef struct Rte_AsyncCall_NvMService_ReadBlock Rte_AsyncCall_NvMService_ReadBlock;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_READPRAMBLOCK
#define RTE_ASYNC_CALL_NVMSERVICE_READPRAMBLOCK
struct Rte_AsyncCall_NvMService_ReadPRAMBlock {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
};
typedef struct Rte_AsyncCall_NvMService_ReadPRAMBlock Rte_AsyncCall_NvMService_ReadPRAMBlock;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_RESTOREBLOCKDEFAULTS
#define RTE_ASYNC_CALL_NVMSERVICE_RESTOREBLOCKDEFAULTS
struct Rte_AsyncCall_NvMService_RestoreBlockDefaults {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(VoidPtr, AUTOMATIC) Rte_arg_DstPtr;
};
typedef struct Rte_AsyncCall_NvMService_RestoreBlockDefaults Rte_AsyncCall_NvMService_RestoreBlockDefaults;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_RESTOREPRAMBLOCKDEFAULTS
#define RTE_ASYNC_CALL_NVMSERVICE_RESTOREPRAMBLOCKDEFAULTS
struct Rte_AsyncCall_NvMService_RestorePRAMBlockDefaults {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
};
typedef struct Rte_AsyncCall_NvMService_RestorePRAMBlockDefaults Rte_AsyncCall_NvMService_RestorePRAMBlockDefaults;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_SETDATAINDEX
#define RTE_ASYNC_CALL_NVMSERVICE_SETDATAINDEX
struct Rte_AsyncCall_NvMService_SetDataIndex {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(uint8, AUTOMATIC) Rte_arg_DataIndex;
};
typedef struct Rte_AsyncCall_NvMService_SetDataIndex Rte_AsyncCall_NvMService_SetDataIndex;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_SETRAMBLOCKSTATUS
#define RTE_ASYNC_CALL_NVMSERVICE_SETRAMBLOCKSTATUS
struct Rte_AsyncCall_NvMService_SetRamBlockStatus {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(boolean, AUTOMATIC) Rte_arg_BlockChanged;
};
typedef struct Rte_AsyncCall_NvMService_SetRamBlockStatus Rte_AsyncCall_NvMService_SetRamBlockStatus;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_WRITEBLOCK
#define RTE_ASYNC_CALL_NVMSERVICE_WRITEBLOCK
struct Rte_AsyncCall_NvMService_WriteBlock {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
    VAR(ConstVoidPtr, AUTOMATIC) Rte_arg_SrcPtr;
};
typedef struct Rte_AsyncCall_NvMService_WriteBlock Rte_AsyncCall_NvMService_WriteBlock;
#endif
#ifndef RTE_ASYNC_CALL_NVMSERVICE_WRITEPRAMBLOCK
#define RTE_ASYNC_CALL_NVMSERVICE_WRITEPRAMBLOCK
struct Rte_AsyncCall_NvMService_WritePRAMBlock {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(NvM_BlockIdType, AUTOMATIC) portDefinedArgument1;
};
typedef struct Rte_AsyncCall_NvMService_WritePRAMBlock Rte_AsyncCall_NvMService_WritePRAMBlock;
#endif
#ifndef RTE_ASYNC_CALL_REPORTALARM_REPORTALARM
#define RTE_ASYNC_CALL_REPORTALARM_REPORTALARM
struct Rte_AsyncCall_ReportAlarm_ReportAlarm {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(AlarmInfoCore, AUTOMATIC) Rte_arg_info;
};
typedef struct Rte_AsyncCall_ReportAlarm_ReportAlarm Rte_AsyncCall_ReportAlarm_ReportAlarm;
#endif
#ifndef RTE_ASYNC_CALL_SMREQPLATSTATE_SMREQPLATSTATE
#define RTE_ASYNC_CALL_SMREQPLATSTATE_SMREQPLATSTATE
struct Rte_AsyncCall_SmReqPlatState_SmReqPlatState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(uint8, AUTOMATIC) Rte_arg_targetState;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(Array64, AUTOMATIC) Rte_arg_para;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_AsyncCall_SmReqPlatState_SmReqPlatState Rte_AsyncCall_SmReqPlatState_SmReqPlatState;
#endif

#ifndef RTE_SYNC_CALL_DATASERVICES_DCMDSPDATA_0X9206_READDATA
#define RTE_SYNC_CALL_DATASERVICES_DCMDSPDATA_0X9206_READDATA
struct Rte_SyncCall_DataServices_DcmDspData_0x9206_ReadData {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Dcm_OpStatusType, AUTOMATIC) Rte_arg_OpStatus;
    VAR(Dcm_DataElement_DcmDspData_0x9206_ArrayType, AUTOMATIC) Rte_arg_Data;
};
typedef struct Rte_SyncCall_DataServices_DcmDspData_0x9206_ReadData Rte_SyncCall_DataServices_DcmDspData_0x9206_ReadData;
#endif
#ifndef RTE_SYNC_CALL_DATASERVICES_DCMDSPDATA_0X9206_WRITEDATA
#define RTE_SYNC_CALL_DATASERVICES_DCMDSPDATA_0X9206_WRITEDATA
struct Rte_SyncCall_DataServices_DcmDspData_0x9206_WriteData {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Dcm_DataElement_DcmDspData_0x9206_ArrayType, AUTOMATIC) Rte_arg_Data;
    VAR(Dcm_OpStatusType, AUTOMATIC) Rte_arg_OpStatus;
    VAR(Dcm_NegativeResponseCodeType, AUTOMATIC) Rte_arg_ErrorCode;
};
typedef struct Rte_SyncCall_DataServices_DcmDspData_0x9206_WriteData Rte_SyncCall_DataServices_DcmDspData_0x9206_WriteData;
#endif
#ifndef RTE_SYNC_CALL_ROUTINESERVICES_DCMDSPROUTINE_0XF100_REQUESTRESULTS
#define RTE_SYNC_CALL_ROUTINESERVICES_DCMDSPROUTINE_0XF100_REQUESTRESULTS
struct Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_RequestResults {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Dcm_RequestDataIn_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsInSignal_0Type, AUTOMATIC) Rte_arg_DataIn_DcmDspRequestRoutineResultsInSignal_0;
    VAR(Dcm_OpStatusType, AUTOMATIC) Rte_arg_OpStatus;
    VAR(Dcm_RequestDataOut_DcmDspRoutine_0xF100_DcmDspRequestRoutineResultsOutSignal_0Type, AUTOMATIC) Rte_arg_DataOut_DcmDspRequestRoutineResultsOutSignal_0;
    VAR(Dcm_NegativeResponseCodeType, AUTOMATIC) Rte_arg_ErrorCode;
};
typedef struct Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_RequestResults Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_RequestResults;
#endif
#ifndef RTE_SYNC_CALL_ROUTINESERVICES_DCMDSPROUTINE_0XF100_START
#define RTE_SYNC_CALL_ROUTINESERVICES_DCMDSPROUTINE_0XF100_START
struct Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_Start {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Dcm_StartDataIn_DcmDspRoutine_0xF100_DcmDspStartRoutineInSignal_0Type, AUTOMATIC) Rte_arg_DataIn_DcmDspStartRoutineInSignal_0;
    VAR(Dcm_OpStatusType, AUTOMATIC) Rte_arg_OpStatus;
    VAR(Dcm_StartDataOut_DcmDspRoutine_0xF100_DcmDspStartRoutineOutSignal_0Type, AUTOMATIC) Rte_arg_DataOut_DcmDspStartRoutineOutSignal_0;
    VAR(Dcm_NegativeResponseCodeType, AUTOMATIC) Rte_arg_ErrorCode;
};
typedef struct Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_Start Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_Start;
#endif
#ifndef RTE_SYNC_CALL_ROUTINESERVICES_DCMDSPROUTINE_0XF100_STOP
#define RTE_SYNC_CALL_ROUTINESERVICES_DCMDSPROUTINE_0XF100_STOP
struct Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_Stop {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;

    VAR(Dcm_StopDataIn_DcmDspRoutine_0xF100_DcmDspStopRoutineInSignal_0Type, AUTOMATIC) Rte_arg_DataIn_DcmDspStopRoutineInSignal_0;
    VAR(Dcm_OpStatusType, AUTOMATIC) Rte_arg_OpStatus;
    VAR(Dcm_StopDataOut_DcmDspRoutine_0xF100_DcmDspStopRoutineOutSignal_0Type, AUTOMATIC) Rte_arg_DataOut_DcmDspStopRoutineOutSignal_0;
    VAR(Dcm_NegativeResponseCodeType, AUTOMATIC) Rte_arg_ErrorCode;
};
typedef struct Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_Stop Rte_SyncCall_RoutineServices_DcmDspRoutine_0xF100_Stop;
#endif

#ifndef RTE_CALL_STRUCT_DCCOMCTRLCANCONFIG_SETCHNLPARAM
#define RTE_CALL_STRUCT_DCCOMCTRLCANCONFIG_SETCHNLPARAM
struct Rte_Call_struct_DcComCtrlCanConfig_setChnlParam {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(DcComCtrlCanChnl, AUTOMATIC) Rte_arg_ChnlParam;
    VAR(DcComCtrlCanRetType, AUTOMATIC) Rte_arg_RetVal;
};
typedef struct Rte_Call_struct_DcComCtrlCanConfig_setChnlParam Rte_Call_struct_DcComCtrlCanConfig_setChnlParam;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETCONFIG
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETCONFIG
struct Rte_Call_struct_DevmdService_GetConfig {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_cfgType;
    VAR(uint8, AUTOMATIC) Rte_arg_cfgIdx;
    VAR(uint8, AUTOMATIC) Rte_arg_total;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(DevmdArrayUint8_512, AUTOMATIC) Rte_arg_pData;
};
typedef struct Rte_Call_struct_DevmdService_GetConfig Rte_Call_struct_DevmdService_GetConfig;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETINFOMATION
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETINFOMATION
struct Rte_Call_struct_DevmdService_GetInfomation {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_type;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(DevmdArrayUint8_512, AUTOMATIC) Rte_arg_pData;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_GetInfomation Rte_Call_struct_DevmdService_GetInfomation;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETMCUALIVESTATE
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETMCUALIVESTATE
struct Rte_Call_struct_DevmdService_GetMcuAliveState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_hostId;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_GetMcuAliveState Rte_Call_struct_DevmdService_GetMcuAliveState;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETMCUDEVINFO
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETMCUDEVINFO
struct Rte_Call_struct_DevmdService_GetMcuDevInfo {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(DevmdDevInfo, AUTOMATIC) Rte_arg_devInfo;
};
typedef struct Rte_Call_struct_DevmdService_GetMcuDevInfo Rte_Call_struct_DevmdService_GetMcuDevInfo;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETMCUSTATE
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETMCUSTATE
struct Rte_Call_struct_DevmdService_GetMcuState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_GetMcuState Rte_Call_struct_DevmdService_GetMcuState;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETPOWERDOWNREASON
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETPOWERDOWNREASON
struct Rte_Call_struct_DevmdService_GetPowerDownReason {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(UtcDateTime, AUTOMATIC) Rte_arg_time;
    VAR(uint8, AUTOMATIC) Rte_arg_reason;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_GetPowerDownReason Rte_Call_struct_DevmdService_GetPowerDownReason;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_GETSOCUARTDATA
#define RTE_CALL_STRUCT_DEVMDSERVICE_GETSOCUARTDATA
struct Rte_Call_struct_DevmdService_GetSocUartData {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_dataType;
    VAR(uint16, AUTOMATIC) Rte_arg_dataId;
    VAR(uint16, AUTOMATIC) Rte_arg_total;
    VAR(uint32, AUTOMATIC) Rte_arg_pDataSize;
    VAR(DevmdArrayUint8_512, AUTOMATIC) Rte_arg_pData;
};
typedef struct Rte_Call_struct_DevmdService_GetSocUartData Rte_Call_struct_DevmdService_GetSocUartData;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_SETCHANNELCTRL
#define RTE_CALL_STRUCT_DEVMDSERVICE_SETCHANNELCTRL
struct Rte_Call_struct_DevmdService_SetChannelCtrl {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_channel;
    VAR(uint8, AUTOMATIC) Rte_arg_state;
    VAR(uint8, AUTOMATIC) Rte_arg_type;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_SetChannelCtrl Rte_Call_struct_DevmdService_SetChannelCtrl;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_SETCONFIG
#define RTE_CALL_STRUCT_DEVMDSERVICE_SETCONFIG
struct Rte_Call_struct_DevmdService_SetConfig {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_cfgIdx;
    VAR(uint8, AUTOMATIC) Rte_arg_total;
    VAR(DevmdArrayUint8_512, AUTOMATIC) Rte_arg_pData;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_SetConfig Rte_Call_struct_DevmdService_SetConfig;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_SETINFOMATION
#define RTE_CALL_STRUCT_DEVMDSERVICE_SETINFOMATION
struct Rte_Call_struct_DevmdService_SetInfomation {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_type;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(DevmdArrayUint8_512, AUTOMATIC) Rte_arg_pData;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_SetInfomation Rte_Call_struct_DevmdService_SetInfomation;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_SETPOWER
#define RTE_CALL_STRUCT_DEVMDSERVICE_SETPOWER
struct Rte_Call_struct_DevmdService_SetPower {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint32, AUTOMATIC) Rte_arg_devId;
    VAR(uint32, AUTOMATIC) Rte_arg_powerState;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_SetPower Rte_Call_struct_DevmdService_SetPower;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_SETPOWERDOWNREASONREAD
#define RTE_CALL_STRUCT_DEVMDSERVICE_SETPOWERDOWNREASONREAD
struct Rte_Call_struct_DevmdService_SetPowerDownReasonRead {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_SetPowerDownReasonRead Rte_Call_struct_DevmdService_SetPowerDownReasonRead;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_SETSOCTEMPERATURE
#define RTE_CALL_STRUCT_DEVMDSERVICE_SETSOCTEMPERATURE
struct Rte_Call_struct_DevmdService_SetSocTemperature {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_socId;
    VAR(DevmdArraySint32_10, AUTOMATIC) Rte_arg_socTemper;
    VAR(uint8, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_Call_struct_DevmdService_SetSocTemperature Rte_Call_struct_DevmdService_SetSocTemperature;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDSERVICE_TEST
#define RTE_CALL_STRUCT_DEVMDSERVICE_TEST
struct Rte_Call_struct_DevmdService_Test {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint32, AUTOMATIC) Rte_arg_arg;
    VAR(uint8, AUTOMATIC) Rte_arg_ack;
};
typedef struct Rte_Call_struct_DevmdService_Test Rte_Call_struct_DevmdService_Test;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_ACTIVE
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_ACTIVE
struct Rte_Call_struct_DevmdUpgradeService_Active {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_Active Rte_Call_struct_DevmdUpgradeService_Active;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_CHECKUPGRADECONDITION
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_CHECKUPGRADECONDITION
struct Rte_Call_struct_DevmdUpgradeService_CheckUpgradeCondition {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(uint32, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_CheckUpgradeCondition Rte_Call_struct_DevmdUpgradeService_CheckUpgradeCondition;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_GETUPGRADEABLE
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_GETUPGRADEABLE
struct Rte_Call_struct_DevmdUpgradeService_GetUpgradeable {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_upgradeAble;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_GetUpgradeable Rte_Call_struct_DevmdUpgradeService_GetUpgradeable;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_GETUPGRADEPROGRESS
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_GETUPGRADEPROGRESS
struct Rte_Call_struct_DevmdUpgradeService_GetUpgradeProgress {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(uint8, AUTOMATIC) Rte_arg_progress;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_GetUpgradeProgress Rte_Call_struct_DevmdUpgradeService_GetUpgradeProgress;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_GETVERSION
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_GETVERSION
struct Rte_Call_struct_DevmdUpgradeService_GetVersion {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(uint8, AUTOMATIC) Rte_arg_mainSub;
    VAR(Vector, AUTOMATIC) Rte_arg_version;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_GetVersion Rte_Call_struct_DevmdUpgradeService_GetVersion;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_REBOOT
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_REBOOT
struct Rte_Call_struct_DevmdUpgradeService_Reboot {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_domainType;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_Reboot Rte_Call_struct_DevmdUpgradeService_Reboot;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_SETUPGRADEMODE
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_SETUPGRADEMODE
struct Rte_Call_struct_DevmdUpgradeService_SetUpgradeMode {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_SetUpgradeMode Rte_Call_struct_DevmdUpgradeService_SetUpgradeMode;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_TRANSFERDATA
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_TRANSFERDATA
struct Rte_Call_struct_DevmdUpgradeService_TransferData {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(uint16, AUTOMATIC) Rte_arg_sendNum;
    VAR(Vector, AUTOMATIC) Rte_arg_dataBuf;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_TransferData Rte_Call_struct_DevmdUpgradeService_TransferData;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_TRANSFERFINISH
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_TRANSFERFINISH
struct Rte_Call_struct_DevmdUpgradeService_TransferFinish {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(Vector, AUTOMATIC) Rte_arg_signBuf;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_TransferFinish Rte_Call_struct_DevmdUpgradeService_TransferFinish;
#endif
#ifndef RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_TRANSFERSTART
#define RTE_CALL_STRUCT_DEVMDUPGRADESERVICE_TRANSFERSTART
struct Rte_Call_struct_DevmdUpgradeService_TransferStart {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_devType;
    VAR(uint8, AUTOMATIC) Rte_arg_pkgType;
    VAR(String, AUTOMATIC) Rte_arg_pkgName;
    VAR(uint32, AUTOMATIC) Rte_arg_pkgLen;
    VAR(uint8, AUTOMATIC) Rte_arg_result;
};
typedef struct Rte_Call_struct_DevmdUpgradeService_TransferStart Rte_Call_struct_DevmdUpgradeService_TransferStart;
#endif
#ifndef RTE_CALL_STRUCT_DIAGAGENTREADDID_DIAGREADDID
#define RTE_CALL_STRUCT_DIAGAGENTREADDID_DIAGREADDID
struct Rte_Call_struct_DiagAgentReadDid_DiagReadDid {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint16, AUTOMATIC) Rte_arg_did;
    VAR(ReadDidResponseType, AUTOMATIC) Rte_arg_response;
};
typedef struct Rte_Call_struct_DiagAgentReadDid_DiagReadDid Rte_Call_struct_DiagAgentReadDid_DiagReadDid;
#endif
#ifndef RTE_CALL_STRUCT_DIAGAGENTWRITEDID_DIAGWRITEDID
#define RTE_CALL_STRUCT_DIAGAGENTWRITEDID_DIAGWRITEDID
struct Rte_Call_struct_DiagAgentWriteDid_DiagWriteDid {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(WriteDidRequestType, AUTOMATIC) Rte_arg_didReqInfo;
    VAR(WriteDidResponseType, AUTOMATIC) Rte_arg_didResInfo;
};
typedef struct Rte_Call_struct_DiagAgentWriteDid_DiagWriteDid Rte_Call_struct_DiagAgentWriteDid_DiagWriteDid;
#endif
#ifndef RTE_CALL_STRUCT_EXWDGANSWERGET_EXWDGANSWERGET
#define RTE_CALL_STRUCT_EXWDGANSWERGET_EXWDGANSWERGET
struct Rte_Call_struct_ExWdgAnswerGet_ExWdgAnswerGet {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(AnswerMsg, AUTOMATIC) Rte_arg_AnswerInfo;
    VAR(sint32, AUTOMATIC) Rte_arg_StatusReturn;
};
typedef struct Rte_Call_struct_ExWdgAnswerGet_ExWdgAnswerGet Rte_Call_struct_ExWdgAnswerGet_ExWdgAnswerGet;
#endif
#ifndef RTE_CALL_STRUCT_FMFAULTRCVFROMHOST_FMFAULTRCVFROMHOST
#define RTE_CALL_STRUCT_FMFAULTRCVFROMHOST_FMFAULTRCVFROMHOST
struct Rte_Call_struct_FmFaultRcvFromHost_FmFaultRcvFromHost {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(FmEventInfo, AUTOMATIC) Rte_arg_info;
    VAR(sint32, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_Call_struct_FmFaultRcvFromHost_FmFaultRcvFromHost Rte_Call_struct_FmFaultRcvFromHost_FmFaultRcvFromHost;
#endif
#ifndef RTE_CALL_STRUCT_MNTEXCECMD_MNTEXECCMDINFO
#define RTE_CALL_STRUCT_MNTEXCECMD_MNTEXECCMDINFO
struct Rte_Call_struct_MntExceCmd_MntExecCmdInfo {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(MntCmdStr, AUTOMATIC) Rte_arg_arg;
    VAR(MntCmdStrSize, AUTOMATIC) Rte_arg_arg_1;
    VAR(MntCmdRet, AUTOMATIC) Rte_arg_arg_2;
};
typedef struct Rte_Call_struct_MntExceCmd_MntExecCmdInfo Rte_Call_struct_MntExceCmd_MntExecCmdInfo;
#endif
#ifndef RTE_CALL_STRUCT_MNTREQUESTCMDRESULT_MNTREQUESTCMDRESULTS
#define RTE_CALL_STRUCT_MNTREQUESTCMDRESULT_MNTREQUESTCMDRESULTS
struct Rte_Call_struct_MntRequestCmdResult_MntRequestCmdResults {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(MntCmdStr, AUTOMATIC) Rte_arg_arg;
    VAR(MntCmdStrSize, AUTOMATIC) Rte_arg_arg_1;
    VAR(MntCmdResultStr, AUTOMATIC) Rte_arg_arg_2;
    VAR(MntCmdResultStrSize, AUTOMATIC) Rte_arg_arg_3;
};
typedef struct Rte_Call_struct_MntRequestCmdResult_MntRequestCmdResults Rte_Call_struct_MntRequestCmdResult_MntRequestCmdResults;
#endif
#ifndef RTE_CALL_STRUCT_NCSCHANNELDISPATCH_NCSCHANNELDISPATCH
#define RTE_CALL_STRUCT_NCSCHANNELDISPATCH_NCSCHANNELDISPATCH
struct Rte_Call_struct_NcsChannelDispatch_NcsChannelDispatch {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(NcsServerDataRequest, AUTOMATIC) Rte_arg_request;
    VAR(NcsServerDataResponse, AUTOMATIC) Rte_arg_response;
};
typedef struct Rte_Call_struct_NcsChannelDispatch_NcsChannelDispatch Rte_Call_struct_NcsChannelDispatch_NcsChannelDispatch;
#endif
#ifndef RTE_CALL_STRUCT_NMSERVICE_EXTERNALCANNMCTRL
#define RTE_CALL_STRUCT_NMSERVICE_EXTERNALCANNMCTRL
struct Rte_Call_struct_NmService_ExternalCanNmCtrl {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_ctrl;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_Call_struct_NmService_ExternalCanNmCtrl Rte_Call_struct_NmService_ExternalCanNmCtrl;
#endif
#ifndef RTE_CALL_STRUCT_NRMCOMCTRLUPDATECHNLCONFIG_UPDATECHNLCONFIG
#define RTE_CALL_STRUCT_NRMCOMCTRLUPDATECHNLCONFIG_UPDATECHNLCONFIG
struct Rte_Call_struct_NrmComCtrlUpdateChnlConfig_UpdateChnlConfig {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(NrmComCtrlChnlConfigArr, AUTOMATIC) Rte_arg_chnlConfig;
    VAR(uint32, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_Call_struct_NrmComCtrlUpdateChnlConfig_UpdateChnlConfig Rte_Call_struct_NrmComCtrlUpdateChnlConfig_UpdateChnlConfig;
#endif
#ifndef RTE_CALL_STRUCT_SAMSENSORSTATECONTROLSOC_SENSORSTATECONTROL
#define RTE_CALL_STRUCT_SAMSENSORSTATECONTROLSOC_SENSORSTATECONTROL
struct Rte_Call_struct_SamSensorStateControlSoc_SensorStateControl {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(SensorStateControlSocType, AUTOMATIC) Rte_arg_sensorStateControl;
    VAR(uint32, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_Call_struct_SamSensorStateControlSoc_SensorStateControl Rte_Call_struct_SamSensorStateControlSoc_SensorStateControl;
#endif
#ifndef RTE_CALL_STRUCT_SMGETWORKMODE_SMGETWORKMODE
#define RTE_CALL_STRUCT_SMGETWORKMODE_SMGETWORKMODE
struct Rte_Call_struct_SmGetWorkMode_SmGetWorkMode {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint32, AUTOMATIC) Rte_arg_curMode;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_Call_struct_SmGetWorkMode_SmGetWorkMode Rte_Call_struct_SmGetWorkMode_SmGetWorkMode;
#endif
#ifndef RTE_CALL_STRUCT_SMSSSOCSTATUS_SMSSSOCSTATUS
#define RTE_CALL_STRUCT_SMSSSOCSTATUS_SMSSSOCSTATUS
struct Rte_Call_struct_SmSsSocStatus_SmSsSocStatus {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_type;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(Array64, AUTOMATIC) Rte_arg_dataBuff;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_Call_struct_SmSsSocStatus_SmSsSocStatus Rte_Call_struct_SmSsSocStatus_SmSsSocStatus;
#endif
#ifndef RTE_CALL_STRUCT_SMSSWORKMODESWITCH_WORKMODE
#define RTE_CALL_STRUCT_SMSSWORKMODESWITCH_WORKMODE
struct Rte_Call_struct_SmSsWorkModeSwitch_workMode {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(WorkModeType, AUTOMATIC) Rte_arg_workMode;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_Call_struct_SmSsWorkModeSwitch_workMode Rte_Call_struct_SmSsWorkModeSwitch_workMode;
#endif
#ifndef RTE_CALL_STRUCT_SM_SSREQUESTSTATE_1_REQUESTSTATE
#define RTE_CALL_STRUCT_SM_SSREQUESTSTATE_1_REQUESTSTATE
struct Rte_Call_struct_SM_SsRequestState_1_requestState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint32, AUTOMATIC) Rte_arg_mode;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(Array64, AUTOMATIC) Rte_arg_data;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_Call_struct_SM_SsRequestState_1_requestState Rte_Call_struct_SM_SsRequestState_1_requestState;
#endif
#ifndef RTE_CALL_STRUCT_SM_SSREQUESTSTATE_REQUESTSTATE
#define RTE_CALL_STRUCT_SM_SSREQUESTSTATE_REQUESTSTATE
struct Rte_Call_struct_SM_SsRequestState_requestState {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(uint8, AUTOMATIC) Rte_arg_mode;
    VAR(Array64, AUTOMATIC) Rte_arg_data;
    VAR(uint32, AUTOMATIC) Rte_arg_size;
    VAR(uint8, AUTOMATIC) Rte_arg_res;
};
typedef struct Rte_Call_struct_SM_SsRequestState_requestState Rte_Call_struct_SM_SsRequestState_requestState;
#endif
#ifndef RTE_CALL_STRUCT_TIMESYNCGETDATADELTA_GETDATADELTA
#define RTE_CALL_STRUCT_TIMESYNCGETDATADELTA_GETDATADELTA
struct Rte_Call_struct_TimeSyncGetDataDelta_GetDataDelta {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(sint64, AUTOMATIC) Rte_arg_SlaveDataDelta;
};
typedef struct Rte_Call_struct_TimeSyncGetDataDelta_GetDataDelta Rte_Call_struct_TimeSyncGetDataDelta_GetDataDelta;
#endif
#ifndef RTE_CALL_STRUCT_TIMESYNCMNGSERVICE_GETMNGMASTERMSG
#define RTE_CALL_STRUCT_TIMESYNCMNGSERVICE_GETMNGMASTERMSG
struct Rte_Call_struct_TimeSyncMngService_GetMngMasterMsg {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(TimeSyncMngMasterRecvMsg, AUTOMATIC) Rte_arg_masterRecvMsg;
    VAR(TimeSyncMngSlaveSendMsg, AUTOMATIC) Rte_arg_slaveSendMsg;
};
typedef struct Rte_Call_struct_TimeSyncMngService_GetMngMasterMsg Rte_Call_struct_TimeSyncMngService_GetMngMasterMsg;
#endif
#ifndef RTE_CALL_STRUCT_TSYNCCHENABLESERVICE_CHENABLE
#define RTE_CALL_STRUCT_TSYNCCHENABLESERVICE_CHENABLE
struct Rte_Call_struct_TsyncChEnableService_ChEnable {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(TsyncChEnableType, AUTOMATIC) Rte_arg_chEnableRequest;
    VAR(uint8, AUTOMATIC) Rte_arg_ret;
};
typedef struct Rte_Call_struct_TsyncChEnableService_ChEnable Rte_Call_struct_TsyncChEnableService_ChEnable;
#endif
#ifndef RTE_CALL_STRUCT_TSYNCSYNCGNSSOSCLOCKDIV_GNSSOSDIV
#define RTE_CALL_STRUCT_TSYNCSYNCGNSSOSCLOCKDIV_GNSSOSDIV
struct Rte_Call_struct_TsyncSyncGnssOsClockDiv_GnssOsDiv {
    VAR(uint16, AUTOMATIC) clientID;
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) sequenceCounter;
    VAR(Std_ReturnType, AUTOMATIC) applicationError;
    VAR(uint8, AUTOMATIC) metadataBuffer[2];
    VAR(GnssOsClockDivType, AUTOMATIC) Rte_arg_gnssOsDivInput;
    VAR(GnssOsClockDivType, AUTOMATIC) Rte_arg_gnssOsDivOutput;
};
typedef struct Rte_Call_struct_TsyncSyncGnssOsClockDiv_GnssOsDiv Rte_Call_struct_TsyncSyncGnssOsClockDiv_GnssOsDiv;
#endif

#if !defined(RTE_SIG_EVENT_IMUABSTRACTMCUTOSOC_SABOARDIMUABSTRACT_BUFFER_SIZE)
#define RTE_SIG_EVENT_IMUABSTRACTMCUTOSOC_SABOARDIMUABSTRACT_BUFFER_SIZE 84U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_ImuAbstractMcuToSoc_SaBoardImuAbstract[RTE_SIG_EVENT_IMUABSTRACTMCUTOSOC_SABOARDIMUABSTRACT_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_ImuAbstractMcuToSoc_SaBoardImuAbstract[RTE_SIG_EVENT_IMUABSTRACTMCUTOSOC_SABOARDIMUABSTRACT_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_INTFMCUSENDEDRDATATOSOC_SERVICE_INTF_EDR_BUFFER_SIZE)
#define RTE_SIG_EVENT_INTFMCUSENDEDRDATATOSOC_SERVICE_INTF_EDR_BUFFER_SIZE 1364U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_IntfMcuSendEdrDataToSoc_Service_Intf_Edr[RTE_SIG_EVENT_INTFMCUSENDEDRDATATOSOC_SERVICE_INTF_EDR_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_IntfMcuSendEdrDataToSoc_Service_Intf_Edr[RTE_SIG_EVENT_INTFMCUSENDEDRDATATOSOC_SERVICE_INTF_EDR_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_LOGEVENT_SERVICE_LOG_BUFFER_SIZE)
#define RTE_SIG_EVENT_LOGEVENT_SERVICE_LOG_BUFFER_SIZE 140U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_LogEvent_Service_Log[RTE_SIG_EVENT_LOGEVENT_SERVICE_LOG_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_LogEvent_Service_Log[RTE_SIG_EVENT_LOGEVENT_SERVICE_LOG_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMHEARTBEATSND_BUFFER_SIZE)
#define RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMHEARTBEATSND_BUFFER_SIZE 72U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_NotifyPlatStateToHost_SmHeartBeatSnd[RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMHEARTBEATSND_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_NotifyPlatStateToHost_SmHeartBeatSnd[RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMHEARTBEATSND_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMSSSERVERHEARTBEAT_BUFFER_SIZE)
#define RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMSSSERVERHEARTBEAT_BUFFER_SIZE 72U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_NotifyPlatStateToHost_SmSsServerHeartBeat[RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMSSSERVERHEARTBEAT_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_NotifyPlatStateToHost_SmSsServerHeartBeat[RTE_SIG_EVENT_NOTIFYPLATSTATETOHOST_SMSSSERVERHEARTBEAT_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_SM_HEARTBEATRCV_SMHEARTBEATRCV_BUFFER_SIZE)
#define RTE_SIG_EVENT_SM_HEARTBEATRCV_SMHEARTBEATRCV_BUFFER_SIZE 9U
#endif

#if !defined(RTE_SIG_EVENT_SM_HEARTBEATSND_SMHEARTBEATSND_BUFFER_SIZE)
#define RTE_SIG_EVENT_SM_HEARTBEATSND_SMHEARTBEATSND_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_SM_HeartbeatSnd_SmHeartBeatSnd[RTE_SIG_EVENT_SM_HEARTBEATSND_SMHEARTBEATSND_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_SM_HeartbeatSnd_SmHeartBeatSnd[RTE_SIG_EVENT_SM_HEARTBEATSND_SMHEARTBEATSND_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_SM_SSHEARTBEATRCV_SMSSCLIENTSERVICE_BUFFER_SIZE)
#define RTE_SIG_EVENT_SM_SSHEARTBEATRCV_SMSSCLIENTSERVICE_BUFFER_SIZE 9U
#endif

#if !defined(RTE_SIG_EVENT_SM_SSHEARTBEATSND_SMSSSERVERHEARTBEAT_BUFFER_SIZE)
#define RTE_SIG_EVENT_SM_SSHEARTBEATSND_SMSSSERVERHEARTBEAT_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_SM_SsHeartbeatSnd_SmSsServerHeartBeat[RTE_SIG_EVENT_SM_SSHEARTBEATSND_SMSSSERVERHEARTBEAT_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_SM_SsHeartbeatSnd_SmSsServerHeartBeat[RTE_SIG_EVENT_SM_SSHEARTBEATSND_SMSSSERVERHEARTBEAT_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_SENSORDATAMCUTOSOC_SERVICE_SAM_BUFFER_SIZE)
#define RTE_SIG_EVENT_SENSORDATAMCUTOSOC_SERVICE_SAM_BUFFER_SIZE 1408U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_SensorDataMcuToSoc_Service_Sam[RTE_SIG_EVENT_SENSORDATAMCUTOSOC_SERVICE_SAM_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_SENSORDATASOCTOMCU_SERVICE_SAM_CLIENT_BUFFER_SIZE)
#define RTE_SIG_EVENT_SENSORDATASOCTOMCU_SERVICE_SAM_CLIENT_BUFFER_SIZE 1408U
#endif

#if !defined(RTE_SIG_EVENT_SOMEIPTSYNCSENDGPSPPSTIME_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_EVENT_SOMEIPTSYNCSENDGPSPPSTIME_SERVICE_TIMESYNC_BUFFER_SIZE 40U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_SomeipTsyncSendGpsPpsTime_Service_TimeSync[RTE_SIG_EVENT_SOMEIPTSYNCSENDGPSPPSTIME_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_SomeipTsyncSendGpsPpsTime_Service_TimeSync[RTE_SIG_EVENT_SOMEIPTSYNCSENDGPSPPSTIME_SERVICE_TIMESYNC_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_SOMEIPTSYNCSENDUTCTIME_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_EVENT_SOMEIPTSYNCSENDUTCTIME_SERVICE_TIMESYNC_BUFFER_SIZE 32U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_SomeipTsyncSendUtcTime_Service_TimeSync[RTE_SIG_EVENT_SOMEIPTSYNCSENDUTCTIME_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_SomeipTsyncSendUtcTime_Service_TimeSync[RTE_SIG_EVENT_SOMEIPTSYNCSENDUTCTIME_SERVICE_TIMESYNC_BUFFER_SIZE];

#if !defined(RTE_SIG_EVENT_UPDATEHEARTBEAT_NRMCOMCTRHEARTBEAT_BUFFER_SIZE)
#define RTE_SIG_EVENT_UPDATEHEARTBEAT_NRMCOMCTRHEARTBEAT_BUFFER_SIZE 32U
#endif

#if !defined(RTE_SIG_EVENT_WORKMODENOTIFY_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_EVENT_WORKMODENOTIFY_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_Event_WorkModeNotify_SmService[RTE_SIG_EVENT_WORKMODENOTIFY_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_Event_WorkModeNotify_SmService[RTE_SIG_EVENT_WORKMODENOTIFY_SMSERVICE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_CANNMCTRL_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_CANNMCTRL_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CanNmCtrl_call_Cis_ECU1_SmService[RTE_SIG_RR_CANNMCTRL_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CanNmCtrl_call_Cis_ECU1_SmService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_CANNMCTRL_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_CANNMCTRL_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CanNmCtrl_return_Cis_ECU1_SmService[RTE_SIG_RR_CANNMCTRL_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_CanNmCtrl_return_Cis_ECU1_SmService[RTE_SIG_RR_CANNMCTRL_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_CHECKMCUVERSION_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_CHECKMCUVERSION_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 8U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CheckMcuVersion_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_CHECKMCUVERSION_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CheckMcuVersion_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_CHECKMCUVERSION_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_CHECKMCUVERSION_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 105U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CheckMcuVersion_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_CHECKMCUVERSION_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_CheckMcuVersion_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_CHECKMCUVERSION_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_CTRLMCUPOWER_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_CTRLMCUPOWER_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 16U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CtrlMcuPower_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_CTRLMCUPOWER_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CtrlMcuPower_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_CTRLMCUPOWER_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_CTRLMCUPOWER_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_CtrlMcuPower_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_CTRLMCUPOWER_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_CtrlMcuPower_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_CTRLMCUPOWER_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_CALL_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE)
#define RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_CALL_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE 1932U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DcComCtrlCanChnlConfig_call_Cis_ECU1_DcComCtrlServer[RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_CALL_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE];
extern VAR(uint32, AUTOMATIC) Rte_SIG_RR_DcComCtrlCanChnlConfig_call_Cis_ECU1_DcComCtrlServer_Length;
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DcComCtrlCanChnlConfig_call_Cis_ECU1_DcComCtrlServer_metadataBuffer[2];
extern VAR(uint32, AUTOMATIC) Rte_SIG_RR_DcComCtrlCanChnlConfig_call_Cis_ECU1_DcComCtrlServer_OffSet;
#if !defined(RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_RETURN_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE)
#define RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_RETURN_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DcComCtrlCanChnlConfig_return_Cis_ECU1_DcComCtrlServer[RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_RETURN_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_DcComCtrlCanChnlConfig_return_Cis_ECU1_DcComCtrlServer[RTE_SIG_RR_DCCOMCTRLCANCHNLCONFIG_RETURN_CIS_ECU1_DCCOMCTRLSERVER_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_DEVMREADCONFIG_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_DEVMREADCONFIG_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmReadConfig_call_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMREADCONFIG_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmReadConfig_call_Cis_ECU1_Service_CfgManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_DEVMREADCONFIG_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_DEVMREADCONFIG_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 525U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmReadConfig_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMREADCONFIG_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_DevmReadConfig_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMREADCONFIG_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_DEVMREADUARTDATA_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_DEVMREADUARTDATA_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 11U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmReadUartData_call_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMREADUARTDATA_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmReadUartData_call_Cis_ECU1_Service_CfgManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_DEVMREADUARTDATA_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_DEVMREADUARTDATA_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 526U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmReadUartData_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMREADUARTDATA_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_DevmReadUartData_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMREADUARTDATA_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_DEVMDGETINFOMATION_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_DEVMDGETINFOMATION_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmdGetInfomation_call_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMDGETINFOMATION_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmdGetInfomation_call_Cis_ECU1_Service_CfgManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_DEVMDGETINFOMATION_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_DEVMDGETINFOMATION_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 525U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DevmdGetInfomation_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMDGETINFOMATION_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_DevmdGetInfomation_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_DEVMDGETINFOMATION_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_DIAGREADDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE)
#define RTE_SIG_RR_DIAGREADDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DiagReadDid_call_Cis_ECU1_Service_DiagnoseWrDid[RTE_SIG_RR_DIAGREADDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DiagReadDid_call_Cis_ECU1_Service_DiagnoseWrDid_metadataBuffer[2];
#if !defined(RTE_SIG_RR_DIAGREADDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE)
#define RTE_SIG_RR_DIAGREADDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE 80U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DiagReadDid_return_Cis_ECU1_Service_DiagnoseWrDid[RTE_SIG_RR_DIAGREADDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_DiagReadDid_return_Cis_ECU1_Service_DiagnoseWrDid[RTE_SIG_RR_DIAGREADDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_DIAGWRITEDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE)
#define RTE_SIG_RR_DIAGWRITEDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE 78U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DiagWriteDid_call_Cis_ECU1_Service_DiagnoseWrDid[RTE_SIG_RR_DIAGWRITEDID_CALL_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DiagWriteDid_call_Cis_ECU1_Service_DiagnoseWrDid_metadataBuffer[2];
#if !defined(RTE_SIG_RR_DIAGWRITEDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE)
#define RTE_SIG_RR_DIAGWRITEDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_DiagWriteDid_return_Cis_ECU1_Service_DiagnoseWrDid[RTE_SIG_RR_DIAGWRITEDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_DiagWriteDid_return_Cis_ECU1_Service_DiagnoseWrDid[RTE_SIG_RR_DIAGWRITEDID_RETURN_CIS_ECU1_SERVICE_DIAGNOSEWRDID_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_FMFAULTREPORT_CALL_CIS_MCU_FMSERVER_BUFFER_SIZE)
#define RTE_SIG_RR_FMFAULTREPORT_CALL_CIS_MCU_FMSERVER_BUFFER_SIZE 64U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmFaultReport_call_Cis_MCU_FmServer[RTE_SIG_RR_FMFAULTREPORT_CALL_CIS_MCU_FMSERVER_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_FmFaultReport_call_Cis_MCU_FmServer[RTE_SIG_RR_FMFAULTREPORT_CALL_CIS_MCU_FMSERVER_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_FMFAULTREPORT_RETURN_CIS_MCU_FMSERVER_BUFFER_SIZE)
#define RTE_SIG_RR_FMFAULTREPORT_RETURN_CIS_MCU_FMSERVER_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmFaultReport_return_Cis_MCU_FmServer[RTE_SIG_RR_FMFAULTREPORT_RETURN_CIS_MCU_FMSERVER_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_FMGETFAULTFROMHOST_CALL_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_FMGETFAULTFROMHOST_CALL_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE 96U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmGetFaultFromHost_call_Cis_ECU1_FmServerService[RTE_SIG_RR_FMGETFAULTFROMHOST_CALL_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmGetFaultFromHost_call_Cis_ECU1_FmServerService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_FMGETFAULTFROMHOST_RETURN_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_FMGETFAULTFROMHOST_RETURN_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmGetFaultFromHost_return_Cis_ECU1_FmServerService[RTE_SIG_RR_FMGETFAULTFROMHOST_RETURN_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_FmGetFaultFromHost_return_Cis_ECU1_FmServerService[RTE_SIG_RR_FMGETFAULTFROMHOST_RETURN_CIS_ECU1_FMSERVERSERVICE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_FMREPORTINFO_CALL_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_FMREPORTINFO_CALL_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE 548U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmReportInfo_call_Cis_MCU_FmReportService[RTE_SIG_RR_FMREPORTINFO_CALL_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_FmReportInfo_call_Cis_MCU_FmReportService[RTE_SIG_RR_FMREPORTINFO_CALL_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_FMREPORTINFO_RETURN_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_FMREPORTINFO_RETURN_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE 20U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_FmReportInfo_return_Cis_MCU_FmReportService[RTE_SIG_RR_FMREPORTINFO_RETURN_CIS_MCU_FMREPORTSERVICE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_GETDEVINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETDEVINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetDevInfo_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETDEVINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetDevInfo_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETDEVINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETDEVINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetDevInfo_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETDEVINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetDevInfo_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETDEVINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_GETMCUALIVESTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETMCUALIVESTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetMcuAliveState_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETMCUALIVESTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetMcuAliveState_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETMCUALIVESTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETMCUALIVESTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetMcuAliveState_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETMCUALIVESTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetMcuAliveState_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETMCUALIVESTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_GETMCUSTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETMCUSTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 8U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetMcuState_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETMCUSTATE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetMcuState_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETMCUSTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETMCUSTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetMcuState_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETMCUSTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetMcuState_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETMCUSTATE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_GETPOWERDOWNREASON_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETPOWERDOWNREASON_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 8U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetPowerDownReason_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETPOWERDOWNREASON_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetPowerDownReason_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETPOWERDOWNREASON_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_GETPOWERDOWNREASON_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 20U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetPowerDownReason_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETPOWERDOWNREASON_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetPowerDownReason_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_GETPOWERDOWNREASON_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_GETSOCSTATUS_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_GETSOCSTATUS_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE 77U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetSocStatus_call_Cis_ECU1_SmService[RTE_SIG_RR_GETSOCSTATUS_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetSocStatus_call_Cis_ECU1_SmService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETSOCSTATUS_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_GETSOCSTATUS_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetSocStatus_return_Cis_ECU1_SmService[RTE_SIG_RR_GETSOCSTATUS_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetSocStatus_return_Cis_ECU1_SmService[RTE_SIG_RR_GETSOCSTATUS_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE)
#define RTE_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE 36U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWdgAnswer_call_Cis_ECU1_ExWdgServerMethodB[RTE_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWdgAnswer_call_Cis_ECU1_ExWdgServerMethodB_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE)
#define RTE_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE 36U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWdgAnswer_call_Cis_ECU1_ExWdgServiceMethod[RTE_SIG_RR_GETWDGANSWER_CALL_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWdgAnswer_call_Cis_ECU1_ExWdgServiceMethod_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE)
#define RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServerMethodB[RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServerMethodB[RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVERMETHODB_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE)
#define RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServiceMethod[RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServiceMethod[RTE_SIG_RR_GETWDGANSWER_RETURN_CIS_ECU1_EXWDGSERVICEMETHOD_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_GETWORKMODE_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_GETWORKMODE_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE 8U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWorkMode_call_Cis_ECU1_SmService[RTE_SIG_RR_GETWORKMODE_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWorkMode_call_Cis_ECU1_SmService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_GETWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_GETWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE 13U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_GetWorkMode_return_Cis_ECU1_SmService[RTE_SIG_RR_GETWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_GetWorkMode_return_Cis_ECU1_SmService[RTE_SIG_RR_GETWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_MNTEXECCMDINFO_CALL_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE)
#define RTE_SIG_RR_MNTEXECCMDINFO_CALL_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE 137U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_MntExecCmdInfo_call_Cis_ECU1_MntDbgChannel[RTE_SIG_RR_MNTEXECCMDINFO_CALL_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_MntExecCmdInfo_call_Cis_ECU1_MntDbgChannel_metadataBuffer[2];
#if !defined(RTE_SIG_RR_MNTEXECCMDINFO_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE)
#define RTE_SIG_RR_MNTEXECCMDINFO_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_MntExecCmdInfo_return_Cis_ECU1_MntDbgChannel[RTE_SIG_RR_MNTEXECCMDINFO_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_MntExecCmdInfo_return_Cis_ECU1_MntDbgChannel[RTE_SIG_RR_MNTEXECCMDINFO_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_MNTREQUESTCMDRESULT_CALL_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE)
#define RTE_SIG_RR_MNTREQUESTCMDRESULT_CALL_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE 137U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_MntRequestCmdResult_call_Cis_ECU1_MntDbgChannel[RTE_SIG_RR_MNTREQUESTCMDRESULT_CALL_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_MntRequestCmdResult_call_Cis_ECU1_MntDbgChannel_metadataBuffer[2];
#if !defined(RTE_SIG_RR_MNTREQUESTCMDRESULT_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE)
#define RTE_SIG_RR_MNTREQUESTCMDRESULT_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE 268U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_MntRequestCmdResult_return_Cis_ECU1_MntDbgChannel[RTE_SIG_RR_MNTREQUESTCMDRESULT_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_MntRequestCmdResult_return_Cis_ECU1_MntDbgChannel[RTE_SIG_RR_MNTREQUESTCMDRESULT_RETURN_CIS_ECU1_MNTDBGCHANNEL_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_NCSSERVICECHANNEL_CALL_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE)
#define RTE_SIG_RR_NCSSERVICECHANNEL_CALL_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE 80U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_NCSServiceChannel_call_Cis_ECU1_NCSServiceChannel[RTE_SIG_RR_NCSSERVICECHANNEL_CALL_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_NCSServiceChannel_call_Cis_ECU1_NCSServiceChannel_metadataBuffer[2];
#if !defined(RTE_SIG_RR_NCSSERVICECHANNEL_RETURN_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE)
#define RTE_SIG_RR_NCSSERVICECHANNEL_RETURN_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE 80U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_NCSServiceChannel_return_Cis_ECU1_NCSServiceChannel[RTE_SIG_RR_NCSSERVICECHANNEL_RETURN_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_NCSServiceChannel_return_Cis_ECU1_NCSServiceChannel[RTE_SIG_RR_NCSSERVICECHANNEL_RETURN_CIS_ECU1_NCSSERVICECHANNEL_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE)
#define RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE 36U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_QuestionWdgReport_call_Cis_MCU_ExWdgClientMethod[RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_QuestionWdgReport_call_Cis_MCU_ExWdgClientMethod[RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE)
#define RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE 36U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_QuestionWdgReport_call_Cis_MCU_ExWdgClientMethodB[RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_QuestionWdgReport_call_Cis_MCU_ExWdgClientMethodB[RTE_SIG_RR_QUESTIONWDGREPORT_CALL_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE)
#define RTE_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_QuestionWdgReport_return_Cis_MCU_ExWdgClientMethod[RTE_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHOD_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE)
#define RTE_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_QuestionWdgReport_return_Cis_MCU_ExWdgClientMethodB[RTE_SIG_RR_QUESTIONWDGREPORT_RETURN_CIS_MCU_EXWDGCLIENTMETHODB_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_REQUESTWORKMODESWITCH_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_REQUESTWORKMODESWITCH_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_RequestWorkModeSwitch_call_Cis_ECU1_SmService[RTE_SIG_RR_REQUESTWORKMODESWITCH_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_RequestWorkModeSwitch_call_Cis_ECU1_SmService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_REQUESTWORKMODESWITCH_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_REQUESTWORKMODESWITCH_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_RequestWorkModeSwitch_return_Cis_ECU1_SmService[RTE_SIG_RR_REQUESTWORKMODESWITCH_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_RequestWorkModeSwitch_return_Cis_ECU1_SmService[RTE_SIG_RR_REQUESTWORKMODESWITCH_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_REQUESTWORKMODE_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_REQUESTWORKMODE_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE 80U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_RequestWorkMode_call_Cis_ECU1_SmService[RTE_SIG_RR_REQUESTWORKMODE_CALL_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_RequestWorkMode_call_Cis_ECU1_SmService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_REQUESTWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_REQUESTWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_RequestWorkMode_return_Cis_ECU1_SmService[RTE_SIG_RR_REQUESTWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_RequestWorkMode_return_Cis_ECU1_SmService[RTE_SIG_RR_REQUESTWORKMODE_RETURN_CIS_ECU1_SMSERVICE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SM_SSREQUESTSTATE_CALL_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_SM_SSREQUESTSTATE_CALL_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE 77U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SM_SsRequestState_call_Cis_ECU1_SmSsServerService[RTE_SIG_RR_SM_SSREQUESTSTATE_CALL_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SM_SsRequestState_call_Cis_ECU1_SmSsServerService_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SM_SSREQUESTSTATE_RETURN_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE)
#define RTE_SIG_RR_SM_SSREQUESTSTATE_RETURN_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SM_SsRequestState_return_Cis_ECU1_SmSsServerService[RTE_SIG_RR_SM_SSREQUESTSTATE_RETURN_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SM_SsRequestState_return_Cis_ECU1_SmSsServerService[RTE_SIG_RR_SM_SSREQUESTSTATE_RETURN_CIS_ECU1_SMSSSERVERSERVICE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_SENSORSTATECONTROL_CALL_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE)
#define RTE_SIG_RR_SENSORSTATECONTROL_CALL_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE 72U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SensorStateControl_call_Cis_ECU1_Service_Sam_ManagePlane[RTE_SIG_RR_SENSORSTATECONTROL_CALL_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SensorStateControl_call_Cis_ECU1_Service_Sam_ManagePlane_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SENSORSTATECONTROL_RETURN_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE)
#define RTE_SIG_RR_SENSORSTATECONTROL_RETURN_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SensorStateControl_return_Cis_ECU1_Service_Sam_ManagePlane[RTE_SIG_RR_SENSORSTATECONTROL_RETURN_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SensorStateControl_return_Cis_ECU1_Service_Sam_ManagePlane[RTE_SIG_RR_SENSORSTATECONTROL_RETURN_CIS_ECU1_SERVICE_SAM_MANAGEPLANE_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_SETCHANNELCTRL_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETCHANNELCTRL_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 11U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetChannelCtrl_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETCHANNELCTRL_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetChannelCtrl_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SETCHANNELCTRL_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETCHANNELCTRL_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetChannelCtrl_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETCHANNELCTRL_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SetChannelCtrl_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETCHANNELCTRL_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SETINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 525U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetInfo_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETINFO_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetInfo_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SETINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetInfo_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SetInfo_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETINFO_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SETPOWERDOWNREASONREAD_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETPOWERDOWNREASONREAD_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 8U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetPowerDownReasonRead_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETPOWERDOWNREASONREAD_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetPowerDownReasonRead_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SETPOWERDOWNREASONREAD_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETPOWERDOWNREASONREAD_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetPowerDownReasonRead_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETPOWERDOWNREASONREAD_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SetPowerDownReasonRead_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETPOWERDOWNREASONREAD_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SETSOCTEMPERATURE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETSOCTEMPERATURE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 49U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetSocTemperature_call_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETSOCTEMPERATURE_CALL_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetSocTemperature_call_Cis_ECU1_Service_DevManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SETSOCTEMPERATURE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_SETSOCTEMPERATURE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SetSocTemperature_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETSOCTEMPERATURE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SetSocTemperature_return_Cis_ECU1_Service_DevManage[RTE_SIG_RR_SETSOCTEMPERATURE_RETURN_CIS_ECU1_SERVICE_DEVMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPACTIVE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPACTIVE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipActive_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPACTIVE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipActive_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPACTIVE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPACTIVE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipActive_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPACTIVE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipActive_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPACTIVE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipCheckUpdateCondition_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipCheckUpdateCondition_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipCheckUpdateCondition_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipCheckUpdateCondition_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPCHECKUPDATECONDITION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetUpdateProgress_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetUpdateProgress_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetUpdateProgress_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipGetUpdateProgress_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETUPDATEPROGRESS_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPGETUPDATEABLE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPGETUPDATEABLE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetUpdateable_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETUPDATEABLE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetUpdateable_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPGETUPDATEABLE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPGETUPDATEABLE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetUpdateable_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETUPDATEABLE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipGetUpdateable_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETUPDATEABLE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPGETVERSION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPGETVERSION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 11U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetVersion_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETVERSION_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetVersion_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPGETVERSION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPGETVERSION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 525U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipGetVersion_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETVERSION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipGetVersion_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPGETVERSION_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPREBOOT_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPREBOOT_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipReboot_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPREBOOT_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipReboot_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPREBOOT_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPREBOOT_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipReboot_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPREBOOT_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipReboot_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPREBOOT_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPSETUPDATEMODE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPSETUPDATEMODE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 10U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipSetUpdateMode_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPSETUPDATEMODE_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipSetUpdateMode_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPSETUPDATEMODE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPSETUPDATEMODE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipSetUpdateMode_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPSETUPDATEMODE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipSetUpdateMode_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPSETUPDATEMODE_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTRANSFINISH_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTRANSFINISH_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 526U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransFinish_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFINISH_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransFinish_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTRANSFINISH_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTRANSFINISH_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransFinish_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFINISH_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTransFinish_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFINISH_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTRANSFERDATA_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTRANSFERDATA_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 528U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransferData_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFERDATA_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransferData_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTRANSFERDATA_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTRANSFERDATA_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransferData_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFERDATA_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTransferData_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFERDATA_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTRANSFERSTART_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTRANSFERSTART_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 146U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransferStart_call_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFERSTART_CALL_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransferStart_call_Cis_ECU1_Service_UpgradeMcu_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTRANSFERSTART_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTRANSFERSTART_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTransferStart_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFERSTART_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTransferStart_return_Cis_ECU1_Service_UpgradeMcu[RTE_SIG_RR_SOMEIPTRANSFERSTART_RETURN_CIS_ECU1_SERVICE_UPGRADEMCU_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCCHENABLE_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCCHENABLE_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 45U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncChEnable_call_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCCHENABLE_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncChEnable_call_Cis_ECU1_Service_TimeSync_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCCHENABLE_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCCHENABLE_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncChEnable_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCCHENABLE_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTsyncChEnable_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCCHENABLE_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 8U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncGetDataDelta_call_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncGetDataDelta_call_Cis_ECU1_Service_TimeSync_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 16U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncGetDataDelta_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTsyncGetDataDelta_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCGETDATADELTA_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCMNG_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCMNG_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 56U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncMng_call_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCMNG_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncMng_call_Cis_ECU1_Service_TimeSync_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCMNG_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCMNG_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 104U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncMng_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCMNG_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTsyncMng_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCMNG_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 40U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncSyncGnssOsClockDiv_call_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_CALL_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncSyncGnssOsClockDiv_call_Cis_ECU1_Service_TimeSync_metadataBuffer[2];
#if !defined(RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE)
#define RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE 40U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_SomeipTsyncSyncGnssOsClockDiv_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_SomeipTsyncSyncGnssOsClockDiv_return_Cis_ECU1_Service_TimeSync[RTE_SIG_RR_SOMEIPTSYNCSYNCGNSSOSCLOCKDIV_RETURN_CIS_ECU1_SERVICE_TIMESYNC_BUFFER_SIZE];

#if !defined(RTE_SIG_RR_TRANSCFGFILE_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_TRANSCFGFILE_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 522U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_TransCfgFile_call_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_TRANSCFGFILE_CALL_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_TransCfgFile_call_Cis_ECU1_Service_CfgManage_metadataBuffer[2];
#if !defined(RTE_SIG_RR_TRANSCFGFILE_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE)
#define RTE_SIG_RR_TRANSCFGFILE_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE 9U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_TransCfgFile_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_TRANSCFGFILE_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_TransCfgFile_return_Cis_ECU1_Service_CfgManage[RTE_SIG_RR_TRANSCFGFILE_RETURN_CIS_ECU1_SERVICE_CFGMANAGE_BUFFER_SIZE];
#if !defined(RTE_SIG_RR_UPDATECHNLCONFIG_CALL_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE)
#define RTE_SIG_RR_UPDATECHNLCONFIG_CALL_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE 68U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_UpdateChnlConfig_call_Cis_ECU1_NrmComCtrChnlConfig[RTE_SIG_RR_UPDATECHNLCONFIG_CALL_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_UpdateChnlConfig_call_Cis_ECU1_NrmComCtrChnlConfig_metadataBuffer[2];
#if !defined(RTE_SIG_RR_UPDATECHNLCONFIG_RETURN_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE)
#define RTE_SIG_RR_UPDATECHNLCONFIG_RETURN_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE 12U
#endif
extern VAR(uint8, AUTOMATIC) Rte_SIG_RR_UpdateChnlConfig_return_Cis_ECU1_NrmComCtrChnlConfig[RTE_SIG_RR_UPDATECHNLCONFIG_RETURN_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE];
extern VAR(uint8, AUTOMATIC) Rte_Extra_SIG_RR_UpdateChnlConfig_return_Cis_ECU1_NrmComCtrChnlConfig[RTE_SIG_RR_UPDATECHNLCONFIG_RETURN_CIS_ECU1_NRMCOMCTRCHNLCONFIG_BUFFER_SIZE];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_CanNmCtrl_return_Cis_ECU1_SmService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_CanNmCtrl_return_Cis_ECU1_SmService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_CheckMcuVersion_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_CheckMcuVersion_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_CtrlMcuPower_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_CtrlMcuPower_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_DcComCtrlCanChnlConfig_return_Cis_ECU1_DcComCtrlServer[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_DcComCtrlCanChnlConfig_return_Cis_ECU1_DcComCtrlServer[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_DevmReadConfig_return_Cis_ECU1_Service_CfgManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_DevmReadConfig_return_Cis_ECU1_Service_CfgManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_DevmReadUartData_return_Cis_ECU1_Service_CfgManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_DevmReadUartData_return_Cis_ECU1_Service_CfgManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_DevmdGetInfomation_return_Cis_ECU1_Service_CfgManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_DevmdGetInfomation_return_Cis_ECU1_Service_CfgManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_DiagReadDid_return_Cis_ECU1_Service_DiagnoseWrDid[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_DiagReadDid_return_Cis_ECU1_Service_DiagnoseWrDid[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_DiagWriteDid_return_Cis_ECU1_Service_DiagnoseWrDid[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_DiagWriteDid_return_Cis_ECU1_Service_DiagnoseWrDid[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_FmGetFaultFromHost_return_Cis_ECU1_FmServerService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_FmGetFaultFromHost_return_Cis_ECU1_FmServerService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetDevInfo_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetDevInfo_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetMcuAliveState_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetMcuAliveState_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetMcuState_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetMcuState_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetPowerDownReason_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetPowerDownReason_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetSocStatus_return_Cis_ECU1_SmService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetSocStatus_return_Cis_ECU1_SmService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServerMethodB[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServerMethodB[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServiceMethod[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetWdgAnswer_return_Cis_ECU1_ExWdgServiceMethod[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_GetWorkMode_return_Cis_ECU1_SmService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_GetWorkMode_return_Cis_ECU1_SmService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_MntExecCmdInfo_return_Cis_ECU1_MntDbgChannel[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_MntExecCmdInfo_return_Cis_ECU1_MntDbgChannel[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_MntRequestCmdResult_return_Cis_ECU1_MntDbgChannel[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_MntRequestCmdResult_return_Cis_ECU1_MntDbgChannel[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_NCSServiceChannel_return_Cis_ECU1_NCSServiceChannel[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_NCSServiceChannel_return_Cis_ECU1_NCSServiceChannel[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_RequestWorkModeSwitch_return_Cis_ECU1_SmService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_RequestWorkModeSwitch_return_Cis_ECU1_SmService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_RequestWorkMode_return_Cis_ECU1_SmService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_RequestWorkMode_return_Cis_ECU1_SmService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SM_SsRequestState_return_Cis_ECU1_SmSsServerService[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SM_SsRequestState_return_Cis_ECU1_SmSsServerService[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SensorStateControl_return_Cis_ECU1_Service_Sam_ManagePlane[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SensorStateControl_return_Cis_ECU1_Service_Sam_ManagePlane[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SetChannelCtrl_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SetChannelCtrl_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SetInfo_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SetInfo_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SetPowerDownReasonRead_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SetPowerDownReasonRead_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SetSocTemperature_return_Cis_ECU1_Service_DevManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SetSocTemperature_return_Cis_ECU1_Service_DevManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipActive_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipActive_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipCheckUpdateCondition_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipCheckUpdateCondition_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipGetUpdateProgress_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipGetUpdateProgress_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipGetUpdateable_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipGetUpdateable_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipGetVersion_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipGetVersion_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipReboot_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipReboot_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipSetUpdateMode_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipSetUpdateMode_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTransFinish_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTransFinish_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTransferData_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTransferData_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTransferStart_return_Cis_ECU1_Service_UpgradeMcu[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTransferStart_return_Cis_ECU1_Service_UpgradeMcu[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTsyncChEnable_return_Cis_ECU1_Service_TimeSync[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTsyncChEnable_return_Cis_ECU1_Service_TimeSync[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTsyncGetDataDelta_return_Cis_ECU1_Service_TimeSync[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTsyncGetDataDelta_return_Cis_ECU1_Service_TimeSync[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTsyncMng_return_Cis_ECU1_Service_TimeSync[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTsyncMng_return_Cis_ECU1_Service_TimeSync[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_SomeipTsyncSyncGnssOsClockDiv_return_Cis_ECU1_Service_TimeSync[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_SomeipTsyncSyncGnssOsClockDiv_return_Cis_ECU1_Service_TimeSync[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_TransCfgFile_return_Cis_ECU1_Service_CfgManage[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_TransCfgFile_return_Cis_ECU1_Service_CfgManage[2];

extern VAR(uint8, AUTOMATIC) rte_ldcomProxyMetaData_SIGIPDU_RR_UpdateChnlConfig_return_Cis_ECU1_NrmComCtrChnlConfig[2];
extern VAR(uint8, AUTOMATIC) rte_extraLdcomProxyMetaData_SIGIPDU_RR_UpdateChnlConfig_return_Cis_ECU1_NrmComCtrChnlConfig[2];

/***************************************************************************
 *
 * RTE data type comparison functions
 *
 **************************************************************************/

#endif /* RTE_TYPE_H */