/***************************************************************************
 *
 * ERIKA Enterprise - a tiny RTOS for small microcontrollers
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2020. All rights reserved.
 * This file is part of ERIKA Enterprise.
 * See LICENSE file.
 *
 **************************************************************************/

#if (!defined(OSEE_DISABLE_KERNEL_LMU_PERCPU))
#define OSEE_KERNEL_LMU_PERCPU
#endif

#ifndef START_ADDR
#define START_ADDR  (0xA0002020 + (0x00300000 * 0))
#endif

#ifndef INTTAB_ADDR
#define INTTAB_ADDR (0x80000000 + (0x00300000 * 0))
#endif

#ifndef TRAP_TABLE_ADDRESS
#define TRAP_TABLE_ADDRESS
#endif

#ifndef KERNEL_RAM_SLOW_LOCATION
#define KERNEL_RAM_SLOW_LOCATION LMU_SRAM_nc
#endif

#ifndef API_RAM_SLOW_LOCATION
#define API_RAM_SLOW_LOCATION LMU_SRAM_nc
#endif

#ifndef KERNEL_RAM_FAST_LOCATION
#define KERNEL_RAM_FAST_LOCATION       DMI_DSPR0
#endif

#ifndef KERNEL_DATA_FAST_LOCATION
#define KERNEL_DATA_FAST_LOCATION      KERNEL_RAM_FAST_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_LOCATION
#define KERNEL_BSS_FAST_LOCATION       KERNEL_RAM_FAST_LOCATION
#endif

#ifndef API_RAM_FAST_LOCATION
#define API_RAM_FAST_LOCATION          DMI_DSPR0
#endif

#ifndef API_DATA_FAST_LOCATION
#define API_DATA_FAST_LOCATION         API_RAM_FAST_LOCATION
#endif

#ifndef API_BSS_FAST_LOCATION
#define API_BSS_FAST_LOCATION          API_RAM_FAST_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_LOCATION
#define API_BSS_NO_INIT_FAST_LOCATION  API_RAM_FAST_LOCATION
#endif

#ifndef KERNEL_TEXT_LOCATION
#define KERNEL_TEXT_LOCATION           PMU_PFLASH0
#endif

#ifndef API_RAM_NORMAL_CORE0_LOCATION
#define API_RAM_NORMAL_CORE0_LOCATION  DLMU_SRAM0
#endif

#ifndef API_TEXT_FAST_CORE0_LOCATION
#define API_TEXT_FAST_CORE0_LOCATION  PMI_PSPR0
#endif

#ifndef API_TEXT_CORE0_LOCATION
#define API_TEXT_CORE0_LOCATION  PMU_PFLASH0
#endif

#ifndef API_CONST_CORE0_LOCATION
#define API_CONST_CORE0_LOCATION  PMU_PFLASH0
#endif

#ifndef API_RAM_FAST_CORE0_LOCATION
#define API_RAM_FAST_CORE0_LOCATION  DMI_DSPR0
#endif

#ifndef API_DATA_FAST_CORE0_LOCATION
#define API_DATA_FAST_CORE0_LOCATION  API_RAM_FAST_CORE0_LOCATION
#endif

#ifndef API_BSS_FAST_CORE0_LOCATION
#define API_BSS_FAST_CORE0_LOCATION  API_RAM_FAST_CORE0_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_CORE0_LOCATION
#define API_BSS_NO_INIT_FAST_CORE0_LOCATION  API_RAM_FAST_CORE0_LOCATION
#endif

#ifndef KERNEL_TEXT_CORE0_LOCATION
#define KERNEL_TEXT_CORE0_LOCATION  PMU_PFLASH0
#endif

#ifndef KERNEL_CONST_CORE0_LOCATION
#define KERNEL_CONST_CORE0_LOCATION  PMU_PFLASH0
#endif

#ifndef KERNEL_RAM_FAST_CORE0_LOCATION
#define KERNEL_RAM_FAST_CORE0_LOCATION  DMI_DSPR0
#endif

#ifndef KERNEL_DATA_FAST_CORE0_LOCATION
#define KERNEL_DATA_FAST_CORE0_LOCATION  KERNEL_RAM_FAST_CORE0_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_CORE0_LOCATION
#define KERNEL_BSS_FAST_CORE0_LOCATION  KERNEL_RAM_FAST_CORE0_LOCATION
#endif

#ifndef KERNEL_RAM_SLOW_CORE0_LOCATION
#ifdef OSEE_KERNEL_LMU_PERCPU
#define KERNEL_RAM_SLOW_CORE0_LOCATION  LMU_SRAM
#else
#define KERNEL_RAM_SLOW_CORE0_LOCATION  LMU_SRAM_nc
#endif
#endif

#ifndef OSA_C0_1_HW_QM_RAM_FAST_LOCATION
#define OSA_C0_1_HW_QM_RAM_FAST_LOCATION  DMI_DSPR0
#endif

#ifndef OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION
#define OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE0_LOCATION
#endif

#ifndef OSA_C0_1_HW_QM_RAM_SLOW_LOCATION
#define OSA_C0_1_HW_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE0_LOCATION
#endif

#ifndef OSA_C0_1_HW_QM_STACK_LOCATION
#define OSA_C0_1_HW_QM_STACK_LOCATION OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core0_QM_Trigger_High_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Trigger_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_1ms_High_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_1ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_5ms_High_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_5ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Trigger_Low_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Trigger_Low_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Init_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Init_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_10ms_High_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_10ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_20ms_High_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_20ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_50ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_50ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_100ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_100ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Trigger_Low2_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Trigger_Low2_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_200ms_LowUpgrade_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_200ms_LowUpgrade_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_10ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_10ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Trigger_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Trigger_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Init_Adas_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Init_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_1000ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_1000ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_10ms_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_10ms_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_10ms_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_10ms_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_500ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_500ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_100ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_100ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_500ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_500ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_10ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_10ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_1ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_1ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_2ms_High_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_2ms_High_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Trigger_High_Diag_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Trigger_High_Diag_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef Task_Core0_QM_Trigger_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION
#define Task_Core0_QM_Trigger_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef ModeManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION
#define ModeManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION
#define ModeUser_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef OSA_C0_1_HW_QM_PreInitTask_OSA_C0_1_HW_QM_STACK_LOCATION
#define OSA_C0_1_HW_QM_PreInitTask_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION
#define PartitionStateManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION  OSA_C0_1_HW_QM_STACK_LOCATION
#endif

#ifndef OSA_C0_1_HW_QM_TEXT_FAST_LOCATION
#define OSA_C0_1_HW_QM_TEXT_FAST_LOCATION  PMU_PFLASH0
#endif

#ifndef OSA_C0_1_HW_QM_TEXT_SLOW_LOCATION
#define OSA_C0_1_HW_QM_TEXT_SLOW_LOCATION  PMU_PFLASH0
#endif
#ifndef OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION
#define OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION  DMI_DSPR0
#endif

#ifndef OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION
#define OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE0_LOCATION
#endif

#ifndef OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION
#define OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE0_LOCATION
#endif

#ifndef OSA_C0_3_HW_ASILD_STACK_LOCATION
#define OSA_C0_3_HW_ASILD_STACK_LOCATION OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core0_D_Init_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Init_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_1ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_1ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_10ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_10ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_5ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_5ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_Trigger_High_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Trigger_High_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_Trigger_Low_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Trigger_Low_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_1000ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_1000ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_10ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_10ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_20ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_20ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_50ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_50ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_5ms_High2_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_5ms_High2_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_Init_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Init_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_Trigger_High_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Trigger_High_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_10ms_High_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_10ms_High_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_10ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_10ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_Init_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Init_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_10ms_Middle_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_10ms_Middle_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_5ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_5ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_50ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_50ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_Trigger_Low_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_Trigger_Low_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core0_D_100ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define Task_Core0_D_100ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef ModeManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define ModeManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C0_3_HW_ASILD_PreInitTask_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define OSA_C0_3_HW_ASILD_PreInitTask_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION
#define PartitionStateManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION  OSA_C0_3_HW_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C0_3_HW_ASILD_TEXT_FAST_LOCATION
#define OSA_C0_3_HW_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH0
#endif

#ifndef OSA_C0_3_HW_ASILD_TEXT_SLOW_LOCATION
#define OSA_C0_3_HW_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT
#define PMU_PFLASH_BOOT PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT_nc
#define PMU_PFLASH_BOOT_nc PMU_PFLASH0_nc
#endif

#define MPU_CODE_ALIGN   32
#define MPU_DATA_ALIGN   8
#define CACHE_LINE_ALIGN 32


#ifndef API_RAM_NORMAL_CORE1_LOCATION
#define API_RAM_NORMAL_CORE1_LOCATION  DLMU_SRAM1
#endif

#ifndef API_TEXT_FAST_CORE1_LOCATION
#define API_TEXT_FAST_CORE1_LOCATION  PMI_PSPR1
#endif

#ifndef API_TEXT_CORE1_LOCATION
#define API_TEXT_CORE1_LOCATION  PMU_PFLASH1
#endif

#ifndef API_CONST_CORE1_LOCATION
#define API_CONST_CORE1_LOCATION  PMU_PFLASH1
#endif

#ifndef API_RAM_FAST_CORE1_LOCATION
#define API_RAM_FAST_CORE1_LOCATION  DMI_DSPR1
#endif

#ifndef API_DATA_FAST_CORE1_LOCATION
#define API_DATA_FAST_CORE1_LOCATION  API_RAM_FAST_CORE1_LOCATION
#endif

#ifndef API_BSS_FAST_CORE1_LOCATION
#define API_BSS_FAST_CORE1_LOCATION  API_RAM_FAST_CORE1_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_CORE1_LOCATION
#define API_BSS_NO_INIT_FAST_CORE1_LOCATION  API_RAM_FAST_CORE1_LOCATION
#endif

#ifndef KERNEL_TEXT_CORE1_LOCATION
#define KERNEL_TEXT_CORE1_LOCATION  PMU_PFLASH1
#endif

#ifndef KERNEL_CONST_CORE1_LOCATION
#define KERNEL_CONST_CORE1_LOCATION  PMU_PFLASH1
#endif

#ifndef KERNEL_RAM_FAST_CORE1_LOCATION
#define KERNEL_RAM_FAST_CORE1_LOCATION  DMI_DSPR1
#endif

#ifndef KERNEL_DATA_FAST_CORE1_LOCATION
#define KERNEL_DATA_FAST_CORE1_LOCATION  KERNEL_RAM_FAST_CORE1_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_CORE1_LOCATION
#define KERNEL_BSS_FAST_CORE1_LOCATION  KERNEL_RAM_FAST_CORE1_LOCATION
#endif

#ifndef KERNEL_RAM_SLOW_CORE1_LOCATION
#ifdef OSEE_KERNEL_LMU_PERCPU
#define KERNEL_RAM_SLOW_CORE1_LOCATION  LMU_SRAM
#else
#define KERNEL_RAM_SLOW_CORE1_LOCATION  LMU_SRAM_nc
#endif
#endif

#ifndef OSA_C1_1_APP_QM_RAM_FAST_LOCATION
#define OSA_C1_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR1
#endif

#ifndef OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION
#define OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION
#endif

#ifndef OSA_C1_1_APP_QM_RAM_SLOW_LOCATION
#define OSA_C1_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION
#endif

#ifndef OSA_C1_1_APP_QM_STACK_LOCATION
#define OSA_C1_1_APP_QM_STACK_LOCATION OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core1_QM_Init_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_Init_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_1000ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_1000ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_1ms_High_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_1ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_Trigger_Middle_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_Trigger_Middle_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_100ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_100ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_10ms_High_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_10ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_1ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_1ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_10ms_High_Adas_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_10ms_High_Adas_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_Init_Adas_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_Init_Adas_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_2ms_High_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_2ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_5ms_High_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_5ms_High_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_5ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_5ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core1_QM_10ms_High_Tmp_OSA_C1_1_APP_QM_STACK_LOCATION
#define Task_Core1_QM_10ms_High_Tmp_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION
#define ModeUser_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C1_1_APP_QM_PreInitTask_OSA_C1_1_APP_QM_STACK_LOCATION
#define OSA_C1_1_APP_QM_PreInitTask_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION
#define PartitionStateManager_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION  OSA_C1_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C1_1_APP_QM_TEXT_FAST_LOCATION
#define OSA_C1_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH1
#endif

#ifndef OSA_C1_1_APP_QM_TEXT_SLOW_LOCATION
#define OSA_C1_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH1
#endif
#ifndef OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION
#define OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION  DMI_DSPR1
#endif

#ifndef OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION
#define OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION
#endif

#ifndef OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION
#define OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE1_LOCATION
#endif

#ifndef OSA_C1_2_APP_ASILD_STACK_LOCATION
#define OSA_C1_2_APP_ASILD_STACK_LOCATION OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core1_D_10ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define Task_Core1_D_10ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core1_B_Init_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define Task_Core1_B_Init_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core1_D_5ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define Task_Core1_D_5ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core1_B_10ms_High_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define Task_Core1_B_10ms_High_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core1_D_Trigger_Low_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define Task_Core1_D_Trigger_Low_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define ModeUser_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C1_2_APP_ASILD_PreInitTask_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define OSA_C1_2_APP_ASILD_PreInitTask_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION
#define PartitionStateManager_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION  OSA_C1_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C1_2_APP_ASILD_TEXT_FAST_LOCATION
#define OSA_C1_2_APP_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH1
#endif

#ifndef OSA_C1_2_APP_ASILD_TEXT_SLOW_LOCATION
#define OSA_C1_2_APP_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH1
#endif

#ifndef PMU_PFLASH_BOOT
#define PMU_PFLASH_BOOT PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT_nc
#define PMU_PFLASH_BOOT_nc PMU_PFLASH0_nc
#endif

#define MPU_CODE_ALIGN   32
#define MPU_DATA_ALIGN   8
#define CACHE_LINE_ALIGN 32


#ifndef API_RAM_NORMAL_CORE2_LOCATION
#define API_RAM_NORMAL_CORE2_LOCATION  DLMU_SRAM2
#endif

#ifndef API_TEXT_FAST_CORE2_LOCATION
#define API_TEXT_FAST_CORE2_LOCATION  PMI_PSPR2
#endif

#ifndef API_TEXT_CORE2_LOCATION
#define API_TEXT_CORE2_LOCATION  PMU_PFLASH2
#endif

#ifndef API_CONST_CORE2_LOCATION
#define API_CONST_CORE2_LOCATION  PMU_PFLASH2
#endif

#ifndef API_RAM_FAST_CORE2_LOCATION
#define API_RAM_FAST_CORE2_LOCATION  DMI_DSPR2
#endif

#ifndef API_DATA_FAST_CORE2_LOCATION
#define API_DATA_FAST_CORE2_LOCATION  API_RAM_FAST_CORE2_LOCATION
#endif

#ifndef API_BSS_FAST_CORE2_LOCATION
#define API_BSS_FAST_CORE2_LOCATION  API_RAM_FAST_CORE2_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_CORE2_LOCATION
#define API_BSS_NO_INIT_FAST_CORE2_LOCATION  API_RAM_FAST_CORE2_LOCATION
#endif

#ifndef KERNEL_TEXT_CORE2_LOCATION
#define KERNEL_TEXT_CORE2_LOCATION  PMU_PFLASH2
#endif

#ifndef KERNEL_CONST_CORE2_LOCATION
#define KERNEL_CONST_CORE2_LOCATION  PMU_PFLASH2
#endif

#ifndef KERNEL_RAM_FAST_CORE2_LOCATION
#define KERNEL_RAM_FAST_CORE2_LOCATION  DMI_DSPR2
#endif

#ifndef KERNEL_DATA_FAST_CORE2_LOCATION
#define KERNEL_DATA_FAST_CORE2_LOCATION  KERNEL_RAM_FAST_CORE2_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_CORE2_LOCATION
#define KERNEL_BSS_FAST_CORE2_LOCATION  KERNEL_RAM_FAST_CORE2_LOCATION
#endif

#ifndef KERNEL_RAM_SLOW_CORE2_LOCATION
#ifdef OSEE_KERNEL_LMU_PERCPU
#define KERNEL_RAM_SLOW_CORE2_LOCATION  LMU_SRAM
#else
#define KERNEL_RAM_SLOW_CORE2_LOCATION  LMU_SRAM_nc
#endif
#endif

#ifndef OSA_C2_1_APP_QM_RAM_FAST_LOCATION
#define OSA_C2_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR2
#endif

#ifndef OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION
#define OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION
#endif

#ifndef OSA_C2_1_APP_QM_RAM_SLOW_LOCATION
#define OSA_C2_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION
#endif

#ifndef OSA_C2_1_APP_QM_STACK_LOCATION
#define OSA_C2_1_APP_QM_STACK_LOCATION OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core2_QM_Init_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_Init_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_1000ms_Middle_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_1000ms_Middle_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_10ms_High_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_10ms_High_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_5ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_5ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_10ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_10ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_1ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_1ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_10ms_High_Adas_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_10ms_High_Adas_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_Init_Adas_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_Init_Adas_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core2_QM_2ms_High_OSA_C2_1_APP_QM_STACK_LOCATION
#define Task_Core2_QM_2ms_High_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION
#define ModeUser_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C2_1_APP_QM_PreInitTask_OSA_C2_1_APP_QM_STACK_LOCATION
#define OSA_C2_1_APP_QM_PreInitTask_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION
#define PartitionStateManager_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION  OSA_C2_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C2_1_APP_QM_TEXT_FAST_LOCATION
#define OSA_C2_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH2
#endif

#ifndef OSA_C2_1_APP_QM_TEXT_SLOW_LOCATION
#define OSA_C2_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH2
#endif
#ifndef OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION
#define OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION  DMI_DSPR2
#endif

#ifndef OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION
#define OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION
#endif

#ifndef OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION
#define OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE2_LOCATION
#endif

#ifndef OSA_C2_2_APP_ASILD_STACK_LOCATION
#define OSA_C2_2_APP_ASILD_STACK_LOCATION OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core2_D_Init_OSA_C2_2_APP_ASILD_STACK_LOCATION
#define Task_Core2_D_Init_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core2_D_10ms_Middle_OSA_C2_2_APP_ASILD_STACK_LOCATION
#define Task_Core2_D_10ms_Middle_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION
#define ModeUser_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C2_2_APP_ASILD_PreInitTask_OSA_C2_2_APP_ASILD_STACK_LOCATION
#define OSA_C2_2_APP_ASILD_PreInitTask_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION
#define PartitionStateManager_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION  OSA_C2_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C2_2_APP_ASILD_TEXT_FAST_LOCATION
#define OSA_C2_2_APP_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH2
#endif

#ifndef OSA_C2_2_APP_ASILD_TEXT_SLOW_LOCATION
#define OSA_C2_2_APP_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH2
#endif

#ifndef PMU_PFLASH_BOOT
#define PMU_PFLASH_BOOT PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT_nc
#define PMU_PFLASH_BOOT_nc PMU_PFLASH0_nc
#endif

#define MPU_CODE_ALIGN   32
#define MPU_DATA_ALIGN   8
#define CACHE_LINE_ALIGN 32


#ifndef API_RAM_NORMAL_CORE3_LOCATION
#define API_RAM_NORMAL_CORE3_LOCATION  DLMU_SRAM3
#endif

#ifndef API_TEXT_FAST_CORE3_LOCATION
#define API_TEXT_FAST_CORE3_LOCATION  PMI_PSPR3
#endif

#ifndef API_TEXT_CORE3_LOCATION
#define API_TEXT_CORE3_LOCATION  PMU_PFLASH3
#endif

#ifndef API_CONST_CORE3_LOCATION
#define API_CONST_CORE3_LOCATION  PMU_PFLASH3
#endif

#ifndef API_RAM_FAST_CORE3_LOCATION
#define API_RAM_FAST_CORE3_LOCATION  DMI_DSPR3
#endif

#ifndef API_DATA_FAST_CORE3_LOCATION
#define API_DATA_FAST_CORE3_LOCATION  API_RAM_FAST_CORE3_LOCATION
#endif

#ifndef API_BSS_FAST_CORE3_LOCATION
#define API_BSS_FAST_CORE3_LOCATION  API_RAM_FAST_CORE3_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_CORE3_LOCATION
#define API_BSS_NO_INIT_FAST_CORE3_LOCATION  API_RAM_FAST_CORE3_LOCATION
#endif

#ifndef KERNEL_TEXT_CORE3_LOCATION
#define KERNEL_TEXT_CORE3_LOCATION  PMU_PFLASH3
#endif

#ifndef KERNEL_CONST_CORE3_LOCATION
#define KERNEL_CONST_CORE3_LOCATION  PMU_PFLASH3
#endif

#ifndef KERNEL_RAM_FAST_CORE3_LOCATION
#define KERNEL_RAM_FAST_CORE3_LOCATION  DMI_DSPR3
#endif

#ifndef KERNEL_DATA_FAST_CORE3_LOCATION
#define KERNEL_DATA_FAST_CORE3_LOCATION  KERNEL_RAM_FAST_CORE3_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_CORE3_LOCATION
#define KERNEL_BSS_FAST_CORE3_LOCATION  KERNEL_RAM_FAST_CORE3_LOCATION
#endif

#ifndef KERNEL_RAM_SLOW_CORE3_LOCATION
#ifdef OSEE_KERNEL_LMU_PERCPU
#define KERNEL_RAM_SLOW_CORE3_LOCATION  LMU_SRAM
#else
#define KERNEL_RAM_SLOW_CORE3_LOCATION  LMU_SRAM_nc
#endif
#endif

#ifndef OSA_C3_1_APP_QM_RAM_FAST_LOCATION
#define OSA_C3_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR3
#endif

#ifndef OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION
#define OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION
#endif

#ifndef OSA_C3_1_APP_QM_RAM_SLOW_LOCATION
#define OSA_C3_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION
#endif

#ifndef OSA_C3_1_APP_QM_STACK_LOCATION
#define OSA_C3_1_APP_QM_STACK_LOCATION OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core3_QM_1000ms_Middle_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_1000ms_Middle_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_Init_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_Init_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_10ms_High_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_10ms_High_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_5ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_5ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_10ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_10ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_1ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_1ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_10ms_High_Adas_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_10ms_High_Adas_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_Init_Adas_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_Init_Adas_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core3_QM_2ms_High_OSA_C3_1_APP_QM_STACK_LOCATION
#define Task_Core3_QM_2ms_High_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION
#define ModeUser_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C3_1_APP_QM_PreInitTask_OSA_C3_1_APP_QM_STACK_LOCATION
#define OSA_C3_1_APP_QM_PreInitTask_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION
#define PartitionStateManager_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION  OSA_C3_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C3_1_APP_QM_TEXT_FAST_LOCATION
#define OSA_C3_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH3
#endif

#ifndef OSA_C3_1_APP_QM_TEXT_SLOW_LOCATION
#define OSA_C3_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH3
#endif
#ifndef OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION
#define OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION  DMI_DSPR3
#endif

#ifndef OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION
#define OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION
#endif

#ifndef OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION
#define OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE3_LOCATION
#endif

#ifndef OSA_C3_2_APP_ASILD_STACK_LOCATION
#define OSA_C3_2_APP_ASILD_STACK_LOCATION OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core3_D_10ms_High_Flexible_OSA_C3_2_APP_ASILD_STACK_LOCATION
#define Task_Core3_D_10ms_High_Flexible_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core3_D_Init_OSA_C3_2_APP_ASILD_STACK_LOCATION
#define Task_Core3_D_Init_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef Task_Core3_D_10ms_High_OSA_C3_2_APP_ASILD_STACK_LOCATION
#define Task_Core3_D_10ms_High_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION
#define ModeUser_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C3_2_APP_ASILD_PreInitTask_OSA_C3_2_APP_ASILD_STACK_LOCATION
#define OSA_C3_2_APP_ASILD_PreInitTask_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION
#define PartitionStateManager_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION  OSA_C3_2_APP_ASILD_STACK_LOCATION
#endif

#ifndef OSA_C3_2_APP_ASILD_TEXT_FAST_LOCATION
#define OSA_C3_2_APP_ASILD_TEXT_FAST_LOCATION  PMU_PFLASH3
#endif

#ifndef OSA_C3_2_APP_ASILD_TEXT_SLOW_LOCATION
#define OSA_C3_2_APP_ASILD_TEXT_SLOW_LOCATION  PMU_PFLASH3
#endif

#ifndef PMU_PFLASH_BOOT
#define PMU_PFLASH_BOOT PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT_nc
#define PMU_PFLASH_BOOT_nc PMU_PFLASH0_nc
#endif

#define MPU_CODE_ALIGN   32
#define MPU_DATA_ALIGN   8
#define CACHE_LINE_ALIGN 32


#ifndef API_RAM_NORMAL_CORE4_LOCATION
#define API_RAM_NORMAL_CORE4_LOCATION  DLMU_SRAM4
#endif

#ifndef API_TEXT_FAST_CORE4_LOCATION
#define API_TEXT_FAST_CORE4_LOCATION  PMI_PSPR4
#endif

#ifndef API_TEXT_CORE4_LOCATION
#define API_TEXT_CORE4_LOCATION  PMU_PFLASH4
#endif

#ifndef API_CONST_CORE4_LOCATION
#define API_CONST_CORE4_LOCATION  PMU_PFLASH4
#endif

#ifndef API_RAM_FAST_CORE4_LOCATION
#define API_RAM_FAST_CORE4_LOCATION  DMI_DSPR4
#endif

#ifndef API_DATA_FAST_CORE4_LOCATION
#define API_DATA_FAST_CORE4_LOCATION  API_RAM_FAST_CORE4_LOCATION
#endif

#ifndef API_BSS_FAST_CORE4_LOCATION
#define API_BSS_FAST_CORE4_LOCATION  API_RAM_FAST_CORE4_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_CORE4_LOCATION
#define API_BSS_NO_INIT_FAST_CORE4_LOCATION  API_RAM_FAST_CORE4_LOCATION
#endif

#ifndef KERNEL_TEXT_CORE4_LOCATION
#define KERNEL_TEXT_CORE4_LOCATION  PMU_PFLASH4
#endif

#ifndef KERNEL_CONST_CORE4_LOCATION
#define KERNEL_CONST_CORE4_LOCATION  PMU_PFLASH4
#endif

#ifndef KERNEL_RAM_FAST_CORE4_LOCATION
#define KERNEL_RAM_FAST_CORE4_LOCATION  DMI_DSPR4
#endif

#ifndef KERNEL_DATA_FAST_CORE4_LOCATION
#define KERNEL_DATA_FAST_CORE4_LOCATION  KERNEL_RAM_FAST_CORE4_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_CORE4_LOCATION
#define KERNEL_BSS_FAST_CORE4_LOCATION  KERNEL_RAM_FAST_CORE4_LOCATION
#endif

#ifndef KERNEL_RAM_SLOW_CORE4_LOCATION
#ifdef OSEE_KERNEL_LMU_PERCPU
#define KERNEL_RAM_SLOW_CORE4_LOCATION  LMU_SRAM
#else
#define KERNEL_RAM_SLOW_CORE4_LOCATION  LMU_SRAM_nc
#endif
#endif

#ifndef OSA_C4_1_APP_QM_RAM_FAST_LOCATION
#define OSA_C4_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR4
#endif

#ifndef OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION
#define OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE4_LOCATION
#endif

#ifndef OSA_C4_1_APP_QM_RAM_SLOW_LOCATION
#define OSA_C4_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE4_LOCATION
#endif

#ifndef OSA_C4_1_APP_QM_STACK_LOCATION
#define OSA_C4_1_APP_QM_STACK_LOCATION OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core4_QM_1000ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_1000ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core4_QM_Init_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_Init_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core4_QM_10ms_High_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_10ms_High_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core4_QM_5ms_High_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_5ms_High_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core4_QM_2ms_High_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_2ms_High_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core4_QM_50ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_50ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core4_QM_1ms_High_Flexible_OSA_C4_1_APP_QM_STACK_LOCATION
#define Task_Core4_QM_1ms_High_Flexible_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION
#define ModeUser_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C4_1_APP_QM_PreInitTask_OSA_C4_1_APP_QM_STACK_LOCATION
#define OSA_C4_1_APP_QM_PreInitTask_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION
#define PartitionStateManager_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION  OSA_C4_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C4_1_APP_QM_TEXT_FAST_LOCATION
#define OSA_C4_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH4
#endif

#ifndef OSA_C4_1_APP_QM_TEXT_SLOW_LOCATION
#define OSA_C4_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH4
#endif

#ifndef PMU_PFLASH_BOOT
#define PMU_PFLASH_BOOT PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT_nc
#define PMU_PFLASH_BOOT_nc PMU_PFLASH0_nc
#endif

#define MPU_CODE_ALIGN   32
#define MPU_DATA_ALIGN   8
#define CACHE_LINE_ALIGN 32


#ifndef API_RAM_NORMAL_CORE5_LOCATION
#define API_RAM_NORMAL_CORE5_LOCATION  DLMU_SRAM5
#endif

#ifndef API_TEXT_FAST_CORE5_LOCATION
#define API_TEXT_FAST_CORE5_LOCATION  PMI_PSPR5
#endif

#ifndef API_TEXT_CORE5_LOCATION
#define API_TEXT_CORE5_LOCATION  PMU_PFLASH5
#endif

#ifndef API_CONST_CORE5_LOCATION
#define API_CONST_CORE5_LOCATION  PMU_PFLASH5
#endif

#ifndef API_RAM_FAST_CORE5_LOCATION
#define API_RAM_FAST_CORE5_LOCATION  DMI_DSPR5
#endif

#ifndef API_DATA_FAST_CORE5_LOCATION
#define API_DATA_FAST_CORE5_LOCATION  API_RAM_FAST_CORE5_LOCATION
#endif

#ifndef API_BSS_FAST_CORE5_LOCATION
#define API_BSS_FAST_CORE5_LOCATION  API_RAM_FAST_CORE5_LOCATION
#endif

#ifndef API_BSS_NO_INIT_FAST_CORE5_LOCATION
#define API_BSS_NO_INIT_FAST_CORE5_LOCATION  API_RAM_FAST_CORE5_LOCATION
#endif

#ifndef KERNEL_TEXT_CORE5_LOCATION
#define KERNEL_TEXT_CORE5_LOCATION  PMU_PFLASH5
#endif

#ifndef KERNEL_CONST_CORE5_LOCATION
#define KERNEL_CONST_CORE5_LOCATION  PMU_PFLASH5
#endif

#ifndef KERNEL_RAM_FAST_CORE5_LOCATION
#define KERNEL_RAM_FAST_CORE5_LOCATION  DMI_DSPR5
#endif

#ifndef KERNEL_DATA_FAST_CORE5_LOCATION
#define KERNEL_DATA_FAST_CORE5_LOCATION  KERNEL_RAM_FAST_CORE5_LOCATION
#endif

#ifndef KERNEL_BSS_FAST_CORE5_LOCATION
#define KERNEL_BSS_FAST_CORE5_LOCATION  KERNEL_RAM_FAST_CORE5_LOCATION
#endif

#ifndef KERNEL_RAM_SLOW_CORE5_LOCATION
#ifdef OSEE_KERNEL_LMU_PERCPU
#define KERNEL_RAM_SLOW_CORE5_LOCATION  LMU_SRAM
#else
#define KERNEL_RAM_SLOW_CORE5_LOCATION  LMU_SRAM_nc
#endif
#endif

#ifndef OSA_C5_1_APP_QM_RAM_FAST_LOCATION
#define OSA_C5_1_APP_QM_RAM_FAST_LOCATION  DMI_DSPR5
#endif

#ifndef OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION
#define OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION  KERNEL_RAM_SLOW_CORE5_LOCATION
#endif

#ifndef OSA_C5_1_APP_QM_RAM_SLOW_LOCATION
#define OSA_C5_1_APP_QM_RAM_SLOW_LOCATION  KERNEL_RAM_SLOW_CORE5_LOCATION
#endif

#ifndef OSA_C5_1_APP_QM_STACK_LOCATION
#define OSA_C5_1_APP_QM_STACK_LOCATION OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION
#endif

#ifndef Task_Core5_QM_1000ms_Middle_OSA_C5_1_APP_QM_STACK_LOCATION
#define Task_Core5_QM_1000ms_Middle_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
#endif

#ifndef Task_Core5_QM_Init_OSA_C5_1_APP_QM_STACK_LOCATION
#define Task_Core5_QM_Init_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
#endif

#ifndef ModeUser_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION
#define ModeUser_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C5_1_APP_QM_PreInitTask_OSA_C5_1_APP_QM_STACK_LOCATION
#define OSA_C5_1_APP_QM_PreInitTask_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
#endif

#ifndef PartitionStateManager_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION
#define PartitionStateManager_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION  OSA_C5_1_APP_QM_STACK_LOCATION
#endif

#ifndef OSA_C5_1_APP_QM_TEXT_FAST_LOCATION
#define OSA_C5_1_APP_QM_TEXT_FAST_LOCATION  PMU_PFLASH5
#endif

#ifndef OSA_C5_1_APP_QM_TEXT_SLOW_LOCATION
#define OSA_C5_1_APP_QM_TEXT_SLOW_LOCATION  PMU_PFLASH5
#endif

#ifndef PMU_PFLASH_BOOT
#define PMU_PFLASH_BOOT PMU_PFLASH0
#endif

#ifndef PMU_PFLASH_BOOT_nc
#define PMU_PFLASH_BOOT_nc PMU_PFLASH0_nc
#endif

#define MPU_CODE_ALIGN   32
#define MPU_DATA_ALIGN   8
#define CACHE_LINE_ALIGN 32


CORE_ID = GLOBAL;
#define USER_DEFINE_SECTION_GLOBAL_P1_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_GLOBAL_P1_BEGIN

SECTIONS
{

#if (START_ADDR < INTTAB_ADDR)
/* This section is always required as user start address absolutely restricted
   at address START_ADDR */
  .startup (START_ADDR) : FLAGS(rxl)
  {
    KEEP (*(.startup));
#if (START_ADDR >= 0xA0000000)
  } > PMU_PFLASH_BOOT_nc
#else
  } > PMU_PFLASH_BOOT
#endif
#endif

#define USER_DEFINE_SECTION_GLOBAL_P1
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_GLOBAL_P1

  /*
   * Section for interrupt table CPU0
   */
  .inttab_cpu0 (INTTAB_ADDR) : ALIGN(8192) FLAGS(ax)
  {
    PROVIDE(osee_core0_kernel_code_start   = .);
    PROVIDE(__INTTAB_CPU0 = .);
    KEEP (*(.inttab_cpu0));
    KEEP (*(.*.inttab_cpu0));
    . = ALIGN(8);
#if (INTTAB_ADDR >= 0xA0000000)
  } > PMU_PFLASH_BOOT_nc
#else
  } > PMU_PFLASH_BOOT
#endif

#if (START_ADDR > INTTAB_ADDR)
/* This section is always required as user start address absolutely restricted
   at address START_ADDR */
  .startup (START_ADDR) : FLAGS(rxl)
  {
    KEEP (*(.startup));
#if (START_ADDR >= 0xA0000000)
  } > PMU_PFLASH_BOOT_nc
#else
  } > PMU_PFLASH_BOOT
#endif
#endif
}

#define USER_DEFINE_SECTION_GLOBAL_P1_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_GLOBAL_P1_END

/* cores ld */
#define USER_DEFINE_SECTION_CORE5_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE5_BEGIN

SECTIONS
{
  .inttab_cpu5 : ALIGN(8192) FLAGS(ax)
  {
    PROVIDE(osee_core5_kernel_code_start   = .);
    PROVIDE(__INTTAB5 = .);
    PROVIDE(__INTTAB_CPU5 = .);
    KEEP (*(.inttab_cpu5));
    KEEP (*(.*.inttab_cpu5));
    . = ALIGN(8);
  } > KERNEL_TEXT_CORE5_LOCATION

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C5_1_APP_QM Private Code */
  .CPU5.OSA_C5_1_APP_QM_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C5_1_APP_QM_code_pspr_start = .);
#define OSA_C5_1_APP_QM_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_TEXT_FAST
    *(*_OSA_C5_1_APP_QM_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C5_1_APP_QM_TEXT_FAST_LOCATION

  .CPU5.OSA_C5_1_APP_QM_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C5_1_APP_QM_code_start = .);
#define OSA_C5_1_APP_QM_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_TEXT
    *(*_OSA_C5_1_APP_QM_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C5_1_APP_QM_code_end = .);
  } > OSA_C5_1_APP_QM_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
  .CPU5.kernel_text_fast_end : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    PROVIDE(osee_core5_kernel_code_end   = .);
  } > KERNEL_TEXT_CORE5_LOCATION
#endif

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
/* OS-APPLICATION CODE SECTIONS - END */

  .CPU5.api_text_fast  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_FAST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_FAST_CORE5
    *(*_core5_api_text_fast)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_FAST_CORE5_LOCATION AT> PMU_PFLASH5

  .CPU5.api_text  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_CORE5
    *(*_core5_api_text)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_CORE5_LOCATION

  .CPU5.text : ALIGN(MPU_CODE_ALIGN) FLAGS(ax)
  {
    *(.CPU5.text)
    *(.text_cpu5)
    *(.text_cpu5.*)
    . = ALIGN(MPU_CODE_ALIGN);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_core5_kernel_code_end   = .);
#endif
  } > KERNEL_TEXT_CORE5_LOCATION

  .CPU5.kernel_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define KERNEL_CONST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_CONST_CORE5
    *(osee_core5_kernel_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_CONST_CORE5_LOCATION

  .CPU5.api_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define API_CONST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST_CORE5
    *(osee_core5_api_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_CONST_CORE5_LOCATION

  .CPU5.istack : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core5_kernel_ram_dspr_start    = .);
    PROVIDE(osee_core5_irq_stack_top = .);
    . += __ISTACK5_SIZE;
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core5_irq_stack_bottom = .);
    . += 1;
    . = ALIGN(64);
  } > DMI_DSPR5

  .CPU5.csa : ALIGN(64) FLAGS(aw)
  {
    PROVIDE(__CSA5 = .);
    . += __CSA5_SIZE;
    PROVIDE(__CSA5_END = .);
    . += 64;
  } > DMI_DSPR5

  .CPU5.kernel_data_fast     : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
#define KERNEL_DATA_FAST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST_CORE5
    *(osee_core5_kernel_data)
  } > KERNEL_DATA_FAST_CORE5_LOCATION AT> PMU_PFLASH5

  .CPU5.kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
#define KERNEL_BSS_FAST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST_CORE5
    *(osee_core5_kernel_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_BSS_FAST_CORE5_LOCATION

  .CPU5.api_data_fast   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define API_DATA_FAST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST_CORE5
    *(*_core5_api_data_fast_64)
    *(*_core5_api_data_fast_32)
    *(*_core5_api_data_fast_ptr)
    *(*_core5_api_data_fast_16)
    *(*_core5_api_data_fast_8)
    *(*_core5_api_data_fast_bool)
    *(*_core5_api_data_fast_unspecified)
    *(*_core5_api_data_fast)
    . = ALIGN(8);
  } > API_DATA_FAST_CORE5_LOCATION AT> PMU_PFLASH5

  .CPU5.api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST_CORE5
    *(*_core5_api_bss_no_init_fast_64)
    *(*_core5_api_bss_no_init_fast_32)
    *(*_core5_api_bss_no_init_fast_ptr)
    *(*_core5_api_bss_no_init_fast_16)
    *(*_core5_api_bss_no_init_fast_8)
    *(*_core5_api_bss_no_init_fast_bool)
    *(*_core5_api_bss_no_init_fast_unspecified)
    *(*_core5_api_bss_no_init_fast)
  } > API_BSS_NO_INIT_FAST_CORE5_LOCATION

  .CPU5.api_bss_fast (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_FAST_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST_CORE5
    *(*_core5_api_bss_fast_64)
    *(*_core5_api_bss_fast_32)
    *(*_core5_api_bss_fast_ptr)
    *(*_core5_api_bss_fast_16)
    *(*_core5_api_bss_fast_8)
    *(*_core5_api_bss_fast_bool)
    *(*_core5_api_bss_fast_unspecified)
    *(*_core5_api_bss_fast)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_BSS_FAST_CORE5_LOCATION

  .CPU5.api_data_normal   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_core5_api_ram_dlmu_start = .);
#define API_DATA_NORMAL_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_NORMAL_CORE5
    *(*_core5_api_data_64)
    *(*_core5_api_data_32)
    *(*_core5_api_data_ptr)
    *(*_core5_api_data_16)
    *(*_core5_api_data_8)
    *(*_core5_api_data_bool)
    *(*_core5_api_data_unspecified)
    *(*_core5_api_data)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE5_LOCATION AT> PMU_PFLASH5

  .CPU5.api_bss_no_init_normal (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NO_INIT_NORMAL_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_NORMAL_CORE5
    *(*_core5_api_bss_no_init_64)
    *(*_core5_api_bss_no_init_32)
    *(*_core5_api_bss_no_init_ptr)
    *(*_core5_api_bss_no_init_16)
    *(*_core5_api_bss_no_init_8)
    *(*_core5_api_bss_no_init_bool)
    *(*_core5_api_bss_no_init_unspecified)
    *(*_core5_api_bss_no_init)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE5_LOCATION

  .CPU5.api_bss_normal (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NORMAL_CORE5
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NORMAL_CORE5
    *(*_core5_api_bss_64)
    *(*_core5_api_bss_32)
    *(*_core5_api_bss_ptr)
    *(*_core5_api_bss_16)
    *(*_core5_api_bss_8)
    *(*_core5_api_bss_bool)
    *(*_core5_api_bss_unspecified)
    *(*_core5_api_bss)
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core5_api_ram_dlmu_end   = .);
  } > API_RAM_NORMAL_CORE5_LOCATION

  /* OS-Application Section Private Unitializated DATA */
  .CPU5.OSA_C5_1_APP_QM_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_ram_dspr_start = .);
#define OSA_C5_1_APP_QM_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_BSS_FAST
    . = ALIGN(8);
  } > OSA_C5_1_APP_QM_RAM_FAST_LOCATION

  .CPU5.OSA_C5_1_APP_QM_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C5_1_APP_QM_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU5.OSA_C5_1_APP_QM_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C5_1_APP_QM_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_ram_dspr_end = .);
  } > OSA_C5_1_APP_QM_RAM_FAST_LOCATION AT> PMU_PFLASH5

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU5.kernel_ram_slow_start : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core5_kernel_ram_lmu_start = .);
  } > KERNEL_RAM_SLOW_CORE5_LOCATION
#endif

  /* OS-Application Section Private Unitializated DATA */
  .CPU5.OSA_C5_1_APP_QM_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_ram_slow_start = .);
#define OSA_C5_1_APP_QM_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C5_1_APP_QM_RAM_SLOW_LOCATION

  .CPU5.OSA_C5_1_APP_QM_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C5_1_APP_QM_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C5_1_APP_QM_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU5.OSA_C5_1_APP_QM_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C5_1_APP_QM_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_ram_slow_end = .);
  } > OSA_C5_1_APP_QM_RAM_SLOW_LOCATION AT> PMU_PFLASH5

  /* OS-Application Section Private Unitializated DATA */
  .CPU5.OSA_C5_1_APP_QM_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_ram_start = .);
#define OSA_C5_1_APP_QM_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_BSS
    *(*_OSA_C5_1_APP_QM_bss_64)
    *(*_OSA_C5_1_APP_QM_bss_32)
    *(*_OSA_C5_1_APP_QM_bss_ptr)
    *(*_OSA_C5_1_APP_QM_bss_16)
    *(*_OSA_C5_1_APP_QM_bss_8)
    *(*_OSA_C5_1_APP_QM_bss_bool)
    *(*_OSA_C5_1_APP_QM_bss_unspecified)
    *(*_OSA_C5_1_APP_QM_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU5.OSA_C5_1_APP_QM_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C5_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C5_1_APP_QM_STACK_LOCATION
  .CPU5.Task_Core5_QM_1000ms_Middle_OSA_C5_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core5_QM_1000ms_Middle_OSA_C5_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core5_QM_1000ms_Middle_OSA_C5_1_APP_QM_STACK_LOCATION

  .CPU5.Task_Core5_QM_Init_OSA_C5_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core5_QM_Init_OSA_C5_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core5_QM_Init_OSA_C5_1_APP_QM_STACK_LOCATION

  .CPU5.ModeUser_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION

  .CPU5.OSA_C5_1_APP_QM_PreInitTask_OSA_C5_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C5_1_APP_QM_PreInitTask_OSA_C5_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C5_1_APP_QM_PreInitTask_OSA_C5_1_APP_QM_STACK_LOCATION

  .CPU5.PartitionStateManager_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C5_1_APP_QM_Task_OSA_C5_1_APP_QM_STACK_LOCATION

  .CPU5.OSA_C5_1_APP_QM_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C5_1_APP_QM_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_NO_INIT
    *(*_OSA_C5_1_APP_QM_bss_no_init_64)
    *(*_OSA_C5_1_APP_QM_bss_no_init_32)
    *(*_OSA_C5_1_APP_QM_bss_no_init_ptr)
    *(*_OSA_C5_1_APP_QM_bss_no_init_16)
    *(*_OSA_C5_1_APP_QM_bss_no_init_8)
    *(*_OSA_C5_1_APP_QM_bss_no_init_bool)
    *(*_OSA_C5_1_APP_QM_bss_no_init_unspecified)
    *(*_OSA_C5_1_APP_QM_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU5.OSA_C5_1_APP_QM_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C5_1_APP_QM_savezone)
    *(*_OSA_C5_1_APP_QM_savezone_64)
    *(*_OSA_C5_1_APP_QM_savezone_32)
    *(*_OSA_C5_1_APP_QM_savezone_ptr)
    *(*_OSA_C5_1_APP_QM_savezone_16)
    *(*_OSA_C5_1_APP_QM_savezone_8)
    *(*_OSA_C5_1_APP_QM_savezone_bool)
    *(*_OSA_C5_1_APP_QM_savezone_unspecified)
    *(*_OSA_C5_1_APP_QM_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU5.OSA_C5_1_APP_QM_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C5_1_APP_QM_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C5_1_APP_QM_DATA
    *(osee_OSA_C5_1_APP_QM_data)
    *(*_OSA_C5_1_APP_QM_data_64)
    *(*_OSA_C5_1_APP_QM_data_32)
    *(*_OSA_C5_1_APP_QM_data_ptr)
    *(*_OSA_C5_1_APP_QM_data_16)
    *(*_OSA_C5_1_APP_QM_data_8)
    *(*_OSA_C5_1_APP_QM_data_bool)
    *(*_OSA_C5_1_APP_QM_data_unspecified)
    *(*_OSA_C5_1_APP_QM_data)
    *(*_OSA_C5_1_APP_QM_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C5_1_APP_QM_ram_end = .);

  } > OSA_C5_1_APP_QM_RAM_NORMAL_LOCATION AT> PMU_PFLASH5

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU5.kernel_ram_slow_end : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core5_kernel_ram_lmu_end = .);
  } > KERNEL_RAM_SLOW_CORE5_LOCATION
#endif

  .CPU5.ustack_top : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core5_kernel_ram_dspr_end    = .);
    PROVIDE(osee_core5_all_stacks_top = .);
    /* for gap */
    . += 64;
  } > DMI_DSPR5

  /* Stacks */
  .CPU5.ustack (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    *(osee_core5_sys_stack)
    . = ALIGN(8);
    PROVIDE(osee_core5_sys_stack_top = .);
    . += __USTACK5_SIZE;
    . = ALIGN(8);
    PROVIDE(osee_core5_sys_stack_bottom = .);
  } > DMI_DSPR5
}

#define USER_DEFINE_SECTION_CORE5_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE5_END

#define USER_DEFINE_SECTION_CORE4_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE4_BEGIN

SECTIONS
{
  .inttab_cpu4 : ALIGN(8192) FLAGS(ax)
  {
    PROVIDE(osee_core4_kernel_code_start   = .);
    PROVIDE(__INTTAB4 = .);
    PROVIDE(__INTTAB_CPU4 = .);
    KEEP (*(.inttab_cpu4));
    KEEP (*(.*.inttab_cpu4));
    . = ALIGN(8);
  } > KERNEL_TEXT_CORE4_LOCATION

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C4_1_APP_QM Private Code */
  .CPU4.OSA_C4_1_APP_QM_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C4_1_APP_QM_code_pspr_start = .);
#define OSA_C4_1_APP_QM_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_TEXT_FAST
    *(*_OSA_C4_1_APP_QM_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C4_1_APP_QM_TEXT_FAST_LOCATION

  .CPU4.OSA_C4_1_APP_QM_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C4_1_APP_QM_code_start = .);
#define OSA_C4_1_APP_QM_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_TEXT
    *(*_OSA_C4_1_APP_QM_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C4_1_APP_QM_code_end = .);
  } > OSA_C4_1_APP_QM_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
  .CPU4.kernel_text_fast_end : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    PROVIDE(osee_core4_kernel_code_end   = .);
  } > KERNEL_TEXT_CORE4_LOCATION
#endif

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
/* OS-APPLICATION CODE SECTIONS - END */

  .CPU4.api_text_fast  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_FAST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_FAST_CORE4
    *(*_core4_api_text_fast)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_FAST_CORE4_LOCATION AT> PMU_PFLASH4

  .CPU4.api_text  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_CORE4
    *(*_core4_api_text)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_CORE4_LOCATION

  .CPU4.text : ALIGN(MPU_CODE_ALIGN) FLAGS(ax)
  {
    *(.CPU4.text)
    *(.text_cpu4)
    *(.text_cpu4.*)
    . = ALIGN(MPU_CODE_ALIGN);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_core4_kernel_code_end   = .);
#endif
  } > KERNEL_TEXT_CORE4_LOCATION

  .CPU4.kernel_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define KERNEL_CONST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_CONST_CORE4
    *(osee_core4_kernel_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_CONST_CORE4_LOCATION

  .CPU4.api_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define API_CONST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST_CORE4
    *(osee_core4_api_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_CONST_CORE4_LOCATION

  .CPU4.istack : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core4_kernel_ram_dspr_start    = .);
    PROVIDE(osee_core4_irq_stack_top = .);
    . += __ISTACK4_SIZE;
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core4_irq_stack_bottom = .);
    . += 1;
    . = ALIGN(64);
  } > DMI_DSPR4

  .CPU4.csa : ALIGN(64) FLAGS(aw)
  {
    PROVIDE(__CSA4 = .);
    . += __CSA4_SIZE;
    PROVIDE(__CSA4_END = .);
    . += 64;
  } > DMI_DSPR4

  .CPU4.kernel_data_fast     : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
#define KERNEL_DATA_FAST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST_CORE4
    *(osee_core4_kernel_data)
  } > KERNEL_DATA_FAST_CORE4_LOCATION AT> PMU_PFLASH4

  .CPU4.kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
#define KERNEL_BSS_FAST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST_CORE4
    *(osee_core4_kernel_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_BSS_FAST_CORE4_LOCATION

  .CPU4.api_data_fast   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define API_DATA_FAST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST_CORE4
    *(*_core4_api_data_fast_64)
    *(*_core4_api_data_fast_32)
    *(*_core4_api_data_fast_ptr)
    *(*_core4_api_data_fast_16)
    *(*_core4_api_data_fast_8)
    *(*_core4_api_data_fast_bool)
    *(*_core4_api_data_fast_unspecified)
    *(*_core4_api_data_fast)
    . = ALIGN(8);
  } > API_DATA_FAST_CORE4_LOCATION AT> PMU_PFLASH4

  .CPU4.api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST_CORE4
    *(*_core4_api_bss_no_init_fast_64)
    *(*_core4_api_bss_no_init_fast_32)
    *(*_core4_api_bss_no_init_fast_ptr)
    *(*_core4_api_bss_no_init_fast_16)
    *(*_core4_api_bss_no_init_fast_8)
    *(*_core4_api_bss_no_init_fast_bool)
    *(*_core4_api_bss_no_init_fast_unspecified)
    *(*_core4_api_bss_no_init_fast)
  } > API_BSS_NO_INIT_FAST_CORE4_LOCATION

  .CPU4.api_bss_fast (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_FAST_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST_CORE4
    *(*_core4_api_bss_fast_64)
    *(*_core4_api_bss_fast_32)
    *(*_core4_api_bss_fast_ptr)
    *(*_core4_api_bss_fast_16)
    *(*_core4_api_bss_fast_8)
    *(*_core4_api_bss_fast_bool)
    *(*_core4_api_bss_fast_unspecified)
    *(*_core4_api_bss_fast)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_BSS_FAST_CORE4_LOCATION

  .CPU4.api_data_normal   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_core4_api_ram_dlmu_start = .);
#define API_DATA_NORMAL_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_NORMAL_CORE4
    *(*_core4_api_data_64)
    *(*_core4_api_data_32)
    *(*_core4_api_data_ptr)
    *(*_core4_api_data_16)
    *(*_core4_api_data_8)
    *(*_core4_api_data_bool)
    *(*_core4_api_data_unspecified)
    *(*_core4_api_data)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE4_LOCATION AT> PMU_PFLASH4

  .CPU4.api_bss_no_init_normal (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NO_INIT_NORMAL_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_NORMAL_CORE4
    *(*_core4_api_bss_no_init_64)
    *(*_core4_api_bss_no_init_32)
    *(*_core4_api_bss_no_init_ptr)
    *(*_core4_api_bss_no_init_16)
    *(*_core4_api_bss_no_init_8)
    *(*_core4_api_bss_no_init_bool)
    *(*_core4_api_bss_no_init_unspecified)
    *(*_core4_api_bss_no_init)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE4_LOCATION

  .CPU4.api_bss_normal (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NORMAL_CORE4
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NORMAL_CORE4
    *(*_core4_api_bss_64)
    *(*_core4_api_bss_32)
    *(*_core4_api_bss_ptr)
    *(*_core4_api_bss_16)
    *(*_core4_api_bss_8)
    *(*_core4_api_bss_bool)
    *(*_core4_api_bss_unspecified)
    *(*_core4_api_bss)
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core4_api_ram_dlmu_end   = .);
  } > API_RAM_NORMAL_CORE4_LOCATION

  /* OS-Application Section Private Unitializated DATA */
  .CPU4.OSA_C4_1_APP_QM_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_ram_dspr_start = .);
#define OSA_C4_1_APP_QM_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_BSS_FAST
    . = ALIGN(8);
  } > OSA_C4_1_APP_QM_RAM_FAST_LOCATION

  .CPU4.OSA_C4_1_APP_QM_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C4_1_APP_QM_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU4.OSA_C4_1_APP_QM_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C4_1_APP_QM_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_ram_dspr_end = .);
  } > OSA_C4_1_APP_QM_RAM_FAST_LOCATION AT> PMU_PFLASH4

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU4.kernel_ram_slow_start : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core4_kernel_ram_lmu_start = .);
  } > KERNEL_RAM_SLOW_CORE4_LOCATION
#endif

  /* OS-Application Section Private Unitializated DATA */
  .CPU4.OSA_C4_1_APP_QM_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_ram_slow_start = .);
#define OSA_C4_1_APP_QM_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C4_1_APP_QM_RAM_SLOW_LOCATION

  .CPU4.OSA_C4_1_APP_QM_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C4_1_APP_QM_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C4_1_APP_QM_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU4.OSA_C4_1_APP_QM_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C4_1_APP_QM_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_ram_slow_end = .);
  } > OSA_C4_1_APP_QM_RAM_SLOW_LOCATION AT> PMU_PFLASH4

  /* OS-Application Section Private Unitializated DATA */
  .CPU4.OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_ram_start = .);
#define OSA_C4_1_APP_QM_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_BSS
    *(*_OSA_C4_1_APP_QM_bss_64)
    *(*_OSA_C4_1_APP_QM_bss_32)
    *(*_OSA_C4_1_APP_QM_bss_ptr)
    *(*_OSA_C4_1_APP_QM_bss_16)
    *(*_OSA_C4_1_APP_QM_bss_8)
    *(*_OSA_C4_1_APP_QM_bss_bool)
    *(*_OSA_C4_1_APP_QM_bss_unspecified)
    *(*_OSA_C4_1_APP_QM_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU4.OSA_C4_1_APP_QM_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C4_1_APP_QM_STACK_LOCATION
  .CPU4.Task_Core4_QM_1000ms_Middle_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_1000ms_Middle_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_1000ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.Task_Core4_QM_Init_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_Init_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_Init_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.Task_Core4_QM_10ms_High_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_10ms_High_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_10ms_High_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.Task_Core4_QM_5ms_High_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_5ms_High_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_5ms_High_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.Task_Core4_QM_2ms_High_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_2ms_High_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_2ms_High_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.Task_Core4_QM_50ms_Middle_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_50ms_Middle_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_50ms_Middle_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.Task_Core4_QM_1ms_High_Flexible_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core4_QM_1ms_High_Flexible_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core4_QM_1ms_High_Flexible_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.ModeUser_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.OSA_C4_1_APP_QM_PreInitTask_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C4_1_APP_QM_PreInitTask_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C4_1_APP_QM_PreInitTask_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.PartitionStateManager_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C4_1_APP_QM_Task_OSA_C4_1_APP_QM_STACK_LOCATION

  .CPU4.OSA_C4_1_APP_QM_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C4_1_APP_QM_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_NO_INIT
    *(*_OSA_C4_1_APP_QM_bss_no_init_64)
    *(*_OSA_C4_1_APP_QM_bss_no_init_32)
    *(*_OSA_C4_1_APP_QM_bss_no_init_ptr)
    *(*_OSA_C4_1_APP_QM_bss_no_init_16)
    *(*_OSA_C4_1_APP_QM_bss_no_init_8)
    *(*_OSA_C4_1_APP_QM_bss_no_init_bool)
    *(*_OSA_C4_1_APP_QM_bss_no_init_unspecified)
    *(*_OSA_C4_1_APP_QM_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU4.OSA_C4_1_APP_QM_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C4_1_APP_QM_savezone)
    *(*_OSA_C4_1_APP_QM_savezone_64)
    *(*_OSA_C4_1_APP_QM_savezone_32)
    *(*_OSA_C4_1_APP_QM_savezone_ptr)
    *(*_OSA_C4_1_APP_QM_savezone_16)
    *(*_OSA_C4_1_APP_QM_savezone_8)
    *(*_OSA_C4_1_APP_QM_savezone_bool)
    *(*_OSA_C4_1_APP_QM_savezone_unspecified)
    *(*_OSA_C4_1_APP_QM_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU4.OSA_C4_1_APP_QM_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C4_1_APP_QM_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C4_1_APP_QM_DATA
    *(osee_OSA_C4_1_APP_QM_data)
    *(*_OSA_C4_1_APP_QM_data_64)
    *(*_OSA_C4_1_APP_QM_data_32)
    *(*_OSA_C4_1_APP_QM_data_ptr)
    *(*_OSA_C4_1_APP_QM_data_16)
    *(*_OSA_C4_1_APP_QM_data_8)
    *(*_OSA_C4_1_APP_QM_data_bool)
    *(*_OSA_C4_1_APP_QM_data_unspecified)
    *(*_OSA_C4_1_APP_QM_data)
    *(*_OSA_C4_1_APP_QM_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C4_1_APP_QM_ram_end = .);

  } > OSA_C4_1_APP_QM_RAM_NORMAL_LOCATION AT> PMU_PFLASH4

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU4.kernel_ram_slow_end : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core4_kernel_ram_lmu_end = .);
  } > KERNEL_RAM_SLOW_CORE4_LOCATION
#endif

  .CPU4.ustack_top : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core4_kernel_ram_dspr_end    = .);
    PROVIDE(osee_core4_all_stacks_top = .);
    /* for gap */
    . += 64;
  } > DMI_DSPR4

  /* Stacks */
  .CPU4.ustack (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    *(osee_core4_sys_stack)
    . = ALIGN(8);
    PROVIDE(osee_core4_sys_stack_top = .);
    . += __USTACK4_SIZE;
    . = ALIGN(8);
    PROVIDE(osee_core4_sys_stack_bottom = .);
  } > DMI_DSPR4
}

#define USER_DEFINE_SECTION_CORE4_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE4_END

#define USER_DEFINE_SECTION_CORE3_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE3_BEGIN

SECTIONS
{
  .inttab_cpu3 : ALIGN(8192) FLAGS(ax)
  {
    PROVIDE(osee_core3_kernel_code_start   = .);
    PROVIDE(__INTTAB3 = .);
    PROVIDE(__INTTAB_CPU3 = .);
    KEEP (*(.inttab_cpu3));
    KEEP (*(.*.inttab_cpu3));
    . = ALIGN(8);
  } > KERNEL_TEXT_CORE3_LOCATION

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C3_2_APP_ASILD Private Code */
  .CPU3.OSA_C3_2_APP_ASILD_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C3_2_APP_ASILD_code_pspr_start = .);
#define OSA_C3_2_APP_ASILD_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_TEXT_FAST
    *(*_OSA_C3_2_APP_ASILD_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C3_2_APP_ASILD_TEXT_FAST_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C3_2_APP_ASILD_code_start = .);
#define OSA_C3_2_APP_ASILD_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_TEXT
    *(*_OSA_C3_2_APP_ASILD_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C3_2_APP_ASILD_code_end = .);
  } > OSA_C3_2_APP_ASILD_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
  .CPU3.kernel_text_fast_end : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    PROVIDE(osee_core3_kernel_code_end   = .);
  } > KERNEL_TEXT_CORE3_LOCATION
#endif

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C3_1_APP_QM Private Code */
  .CPU3.OSA_C3_1_APP_QM_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C3_1_APP_QM_code_pspr_start = .);
#define OSA_C3_1_APP_QM_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_TEXT_FAST
    *(*_OSA_C3_1_APP_QM_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_code_pspr_end = .);
  } > OSA_C3_1_APP_QM_TEXT_FAST_LOCATION

  .CPU3.OSA_C3_1_APP_QM_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C3_1_APP_QM_code_start = .);
#define OSA_C3_1_APP_QM_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_TEXT
    *(*_OSA_C3_1_APP_QM_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C3_1_APP_QM_code_end = .);
  } > OSA_C3_1_APP_QM_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

  .CPU3.api_text_fast  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_FAST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_FAST_CORE3
    *(*_core3_api_text_fast)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_FAST_CORE3_LOCATION AT> PMU_PFLASH3

  .CPU3.api_text  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_CORE3
    *(*_core3_api_text)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_CORE3_LOCATION

  .CPU3.text : ALIGN(MPU_CODE_ALIGN) FLAGS(ax)
  {
    *(.CPU3.text)
    *(.text_cpu3)
    *(.text_cpu3.*)
    . = ALIGN(MPU_CODE_ALIGN);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_core3_kernel_code_end   = .);
#endif
  } > KERNEL_TEXT_CORE3_LOCATION

  .CPU3.kernel_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define KERNEL_CONST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_CONST_CORE3
    *(osee_core3_kernel_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_CONST_CORE3_LOCATION

  .CPU3.api_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define API_CONST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST_CORE3
    *(osee_core3_api_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_CONST_CORE3_LOCATION

  .CPU3.istack : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core3_kernel_ram_dspr_start    = .);
    PROVIDE(osee_core3_irq_stack_top = .);
    . += __ISTACK3_SIZE;
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core3_irq_stack_bottom = .);
    . += 1;
    . = ALIGN(64);
  } > DMI_DSPR3

  .CPU3.csa : ALIGN(64) FLAGS(aw)
  {
    PROVIDE(__CSA3 = .);
    . += __CSA3_SIZE;
    PROVIDE(__CSA3_END = .);
    . += 64;
  } > DMI_DSPR3

  .CPU3.kernel_data_fast     : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
#define KERNEL_DATA_FAST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST_CORE3
    *(osee_core3_kernel_data)
  } > KERNEL_DATA_FAST_CORE3_LOCATION AT> PMU_PFLASH3

  .CPU3.kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
#define KERNEL_BSS_FAST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST_CORE3
    *(osee_core3_kernel_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_BSS_FAST_CORE3_LOCATION

  .CPU3.api_data_fast   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define API_DATA_FAST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST_CORE3
    *(*_core3_api_data_fast_64)
    *(*_core3_api_data_fast_32)
    *(*_core3_api_data_fast_ptr)
    *(*_core3_api_data_fast_16)
    *(*_core3_api_data_fast_8)
    *(*_core3_api_data_fast_bool)
    *(*_core3_api_data_fast_unspecified)
    *(*_core3_api_data_fast)
    . = ALIGN(8);
  } > API_DATA_FAST_CORE3_LOCATION AT> PMU_PFLASH3

  .CPU3.api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST_CORE3
    *(*_core3_api_bss_no_init_fast_64)
    *(*_core3_api_bss_no_init_fast_32)
    *(*_core3_api_bss_no_init_fast_ptr)
    *(*_core3_api_bss_no_init_fast_16)
    *(*_core3_api_bss_no_init_fast_8)
    *(*_core3_api_bss_no_init_fast_bool)
    *(*_core3_api_bss_no_init_fast_unspecified)
    *(*_core3_api_bss_no_init_fast)
  } > API_BSS_NO_INIT_FAST_CORE3_LOCATION

  .CPU3.api_bss_fast (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_FAST_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST_CORE3
    *(*_core3_api_bss_fast_64)
    *(*_core3_api_bss_fast_32)
    *(*_core3_api_bss_fast_ptr)
    *(*_core3_api_bss_fast_16)
    *(*_core3_api_bss_fast_8)
    *(*_core3_api_bss_fast_bool)
    *(*_core3_api_bss_fast_unspecified)
    *(*_core3_api_bss_fast)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_BSS_FAST_CORE3_LOCATION

  .CPU3.api_data_normal   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_core3_api_ram_dlmu_start = .);
#define API_DATA_NORMAL_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_NORMAL_CORE3
    *(*_core3_api_data_64)
    *(*_core3_api_data_32)
    *(*_core3_api_data_ptr)
    *(*_core3_api_data_16)
    *(*_core3_api_data_8)
    *(*_core3_api_data_bool)
    *(*_core3_api_data_unspecified)
    *(*_core3_api_data)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE3_LOCATION AT> PMU_PFLASH3

  .CPU3.api_bss_no_init_normal (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NO_INIT_NORMAL_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_NORMAL_CORE3
    *(*_core3_api_bss_no_init_64)
    *(*_core3_api_bss_no_init_32)
    *(*_core3_api_bss_no_init_ptr)
    *(*_core3_api_bss_no_init_16)
    *(*_core3_api_bss_no_init_8)
    *(*_core3_api_bss_no_init_bool)
    *(*_core3_api_bss_no_init_unspecified)
    *(*_core3_api_bss_no_init)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE3_LOCATION

  .CPU3.api_bss_normal (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NORMAL_CORE3
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NORMAL_CORE3
    *(*_core3_api_bss_64)
    *(*_core3_api_bss_32)
    *(*_core3_api_bss_ptr)
    *(*_core3_api_bss_16)
    *(*_core3_api_bss_8)
    *(*_core3_api_bss_bool)
    *(*_core3_api_bss_unspecified)
    *(*_core3_api_bss)
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core3_api_ram_dlmu_end   = .);
  } > API_RAM_NORMAL_CORE3_LOCATION

  /* OS-Application Section Private Unitializated DATA */
  .CPU3.OSA_C3_1_APP_QM_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_ram_dspr_start = .);
#define OSA_C3_1_APP_QM_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_BSS_FAST
    . = ALIGN(8);
  } > OSA_C3_1_APP_QM_RAM_FAST_LOCATION

  .CPU3.OSA_C3_1_APP_QM_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C3_1_APP_QM_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU3.OSA_C3_1_APP_QM_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C3_1_APP_QM_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_ram_dspr_end = .);
  } > OSA_C3_1_APP_QM_RAM_FAST_LOCATION AT> PMU_PFLASH3
  /* OS-Application Section Private Unitializated DATA */
  .CPU3.OSA_C3_2_APP_ASILD_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_ram_dspr_start = .);
#define OSA_C3_2_APP_ASILD_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_BSS_FAST
    . = ALIGN(8);
  } > OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU3.OSA_C3_2_APP_ASILD_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C3_2_APP_ASILD_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_ram_dspr_end = .);
  } > OSA_C3_2_APP_ASILD_RAM_FAST_LOCATION AT> PMU_PFLASH3

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU3.kernel_ram_slow_start : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core3_kernel_ram_lmu_start = .);
  } > KERNEL_RAM_SLOW_CORE3_LOCATION
#endif

  /* OS-Application Section Private Unitializated DATA */
  .CPU3.OSA_C3_1_APP_QM_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_ram_slow_start = .);
#define OSA_C3_1_APP_QM_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C3_1_APP_QM_RAM_SLOW_LOCATION

  .CPU3.OSA_C3_1_APP_QM_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C3_1_APP_QM_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C3_1_APP_QM_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU3.OSA_C3_1_APP_QM_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C3_1_APP_QM_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_ram_slow_end = .);
  } > OSA_C3_1_APP_QM_RAM_SLOW_LOCATION AT> PMU_PFLASH3
  /* OS-Application Section Private Unitializated DATA */
  .CPU3.OSA_C3_2_APP_ASILD_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_ram_slow_start = .);
#define OSA_C3_2_APP_ASILD_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C3_2_APP_ASILD_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU3.OSA_C3_2_APP_ASILD_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C3_2_APP_ASILD_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_ram_slow_end = .);
  } > OSA_C3_2_APP_ASILD_RAM_SLOW_LOCATION AT> PMU_PFLASH3

  /* OS-Application Section Private Unitializated DATA */
  .CPU3.OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_ram_start = .);
#define OSA_C3_1_APP_QM_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_BSS
    *(*_OSA_C3_1_APP_QM_bss_64)
    *(*_OSA_C3_1_APP_QM_bss_32)
    *(*_OSA_C3_1_APP_QM_bss_ptr)
    *(*_OSA_C3_1_APP_QM_bss_16)
    *(*_OSA_C3_1_APP_QM_bss_8)
    *(*_OSA_C3_1_APP_QM_bss_bool)
    *(*_OSA_C3_1_APP_QM_bss_unspecified)
    *(*_OSA_C3_1_APP_QM_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU3.OSA_C3_1_APP_QM_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C3_1_APP_QM_STACK_LOCATION
  .CPU3.Task_Core3_QM_1000ms_Middle_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_1000ms_Middle_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_1000ms_Middle_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_Init_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_Init_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_Init_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_10ms_High_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_10ms_High_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_10ms_High_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_5ms_High_Flexible_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_5ms_High_Flexible_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_5ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_10ms_High_Flexible_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_10ms_High_Flexible_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_10ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_1ms_High_Flexible_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_1ms_High_Flexible_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_1ms_High_Flexible_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_10ms_High_Adas_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_10ms_High_Adas_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_10ms_High_Adas_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_Init_Adas_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_Init_Adas_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_Init_Adas_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.Task_Core3_QM_2ms_High_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_QM_2ms_High_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core3_QM_2ms_High_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.ModeUser_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.OSA_C3_1_APP_QM_PreInitTask_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C3_1_APP_QM_PreInitTask_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C3_1_APP_QM_PreInitTask_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.PartitionStateManager_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C3_1_APP_QM_Task_OSA_C3_1_APP_QM_STACK_LOCATION

  .CPU3.OSA_C3_1_APP_QM_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C3_1_APP_QM_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_NO_INIT
    *(*_OSA_C3_1_APP_QM_bss_no_init_64)
    *(*_OSA_C3_1_APP_QM_bss_no_init_32)
    *(*_OSA_C3_1_APP_QM_bss_no_init_ptr)
    *(*_OSA_C3_1_APP_QM_bss_no_init_16)
    *(*_OSA_C3_1_APP_QM_bss_no_init_8)
    *(*_OSA_C3_1_APP_QM_bss_no_init_bool)
    *(*_OSA_C3_1_APP_QM_bss_no_init_unspecified)
    *(*_OSA_C3_1_APP_QM_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU3.OSA_C3_1_APP_QM_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C3_1_APP_QM_savezone)
    *(*_OSA_C3_1_APP_QM_savezone_64)
    *(*_OSA_C3_1_APP_QM_savezone_32)
    *(*_OSA_C3_1_APP_QM_savezone_ptr)
    *(*_OSA_C3_1_APP_QM_savezone_16)
    *(*_OSA_C3_1_APP_QM_savezone_8)
    *(*_OSA_C3_1_APP_QM_savezone_bool)
    *(*_OSA_C3_1_APP_QM_savezone_unspecified)
    *(*_OSA_C3_1_APP_QM_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU3.OSA_C3_1_APP_QM_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C3_1_APP_QM_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_1_APP_QM_DATA
    *(osee_OSA_C3_1_APP_QM_data)
    *(*_OSA_C3_1_APP_QM_data_64)
    *(*_OSA_C3_1_APP_QM_data_32)
    *(*_OSA_C3_1_APP_QM_data_ptr)
    *(*_OSA_C3_1_APP_QM_data_16)
    *(*_OSA_C3_1_APP_QM_data_8)
    *(*_OSA_C3_1_APP_QM_data_bool)
    *(*_OSA_C3_1_APP_QM_data_unspecified)
    *(*_OSA_C3_1_APP_QM_data)
    *(*_OSA_C3_1_APP_QM_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_1_APP_QM_ram_end = .);

  } > OSA_C3_1_APP_QM_RAM_NORMAL_LOCATION AT> PMU_PFLASH3
  /* OS-Application Section Private Unitializated DATA */
  .CPU3.OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_ram_start = .);
#define OSA_C3_2_APP_ASILD_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_BSS
    *(*_OSA_C3_2_APP_ASILD_bss_64)
    *(*_OSA_C3_2_APP_ASILD_bss_32)
    *(*_OSA_C3_2_APP_ASILD_bss_ptr)
    *(*_OSA_C3_2_APP_ASILD_bss_16)
    *(*_OSA_C3_2_APP_ASILD_bss_8)
    *(*_OSA_C3_2_APP_ASILD_bss_bool)
    *(*_OSA_C3_2_APP_ASILD_bss_unspecified)
    *(*_OSA_C3_2_APP_ASILD_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C3_2_APP_ASILD_STACK_LOCATION
  .CPU3.Task_Core3_D_10ms_High_Flexible_OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_D_10ms_High_Flexible_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core3_D_10ms_High_Flexible_OSA_C3_2_APP_ASILD_STACK_LOCATION

  .CPU3.Task_Core3_D_Init_OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_D_Init_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core3_D_Init_OSA_C3_2_APP_ASILD_STACK_LOCATION

  .CPU3.Task_Core3_D_10ms_High_OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core3_D_10ms_High_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core3_D_10ms_High_OSA_C3_2_APP_ASILD_STACK_LOCATION

  .CPU3.ModeUser_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_PreInitTask_OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C3_2_APP_ASILD_PreInitTask_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C3_2_APP_ASILD_PreInitTask_OSA_C3_2_APP_ASILD_STACK_LOCATION

  .CPU3.PartitionStateManager_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C3_2_APP_ASILD_Task_OSA_C3_2_APP_ASILD_STACK_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C3_2_APP_ASILD_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_NO_INIT
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_64)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_32)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_ptr)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_16)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_8)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_bool)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init_unspecified)
    *(*_OSA_C3_2_APP_ASILD_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION

  .CPU3.OSA_C3_2_APP_ASILD_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C3_2_APP_ASILD_savezone)
    *(*_OSA_C3_2_APP_ASILD_savezone_64)
    *(*_OSA_C3_2_APP_ASILD_savezone_32)
    *(*_OSA_C3_2_APP_ASILD_savezone_ptr)
    *(*_OSA_C3_2_APP_ASILD_savezone_16)
    *(*_OSA_C3_2_APP_ASILD_savezone_8)
    *(*_OSA_C3_2_APP_ASILD_savezone_bool)
    *(*_OSA_C3_2_APP_ASILD_savezone_unspecified)
    *(*_OSA_C3_2_APP_ASILD_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU3.OSA_C3_2_APP_ASILD_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C3_2_APP_ASILD_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C3_2_APP_ASILD_DATA
    *(osee_OSA_C3_2_APP_ASILD_data)
    *(*_OSA_C3_2_APP_ASILD_data_64)
    *(*_OSA_C3_2_APP_ASILD_data_32)
    *(*_OSA_C3_2_APP_ASILD_data_ptr)
    *(*_OSA_C3_2_APP_ASILD_data_16)
    *(*_OSA_C3_2_APP_ASILD_data_8)
    *(*_OSA_C3_2_APP_ASILD_data_bool)
    *(*_OSA_C3_2_APP_ASILD_data_unspecified)
    *(*_OSA_C3_2_APP_ASILD_data)
    *(*_OSA_C3_2_APP_ASILD_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C3_2_APP_ASILD_ram_end = .);

  } > OSA_C3_2_APP_ASILD_RAM_NORMAL_LOCATION AT> PMU_PFLASH3

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU3.kernel_ram_slow_end : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core3_kernel_ram_lmu_end = .);
  } > KERNEL_RAM_SLOW_CORE3_LOCATION
#endif

  .CPU3.ustack_top : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core3_kernel_ram_dspr_end    = .);
    PROVIDE(osee_core3_all_stacks_top = .);
    /* for gap */
    . += 64;
  } > DMI_DSPR3

  /* Stacks */
  .CPU3.ustack (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    *(osee_core3_sys_stack)
    . = ALIGN(8);
    PROVIDE(osee_core3_sys_stack_top = .);
    . += __USTACK3_SIZE;
    . = ALIGN(8);
    PROVIDE(osee_core3_sys_stack_bottom = .);
  } > DMI_DSPR3
}

#define USER_DEFINE_SECTION_CORE3_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE3_END

#define USER_DEFINE_SECTION_CORE2_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE2_BEGIN

SECTIONS
{
  .inttab_cpu2 : ALIGN(8192) FLAGS(ax)
  {
    PROVIDE(osee_core2_kernel_code_start   = .);
    PROVIDE(__INTTAB2 = .);
    PROVIDE(__INTTAB_CPU2 = .);
    KEEP (*(.inttab_cpu2));
    KEEP (*(.*.inttab_cpu2));
    . = ALIGN(8);
  } > KERNEL_TEXT_CORE2_LOCATION

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C2_2_APP_ASILD Private Code */
  .CPU2.OSA_C2_2_APP_ASILD_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C2_2_APP_ASILD_code_pspr_start = .);
#define OSA_C2_2_APP_ASILD_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_TEXT_FAST
    *(*_OSA_C2_2_APP_ASILD_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C2_2_APP_ASILD_TEXT_FAST_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C2_2_APP_ASILD_code_start = .);
#define OSA_C2_2_APP_ASILD_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_TEXT
    *(*_OSA_C2_2_APP_ASILD_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C2_2_APP_ASILD_code_end = .);
  } > OSA_C2_2_APP_ASILD_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
  .CPU2.kernel_text_fast_end : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    PROVIDE(osee_core2_kernel_code_end   = .);
  } > KERNEL_TEXT_CORE2_LOCATION
#endif

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C2_1_APP_QM Private Code */
  .CPU2.OSA_C2_1_APP_QM_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C2_1_APP_QM_code_pspr_start = .);
#define OSA_C2_1_APP_QM_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_TEXT_FAST
    *(*_OSA_C2_1_APP_QM_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_code_pspr_end = .);
  } > OSA_C2_1_APP_QM_TEXT_FAST_LOCATION

  .CPU2.OSA_C2_1_APP_QM_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C2_1_APP_QM_code_start = .);
#define OSA_C2_1_APP_QM_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_TEXT
    *(*_OSA_C2_1_APP_QM_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C2_1_APP_QM_code_end = .);
  } > OSA_C2_1_APP_QM_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

  .CPU2.api_text_fast  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_FAST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_FAST_CORE2
    *(*_core2_api_text_fast)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_FAST_CORE2_LOCATION AT> PMU_PFLASH2

  .CPU2.api_text  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_CORE2
    *(*_core2_api_text)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_CORE2_LOCATION

  .CPU2.text : ALIGN(MPU_CODE_ALIGN) FLAGS(ax)
  {
    *(.CPU2.text)
    *(.text_cpu2)
    *(.text_cpu2.*)
    . = ALIGN(MPU_CODE_ALIGN);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_core2_kernel_code_end   = .);
#endif
  } > KERNEL_TEXT_CORE2_LOCATION

  .CPU2.kernel_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define KERNEL_CONST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_CONST_CORE2
    *(osee_core2_kernel_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_CONST_CORE2_LOCATION

  .CPU2.api_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define API_CONST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST_CORE2
    *(osee_core2_api_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_CONST_CORE2_LOCATION

  .CPU2.istack : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core2_kernel_ram_dspr_start    = .);
    PROVIDE(osee_core2_irq_stack_top = .);
    . += __ISTACK2_SIZE;
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core2_irq_stack_bottom = .);
    . += 1;
    . = ALIGN(64);
  } > DMI_DSPR2

  .CPU2.csa : ALIGN(64) FLAGS(aw)
  {
    PROVIDE(__CSA2 = .);
    . += __CSA2_SIZE;
    PROVIDE(__CSA2_END = .);
    . += 64;
  } > DMI_DSPR2

  .CPU2.kernel_data_fast     : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
#define KERNEL_DATA_FAST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST_CORE2
    *(osee_core2_kernel_data)
  } > KERNEL_DATA_FAST_CORE2_LOCATION AT> PMU_PFLASH2

  .CPU2.kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
#define KERNEL_BSS_FAST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST_CORE2
    *(osee_core2_kernel_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_BSS_FAST_CORE2_LOCATION

  .CPU2.api_data_fast   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define API_DATA_FAST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST_CORE2
    *(*_core2_api_data_fast_64)
    *(*_core2_api_data_fast_32)
    *(*_core2_api_data_fast_ptr)
    *(*_core2_api_data_fast_16)
    *(*_core2_api_data_fast_8)
    *(*_core2_api_data_fast_bool)
    *(*_core2_api_data_fast_unspecified)
    *(*_core2_api_data_fast)
    . = ALIGN(8);
  } > API_DATA_FAST_CORE2_LOCATION AT> PMU_PFLASH2

  .CPU2.api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST_CORE2
    *(*_core2_api_bss_no_init_fast_64)
    *(*_core2_api_bss_no_init_fast_32)
    *(*_core2_api_bss_no_init_fast_ptr)
    *(*_core2_api_bss_no_init_fast_16)
    *(*_core2_api_bss_no_init_fast_8)
    *(*_core2_api_bss_no_init_fast_bool)
    *(*_core2_api_bss_no_init_fast_unspecified)
    *(*_core2_api_bss_no_init_fast)
  } > API_BSS_NO_INIT_FAST_CORE2_LOCATION

  .CPU2.api_bss_fast (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_FAST_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST_CORE2
    *(*_core2_api_bss_fast_64)
    *(*_core2_api_bss_fast_32)
    *(*_core2_api_bss_fast_ptr)
    *(*_core2_api_bss_fast_16)
    *(*_core2_api_bss_fast_8)
    *(*_core2_api_bss_fast_bool)
    *(*_core2_api_bss_fast_unspecified)
    *(*_core2_api_bss_fast)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_BSS_FAST_CORE2_LOCATION

  .CPU2.api_data_normal   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_core2_api_ram_dlmu_start = .);
#define API_DATA_NORMAL_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_NORMAL_CORE2
    *(*_core2_api_data_64)
    *(*_core2_api_data_32)
    *(*_core2_api_data_ptr)
    *(*_core2_api_data_16)
    *(*_core2_api_data_8)
    *(*_core2_api_data_bool)
    *(*_core2_api_data_unspecified)
    *(*_core2_api_data)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE2_LOCATION AT> PMU_PFLASH2

  .CPU2.api_bss_no_init_normal (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NO_INIT_NORMAL_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_NORMAL_CORE2
    *(*_core2_api_bss_no_init_64)
    *(*_core2_api_bss_no_init_32)
    *(*_core2_api_bss_no_init_ptr)
    *(*_core2_api_bss_no_init_16)
    *(*_core2_api_bss_no_init_8)
    *(*_core2_api_bss_no_init_bool)
    *(*_core2_api_bss_no_init_unspecified)
    *(*_core2_api_bss_no_init)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE2_LOCATION

  .CPU2.api_bss_normal (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NORMAL_CORE2
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NORMAL_CORE2
    *(*_core2_api_bss_64)
    *(*_core2_api_bss_32)
    *(*_core2_api_bss_ptr)
    *(*_core2_api_bss_16)
    *(*_core2_api_bss_8)
    *(*_core2_api_bss_bool)
    *(*_core2_api_bss_unspecified)
    *(*_core2_api_bss)
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core2_api_ram_dlmu_end   = .);
  } > API_RAM_NORMAL_CORE2_LOCATION

  /* OS-Application Section Private Unitializated DATA */
  .CPU2.OSA_C2_1_APP_QM_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_ram_dspr_start = .);
#define OSA_C2_1_APP_QM_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_BSS_FAST
    . = ALIGN(8);
  } > OSA_C2_1_APP_QM_RAM_FAST_LOCATION

  .CPU2.OSA_C2_1_APP_QM_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C2_1_APP_QM_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU2.OSA_C2_1_APP_QM_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C2_1_APP_QM_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_ram_dspr_end = .);
  } > OSA_C2_1_APP_QM_RAM_FAST_LOCATION AT> PMU_PFLASH2
  /* OS-Application Section Private Unitializated DATA */
  .CPU2.OSA_C2_2_APP_ASILD_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_ram_dspr_start = .);
#define OSA_C2_2_APP_ASILD_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_BSS_FAST
    . = ALIGN(8);
  } > OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU2.OSA_C2_2_APP_ASILD_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C2_2_APP_ASILD_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_ram_dspr_end = .);
  } > OSA_C2_2_APP_ASILD_RAM_FAST_LOCATION AT> PMU_PFLASH2

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU2.kernel_ram_slow_start : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core2_kernel_ram_lmu_start = .);
  } > KERNEL_RAM_SLOW_CORE2_LOCATION
#endif

  /* OS-Application Section Private Unitializated DATA */
  .CPU2.OSA_C2_1_APP_QM_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_ram_slow_start = .);
#define OSA_C2_1_APP_QM_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C2_1_APP_QM_RAM_SLOW_LOCATION

  .CPU2.OSA_C2_1_APP_QM_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C2_1_APP_QM_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C2_1_APP_QM_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU2.OSA_C2_1_APP_QM_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C2_1_APP_QM_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_ram_slow_end = .);
  } > OSA_C2_1_APP_QM_RAM_SLOW_LOCATION AT> PMU_PFLASH2
  /* OS-Application Section Private Unitializated DATA */
  .CPU2.OSA_C2_2_APP_ASILD_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_ram_slow_start = .);
#define OSA_C2_2_APP_ASILD_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C2_2_APP_ASILD_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU2.OSA_C2_2_APP_ASILD_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C2_2_APP_ASILD_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_ram_slow_end = .);
  } > OSA_C2_2_APP_ASILD_RAM_SLOW_LOCATION AT> PMU_PFLASH2

  /* OS-Application Section Private Unitializated DATA */
  .CPU2.OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_ram_start = .);
#define OSA_C2_1_APP_QM_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_BSS
    *(*_OSA_C2_1_APP_QM_bss_64)
    *(*_OSA_C2_1_APP_QM_bss_32)
    *(*_OSA_C2_1_APP_QM_bss_ptr)
    *(*_OSA_C2_1_APP_QM_bss_16)
    *(*_OSA_C2_1_APP_QM_bss_8)
    *(*_OSA_C2_1_APP_QM_bss_bool)
    *(*_OSA_C2_1_APP_QM_bss_unspecified)
    *(*_OSA_C2_1_APP_QM_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU2.OSA_C2_1_APP_QM_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C2_1_APP_QM_STACK_LOCATION
  .CPU2.Task_Core2_QM_Init_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_Init_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_Init_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_1000ms_Middle_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_1000ms_Middle_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_1000ms_Middle_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_10ms_High_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_10ms_High_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_10ms_High_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_5ms_High_Flexible_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_5ms_High_Flexible_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_5ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_10ms_High_Flexible_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_10ms_High_Flexible_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_10ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_1ms_High_Flexible_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_1ms_High_Flexible_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_1ms_High_Flexible_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_10ms_High_Adas_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_10ms_High_Adas_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_10ms_High_Adas_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_Init_Adas_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_Init_Adas_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_Init_Adas_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.Task_Core2_QM_2ms_High_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_QM_2ms_High_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core2_QM_2ms_High_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.ModeUser_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.OSA_C2_1_APP_QM_PreInitTask_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C2_1_APP_QM_PreInitTask_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C2_1_APP_QM_PreInitTask_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.PartitionStateManager_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C2_1_APP_QM_Task_OSA_C2_1_APP_QM_STACK_LOCATION

  .CPU2.OSA_C2_1_APP_QM_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C2_1_APP_QM_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_NO_INIT
    *(*_OSA_C2_1_APP_QM_bss_no_init_64)
    *(*_OSA_C2_1_APP_QM_bss_no_init_32)
    *(*_OSA_C2_1_APP_QM_bss_no_init_ptr)
    *(*_OSA_C2_1_APP_QM_bss_no_init_16)
    *(*_OSA_C2_1_APP_QM_bss_no_init_8)
    *(*_OSA_C2_1_APP_QM_bss_no_init_bool)
    *(*_OSA_C2_1_APP_QM_bss_no_init_unspecified)
    *(*_OSA_C2_1_APP_QM_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU2.OSA_C2_1_APP_QM_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C2_1_APP_QM_savezone)
    *(*_OSA_C2_1_APP_QM_savezone_64)
    *(*_OSA_C2_1_APP_QM_savezone_32)
    *(*_OSA_C2_1_APP_QM_savezone_ptr)
    *(*_OSA_C2_1_APP_QM_savezone_16)
    *(*_OSA_C2_1_APP_QM_savezone_8)
    *(*_OSA_C2_1_APP_QM_savezone_bool)
    *(*_OSA_C2_1_APP_QM_savezone_unspecified)
    *(*_OSA_C2_1_APP_QM_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU2.OSA_C2_1_APP_QM_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C2_1_APP_QM_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_1_APP_QM_DATA
    *(osee_OSA_C2_1_APP_QM_data)
    *(*_OSA_C2_1_APP_QM_data_64)
    *(*_OSA_C2_1_APP_QM_data_32)
    *(*_OSA_C2_1_APP_QM_data_ptr)
    *(*_OSA_C2_1_APP_QM_data_16)
    *(*_OSA_C2_1_APP_QM_data_8)
    *(*_OSA_C2_1_APP_QM_data_bool)
    *(*_OSA_C2_1_APP_QM_data_unspecified)
    *(*_OSA_C2_1_APP_QM_data)
    *(*_OSA_C2_1_APP_QM_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_1_APP_QM_ram_end = .);

  } > OSA_C2_1_APP_QM_RAM_NORMAL_LOCATION AT> PMU_PFLASH2
  /* OS-Application Section Private Unitializated DATA */
  .CPU2.OSA_C2_2_APP_ASILD_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_ram_start = .);
#define OSA_C2_2_APP_ASILD_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_BSS
    *(*_OSA_C2_2_APP_ASILD_bss_64)
    *(*_OSA_C2_2_APP_ASILD_bss_32)
    *(*_OSA_C2_2_APP_ASILD_bss_ptr)
    *(*_OSA_C2_2_APP_ASILD_bss_16)
    *(*_OSA_C2_2_APP_ASILD_bss_8)
    *(*_OSA_C2_2_APP_ASILD_bss_bool)
    *(*_OSA_C2_2_APP_ASILD_bss_unspecified)
    *(*_OSA_C2_2_APP_ASILD_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C2_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C2_2_APP_ASILD_STACK_LOCATION
  .CPU2.Task_Core2_D_Init_OSA_C2_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_D_Init_OSA_C2_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core2_D_Init_OSA_C2_2_APP_ASILD_STACK_LOCATION

  .CPU2.Task_Core2_D_10ms_Middle_OSA_C2_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core2_D_10ms_Middle_OSA_C2_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core2_D_10ms_Middle_OSA_C2_2_APP_ASILD_STACK_LOCATION

  .CPU2.ModeUser_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_PreInitTask_OSA_C2_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C2_2_APP_ASILD_PreInitTask_OSA_C2_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C2_2_APP_ASILD_PreInitTask_OSA_C2_2_APP_ASILD_STACK_LOCATION

  .CPU2.PartitionStateManager_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C2_2_APP_ASILD_Task_OSA_C2_2_APP_ASILD_STACK_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C2_2_APP_ASILD_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_NO_INIT
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_64)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_32)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_ptr)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_16)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_8)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_bool)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init_unspecified)
    *(*_OSA_C2_2_APP_ASILD_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION

  .CPU2.OSA_C2_2_APP_ASILD_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C2_2_APP_ASILD_savezone)
    *(*_OSA_C2_2_APP_ASILD_savezone_64)
    *(*_OSA_C2_2_APP_ASILD_savezone_32)
    *(*_OSA_C2_2_APP_ASILD_savezone_ptr)
    *(*_OSA_C2_2_APP_ASILD_savezone_16)
    *(*_OSA_C2_2_APP_ASILD_savezone_8)
    *(*_OSA_C2_2_APP_ASILD_savezone_bool)
    *(*_OSA_C2_2_APP_ASILD_savezone_unspecified)
    *(*_OSA_C2_2_APP_ASILD_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU2.OSA_C2_2_APP_ASILD_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C2_2_APP_ASILD_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C2_2_APP_ASILD_DATA
    *(osee_OSA_C2_2_APP_ASILD_data)
    *(*_OSA_C2_2_APP_ASILD_data_64)
    *(*_OSA_C2_2_APP_ASILD_data_32)
    *(*_OSA_C2_2_APP_ASILD_data_ptr)
    *(*_OSA_C2_2_APP_ASILD_data_16)
    *(*_OSA_C2_2_APP_ASILD_data_8)
    *(*_OSA_C2_2_APP_ASILD_data_bool)
    *(*_OSA_C2_2_APP_ASILD_data_unspecified)
    *(*_OSA_C2_2_APP_ASILD_data)
    *(*_OSA_C2_2_APP_ASILD_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C2_2_APP_ASILD_ram_end = .);

  } > OSA_C2_2_APP_ASILD_RAM_NORMAL_LOCATION AT> PMU_PFLASH2

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU2.kernel_ram_slow_end : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core2_kernel_ram_lmu_end = .);
  } > KERNEL_RAM_SLOW_CORE2_LOCATION
#endif

  .CPU2.ustack_top : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core2_kernel_ram_dspr_end    = .);
    PROVIDE(osee_core2_all_stacks_top = .);
    /* for gap */
    . += 64;
  } > DMI_DSPR2

  /* Stacks */
  .CPU2.ustack (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    *(osee_core2_sys_stack)
    . = ALIGN(8);
    PROVIDE(osee_core2_sys_stack_top = .);
    . += __USTACK2_SIZE;
    . = ALIGN(8);
    PROVIDE(osee_core2_sys_stack_bottom = .);
  } > DMI_DSPR2
}

#define USER_DEFINE_SECTION_CORE2_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE2_END

#define USER_DEFINE_SECTION_CORE1_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE1_BEGIN

SECTIONS
{
  .inttab_cpu1 : ALIGN(8192) FLAGS(ax)
  {
    PROVIDE(osee_core1_kernel_code_start   = .);
    PROVIDE(__INTTAB1 = .);
    PROVIDE(__INTTAB_CPU1 = .);
    KEEP (*(.inttab_cpu1));
    KEEP (*(.*.inttab_cpu1));
    . = ALIGN(8);
  } > KERNEL_TEXT_CORE1_LOCATION

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C1_2_APP_ASILD Private Code */
  .CPU1.OSA_C1_2_APP_ASILD_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C1_2_APP_ASILD_code_pspr_start = .);
#define OSA_C1_2_APP_ASILD_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_TEXT_FAST
    *(*_OSA_C1_2_APP_ASILD_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C1_2_APP_ASILD_TEXT_FAST_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C1_2_APP_ASILD_code_start = .);
#define OSA_C1_2_APP_ASILD_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_TEXT
    *(*_OSA_C1_2_APP_ASILD_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C1_2_APP_ASILD_code_end = .);
  } > OSA_C1_2_APP_ASILD_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
  .CPU1.kernel_text_fast_end : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    PROVIDE(osee_core1_kernel_code_end   = .);
  } > KERNEL_TEXT_CORE1_LOCATION
#endif

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C1_1_APP_QM Private Code */
  .CPU1.OSA_C1_1_APP_QM_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C1_1_APP_QM_code_pspr_start = .);
#define OSA_C1_1_APP_QM_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_TEXT_FAST
    *(*_OSA_C1_1_APP_QM_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_code_pspr_end = .);
  } > OSA_C1_1_APP_QM_TEXT_FAST_LOCATION

  .CPU1.OSA_C1_1_APP_QM_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C1_1_APP_QM_code_start = .);
#define OSA_C1_1_APP_QM_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_TEXT
    *(*_OSA_C1_1_APP_QM_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C1_1_APP_QM_code_end = .);
  } > OSA_C1_1_APP_QM_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

  .CPU1.api_text_fast  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_FAST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_FAST_CORE1
    *(*_core1_api_text_fast)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_FAST_CORE1_LOCATION AT> PMU_PFLASH1

  .CPU1.api_text  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_CORE1
    *(*_core1_api_text)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_CORE1_LOCATION

  .CPU1.text : ALIGN(MPU_CODE_ALIGN) FLAGS(ax)
  {
    *(.CPU1.text)
    *(.text_cpu1)
    *(.text_cpu1.*)
    . = ALIGN(MPU_CODE_ALIGN);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_core1_kernel_code_end   = .);
#endif
  } > KERNEL_TEXT_CORE1_LOCATION

  .CPU1.kernel_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define KERNEL_CONST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_CONST_CORE1
    *(osee_core1_kernel_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_CONST_CORE1_LOCATION

  .CPU1.api_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define API_CONST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST_CORE1
    *(osee_core1_api_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_CONST_CORE1_LOCATION

  .CPU1.istack : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core1_kernel_ram_dspr_start    = .);
    PROVIDE(osee_core1_irq_stack_top = .);
    . += __ISTACK1_SIZE;
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core1_irq_stack_bottom = .);
    . += 1;
    . = ALIGN(64);
  } > DMI_DSPR1

  .CPU1.csa : ALIGN(64) FLAGS(aw)
  {
    PROVIDE(__CSA1 = .);
    . += __CSA1_SIZE;
    PROVIDE(__CSA1_END = .);
    . += 64;
  } > DMI_DSPR1

  .CPU1.kernel_data_fast     : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
#define KERNEL_DATA_FAST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST_CORE1
    *(osee_core1_kernel_data)
  } > KERNEL_DATA_FAST_CORE1_LOCATION AT> PMU_PFLASH1

  .CPU1.kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
#define KERNEL_BSS_FAST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST_CORE1
    *(osee_core1_kernel_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_BSS_FAST_CORE1_LOCATION

  .CPU1.api_data_fast   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define API_DATA_FAST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST_CORE1
    *(*_core1_api_data_fast_64)
    *(*_core1_api_data_fast_32)
    *(*_core1_api_data_fast_ptr)
    *(*_core1_api_data_fast_16)
    *(*_core1_api_data_fast_8)
    *(*_core1_api_data_fast_bool)
    *(*_core1_api_data_fast_unspecified)
    *(*_core1_api_data_fast)
    . = ALIGN(8);
  } > API_DATA_FAST_CORE1_LOCATION AT> PMU_PFLASH1

  .CPU1.api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST_CORE1
    *(*_core1_api_bss_no_init_fast_64)
    *(*_core1_api_bss_no_init_fast_32)
    *(*_core1_api_bss_no_init_fast_ptr)
    *(*_core1_api_bss_no_init_fast_16)
    *(*_core1_api_bss_no_init_fast_8)
    *(*_core1_api_bss_no_init_fast_bool)
    *(*_core1_api_bss_no_init_fast_unspecified)
    *(*_core1_api_bss_no_init_fast)
  } > API_BSS_NO_INIT_FAST_CORE1_LOCATION

  .CPU1.api_bss_fast (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_FAST_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST_CORE1
    *(*_core1_api_bss_fast_64)
    *(*_core1_api_bss_fast_32)
    *(*_core1_api_bss_fast_ptr)
    *(*_core1_api_bss_fast_16)
    *(*_core1_api_bss_fast_8)
    *(*_core1_api_bss_fast_bool)
    *(*_core1_api_bss_fast_unspecified)
    *(*_core1_api_bss_fast)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_BSS_FAST_CORE1_LOCATION

  .CPU1.api_data_normal   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_core1_api_ram_dlmu_start = .);
#define API_DATA_NORMAL_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_NORMAL_CORE1
    *(*_core1_api_data_64)
    *(*_core1_api_data_32)
    *(*_core1_api_data_ptr)
    *(*_core1_api_data_16)
    *(*_core1_api_data_8)
    *(*_core1_api_data_bool)
    *(*_core1_api_data_unspecified)
    *(*_core1_api_data)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE1_LOCATION AT> PMU_PFLASH1

  .CPU1.api_bss_no_init_normal (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NO_INIT_NORMAL_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_NORMAL_CORE1
    *(*_core1_api_bss_no_init_64)
    *(*_core1_api_bss_no_init_32)
    *(*_core1_api_bss_no_init_ptr)
    *(*_core1_api_bss_no_init_16)
    *(*_core1_api_bss_no_init_8)
    *(*_core1_api_bss_no_init_bool)
    *(*_core1_api_bss_no_init_unspecified)
    *(*_core1_api_bss_no_init)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE1_LOCATION

  .CPU1.api_bss_normal (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NORMAL_CORE1
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NORMAL_CORE1
    *(*_core1_api_bss_64)
    *(*_core1_api_bss_32)
    *(*_core1_api_bss_ptr)
    *(*_core1_api_bss_16)
    *(*_core1_api_bss_8)
    *(*_core1_api_bss_bool)
    *(*_core1_api_bss_unspecified)
    *(*_core1_api_bss)
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core1_api_ram_dlmu_end   = .);
  } > API_RAM_NORMAL_CORE1_LOCATION

  /* OS-Application Section Private Unitializated DATA */
  .CPU1.OSA_C1_1_APP_QM_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_ram_dspr_start = .);
#define OSA_C1_1_APP_QM_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_BSS_FAST
    . = ALIGN(8);
  } > OSA_C1_1_APP_QM_RAM_FAST_LOCATION

  .CPU1.OSA_C1_1_APP_QM_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C1_1_APP_QM_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU1.OSA_C1_1_APP_QM_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C1_1_APP_QM_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_ram_dspr_end = .);
  } > OSA_C1_1_APP_QM_RAM_FAST_LOCATION AT> PMU_PFLASH1
  /* OS-Application Section Private Unitializated DATA */
  .CPU1.OSA_C1_2_APP_ASILD_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_ram_dspr_start = .);
#define OSA_C1_2_APP_ASILD_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_BSS_FAST
    . = ALIGN(8);
  } > OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU1.OSA_C1_2_APP_ASILD_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C1_2_APP_ASILD_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_ram_dspr_end = .);
  } > OSA_C1_2_APP_ASILD_RAM_FAST_LOCATION AT> PMU_PFLASH1

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU1.kernel_ram_slow_start : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core1_kernel_ram_lmu_start = .);
  } > KERNEL_RAM_SLOW_CORE1_LOCATION
#endif

  /* OS-Application Section Private Unitializated DATA */
  .CPU1.OSA_C1_1_APP_QM_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_ram_slow_start = .);
#define OSA_C1_1_APP_QM_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C1_1_APP_QM_RAM_SLOW_LOCATION

  .CPU1.OSA_C1_1_APP_QM_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C1_1_APP_QM_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C1_1_APP_QM_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU1.OSA_C1_1_APP_QM_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C1_1_APP_QM_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_ram_slow_end = .);
  } > OSA_C1_1_APP_QM_RAM_SLOW_LOCATION AT> PMU_PFLASH1
  /* OS-Application Section Private Unitializated DATA */
  .CPU1.OSA_C1_2_APP_ASILD_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_ram_slow_start = .);
#define OSA_C1_2_APP_ASILD_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C1_2_APP_ASILD_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU1.OSA_C1_2_APP_ASILD_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C1_2_APP_ASILD_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_ram_slow_end = .);
  } > OSA_C1_2_APP_ASILD_RAM_SLOW_LOCATION AT> PMU_PFLASH1

  /* OS-Application Section Private Unitializated DATA */
  .CPU1.OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_ram_start = .);
#define OSA_C1_1_APP_QM_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_BSS
    *(*_OSA_C1_1_APP_QM_bss_64)
    *(*_OSA_C1_1_APP_QM_bss_32)
    *(*_OSA_C1_1_APP_QM_bss_ptr)
    *(*_OSA_C1_1_APP_QM_bss_16)
    *(*_OSA_C1_1_APP_QM_bss_8)
    *(*_OSA_C1_1_APP_QM_bss_bool)
    *(*_OSA_C1_1_APP_QM_bss_unspecified)
    *(*_OSA_C1_1_APP_QM_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU1.OSA_C1_1_APP_QM_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C1_1_APP_QM_STACK_LOCATION
  .CPU1.Task_Core1_QM_Init_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_Init_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_Init_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_1000ms_Middle_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_1000ms_Middle_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_1000ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_1ms_High_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_1ms_High_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_1ms_High_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_Trigger_Middle_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_Trigger_Middle_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_Trigger_Middle_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_100ms_Middle_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_100ms_Middle_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_100ms_Middle_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_10ms_High_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_10ms_High_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_10ms_High_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_1ms_High_Flexible_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_1ms_High_Flexible_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_1ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_10ms_High_Adas_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_10ms_High_Adas_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_10ms_High_Adas_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_Init_Adas_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_Init_Adas_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_Init_Adas_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_2ms_High_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_2ms_High_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_2ms_High_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_5ms_High_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_5ms_High_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_5ms_High_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_5ms_High_Flexible_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_5ms_High_Flexible_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_5ms_High_Flexible_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.Task_Core1_QM_10ms_High_Tmp_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_QM_10ms_High_Tmp_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > Task_Core1_QM_10ms_High_Tmp_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.ModeUser_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.OSA_C1_1_APP_QM_PreInitTask_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C1_1_APP_QM_PreInitTask_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > OSA_C1_1_APP_QM_PreInitTask_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.PartitionStateManager_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C1_1_APP_QM_Task_OSA_C1_1_APP_QM_STACK_LOCATION

  .CPU1.OSA_C1_1_APP_QM_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C1_1_APP_QM_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_NO_INIT
    *(*_OSA_C1_1_APP_QM_bss_no_init_64)
    *(*_OSA_C1_1_APP_QM_bss_no_init_32)
    *(*_OSA_C1_1_APP_QM_bss_no_init_ptr)
    *(*_OSA_C1_1_APP_QM_bss_no_init_16)
    *(*_OSA_C1_1_APP_QM_bss_no_init_8)
    *(*_OSA_C1_1_APP_QM_bss_no_init_bool)
    *(*_OSA_C1_1_APP_QM_bss_no_init_unspecified)
    *(*_OSA_C1_1_APP_QM_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION

  .CPU1.OSA_C1_1_APP_QM_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C1_1_APP_QM_savezone)
    *(*_OSA_C1_1_APP_QM_savezone_64)
    *(*_OSA_C1_1_APP_QM_savezone_32)
    *(*_OSA_C1_1_APP_QM_savezone_ptr)
    *(*_OSA_C1_1_APP_QM_savezone_16)
    *(*_OSA_C1_1_APP_QM_savezone_8)
    *(*_OSA_C1_1_APP_QM_savezone_bool)
    *(*_OSA_C1_1_APP_QM_savezone_unspecified)
    *(*_OSA_C1_1_APP_QM_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU1.OSA_C1_1_APP_QM_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C1_1_APP_QM_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_1_APP_QM_DATA
    *(osee_OSA_C1_1_APP_QM_data)
    *(*_OSA_C1_1_APP_QM_data_64)
    *(*_OSA_C1_1_APP_QM_data_32)
    *(*_OSA_C1_1_APP_QM_data_ptr)
    *(*_OSA_C1_1_APP_QM_data_16)
    *(*_OSA_C1_1_APP_QM_data_8)
    *(*_OSA_C1_1_APP_QM_data_bool)
    *(*_OSA_C1_1_APP_QM_data_unspecified)
    *(*_OSA_C1_1_APP_QM_data)
    *(*_OSA_C1_1_APP_QM_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_1_APP_QM_ram_end = .);

  } > OSA_C1_1_APP_QM_RAM_NORMAL_LOCATION AT> PMU_PFLASH1
  /* OS-Application Section Private Unitializated DATA */
  .CPU1.OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_ram_start = .);
#define OSA_C1_2_APP_ASILD_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_BSS
    *(*_OSA_C1_2_APP_ASILD_bss_64)
    *(*_OSA_C1_2_APP_ASILD_bss_32)
    *(*_OSA_C1_2_APP_ASILD_bss_ptr)
    *(*_OSA_C1_2_APP_ASILD_bss_16)
    *(*_OSA_C1_2_APP_ASILD_bss_8)
    *(*_OSA_C1_2_APP_ASILD_bss_bool)
    *(*_OSA_C1_2_APP_ASILD_bss_unspecified)
    *(*_OSA_C1_2_APP_ASILD_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C1_2_APP_ASILD_STACK_LOCATION
  .CPU1.Task_Core1_D_10ms_High_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_D_10ms_High_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core1_D_10ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.Task_Core1_B_Init_Adas_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_B_Init_Adas_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core1_B_Init_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.Task_Core1_D_5ms_High_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_D_5ms_High_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core1_D_5ms_High_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.Task_Core1_B_10ms_High_Adas_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_B_10ms_High_Adas_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core1_B_10ms_High_Adas_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.Task_Core1_D_Trigger_Low_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core1_D_Trigger_Low_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core1_D_Trigger_Low_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.ModeUser_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_PreInitTask_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C1_2_APP_ASILD_PreInitTask_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C1_2_APP_ASILD_PreInitTask_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.PartitionStateManager_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C1_2_APP_ASILD_Task_OSA_C1_2_APP_ASILD_STACK_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C1_2_APP_ASILD_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_NO_INIT
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_64)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_32)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_ptr)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_16)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_8)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_bool)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init_unspecified)
    *(*_OSA_C1_2_APP_ASILD_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION

  .CPU1.OSA_C1_2_APP_ASILD_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C1_2_APP_ASILD_savezone)
    *(*_OSA_C1_2_APP_ASILD_savezone_64)
    *(*_OSA_C1_2_APP_ASILD_savezone_32)
    *(*_OSA_C1_2_APP_ASILD_savezone_ptr)
    *(*_OSA_C1_2_APP_ASILD_savezone_16)
    *(*_OSA_C1_2_APP_ASILD_savezone_8)
    *(*_OSA_C1_2_APP_ASILD_savezone_bool)
    *(*_OSA_C1_2_APP_ASILD_savezone_unspecified)
    *(*_OSA_C1_2_APP_ASILD_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU1.OSA_C1_2_APP_ASILD_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C1_2_APP_ASILD_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C1_2_APP_ASILD_DATA
    *(osee_OSA_C1_2_APP_ASILD_data)
    *(*_OSA_C1_2_APP_ASILD_data_64)
    *(*_OSA_C1_2_APP_ASILD_data_32)
    *(*_OSA_C1_2_APP_ASILD_data_ptr)
    *(*_OSA_C1_2_APP_ASILD_data_16)
    *(*_OSA_C1_2_APP_ASILD_data_8)
    *(*_OSA_C1_2_APP_ASILD_data_bool)
    *(*_OSA_C1_2_APP_ASILD_data_unspecified)
    *(*_OSA_C1_2_APP_ASILD_data)
    *(*_OSA_C1_2_APP_ASILD_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C1_2_APP_ASILD_ram_end = .);

  } > OSA_C1_2_APP_ASILD_RAM_NORMAL_LOCATION AT> PMU_PFLASH1

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU1.kernel_ram_slow_end : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core1_kernel_ram_lmu_end = .);
  } > KERNEL_RAM_SLOW_CORE1_LOCATION
#endif

  .CPU1.ustack_top : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core1_kernel_ram_dspr_end    = .);
    PROVIDE(osee_core1_all_stacks_top = .);
    /* for gap */
    . += 64;
  } > DMI_DSPR1

  /* Stacks */
  .CPU1.ustack (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    *(osee_core1_sys_stack)
    . = ALIGN(8);
    PROVIDE(osee_core1_sys_stack_top = .);
    . += __USTACK1_SIZE;
    . = ALIGN(8);
    PROVIDE(osee_core1_sys_stack_bottom = .);
  } > DMI_DSPR1
}

#define USER_DEFINE_SECTION_CORE1_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE1_END

#define USER_DEFINE_SECTION_CORE0_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE0_BEGIN

SECTIONS
{

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
  /* OS-Application OSA_C0_1_HW_QM Private Code */
  .CPU0.OSA_C0_1_HW_QM_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C0_1_HW_QM_code_pspr_start = .);
#define OSA_C0_1_HW_QM_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_TEXT_FAST
    *(*_OSA_C0_1_HW_QM_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C0_1_HW_QM_TEXT_FAST_LOCATION

  .CPU0.OSA_C0_1_HW_QM_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C0_1_HW_QM_code_start = .);
#define OSA_C0_1_HW_QM_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_TEXT
    *(*_OSA_C0_1_HW_QM_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C0_1_HW_QM_code_end = .);
  } > OSA_C0_1_HW_QM_TEXT_SLOW_LOCATION

  /* OS-Application OSA_C0_3_HW_ASILD Private Code */
  .CPU0.OSA_C0_3_HW_ASILD_text_fast : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
   PROVIDE( osee_OSA_C0_3_HW_ASILD_code_pspr_start = .);
#define OSA_C0_3_HW_ASILD_TEXT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_TEXT_FAST
    *(*_OSA_C0_3_HW_ASILD_text_fast)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_code_pspr_end = .);
    . += 15;
    . = ALIGN(MPU_CODE_ALIGN);
  } > OSA_C0_3_HW_ASILD_TEXT_FAST_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl) {
   PROVIDE( osee_OSA_C0_3_HW_ASILD_code_start = .);
#define OSA_C0_3_HW_ASILD_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_TEXT
    *(*_OSA_C0_3_HW_ASILD_text)
    . = ALIGN(MPU_CODE_ALIGN);
    /* End OS-Application Data Section Symbol */
   PROVIDE( osee_OSA_C0_3_HW_ASILD_code_end = .);
  } > OSA_C0_3_HW_ASILD_TEXT_SLOW_LOCATION
/* OS-APPLICATION CODE SECTIONS - END */

#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
  .CPU0.kernel_text_fast_end : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    PROVIDE(osee_core0_kernel_code_end   = .);
  } > KERNEL_TEXT_CORE0_LOCATION
#endif

/* OS-APPLICATIONs CODE SECTIONS - BEGIN */
/* OS-APPLICATION CODE SECTIONS - END */

  .CPU0.api_text_fast  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_FAST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_FAST_CORE0
    *(*_core0_api_text_fast)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_FAST_CORE0_LOCATION AT> PMU_PFLASH0

  .CPU0.api_text  : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
#define API_TEXT_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT_CORE0
    *(*_core0_api_text)
  . = ALIGN(MPU_CODE_ALIGN);
  } > API_TEXT_CORE0_LOCATION

  .CPU0.text : ALIGN(MPU_CODE_ALIGN) FLAGS(ax)
  {
    *(.CPU0.text)
    *(.text_cpu0)
    *(.text_cpu0.*)
    . = ALIGN(MPU_CODE_ALIGN);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_core0_kernel_code_end   = .);
#endif
  } > KERNEL_TEXT_CORE0_LOCATION

  .CPU0.kernel_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define KERNEL_CONST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_CONST_CORE0
    *(osee_core0_kernel_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_CONST_CORE0_LOCATION

  .CPU0.api_const : ALIGN(MPU_DATA_ALIGN) FLAGS(al)
  {
#define API_CONST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST_CORE0
    *(osee_core0_api_const)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_CONST_CORE0_LOCATION

  .CPU0.istack : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core0_kernel_ram_dspr_start    = .);
    PROVIDE(osee_core0_irq_stack_top = .);
    . += __ISTACK0_SIZE;
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core0_irq_stack_bottom = .);
    . += 1;
    . = ALIGN(64);
  } > DMI_DSPR0

  .CPU0.csa : ALIGN(64) FLAGS(aw)
  {
    PROVIDE(__CSA0 = .);
    . += __CSA0_SIZE;
    PROVIDE(__CSA0_END = .);
    . += 64;
  } > DMI_DSPR0

  .CPU0.kernel_data_fast     : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
#define KERNEL_DATA_FAST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST_CORE0
    *(osee_core0_kernel_data)
  } > KERNEL_DATA_FAST_CORE0_LOCATION AT> PMU_PFLASH0

  .CPU0.kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
#define KERNEL_BSS_FAST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST_CORE0
    *(osee_core0_kernel_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > KERNEL_BSS_FAST_CORE0_LOCATION

  .CPU0.api_data_fast   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define API_DATA_FAST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST_CORE0
    *(*_core0_api_data_fast_64)
    *(*_core0_api_data_fast_32)
    *(*_core0_api_data_fast_ptr)
    *(*_core0_api_data_fast_16)
    *(*_core0_api_data_fast_8)
    *(*_core0_api_data_fast_bool)
    *(*_core0_api_data_fast_unspecified)
    *(*_core0_api_data_fast)
    . = ALIGN(8);
  } > API_DATA_FAST_CORE0_LOCATION AT> PMU_PFLASH0

  .CPU0.api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST_CORE0
    *(*_core0_api_bss_no_init_fast_64)
    *(*_core0_api_bss_no_init_fast_32)
    *(*_core0_api_bss_no_init_fast_ptr)
    *(*_core0_api_bss_no_init_fast_16)
    *(*_core0_api_bss_no_init_fast_8)
    *(*_core0_api_bss_no_init_fast_bool)
    *(*_core0_api_bss_no_init_fast_unspecified)
    *(*_core0_api_bss_no_init_fast)
  } > API_BSS_NO_INIT_FAST_CORE0_LOCATION

  .CPU0.api_bss_fast (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_FAST_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST_CORE0
    *(*_core0_api_bss_fast_64)
    *(*_core0_api_bss_fast_32)
    *(*_core0_api_bss_fast_ptr)
    *(*_core0_api_bss_fast_16)
    *(*_core0_api_bss_fast_8)
    *(*_core0_api_bss_fast_bool)
    *(*_core0_api_bss_fast_unspecified)
    *(*_core0_api_bss_fast)
    . = ALIGN(MPU_DATA_ALIGN);
  } > API_BSS_FAST_CORE0_LOCATION

  .CPU0.api_data_normal   : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_core0_api_ram_dlmu_start = .);
#define API_DATA_NORMAL_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_NORMAL_CORE0
    *(*_core0_api_data_64)
    *(*_core0_api_data_32)
    *(*_core0_api_data_ptr)
    *(*_core0_api_data_16)
    *(*_core0_api_data_8)
    *(*_core0_api_data_bool)
    *(*_core0_api_data_unspecified)
    *(*_core0_api_data)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE0_LOCATION AT> PMU_PFLASH0

  .CPU0.api_bss_no_init_normal (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NO_INIT_NORMAL_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_NORMAL_CORE0
    *(*_core0_api_bss_no_init_64)
    *(*_core0_api_bss_no_init_32)
    *(*_core0_api_bss_no_init_ptr)
    *(*_core0_api_bss_no_init_16)
    *(*_core0_api_bss_no_init_8)
    *(*_core0_api_bss_no_init_bool)
    *(*_core0_api_bss_no_init_unspecified)
    *(*_core0_api_bss_no_init)
    . = ALIGN(8);
  } > API_RAM_NORMAL_CORE0_LOCATION

  .CPU0.api_bss_normal (NOLOAD)   : ALIGN(8) FLAGS(aw)
  {
#define API_BSS_NORMAL_CORE0
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NORMAL_CORE0
    *(*_core0_api_bss_64)
    *(*_core0_api_bss_32)
    *(*_core0_api_bss_ptr)
    *(*_core0_api_bss_16)
    *(*_core0_api_bss_8)
    *(*_core0_api_bss_bool)
    *(*_core0_api_bss_unspecified)
    *(*_core0_api_bss)
    . = ALIGN(MPU_DATA_ALIGN);
    PROVIDE(osee_core0_api_ram_dlmu_end   = .);
  } > API_RAM_NORMAL_CORE0_LOCATION

  /* OS-Application Section Private Unitializated DATA */
  .CPU0.OSA_C0_1_HW_QM_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_ram_dspr_start = .);
#define OSA_C0_1_HW_QM_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_BSS_FAST
    . = ALIGN(8);
  } > OSA_C0_1_HW_QM_RAM_FAST_LOCATION

  .CPU0.OSA_C0_1_HW_QM_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C0_1_HW_QM_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU0.OSA_C0_1_HW_QM_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C0_1_HW_QM_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_ram_dspr_end = .);
  } > OSA_C0_1_HW_QM_RAM_FAST_LOCATION AT> PMU_PFLASH0
  /* OS-Application Section Private Unitializated DATA */
  .CPU0.OSA_C0_3_HW_ASILD_bss_fast (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_ram_dspr_start = .);
#define OSA_C0_3_HW_ASILD_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_BSS_FAST
    . = ALIGN(8);
  } > OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_savezone_fast (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    . = ALIGN(8);
  } > OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU0.OSA_C0_3_HW_ASILD_data_fast : ALIGN(8) FLAGS(awl)
  {
#define OSA_C0_3_HW_ASILD_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_DATA_FAST
    . = ALIGN(MPU_DATA_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_ram_dspr_end = .);
  } > OSA_C0_3_HW_ASILD_RAM_FAST_LOCATION AT> PMU_PFLASH0

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU0.kernel_ram_slow_start : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core0_kernel_ram_lmu_start = .);
  } > KERNEL_RAM_SLOW_CORE0_LOCATION
#endif

  /* OS-Application Section Private Unitializated DATA */
  .CPU0.OSA_C0_1_HW_QM_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_ram_slow_start = .);
#define OSA_C0_1_HW_QM_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C0_1_HW_QM_RAM_SLOW_LOCATION

  .CPU0.OSA_C0_1_HW_QM_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C0_1_HW_QM_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C0_1_HW_QM_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU0.OSA_C0_1_HW_QM_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C0_1_HW_QM_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_ram_slow_end = .);
  } > OSA_C0_1_HW_QM_RAM_SLOW_LOCATION AT> PMU_PFLASH0
  /* OS-Application Section Private Unitializated DATA */
  .CPU0.OSA_C0_3_HW_ASILD_bss_slow (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_ram_slow_start = .);
#define OSA_C0_3_HW_ASILD_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_BSS_SLOW
    . = ALIGN(8);
  } > OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_savezone_slow (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C0_3_HW_ASILD_SAVEZONE_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_SAVEZONE_SLOW
    . = ALIGN(8);
  } > OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU0.OSA_C0_3_HW_ASILD_data_slow : ALIGN(8) FLAGS(awl)
  {
#define OSA_C0_3_HW_ASILD_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_DATA_SLOW
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_ram_slow_end = .);
  } > OSA_C0_3_HW_ASILD_RAM_SLOW_LOCATION AT> PMU_PFLASH0

  /* OS-Application Section Private Unitializated DATA */
  .CPU0.OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_ram_start = .);
#define OSA_C0_1_HW_QM_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_BSS
    *(*_OSA_C0_1_HW_QM_bss_64)
    *(*_OSA_C0_1_HW_QM_bss_32)
    *(*_OSA_C0_1_HW_QM_bss_ptr)
    *(*_OSA_C0_1_HW_QM_bss_16)
    *(*_OSA_C0_1_HW_QM_bss_8)
    *(*_OSA_C0_1_HW_QM_bss_bool)
    *(*_OSA_C0_1_HW_QM_bss_unspecified)
    *(*_OSA_C0_1_HW_QM_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION

  .CPU0.OSA_C0_1_HW_QM_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > OSA_C0_1_HW_QM_STACK_LOCATION
  .CPU0.Task_Core0_QM_Trigger_High_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Trigger_High_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Trigger_High_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_1ms_High_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_1ms_High_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_1ms_High_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_5ms_High_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_5ms_High_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_5ms_High_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Trigger_Low_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Trigger_Low_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Trigger_Low_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Init_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Init_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Init_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_10ms_High_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_10ms_High_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_10ms_High_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_20ms_High_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_20ms_High_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_20ms_High_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_50ms_Middle_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_50ms_Middle_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_50ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_100ms_Middle_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_100ms_Middle_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_100ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Trigger_Low2_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Trigger_Low2_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Trigger_Low2_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_200ms_LowUpgrade_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_200ms_LowUpgrade_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_200ms_LowUpgrade_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_10ms_Middle_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_10ms_Middle_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_10ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Trigger_High_Adas_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Trigger_High_Adas_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Trigger_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Init_Adas_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Init_Adas_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Init_Adas_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_1000ms_Middle_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_1000ms_Middle_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_1000ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_10ms_High_Adas_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_10ms_High_Adas_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_10ms_High_Adas_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_10ms_High_Tmp_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_10ms_High_Tmp_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_10ms_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_500ms_Middle_Adas_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_500ms_Middle_Adas_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_500ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_100ms_Middle_Adas_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_100ms_Middle_Adas_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_100ms_Middle_Adas_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_500ms_Middle_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_500ms_Middle_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_500ms_Middle_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_10ms_High_Flexible_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_10ms_High_Flexible_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_10ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_1ms_High_Flexible_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_1ms_High_Flexible_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_1ms_High_Flexible_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_2ms_High_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_2ms_High_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_2ms_High_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Trigger_High_Diag_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Trigger_High_Diag_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Trigger_High_Diag_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.Task_Core0_QM_Trigger_High_Tmp_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_QM_Trigger_High_Tmp_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > Task_Core0_QM_Trigger_High_Tmp_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.ModeManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > ModeManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.ModeUser_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeUser_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > ModeUser_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.OSA_C0_1_HW_QM_PreInitTask_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C0_1_HW_QM_PreInitTask_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > OSA_C0_1_HW_QM_PreInitTask_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.PartitionStateManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C0_1_HW_QM_Task_OSA_C0_1_HW_QM_STACK_LOCATION

  .CPU0.OSA_C0_1_HW_QM_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C0_1_HW_QM_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_NO_INIT
    *(*_OSA_C0_1_HW_QM_bss_no_init_64)
    *(*_OSA_C0_1_HW_QM_bss_no_init_32)
    *(*_OSA_C0_1_HW_QM_bss_no_init_ptr)
    *(*_OSA_C0_1_HW_QM_bss_no_init_16)
    *(*_OSA_C0_1_HW_QM_bss_no_init_8)
    *(*_OSA_C0_1_HW_QM_bss_no_init_bool)
    *(*_OSA_C0_1_HW_QM_bss_no_init_unspecified)
    *(*_OSA_C0_1_HW_QM_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION

  .CPU0.OSA_C0_1_HW_QM_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C0_1_HW_QM_savezone)
    *(*_OSA_C0_1_HW_QM_savezone_64)
    *(*_OSA_C0_1_HW_QM_savezone_32)
    *(*_OSA_C0_1_HW_QM_savezone_ptr)
    *(*_OSA_C0_1_HW_QM_savezone_16)
    *(*_OSA_C0_1_HW_QM_savezone_8)
    *(*_OSA_C0_1_HW_QM_savezone_bool)
    *(*_OSA_C0_1_HW_QM_savezone_unspecified)
    *(*_OSA_C0_1_HW_QM_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU0.OSA_C0_1_HW_QM_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C0_1_HW_QM_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_1_HW_QM_DATA
    *(osee_OSA_C0_1_HW_QM_data)
    *(*_OSA_C0_1_HW_QM_data_64)
    *(*_OSA_C0_1_HW_QM_data_32)
    *(*_OSA_C0_1_HW_QM_data_ptr)
    *(*_OSA_C0_1_HW_QM_data_16)
    *(*_OSA_C0_1_HW_QM_data_8)
    *(*_OSA_C0_1_HW_QM_data_bool)
    *(*_OSA_C0_1_HW_QM_data_unspecified)
    *(*_OSA_C0_1_HW_QM_data)
    *(*_OSA_C0_1_HW_QM_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_1_HW_QM_ram_end = .);

  } > OSA_C0_1_HW_QM_RAM_NORMAL_LOCATION AT> PMU_PFLASH0
  /* OS-Application Section Private Unitializated DATA */
  .CPU0.OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_ram_start = .);
#define OSA_C0_3_HW_ASILD_BSS
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_BSS
    *(*_OSA_C0_3_HW_ASILD_bss_64)
    *(*_OSA_C0_3_HW_ASILD_bss_32)
    *(*_OSA_C0_3_HW_ASILD_bss_ptr)
    *(*_OSA_C0_3_HW_ASILD_bss_16)
    *(*_OSA_C0_3_HW_ASILD_bss_8)
    *(*_OSA_C0_3_HW_ASILD_bss_bool)
    *(*_OSA_C0_3_HW_ASILD_bss_unspecified)
    *(*_OSA_C0_3_HW_ASILD_bss)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C0_3_HW_ASILD_STACK_LOCATION
  .CPU0.Task_Core0_D_Init_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Init_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Init_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_1ms_High_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_1ms_High_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_1ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_10ms_High_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_10ms_High_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_10ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_5ms_High_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_5ms_High_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_5ms_High_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_Trigger_High_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Trigger_High_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Trigger_High_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_Trigger_Low_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Trigger_Low_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Trigger_Low_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_1000ms_Middle_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_1000ms_Middle_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_1000ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_10ms_Middle_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_10ms_Middle_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_10ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_20ms_Middle_Adas_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_20ms_Middle_Adas_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_20ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_50ms_Middle_Adas_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_50ms_Middle_Adas_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_50ms_Middle_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_5ms_High2_Adas_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_5ms_High2_Adas_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_5ms_High2_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_Init_Adas_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Init_Adas_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Init_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_Trigger_High_Adas_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Trigger_High_Adas_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Trigger_High_Adas_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_10ms_High_Flexible_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_10ms_High_Flexible_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_10ms_High_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_10ms_High_Solu_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_10ms_High_Solu_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_10ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_Init_Solu_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Init_Solu_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Init_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_10ms_Middle_Solu_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_10ms_Middle_Solu_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_10ms_Middle_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_5ms_High_Solu_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_5ms_High_Solu_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_5ms_High_Solu_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_50ms_Middle_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_50ms_Middle_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_50ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_Trigger_Low_Flexible_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_Trigger_Low_Flexible_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_Trigger_Low_Flexible_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.Task_Core0_D_100ms_Middle_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_Task_Core0_D_100ms_Middle_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > Task_Core0_D_100ms_Middle_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.ModeManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_ModeManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > ModeManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_PreInitTask_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_OSA_C0_3_HW_ASILD_PreInitTask_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > OSA_C0_3_HW_ASILD_PreInitTask_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.PartitionStateManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_bss (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_PartitionStateManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_stack)
    . = ALIGN(16);
  } > PartitionStateManager_OSA_C0_3_HW_ASILD_Task_OSA_C0_3_HW_ASILD_STACK_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_no_init (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
#define OSA_C0_3_HW_ASILD_NO_INIT
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_NO_INIT
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_64)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_32)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_ptr)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_16)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_8)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_bool)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init_unspecified)
    *(*_OSA_C0_3_HW_ASILD_bss_no_init)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION

  .CPU0.OSA_C0_3_HW_ASILD_savezone (NOLOAD) : ALIGN(MPU_DATA_ALIGN) FLAGS(aw)
  {
    /* Begin OS-Application Savezone Section Symbol */
    *(osee_OSA_C0_3_HW_ASILD_savezone)
    *(*_OSA_C0_3_HW_ASILD_savezone_64)
    *(*_OSA_C0_3_HW_ASILD_savezone_32)
    *(*_OSA_C0_3_HW_ASILD_savezone_ptr)
    *(*_OSA_C0_3_HW_ASILD_savezone_16)
    *(*_OSA_C0_3_HW_ASILD_savezone_8)
    *(*_OSA_C0_3_HW_ASILD_savezone_bool)
    *(*_OSA_C0_3_HW_ASILD_savezone_unspecified)
    *(*_OSA_C0_3_HW_ASILD_savezone)
    . = ALIGN(MPU_DATA_ALIGN);
  } > OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION

  /* OS-Application Section Private Initializated DATA */
  .CPU0.OSA_C0_3_HW_ASILD_data : ALIGN(MPU_DATA_ALIGN) FLAGS(awl)
  {
#define OSA_C0_3_HW_ASILD_DATA
#include "ee_tc_gcc_flash_user.ld"
#undef OSA_C0_3_HW_ASILD_DATA
    *(osee_OSA_C0_3_HW_ASILD_data)
    *(*_OSA_C0_3_HW_ASILD_data_64)
    *(*_OSA_C0_3_HW_ASILD_data_32)
    *(*_OSA_C0_3_HW_ASILD_data_ptr)
    *(*_OSA_C0_3_HW_ASILD_data_16)
    *(*_OSA_C0_3_HW_ASILD_data_8)
    *(*_OSA_C0_3_HW_ASILD_data_bool)
    *(*_OSA_C0_3_HW_ASILD_data_unspecified)
    *(*_OSA_C0_3_HW_ASILD_data)
    *(*_OSA_C0_3_HW_ASILD_postbuildbuf)
    . = ALIGN(CACHE_LINE_ALIGN);
    /* End OS-Application Data Section Symbol */
    PROVIDE(osee_OSA_C0_3_HW_ASILD_ram_end = .);

  } > OSA_C0_3_HW_ASILD_RAM_NORMAL_LOCATION AT> PMU_PFLASH0

#if defined(OSEE_KERNEL_LMU_PERCPU)
  /* aligned to 32 because cache line is 256 bit */
  .CPU0.kernel_ram_slow_end : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core0_kernel_ram_lmu_end = .);
  } > KERNEL_RAM_SLOW_CORE0_LOCATION
#endif

}

#define USER_DEFINE_SECTION_CORE0_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_CORE0_END

CORE_ID = GLOBAL;

#define USER_DEFINE_SECTION_GLOBAL_P2_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_GLOBAL_P2_BEGIN

SECTIONS
{
  .traptab TRAP_TABLE_ADDRESS : ALIGN(32) FLAGS(ax)
  {
    PROVIDE(osee_kernel_code_start = .);
    PROVIDE(__TRAPTAB_CPU0 = .);

    PROVIDE(__TRAPTAB_CPU1 = .);

    PROVIDE(__TRAPTAB_CPU2 = .);

    PROVIDE(__TRAPTAB_CPU3 = .);

    PROVIDE(__TRAPTAB_CPU4 = .);

    PROVIDE(__TRAPTAB_CPU5 = .);
    KEEP(*(.trap_table))
    KEEP(*(.traptab))
    KEEP(*(.traptab*))
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

/*
 * C++ exception handling tables. NOTE: gcc emits .eh_frame
 * sections when compiling C sources with debugging enabled (-g).
 * If you can be sure that your final application consists
 * exclusively of C objects (i.e., no C++ objects), you may use
 * the -R option of the "strip" and "objcopy" utilities to remove
 * the .eh_frame section from the executable.
 */
  .eh_frame : FLAGS(axl)
  {
    *(.gcc_except_table)
    __EH_FRAME_BEGIN__ = . ;
    KEEP (*(.eh_frame))
    __EH_FRAME_END__ = . ;
    *(.jcr)
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

/*
 * Constructors and destructors.
 */
  .ctors : FLAGS(ax)
  {
    __CTOR_LIST__ = . ;
    LONG((__CTOR_END__ - __CTOR_LIST__) / 4 - 2);
/*
 * Code executed before calling main extra section for C++ constructor init
 *  -------------------------Start-----------------------------------------
 */
    KEEP (*crtbegin.o(.ctors))
    KEEP (*(EXCLUDE_FILE (*crtend.o ) .ctors))
    KEEP (*(SORT(.ctors.*)))
    KEEP (*(.ctors))
/*
 * Code executed before calling main extra section for C++ constructor init
 *  -------------------------End-----------------------------------------
 */
    LONG(0) ;
    __CTOR_END__ = . ;
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

  .dtors : FLAGS(ax)
  {
    __DTOR_LIST__ = . ;
    LONG((__DTOR_END__ - __DTOR_LIST__) / 4 - 2);
    /*
     * Code executed before calling main extra section for C++ distructor init
     *  -------------------------Start-----------------------------------------
     */
    KEEP (*crtbegin.o(.dtors))
    KEEP (*(EXCLUDE_FILE (*crtend.o ) .dtors))
    KEEP (*(SORT(.dtors.*)))
    KEEP (*(.dtors))
    /*
     * Code executed before calling main extra section for C++ distructor init
     *  -------------------------End-----------------------------------------
     */
    LONG(0) ;
    __DTOR_END__ = . ;
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

  /*
   * Code executed before calling main extra section for C++ constructor init
   *  -------------------------Start-----------------------------------------
   */
  .init : FLAGS(ax)
  {
    PROVIDE(__init_start = .);
    KEEP(*(.init))
    KEEP(*(.init*))
    PROVIDE(__init_end = .);
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

  .fini : FLAGS(ax)
  {
    PROVIDE(__fini_start = .);
    KEEP(*(.fini))
    KEEP(*(.fini*))
    PROVIDE(__fini_end = .);
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

  /* OS Private Code */
  .kernel_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    /* The begin of the kernel code section is aligned to 32 to
       ensure space requiremente for cross sections access protection.
       (Read the Note: at page 9-5 of
       TC_Architecture_vol1_TC161_TCS_TC16P_TC16E.pdf manual) */
    *(osee_boot_kernel_text)
    *(osee_kernel_text)
    *(*_kernel_text)
    *libee.a:*(.text)

    . = ALIGN(MPU_CODE_ALIGN);
#if defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_kernel_code_end = .);
#endif
  } > KERNEL_TEXT_LOCATION

  /* OS Public Code. ALIGN(32) is needed since public API is a range by itself */
  .api_text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    /* Range section have to be aligned to MPU_CODE_ALIGN bytes */
    PROVIDE(osee_api_code_start = .);
    *(osee_api_text)
    *(*_api_text)
    *libgcc.a:*(.text)
    *libgcc.a:*(.text.*)
#define API_TEXT
#include "ee_tc_gcc_flash_user.ld"
#undef API_TEXT
    /* ALIGN(MPU_CODE_ALIGN) is needed because Code Range Addresses have to be aligned
       to MPU_CODE_ALIGN byte, for tricore 2G. */
    . = ALIGN(32);
  } > KERNEL_TEXT_LOCATION

  .text : ALIGN(MPU_CODE_ALIGN) FLAGS(axl)
  {
    *(.text)
    *(.text.*)
    *(.gnu.linkonce.t.*)
    /* .gnu.warning sections are handled specially by elf32.em. */
    *(.gnu.warning)
    . = ALIGN(MPU_CODE_ALIGN);
    PROVIDE(osee_api_code_end = .);
#if !defined(OSEE_KERNEL_TEXT_NOT_INCLUDE_API)
    PROVIDE(osee_kernel_code_end = .);
#endif
  } > KERNEL_TEXT_LOCATION

/* ALIGN(16) is needed since this section is the starting point for const range */
  .zrodata : ALIGN(16) FLAGS(arzl)
  {
    *(.zrodata)
    *(.zrodata.*)
  } > KERNEL_TEXT_LOCATION

  .sdata2 : ALIGN(16) FLAGS(arsl)
  {
    *(.srodata)
    *(.srodata.*)
  } > KERNEL_TEXT_LOCATION

  _SMALL_DATA2_ = SIZEOF(.sdata2) ? ADDR(.sdata2) + 32k :
    (ADDR(.sdata2) & 0xF0000000) + 32k ;
  __A1_MEM = _SMALL_DATA2_;

/* ALIGN(16) is needed since this section could be the first one not empty of const range */
  .clear_table_and_copy_table : ALIGN(16) FLAGS(arl)
  {
/*
 * Create the clear and copy tables that tell the startup code
 * which memory areas to clear and to copy, respectively.
 */
    . = ALIGN(4) ;
    PROVIDE(g_ld_clear_table = .);
    LONG(0 + ADDR(.CPU0.kernel_bss_fast));   LONG(SIZEOF(.CPU0.kernel_bss_fast));
    LONG(0 + ADDR(.CPU0.api_bss_fast));    LONG(SIZEOF(.CPU0.api_bss_fast));
    LONG(0 + ADDR(.CPU0.api_bss_normal));    LONG(SIZEOF(.CPU0.api_bss_normal));
/* CPU0 OS-APPLICATIONs CLEAR TABLE CPU0 - BEGIN */
    LONG(0 + ADDR(.CPU0.OSA_C0_1_HW_QM_bss)); LONG(SIZEOF(.CPU0.OSA_C0_1_HW_QM_bss));
    LONG(0 + ADDR(.CPU0.OSA_C0_1_HW_QM_bss_fast)); LONG(SIZEOF(.CPU0.OSA_C0_1_HW_QM_bss_fast));
    LONG(0 + ADDR(.CPU0.OSA_C0_1_HW_QM_bss_slow)); LONG(SIZEOF(.CPU0.OSA_C0_1_HW_QM_bss_slow));
    LONG(0 + ADDR(.CPU0.OSA_C0_3_HW_ASILD_bss)); LONG(SIZEOF(.CPU0.OSA_C0_3_HW_ASILD_bss));
    LONG(0 + ADDR(.CPU0.OSA_C0_3_HW_ASILD_bss_fast)); LONG(SIZEOF(.CPU0.OSA_C0_3_HW_ASILD_bss_fast));
    LONG(0 + ADDR(.CPU0.OSA_C0_3_HW_ASILD_bss_slow)); LONG(SIZEOF(.CPU0.OSA_C0_3_HW_ASILD_bss_slow));
/* CPU0 OS-APPLICATIONs CLEAR TABLE - END */
    LONG(0 + ADDR(.CPU1.kernel_bss_fast));   LONG(SIZEOF(.CPU1.kernel_bss_fast));
    LONG(0 + ADDR(.CPU1.api_bss_fast));    LONG(SIZEOF(.CPU1.api_bss_fast));
    LONG(0 + ADDR(.CPU1.api_bss_normal));    LONG(SIZEOF(.CPU1.api_bss_normal));
/* CPU1 OS-APPLICATIONs CLEAR TABLE CPU1 - BEGIN */
    LONG(0 + ADDR(.CPU1.OSA_C1_1_APP_QM_bss)); LONG(SIZEOF(.CPU1.OSA_C1_1_APP_QM_bss));
    LONG(0 + ADDR(.CPU1.OSA_C1_1_APP_QM_bss_fast)); LONG(SIZEOF(.CPU1.OSA_C1_1_APP_QM_bss_fast));
    LONG(0 + ADDR(.CPU1.OSA_C1_1_APP_QM_bss_slow)); LONG(SIZEOF(.CPU1.OSA_C1_1_APP_QM_bss_slow));
    LONG(0 + ADDR(.CPU1.OSA_C1_2_APP_ASILD_bss)); LONG(SIZEOF(.CPU1.OSA_C1_2_APP_ASILD_bss));
    LONG(0 + ADDR(.CPU1.OSA_C1_2_APP_ASILD_bss_fast)); LONG(SIZEOF(.CPU1.OSA_C1_2_APP_ASILD_bss_fast));
    LONG(0 + ADDR(.CPU1.OSA_C1_2_APP_ASILD_bss_slow)); LONG(SIZEOF(.CPU1.OSA_C1_2_APP_ASILD_bss_slow));
/* CPU1 OS-APPLICATIONs CLEAR TABLE - END */
    LONG(0 + ADDR(.CPU2.kernel_bss_fast));   LONG(SIZEOF(.CPU2.kernel_bss_fast));
    LONG(0 + ADDR(.CPU2.api_bss_fast));    LONG(SIZEOF(.CPU2.api_bss_fast));
    LONG(0 + ADDR(.CPU2.api_bss_normal));    LONG(SIZEOF(.CPU2.api_bss_normal));
/* CPU2 OS-APPLICATIONs CLEAR TABLE CPU2 - BEGIN */
    LONG(0 + ADDR(.CPU2.OSA_C2_1_APP_QM_bss)); LONG(SIZEOF(.CPU2.OSA_C2_1_APP_QM_bss));
    LONG(0 + ADDR(.CPU2.OSA_C2_1_APP_QM_bss_fast)); LONG(SIZEOF(.CPU2.OSA_C2_1_APP_QM_bss_fast));
    LONG(0 + ADDR(.CPU2.OSA_C2_1_APP_QM_bss_slow)); LONG(SIZEOF(.CPU2.OSA_C2_1_APP_QM_bss_slow));
    LONG(0 + ADDR(.CPU2.OSA_C2_2_APP_ASILD_bss)); LONG(SIZEOF(.CPU2.OSA_C2_2_APP_ASILD_bss));
    LONG(0 + ADDR(.CPU2.OSA_C2_2_APP_ASILD_bss_fast)); LONG(SIZEOF(.CPU2.OSA_C2_2_APP_ASILD_bss_fast));
    LONG(0 + ADDR(.CPU2.OSA_C2_2_APP_ASILD_bss_slow)); LONG(SIZEOF(.CPU2.OSA_C2_2_APP_ASILD_bss_slow));
/* CPU2 OS-APPLICATIONs CLEAR TABLE - END */
    LONG(0 + ADDR(.CPU3.kernel_bss_fast));   LONG(SIZEOF(.CPU3.kernel_bss_fast));
    LONG(0 + ADDR(.CPU3.api_bss_fast));    LONG(SIZEOF(.CPU3.api_bss_fast));
    LONG(0 + ADDR(.CPU3.api_bss_normal));    LONG(SIZEOF(.CPU3.api_bss_normal));
/* CPU3 OS-APPLICATIONs CLEAR TABLE CPU3 - BEGIN */
    LONG(0 + ADDR(.CPU3.OSA_C3_1_APP_QM_bss)); LONG(SIZEOF(.CPU3.OSA_C3_1_APP_QM_bss));
    LONG(0 + ADDR(.CPU3.OSA_C3_1_APP_QM_bss_fast)); LONG(SIZEOF(.CPU3.OSA_C3_1_APP_QM_bss_fast));
    LONG(0 + ADDR(.CPU3.OSA_C3_1_APP_QM_bss_slow)); LONG(SIZEOF(.CPU3.OSA_C3_1_APP_QM_bss_slow));
    LONG(0 + ADDR(.CPU3.OSA_C3_2_APP_ASILD_bss)); LONG(SIZEOF(.CPU3.OSA_C3_2_APP_ASILD_bss));
    LONG(0 + ADDR(.CPU3.OSA_C3_2_APP_ASILD_bss_fast)); LONG(SIZEOF(.CPU3.OSA_C3_2_APP_ASILD_bss_fast));
    LONG(0 + ADDR(.CPU3.OSA_C3_2_APP_ASILD_bss_slow)); LONG(SIZEOF(.CPU3.OSA_C3_2_APP_ASILD_bss_slow));
/* CPU3 OS-APPLICATIONs CLEAR TABLE - END */
    LONG(0 + ADDR(.CPU4.kernel_bss_fast));   LONG(SIZEOF(.CPU4.kernel_bss_fast));
    LONG(0 + ADDR(.CPU4.api_bss_fast));    LONG(SIZEOF(.CPU4.api_bss_fast));
    LONG(0 + ADDR(.CPU4.api_bss_normal));    LONG(SIZEOF(.CPU4.api_bss_normal));
/* CPU4 OS-APPLICATIONs CLEAR TABLE CPU4 - BEGIN */
    LONG(0 + ADDR(.CPU4.OSA_C4_1_APP_QM_bss)); LONG(SIZEOF(.CPU4.OSA_C4_1_APP_QM_bss));
    LONG(0 + ADDR(.CPU4.OSA_C4_1_APP_QM_bss_fast)); LONG(SIZEOF(.CPU4.OSA_C4_1_APP_QM_bss_fast));
    LONG(0 + ADDR(.CPU4.OSA_C4_1_APP_QM_bss_slow)); LONG(SIZEOF(.CPU4.OSA_C4_1_APP_QM_bss_slow));
/* CPU4 OS-APPLICATIONs CLEAR TABLE - END */
    LONG(0 + ADDR(.CPU5.kernel_bss_fast));   LONG(SIZEOF(.CPU5.kernel_bss_fast));
    LONG(0 + ADDR(.CPU5.api_bss_fast));    LONG(SIZEOF(.CPU5.api_bss_fast));
    LONG(0 + ADDR(.CPU5.api_bss_normal));    LONG(SIZEOF(.CPU5.api_bss_normal));
/* CPU5 OS-APPLICATIONs CLEAR TABLE CPU5 - BEGIN */
    LONG(0 + ADDR(.CPU5.OSA_C5_1_APP_QM_bss)); LONG(SIZEOF(.CPU5.OSA_C5_1_APP_QM_bss));
    LONG(0 + ADDR(.CPU5.OSA_C5_1_APP_QM_bss_fast)); LONG(SIZEOF(.CPU5.OSA_C5_1_APP_QM_bss_fast));
    LONG(0 + ADDR(.CPU5.OSA_C5_1_APP_QM_bss_slow)); LONG(SIZEOF(.CPU5.OSA_C5_1_APP_QM_bss_slow));
/* CPU5 OS-APPLICATIONs CLEAR TABLE - END */
    LONG(0 + ADDR(.kernel_bss_fast));     LONG(SIZEOF(.kernel_bss_fast));
    LONG(0 + ADDR(.api_bss_fast));        LONG(SIZEOF(.api_bss_fast));
    LONG(0 + ADDR(.kernel_bss_slow));     LONG(SIZEOF(.kernel_bss_slow));
    LONG(0 + ADDR(.api_bss_slow));        LONG(SIZEOF(.api_bss_slow));
    LONG(0 + ADDR(.zbss));          LONG(SIZEOF(.zbss));
    LONG(0 + ADDR(.sbss));          LONG(SIZEOF(.sbss));
    LONG(0 + ADDR(.bss));           LONG(SIZEOF(.bss));
#define  USER_CLEAR_TABLE
#include "ee_tc_gcc_flash_user.ld"
#undef USER_CLEAR_TABLE
    LONG(-1);                       LONG(-1);
    PROVIDE(g_ld_copy_table = .) ;
    LONG(LOADADDR(.CPU0.kernel_data_fast));  LONG(ADDR(.CPU0.kernel_data_fast));  LONG(SIZEOF(.CPU0.kernel_data_fast));
    LONG(LOADADDR(.CPU0.api_data_fast));     LONG(ADDR(.CPU0.api_data_fast));     LONG(SIZEOF(.CPU0.api_data_fast));
    LONG(LOADADDR(.CPU0.api_data_normal));     LONG(ADDR(.CPU0.api_data_normal));     LONG(SIZEOF(.CPU0.api_data_normal));
/* CPU0 OS-APPLICATIONs COPY TABLE CPU0 - BEGIN */
    LONG(LOADADDR(.CPU0.OSA_C0_1_HW_QM_data)); LONG(ADDR(.CPU0.OSA_C0_1_HW_QM_data)); LONG(SIZEOF(.CPU0.OSA_C0_1_HW_QM_data));
    LONG(LOADADDR(.CPU0.OSA_C0_1_HW_QM_data_fast)); LONG(ADDR(.CPU0.OSA_C0_1_HW_QM_data_fast)); LONG(SIZEOF(.CPU0.OSA_C0_1_HW_QM_data_fast));
    LONG(LOADADDR(.CPU0.OSA_C0_1_HW_QM_data_slow)); LONG(ADDR(.CPU0.OSA_C0_1_HW_QM_data_slow)); LONG(SIZEOF(.CPU0.OSA_C0_1_HW_QM_data_slow));
    LONG(LOADADDR(.CPU0.OSA_C0_3_HW_ASILD_data)); LONG(ADDR(.CPU0.OSA_C0_3_HW_ASILD_data)); LONG(SIZEOF(.CPU0.OSA_C0_3_HW_ASILD_data));
    LONG(LOADADDR(.CPU0.OSA_C0_3_HW_ASILD_data_fast)); LONG(ADDR(.CPU0.OSA_C0_3_HW_ASILD_data_fast)); LONG(SIZEOF(.CPU0.OSA_C0_3_HW_ASILD_data_fast));
    LONG(LOADADDR(.CPU0.OSA_C0_3_HW_ASILD_data_slow)); LONG(ADDR(.CPU0.OSA_C0_3_HW_ASILD_data_slow)); LONG(SIZEOF(.CPU0.OSA_C0_3_HW_ASILD_data_slow));
/* CPU0 OS-APPLICATIONs COPY TABLE - END */
    LONG(LOADADDR(.CPU1.kernel_data_fast));  LONG(ADDR(.CPU1.kernel_data_fast));  LONG(SIZEOF(.CPU1.kernel_data_fast));
    LONG(LOADADDR(.CPU1.api_data_fast));     LONG(ADDR(.CPU1.api_data_fast));     LONG(SIZEOF(.CPU1.api_data_fast));
    LONG(LOADADDR(.CPU1.api_data_normal));     LONG(ADDR(.CPU1.api_data_normal));     LONG(SIZEOF(.CPU1.api_data_normal));
/* CPU1 OS-APPLICATIONs COPY TABLE CPU1 - BEGIN */
    LONG(LOADADDR(.CPU1.OSA_C1_1_APP_QM_data)); LONG(ADDR(.CPU1.OSA_C1_1_APP_QM_data)); LONG(SIZEOF(.CPU1.OSA_C1_1_APP_QM_data));
    LONG(LOADADDR(.CPU1.OSA_C1_1_APP_QM_data_fast)); LONG(ADDR(.CPU1.OSA_C1_1_APP_QM_data_fast)); LONG(SIZEOF(.CPU1.OSA_C1_1_APP_QM_data_fast));
    LONG(LOADADDR(.CPU1.OSA_C1_1_APP_QM_data_slow)); LONG(ADDR(.CPU1.OSA_C1_1_APP_QM_data_slow)); LONG(SIZEOF(.CPU1.OSA_C1_1_APP_QM_data_slow));
    LONG(LOADADDR(.CPU1.OSA_C1_2_APP_ASILD_data)); LONG(ADDR(.CPU1.OSA_C1_2_APP_ASILD_data)); LONG(SIZEOF(.CPU1.OSA_C1_2_APP_ASILD_data));
    LONG(LOADADDR(.CPU1.OSA_C1_2_APP_ASILD_data_fast)); LONG(ADDR(.CPU1.OSA_C1_2_APP_ASILD_data_fast)); LONG(SIZEOF(.CPU1.OSA_C1_2_APP_ASILD_data_fast));
    LONG(LOADADDR(.CPU1.OSA_C1_2_APP_ASILD_data_slow)); LONG(ADDR(.CPU1.OSA_C1_2_APP_ASILD_data_slow)); LONG(SIZEOF(.CPU1.OSA_C1_2_APP_ASILD_data_slow));
/* CPU1 OS-APPLICATIONs COPY TABLE - END */
    LONG(LOADADDR(.CPU2.kernel_data_fast));  LONG(ADDR(.CPU2.kernel_data_fast));  LONG(SIZEOF(.CPU2.kernel_data_fast));
    LONG(LOADADDR(.CPU2.api_data_fast));     LONG(ADDR(.CPU2.api_data_fast));     LONG(SIZEOF(.CPU2.api_data_fast));
    LONG(LOADADDR(.CPU2.api_data_normal));     LONG(ADDR(.CPU2.api_data_normal));     LONG(SIZEOF(.CPU2.api_data_normal));
/* CPU2 OS-APPLICATIONs COPY TABLE CPU2 - BEGIN */
    LONG(LOADADDR(.CPU2.OSA_C2_1_APP_QM_data)); LONG(ADDR(.CPU2.OSA_C2_1_APP_QM_data)); LONG(SIZEOF(.CPU2.OSA_C2_1_APP_QM_data));
    LONG(LOADADDR(.CPU2.OSA_C2_1_APP_QM_data_fast)); LONG(ADDR(.CPU2.OSA_C2_1_APP_QM_data_fast)); LONG(SIZEOF(.CPU2.OSA_C2_1_APP_QM_data_fast));
    LONG(LOADADDR(.CPU2.OSA_C2_1_APP_QM_data_slow)); LONG(ADDR(.CPU2.OSA_C2_1_APP_QM_data_slow)); LONG(SIZEOF(.CPU2.OSA_C2_1_APP_QM_data_slow));
    LONG(LOADADDR(.CPU2.OSA_C2_2_APP_ASILD_data)); LONG(ADDR(.CPU2.OSA_C2_2_APP_ASILD_data)); LONG(SIZEOF(.CPU2.OSA_C2_2_APP_ASILD_data));
    LONG(LOADADDR(.CPU2.OSA_C2_2_APP_ASILD_data_fast)); LONG(ADDR(.CPU2.OSA_C2_2_APP_ASILD_data_fast)); LONG(SIZEOF(.CPU2.OSA_C2_2_APP_ASILD_data_fast));
    LONG(LOADADDR(.CPU2.OSA_C2_2_APP_ASILD_data_slow)); LONG(ADDR(.CPU2.OSA_C2_2_APP_ASILD_data_slow)); LONG(SIZEOF(.CPU2.OSA_C2_2_APP_ASILD_data_slow));
/* CPU2 OS-APPLICATIONs COPY TABLE - END */
    LONG(LOADADDR(.CPU3.kernel_data_fast));  LONG(ADDR(.CPU3.kernel_data_fast));  LONG(SIZEOF(.CPU3.kernel_data_fast));
    LONG(LOADADDR(.CPU3.api_data_fast));     LONG(ADDR(.CPU3.api_data_fast));     LONG(SIZEOF(.CPU3.api_data_fast));
    LONG(LOADADDR(.CPU3.api_data_normal));     LONG(ADDR(.CPU3.api_data_normal));     LONG(SIZEOF(.CPU3.api_data_normal));
/* CPU3 OS-APPLICATIONs COPY TABLE CPU3 - BEGIN */
    LONG(LOADADDR(.CPU3.OSA_C3_1_APP_QM_data)); LONG(ADDR(.CPU3.OSA_C3_1_APP_QM_data)); LONG(SIZEOF(.CPU3.OSA_C3_1_APP_QM_data));
    LONG(LOADADDR(.CPU3.OSA_C3_1_APP_QM_data_fast)); LONG(ADDR(.CPU3.OSA_C3_1_APP_QM_data_fast)); LONG(SIZEOF(.CPU3.OSA_C3_1_APP_QM_data_fast));
    LONG(LOADADDR(.CPU3.OSA_C3_1_APP_QM_data_slow)); LONG(ADDR(.CPU3.OSA_C3_1_APP_QM_data_slow)); LONG(SIZEOF(.CPU3.OSA_C3_1_APP_QM_data_slow));
    LONG(LOADADDR(.CPU3.OSA_C3_2_APP_ASILD_data)); LONG(ADDR(.CPU3.OSA_C3_2_APP_ASILD_data)); LONG(SIZEOF(.CPU3.OSA_C3_2_APP_ASILD_data));
    LONG(LOADADDR(.CPU3.OSA_C3_2_APP_ASILD_data_fast)); LONG(ADDR(.CPU3.OSA_C3_2_APP_ASILD_data_fast)); LONG(SIZEOF(.CPU3.OSA_C3_2_APP_ASILD_data_fast));
    LONG(LOADADDR(.CPU3.OSA_C3_2_APP_ASILD_data_slow)); LONG(ADDR(.CPU3.OSA_C3_2_APP_ASILD_data_slow)); LONG(SIZEOF(.CPU3.OSA_C3_2_APP_ASILD_data_slow));
/* CPU3 OS-APPLICATIONs COPY TABLE - END */
    LONG(LOADADDR(.CPU4.kernel_data_fast));  LONG(ADDR(.CPU4.kernel_data_fast));  LONG(SIZEOF(.CPU4.kernel_data_fast));
    LONG(LOADADDR(.CPU4.api_data_fast));     LONG(ADDR(.CPU4.api_data_fast));     LONG(SIZEOF(.CPU4.api_data_fast));
    LONG(LOADADDR(.CPU4.api_data_normal));     LONG(ADDR(.CPU4.api_data_normal));     LONG(SIZEOF(.CPU4.api_data_normal));
/* CPU4 OS-APPLICATIONs COPY TABLE CPU4 - BEGIN */
    LONG(LOADADDR(.CPU4.OSA_C4_1_APP_QM_data)); LONG(ADDR(.CPU4.OSA_C4_1_APP_QM_data)); LONG(SIZEOF(.CPU4.OSA_C4_1_APP_QM_data));
    LONG(LOADADDR(.CPU4.OSA_C4_1_APP_QM_data_fast)); LONG(ADDR(.CPU4.OSA_C4_1_APP_QM_data_fast)); LONG(SIZEOF(.CPU4.OSA_C4_1_APP_QM_data_fast));
    LONG(LOADADDR(.CPU4.OSA_C4_1_APP_QM_data_slow)); LONG(ADDR(.CPU4.OSA_C4_1_APP_QM_data_slow)); LONG(SIZEOF(.CPU4.OSA_C4_1_APP_QM_data_slow));
/* CPU4 OS-APPLICATIONs COPY TABLE - END */
    LONG(LOADADDR(.CPU5.kernel_data_fast));  LONG(ADDR(.CPU5.kernel_data_fast));  LONG(SIZEOF(.CPU5.kernel_data_fast));
    LONG(LOADADDR(.CPU5.api_data_fast));     LONG(ADDR(.CPU5.api_data_fast));     LONG(SIZEOF(.CPU5.api_data_fast));
    LONG(LOADADDR(.CPU5.api_data_normal));     LONG(ADDR(.CPU5.api_data_normal));     LONG(SIZEOF(.CPU5.api_data_normal));
/* CPU5 OS-APPLICATIONs COPY TABLE CPU5 - BEGIN */
    LONG(LOADADDR(.CPU5.OSA_C5_1_APP_QM_data)); LONG(ADDR(.CPU5.OSA_C5_1_APP_QM_data)); LONG(SIZEOF(.CPU5.OSA_C5_1_APP_QM_data));
    LONG(LOADADDR(.CPU5.OSA_C5_1_APP_QM_data_fast)); LONG(ADDR(.CPU5.OSA_C5_1_APP_QM_data_fast)); LONG(SIZEOF(.CPU5.OSA_C5_1_APP_QM_data_fast));
    LONG(LOADADDR(.CPU5.OSA_C5_1_APP_QM_data_slow)); LONG(ADDR(.CPU5.OSA_C5_1_APP_QM_data_slow)); LONG(SIZEOF(.CPU5.OSA_C5_1_APP_QM_data_slow));
/* CPU5 OS-APPLICATIONs COPY TABLE - END */
    LONG(LOADADDR(.zdata));            LONG(ADDR(.zdata));           LONG(SIZEOF(.zdata));
    LONG(LOADADDR(.sdata));            LONG(ADDR(.sdata));           LONG(SIZEOF(.sdata));
    LONG(LOADADDR(.data));             LONG(ADDR(.data));            LONG(SIZEOF(.data));
    LONG(LOADADDR(.api_data_fast));    LONG(0 + ADDR(.api_data_fast));    LONG(SIZEOF(.api_data_fast));
    LONG(LOADADDR(.kernel_data_fast)); LONG(0 + ADDR(.kernel_data_fast)); LONG(SIZEOF(.kernel_data_fast));
    LONG(LOADADDR(.api_data_slow));    LONG(0 + ADDR(.api_data_slow));    LONG(SIZEOF(.api_data_slow));
    LONG(LOADADDR(.kernel_data_slow)); LONG(0 + ADDR(.kernel_data_slow)); LONG(SIZEOF(.kernel_data_slow));
    LONG(LOADADDR(.CPU0.api_text_fast)); LONG(0 + ADDR(.CPU0.api_text_fast)); LONG(SIZEOF(.CPU0.api_text_fast));
    LONG(LOADADDR(.CPU1.api_text_fast)); LONG(0 + ADDR(.CPU1.api_text_fast)); LONG(SIZEOF(.CPU1.api_text_fast));
    LONG(LOADADDR(.CPU2.api_text_fast)); LONG(0 + ADDR(.CPU2.api_text_fast)); LONG(SIZEOF(.CPU2.api_text_fast));
    LONG(LOADADDR(.CPU3.api_text_fast)); LONG(0 + ADDR(.CPU3.api_text_fast)); LONG(SIZEOF(.CPU3.api_text_fast));
    LONG(LOADADDR(.CPU4.api_text_fast)); LONG(0 + ADDR(.CPU4.api_text_fast)); LONG(SIZEOF(.CPU4.api_text_fast));
    LONG(LOADADDR(.CPU5.api_text_fast)); LONG(0 + ADDR(.CPU5.api_text_fast)); LONG(SIZEOF(.CPU5.api_text_fast));
#define USER_COPY_TABLE
#include "ee_tc_gcc_flash_user.ld"
#undef USER_COPY_TABLE
    LONG(-1);                         LONG(-1);                     LONG(-1);
    . = ALIGN(8);
    PROVIDE(__local_copy_table = .) ;
#define USER_LOCAL_COPY_TABLE
#include "ee_tc_gcc_flash_user.ld"
#undef USER_LOCAL_COPY_TABLE
    LONG(-1);                         LONG(-1);                         LONG(-1);
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

  .sdata3 : ALIGN(8) FLAGS(arsl)
  {
    *(.rodata_a8)
    *(.rodata_a8.*)
  } > KERNEL_TEXT_LOCATION

  _SMALL_DATA3_ = SIZEOF(.sdata3) ? ADDR(.sdata3) + 32k : (ADDR(.sdata3) & 0xF0000000) + 32k ;
  __A8_MEM = _SMALL_DATA3_;

  .rodata : ALIGN(16) FLAGS(arl)
  {
    *(osee_api_const)
    *(osee_kernel_const)
#define API_CONST
#include "ee_tc_gcc_flash_user.ld"
#undef API_CONST
    *(*api_const_64)
    *(*api_const_32)
    *(*api_const_ptr)
    *(*api_const_16)
    *(*api_const_8)
    *(*api_const_bool)
    *(*api_const_unspecified)
    *(*api_const)
    *(*_const_64)
    *(*_const_32)
    *(*_const_ptr)
    *(*_const_16)
    *(*_const_8)
    *(*_const_bool)
    *(*_const_unspecified)
    *(*_const)
    *(*_postbuildstruct)
    *(*_postbuildconfig)
    *(.rodata)
    *(.rodata.*)
    *(.gnu.linkonce.r.*)
    . = ALIGN(8);
  } > KERNEL_TEXT_LOCATION

  .kernel_data_fast     : ALIGN(8) FLAGS(aw)
  {
    *(*_kernel_data_fast_64)
    *(*_kernel_data_fast_32)
    *(*_kernel_data_fast_ptr)
    *(*_kernel_data_fast_16)
    *(*_kernel_data_fast_8)
    *(*_kernel_data_fast_bool)
    *(*_kernel_data_fast_unspecified)
    *(*_kernel_data_fast)
#define KERNEL_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_FAST
  } > KERNEL_DATA_FAST_LOCATION AT> PMU_PFLASH0

  .kernel_bss_fast (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
    *(*_kernel_bss_fast_64)
    *(*_kernel_bss_fast_32)
    *(*_kernel_bss_fast_ptr)
    *(*_kernel_bss_fast_16)
    *(*_kernel_bss_fast_8)
    *(*_kernel_bss_fast_bool)
    *(*_kernel_bss_fast_unspecified)
    *(*_kernel_bss_fast)
#define KERNEL_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_FAST
    . = ALIGN(8);
  } > KERNEL_BSS_FAST_LOCATION

  /* ERIKA API public initializated data DATA */
  .api_data_fast : ALIGN(8) FLAGS(awl)
  {
    PROVIDE(osee_api_ram_dspr_start  = .);
#define API_DATA_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_FAST
    *(*_api_data_fast_64)
    *(*_api_data_fast_32)
    *(*_api_data_fast_ptr)
    *(*_api_data_fast_16)
    *(*_api_data_fast_8)
    *(*_api_data_fast_bool)
    *(*_api_data_fast_unspecified)
    *(*_api_data_fast)
    . = ALIGN(16);
    /* End Erika API Data Section Symbol */
  } > API_DATA_FAST_LOCATION AT> PMU_PFLASH0

  .api_bss_no_init_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_FAST
    *(*_api_bss_no_init_fast_64)
    *(*_api_bss_no_init_fast_32)
    *(*_api_bss_no_init_fast_ptr)
    *(*_api_bss_no_init_fast_16)
    *(*_api_bss_no_init_fast_8)
    *(*_api_bss_no_init_fast_bool)
    *(*_api_bss_no_init_fast_unspecified)
    *(*_api_bss_no_init_fast)
    . = ALIGN(8);
  } > API_BSS_NO_INIT_FAST_LOCATION

  /* ERIKA API public unitializated data section */
  .api_bss_fast (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    /* begin ERIKA API public unitializated data section symbol */
#define API_BSS_FAST
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_FAST
    *(*_api_bss_fast_64)
    *(*_api_bss_fast_32)
    *(*_api_bss_fast_ptr)
    *(*_api_bss_fast_16)
    *(*_api_bss_fast_8)
    *(*_api_bss_fast_bool)
    *(*_api_bss_fast_unspecified)
    *(*_api_bss_fast)
    . = ALIGN(16);
  } > API_BSS_FAST_LOCATION

/* ALIGN(16) since this sections id the global data starting point */
  .zdata : ALIGN(16) FLAGS(awzl)
  {
    *(.zdata)
    *(.zdata.*)
    *(.gnu.linkonce.z.*)
  } > API_DATA_FAST_LOCATION AT> PMU_PFLASH0

  .zbss (NOLOAD) : ALIGN(4) FLAGS(awz)
  {
    *(.zbss)
    *(.zbss.*)
    *(.bbss)
    *(.bbss.*)
    *(.gnu.linkonce.zb.*)
  } > API_BSS_FAST_LOCATION

  .sdata : ALIGN(4) FLAGS(awsl)
  {
    *(.sdata)
    *(.sdata.*)
    . = ALIGN(8);
  } > API_DATA_FAST_LOCATION AT> PMU_PFLASH0

  _SMALL_DATA_ = SIZEOF(.sdata) ? ADDR(.sdata) + 32k : (ADDR(.sdata) & 0xF0000000) + 32k ;
  __A0_MEM = _SMALL_DATA_;

  .sbss (NOLOAD) : ALIGN(4) FLAGS(aws)
  {
    *(.sbss)
    *(.sbss.*)
    . = ALIGN(8);
    PROVIDE(osee_api_ram_dspr_end    = .);
  } > API_BSS_FAST_LOCATION

  .kernel_data_slow     : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
#if (defined(OSEE_KERNEL_LMU_PERCPU)) || (!defined(KERNEL_RAM_SLOW_LOCATION_LMU_SRAM_nc))
    PROVIDE(osee_kernel_ram_start       = .);
#endif
    *(osee_kernel_data)
#define KERNEL_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_DATA_SLOW
    *(*_kernel_data_64)
    *(*_kernel_data_32)
    *(*_kernel_data_ptr)
    *(*_kernel_data_16)
    *(*_kernel_data_8)
    *(*_kernel_data_bool)
    *(*_kernel_data_unspecified)
    *(*_kernel_data)
    *libee.a:*(.data)
  } > KERNEL_RAM_SLOW_LOCATION AT> PMU_PFLASH0

  .kernel_bss_slow (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
  *(osee_kernel_bss)
#define KERNEL_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef KERNEL_BSS_SLOW
    *(*_kernel_bss_64)
    *(*_kernel_bss_32)
    *(*_kernel_bss_ptr)
    *(*_kernel_bss_16)
    *(*_kernel_bss_8)
    *(*_kernel_bss_bool)
    *(*_kernel_bss_unspecified)
    *(*_kernel_bss)
    *libee.a:*(.bss)
    . = ALIGN(CACHE_LINE_ALIGN);
#if (defined(OSEE_KERNEL_LMU_PERCPU)) || (!defined(KERNEL_RAM_SLOW_LOCATION_LMU_SRAM_nc))
    PROVIDE(osee_kernel_ram_end       = .);
#endif
  } > KERNEL_RAM_SLOW_LOCATION

  /* ERIKA API public initializated data DATA */
  .api_data_slow : ALIGN(CACHE_LINE_ALIGN) FLAGS(awl)
  {
    PROVIDE(osee_api_ram_start = .);
    *(osee_api_data)
    *libgcc.a:*(.data)
#define API_DATA_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef API_DATA_SLOW
    *(*_api_data_64)
    *(*_api_data_32)
    *(*_api_data_ptr)
    *(*_api_data_16)
    *(*_api_data_8)
    *(*_api_data_bool)
    *(*_api_data_unspecified)
    *(*_api_data)
    *(*_api_postbuildbuf)
    . = ALIGN(8);
  } > API_RAM_SLOW_LOCATION AT> PMU_PFLASH0

  .api_savezone (NOLOAD) : ALIGN(4) FLAGS(aw)
  {
    *(*_api_savezone_64)
    *(*_api_savezone_32)
    *(*_api_savezone_ptr)
    *(*_api_savezone_16)
    *(*_api_savezone_8)
    *(*_api_savezone_bool)
    *(*_api_savezone_unspecified)
    *(*_api_savezone)
    . = ALIGN(8);
  } > API_RAM_SLOW_LOCATION

  .api_bss_no_init_slow (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
#define API_BSS_NO_INIT_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_NO_INIT_SLOW
    *(*_api_bss_no_init_64)
    *(*_api_bss_no_init_32)
    *(*_api_bss_no_init_ptr)
    *(*_api_bss_no_init_16)
    *(*_api_bss_no_init_8)
    *(*_api_bss_no_init_bool)
    *(*_api_bss_no_init_unspecified)
    *(*_api_bss_no_init)
  } > API_RAM_SLOW_LOCATION

  /* ERIKA API public unitializated data section */
  .api_bss_slow (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    *(osee_api_bss)
    *libgcc.a:*(.bss)
#define API_BSS_SLOW
#include "ee_tc_gcc_flash_user.ld"
#undef API_BSS_SLOW
    *(*_api_bss_64)
    *(*_api_bss_32)
    *(*_api_bss_ptr)
    *(*_api_bss_16)
    *(*_api_bss_8)
    *(*_api_bss_bool)
    *(*_api_bss_unspecified)
    *(*_api_bss)
    /* ALIGN(16) the begin of OS_Application data and the following do the
       trick to move next OS-Application section 16 byte forward (at least) */
    . += 15;
    /* Each PMU_PFLASH region have to be at least 4 ALIGNED to ensure that LMA
       region (Load Memory Address) for data region are valid for g_ld_copy_table
     */
    . = ALIGN(16);
  } > API_RAM_SLOW_LOCATION

  .data : ALIGN(8) FLAGS(awl)
  {
    *(.data)
    *(.data.*)
    *(.gnu.linkonce.d.*)
    . = ALIGN(8);
  } > API_RAM_SLOW_LOCATION AT> PMU_PFLASH0

  .bss (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    *(.bss)
    *(.bss.*)
    *(.gnu.linkonce.b.*)
    /* This align is needed since the end of this section is the global data end */
    . = ALIGN(CACHE_LINE_ALIGN);
    PROVIDE(osee_api_ram_end = .);
  } > API_RAM_SLOW_LOCATION

  .heap (NOLOAD) : ALIGN(8) FLAGS(aw)
  {
    PROVIDE(__HEAP = .);
    . += __HEAP_SIZE;
    PROVIDE(__HEAP_END = .);
  } > DMI_DSPR0

  .dflash0 : ALIGN(8) FLAGS(awl)
  {
  } > PMU_DFLASH0

  .CPU0.ustack_top : ALIGN(CACHE_LINE_ALIGN) FLAGS(aw)
  {
    PROVIDE(osee_core0_kernel_ram_dspr_end   = .);
    PROVIDE(osee_core0_all_stacks_top   = .);
    /* for gap */
    . += 64;
  } > DMI_DSPR0


  .CPU0.sub_ustack (NOLOAD) : ALIGN(16) FLAGS(aw)
  {
    . = ALIGN(8);
    *(osee_core0_sys_stack)
    . = ALIGN(8);
    PROVIDE(osee_core0_sys_stack_top = .);
    . += __USTACK0_SIZE;
    . = ALIGN(8);
    PROVIDE(osee_core0_sys_stack_bottom = .);
  } > DMI_DSPR0

  /* Special Section Used to Provide RAM, Flash an code Symbols */
  .osee_end (NOLOAD) :
  {
#if (!defined(OSEE_KERNEL_LMU_PERCPU))
    PROVIDE(osee_core0_kernel_ram_lmu_start       = __LMU_START);
    PROVIDE(osee_core0_kernel_ram_lmu_end         = __LMU_END);
#endif

#if (!defined(OSEE_KERNEL_LMU_PERCPU))
    PROVIDE(osee_core1_kernel_ram_lmu_start       = __LMU_START);
    PROVIDE(osee_core1_kernel_ram_lmu_end         = __LMU_END);
#endif

#if (!defined(OSEE_KERNEL_LMU_PERCPU))
    PROVIDE(osee_core2_kernel_ram_lmu_start       = __LMU_START);
    PROVIDE(osee_core2_kernel_ram_lmu_end         = __LMU_END);
#endif

#if (!defined(OSEE_KERNEL_LMU_PERCPU))
    PROVIDE(osee_core3_kernel_ram_lmu_start       = __LMU_START);
    PROVIDE(osee_core3_kernel_ram_lmu_end         = __LMU_END);
#endif

#if (!defined(OSEE_KERNEL_LMU_PERCPU))
    PROVIDE(osee_core4_kernel_ram_lmu_start       = __LMU_START);
    PROVIDE(osee_core4_kernel_ram_lmu_end         = __LMU_END);
#endif

#if (!defined(OSEE_KERNEL_LMU_PERCPU))
    PROVIDE(osee_core5_kernel_ram_lmu_start       = __LMU_START);
    PROVIDE(osee_core5_kernel_ram_lmu_end         = __LMU_END);
#endif

#if (!defined(OSEE_KERNEL_LMU_PERCPU)) && (defined(KERNEL_RAM_SLOW_LOCATION_LMU_SRAM_nc))
    /* no need set mpu for osee_kernel_ram, set mpu range to zero */
    PROVIDE(osee_kernel_ram_start     = __LMU_START);
    PROVIDE(osee_kernel_ram_end       = __LMU_START);
#endif

    PROVIDE(osee_kernel_ram_dspr_start  = __DSPR_START);
    PROVIDE(osee_kernel_ram_dspr_end    = __DSPR_END);
    PROVIDE(osee_kernel_ram_emem_start  = __EMEM_START);
    PROVIDE(osee_kernel_ram_emem_end    = __EMEM_END);

    PROVIDE(osee_all_const_start     = MIN(ADDR(.CPU0.kernel_const), ADDR(.CPU5.kernel_const)));
    PROVIDE(osee_all_const_end       = MAX(ADDR(.CPU5.api_const) + SIZEOF(.CPU5.api_const),
                                           ADDR(.rodata) + SIZEOF(.rodata)));
    PROVIDE(osee_core0_api_ram_dspr_start = ADDR(.CPU0.api_data_fast));
    PROVIDE(osee_core0_api_ram_dspr_end   = ADDR(.CPU0.api_bss_fast) + SIZEOF(.CPU0.api_bss_fast));
    PROVIDE(osee_core0_api_code_pspr_start = ADDR(.CPU0.api_text_fast));
    PROVIDE(osee_core0_api_code_pspr_end   = ADDR(.CPU0.api_text_fast) + SIZEOF(.CPU0.api_text_fast));
    PROVIDE(osee_core0_api_code_start      = ADDR(.CPU0.api_text));
    PROVIDE(osee_core0_api_code_end        = ADDR(.CPU0.api_text) + SIZEOF(.CPU0.api_text));

    PROVIDE(osee_core1_api_ram_dspr_start = ADDR(.CPU1.api_data_fast));
    PROVIDE(osee_core1_api_ram_dspr_end   = ADDR(.CPU1.api_bss_fast) + SIZEOF(.CPU1.api_bss_fast));
    PROVIDE(osee_core1_api_code_pspr_start = ADDR(.CPU1.api_text_fast));
    PROVIDE(osee_core1_api_code_pspr_end   = ADDR(.CPU1.api_text_fast) + SIZEOF(.CPU1.api_text_fast));
    PROVIDE(osee_core1_api_code_start      = ADDR(.CPU1.api_text));
    PROVIDE(osee_core1_api_code_end        = ADDR(.CPU1.api_text) + SIZEOF(.CPU1.api_text));

    PROVIDE(osee_core2_api_ram_dspr_start = ADDR(.CPU2.api_data_fast));
    PROVIDE(osee_core2_api_ram_dspr_end   = ADDR(.CPU2.api_bss_fast) + SIZEOF(.CPU2.api_bss_fast));
    PROVIDE(osee_core2_api_code_pspr_start = ADDR(.CPU2.api_text_fast));
    PROVIDE(osee_core2_api_code_pspr_end   = ADDR(.CPU2.api_text_fast) + SIZEOF(.CPU2.api_text_fast));
    PROVIDE(osee_core2_api_code_start      = ADDR(.CPU2.api_text));
    PROVIDE(osee_core2_api_code_end        = ADDR(.CPU2.api_text) + SIZEOF(.CPU2.api_text));

    PROVIDE(osee_core3_api_ram_dspr_start = ADDR(.CPU3.api_data_fast));
    PROVIDE(osee_core3_api_ram_dspr_end   = ADDR(.CPU3.api_bss_fast) + SIZEOF(.CPU3.api_bss_fast));
    PROVIDE(osee_core3_api_code_pspr_start = ADDR(.CPU3.api_text_fast));
    PROVIDE(osee_core3_api_code_pspr_end   = ADDR(.CPU3.api_text_fast) + SIZEOF(.CPU3.api_text_fast));
    PROVIDE(osee_core3_api_code_start      = ADDR(.CPU3.api_text));
    PROVIDE(osee_core3_api_code_end        = ADDR(.CPU3.api_text) + SIZEOF(.CPU3.api_text));

    PROVIDE(osee_core4_api_ram_dspr_start = ADDR(.CPU4.api_data_fast));
    PROVIDE(osee_core4_api_ram_dspr_end   = ADDR(.CPU4.api_bss_fast) + SIZEOF(.CPU4.api_bss_fast));
    PROVIDE(osee_core4_api_code_pspr_start = ADDR(.CPU4.api_text_fast));
    PROVIDE(osee_core4_api_code_pspr_end   = ADDR(.CPU4.api_text_fast) + SIZEOF(.CPU4.api_text_fast));
    PROVIDE(osee_core4_api_code_start      = ADDR(.CPU4.api_text));
    PROVIDE(osee_core4_api_code_end        = ADDR(.CPU4.api_text) + SIZEOF(.CPU4.api_text));

    PROVIDE(osee_core5_api_ram_dspr_start = ADDR(.CPU5.api_data_fast));
    PROVIDE(osee_core5_api_ram_dspr_end   = ADDR(.CPU5.api_bss_fast) + SIZEOF(.CPU5.api_bss_fast));
    PROVIDE(osee_core5_api_code_pspr_start = ADDR(.CPU5.api_text_fast));
    PROVIDE(osee_core5_api_code_pspr_end   = ADDR(.CPU5.api_text_fast) + SIZEOF(.CPU5.api_text_fast));
    PROVIDE(osee_core5_api_code_start      = ADDR(.CPU5.api_text));
    PROVIDE(osee_core5_api_code_end        = ADDR(.CPU5.api_text) + SIZEOF(.CPU5.api_text));

    PROVIDE(osee_data_flash_start    = ADDR(.dflash0));
    PROVIDE(osee_data_flash_end      = ADDR(.dflash0) + __DFLASH0_SIZE);
  } > GLOBAL_RAM

#define USER_DEFINE_SECTION_GLOBAL_P3_BEGIN
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_GLOBAL_P3_BEGIN

/* Define a default symbol for address 0. */
  NULL = DEFINED (NULL) ? NULL : 0 ;

/*
 * DWARF debug sections.
 * Symbols in the DWARF debugging sections are relative to the
 * beginning of the section, so we begin them at 0.
 */
/*
 * DWARF 1
 */
  .comment         0 : { *(.comment) }
  .debug           0 : { *(.debug) }
  .line            0 : { *(.line) }
/*
 * GNU DWARF 1 extensions
 */
  .debug_srcinfo   0 : { *(.debug_srcinfo) }
  .debug_sfnames   0 : { *(.debug_sfnames) }
/*
 * DWARF 1.1 and DWARF 2
 */
  .debug_aranges   0 : { *(.debug_aranges) }
  .debug_pubnames  0 : { *(.debug_pubnames) }
/*
 * DWARF 2
 */
  .debug_info      0 : { *(.debug_info) }
  .debug_abbrev    0 : { *(.debug_abbrev) }
  .debug_line      0 : { *(.debug_line) }
  .debug_frame     0 : { *(.debug_frame) }
  .debug_str       0 : { *(.debug_str) }
  .debug_loc       0 : { *(.debug_loc) }
  .debug_macinfo   0 : { *(.debug_macinfo) }
  .debug_ranges    0 : { *(.debug_ranges) }
/*
 * SGI/MIPS DWARF 2 extensions
 */
  .debug_weaknames 0 : { *(.debug_weaknames) }
  .debug_funcnames 0 : { *(.debug_funcnames) }
  .debug_typenames 0 : { *(.debug_typenames) }
  .debug_varnames  0 : { *(.debug_varnames) }
  .debug_macro     0 : { *(.debug_macro) }
/*
 * Optional sections that may only appear when relocating.
 */
/*
 * Optional sections that may appear regardless of relocating.
 */
  .version_info    0 : { *(.version_info) }
  .boffs           0 : { KEEP (*(.boffs)) }
}

#define USER_DEFINE_SECTION_GLOBAL_P2_END
#include "ee_tc_gcc_flash_user.ld"
#undef USER_DEFINE_SECTION_GLOBAL_P2_END
